// ignore_for_file: constant_identifier_names

library flutter_material_symbols;

import 'package:flutter/widgets.dart';

@immutable
class _MaterialSymbolsData extends IconData {
  const _MaterialSymbolsData(int codePoint, this.name)
      : super(codePoint,
            fontFamily: 'Material Symbols',
            fontPackage: 'flutter_material_symbols');
  final String name;
}

/// Material Symbols
///
/// This Flutter package add Material Symbols introduced by Google along with Material 3 to Flutter.
/// To see the full list of available icons, visit https://fonts.google.com/icons?selected=Material+Symbols
///
/// The svg files are taken from https://github.com/marella/material-symbols
@immutable
class MaterialSymbols {
  const MaterialSymbols._();

  static const one_two_three = _MaterialSymbolsData(0xf1, '123');
  static const three_sixty = _MaterialSymbolsData(0xf2, '360');
  static const ten_k_filled_outlined =
      _MaterialSymbolsData(0xf3, '10k_filled_outlined');
  static const ten_k_filled_sharp =
      _MaterialSymbolsData(0xf4, '10k_filled_sharp');
  static const ten_k_filled = _MaterialSymbolsData(0xf5, '10k_filled');
  static const ten_k_outlined = _MaterialSymbolsData(0xf6, '10k_outlined');
  static const ten_k_sharp = _MaterialSymbolsData(0xf7, '10k_sharp');
  static const ten_k = _MaterialSymbolsData(0xf8, '10k');
  static const ten_mp_filled_outlined =
      _MaterialSymbolsData(0xf9, '10mp_filled_outlined');
  static const ten_mp_filled_sharp =
      _MaterialSymbolsData(0xfa, '10mp_filled_sharp');
  static const ten_mp_filled = _MaterialSymbolsData(0xfb, '10mp_filled');
  static const ten_mp_outlined = _MaterialSymbolsData(0xfc, '10mp_outlined');
  static const ten_mp_sharp = _MaterialSymbolsData(0xfd, '10mp_sharp');
  static const ten_mp = _MaterialSymbolsData(0xfe, '10mp');
  static const eleven_mp_filled_outlined =
      _MaterialSymbolsData(0xff, '11mp_filled_outlined');
  static const eleven_mp_filled_sharp =
      _MaterialSymbolsData(0xf110, '11mp_filled_sharp');
  static const eleven_mp_filled = _MaterialSymbolsData(0xf111, '11mp_filled');
  static const eleven_mp_outlined =
      _MaterialSymbolsData(0xf112, '11mp_outlined');
  static const eleven_mp_sharp = _MaterialSymbolsData(0xf113, '11mp_sharp');
  static const eleven_mp = _MaterialSymbolsData(0xf114, '11mp');
  static const one_two_three_filled_outlined =
      _MaterialSymbolsData(0xf115, '123_filled_outlined');
  static const one_two_three_filled_sharp =
      _MaterialSymbolsData(0xf116, '123_filled_sharp');
  static const one_two_three_filled =
      _MaterialSymbolsData(0xf117, '123_filled');
  static const one_two_three_outlined =
      _MaterialSymbolsData(0xf118, '123_outlined');
  static const one_two_three_sharp = _MaterialSymbolsData(0xf119, '123_sharp');
  static const twelve_mp_filled_outlined =
      _MaterialSymbolsData(0xf11a, '12mp_filled_outlined');
  static const twelve_mp_filled_sharp =
      _MaterialSymbolsData(0xf11b, '12mp_filled_sharp');
  static const twelve_mp_filled = _MaterialSymbolsData(0xf11c, '12mp_filled');
  static const twelve_mp_outlined =
      _MaterialSymbolsData(0xf11d, '12mp_outlined');
  static const twelve_mp_sharp = _MaterialSymbolsData(0xf11e, '12mp_sharp');
  static const twelve_mp = _MaterialSymbolsData(0xf11f, '12mp');
  static const thirteen_mp_filled_outlined =
      _MaterialSymbolsData(0xf120, '13mp_filled_outlined');
  static const thirteen_mp_filled_sharp =
      _MaterialSymbolsData(0xf121, '13mp_filled_sharp');
  static const thirteen_mp_filled = _MaterialSymbolsData(0xf122, '13mp_filled');
  static const thirteen_mp_outlined =
      _MaterialSymbolsData(0xf123, '13mp_outlined');
  static const thirteen_mp_sharp = _MaterialSymbolsData(0xf124, '13mp_sharp');
  static const thirteen_mp = _MaterialSymbolsData(0xf125, '13mp');
  static const fourteen_mp_filled_outlined =
      _MaterialSymbolsData(0xf126, '14mp_filled_outlined');
  static const fourteen_mp_filled_sharp =
      _MaterialSymbolsData(0xf127, '14mp_filled_sharp');
  static const fourteen_mp_filled = _MaterialSymbolsData(0xf128, '14mp_filled');
  static const fourteen_mp_outlined =
      _MaterialSymbolsData(0xf129, '14mp_outlined');
  static const fourteen_mp_sharp = _MaterialSymbolsData(0xf12a, '14mp_sharp');
  static const fourteen_mp = _MaterialSymbolsData(0xf12b, '14mp');
  static const fifteen_mp_filled_outlined =
      _MaterialSymbolsData(0xf12c, '15mp_filled_outlined');
  static const fifteen_mp_filled_sharp =
      _MaterialSymbolsData(0xf12d, '15mp_filled_sharp');
  static const fifteen_mp_filled = _MaterialSymbolsData(0xf12e, '15mp_filled');
  static const fifteen_mp_outlined =
      _MaterialSymbolsData(0xf12f, '15mp_outlined');
  static const fifteen_mp_sharp = _MaterialSymbolsData(0xf130, '15mp_sharp');
  static const fifteen_mp = _MaterialSymbolsData(0xf131, '15mp');
  static const sixteen_mp_filled_outlined =
      _MaterialSymbolsData(0xf132, '16mp_filled_outlined');
  static const sixteen_mp_filled_sharp =
      _MaterialSymbolsData(0xf133, '16mp_filled_sharp');
  static const sixteen_mp_filled = _MaterialSymbolsData(0xf134, '16mp_filled');
  static const sixteen_mp_outlined =
      _MaterialSymbolsData(0xf135, '16mp_outlined');
  static const sixteen_mp_sharp = _MaterialSymbolsData(0xf136, '16mp_sharp');
  static const sixteen_mp = _MaterialSymbolsData(0xf137, '16mp');
  static const seventeen_mp_filled_outlined =
      _MaterialSymbolsData(0xf138, '17mp_filled_outlined');
  static const seventeen_mp_filled_sharp =
      _MaterialSymbolsData(0xf139, '17mp_filled_sharp');
  static const seventeen_mp_filled =
      _MaterialSymbolsData(0xf13a, '17mp_filled');
  static const seventeen_mp_outlined =
      _MaterialSymbolsData(0xf13b, '17mp_outlined');
  static const seventeen_mp_sharp = _MaterialSymbolsData(0xf13c, '17mp_sharp');
  static const seventeen_mp = _MaterialSymbolsData(0xf13d, '17mp');
  static const eighteen_up_rating_filled_outlined =
      _MaterialSymbolsData(0xf13e, '18_up_rating_filled_outlined');
  static const eighteen_up_rating_filled_sharp =
      _MaterialSymbolsData(0xf13f, '18_up_rating_filled_sharp');
  static const eighteen_up_rating_filled =
      _MaterialSymbolsData(0xf140, '18_up_rating_filled');
  static const eighteen_up_rating_outlined =
      _MaterialSymbolsData(0xf141, '18_up_rating_outlined');
  static const eighteen_up_rating_sharp =
      _MaterialSymbolsData(0xf142, '18_up_rating_sharp');
  static const eighteen_up_rating =
      _MaterialSymbolsData(0xf143, '18_up_rating');
  static const eighteenmp_filled_outlined =
      _MaterialSymbolsData(0xf144, '18mp_filled_outlined');
  static const eighteenmp_filled_sharp =
      _MaterialSymbolsData(0xf145, '18mp_filled_sharp');
  static const eighteenmp_filled = _MaterialSymbolsData(0xf146, '18mp_filled');
  static const eighteenmp_outlined =
      _MaterialSymbolsData(0xf147, '18mp_outlined');
  static const eighteenmp_sharp = _MaterialSymbolsData(0xf148, '18mp_sharp');
  static const eighteenmp = _MaterialSymbolsData(0xf149, '18mp');
  static const nineteenmp_filled_outlined =
      _MaterialSymbolsData(0xf14a, '19mp_filled_outlined');
  static const nineteenmp_filled_sharp =
      _MaterialSymbolsData(0xf14b, '19mp_filled_sharp');
  static const nineteenmp_filled = _MaterialSymbolsData(0xf14c, '19mp_filled');
  static const nineteenmp_outlined =
      _MaterialSymbolsData(0xf14d, '19mp_outlined');
  static const nineteenmp_sharp = _MaterialSymbolsData(0xf14e, '19mp_sharp');
  static const nineteenmp = _MaterialSymbolsData(0xf14f, '19mp');
  static const onek_filled_outlined =
      _MaterialSymbolsData(0xf150, '1k_filled_outlined');
  static const onek_filled_sharp =
      _MaterialSymbolsData(0xf151, '1k_filled_sharp');
  static const onek_filled = _MaterialSymbolsData(0xf152, '1k_filled');
  static const onek_outlined = _MaterialSymbolsData(0xf153, '1k_outlined');
  static const onek_plus_filled_outlined =
      _MaterialSymbolsData(0xf154, '1k_plus_filled_outlined');
  static const onek_plus_filled_sharp =
      _MaterialSymbolsData(0xf155, '1k_plus_filled_sharp');
  static const onek_plus_filled =
      _MaterialSymbolsData(0xf156, '1k_plus_filled');
  static const onek_plus_outlined =
      _MaterialSymbolsData(0xf157, '1k_plus_outlined');
  static const onek_plus_sharp = _MaterialSymbolsData(0xf158, '1k_plus_sharp');
  static const onek_plus = _MaterialSymbolsData(0xf159, '1k_plus');
  static const onek_sharp = _MaterialSymbolsData(0xf15a, '1k_sharp');
  static const onek = _MaterialSymbolsData(0xf15b, '1k');
  static const onex_mobiledata_filled_outlined =
      _MaterialSymbolsData(0xf15c, '1x_mobiledata_filled_outlined');
  static const onex_mobiledata_filled_sharp =
      _MaterialSymbolsData(0xf15d, '1x_mobiledata_filled_sharp');
  static const onex_mobiledata_filled =
      _MaterialSymbolsData(0xf15e, '1x_mobiledata_filled');
  static const onex_mobiledata_outlined =
      _MaterialSymbolsData(0xf15f, '1x_mobiledata_outlined');
  static const onex_mobiledata_sharp =
      _MaterialSymbolsData(0xf160, '1x_mobiledata_sharp');
  static const onex_mobiledata = _MaterialSymbolsData(0xf161, '1x_mobiledata');
  static const twentymp_filled_outlined =
      _MaterialSymbolsData(0xf162, '20mp_filled_outlined');
  static const twentymp_filled_sharp =
      _MaterialSymbolsData(0xf163, '20mp_filled_sharp');
  static const twentymp_filled = _MaterialSymbolsData(0xf164, '20mp_filled');
  static const twentymp_outlined =
      _MaterialSymbolsData(0xf165, '20mp_outlined');
  static const twentymp_sharp = _MaterialSymbolsData(0xf166, '20mp_sharp');
  static const twentymp = _MaterialSymbolsData(0xf167, '20mp');
  static const twentyonemp_filled_outlined =
      _MaterialSymbolsData(0xf168, '21mp_filled_outlined');
  static const twentyonemp_filled_sharp =
      _MaterialSymbolsData(0xf169, '21mp_filled_sharp');
  static const twentyonemp_filled = _MaterialSymbolsData(0xf16a, '21mp_filled');
  static const twentyonemp_outlined =
      _MaterialSymbolsData(0xf16b, '21mp_outlined');
  static const twentyonemp_sharp = _MaterialSymbolsData(0xf16c, '21mp_sharp');
  static const twentyonemp = _MaterialSymbolsData(0xf16d, '21mp');
  static const twentytwomp_filled_outlined =
      _MaterialSymbolsData(0xf16e, '22mp_filled_outlined');
  static const twentytwomp_filled_sharp =
      _MaterialSymbolsData(0xf16f, '22mp_filled_sharp');
  static const twentytwomp_filled = _MaterialSymbolsData(0xf170, '22mp_filled');
  static const twentytwomp_outlined =
      _MaterialSymbolsData(0xf171, '22mp_outlined');
  static const twentytwomp_sharp = _MaterialSymbolsData(0xf172, '22mp_sharp');
  static const twentytwomp = _MaterialSymbolsData(0xf173, '22mp');
  static const twentythreemp_filled_outlined =
      _MaterialSymbolsData(0xf174, '23mp_filled_outlined');
  static const twentythreemp_filled_sharp =
      _MaterialSymbolsData(0xf175, '23mp_filled_sharp');
  static const twentythreemp_filled =
      _MaterialSymbolsData(0xf176, '23mp_filled');
  static const twentythreemp_outlined =
      _MaterialSymbolsData(0xf177, '23mp_outlined');
  static const twentythreemp_sharp = _MaterialSymbolsData(0xf178, '23mp_sharp');
  static const twentythreemp = _MaterialSymbolsData(0xf179, '23mp');
  static const twentyfourmp_filled_outlined =
      _MaterialSymbolsData(0xf17a, '24mp_filled_outlined');
  static const twentyfourmp_filled_sharp =
      _MaterialSymbolsData(0xf17b, '24mp_filled_sharp');
  static const twentyfourmp_filled =
      _MaterialSymbolsData(0xf17c, '24mp_filled');
  static const twentyfourmp_outlined =
      _MaterialSymbolsData(0xf17d, '24mp_outlined');
  static const twentyfourmp_sharp = _MaterialSymbolsData(0xf17e, '24mp_sharp');
  static const twentyfourmp = _MaterialSymbolsData(0xf17f, '24mp');
  static const twok_filled_outlined =
      _MaterialSymbolsData(0xf180, '2k_filled_outlined');
  static const twok_filled_sharp =
      _MaterialSymbolsData(0xf181, '2k_filled_sharp');
  static const twok_filled = _MaterialSymbolsData(0xf182, '2k_filled');
  static const twok_outlined = _MaterialSymbolsData(0xf183, '2k_outlined');
  static const twok_plus_filled_outlined =
      _MaterialSymbolsData(0xf184, '2k_plus_filled_outlined');
  static const twok_plus_filled_sharp =
      _MaterialSymbolsData(0xf185, '2k_plus_filled_sharp');
  static const twok_plus_filled =
      _MaterialSymbolsData(0xf186, '2k_plus_filled');
  static const twok_plus_outlined =
      _MaterialSymbolsData(0xf187, '2k_plus_outlined');
  static const twok_plus_sharp = _MaterialSymbolsData(0xf188, '2k_plus_sharp');
  static const twok_plus = _MaterialSymbolsData(0xf189, '2k_plus');
  static const twok_sharp = _MaterialSymbolsData(0xf18a, '2k_sharp');
  static const twok = _MaterialSymbolsData(0xf18b, '2k');
  static const twomp_filled_outlined =
      _MaterialSymbolsData(0xf18c, '2mp_filled_outlined');
  static const twomp_filled_sharp =
      _MaterialSymbolsData(0xf18d, '2mp_filled_sharp');
  static const twomp_filled = _MaterialSymbolsData(0xf18e, '2mp_filled');
  static const twomp_outlined = _MaterialSymbolsData(0xf18f, '2mp_outlined');
  static const twomp_sharp = _MaterialSymbolsData(0xf190, '2mp_sharp');
  static const twomp = _MaterialSymbolsData(0xf191, '2mp');
  static const thirtyfps_filled_outlined =
      _MaterialSymbolsData(0xf192, '30fps_filled_outlined');
  static const thirtyfps_filled_sharp =
      _MaterialSymbolsData(0xf193, '30fps_filled_sharp');
  static const thirtyfps_filled = _MaterialSymbolsData(0xf194, '30fps_filled');
  static const thirtyfps_outlined =
      _MaterialSymbolsData(0xf195, '30fps_outlined');
  static const thirtyfps_select_filled_outlined =
      _MaterialSymbolsData(0xf196, '30fps_select_filled_outlined');
  static const thirtyfps_select_filled_sharp =
      _MaterialSymbolsData(0xf197, '30fps_select_filled_sharp');
  static const thirtyfps_select_filled =
      _MaterialSymbolsData(0xf198, '30fps_select_filled');
  static const thirtyfps_select_outlined =
      _MaterialSymbolsData(0xf199, '30fps_select_outlined');
  static const thirtyfps_select_sharp =
      _MaterialSymbolsData(0xf19a, '30fps_select_sharp');
  static const thirtyfps_select = _MaterialSymbolsData(0xf19b, '30fps_select');
  static const thirtyfps_sharp = _MaterialSymbolsData(0xf19c, '30fps_sharp');
  static const thirtyfps = _MaterialSymbolsData(0xf19d, '30fps');
  static const three_sixty_filled_outlined =
      _MaterialSymbolsData(0xf19e, '360_filled_outlined');
  static const three_sixty_filled_sharp =
      _MaterialSymbolsData(0xf19f, '360_filled_sharp');
  static const three_sixty_filled = _MaterialSymbolsData(0xf1a0, '360_filled');
  static const three_sixty_outlined =
      _MaterialSymbolsData(0xf1a1, '360_outlined');
  static const three_sixty_sharp = _MaterialSymbolsData(0xf1a2, '360_sharp');
  static const threed_rotation_filled_outlined =
      _MaterialSymbolsData(0xf1a3, '3d_rotation_filled_outlined');
  static const threed_rotation_filled_sharp =
      _MaterialSymbolsData(0xf1a4, '3d_rotation_filled_sharp');
  static const threed_rotation_filled =
      _MaterialSymbolsData(0xf1a5, '3d_rotation_filled');
  static const threed_rotation_outlined =
      _MaterialSymbolsData(0xf1a6, '3d_rotation_outlined');
  static const threed_rotation_sharp =
      _MaterialSymbolsData(0xf1a7, '3d_rotation_sharp');
  static const threed_rotation = _MaterialSymbolsData(0xf1a8, '3d_rotation');
  static const threeg_mobiledata_filled_outlined =
      _MaterialSymbolsData(0xf1a9, '3g_mobiledata_filled_outlined');
  static const threeg_mobiledata_filled_sharp =
      _MaterialSymbolsData(0xf1aa, '3g_mobiledata_filled_sharp');
  static const threeg_mobiledata_filled =
      _MaterialSymbolsData(0xf1ab, '3g_mobiledata_filled');
  static const threeg_mobiledata_outlined =
      _MaterialSymbolsData(0xf1ac, '3g_mobiledata_outlined');
  static const threeg_mobiledata_sharp =
      _MaterialSymbolsData(0xf1ad, '3g_mobiledata_sharp');
  static const threeg_mobiledata =
      _MaterialSymbolsData(0xf1ae, '3g_mobiledata');
  static const threek_filled_outlined =
      _MaterialSymbolsData(0xf1af, '3k_filled_outlined');
  static const threek_filled_sharp =
      _MaterialSymbolsData(0xf1b0, '3k_filled_sharp');
  static const threek_filled = _MaterialSymbolsData(0xf1b1, '3k_filled');
  static const threek_outlined = _MaterialSymbolsData(0xf1b2, '3k_outlined');
  static const threek_plus_filled_outlined =
      _MaterialSymbolsData(0xf1b3, '3k_plus_filled_outlined');
  static const threek_plus_filled_sharp =
      _MaterialSymbolsData(0xf1b4, '3k_plus_filled_sharp');
  static const threek_plus_filled =
      _MaterialSymbolsData(0xf1b5, '3k_plus_filled');
  static const threek_plus_outlined =
      _MaterialSymbolsData(0xf1b6, '3k_plus_outlined');
  static const threek_plus_sharp =
      _MaterialSymbolsData(0xf1b7, '3k_plus_sharp');
  static const threek_plus = _MaterialSymbolsData(0xf1b8, '3k_plus');
  static const threek_sharp = _MaterialSymbolsData(0xf1b9, '3k_sharp');
  static const threek = _MaterialSymbolsData(0xf1ba, '3k');
  static const threemp_filled_outlined =
      _MaterialSymbolsData(0xf1bb, '3mp_filled_outlined');
  static const threemp_filled_sharp =
      _MaterialSymbolsData(0xf1bc, '3mp_filled_sharp');
  static const threemp_filled = _MaterialSymbolsData(0xf1bd, '3mp_filled');
  static const threemp_outlined = _MaterialSymbolsData(0xf1be, '3mp_outlined');
  static const threemp_sharp = _MaterialSymbolsData(0xf1bf, '3mp_sharp');
  static const threemp = _MaterialSymbolsData(0xf1c0, '3mp');
  static const threep_filled_outlined =
      _MaterialSymbolsData(0xf1c1, '3p_filled_outlined');
  static const threep_filled_sharp =
      _MaterialSymbolsData(0xf1c2, '3p_filled_sharp');
  static const threep_filled = _MaterialSymbolsData(0xf1c3, '3p_filled');
  static const threep_outlined = _MaterialSymbolsData(0xf1c4, '3p_outlined');
  static const threep_sharp = _MaterialSymbolsData(0xf1c5, '3p_sharp');
  static const threep = _MaterialSymbolsData(0xf1c6, '3p');
  static const fourg_mobiledata_filled_outlined =
      _MaterialSymbolsData(0xf1c7, '4g_mobiledata_filled_outlined');
  static const fourg_mobiledata_filled_sharp =
      _MaterialSymbolsData(0xf1c8, '4g_mobiledata_filled_sharp');
  static const fourg_mobiledata_filled =
      _MaterialSymbolsData(0xf1c9, '4g_mobiledata_filled');
  static const fourg_mobiledata_outlined =
      _MaterialSymbolsData(0xf1ca, '4g_mobiledata_outlined');
  static const fourg_mobiledata_sharp =
      _MaterialSymbolsData(0xf1cb, '4g_mobiledata_sharp');
  static const fourg_mobiledata = _MaterialSymbolsData(0xf1cc, '4g_mobiledata');
  static const fourg_plus_mobiledata_filled_outlined =
      _MaterialSymbolsData(0xf1cd, '4g_plus_mobiledata_filled_outlined');
  static const fourg_plus_mobiledata_filled_sharp =
      _MaterialSymbolsData(0xf1ce, '4g_plus_mobiledata_filled_sharp');
  static const fourg_plus_mobiledata_filled =
      _MaterialSymbolsData(0xf1cf, '4g_plus_mobiledata_filled');
  static const fourg_plus_mobiledata_outlined =
      _MaterialSymbolsData(0xf1d0, '4g_plus_mobiledata_outlined');
  static const fourg_plus_mobiledata_sharp =
      _MaterialSymbolsData(0xf1d1, '4g_plus_mobiledata_sharp');
  static const fourg_plus_mobiledata =
      _MaterialSymbolsData(0xf1d2, '4g_plus_mobiledata');
  static const fourk_filled_outlined =
      _MaterialSymbolsData(0xf1d3, '4k_filled_outlined');
  static const fourk_filled_sharp =
      _MaterialSymbolsData(0xf1d4, '4k_filled_sharp');
  static const fourk_filled = _MaterialSymbolsData(0xf1d5, '4k_filled');
  static const fourk_outlined = _MaterialSymbolsData(0xf1d6, '4k_outlined');
  static const fourk_plus_filled_outlined =
      _MaterialSymbolsData(0xf1d7, '4k_plus_filled_outlined');
  static const fourk_plus_filled_sharp =
      _MaterialSymbolsData(0xf1d8, '4k_plus_filled_sharp');
  static const fourk_plus_filled =
      _MaterialSymbolsData(0xf1d9, '4k_plus_filled');
  static const fourk_plus_outlined =
      _MaterialSymbolsData(0xf1da, '4k_plus_outlined');
  static const fourk_plus_sharp = _MaterialSymbolsData(0xf1db, '4k_plus_sharp');
  static const fourk_plus = _MaterialSymbolsData(0xf1dc, '4k_plus');
  static const fourk_sharp = _MaterialSymbolsData(0xf1dd, '4k_sharp');
  static const fourk = _MaterialSymbolsData(0xf1de, '4k');
  static const fourmp_filled_outlined =
      _MaterialSymbolsData(0xf1df, '4mp_filled_outlined');
  static const fourmp_filled_sharp =
      _MaterialSymbolsData(0xf1e0, '4mp_filled_sharp');
  static const fourmp_filled = _MaterialSymbolsData(0xf1e1, '4mp_filled');
  static const fourmp_outlined = _MaterialSymbolsData(0xf1e2, '4mp_outlined');
  static const fourmp_sharp = _MaterialSymbolsData(0xf1e3, '4mp_sharp');
  static const fourmp = _MaterialSymbolsData(0xf1e4, '4mp');
  static const fiveg_filled_outlined =
      _MaterialSymbolsData(0xf1e5, '5g_filled_outlined');
  static const fiveg_filled_sharp =
      _MaterialSymbolsData(0xf1e6, '5g_filled_sharp');
  static const fiveg_filled = _MaterialSymbolsData(0xf1e7, '5g_filled');
  static const fiveg_outlined = _MaterialSymbolsData(0xf1e8, '5g_outlined');
  static const fiveg_sharp = _MaterialSymbolsData(0xf1e9, '5g_sharp');
  static const fiveg = _MaterialSymbolsData(0xf1ea, '5g');
  static const fivek_filled_outlined =
      _MaterialSymbolsData(0xf1eb, '5k_filled_outlined');
  static const fivek_filled_sharp =
      _MaterialSymbolsData(0xf1ec, '5k_filled_sharp');
  static const fivek_filled = _MaterialSymbolsData(0xf1ed, '5k_filled');
  static const fivek_outlined = _MaterialSymbolsData(0xf1ee, '5k_outlined');
  static const fivek_plus_filled_outlined =
      _MaterialSymbolsData(0xf1ef, '5k_plus_filled_outlined');
  static const fivek_plus_filled_sharp =
      _MaterialSymbolsData(0xf1f0, '5k_plus_filled_sharp');
  static const fivek_plus_filled =
      _MaterialSymbolsData(0xf1f1, '5k_plus_filled');
  static const fivek_plus_outlined =
      _MaterialSymbolsData(0xf1f2, '5k_plus_outlined');
  static const fivek_plus_sharp = _MaterialSymbolsData(0xf1f3, '5k_plus_sharp');
  static const fivek_plus = _MaterialSymbolsData(0xf1f4, '5k_plus');
  static const fivek_sharp = _MaterialSymbolsData(0xf1f5, '5k_sharp');
  static const fivek = _MaterialSymbolsData(0xf1f6, '5k');
  static const fivemp_filled_outlined =
      _MaterialSymbolsData(0xf1f7, '5mp_filled_outlined');
  static const fivemp_filled_sharp =
      _MaterialSymbolsData(0xf1f8, '5mp_filled_sharp');
  static const fivemp_filled = _MaterialSymbolsData(0xf1f9, '5mp_filled');
  static const fivemp_outlined = _MaterialSymbolsData(0xf1fa, '5mp_outlined');
  static const fivemp_sharp = _MaterialSymbolsData(0xf1fb, '5mp_sharp');
  static const fivemp = _MaterialSymbolsData(0xf1fc, '5mp');
  static const six_ft_apart_filled_outlined =
      _MaterialSymbolsData(0xf1fd, '6_ft_apart_filled_outlined');
  static const six_ft_apart_filled_sharp =
      _MaterialSymbolsData(0xf1fe, '6_ft_apart_filled_sharp');
  static const six_ft_apart_filled =
      _MaterialSymbolsData(0xf1ff, '6_ft_apart_filled');
  static const six_ft_apart_outlined =
      _MaterialSymbolsData(0xf200, '6_ft_apart_outlined');
  static const six_ft_apart_sharp =
      _MaterialSymbolsData(0xf201, '6_ft_apart_sharp');
  static const six_ft_apart = _MaterialSymbolsData(0xf202, '6_ft_apart');
  static const sixtyfps_filled_outlined =
      _MaterialSymbolsData(0xf203, '60fps_filled_outlined');
  static const sixtyfps_filled_sharp =
      _MaterialSymbolsData(0xf204, '60fps_filled_sharp');
  static const sixtyfps_filled = _MaterialSymbolsData(0xf205, '60fps_filled');
  static const sixtyfps_outlined =
      _MaterialSymbolsData(0xf206, '60fps_outlined');
  static const sixtyfps_select_filled_outlined =
      _MaterialSymbolsData(0xf207, '60fps_select_filled_outlined');
  static const sixtyfps_select_filled_sharp =
      _MaterialSymbolsData(0xf208, '60fps_select_filled_sharp');
  static const sixtyfps_select_filled =
      _MaterialSymbolsData(0xf209, '60fps_select_filled');
  static const sixtyfps_select_outlined =
      _MaterialSymbolsData(0xf20a, '60fps_select_outlined');
  static const sixtyfps_select_sharp =
      _MaterialSymbolsData(0xf20b, '60fps_select_sharp');
  static const sixtyfps_select = _MaterialSymbolsData(0xf20c, '60fps_select');
  static const sixtyfps_sharp = _MaterialSymbolsData(0xf20d, '60fps_sharp');
  static const sixtyfps = _MaterialSymbolsData(0xf20e, '60fps');
  static const sixk_filled_outlined =
      _MaterialSymbolsData(0xf20f, '6k_filled_outlined');
  static const sixk_filled_sharp =
      _MaterialSymbolsData(0xf210, '6k_filled_sharp');
  static const sixk_filled = _MaterialSymbolsData(0xf211, '6k_filled');
  static const sixk_outlined = _MaterialSymbolsData(0xf212, '6k_outlined');
  static const sixk_plus_filled_outlined =
      _MaterialSymbolsData(0xf213, '6k_plus_filled_outlined');
  static const sixk_plus_filled_sharp =
      _MaterialSymbolsData(0xf214, '6k_plus_filled_sharp');
  static const sixk_plus_filled =
      _MaterialSymbolsData(0xf215, '6k_plus_filled');
  static const sixk_plus_outlined =
      _MaterialSymbolsData(0xf216, '6k_plus_outlined');
  static const sixk_plus_sharp = _MaterialSymbolsData(0xf217, '6k_plus_sharp');
  static const sixk_plus = _MaterialSymbolsData(0xf218, '6k_plus');
  static const sixk_sharp = _MaterialSymbolsData(0xf219, '6k_sharp');
  static const sixk = _MaterialSymbolsData(0xf21a, '6k');
  static const sixmp_filled_outlined =
      _MaterialSymbolsData(0xf21b, '6mp_filled_outlined');
  static const sixmp_filled_sharp =
      _MaterialSymbolsData(0xf21c, '6mp_filled_sharp');
  static const sixmp_filled = _MaterialSymbolsData(0xf21d, '6mp_filled');
  static const sixmp_outlined = _MaterialSymbolsData(0xf21e, '6mp_outlined');
  static const sixmp_sharp = _MaterialSymbolsData(0xf21f, '6mp_sharp');
  static const sixmp = _MaterialSymbolsData(0xf220, '6mp');
  static const sevenk_filled_outlined =
      _MaterialSymbolsData(0xf221, '7k_filled_outlined');
  static const sevenk_filled_sharp =
      _MaterialSymbolsData(0xf222, '7k_filled_sharp');
  static const sevenk_filled = _MaterialSymbolsData(0xf223, '7k_filled');
  static const sevenk_outlined = _MaterialSymbolsData(0xf224, '7k_outlined');
  static const sevenk_plus_filled_outlined =
      _MaterialSymbolsData(0xf225, '7k_plus_filled_outlined');
  static const sevenk_plus_filled_sharp =
      _MaterialSymbolsData(0xf226, '7k_plus_filled_sharp');
  static const sevenk_plus_filled =
      _MaterialSymbolsData(0xf227, '7k_plus_filled');
  static const sevenk_plus_outlined =
      _MaterialSymbolsData(0xf228, '7k_plus_outlined');
  static const sevenk_plus_sharp =
      _MaterialSymbolsData(0xf229, '7k_plus_sharp');
  static const sevenk_plus = _MaterialSymbolsData(0xf22a, '7k_plus');
  static const sevenk_sharp = _MaterialSymbolsData(0xf22b, '7k_sharp');
  static const sevenk = _MaterialSymbolsData(0xf22c, '7k');
  static const sevenmp_filled_outlined =
      _MaterialSymbolsData(0xf22d, '7mp_filled_outlined');
  static const sevenmp_filled_sharp =
      _MaterialSymbolsData(0xf22e, '7mp_filled_sharp');
  static const sevenmp_filled = _MaterialSymbolsData(0xf22f, '7mp_filled');
  static const sevenmp_outlined = _MaterialSymbolsData(0xf230, '7mp_outlined');
  static const sevenmp_sharp = _MaterialSymbolsData(0xf231, '7mp_sharp');
  static const sevenmp = _MaterialSymbolsData(0xf232, '7mp');
  static const eightk_filled_outlined =
      _MaterialSymbolsData(0xf233, '8k_filled_outlined');
  static const eightk_filled_sharp =
      _MaterialSymbolsData(0xf234, '8k_filled_sharp');
  static const eightk_filled = _MaterialSymbolsData(0xf235, '8k_filled');
  static const eightk_outlined = _MaterialSymbolsData(0xf236, '8k_outlined');
  static const eightk_plus_filled_outlined =
      _MaterialSymbolsData(0xf237, '8k_plus_filled_outlined');
  static const eightk_plus_filled_sharp =
      _MaterialSymbolsData(0xf238, '8k_plus_filled_sharp');
  static const eightk_plus_filled =
      _MaterialSymbolsData(0xf239, '8k_plus_filled');
  static const eightk_plus_outlined =
      _MaterialSymbolsData(0xf23a, '8k_plus_outlined');
  static const eightk_plus_sharp =
      _MaterialSymbolsData(0xf23b, '8k_plus_sharp');
  static const eightk_plus = _MaterialSymbolsData(0xf23c, '8k_plus');
  static const eightk_sharp = _MaterialSymbolsData(0xf23d, '8k_sharp');
  static const eightk = _MaterialSymbolsData(0xf23e, '8k');
  static const eightmp_filled_outlined =
      _MaterialSymbolsData(0xf23f, '8mp_filled_outlined');
  static const eightmp_filled_sharp =
      _MaterialSymbolsData(0xf240, '8mp_filled_sharp');
  static const eightmp_filled = _MaterialSymbolsData(0xf241, '8mp_filled');
  static const eightmp_outlined = _MaterialSymbolsData(0xf242, '8mp_outlined');
  static const eightmp_sharp = _MaterialSymbolsData(0xf243, '8mp_sharp');
  static const eightmp = _MaterialSymbolsData(0xf244, '8mp');
  static const ninek_filled_outlined =
      _MaterialSymbolsData(0xf245, '9k_filled_outlined');
  static const ninek_filled_sharp =
      _MaterialSymbolsData(0xf246, '9k_filled_sharp');
  static const ninek_filled = _MaterialSymbolsData(0xf247, '9k_filled');
  static const ninek_outlined = _MaterialSymbolsData(0xf248, '9k_outlined');
  static const ninek_plus_filled_outlined =
      _MaterialSymbolsData(0xf249, '9k_plus_filled_outlined');
  static const ninek_plus_filled_sharp =
      _MaterialSymbolsData(0xf24a, '9k_plus_filled_sharp');
  static const ninek_plus_filled =
      _MaterialSymbolsData(0xf24b, '9k_plus_filled');
  static const ninek_plus_outlined =
      _MaterialSymbolsData(0xf24c, '9k_plus_outlined');
  static const ninek_plus_sharp = _MaterialSymbolsData(0xf24d, '9k_plus_sharp');
  static const ninek_plus = _MaterialSymbolsData(0xf24e, '9k_plus');
  static const ninek_sharp = _MaterialSymbolsData(0xf24f, '9k_sharp');
  static const ninek = _MaterialSymbolsData(0xf250, '9k');
  static const ninemp_filled_outlined =
      _MaterialSymbolsData(0xf251, '9mp_filled_outlined');
  static const ninemp_filled_sharp =
      _MaterialSymbolsData(0xf252, '9mp_filled_sharp');
  static const ninemp_filled = _MaterialSymbolsData(0xf253, '9mp_filled');
  static const ninemp_outlined = _MaterialSymbolsData(0xf254, '9mp_outlined');
  static const ninemp_sharp = _MaterialSymbolsData(0xf255, '9mp_sharp');
  static const ninemp = _MaterialSymbolsData(0xf256, '9mp');
  static const abc_filled_outlined =
      _MaterialSymbolsData(0xf257, 'abc_filled_outlined');
  static const abc_filled_sharp =
      _MaterialSymbolsData(0xf258, 'abc_filled_sharp');
  static const abc_filled = _MaterialSymbolsData(0xf259, 'abc_filled');
  static const abc_outlined = _MaterialSymbolsData(0xf25a, 'abc_outlined');
  static const abc_sharp = _MaterialSymbolsData(0xf25b, 'abc_sharp');
  static const abc = _MaterialSymbolsData(0xf25c, 'abc');
  static const ac_unit_filled_outlined =
      _MaterialSymbolsData(0xf25d, 'ac_unit_filled_outlined');
  static const ac_unit_filled_sharp =
      _MaterialSymbolsData(0xf25e, 'ac_unit_filled_sharp');
  static const ac_unit_filled = _MaterialSymbolsData(0xf25f, 'ac_unit_filled');
  static const ac_unit_outlined =
      _MaterialSymbolsData(0xf260, 'ac_unit_outlined');
  static const ac_unit_sharp = _MaterialSymbolsData(0xf261, 'ac_unit_sharp');
  static const ac_unit = _MaterialSymbolsData(0xf262, 'ac_unit');
  static const accessibility_filled_outlined =
      _MaterialSymbolsData(0xf263, 'accessibility_filled_outlined');
  static const accessibility_filled_sharp =
      _MaterialSymbolsData(0xf264, 'accessibility_filled_sharp');
  static const accessibility_filled =
      _MaterialSymbolsData(0xf265, 'accessibility_filled');
  static const accessibility_new_filled_outlined =
      _MaterialSymbolsData(0xf266, 'accessibility_new_filled_outlined');
  static const accessibility_new_filled_sharp =
      _MaterialSymbolsData(0xf267, 'accessibility_new_filled_sharp');
  static const accessibility_new_filled =
      _MaterialSymbolsData(0xf268, 'accessibility_new_filled');
  static const accessibility_new_outlined =
      _MaterialSymbolsData(0xf269, 'accessibility_new_outlined');
  static const accessibility_new_sharp =
      _MaterialSymbolsData(0xf26a, 'accessibility_new_sharp');
  static const accessibility_new =
      _MaterialSymbolsData(0xf26b, 'accessibility_new');
  static const accessibility_outlined =
      _MaterialSymbolsData(0xf26c, 'accessibility_outlined');
  static const accessibility_sharp =
      _MaterialSymbolsData(0xf26d, 'accessibility_sharp');
  static const accessibility = _MaterialSymbolsData(0xf26e, 'accessibility');
  static const accessible_filled_outlined =
      _MaterialSymbolsData(0xf26f, 'accessible_filled_outlined');
  static const accessible_filled_sharp =
      _MaterialSymbolsData(0xf270, 'accessible_filled_sharp');
  static const accessible_filled =
      _MaterialSymbolsData(0xf271, 'accessible_filled');
  static const accessible_forward_filled_outlined =
      _MaterialSymbolsData(0xf272, 'accessible_forward_filled_outlined');
  static const accessible_forward_filled_sharp =
      _MaterialSymbolsData(0xf273, 'accessible_forward_filled_sharp');
  static const accessible_forward_filled =
      _MaterialSymbolsData(0xf274, 'accessible_forward_filled');
  static const accessible_forward_outlined =
      _MaterialSymbolsData(0xf275, 'accessible_forward_outlined');
  static const accessible_forward_sharp =
      _MaterialSymbolsData(0xf276, 'accessible_forward_sharp');
  static const accessible_forward =
      _MaterialSymbolsData(0xf277, 'accessible_forward');
  static const accessible_outlined =
      _MaterialSymbolsData(0xf278, 'accessible_outlined');
  static const accessible_sharp =
      _MaterialSymbolsData(0xf279, 'accessible_sharp');
  static const accessible = _MaterialSymbolsData(0xf27a, 'accessible');
  static const account_balance_filled_outlined =
      _MaterialSymbolsData(0xf27b, 'account_balance_filled_outlined');
  static const account_balance_filled_sharp =
      _MaterialSymbolsData(0xf27c, 'account_balance_filled_sharp');
  static const account_balance_filled =
      _MaterialSymbolsData(0xf27d, 'account_balance_filled');
  static const account_balance_outlined =
      _MaterialSymbolsData(0xf27e, 'account_balance_outlined');
  static const account_balance_sharp =
      _MaterialSymbolsData(0xf27f, 'account_balance_sharp');
  static const account_balance_wallet_filled_outlined =
      _MaterialSymbolsData(0xf280, 'account_balance_wallet_filled_outlined');
  static const account_balance_wallet_filled_sharp =
      _MaterialSymbolsData(0xf281, 'account_balance_wallet_filled_sharp');
  static const account_balance_wallet_filled =
      _MaterialSymbolsData(0xf282, 'account_balance_wallet_filled');
  static const account_balance_wallet_outlined =
      _MaterialSymbolsData(0xf283, 'account_balance_wallet_outlined');
  static const account_balance_wallet_sharp =
      _MaterialSymbolsData(0xf284, 'account_balance_wallet_sharp');
  static const account_balance_wallet =
      _MaterialSymbolsData(0xf285, 'account_balance_wallet');
  static const account_balance =
      _MaterialSymbolsData(0xf286, 'account_balance');
  static const account_box_filled_outlined =
      _MaterialSymbolsData(0xf287, 'account_box_filled_outlined');
  static const account_box_filled_sharp =
      _MaterialSymbolsData(0xf288, 'account_box_filled_sharp');
  static const account_box_filled =
      _MaterialSymbolsData(0xf289, 'account_box_filled');
  static const account_box_outlined =
      _MaterialSymbolsData(0xf28a, 'account_box_outlined');
  static const account_box_sharp =
      _MaterialSymbolsData(0xf28b, 'account_box_sharp');
  static const account_box = _MaterialSymbolsData(0xf28c, 'account_box');
  static const account_circle_filled_outlined =
      _MaterialSymbolsData(0xf28d, 'account_circle_filled_outlined');
  static const account_circle_filled_sharp =
      _MaterialSymbolsData(0xf28e, 'account_circle_filled_sharp');
  static const account_circle_filled =
      _MaterialSymbolsData(0xf28f, 'account_circle_filled');
  static const account_circle_outlined =
      _MaterialSymbolsData(0xf290, 'account_circle_outlined');
  static const account_circle_sharp =
      _MaterialSymbolsData(0xf291, 'account_circle_sharp');
  static const account_circle = _MaterialSymbolsData(0xf292, 'account_circle');
  static const account_tree_filled_outlined =
      _MaterialSymbolsData(0xf293, 'account_tree_filled_outlined');
  static const account_tree_filled_sharp =
      _MaterialSymbolsData(0xf294, 'account_tree_filled_sharp');
  static const account_tree_filled =
      _MaterialSymbolsData(0xf295, 'account_tree_filled');
  static const account_tree_outlined =
      _MaterialSymbolsData(0xf296, 'account_tree_outlined');
  static const account_tree_sharp =
      _MaterialSymbolsData(0xf297, 'account_tree_sharp');
  static const account_tree = _MaterialSymbolsData(0xf298, 'account_tree');
  static const activity_zone_filled_outlined =
      _MaterialSymbolsData(0xf299, 'activity_zone_filled_outlined');
  static const activity_zone_filled_sharp =
      _MaterialSymbolsData(0xf29a, 'activity_zone_filled_sharp');
  static const activity_zone_filled =
      _MaterialSymbolsData(0xf29b, 'activity_zone_filled');
  static const activity_zone_outlined =
      _MaterialSymbolsData(0xf29c, 'activity_zone_outlined');
  static const activity_zone_sharp =
      _MaterialSymbolsData(0xf29d, 'activity_zone_sharp');
  static const activity_zone = _MaterialSymbolsData(0xf29e, 'activity_zone');
  static const acute_filled_outlined =
      _MaterialSymbolsData(0xf29f, 'acute_filled_outlined');
  static const acute_filled_sharp =
      _MaterialSymbolsData(0xf2a0, 'acute_filled_sharp');
  static const acute_filled = _MaterialSymbolsData(0xf2a1, 'acute_filled');
  static const acute_outlined = _MaterialSymbolsData(0xf2a2, 'acute_outlined');
  static const acute_sharp = _MaterialSymbolsData(0xf2a3, 'acute_sharp');
  static const acute = _MaterialSymbolsData(0xf2a4, 'acute');
  static const ad_units_filled_outlined =
      _MaterialSymbolsData(0xf2a5, 'ad_units_filled_outlined');
  static const ad_units_filled_sharp =
      _MaterialSymbolsData(0xf2a6, 'ad_units_filled_sharp');
  static const ad_units_filled =
      _MaterialSymbolsData(0xf2a7, 'ad_units_filled');
  static const ad_units_outlined =
      _MaterialSymbolsData(0xf2a8, 'ad_units_outlined');
  static const ad_units_sharp = _MaterialSymbolsData(0xf2a9, 'ad_units_sharp');
  static const ad_units = _MaterialSymbolsData(0xf2aa, 'ad_units');
  static const adb_filled_outlined =
      _MaterialSymbolsData(0xf2ab, 'adb_filled_outlined');
  static const adb_filled_sharp =
      _MaterialSymbolsData(0xf2ac, 'adb_filled_sharp');
  static const adb_filled = _MaterialSymbolsData(0xf2ad, 'adb_filled');
  static const adb_outlined = _MaterialSymbolsData(0xf2ae, 'adb_outlined');
  static const adb_sharp = _MaterialSymbolsData(0xf2af, 'adb_sharp');
  static const adb = _MaterialSymbolsData(0xf2b0, 'adb');
  static const add_a_photo_filled_outlined =
      _MaterialSymbolsData(0xf2b1, 'add_a_photo_filled_outlined');
  static const add_a_photo_filled_sharp =
      _MaterialSymbolsData(0xf2b2, 'add_a_photo_filled_sharp');
  static const add_a_photo_filled =
      _MaterialSymbolsData(0xf2b3, 'add_a_photo_filled');
  static const add_a_photo_outlined =
      _MaterialSymbolsData(0xf2b4, 'add_a_photo_outlined');
  static const add_a_photo_sharp =
      _MaterialSymbolsData(0xf2b5, 'add_a_photo_sharp');
  static const add_a_photo = _MaterialSymbolsData(0xf2b6, 'add_a_photo');
  static const add_alert_filled_outlined =
      _MaterialSymbolsData(0xf2b7, 'add_alert_filled_outlined');
  static const add_alert_filled_sharp =
      _MaterialSymbolsData(0xf2b8, 'add_alert_filled_sharp');
  static const add_alert_filled =
      _MaterialSymbolsData(0xf2b9, 'add_alert_filled');
  static const add_alert_outlined =
      _MaterialSymbolsData(0xf2ba, 'add_alert_outlined');
  static const add_alert_sharp =
      _MaterialSymbolsData(0xf2bb, 'add_alert_sharp');
  static const add_alert = _MaterialSymbolsData(0xf2bc, 'add_alert');
  static const add_box_filled_outlined =
      _MaterialSymbolsData(0xf2bd, 'add_box_filled_outlined');
  static const add_box_filled_sharp =
      _MaterialSymbolsData(0xf2be, 'add_box_filled_sharp');
  static const add_box_filled = _MaterialSymbolsData(0xf2bf, 'add_box_filled');
  static const add_box_outlined =
      _MaterialSymbolsData(0xf2c0, 'add_box_outlined');
  static const add_box_sharp = _MaterialSymbolsData(0xf2c1, 'add_box_sharp');
  static const add_box = _MaterialSymbolsData(0xf2c2, 'add_box');
  static const add_business_filled_outlined =
      _MaterialSymbolsData(0xf2c3, 'add_business_filled_outlined');
  static const add_business_filled_sharp =
      _MaterialSymbolsData(0xf2c4, 'add_business_filled_sharp');
  static const add_business_filled =
      _MaterialSymbolsData(0xf2c5, 'add_business_filled');
  static const add_business_outlined =
      _MaterialSymbolsData(0xf2c6, 'add_business_outlined');
  static const add_business_sharp =
      _MaterialSymbolsData(0xf2c7, 'add_business_sharp');
  static const add_business = _MaterialSymbolsData(0xf2c8, 'add_business');
  static const add_call_filled_outlined =
      _MaterialSymbolsData(0xf2c9, 'add_call_filled_outlined');
  static const add_call_filled_sharp =
      _MaterialSymbolsData(0xf2ca, 'add_call_filled_sharp');
  static const add_call_filled =
      _MaterialSymbolsData(0xf2cb, 'add_call_filled');
  static const add_call_outlined =
      _MaterialSymbolsData(0xf2cc, 'add_call_outlined');
  static const add_call_sharp = _MaterialSymbolsData(0xf2cd, 'add_call_sharp');
  static const add_call = _MaterialSymbolsData(0xf2ce, 'add_call');
  static const add_card_filled_outlined =
      _MaterialSymbolsData(0xf2cf, 'add_card_filled_outlined');
  static const add_card_filled_sharp =
      _MaterialSymbolsData(0xf2d0, 'add_card_filled_sharp');
  static const add_card_filled =
      _MaterialSymbolsData(0xf2d1, 'add_card_filled');
  static const add_card_outlined =
      _MaterialSymbolsData(0xf2d2, 'add_card_outlined');
  static const add_card_sharp = _MaterialSymbolsData(0xf2d3, 'add_card_sharp');
  static const add_card = _MaterialSymbolsData(0xf2d4, 'add_card');
  static const add_chart_filled_outlined =
      _MaterialSymbolsData(0xf2d5, 'add_chart_filled_outlined');
  static const add_chart_filled_sharp =
      _MaterialSymbolsData(0xf2d6, 'add_chart_filled_sharp');
  static const add_chart_filled =
      _MaterialSymbolsData(0xf2d7, 'add_chart_filled');
  static const add_chart_outlined =
      _MaterialSymbolsData(0xf2d8, 'add_chart_outlined');
  static const add_chart_sharp =
      _MaterialSymbolsData(0xf2d9, 'add_chart_sharp');
  static const add_chart = _MaterialSymbolsData(0xf2da, 'add_chart');
  static const add_circle_filled_outlined =
      _MaterialSymbolsData(0xf2db, 'add_circle_filled_outlined');
  static const add_circle_filled_sharp =
      _MaterialSymbolsData(0xf2dc, 'add_circle_filled_sharp');
  static const add_circle_filled =
      _MaterialSymbolsData(0xf2dd, 'add_circle_filled');
  static const add_circle_outlined =
      _MaterialSymbolsData(0xf2de, 'add_circle_outlined');
  static const add_circle_sharp =
      _MaterialSymbolsData(0xf2df, 'add_circle_sharp');
  static const add_circle = _MaterialSymbolsData(0xf2e0, 'add_circle');
  static const add_comment_filled_outlined =
      _MaterialSymbolsData(0xf2e1, 'add_comment_filled_outlined');
  static const add_comment_filled_sharp =
      _MaterialSymbolsData(0xf2e2, 'add_comment_filled_sharp');
  static const add_comment_filled =
      _MaterialSymbolsData(0xf2e3, 'add_comment_filled');
  static const add_comment_outlined =
      _MaterialSymbolsData(0xf2e4, 'add_comment_outlined');
  static const add_comment_sharp =
      _MaterialSymbolsData(0xf2e5, 'add_comment_sharp');
  static const add_comment = _MaterialSymbolsData(0xf2e6, 'add_comment');
  static const add_filled_outlined =
      _MaterialSymbolsData(0xf2e7, 'add_filled_outlined');
  static const add_filled_sharp =
      _MaterialSymbolsData(0xf2e8, 'add_filled_sharp');
  static const add_filled = _MaterialSymbolsData(0xf2e9, 'add_filled');
  static const add_home_filled_outlined =
      _MaterialSymbolsData(0xf2ea, 'add_home_filled_outlined');
  static const add_home_filled_sharp =
      _MaterialSymbolsData(0xf2eb, 'add_home_filled_sharp');
  static const add_home_filled =
      _MaterialSymbolsData(0xf2ec, 'add_home_filled');
  static const add_home_outlined =
      _MaterialSymbolsData(0xf2ed, 'add_home_outlined');
  static const add_home_sharp = _MaterialSymbolsData(0xf2ee, 'add_home_sharp');
  static const add_home_work_filled_outlined =
      _MaterialSymbolsData(0xf2ef, 'add_home_work_filled_outlined');
  static const add_home_work_filled_sharp =
      _MaterialSymbolsData(0xf2f0, 'add_home_work_filled_sharp');
  static const add_home_work_filled =
      _MaterialSymbolsData(0xf2f1, 'add_home_work_filled');
  static const add_home_work_outlined =
      _MaterialSymbolsData(0xf2f2, 'add_home_work_outlined');
  static const add_home_work_sharp =
      _MaterialSymbolsData(0xf2f3, 'add_home_work_sharp');
  static const add_home_work = _MaterialSymbolsData(0xf2f4, 'add_home_work');
  static const add_home = _MaterialSymbolsData(0xf2f5, 'add_home');
  static const add_link_filled_outlined =
      _MaterialSymbolsData(0xf2f6, 'add_link_filled_outlined');
  static const add_link_filled_sharp =
      _MaterialSymbolsData(0xf2f7, 'add_link_filled_sharp');
  static const add_link_filled =
      _MaterialSymbolsData(0xf2f8, 'add_link_filled');
  static const add_link_outlined =
      _MaterialSymbolsData(0xf2f9, 'add_link_outlined');
  static const add_link_sharp = _MaterialSymbolsData(0xf2fa, 'add_link_sharp');
  static const add_link = _MaterialSymbolsData(0xf2fb, 'add_link');
  static const add_location_alt_filled_outlined =
      _MaterialSymbolsData(0xf2fc, 'add_location_alt_filled_outlined');
  static const add_location_alt_filled_sharp =
      _MaterialSymbolsData(0xf2fd, 'add_location_alt_filled_sharp');
  static const add_location_alt_filled =
      _MaterialSymbolsData(0xf2fe, 'add_location_alt_filled');
  static const add_location_alt_outlined =
      _MaterialSymbolsData(0xf2ff, 'add_location_alt_outlined');
  static const add_location_alt_sharp =
      _MaterialSymbolsData(0xf300, 'add_location_alt_sharp');
  static const add_location_alt =
      _MaterialSymbolsData(0xf301, 'add_location_alt');
  static const add_location_filled_outlined =
      _MaterialSymbolsData(0xf302, 'add_location_filled_outlined');
  static const add_location_filled_sharp =
      _MaterialSymbolsData(0xf303, 'add_location_filled_sharp');
  static const add_location_filled =
      _MaterialSymbolsData(0xf304, 'add_location_filled');
  static const add_location_outlined =
      _MaterialSymbolsData(0xf305, 'add_location_outlined');
  static const add_location_sharp =
      _MaterialSymbolsData(0xf306, 'add_location_sharp');
  static const add_location = _MaterialSymbolsData(0xf307, 'add_location');
  static const add_moderator_filled_outlined =
      _MaterialSymbolsData(0xf308, 'add_moderator_filled_outlined');
  static const add_moderator_filled_sharp =
      _MaterialSymbolsData(0xf309, 'add_moderator_filled_sharp');
  static const add_moderator_filled =
      _MaterialSymbolsData(0xf30a, 'add_moderator_filled');
  static const add_moderator_outlined =
      _MaterialSymbolsData(0xf30b, 'add_moderator_outlined');
  static const add_moderator_sharp =
      _MaterialSymbolsData(0xf30c, 'add_moderator_sharp');
  static const add_moderator = _MaterialSymbolsData(0xf30d, 'add_moderator');
  static const add_notes_filled_outlined =
      _MaterialSymbolsData(0xf30e, 'add_notes_filled_outlined');
  static const add_notes_filled_sharp =
      _MaterialSymbolsData(0xf30f, 'add_notes_filled_sharp');
  static const add_notes_filled =
      _MaterialSymbolsData(0xf310, 'add_notes_filled');
  static const add_notes_outlined =
      _MaterialSymbolsData(0xf311, 'add_notes_outlined');
  static const add_notes_sharp =
      _MaterialSymbolsData(0xf312, 'add_notes_sharp');
  static const add_notes = _MaterialSymbolsData(0xf313, 'add_notes');
  static const add_outlined = _MaterialSymbolsData(0xf314, 'add_outlined');
  static const add_photo_alternate_filled_outlined =
      _MaterialSymbolsData(0xf315, 'add_photo_alternate_filled_outlined');
  static const add_photo_alternate_filled_sharp =
      _MaterialSymbolsData(0xf316, 'add_photo_alternate_filled_sharp');
  static const add_photo_alternate_filled =
      _MaterialSymbolsData(0xf317, 'add_photo_alternate_filled');
  static const add_photo_alternate_outlined =
      _MaterialSymbolsData(0xf318, 'add_photo_alternate_outlined');
  static const add_photo_alternate_sharp =
      _MaterialSymbolsData(0xf319, 'add_photo_alternate_sharp');
  static const add_photo_alternate =
      _MaterialSymbolsData(0xf31a, 'add_photo_alternate');
  static const add_reaction_filled_outlined =
      _MaterialSymbolsData(0xf31b, 'add_reaction_filled_outlined');
  static const add_reaction_filled_sharp =
      _MaterialSymbolsData(0xf31c, 'add_reaction_filled_sharp');
  static const add_reaction_filled =
      _MaterialSymbolsData(0xf31d, 'add_reaction_filled');
  static const add_reaction_outlined =
      _MaterialSymbolsData(0xf31e, 'add_reaction_outlined');
  static const add_reaction_sharp =
      _MaterialSymbolsData(0xf31f, 'add_reaction_sharp');
  static const add_reaction = _MaterialSymbolsData(0xf320, 'add_reaction');
  static const add_road_filled_outlined =
      _MaterialSymbolsData(0xf321, 'add_road_filled_outlined');
  static const add_road_filled_sharp =
      _MaterialSymbolsData(0xf322, 'add_road_filled_sharp');
  static const add_road_filled =
      _MaterialSymbolsData(0xf323, 'add_road_filled');
  static const add_road_outlined =
      _MaterialSymbolsData(0xf324, 'add_road_outlined');
  static const add_road_sharp = _MaterialSymbolsData(0xf325, 'add_road_sharp');
  static const add_road = _MaterialSymbolsData(0xf326, 'add_road');
  static const add_sharp = _MaterialSymbolsData(0xf327, 'add_sharp');
  static const add_shopping_cart_filled_outlined =
      _MaterialSymbolsData(0xf328, 'add_shopping_cart_filled_outlined');
  static const add_shopping_cart_filled_sharp =
      _MaterialSymbolsData(0xf329, 'add_shopping_cart_filled_sharp');
  static const add_shopping_cart_filled =
      _MaterialSymbolsData(0xf32a, 'add_shopping_cart_filled');
  static const add_shopping_cart_outlined =
      _MaterialSymbolsData(0xf32b, 'add_shopping_cart_outlined');
  static const add_shopping_cart_sharp =
      _MaterialSymbolsData(0xf32c, 'add_shopping_cart_sharp');
  static const add_shopping_cart =
      _MaterialSymbolsData(0xf32d, 'add_shopping_cart');
  static const add_task_filled_outlined =
      _MaterialSymbolsData(0xf32e, 'add_task_filled_outlined');
  static const add_task_filled_sharp =
      _MaterialSymbolsData(0xf32f, 'add_task_filled_sharp');
  static const add_task_filled =
      _MaterialSymbolsData(0xf330, 'add_task_filled');
  static const add_task_outlined =
      _MaterialSymbolsData(0xf331, 'add_task_outlined');
  static const add_task_sharp = _MaterialSymbolsData(0xf332, 'add_task_sharp');
  static const add_task = _MaterialSymbolsData(0xf333, 'add_task');
  static const add_to_drive_filled_outlined =
      _MaterialSymbolsData(0xf334, 'add_to_drive_filled_outlined');
  static const add_to_drive_filled_sharp =
      _MaterialSymbolsData(0xf335, 'add_to_drive_filled_sharp');
  static const add_to_drive_filled =
      _MaterialSymbolsData(0xf336, 'add_to_drive_filled');
  static const add_to_drive_outlined =
      _MaterialSymbolsData(0xf337, 'add_to_drive_outlined');
  static const add_to_drive_sharp =
      _MaterialSymbolsData(0xf338, 'add_to_drive_sharp');
  static const add_to_drive = _MaterialSymbolsData(0xf339, 'add_to_drive');
  static const add_to_home_screen_filled_outlined =
      _MaterialSymbolsData(0xf33a, 'add_to_home_screen_filled_outlined');
  static const add_to_home_screen_filled_sharp =
      _MaterialSymbolsData(0xf33b, 'add_to_home_screen_filled_sharp');
  static const add_to_home_screen_filled =
      _MaterialSymbolsData(0xf33c, 'add_to_home_screen_filled');
  static const add_to_home_screen_outlined =
      _MaterialSymbolsData(0xf33d, 'add_to_home_screen_outlined');
  static const add_to_home_screen_sharp =
      _MaterialSymbolsData(0xf33e, 'add_to_home_screen_sharp');
  static const add_to_home_screen =
      _MaterialSymbolsData(0xf33f, 'add_to_home_screen');
  static const add_to_photos_filled_outlined =
      _MaterialSymbolsData(0xf340, 'add_to_photos_filled_outlined');
  static const add_to_photos_filled_sharp =
      _MaterialSymbolsData(0xf341, 'add_to_photos_filled_sharp');
  static const add_to_photos_filled =
      _MaterialSymbolsData(0xf342, 'add_to_photos_filled');
  static const add_to_photos_outlined =
      _MaterialSymbolsData(0xf343, 'add_to_photos_outlined');
  static const add_to_photos_sharp =
      _MaterialSymbolsData(0xf344, 'add_to_photos_sharp');
  static const add_to_photos = _MaterialSymbolsData(0xf345, 'add_to_photos');
  static const add_to_queue_filled_outlined =
      _MaterialSymbolsData(0xf346, 'add_to_queue_filled_outlined');
  static const add_to_queue_filled_sharp =
      _MaterialSymbolsData(0xf347, 'add_to_queue_filled_sharp');
  static const add_to_queue_filled =
      _MaterialSymbolsData(0xf348, 'add_to_queue_filled');
  static const add_to_queue_outlined =
      _MaterialSymbolsData(0xf349, 'add_to_queue_outlined');
  static const add_to_queue_sharp =
      _MaterialSymbolsData(0xf34a, 'add_to_queue_sharp');
  static const add_to_queue = _MaterialSymbolsData(0xf34b, 'add_to_queue');
  static const add = _MaterialSymbolsData(0xf34c, 'add');
  static const adf_scanner_filled_outlined =
      _MaterialSymbolsData(0xf34d, 'adf_scanner_filled_outlined');
  static const adf_scanner_filled_sharp =
      _MaterialSymbolsData(0xf34e, 'adf_scanner_filled_sharp');
  static const adf_scanner_filled =
      _MaterialSymbolsData(0xf34f, 'adf_scanner_filled');
  static const adf_scanner_outlined =
      _MaterialSymbolsData(0xf350, 'adf_scanner_outlined');
  static const adf_scanner_sharp =
      _MaterialSymbolsData(0xf351, 'adf_scanner_sharp');
  static const adf_scanner = _MaterialSymbolsData(0xf352, 'adf_scanner');
  static const adjust_filled_outlined =
      _MaterialSymbolsData(0xf353, 'adjust_filled_outlined');
  static const adjust_filled_sharp =
      _MaterialSymbolsData(0xf354, 'adjust_filled_sharp');
  static const adjust_filled = _MaterialSymbolsData(0xf355, 'adjust_filled');
  static const adjust_outlined =
      _MaterialSymbolsData(0xf356, 'adjust_outlined');
  static const adjust_sharp = _MaterialSymbolsData(0xf357, 'adjust_sharp');
  static const adjust = _MaterialSymbolsData(0xf358, 'adjust');
  static const admin_meds_filled_outlined =
      _MaterialSymbolsData(0xf359, 'admin_meds_filled_outlined');
  static const admin_meds_filled_sharp =
      _MaterialSymbolsData(0xf35a, 'admin_meds_filled_sharp');
  static const admin_meds_filled =
      _MaterialSymbolsData(0xf35b, 'admin_meds_filled');
  static const admin_meds_outlined =
      _MaterialSymbolsData(0xf35c, 'admin_meds_outlined');
  static const admin_meds_sharp =
      _MaterialSymbolsData(0xf35d, 'admin_meds_sharp');
  static const admin_meds = _MaterialSymbolsData(0xf35e, 'admin_meds');
  static const admin_panel_settings_filled_outlined =
      _MaterialSymbolsData(0xf35f, 'admin_panel_settings_filled_outlined');
  static const admin_panel_settings_filled_sharp =
      _MaterialSymbolsData(0xf360, 'admin_panel_settings_filled_sharp');
  static const admin_panel_settings_filled =
      _MaterialSymbolsData(0xf361, 'admin_panel_settings_filled');
  static const admin_panel_settings_outlined =
      _MaterialSymbolsData(0xf362, 'admin_panel_settings_outlined');
  static const admin_panel_settings_sharp =
      _MaterialSymbolsData(0xf363, 'admin_panel_settings_sharp');
  static const admin_panel_settings =
      _MaterialSymbolsData(0xf364, 'admin_panel_settings');
  static const ads_click_filled_outlined =
      _MaterialSymbolsData(0xf365, 'ads_click_filled_outlined');
  static const ads_click_filled_sharp =
      _MaterialSymbolsData(0xf366, 'ads_click_filled_sharp');
  static const ads_click_filled =
      _MaterialSymbolsData(0xf367, 'ads_click_filled');
  static const ads_click_outlined =
      _MaterialSymbolsData(0xf368, 'ads_click_outlined');
  static const ads_click_sharp =
      _MaterialSymbolsData(0xf369, 'ads_click_sharp');
  static const ads_click = _MaterialSymbolsData(0xf36a, 'ads_click');
  static const agender_filled_outlined =
      _MaterialSymbolsData(0xf36b, 'agender_filled_outlined');
  static const agender_filled_sharp =
      _MaterialSymbolsData(0xf36c, 'agender_filled_sharp');
  static const agender_filled = _MaterialSymbolsData(0xf36d, 'agender_filled');
  static const agender_outlined =
      _MaterialSymbolsData(0xf36e, 'agender_outlined');
  static const agender_sharp = _MaterialSymbolsData(0xf36f, 'agender_sharp');
  static const agender = _MaterialSymbolsData(0xf370, 'agender');
  static const agriculture_filled_outlined =
      _MaterialSymbolsData(0xf371, 'agriculture_filled_outlined');
  static const agriculture_filled_sharp =
      _MaterialSymbolsData(0xf372, 'agriculture_filled_sharp');
  static const agriculture_filled =
      _MaterialSymbolsData(0xf373, 'agriculture_filled');
  static const agriculture_outlined =
      _MaterialSymbolsData(0xf374, 'agriculture_outlined');
  static const agriculture_sharp =
      _MaterialSymbolsData(0xf375, 'agriculture_sharp');
  static const agriculture = _MaterialSymbolsData(0xf376, 'agriculture');
  static const air_filled_outlined =
      _MaterialSymbolsData(0xf377, 'air_filled_outlined');
  static const air_filled_sharp =
      _MaterialSymbolsData(0xf378, 'air_filled_sharp');
  static const air_filled = _MaterialSymbolsData(0xf379, 'air_filled');
  static const air_freshener_filled_outlined =
      _MaterialSymbolsData(0xf37a, 'air_freshener_filled_outlined');
  static const air_freshener_filled_sharp =
      _MaterialSymbolsData(0xf37b, 'air_freshener_filled_sharp');
  static const air_freshener_filled =
      _MaterialSymbolsData(0xf37c, 'air_freshener_filled');
  static const air_freshener_outlined =
      _MaterialSymbolsData(0xf37d, 'air_freshener_outlined');
  static const air_freshener_sharp =
      _MaterialSymbolsData(0xf37e, 'air_freshener_sharp');
  static const air_freshener = _MaterialSymbolsData(0xf37f, 'air_freshener');
  static const air_outlined = _MaterialSymbolsData(0xf380, 'air_outlined');
  static const air_purifier_gen_filled_outlined =
      _MaterialSymbolsData(0xf381, 'air_purifier_gen_filled_outlined');
  static const air_purifier_gen_filled_sharp =
      _MaterialSymbolsData(0xf382, 'air_purifier_gen_filled_sharp');
  static const air_purifier_gen_filled =
      _MaterialSymbolsData(0xf383, 'air_purifier_gen_filled');
  static const air_purifier_gen_outlined =
      _MaterialSymbolsData(0xf384, 'air_purifier_gen_outlined');
  static const air_purifier_gen_sharp =
      _MaterialSymbolsData(0xf385, 'air_purifier_gen_sharp');
  static const air_purifier_gen =
      _MaterialSymbolsData(0xf386, 'air_purifier_gen');
  static const air_sharp = _MaterialSymbolsData(0xf387, 'air_sharp');
  static const air = _MaterialSymbolsData(0xf388, 'air');
  static const airline_seat_flat_angled_filled_outlined =
      _MaterialSymbolsData(0xf389, 'airline_seat_flat_angled_filled_outlined');
  static const airline_seat_flat_angled_filled_sharp =
      _MaterialSymbolsData(0xf38a, 'airline_seat_flat_angled_filled_sharp');
  static const airline_seat_flat_angled_filled =
      _MaterialSymbolsData(0xf38b, 'airline_seat_flat_angled_filled');
  static const airline_seat_flat_angled_outlined =
      _MaterialSymbolsData(0xf38c, 'airline_seat_flat_angled_outlined');
  static const airline_seat_flat_angled_sharp =
      _MaterialSymbolsData(0xf38d, 'airline_seat_flat_angled_sharp');
  static const airline_seat_flat_angled =
      _MaterialSymbolsData(0xf38e, 'airline_seat_flat_angled');
  static const airline_seat_flat_filled_outlined =
      _MaterialSymbolsData(0xf38f, 'airline_seat_flat_filled_outlined');
  static const airline_seat_flat_filled_sharp =
      _MaterialSymbolsData(0xf390, 'airline_seat_flat_filled_sharp');
  static const airline_seat_flat_filled =
      _MaterialSymbolsData(0xf391, 'airline_seat_flat_filled');
  static const airline_seat_flat_outlined =
      _MaterialSymbolsData(0xf392, 'airline_seat_flat_outlined');
  static const airline_seat_flat_sharp =
      _MaterialSymbolsData(0xf393, 'airline_seat_flat_sharp');
  static const airline_seat_flat =
      _MaterialSymbolsData(0xf394, 'airline_seat_flat');
  static const airline_seat_individual_suite_filled_outlined =
      _MaterialSymbolsData(
          0xf395, 'airline_seat_individual_suite_filled_outlined');
  static const airline_seat_individual_suite_filled_sharp =
      _MaterialSymbolsData(
          0xf396, 'airline_seat_individual_suite_filled_sharp');
  static const airline_seat_individual_suite_filled =
      _MaterialSymbolsData(0xf397, 'airline_seat_individual_suite_filled');
  static const airline_seat_individual_suite_outlined =
      _MaterialSymbolsData(0xf398, 'airline_seat_individual_suite_outlined');
  static const airline_seat_individual_suite_sharp =
      _MaterialSymbolsData(0xf399, 'airline_seat_individual_suite_sharp');
  static const airline_seat_individual_suite =
      _MaterialSymbolsData(0xf39a, 'airline_seat_individual_suite');
  static const airline_seat_legroom_extra_filled_outlined =
      _MaterialSymbolsData(
          0xf39b, 'airline_seat_legroom_extra_filled_outlined');
  static const airline_seat_legroom_extra_filled_sharp =
      _MaterialSymbolsData(0xf39c, 'airline_seat_legroom_extra_filled_sharp');
  static const airline_seat_legroom_extra_filled =
      _MaterialSymbolsData(0xf39d, 'airline_seat_legroom_extra_filled');
  static const airline_seat_legroom_extra_outlined =
      _MaterialSymbolsData(0xf39e, 'airline_seat_legroom_extra_outlined');
  static const airline_seat_legroom_extra_sharp =
      _MaterialSymbolsData(0xf39f, 'airline_seat_legroom_extra_sharp');
  static const airline_seat_legroom_extra =
      _MaterialSymbolsData(0xf3a0, 'airline_seat_legroom_extra');
  static const airline_seat_legroom_normal_filled_outlined =
      _MaterialSymbolsData(
          0xf3a1, 'airline_seat_legroom_normal_filled_outlined');
  static const airline_seat_legroom_normal_filled_sharp =
      _MaterialSymbolsData(0xf3a2, 'airline_seat_legroom_normal_filled_sharp');
  static const airline_seat_legroom_normal_filled =
      _MaterialSymbolsData(0xf3a3, 'airline_seat_legroom_normal_filled');
  static const airline_seat_legroom_normal_outlined =
      _MaterialSymbolsData(0xf3a4, 'airline_seat_legroom_normal_outlined');
  static const airline_seat_legroom_normal_sharp =
      _MaterialSymbolsData(0xf3a5, 'airline_seat_legroom_normal_sharp');
  static const airline_seat_legroom_normal =
      _MaterialSymbolsData(0xf3a6, 'airline_seat_legroom_normal');
  static const airline_seat_legroom_reduced_filled_outlined =
      _MaterialSymbolsData(
          0xf3a7, 'airline_seat_legroom_reduced_filled_outlined');
  static const airline_seat_legroom_reduced_filled_sharp =
      _MaterialSymbolsData(0xf3a8, 'airline_seat_legroom_reduced_filled_sharp');
  static const airline_seat_legroom_reduced_filled =
      _MaterialSymbolsData(0xf3a9, 'airline_seat_legroom_reduced_filled');
  static const airline_seat_legroom_reduced_outlined =
      _MaterialSymbolsData(0xf3aa, 'airline_seat_legroom_reduced_outlined');
  static const airline_seat_legroom_reduced_sharp =
      _MaterialSymbolsData(0xf3ab, 'airline_seat_legroom_reduced_sharp');
  static const airline_seat_legroom_reduced =
      _MaterialSymbolsData(0xf3ac, 'airline_seat_legroom_reduced');
  static const airline_seat_recline_extra_filled_outlined =
      _MaterialSymbolsData(
          0xf3ad, 'airline_seat_recline_extra_filled_outlined');
  static const airline_seat_recline_extra_filled_sharp =
      _MaterialSymbolsData(0xf3ae, 'airline_seat_recline_extra_filled_sharp');
  static const airline_seat_recline_extra_filled =
      _MaterialSymbolsData(0xf3af, 'airline_seat_recline_extra_filled');
  static const airline_seat_recline_extra_outlined =
      _MaterialSymbolsData(0xf3b0, 'airline_seat_recline_extra_outlined');
  static const airline_seat_recline_extra_sharp =
      _MaterialSymbolsData(0xf3b1, 'airline_seat_recline_extra_sharp');
  static const airline_seat_recline_extra =
      _MaterialSymbolsData(0xf3b2, 'airline_seat_recline_extra');
  static const airline_seat_recline_normal_filled_outlined =
      _MaterialSymbolsData(
          0xf3b3, 'airline_seat_recline_normal_filled_outlined');
  static const airline_seat_recline_normal_filled_sharp =
      _MaterialSymbolsData(0xf3b4, 'airline_seat_recline_normal_filled_sharp');
  static const airline_seat_recline_normal_filled =
      _MaterialSymbolsData(0xf3b5, 'airline_seat_recline_normal_filled');
  static const airline_seat_recline_normal_outlined =
      _MaterialSymbolsData(0xf3b6, 'airline_seat_recline_normal_outlined');
  static const airline_seat_recline_normal_sharp =
      _MaterialSymbolsData(0xf3b7, 'airline_seat_recline_normal_sharp');
  static const airline_seat_recline_normal =
      _MaterialSymbolsData(0xf3b8, 'airline_seat_recline_normal');
  static const airline_stops_filled_outlined =
      _MaterialSymbolsData(0xf3b9, 'airline_stops_filled_outlined');
  static const airline_stops_filled_sharp =
      _MaterialSymbolsData(0xf3ba, 'airline_stops_filled_sharp');
  static const airline_stops_filled =
      _MaterialSymbolsData(0xf3bb, 'airline_stops_filled');
  static const airline_stops_outlined =
      _MaterialSymbolsData(0xf3bc, 'airline_stops_outlined');
  static const airline_stops_sharp =
      _MaterialSymbolsData(0xf3bd, 'airline_stops_sharp');
  static const airline_stops = _MaterialSymbolsData(0xf3be, 'airline_stops');
  static const airlines_filled_outlined =
      _MaterialSymbolsData(0xf3bf, 'airlines_filled_outlined');
  static const airlines_filled_sharp =
      _MaterialSymbolsData(0xf3c0, 'airlines_filled_sharp');
  static const airlines_filled =
      _MaterialSymbolsData(0xf3c1, 'airlines_filled');
  static const airlines_outlined =
      _MaterialSymbolsData(0xf3c2, 'airlines_outlined');
  static const airlines_sharp = _MaterialSymbolsData(0xf3c3, 'airlines_sharp');
  static const airlines = _MaterialSymbolsData(0xf3c4, 'airlines');
  static const airplane_ticket_filled_outlined =
      _MaterialSymbolsData(0xf3c5, 'airplane_ticket_filled_outlined');
  static const airplane_ticket_filled_sharp =
      _MaterialSymbolsData(0xf3c6, 'airplane_ticket_filled_sharp');
  static const airplane_ticket_filled =
      _MaterialSymbolsData(0xf3c7, 'airplane_ticket_filled');
  static const airplane_ticket_outlined =
      _MaterialSymbolsData(0xf3c8, 'airplane_ticket_outlined');
  static const airplane_ticket_sharp =
      _MaterialSymbolsData(0xf3c9, 'airplane_ticket_sharp');
  static const airplane_ticket =
      _MaterialSymbolsData(0xf3ca, 'airplane_ticket');
  static const airplanemode_active_filled_outlined =
      _MaterialSymbolsData(0xf3cb, 'airplanemode_active_filled_outlined');
  static const airplanemode_active_filled_sharp =
      _MaterialSymbolsData(0xf3cc, 'airplanemode_active_filled_sharp');
  static const airplanemode_active_filled =
      _MaterialSymbolsData(0xf3cd, 'airplanemode_active_filled');
  static const airplanemode_active_outlined =
      _MaterialSymbolsData(0xf3ce, 'airplanemode_active_outlined');
  static const airplanemode_active_sharp =
      _MaterialSymbolsData(0xf3cf, 'airplanemode_active_sharp');
  static const airplanemode_active =
      _MaterialSymbolsData(0xf3d0, 'airplanemode_active');
  static const airplanemode_inactive_filled_outlined =
      _MaterialSymbolsData(0xf3d1, 'airplanemode_inactive_filled_outlined');
  static const airplanemode_inactive_filled_sharp =
      _MaterialSymbolsData(0xf3d2, 'airplanemode_inactive_filled_sharp');
  static const airplanemode_inactive_filled =
      _MaterialSymbolsData(0xf3d3, 'airplanemode_inactive_filled');
  static const airplanemode_inactive_outlined =
      _MaterialSymbolsData(0xf3d4, 'airplanemode_inactive_outlined');
  static const airplanemode_inactive_sharp =
      _MaterialSymbolsData(0xf3d5, 'airplanemode_inactive_sharp');
  static const airplanemode_inactive =
      _MaterialSymbolsData(0xf3d6, 'airplanemode_inactive');
  static const airplay_filled_outlined =
      _MaterialSymbolsData(0xf3d7, 'airplay_filled_outlined');
  static const airplay_filled_sharp =
      _MaterialSymbolsData(0xf3d8, 'airplay_filled_sharp');
  static const airplay_filled = _MaterialSymbolsData(0xf3d9, 'airplay_filled');
  static const airplay_outlined =
      _MaterialSymbolsData(0xf3da, 'airplay_outlined');
  static const airplay_sharp = _MaterialSymbolsData(0xf3db, 'airplay_sharp');
  static const airplay = _MaterialSymbolsData(0xf3dc, 'airplay');
  static const airport_shuttle_filled_outlined =
      _MaterialSymbolsData(0xf3dd, 'airport_shuttle_filled_outlined');
  static const airport_shuttle_filled_sharp =
      _MaterialSymbolsData(0xf3de, 'airport_shuttle_filled_sharp');
  static const airport_shuttle_filled =
      _MaterialSymbolsData(0xf3df, 'airport_shuttle_filled');
  static const airport_shuttle_outlined =
      _MaterialSymbolsData(0xf3e0, 'airport_shuttle_outlined');
  static const airport_shuttle_sharp =
      _MaterialSymbolsData(0xf3e1, 'airport_shuttle_sharp');
  static const airport_shuttle =
      _MaterialSymbolsData(0xf3e2, 'airport_shuttle');
  static const airware_filled_outlined =
      _MaterialSymbolsData(0xf3e3, 'airware_filled_outlined');
  static const airware_filled_sharp =
      _MaterialSymbolsData(0xf3e4, 'airware_filled_sharp');
  static const airware_filled = _MaterialSymbolsData(0xf3e5, 'airware_filled');
  static const airware_outlined =
      _MaterialSymbolsData(0xf3e6, 'airware_outlined');
  static const airware_sharp = _MaterialSymbolsData(0xf3e7, 'airware_sharp');
  static const airware = _MaterialSymbolsData(0xf3e8, 'airware');
  static const airwave_filled_outlined =
      _MaterialSymbolsData(0xf3e9, 'airwave_filled_outlined');
  static const airwave_filled_sharp =
      _MaterialSymbolsData(0xf3ea, 'airwave_filled_sharp');
  static const airwave_filled = _MaterialSymbolsData(0xf3eb, 'airwave_filled');
  static const airwave_outlined =
      _MaterialSymbolsData(0xf3ec, 'airwave_outlined');
  static const airwave_sharp = _MaterialSymbolsData(0xf3ed, 'airwave_sharp');
  static const airwave = _MaterialSymbolsData(0xf3ee, 'airwave');
  static const alarm_add_filled_outlined =
      _MaterialSymbolsData(0xf3ef, 'alarm_add_filled_outlined');
  static const alarm_add_filled_sharp =
      _MaterialSymbolsData(0xf3f0, 'alarm_add_filled_sharp');
  static const alarm_add_filled =
      _MaterialSymbolsData(0xf3f1, 'alarm_add_filled');
  static const alarm_add_outlined =
      _MaterialSymbolsData(0xf3f2, 'alarm_add_outlined');
  static const alarm_add_sharp =
      _MaterialSymbolsData(0xf3f3, 'alarm_add_sharp');
  static const alarm_add = _MaterialSymbolsData(0xf3f4, 'alarm_add');
  static const alarm_filled_outlined =
      _MaterialSymbolsData(0xf3f5, 'alarm_filled_outlined');
  static const alarm_filled_sharp =
      _MaterialSymbolsData(0xf3f6, 'alarm_filled_sharp');
  static const alarm_filled = _MaterialSymbolsData(0xf3f7, 'alarm_filled');
  static const alarm_off_filled_outlined =
      _MaterialSymbolsData(0xf3f8, 'alarm_off_filled_outlined');
  static const alarm_off_filled_sharp =
      _MaterialSymbolsData(0xf3f9, 'alarm_off_filled_sharp');
  static const alarm_off_filled =
      _MaterialSymbolsData(0xf3fa, 'alarm_off_filled');
  static const alarm_off_outlined =
      _MaterialSymbolsData(0xf3fb, 'alarm_off_outlined');
  static const alarm_off_sharp =
      _MaterialSymbolsData(0xf3fc, 'alarm_off_sharp');
  static const alarm_off = _MaterialSymbolsData(0xf3fd, 'alarm_off');
  static const alarm_on_filled_outlined =
      _MaterialSymbolsData(0xf3fe, 'alarm_on_filled_outlined');
  static const alarm_on_filled_sharp =
      _MaterialSymbolsData(0xf3ff, 'alarm_on_filled_sharp');
  static const alarm_on_filled =
      _MaterialSymbolsData(0xf400, 'alarm_on_filled');
  static const alarm_on_outlined =
      _MaterialSymbolsData(0xf401, 'alarm_on_outlined');
  static const alarm_on_sharp = _MaterialSymbolsData(0xf402, 'alarm_on_sharp');
  static const alarm_on = _MaterialSymbolsData(0xf403, 'alarm_on');
  static const alarm_outlined = _MaterialSymbolsData(0xf404, 'alarm_outlined');
  static const alarm_sharp = _MaterialSymbolsData(0xf405, 'alarm_sharp');
  static const alarm = _MaterialSymbolsData(0xf406, 'alarm');
  static const album_filled_outlined =
      _MaterialSymbolsData(0xf407, 'album_filled_outlined');
  static const album_filled_sharp =
      _MaterialSymbolsData(0xf408, 'album_filled_sharp');
  static const album_filled = _MaterialSymbolsData(0xf409, 'album_filled');
  static const album_outlined = _MaterialSymbolsData(0xf40a, 'album_outlined');
  static const album_sharp = _MaterialSymbolsData(0xf40b, 'album_sharp');
  static const album = _MaterialSymbolsData(0xf40c, 'album');
  static const align_horizontal_center_filled_outlined =
      _MaterialSymbolsData(0xf40d, 'align_horizontal_center_filled_outlined');
  static const align_horizontal_center_filled_sharp =
      _MaterialSymbolsData(0xf40e, 'align_horizontal_center_filled_sharp');
  static const align_horizontal_center_filled =
      _MaterialSymbolsData(0xf40f, 'align_horizontal_center_filled');
  static const align_horizontal_center_outlined =
      _MaterialSymbolsData(0xf410, 'align_horizontal_center_outlined');
  static const align_horizontal_center_sharp =
      _MaterialSymbolsData(0xf411, 'align_horizontal_center_sharp');
  static const align_horizontal_center =
      _MaterialSymbolsData(0xf412, 'align_horizontal_center');
  static const align_horizontal_left_filled_outlined =
      _MaterialSymbolsData(0xf413, 'align_horizontal_left_filled_outlined');
  static const align_horizontal_left_filled_sharp =
      _MaterialSymbolsData(0xf414, 'align_horizontal_left_filled_sharp');
  static const align_horizontal_left_filled =
      _MaterialSymbolsData(0xf415, 'align_horizontal_left_filled');
  static const align_horizontal_left_outlined =
      _MaterialSymbolsData(0xf416, 'align_horizontal_left_outlined');
  static const align_horizontal_left_sharp =
      _MaterialSymbolsData(0xf417, 'align_horizontal_left_sharp');
  static const align_horizontal_left =
      _MaterialSymbolsData(0xf418, 'align_horizontal_left');
  static const align_horizontal_right_filled_outlined =
      _MaterialSymbolsData(0xf419, 'align_horizontal_right_filled_outlined');
  static const align_horizontal_right_filled_sharp =
      _MaterialSymbolsData(0xf41a, 'align_horizontal_right_filled_sharp');
  static const align_horizontal_right_filled =
      _MaterialSymbolsData(0xf41b, 'align_horizontal_right_filled');
  static const align_horizontal_right_outlined =
      _MaterialSymbolsData(0xf41c, 'align_horizontal_right_outlined');
  static const align_horizontal_right_sharp =
      _MaterialSymbolsData(0xf41d, 'align_horizontal_right_sharp');
  static const align_horizontal_right =
      _MaterialSymbolsData(0xf41e, 'align_horizontal_right');
  static const align_vertical_bottom_filled_outlined =
      _MaterialSymbolsData(0xf41f, 'align_vertical_bottom_filled_outlined');
  static const align_vertical_bottom_filled_sharp =
      _MaterialSymbolsData(0xf420, 'align_vertical_bottom_filled_sharp');
  static const align_vertical_bottom_filled =
      _MaterialSymbolsData(0xf421, 'align_vertical_bottom_filled');
  static const align_vertical_bottom_outlined =
      _MaterialSymbolsData(0xf422, 'align_vertical_bottom_outlined');
  static const align_vertical_bottom_sharp =
      _MaterialSymbolsData(0xf423, 'align_vertical_bottom_sharp');
  static const align_vertical_bottom =
      _MaterialSymbolsData(0xf424, 'align_vertical_bottom');
  static const align_vertical_center_filled_outlined =
      _MaterialSymbolsData(0xf425, 'align_vertical_center_filled_outlined');
  static const align_vertical_center_filled_sharp =
      _MaterialSymbolsData(0xf426, 'align_vertical_center_filled_sharp');
  static const align_vertical_center_filled =
      _MaterialSymbolsData(0xf427, 'align_vertical_center_filled');
  static const align_vertical_center_outlined =
      _MaterialSymbolsData(0xf428, 'align_vertical_center_outlined');
  static const align_vertical_center_sharp =
      _MaterialSymbolsData(0xf429, 'align_vertical_center_sharp');
  static const align_vertical_center =
      _MaterialSymbolsData(0xf42a, 'align_vertical_center');
  static const align_vertical_top_filled_outlined =
      _MaterialSymbolsData(0xf42b, 'align_vertical_top_filled_outlined');
  static const align_vertical_top_filled_sharp =
      _MaterialSymbolsData(0xf42c, 'align_vertical_top_filled_sharp');
  static const align_vertical_top_filled =
      _MaterialSymbolsData(0xf42d, 'align_vertical_top_filled');
  static const align_vertical_top_outlined =
      _MaterialSymbolsData(0xf42e, 'align_vertical_top_outlined');
  static const align_vertical_top_sharp =
      _MaterialSymbolsData(0xf42f, 'align_vertical_top_sharp');
  static const align_vertical_top =
      _MaterialSymbolsData(0xf430, 'align_vertical_top');
  static const all_inbox_filled_outlined =
      _MaterialSymbolsData(0xf431, 'all_inbox_filled_outlined');
  static const all_inbox_filled_sharp =
      _MaterialSymbolsData(0xf432, 'all_inbox_filled_sharp');
  static const all_inbox_filled =
      _MaterialSymbolsData(0xf433, 'all_inbox_filled');
  static const all_inbox_outlined =
      _MaterialSymbolsData(0xf434, 'all_inbox_outlined');
  static const all_inbox_sharp =
      _MaterialSymbolsData(0xf435, 'all_inbox_sharp');
  static const all_inbox = _MaterialSymbolsData(0xf436, 'all_inbox');
  static const all_inclusive_filled_outlined =
      _MaterialSymbolsData(0xf437, 'all_inclusive_filled_outlined');
  static const all_inclusive_filled_sharp =
      _MaterialSymbolsData(0xf438, 'all_inclusive_filled_sharp');
  static const all_inclusive_filled =
      _MaterialSymbolsData(0xf439, 'all_inclusive_filled');
  static const all_inclusive_outlined =
      _MaterialSymbolsData(0xf43a, 'all_inclusive_outlined');
  static const all_inclusive_sharp =
      _MaterialSymbolsData(0xf43b, 'all_inclusive_sharp');
  static const all_inclusive = _MaterialSymbolsData(0xf43c, 'all_inclusive');
  static const all_out_filled_outlined =
      _MaterialSymbolsData(0xf43d, 'all_out_filled_outlined');
  static const all_out_filled_sharp =
      _MaterialSymbolsData(0xf43e, 'all_out_filled_sharp');
  static const all_out_filled = _MaterialSymbolsData(0xf43f, 'all_out_filled');
  static const all_out_outlined =
      _MaterialSymbolsData(0xf440, 'all_out_outlined');
  static const all_out_sharp = _MaterialSymbolsData(0xf441, 'all_out_sharp');
  static const all_out = _MaterialSymbolsData(0xf442, 'all_out');
  static const allergies_filled_outlined =
      _MaterialSymbolsData(0xf443, 'allergies_filled_outlined');
  static const allergies_filled_sharp =
      _MaterialSymbolsData(0xf444, 'allergies_filled_sharp');
  static const allergies_filled =
      _MaterialSymbolsData(0xf445, 'allergies_filled');
  static const allergies_outlined =
      _MaterialSymbolsData(0xf446, 'allergies_outlined');
  static const allergies_sharp =
      _MaterialSymbolsData(0xf447, 'allergies_sharp');
  static const allergies = _MaterialSymbolsData(0xf448, 'allergies');
  static const alt_route_filled_outlined =
      _MaterialSymbolsData(0xf449, 'alt_route_filled_outlined');
  static const alt_route_filled_sharp =
      _MaterialSymbolsData(0xf44a, 'alt_route_filled_sharp');
  static const alt_route_filled =
      _MaterialSymbolsData(0xf44b, 'alt_route_filled');
  static const alt_route_outlined =
      _MaterialSymbolsData(0xf44c, 'alt_route_outlined');
  static const alt_route_sharp =
      _MaterialSymbolsData(0xf44d, 'alt_route_sharp');
  static const alt_route = _MaterialSymbolsData(0xf44e, 'alt_route');
  static const alternate_email_filled_outlined =
      _MaterialSymbolsData(0xf44f, 'alternate_email_filled_outlined');
  static const alternate_email_filled_sharp =
      _MaterialSymbolsData(0xf450, 'alternate_email_filled_sharp');
  static const alternate_email_filled =
      _MaterialSymbolsData(0xf451, 'alternate_email_filled');
  static const alternate_email_outlined =
      _MaterialSymbolsData(0xf452, 'alternate_email_outlined');
  static const alternate_email_sharp =
      _MaterialSymbolsData(0xf453, 'alternate_email_sharp');
  static const alternate_email =
      _MaterialSymbolsData(0xf454, 'alternate_email');
  static const altitude_filled_outlined =
      _MaterialSymbolsData(0xf455, 'altitude_filled_outlined');
  static const altitude_filled_sharp =
      _MaterialSymbolsData(0xf456, 'altitude_filled_sharp');
  static const altitude_filled =
      _MaterialSymbolsData(0xf457, 'altitude_filled');
  static const altitude_outlined =
      _MaterialSymbolsData(0xf458, 'altitude_outlined');
  static const altitude_sharp = _MaterialSymbolsData(0xf459, 'altitude_sharp');
  static const altitude = _MaterialSymbolsData(0xf45a, 'altitude');
  static const amend_filled_outlined =
      _MaterialSymbolsData(0xf45b, 'amend_filled_outlined');
  static const amend_filled_sharp =
      _MaterialSymbolsData(0xf45c, 'amend_filled_sharp');
  static const amend_filled = _MaterialSymbolsData(0xf45d, 'amend_filled');
  static const amend_outlined = _MaterialSymbolsData(0xf45e, 'amend_outlined');
  static const amend_sharp = _MaterialSymbolsData(0xf45f, 'amend_sharp');
  static const amend = _MaterialSymbolsData(0xf460, 'amend');
  static const amp_stories_filled_outlined =
      _MaterialSymbolsData(0xf461, 'amp_stories_filled_outlined');
  static const amp_stories_filled_sharp =
      _MaterialSymbolsData(0xf462, 'amp_stories_filled_sharp');
  static const amp_stories_filled =
      _MaterialSymbolsData(0xf463, 'amp_stories_filled');
  static const amp_stories_outlined =
      _MaterialSymbolsData(0xf464, 'amp_stories_outlined');
  static const amp_stories_sharp =
      _MaterialSymbolsData(0xf465, 'amp_stories_sharp');
  static const amp_stories = _MaterialSymbolsData(0xf466, 'amp_stories');
  static const analytics_filled_outlined =
      _MaterialSymbolsData(0xf467, 'analytics_filled_outlined');
  static const analytics_filled_sharp =
      _MaterialSymbolsData(0xf468, 'analytics_filled_sharp');
  static const analytics_filled =
      _MaterialSymbolsData(0xf469, 'analytics_filled');
  static const analytics_outlined =
      _MaterialSymbolsData(0xf46a, 'analytics_outlined');
  static const analytics_sharp =
      _MaterialSymbolsData(0xf46b, 'analytics_sharp');
  static const analytics = _MaterialSymbolsData(0xf46c, 'analytics');
  static const anchor_filled_outlined =
      _MaterialSymbolsData(0xf46d, 'anchor_filled_outlined');
  static const anchor_filled_sharp =
      _MaterialSymbolsData(0xf46e, 'anchor_filled_sharp');
  static const anchor_filled = _MaterialSymbolsData(0xf46f, 'anchor_filled');
  static const anchor_outlined =
      _MaterialSymbolsData(0xf470, 'anchor_outlined');
  static const anchor_sharp = _MaterialSymbolsData(0xf471, 'anchor_sharp');
  static const anchor = _MaterialSymbolsData(0xf472, 'anchor');
  static const android_filled_outlined =
      _MaterialSymbolsData(0xf473, 'android_filled_outlined');
  static const android_filled_sharp =
      _MaterialSymbolsData(0xf474, 'android_filled_sharp');
  static const android_filled = _MaterialSymbolsData(0xf475, 'android_filled');
  static const android_outlined =
      _MaterialSymbolsData(0xf476, 'android_outlined');
  static const android_sharp = _MaterialSymbolsData(0xf477, 'android_sharp');
  static const android = _MaterialSymbolsData(0xf478, 'android');
  static const animation_filled_outlined =
      _MaterialSymbolsData(0xf479, 'animation_filled_outlined');
  static const animation_filled_sharp =
      _MaterialSymbolsData(0xf47a, 'animation_filled_sharp');
  static const animation_filled =
      _MaterialSymbolsData(0xf47b, 'animation_filled');
  static const animation_outlined =
      _MaterialSymbolsData(0xf47c, 'animation_outlined');
  static const animation_sharp =
      _MaterialSymbolsData(0xf47d, 'animation_sharp');
  static const animation = _MaterialSymbolsData(0xf47e, 'animation');
  static const aod_filled_outlined =
      _MaterialSymbolsData(0xf47f, 'aod_filled_outlined');
  static const aod_filled_sharp =
      _MaterialSymbolsData(0xf480, 'aod_filled_sharp');
  static const aod_filled = _MaterialSymbolsData(0xf481, 'aod_filled');
  static const aod_outlined = _MaterialSymbolsData(0xf482, 'aod_outlined');
  static const aod_sharp = _MaterialSymbolsData(0xf483, 'aod_sharp');
  static const aod_tablet_filled_outlined =
      _MaterialSymbolsData(0xf484, 'aod_tablet_filled_outlined');
  static const aod_tablet_filled_sharp =
      _MaterialSymbolsData(0xf485, 'aod_tablet_filled_sharp');
  static const aod_tablet_filled =
      _MaterialSymbolsData(0xf486, 'aod_tablet_filled');
  static const aod_tablet_outlined =
      _MaterialSymbolsData(0xf487, 'aod_tablet_outlined');
  static const aod_tablet_sharp =
      _MaterialSymbolsData(0xf488, 'aod_tablet_sharp');
  static const aod_tablet = _MaterialSymbolsData(0xf489, 'aod_tablet');
  static const aod = _MaterialSymbolsData(0xf48a, 'aod');
  static const apartment_filled_outlined =
      _MaterialSymbolsData(0xf48b, 'apartment_filled_outlined');
  static const apartment_filled_sharp =
      _MaterialSymbolsData(0xf48c, 'apartment_filled_sharp');
  static const apartment_filled =
      _MaterialSymbolsData(0xf48d, 'apartment_filled');
  static const apartment_outlined =
      _MaterialSymbolsData(0xf48e, 'apartment_outlined');
  static const apartment_sharp =
      _MaterialSymbolsData(0xf48f, 'apartment_sharp');
  static const apartment = _MaterialSymbolsData(0xf490, 'apartment');
  static const api_filled_outlined =
      _MaterialSymbolsData(0xf491, 'api_filled_outlined');
  static const api_filled_sharp =
      _MaterialSymbolsData(0xf492, 'api_filled_sharp');
  static const api_filled = _MaterialSymbolsData(0xf493, 'api_filled');
  static const api_outlined = _MaterialSymbolsData(0xf494, 'api_outlined');
  static const api_sharp = _MaterialSymbolsData(0xf495, 'api_sharp');
  static const api = _MaterialSymbolsData(0xf496, 'api');
  static const apk_document_filled_outlined =
      _MaterialSymbolsData(0xf497, 'apk_document_filled_outlined');
  static const apk_document_filled_sharp =
      _MaterialSymbolsData(0xf498, 'apk_document_filled_sharp');
  static const apk_document_filled =
      _MaterialSymbolsData(0xf499, 'apk_document_filled');
  static const apk_document_outlined =
      _MaterialSymbolsData(0xf49a, 'apk_document_outlined');
  static const apk_document_sharp =
      _MaterialSymbolsData(0xf49b, 'apk_document_sharp');
  static const apk_document = _MaterialSymbolsData(0xf49c, 'apk_document');
  static const apk_install_filled_outlined =
      _MaterialSymbolsData(0xf49d, 'apk_install_filled_outlined');
  static const apk_install_filled_sharp =
      _MaterialSymbolsData(0xf49e, 'apk_install_filled_sharp');
  static const apk_install_filled =
      _MaterialSymbolsData(0xf49f, 'apk_install_filled');
  static const apk_install_outlined =
      _MaterialSymbolsData(0xf4a0, 'apk_install_outlined');
  static const apk_install_sharp =
      _MaterialSymbolsData(0xf4a1, 'apk_install_sharp');
  static const apk_install = _MaterialSymbolsData(0xf4a2, 'apk_install');
  static const app_blocking_filled_outlined =
      _MaterialSymbolsData(0xf4a3, 'app_blocking_filled_outlined');
  static const app_blocking_filled_sharp =
      _MaterialSymbolsData(0xf4a4, 'app_blocking_filled_sharp');
  static const app_blocking_filled =
      _MaterialSymbolsData(0xf4a5, 'app_blocking_filled');
  static const app_blocking_outlined =
      _MaterialSymbolsData(0xf4a6, 'app_blocking_outlined');
  static const app_blocking_sharp =
      _MaterialSymbolsData(0xf4a7, 'app_blocking_sharp');
  static const app_blocking = _MaterialSymbolsData(0xf4a8, 'app_blocking');
  static const app_registration_filled_outlined =
      _MaterialSymbolsData(0xf4a9, 'app_registration_filled_outlined');
  static const app_registration_filled_sharp =
      _MaterialSymbolsData(0xf4aa, 'app_registration_filled_sharp');
  static const app_registration_filled =
      _MaterialSymbolsData(0xf4ab, 'app_registration_filled');
  static const app_registration_outlined =
      _MaterialSymbolsData(0xf4ac, 'app_registration_outlined');
  static const app_registration_sharp =
      _MaterialSymbolsData(0xf4ad, 'app_registration_sharp');
  static const app_registration =
      _MaterialSymbolsData(0xf4ae, 'app_registration');
  static const app_shortcut_filled_outlined =
      _MaterialSymbolsData(0xf4af, 'app_shortcut_filled_outlined');
  static const app_shortcut_filled_sharp =
      _MaterialSymbolsData(0xf4b0, 'app_shortcut_filled_sharp');
  static const app_shortcut_filled =
      _MaterialSymbolsData(0xf4b1, 'app_shortcut_filled');
  static const app_shortcut_outlined =
      _MaterialSymbolsData(0xf4b2, 'app_shortcut_outlined');
  static const app_shortcut_sharp =
      _MaterialSymbolsData(0xf4b3, 'app_shortcut_sharp');
  static const app_shortcut = _MaterialSymbolsData(0xf4b4, 'app_shortcut');
  static const approval_delegation_filled_outlined =
      _MaterialSymbolsData(0xf4b5, 'approval_delegation_filled_outlined');
  static const approval_delegation_filled_sharp =
      _MaterialSymbolsData(0xf4b6, 'approval_delegation_filled_sharp');
  static const approval_delegation_filled =
      _MaterialSymbolsData(0xf4b7, 'approval_delegation_filled');
  static const approval_delegation_outlined =
      _MaterialSymbolsData(0xf4b8, 'approval_delegation_outlined');
  static const approval_delegation_sharp =
      _MaterialSymbolsData(0xf4b9, 'approval_delegation_sharp');
  static const approval_delegation =
      _MaterialSymbolsData(0xf4ba, 'approval_delegation');
  static const approval_filled_outlined =
      _MaterialSymbolsData(0xf4bb, 'approval_filled_outlined');
  static const approval_filled_sharp =
      _MaterialSymbolsData(0xf4bc, 'approval_filled_sharp');
  static const approval_filled =
      _MaterialSymbolsData(0xf4bd, 'approval_filled');
  static const approval_outlined =
      _MaterialSymbolsData(0xf4be, 'approval_outlined');
  static const approval_sharp = _MaterialSymbolsData(0xf4bf, 'approval_sharp');
  static const approval = _MaterialSymbolsData(0xf4c0, 'approval');
  static const apps_filled_outlined =
      _MaterialSymbolsData(0xf4c1, 'apps_filled_outlined');
  static const apps_filled_sharp =
      _MaterialSymbolsData(0xf4c2, 'apps_filled_sharp');
  static const apps_filled = _MaterialSymbolsData(0xf4c3, 'apps_filled');
  static const apps_outage_filled_outlined =
      _MaterialSymbolsData(0xf4c4, 'apps_outage_filled_outlined');
  static const apps_outage_filled_sharp =
      _MaterialSymbolsData(0xf4c5, 'apps_outage_filled_sharp');
  static const apps_outage_filled =
      _MaterialSymbolsData(0xf4c6, 'apps_outage_filled');
  static const apps_outage_outlined =
      _MaterialSymbolsData(0xf4c7, 'apps_outage_outlined');
  static const apps_outage_sharp =
      _MaterialSymbolsData(0xf4c8, 'apps_outage_sharp');
  static const apps_outage = _MaterialSymbolsData(0xf4c9, 'apps_outage');
  static const apps_outlined = _MaterialSymbolsData(0xf4ca, 'apps_outlined');
  static const apps_sharp = _MaterialSymbolsData(0xf4cb, 'apps_sharp');
  static const apps = _MaterialSymbolsData(0xf4cc, 'apps');
  static const architecture_filled_outlined =
      _MaterialSymbolsData(0xf4cd, 'architecture_filled_outlined');
  static const architecture_filled_sharp =
      _MaterialSymbolsData(0xf4ce, 'architecture_filled_sharp');
  static const architecture_filled =
      _MaterialSymbolsData(0xf4cf, 'architecture_filled');
  static const architecture_outlined =
      _MaterialSymbolsData(0xf4d0, 'architecture_outlined');
  static const architecture_sharp =
      _MaterialSymbolsData(0xf4d1, 'architecture_sharp');
  static const architecture = _MaterialSymbolsData(0xf4d2, 'architecture');
  static const archive_filled_outlined =
      _MaterialSymbolsData(0xf4d3, 'archive_filled_outlined');
  static const archive_filled_sharp =
      _MaterialSymbolsData(0xf4d4, 'archive_filled_sharp');
  static const archive_filled = _MaterialSymbolsData(0xf4d5, 'archive_filled');
  static const archive_outlined =
      _MaterialSymbolsData(0xf4d6, 'archive_outlined');
  static const archive_sharp = _MaterialSymbolsData(0xf4d7, 'archive_sharp');
  static const archive = _MaterialSymbolsData(0xf4d8, 'archive');
  static const area_chart_filled_outlined =
      _MaterialSymbolsData(0xf4d9, 'area_chart_filled_outlined');
  static const area_chart_filled_sharp =
      _MaterialSymbolsData(0xf4da, 'area_chart_filled_sharp');
  static const area_chart_filled =
      _MaterialSymbolsData(0xf4db, 'area_chart_filled');
  static const area_chart_outlined =
      _MaterialSymbolsData(0xf4dc, 'area_chart_outlined');
  static const area_chart_sharp =
      _MaterialSymbolsData(0xf4dd, 'area_chart_sharp');
  static const area_chart = _MaterialSymbolsData(0xf4de, 'area_chart');
  static const arming_countdown_filled_outlined =
      _MaterialSymbolsData(0xf4df, 'arming_countdown_filled_outlined');
  static const arming_countdown_filled_sharp =
      _MaterialSymbolsData(0xf4e0, 'arming_countdown_filled_sharp');
  static const arming_countdown_filled =
      _MaterialSymbolsData(0xf4e1, 'arming_countdown_filled');
  static const arming_countdown_outlined =
      _MaterialSymbolsData(0xf4e2, 'arming_countdown_outlined');
  static const arming_countdown_sharp =
      _MaterialSymbolsData(0xf4e3, 'arming_countdown_sharp');
  static const arming_countdown =
      _MaterialSymbolsData(0xf4e4, 'arming_countdown');
  static const arrow_back_filled_outlined =
      _MaterialSymbolsData(0xf4e5, 'arrow_back_filled_outlined');
  static const arrow_back_filled_sharp =
      _MaterialSymbolsData(0xf4e6, 'arrow_back_filled_sharp');
  static const arrow_back_filled =
      _MaterialSymbolsData(0xf4e7, 'arrow_back_filled');
  static const arrow_back_ios_filled_outlined =
      _MaterialSymbolsData(0xf4e8, 'arrow_back_ios_filled_outlined');
  static const arrow_back_ios_filled_sharp =
      _MaterialSymbolsData(0xf4e9, 'arrow_back_ios_filled_sharp');
  static const arrow_back_ios_filled =
      _MaterialSymbolsData(0xf4ea, 'arrow_back_ios_filled');
  static const arrow_back_ios_new_filled_outlined =
      _MaterialSymbolsData(0xf4eb, 'arrow_back_ios_new_filled_outlined');
  static const arrow_back_ios_new_filled_sharp =
      _MaterialSymbolsData(0xf4ec, 'arrow_back_ios_new_filled_sharp');
  static const arrow_back_ios_new_filled =
      _MaterialSymbolsData(0xf4ed, 'arrow_back_ios_new_filled');
  static const arrow_back_ios_new_outlined =
      _MaterialSymbolsData(0xf4ee, 'arrow_back_ios_new_outlined');
  static const arrow_back_ios_new_sharp =
      _MaterialSymbolsData(0xf4ef, 'arrow_back_ios_new_sharp');
  static const arrow_back_ios_new =
      _MaterialSymbolsData(0xf4f0, 'arrow_back_ios_new');
  static const arrow_back_ios_outlined =
      _MaterialSymbolsData(0xf4f1, 'arrow_back_ios_outlined');
  static const arrow_back_ios_sharp =
      _MaterialSymbolsData(0xf4f2, 'arrow_back_ios_sharp');
  static const arrow_back_ios = _MaterialSymbolsData(0xf4f3, 'arrow_back_ios');
  static const arrow_back_outlined =
      _MaterialSymbolsData(0xf4f4, 'arrow_back_outlined');
  static const arrow_back_sharp =
      _MaterialSymbolsData(0xf4f5, 'arrow_back_sharp');
  static const arrow_back = _MaterialSymbolsData(0xf4f6, 'arrow_back');
  static const arrow_circle_down_filled_outlined =
      _MaterialSymbolsData(0xf4f7, 'arrow_circle_down_filled_outlined');
  static const arrow_circle_down_filled_sharp =
      _MaterialSymbolsData(0xf4f8, 'arrow_circle_down_filled_sharp');
  static const arrow_circle_down_filled =
      _MaterialSymbolsData(0xf4f9, 'arrow_circle_down_filled');
  static const arrow_circle_down_outlined =
      _MaterialSymbolsData(0xf4fa, 'arrow_circle_down_outlined');
  static const arrow_circle_down_sharp =
      _MaterialSymbolsData(0xf4fb, 'arrow_circle_down_sharp');
  static const arrow_circle_down =
      _MaterialSymbolsData(0xf4fc, 'arrow_circle_down');
  static const arrow_circle_left_filled_outlined =
      _MaterialSymbolsData(0xf4fd, 'arrow_circle_left_filled_outlined');
  static const arrow_circle_left_filled_sharp =
      _MaterialSymbolsData(0xf4fe, 'arrow_circle_left_filled_sharp');
  static const arrow_circle_left_filled =
      _MaterialSymbolsData(0xf4ff, 'arrow_circle_left_filled');
  static const arrow_circle_left_outlined =
      _MaterialSymbolsData(0xf500, 'arrow_circle_left_outlined');
  static const arrow_circle_left_sharp =
      _MaterialSymbolsData(0xf501, 'arrow_circle_left_sharp');
  static const arrow_circle_left =
      _MaterialSymbolsData(0xf502, 'arrow_circle_left');
  static const arrow_circle_right_filled_outlined =
      _MaterialSymbolsData(0xf503, 'arrow_circle_right_filled_outlined');
  static const arrow_circle_right_filled_sharp =
      _MaterialSymbolsData(0xf504, 'arrow_circle_right_filled_sharp');
  static const arrow_circle_right_filled =
      _MaterialSymbolsData(0xf505, 'arrow_circle_right_filled');
  static const arrow_circle_right_outlined =
      _MaterialSymbolsData(0xf506, 'arrow_circle_right_outlined');
  static const arrow_circle_right_sharp =
      _MaterialSymbolsData(0xf507, 'arrow_circle_right_sharp');
  static const arrow_circle_right =
      _MaterialSymbolsData(0xf508, 'arrow_circle_right');
  static const arrow_circle_up_filled_outlined =
      _MaterialSymbolsData(0xf509, 'arrow_circle_up_filled_outlined');
  static const arrow_circle_up_filled_sharp =
      _MaterialSymbolsData(0xf50a, 'arrow_circle_up_filled_sharp');
  static const arrow_circle_up_filled =
      _MaterialSymbolsData(0xf50b, 'arrow_circle_up_filled');
  static const arrow_circle_up_outlined =
      _MaterialSymbolsData(0xf50c, 'arrow_circle_up_outlined');
  static const arrow_circle_up_sharp =
      _MaterialSymbolsData(0xf50d, 'arrow_circle_up_sharp');
  static const arrow_circle_up =
      _MaterialSymbolsData(0xf50e, 'arrow_circle_up');
  static const arrow_downward_filled_outlined =
      _MaterialSymbolsData(0xf50f, 'arrow_downward_filled_outlined');
  static const arrow_downward_filled_sharp =
      _MaterialSymbolsData(0xf510, 'arrow_downward_filled_sharp');
  static const arrow_downward_filled =
      _MaterialSymbolsData(0xf511, 'arrow_downward_filled');
  static const arrow_downward_outlined =
      _MaterialSymbolsData(0xf512, 'arrow_downward_outlined');
  static const arrow_downward_sharp =
      _MaterialSymbolsData(0xf513, 'arrow_downward_sharp');
  static const arrow_downward = _MaterialSymbolsData(0xf514, 'arrow_downward');
  static const arrow_drop_down_circle_filled_outlined =
      _MaterialSymbolsData(0xf515, 'arrow_drop_down_circle_filled_outlined');
  static const arrow_drop_down_circle_filled_sharp =
      _MaterialSymbolsData(0xf516, 'arrow_drop_down_circle_filled_sharp');
  static const arrow_drop_down_circle_filled =
      _MaterialSymbolsData(0xf517, 'arrow_drop_down_circle_filled');
  static const arrow_drop_down_circle_outlined =
      _MaterialSymbolsData(0xf518, 'arrow_drop_down_circle_outlined');
  static const arrow_drop_down_circle_sharp =
      _MaterialSymbolsData(0xf519, 'arrow_drop_down_circle_sharp');
  static const arrow_drop_down_circle =
      _MaterialSymbolsData(0xf51a, 'arrow_drop_down_circle');
  static const arrow_drop_down_filled_outlined =
      _MaterialSymbolsData(0xf51b, 'arrow_drop_down_filled_outlined');
  static const arrow_drop_down_filled_sharp =
      _MaterialSymbolsData(0xf51c, 'arrow_drop_down_filled_sharp');
  static const arrow_drop_down_filled =
      _MaterialSymbolsData(0xf51d, 'arrow_drop_down_filled');
  static const arrow_drop_down_outlined =
      _MaterialSymbolsData(0xf51e, 'arrow_drop_down_outlined');
  static const arrow_drop_down_sharp =
      _MaterialSymbolsData(0xf51f, 'arrow_drop_down_sharp');
  static const arrow_drop_down =
      _MaterialSymbolsData(0xf520, 'arrow_drop_down');
  static const arrow_drop_up_filled_outlined =
      _MaterialSymbolsData(0xf521, 'arrow_drop_up_filled_outlined');
  static const arrow_drop_up_filled_sharp =
      _MaterialSymbolsData(0xf522, 'arrow_drop_up_filled_sharp');
  static const arrow_drop_up_filled =
      _MaterialSymbolsData(0xf523, 'arrow_drop_up_filled');
  static const arrow_drop_up_outlined =
      _MaterialSymbolsData(0xf524, 'arrow_drop_up_outlined');
  static const arrow_drop_up_sharp =
      _MaterialSymbolsData(0xf525, 'arrow_drop_up_sharp');
  static const arrow_drop_up = _MaterialSymbolsData(0xf526, 'arrow_drop_up');
  static const arrow_forward_filled_outlined =
      _MaterialSymbolsData(0xf527, 'arrow_forward_filled_outlined');
  static const arrow_forward_filled_sharp =
      _MaterialSymbolsData(0xf528, 'arrow_forward_filled_sharp');
  static const arrow_forward_filled =
      _MaterialSymbolsData(0xf529, 'arrow_forward_filled');
  static const arrow_forward_ios_filled_outlined =
      _MaterialSymbolsData(0xf52a, 'arrow_forward_ios_filled_outlined');
  static const arrow_forward_ios_filled_sharp =
      _MaterialSymbolsData(0xf52b, 'arrow_forward_ios_filled_sharp');
  static const arrow_forward_ios_filled =
      _MaterialSymbolsData(0xf52c, 'arrow_forward_ios_filled');
  static const arrow_forward_ios_outlined =
      _MaterialSymbolsData(0xf52d, 'arrow_forward_ios_outlined');
  static const arrow_forward_ios_sharp =
      _MaterialSymbolsData(0xf52e, 'arrow_forward_ios_sharp');
  static const arrow_forward_ios =
      _MaterialSymbolsData(0xf52f, 'arrow_forward_ios');
  static const arrow_forward_outlined =
      _MaterialSymbolsData(0xf530, 'arrow_forward_outlined');
  static const arrow_forward_sharp =
      _MaterialSymbolsData(0xf531, 'arrow_forward_sharp');
  static const arrow_forward = _MaterialSymbolsData(0xf532, 'arrow_forward');
  static const arrow_insert_filled_outlined =
      _MaterialSymbolsData(0xf533, 'arrow_insert_filled_outlined');
  static const arrow_insert_filled_sharp =
      _MaterialSymbolsData(0xf534, 'arrow_insert_filled_sharp');
  static const arrow_insert_filled =
      _MaterialSymbolsData(0xf535, 'arrow_insert_filled');
  static const arrow_insert_outlined =
      _MaterialSymbolsData(0xf536, 'arrow_insert_outlined');
  static const arrow_insert_sharp =
      _MaterialSymbolsData(0xf537, 'arrow_insert_sharp');
  static const arrow_insert = _MaterialSymbolsData(0xf538, 'arrow_insert');
  static const arrow_left_filled_outlined =
      _MaterialSymbolsData(0xf539, 'arrow_left_filled_outlined');
  static const arrow_left_filled_sharp =
      _MaterialSymbolsData(0xf53a, 'arrow_left_filled_sharp');
  static const arrow_left_filled =
      _MaterialSymbolsData(0xf53b, 'arrow_left_filled');
  static const arrow_left_outlined =
      _MaterialSymbolsData(0xf53c, 'arrow_left_outlined');
  static const arrow_left_sharp =
      _MaterialSymbolsData(0xf53d, 'arrow_left_sharp');
  static const arrow_left = _MaterialSymbolsData(0xf53e, 'arrow_left');
  static const arrow_outward_filled_outlined =
      _MaterialSymbolsData(0xf53f, 'arrow_outward_filled_outlined');
  static const arrow_outward_filled_sharp =
      _MaterialSymbolsData(0xf540, 'arrow_outward_filled_sharp');
  static const arrow_outward_filled =
      _MaterialSymbolsData(0xf541, 'arrow_outward_filled');
  static const arrow_outward_outlined =
      _MaterialSymbolsData(0xf542, 'arrow_outward_outlined');
  static const arrow_outward_sharp =
      _MaterialSymbolsData(0xf543, 'arrow_outward_sharp');
  static const arrow_outward = _MaterialSymbolsData(0xf544, 'arrow_outward');
  static const arrow_right_alt_filled_outlined =
      _MaterialSymbolsData(0xf545, 'arrow_right_alt_filled_outlined');
  static const arrow_right_alt_filled_sharp =
      _MaterialSymbolsData(0xf546, 'arrow_right_alt_filled_sharp');
  static const arrow_right_alt_filled =
      _MaterialSymbolsData(0xf547, 'arrow_right_alt_filled');
  static const arrow_right_alt_outlined =
      _MaterialSymbolsData(0xf548, 'arrow_right_alt_outlined');
  static const arrow_right_alt_sharp =
      _MaterialSymbolsData(0xf549, 'arrow_right_alt_sharp');
  static const arrow_right_alt =
      _MaterialSymbolsData(0xf54a, 'arrow_right_alt');
  static const arrow_right_filled_outlined =
      _MaterialSymbolsData(0xf54b, 'arrow_right_filled_outlined');
  static const arrow_right_filled_sharp =
      _MaterialSymbolsData(0xf54c, 'arrow_right_filled_sharp');
  static const arrow_right_filled =
      _MaterialSymbolsData(0xf54d, 'arrow_right_filled');
  static const arrow_right_outlined =
      _MaterialSymbolsData(0xf54e, 'arrow_right_outlined');
  static const arrow_right_sharp =
      _MaterialSymbolsData(0xf54f, 'arrow_right_sharp');
  static const arrow_right = _MaterialSymbolsData(0xf550, 'arrow_right');
  static const arrow_selector_tool_filled_outlined =
      _MaterialSymbolsData(0xf551, 'arrow_selector_tool_filled_outlined');
  static const arrow_selector_tool_filled_sharp =
      _MaterialSymbolsData(0xf552, 'arrow_selector_tool_filled_sharp');
  static const arrow_selector_tool_filled =
      _MaterialSymbolsData(0xf553, 'arrow_selector_tool_filled');
  static const arrow_selector_tool_outlined =
      _MaterialSymbolsData(0xf554, 'arrow_selector_tool_outlined');
  static const arrow_selector_tool_sharp =
      _MaterialSymbolsData(0xf555, 'arrow_selector_tool_sharp');
  static const arrow_selector_tool =
      _MaterialSymbolsData(0xf556, 'arrow_selector_tool');
  static const arrow_upward_filled_outlined =
      _MaterialSymbolsData(0xf557, 'arrow_upward_filled_outlined');
  static const arrow_upward_filled_sharp =
      _MaterialSymbolsData(0xf558, 'arrow_upward_filled_sharp');
  static const arrow_upward_filled =
      _MaterialSymbolsData(0xf559, 'arrow_upward_filled');
  static const arrow_upward_outlined =
      _MaterialSymbolsData(0xf55a, 'arrow_upward_outlined');
  static const arrow_upward_sharp =
      _MaterialSymbolsData(0xf55b, 'arrow_upward_sharp');
  static const arrow_upward = _MaterialSymbolsData(0xf55c, 'arrow_upward');
  static const arrows_more_down_filled_outlined =
      _MaterialSymbolsData(0xf55d, 'arrows_more_down_filled_outlined');
  static const arrows_more_down_filled_sharp =
      _MaterialSymbolsData(0xf55e, 'arrows_more_down_filled_sharp');
  static const arrows_more_down_filled =
      _MaterialSymbolsData(0xf55f, 'arrows_more_down_filled');
  static const arrows_more_down_outlined =
      _MaterialSymbolsData(0xf560, 'arrows_more_down_outlined');
  static const arrows_more_down_sharp =
      _MaterialSymbolsData(0xf561, 'arrows_more_down_sharp');
  static const arrows_more_down =
      _MaterialSymbolsData(0xf562, 'arrows_more_down');
  static const arrows_more_up_filled_outlined =
      _MaterialSymbolsData(0xf563, 'arrows_more_up_filled_outlined');
  static const arrows_more_up_filled_sharp =
      _MaterialSymbolsData(0xf564, 'arrows_more_up_filled_sharp');
  static const arrows_more_up_filled =
      _MaterialSymbolsData(0xf565, 'arrows_more_up_filled');
  static const arrows_more_up_outlined =
      _MaterialSymbolsData(0xf566, 'arrows_more_up_outlined');
  static const arrows_more_up_sharp =
      _MaterialSymbolsData(0xf567, 'arrows_more_up_sharp');
  static const arrows_more_up = _MaterialSymbolsData(0xf568, 'arrows_more_up');
  static const art_track_filled_outlined =
      _MaterialSymbolsData(0xf569, 'art_track_filled_outlined');
  static const art_track_filled_sharp =
      _MaterialSymbolsData(0xf56a, 'art_track_filled_sharp');
  static const art_track_filled =
      _MaterialSymbolsData(0xf56b, 'art_track_filled');
  static const art_track_outlined =
      _MaterialSymbolsData(0xf56c, 'art_track_outlined');
  static const art_track_sharp =
      _MaterialSymbolsData(0xf56d, 'art_track_sharp');
  static const art_track = _MaterialSymbolsData(0xf56e, 'art_track');
  static const article_filled_outlined =
      _MaterialSymbolsData(0xf56f, 'article_filled_outlined');
  static const article_filled_sharp =
      _MaterialSymbolsData(0xf570, 'article_filled_sharp');
  static const article_filled = _MaterialSymbolsData(0xf571, 'article_filled');
  static const article_outlined =
      _MaterialSymbolsData(0xf572, 'article_outlined');
  static const article_sharp = _MaterialSymbolsData(0xf573, 'article_sharp');
  static const article = _MaterialSymbolsData(0xf574, 'article');
  static const aspect_ratio_filled_outlined =
      _MaterialSymbolsData(0xf575, 'aspect_ratio_filled_outlined');
  static const aspect_ratio_filled_sharp =
      _MaterialSymbolsData(0xf576, 'aspect_ratio_filled_sharp');
  static const aspect_ratio_filled =
      _MaterialSymbolsData(0xf577, 'aspect_ratio_filled');
  static const aspect_ratio_outlined =
      _MaterialSymbolsData(0xf578, 'aspect_ratio_outlined');
  static const aspect_ratio_sharp =
      _MaterialSymbolsData(0xf579, 'aspect_ratio_sharp');
  static const aspect_ratio = _MaterialSymbolsData(0xf57a, 'aspect_ratio');
  static const assignment_add_filled_outlined =
      _MaterialSymbolsData(0xf57b, 'assignment_add_filled_outlined');
  static const assignment_add_filled_sharp =
      _MaterialSymbolsData(0xf57c, 'assignment_add_filled_sharp');
  static const assignment_add_filled =
      _MaterialSymbolsData(0xf57d, 'assignment_add_filled');
  static const assignment_add_outlined =
      _MaterialSymbolsData(0xf57e, 'assignment_add_outlined');
  static const assignment_add_sharp =
      _MaterialSymbolsData(0xf57f, 'assignment_add_sharp');
  static const assignment_add = _MaterialSymbolsData(0xf580, 'assignment_add');
  static const assignment_filled_outlined =
      _MaterialSymbolsData(0xf581, 'assignment_filled_outlined');
  static const assignment_filled_sharp =
      _MaterialSymbolsData(0xf582, 'assignment_filled_sharp');
  static const assignment_filled =
      _MaterialSymbolsData(0xf583, 'assignment_filled');
  static const assignment_ind_filled_outlined =
      _MaterialSymbolsData(0xf584, 'assignment_ind_filled_outlined');
  static const assignment_ind_filled_sharp =
      _MaterialSymbolsData(0xf585, 'assignment_ind_filled_sharp');
  static const assignment_ind_filled =
      _MaterialSymbolsData(0xf586, 'assignment_ind_filled');
  static const assignment_ind_outlined =
      _MaterialSymbolsData(0xf587, 'assignment_ind_outlined');
  static const assignment_ind_sharp =
      _MaterialSymbolsData(0xf588, 'assignment_ind_sharp');
  static const assignment_ind = _MaterialSymbolsData(0xf589, 'assignment_ind');
  static const assignment_late_filled_outlined =
      _MaterialSymbolsData(0xf58a, 'assignment_late_filled_outlined');
  static const assignment_late_filled_sharp =
      _MaterialSymbolsData(0xf58b, 'assignment_late_filled_sharp');
  static const assignment_late_filled =
      _MaterialSymbolsData(0xf58c, 'assignment_late_filled');
  static const assignment_late_outlined =
      _MaterialSymbolsData(0xf58d, 'assignment_late_outlined');
  static const assignment_late_sharp =
      _MaterialSymbolsData(0xf58e, 'assignment_late_sharp');
  static const assignment_late =
      _MaterialSymbolsData(0xf58f, 'assignment_late');
  static const assignment_outlined =
      _MaterialSymbolsData(0xf590, 'assignment_outlined');
  static const assignment_return_filled_outlined =
      _MaterialSymbolsData(0xf591, 'assignment_return_filled_outlined');
  static const assignment_return_filled_sharp =
      _MaterialSymbolsData(0xf592, 'assignment_return_filled_sharp');
  static const assignment_return_filled =
      _MaterialSymbolsData(0xf593, 'assignment_return_filled');
  static const assignment_return_outlined =
      _MaterialSymbolsData(0xf594, 'assignment_return_outlined');
  static const assignment_return_sharp =
      _MaterialSymbolsData(0xf595, 'assignment_return_sharp');
  static const assignment_return =
      _MaterialSymbolsData(0xf596, 'assignment_return');
  static const assignment_returned_filled_outlined =
      _MaterialSymbolsData(0xf597, 'assignment_returned_filled_outlined');
  static const assignment_returned_filled_sharp =
      _MaterialSymbolsData(0xf598, 'assignment_returned_filled_sharp');
  static const assignment_returned_filled =
      _MaterialSymbolsData(0xf599, 'assignment_returned_filled');
  static const assignment_returned_outlined =
      _MaterialSymbolsData(0xf59a, 'assignment_returned_outlined');
  static const assignment_returned_sharp =
      _MaterialSymbolsData(0xf59b, 'assignment_returned_sharp');
  static const assignment_returned =
      _MaterialSymbolsData(0xf59c, 'assignment_returned');
  static const assignment_sharp =
      _MaterialSymbolsData(0xf59d, 'assignment_sharp');
  static const assignment_turned_in_filled_outlined =
      _MaterialSymbolsData(0xf59e, 'assignment_turned_in_filled_outlined');
  static const assignment_turned_in_filled_sharp =
      _MaterialSymbolsData(0xf59f, 'assignment_turned_in_filled_sharp');
  static const assignment_turned_in_filled =
      _MaterialSymbolsData(0xf5a0, 'assignment_turned_in_filled');
  static const assignment_turned_in_outlined =
      _MaterialSymbolsData(0xf5a1, 'assignment_turned_in_outlined');
  static const assignment_turned_in_sharp =
      _MaterialSymbolsData(0xf5a2, 'assignment_turned_in_sharp');
  static const assignment_turned_in =
      _MaterialSymbolsData(0xf5a3, 'assignment_turned_in');
  static const assignment = _MaterialSymbolsData(0xf5a4, 'assignment');
  static const assist_walker_filled_outlined =
      _MaterialSymbolsData(0xf5a5, 'assist_walker_filled_outlined');
  static const assist_walker_filled_sharp =
      _MaterialSymbolsData(0xf5a6, 'assist_walker_filled_sharp');
  static const assist_walker_filled =
      _MaterialSymbolsData(0xf5a7, 'assist_walker_filled');
  static const assist_walker_outlined =
      _MaterialSymbolsData(0xf5a8, 'assist_walker_outlined');
  static const assist_walker_sharp =
      _MaterialSymbolsData(0xf5a9, 'assist_walker_sharp');
  static const assist_walker = _MaterialSymbolsData(0xf5aa, 'assist_walker');
  static const assistant_direction_filled_outlined =
      _MaterialSymbolsData(0xf5ab, 'assistant_direction_filled_outlined');
  static const assistant_direction_filled_sharp =
      _MaterialSymbolsData(0xf5ac, 'assistant_direction_filled_sharp');
  static const assistant_direction_filled =
      _MaterialSymbolsData(0xf5ad, 'assistant_direction_filled');
  static const assistant_direction_outlined =
      _MaterialSymbolsData(0xf5ae, 'assistant_direction_outlined');
  static const assistant_direction_sharp =
      _MaterialSymbolsData(0xf5af, 'assistant_direction_sharp');
  static const assistant_direction =
      _MaterialSymbolsData(0xf5b0, 'assistant_direction');
  static const assistant_filled_outlined =
      _MaterialSymbolsData(0xf5b1, 'assistant_filled_outlined');
  static const assistant_filled_sharp =
      _MaterialSymbolsData(0xf5b2, 'assistant_filled_sharp');
  static const assistant_filled =
      _MaterialSymbolsData(0xf5b3, 'assistant_filled');
  static const assistant_navigation_filled_outlined =
      _MaterialSymbolsData(0xf5b4, 'assistant_navigation_filled_outlined');
  static const assistant_navigation_filled_sharp =
      _MaterialSymbolsData(0xf5b5, 'assistant_navigation_filled_sharp');
  static const assistant_navigation_filled =
      _MaterialSymbolsData(0xf5b6, 'assistant_navigation_filled');
  static const assistant_navigation_outlined =
      _MaterialSymbolsData(0xf5b7, 'assistant_navigation_outlined');
  static const assistant_navigation_sharp =
      _MaterialSymbolsData(0xf5b8, 'assistant_navigation_sharp');
  static const assistant_navigation =
      _MaterialSymbolsData(0xf5b9, 'assistant_navigation');
  static const assistant_outlined =
      _MaterialSymbolsData(0xf5ba, 'assistant_outlined');
  static const assistant_sharp =
      _MaterialSymbolsData(0xf5bb, 'assistant_sharp');
  static const assistant = _MaterialSymbolsData(0xf5bc, 'assistant');
  static const assured_workload_filled_outlined =
      _MaterialSymbolsData(0xf5bd, 'assured_workload_filled_outlined');
  static const assured_workload_filled_sharp =
      _MaterialSymbolsData(0xf5be, 'assured_workload_filled_sharp');
  static const assured_workload_filled =
      _MaterialSymbolsData(0xf5bf, 'assured_workload_filled');
  static const assured_workload_outlined =
      _MaterialSymbolsData(0xf5c0, 'assured_workload_outlined');
  static const assured_workload_sharp =
      _MaterialSymbolsData(0xf5c1, 'assured_workload_sharp');
  static const assured_workload =
      _MaterialSymbolsData(0xf5c2, 'assured_workload');
  static const astrophotography_auto_filled_outlined =
      _MaterialSymbolsData(0xf5c3, 'astrophotography_auto_filled_outlined');
  static const astrophotography_auto_filled_sharp =
      _MaterialSymbolsData(0xf5c4, 'astrophotography_auto_filled_sharp');
  static const astrophotography_auto_filled =
      _MaterialSymbolsData(0xf5c5, 'astrophotography_auto_filled');
  static const astrophotography_auto_outlined =
      _MaterialSymbolsData(0xf5c6, 'astrophotography_auto_outlined');
  static const astrophotography_auto_sharp =
      _MaterialSymbolsData(0xf5c7, 'astrophotography_auto_sharp');
  static const astrophotography_auto =
      _MaterialSymbolsData(0xf5c8, 'astrophotography_auto');
  static const astrophotography_off_filled_outlined =
      _MaterialSymbolsData(0xf5c9, 'astrophotography_off_filled_outlined');
  static const astrophotography_off_filled_sharp =
      _MaterialSymbolsData(0xf5ca, 'astrophotography_off_filled_sharp');
  static const astrophotography_off_filled =
      _MaterialSymbolsData(0xf5cb, 'astrophotography_off_filled');
  static const astrophotography_off_outlined =
      _MaterialSymbolsData(0xf5cc, 'astrophotography_off_outlined');
  static const astrophotography_off_sharp =
      _MaterialSymbolsData(0xf5cd, 'astrophotography_off_sharp');
  static const astrophotography_off =
      _MaterialSymbolsData(0xf5ce, 'astrophotography_off');
  static const atm_filled_outlined =
      _MaterialSymbolsData(0xf5cf, 'atm_filled_outlined');
  static const atm_filled_sharp =
      _MaterialSymbolsData(0xf5d0, 'atm_filled_sharp');
  static const atm_filled = _MaterialSymbolsData(0xf5d1, 'atm_filled');
  static const atm_outlined = _MaterialSymbolsData(0xf5d2, 'atm_outlined');
  static const atm_sharp = _MaterialSymbolsData(0xf5d3, 'atm_sharp');
  static const atm = _MaterialSymbolsData(0xf5d4, 'atm');
  static const atr_filled_outlined =
      _MaterialSymbolsData(0xf5d5, 'atr_filled_outlined');
  static const atr_filled_sharp =
      _MaterialSymbolsData(0xf5d6, 'atr_filled_sharp');
  static const atr_filled = _MaterialSymbolsData(0xf5d7, 'atr_filled');
  static const atr_outlined = _MaterialSymbolsData(0xf5d8, 'atr_outlined');
  static const atr_sharp = _MaterialSymbolsData(0xf5d9, 'atr_sharp');
  static const atr = _MaterialSymbolsData(0xf5da, 'atr');
  static const attach_email_filled_outlined =
      _MaterialSymbolsData(0xf5db, 'attach_email_filled_outlined');
  static const attach_email_filled_sharp =
      _MaterialSymbolsData(0xf5dc, 'attach_email_filled_sharp');
  static const attach_email_filled =
      _MaterialSymbolsData(0xf5dd, 'attach_email_filled');
  static const attach_email_outlined =
      _MaterialSymbolsData(0xf5de, 'attach_email_outlined');
  static const attach_email_sharp =
      _MaterialSymbolsData(0xf5df, 'attach_email_sharp');
  static const attach_email = _MaterialSymbolsData(0xf5e0, 'attach_email');
  static const attach_file_add_filled_outlined =
      _MaterialSymbolsData(0xf5e1, 'attach_file_add_filled_outlined');
  static const attach_file_add_filled_sharp =
      _MaterialSymbolsData(0xf5e2, 'attach_file_add_filled_sharp');
  static const attach_file_add_filled =
      _MaterialSymbolsData(0xf5e3, 'attach_file_add_filled');
  static const attach_file_add_outlined =
      _MaterialSymbolsData(0xf5e4, 'attach_file_add_outlined');
  static const attach_file_add_sharp =
      _MaterialSymbolsData(0xf5e5, 'attach_file_add_sharp');
  static const attach_file_add =
      _MaterialSymbolsData(0xf5e6, 'attach_file_add');
  static const attach_file_filled_outlined =
      _MaterialSymbolsData(0xf5e7, 'attach_file_filled_outlined');
  static const attach_file_filled_sharp =
      _MaterialSymbolsData(0xf5e8, 'attach_file_filled_sharp');
  static const attach_file_filled =
      _MaterialSymbolsData(0xf5e9, 'attach_file_filled');
  static const attach_file_outlined =
      _MaterialSymbolsData(0xf5ea, 'attach_file_outlined');
  static const attach_file_sharp =
      _MaterialSymbolsData(0xf5eb, 'attach_file_sharp');
  static const attach_file = _MaterialSymbolsData(0xf5ec, 'attach_file');
  static const attach_money_filled_outlined =
      _MaterialSymbolsData(0xf5ed, 'attach_money_filled_outlined');
  static const attach_money_filled_sharp =
      _MaterialSymbolsData(0xf5ee, 'attach_money_filled_sharp');
  static const attach_money_filled =
      _MaterialSymbolsData(0xf5ef, 'attach_money_filled');
  static const attach_money_outlined =
      _MaterialSymbolsData(0xf5f0, 'attach_money_outlined');
  static const attach_money_sharp =
      _MaterialSymbolsData(0xf5f1, 'attach_money_sharp');
  static const attach_money = _MaterialSymbolsData(0xf5f2, 'attach_money');
  static const attachment_filled_outlined =
      _MaterialSymbolsData(0xf5f3, 'attachment_filled_outlined');
  static const attachment_filled_sharp =
      _MaterialSymbolsData(0xf5f4, 'attachment_filled_sharp');
  static const attachment_filled =
      _MaterialSymbolsData(0xf5f5, 'attachment_filled');
  static const attachment_outlined =
      _MaterialSymbolsData(0xf5f6, 'attachment_outlined');
  static const attachment_sharp =
      _MaterialSymbolsData(0xf5f7, 'attachment_sharp');
  static const attachment = _MaterialSymbolsData(0xf5f8, 'attachment');
  static const attractions_filled_outlined =
      _MaterialSymbolsData(0xf5f9, 'attractions_filled_outlined');
  static const attractions_filled_sharp =
      _MaterialSymbolsData(0xf5fa, 'attractions_filled_sharp');
  static const attractions_filled =
      _MaterialSymbolsData(0xf5fb, 'attractions_filled');
  static const attractions_outlined =
      _MaterialSymbolsData(0xf5fc, 'attractions_outlined');
  static const attractions_sharp =
      _MaterialSymbolsData(0xf5fd, 'attractions_sharp');
  static const attractions = _MaterialSymbolsData(0xf5fe, 'attractions');
  static const attribution_filled_outlined =
      _MaterialSymbolsData(0xf5ff, 'attribution_filled_outlined');
  static const attribution_filled_sharp =
      _MaterialSymbolsData(0xf600, 'attribution_filled_sharp');
  static const attribution_filled =
      _MaterialSymbolsData(0xf601, 'attribution_filled');
  static const attribution_outlined =
      _MaterialSymbolsData(0xf602, 'attribution_outlined');
  static const attribution_sharp =
      _MaterialSymbolsData(0xf603, 'attribution_sharp');
  static const attribution = _MaterialSymbolsData(0xf604, 'attribution');
  static const audio_file_filled_outlined =
      _MaterialSymbolsData(0xf605, 'audio_file_filled_outlined');
  static const audio_file_filled_sharp =
      _MaterialSymbolsData(0xf606, 'audio_file_filled_sharp');
  static const audio_file_filled =
      _MaterialSymbolsData(0xf607, 'audio_file_filled');
  static const audio_file_outlined =
      _MaterialSymbolsData(0xf608, 'audio_file_outlined');
  static const audio_file_sharp =
      _MaterialSymbolsData(0xf609, 'audio_file_sharp');
  static const audio_file = _MaterialSymbolsData(0xf60a, 'audio_file');
  static const auto_activity_zone_filled_outlined =
      _MaterialSymbolsData(0xf60b, 'auto_activity_zone_filled_outlined');
  static const auto_activity_zone_filled_sharp =
      _MaterialSymbolsData(0xf60c, 'auto_activity_zone_filled_sharp');
  static const auto_activity_zone_filled =
      _MaterialSymbolsData(0xf60d, 'auto_activity_zone_filled');
  static const auto_activity_zone_outlined =
      _MaterialSymbolsData(0xf60e, 'auto_activity_zone_outlined');
  static const auto_activity_zone_sharp =
      _MaterialSymbolsData(0xf60f, 'auto_activity_zone_sharp');
  static const auto_activity_zone =
      _MaterialSymbolsData(0xf610, 'auto_activity_zone');
  static const auto_awesome_filled_outlined =
      _MaterialSymbolsData(0xf611, 'auto_awesome_filled_outlined');
  static const auto_awesome_filled_sharp =
      _MaterialSymbolsData(0xf612, 'auto_awesome_filled_sharp');
  static const auto_awesome_filled =
      _MaterialSymbolsData(0xf613, 'auto_awesome_filled');
  static const auto_awesome_mosaic_filled_outlined =
      _MaterialSymbolsData(0xf614, 'auto_awesome_mosaic_filled_outlined');
  static const auto_awesome_mosaic_filled_sharp =
      _MaterialSymbolsData(0xf615, 'auto_awesome_mosaic_filled_sharp');
  static const auto_awesome_mosaic_filled =
      _MaterialSymbolsData(0xf616, 'auto_awesome_mosaic_filled');
  static const auto_awesome_mosaic_outlined =
      _MaterialSymbolsData(0xf617, 'auto_awesome_mosaic_outlined');
  static const auto_awesome_mosaic_sharp =
      _MaterialSymbolsData(0xf618, 'auto_awesome_mosaic_sharp');
  static const auto_awesome_mosaic =
      _MaterialSymbolsData(0xf619, 'auto_awesome_mosaic');
  static const auto_awesome_motion_filled_outlined =
      _MaterialSymbolsData(0xf61a, 'auto_awesome_motion_filled_outlined');
  static const auto_awesome_motion_filled_sharp =
      _MaterialSymbolsData(0xf61b, 'auto_awesome_motion_filled_sharp');
  static const auto_awesome_motion_filled =
      _MaterialSymbolsData(0xf61c, 'auto_awesome_motion_filled');
  static const auto_awesome_motion_outlined =
      _MaterialSymbolsData(0xf61d, 'auto_awesome_motion_outlined');
  static const auto_awesome_motion_sharp =
      _MaterialSymbolsData(0xf61e, 'auto_awesome_motion_sharp');
  static const auto_awesome_motion =
      _MaterialSymbolsData(0xf61f, 'auto_awesome_motion');
  static const auto_awesome_outlined =
      _MaterialSymbolsData(0xf620, 'auto_awesome_outlined');
  static const auto_awesome_sharp =
      _MaterialSymbolsData(0xf621, 'auto_awesome_sharp');
  static const auto_awesome = _MaterialSymbolsData(0xf622, 'auto_awesome');
  static const auto_delete_filled_outlined =
      _MaterialSymbolsData(0xf623, 'auto_delete_filled_outlined');
  static const auto_delete_filled_sharp =
      _MaterialSymbolsData(0xf624, 'auto_delete_filled_sharp');
  static const auto_delete_filled =
      _MaterialSymbolsData(0xf625, 'auto_delete_filled');
  static const auto_delete_outlined =
      _MaterialSymbolsData(0xf626, 'auto_delete_outlined');
  static const auto_delete_sharp =
      _MaterialSymbolsData(0xf627, 'auto_delete_sharp');
  static const auto_delete = _MaterialSymbolsData(0xf628, 'auto_delete');
  static const auto_detect_voice_filled_outlined =
      _MaterialSymbolsData(0xf629, 'auto_detect_voice_filled_outlined');
  static const auto_detect_voice_filled_sharp =
      _MaterialSymbolsData(0xf62a, 'auto_detect_voice_filled_sharp');
  static const auto_detect_voice_filled =
      _MaterialSymbolsData(0xf62b, 'auto_detect_voice_filled');
  static const auto_detect_voice_outlined =
      _MaterialSymbolsData(0xf62c, 'auto_detect_voice_outlined');
  static const auto_detect_voice_sharp =
      _MaterialSymbolsData(0xf62d, 'auto_detect_voice_sharp');
  static const auto_detect_voice =
      _MaterialSymbolsData(0xf62e, 'auto_detect_voice');
  static const auto_fix_filled_outlined =
      _MaterialSymbolsData(0xf62f, 'auto_fix_filled_outlined');
  static const auto_fix_filled_sharp =
      _MaterialSymbolsData(0xf630, 'auto_fix_filled_sharp');
  static const auto_fix_filled =
      _MaterialSymbolsData(0xf631, 'auto_fix_filled');
  static const auto_fix_high_filled_outlined =
      _MaterialSymbolsData(0xf632, 'auto_fix_high_filled_outlined');
  static const auto_fix_high_filled_sharp =
      _MaterialSymbolsData(0xf633, 'auto_fix_high_filled_sharp');
  static const auto_fix_high_filled =
      _MaterialSymbolsData(0xf634, 'auto_fix_high_filled');
  static const auto_fix_high_outlined =
      _MaterialSymbolsData(0xf635, 'auto_fix_high_outlined');
  static const auto_fix_high_sharp =
      _MaterialSymbolsData(0xf636, 'auto_fix_high_sharp');
  static const auto_fix_high = _MaterialSymbolsData(0xf637, 'auto_fix_high');
  static const auto_fix_normal_filled_outlined =
      _MaterialSymbolsData(0xf638, 'auto_fix_normal_filled_outlined');
  static const auto_fix_normal_filled_sharp =
      _MaterialSymbolsData(0xf639, 'auto_fix_normal_filled_sharp');
  static const auto_fix_normal_filled =
      _MaterialSymbolsData(0xf63a, 'auto_fix_normal_filled');
  static const auto_fix_normal_outlined =
      _MaterialSymbolsData(0xf63b, 'auto_fix_normal_outlined');
  static const auto_fix_normal_sharp =
      _MaterialSymbolsData(0xf63c, 'auto_fix_normal_sharp');
  static const auto_fix_normal =
      _MaterialSymbolsData(0xf63d, 'auto_fix_normal');
  static const auto_fix_off_filled_outlined =
      _MaterialSymbolsData(0xf63e, 'auto_fix_off_filled_outlined');
  static const auto_fix_off_filled_sharp =
      _MaterialSymbolsData(0xf63f, 'auto_fix_off_filled_sharp');
  static const auto_fix_off_filled =
      _MaterialSymbolsData(0xf640, 'auto_fix_off_filled');
  static const auto_fix_off_outlined =
      _MaterialSymbolsData(0xf641, 'auto_fix_off_outlined');
  static const auto_fix_off_sharp =
      _MaterialSymbolsData(0xf642, 'auto_fix_off_sharp');
  static const auto_fix_off = _MaterialSymbolsData(0xf643, 'auto_fix_off');
  static const auto_fix_outlined =
      _MaterialSymbolsData(0xf644, 'auto_fix_outlined');
  static const auto_fix_sharp = _MaterialSymbolsData(0xf645, 'auto_fix_sharp');
  static const auto_fix = _MaterialSymbolsData(0xf646, 'auto_fix');
  static const auto_graph_filled_outlined =
      _MaterialSymbolsData(0xf647, 'auto_graph_filled_outlined');
  static const auto_graph_filled_sharp =
      _MaterialSymbolsData(0xf648, 'auto_graph_filled_sharp');
  static const auto_graph_filled =
      _MaterialSymbolsData(0xf649, 'auto_graph_filled');
  static const auto_graph_outlined =
      _MaterialSymbolsData(0xf64a, 'auto_graph_outlined');
  static const auto_graph_sharp =
      _MaterialSymbolsData(0xf64b, 'auto_graph_sharp');
  static const auto_graph = _MaterialSymbolsData(0xf64c, 'auto_graph');
  static const auto_mode_filled_outlined =
      _MaterialSymbolsData(0xf64d, 'auto_mode_filled_outlined');
  static const auto_mode_filled_sharp =
      _MaterialSymbolsData(0xf64e, 'auto_mode_filled_sharp');
  static const auto_mode_filled =
      _MaterialSymbolsData(0xf64f, 'auto_mode_filled');
  static const auto_mode_outlined =
      _MaterialSymbolsData(0xf650, 'auto_mode_outlined');
  static const auto_mode_sharp =
      _MaterialSymbolsData(0xf651, 'auto_mode_sharp');
  static const auto_mode = _MaterialSymbolsData(0xf652, 'auto_mode');
  static const auto_read_pause_filled_outlined =
      _MaterialSymbolsData(0xf653, 'auto_read_pause_filled_outlined');
  static const auto_read_pause_filled_sharp =
      _MaterialSymbolsData(0xf654, 'auto_read_pause_filled_sharp');
  static const auto_read_pause_filled =
      _MaterialSymbolsData(0xf655, 'auto_read_pause_filled');
  static const auto_read_pause_outlined =
      _MaterialSymbolsData(0xf656, 'auto_read_pause_outlined');
  static const auto_read_pause_sharp =
      _MaterialSymbolsData(0xf657, 'auto_read_pause_sharp');
  static const auto_read_pause =
      _MaterialSymbolsData(0xf658, 'auto_read_pause');
  static const auto_read_play_filled_outlined =
      _MaterialSymbolsData(0xf659, 'auto_read_play_filled_outlined');
  static const auto_read_play_filled_sharp =
      _MaterialSymbolsData(0xf65a, 'auto_read_play_filled_sharp');
  static const auto_read_play_filled =
      _MaterialSymbolsData(0xf65b, 'auto_read_play_filled');
  static const auto_read_play_outlined =
      _MaterialSymbolsData(0xf65c, 'auto_read_play_outlined');
  static const auto_read_play_sharp =
      _MaterialSymbolsData(0xf65d, 'auto_read_play_sharp');
  static const auto_read_play = _MaterialSymbolsData(0xf65e, 'auto_read_play');
  static const auto_schedule_filled_outlined =
      _MaterialSymbolsData(0xf65f, 'auto_schedule_filled_outlined');
  static const auto_schedule_filled_sharp =
      _MaterialSymbolsData(0xf660, 'auto_schedule_filled_sharp');
  static const auto_schedule_filled =
      _MaterialSymbolsData(0xf661, 'auto_schedule_filled');
  static const auto_schedule_outlined =
      _MaterialSymbolsData(0xf662, 'auto_schedule_outlined');
  static const auto_schedule_sharp =
      _MaterialSymbolsData(0xf663, 'auto_schedule_sharp');
  static const auto_schedule = _MaterialSymbolsData(0xf664, 'auto_schedule');
  static const auto_stories_filled_outlined =
      _MaterialSymbolsData(0xf665, 'auto_stories_filled_outlined');
  static const auto_stories_filled_sharp =
      _MaterialSymbolsData(0xf666, 'auto_stories_filled_sharp');
  static const auto_stories_filled =
      _MaterialSymbolsData(0xf667, 'auto_stories_filled');
  static const auto_stories_outlined =
      _MaterialSymbolsData(0xf668, 'auto_stories_outlined');
  static const auto_stories_sharp =
      _MaterialSymbolsData(0xf669, 'auto_stories_sharp');
  static const auto_stories = _MaterialSymbolsData(0xf66a, 'auto_stories');
  static const autofps_select_filled_outlined =
      _MaterialSymbolsData(0xf66b, 'autofps_select_filled_outlined');
  static const autofps_select_filled_sharp =
      _MaterialSymbolsData(0xf66c, 'autofps_select_filled_sharp');
  static const autofps_select_filled =
      _MaterialSymbolsData(0xf66d, 'autofps_select_filled');
  static const autofps_select_outlined =
      _MaterialSymbolsData(0xf66e, 'autofps_select_outlined');
  static const autofps_select_sharp =
      _MaterialSymbolsData(0xf66f, 'autofps_select_sharp');
  static const autofps_select = _MaterialSymbolsData(0xf670, 'autofps_select');
  static const autopay_filled_outlined =
      _MaterialSymbolsData(0xf671, 'autopay_filled_outlined');
  static const autopay_filled_sharp =
      _MaterialSymbolsData(0xf672, 'autopay_filled_sharp');
  static const autopay_filled = _MaterialSymbolsData(0xf673, 'autopay_filled');
  static const autopay_outlined =
      _MaterialSymbolsData(0xf674, 'autopay_outlined');
  static const autopay_sharp = _MaterialSymbolsData(0xf675, 'autopay_sharp');
  static const autopay = _MaterialSymbolsData(0xf676, 'autopay');
  static const autorenew_filled_outlined =
      _MaterialSymbolsData(0xf677, 'autorenew_filled_outlined');
  static const autorenew_filled_sharp =
      _MaterialSymbolsData(0xf678, 'autorenew_filled_sharp');
  static const autorenew_filled =
      _MaterialSymbolsData(0xf679, 'autorenew_filled');
  static const autorenew_outlined =
      _MaterialSymbolsData(0xf67a, 'autorenew_outlined');
  static const autorenew_sharp =
      _MaterialSymbolsData(0xf67b, 'autorenew_sharp');
  static const autorenew = _MaterialSymbolsData(0xf67c, 'autorenew');
  static const av_timer_filled_outlined =
      _MaterialSymbolsData(0xf67d, 'av_timer_filled_outlined');
  static const av_timer_filled_sharp =
      _MaterialSymbolsData(0xf67e, 'av_timer_filled_sharp');
  static const av_timer_filled =
      _MaterialSymbolsData(0xf67f, 'av_timer_filled');
  static const av_timer_outlined =
      _MaterialSymbolsData(0xf680, 'av_timer_outlined');
  static const av_timer_sharp = _MaterialSymbolsData(0xf681, 'av_timer_sharp');
  static const av_timer = _MaterialSymbolsData(0xf682, 'av_timer');
  static const avg_time_filled_outlined =
      _MaterialSymbolsData(0xf683, 'avg_time_filled_outlined');
  static const avg_time_filled_sharp =
      _MaterialSymbolsData(0xf684, 'avg_time_filled_sharp');
  static const avg_time_filled =
      _MaterialSymbolsData(0xf685, 'avg_time_filled');
  static const avg_time_outlined =
      _MaterialSymbolsData(0xf686, 'avg_time_outlined');
  static const avg_time_sharp = _MaterialSymbolsData(0xf687, 'avg_time_sharp');
  static const avg_time = _MaterialSymbolsData(0xf688, 'avg_time');
  static const baby_changing_station_filled_outlined =
      _MaterialSymbolsData(0xf689, 'baby_changing_station_filled_outlined');
  static const baby_changing_station_filled_sharp =
      _MaterialSymbolsData(0xf68a, 'baby_changing_station_filled_sharp');
  static const baby_changing_station_filled =
      _MaterialSymbolsData(0xf68b, 'baby_changing_station_filled');
  static const baby_changing_station_outlined =
      _MaterialSymbolsData(0xf68c, 'baby_changing_station_outlined');
  static const baby_changing_station_sharp =
      _MaterialSymbolsData(0xf68d, 'baby_changing_station_sharp');
  static const baby_changing_station =
      _MaterialSymbolsData(0xf68e, 'baby_changing_station');
  static const back_hand_filled_outlined =
      _MaterialSymbolsData(0xf68f, 'back_hand_filled_outlined');
  static const back_hand_filled_sharp =
      _MaterialSymbolsData(0xf690, 'back_hand_filled_sharp');
  static const back_hand_filled =
      _MaterialSymbolsData(0xf691, 'back_hand_filled');
  static const back_hand_outlined =
      _MaterialSymbolsData(0xf692, 'back_hand_outlined');
  static const back_hand_sharp =
      _MaterialSymbolsData(0xf693, 'back_hand_sharp');
  static const back_hand = _MaterialSymbolsData(0xf694, 'back_hand');
  static const background_replace_filled_outlined =
      _MaterialSymbolsData(0xf695, 'background_replace_filled_outlined');
  static const background_replace_filled_sharp =
      _MaterialSymbolsData(0xf696, 'background_replace_filled_sharp');
  static const background_replace_filled =
      _MaterialSymbolsData(0xf697, 'background_replace_filled');
  static const background_replace_outlined =
      _MaterialSymbolsData(0xf698, 'background_replace_outlined');
  static const background_replace_sharp =
      _MaterialSymbolsData(0xf699, 'background_replace_sharp');
  static const background_replace =
      _MaterialSymbolsData(0xf69a, 'background_replace');
  static const backpack_filled_outlined =
      _MaterialSymbolsData(0xf69b, 'backpack_filled_outlined');
  static const backpack_filled_sharp =
      _MaterialSymbolsData(0xf69c, 'backpack_filled_sharp');
  static const backpack_filled =
      _MaterialSymbolsData(0xf69d, 'backpack_filled');
  static const backpack_outlined =
      _MaterialSymbolsData(0xf69e, 'backpack_outlined');
  static const backpack_sharp = _MaterialSymbolsData(0xf69f, 'backpack_sharp');
  static const backpack = _MaterialSymbolsData(0xf6a0, 'backpack');
  static const backspace_filled_outlined =
      _MaterialSymbolsData(0xf6a1, 'backspace_filled_outlined');
  static const backspace_filled_sharp =
      _MaterialSymbolsData(0xf6a2, 'backspace_filled_sharp');
  static const backspace_filled =
      _MaterialSymbolsData(0xf6a3, 'backspace_filled');
  static const backspace_outlined =
      _MaterialSymbolsData(0xf6a4, 'backspace_outlined');
  static const backspace_sharp =
      _MaterialSymbolsData(0xf6a5, 'backspace_sharp');
  static const backspace = _MaterialSymbolsData(0xf6a6, 'backspace');
  static const backup_filled_outlined =
      _MaterialSymbolsData(0xf6a7, 'backup_filled_outlined');
  static const backup_filled_sharp =
      _MaterialSymbolsData(0xf6a8, 'backup_filled_sharp');
  static const backup_filled = _MaterialSymbolsData(0xf6a9, 'backup_filled');
  static const backup_outlined =
      _MaterialSymbolsData(0xf6aa, 'backup_outlined');
  static const backup_sharp = _MaterialSymbolsData(0xf6ab, 'backup_sharp');
  static const backup_table_filled_outlined =
      _MaterialSymbolsData(0xf6ac, 'backup_table_filled_outlined');
  static const backup_table_filled_sharp =
      _MaterialSymbolsData(0xf6ad, 'backup_table_filled_sharp');
  static const backup_table_filled =
      _MaterialSymbolsData(0xf6ae, 'backup_table_filled');
  static const backup_table_outlined =
      _MaterialSymbolsData(0xf6af, 'backup_table_outlined');
  static const backup_table_sharp =
      _MaterialSymbolsData(0xf6b0, 'backup_table_sharp');
  static const backup_table = _MaterialSymbolsData(0xf6b1, 'backup_table');
  static const backup = _MaterialSymbolsData(0xf6b2, 'backup');
  static const badge_critical_battery_filled_outlined =
      _MaterialSymbolsData(0xf6b3, 'badge_critical_battery_filled_outlined');
  static const badge_critical_battery_filled_sharp =
      _MaterialSymbolsData(0xf6b4, 'badge_critical_battery_filled_sharp');
  static const badge_critical_battery_filled =
      _MaterialSymbolsData(0xf6b5, 'badge_critical_battery_filled');
  static const badge_critical_battery_outlined =
      _MaterialSymbolsData(0xf6b6, 'badge_critical_battery_outlined');
  static const badge_critical_battery_sharp =
      _MaterialSymbolsData(0xf6b7, 'badge_critical_battery_sharp');
  static const badge_critical_battery =
      _MaterialSymbolsData(0xf6b8, 'badge_critical_battery');
  static const badge_filled_outlined =
      _MaterialSymbolsData(0xf6b9, 'badge_filled_outlined');
  static const badge_filled_sharp =
      _MaterialSymbolsData(0xf6ba, 'badge_filled_sharp');
  static const badge_filled = _MaterialSymbolsData(0xf6bb, 'badge_filled');
  static const badge_outlined = _MaterialSymbolsData(0xf6bc, 'badge_outlined');
  static const badge_sharp = _MaterialSymbolsData(0xf6bd, 'badge_sharp');
  static const badge = _MaterialSymbolsData(0xf6be, 'badge');
  static const bakery_dining_filled_outlined =
      _MaterialSymbolsData(0xf6bf, 'bakery_dining_filled_outlined');
  static const bakery_dining_filled_sharp =
      _MaterialSymbolsData(0xf6c0, 'bakery_dining_filled_sharp');
  static const bakery_dining_filled =
      _MaterialSymbolsData(0xf6c1, 'bakery_dining_filled');
  static const bakery_dining_outlined =
      _MaterialSymbolsData(0xf6c2, 'bakery_dining_outlined');
  static const bakery_dining_sharp =
      _MaterialSymbolsData(0xf6c3, 'bakery_dining_sharp');
  static const bakery_dining = _MaterialSymbolsData(0xf6c4, 'bakery_dining');
  static const balance_filled_outlined =
      _MaterialSymbolsData(0xf6c5, 'balance_filled_outlined');
  static const balance_filled_sharp =
      _MaterialSymbolsData(0xf6c6, 'balance_filled_sharp');
  static const balance_filled = _MaterialSymbolsData(0xf6c7, 'balance_filled');
  static const balance_outlined =
      _MaterialSymbolsData(0xf6c8, 'balance_outlined');
  static const balance_sharp = _MaterialSymbolsData(0xf6c9, 'balance_sharp');
  static const balance = _MaterialSymbolsData(0xf6ca, 'balance');
  static const balcony_filled_outlined =
      _MaterialSymbolsData(0xf6cb, 'balcony_filled_outlined');
  static const balcony_filled_sharp =
      _MaterialSymbolsData(0xf6cc, 'balcony_filled_sharp');
  static const balcony_filled = _MaterialSymbolsData(0xf6cd, 'balcony_filled');
  static const balcony_outlined =
      _MaterialSymbolsData(0xf6ce, 'balcony_outlined');
  static const balcony_sharp = _MaterialSymbolsData(0xf6cf, 'balcony_sharp');
  static const balcony = _MaterialSymbolsData(0xf6d0, 'balcony');
  static const ballot_filled_outlined =
      _MaterialSymbolsData(0xf6d1, 'ballot_filled_outlined');
  static const ballot_filled_sharp =
      _MaterialSymbolsData(0xf6d2, 'ballot_filled_sharp');
  static const ballot_filled = _MaterialSymbolsData(0xf6d3, 'ballot_filled');
  static const ballot_outlined =
      _MaterialSymbolsData(0xf6d4, 'ballot_outlined');
  static const ballot_sharp = _MaterialSymbolsData(0xf6d5, 'ballot_sharp');
  static const ballot = _MaterialSymbolsData(0xf6d6, 'ballot');
  static const bar_chart_filled_outlined =
      _MaterialSymbolsData(0xf6d7, 'bar_chart_filled_outlined');
  static const bar_chart_filled_sharp =
      _MaterialSymbolsData(0xf6d8, 'bar_chart_filled_sharp');
  static const bar_chart_filled =
      _MaterialSymbolsData(0xf6d9, 'bar_chart_filled');
  static const bar_chart_outlined =
      _MaterialSymbolsData(0xf6da, 'bar_chart_outlined');
  static const bar_chart_sharp =
      _MaterialSymbolsData(0xf6db, 'bar_chart_sharp');
  static const bar_chart = _MaterialSymbolsData(0xf6dc, 'bar_chart');
  static const barcode_filled_outlined =
      _MaterialSymbolsData(0xf6dd, 'barcode_filled_outlined');
  static const barcode_filled_sharp =
      _MaterialSymbolsData(0xf6de, 'barcode_filled_sharp');
  static const barcode_filled = _MaterialSymbolsData(0xf6df, 'barcode_filled');
  static const barcode_outlined =
      _MaterialSymbolsData(0xf6e0, 'barcode_outlined');
  static const barcode_reader_filled_outlined =
      _MaterialSymbolsData(0xf6e1, 'barcode_reader_filled_outlined');
  static const barcode_reader_filled_sharp =
      _MaterialSymbolsData(0xf6e2, 'barcode_reader_filled_sharp');
  static const barcode_reader_filled =
      _MaterialSymbolsData(0xf6e3, 'barcode_reader_filled');
  static const barcode_reader_outlined =
      _MaterialSymbolsData(0xf6e4, 'barcode_reader_outlined');
  static const barcode_reader_sharp =
      _MaterialSymbolsData(0xf6e5, 'barcode_reader_sharp');
  static const barcode_reader = _MaterialSymbolsData(0xf6e6, 'barcode_reader');
  static const barcode_scanner_filled_outlined =
      _MaterialSymbolsData(0xf6e7, 'barcode_scanner_filled_outlined');
  static const barcode_scanner_filled_sharp =
      _MaterialSymbolsData(0xf6e8, 'barcode_scanner_filled_sharp');
  static const barcode_scanner_filled =
      _MaterialSymbolsData(0xf6e9, 'barcode_scanner_filled');
  static const barcode_scanner_outlined =
      _MaterialSymbolsData(0xf6ea, 'barcode_scanner_outlined');
  static const barcode_scanner_sharp =
      _MaterialSymbolsData(0xf6eb, 'barcode_scanner_sharp');
  static const barcode_scanner =
      _MaterialSymbolsData(0xf6ec, 'barcode_scanner');
  static const barcode_sharp = _MaterialSymbolsData(0xf6ed, 'barcode_sharp');
  static const barcode = _MaterialSymbolsData(0xf6ee, 'barcode');
  static const barefoot_filled_outlined =
      _MaterialSymbolsData(0xf6ef, 'barefoot_filled_outlined');
  static const barefoot_filled_sharp =
      _MaterialSymbolsData(0xf6f0, 'barefoot_filled_sharp');
  static const barefoot_filled =
      _MaterialSymbolsData(0xf6f1, 'barefoot_filled');
  static const barefoot_outlined =
      _MaterialSymbolsData(0xf6f2, 'barefoot_outlined');
  static const barefoot_sharp = _MaterialSymbolsData(0xf6f3, 'barefoot_sharp');
  static const barefoot = _MaterialSymbolsData(0xf6f4, 'barefoot');
  static const batch_prediction_filled_outlined =
      _MaterialSymbolsData(0xf6f5, 'batch_prediction_filled_outlined');
  static const batch_prediction_filled_sharp =
      _MaterialSymbolsData(0xf6f6, 'batch_prediction_filled_sharp');
  static const batch_prediction_filled =
      _MaterialSymbolsData(0xf6f7, 'batch_prediction_filled');
  static const batch_prediction_outlined =
      _MaterialSymbolsData(0xf6f8, 'batch_prediction_outlined');
  static const batch_prediction_sharp =
      _MaterialSymbolsData(0xf6f9, 'batch_prediction_sharp');
  static const batch_prediction =
      _MaterialSymbolsData(0xf6fa, 'batch_prediction');
  static const bathroom_filled_outlined =
      _MaterialSymbolsData(0xf6fb, 'bathroom_filled_outlined');
  static const bathroom_filled_sharp =
      _MaterialSymbolsData(0xf6fc, 'bathroom_filled_sharp');
  static const bathroom_filled =
      _MaterialSymbolsData(0xf6fd, 'bathroom_filled');
  static const bathroom_outlined =
      _MaterialSymbolsData(0xf6fe, 'bathroom_outlined');
  static const bathroom_sharp = _MaterialSymbolsData(0xf6ff, 'bathroom_sharp');
  static const bathroom = _MaterialSymbolsData(0xf700, 'bathroom');
  static const bathtub_filled_outlined =
      _MaterialSymbolsData(0xf701, 'bathtub_filled_outlined');
  static const bathtub_filled_sharp =
      _MaterialSymbolsData(0xf702, 'bathtub_filled_sharp');
  static const bathtub_filled = _MaterialSymbolsData(0xf703, 'bathtub_filled');
  static const bathtub_outlined =
      _MaterialSymbolsData(0xf704, 'bathtub_outlined');
  static const bathtub_sharp = _MaterialSymbolsData(0xf705, 'bathtub_sharp');
  static const bathtub = _MaterialSymbolsData(0xf706, 'bathtub');
  static const battery_0_bar_filled_outlined =
      _MaterialSymbolsData(0xf707, 'battery_0_bar_filled_outlined');
  static const battery_0_bar_filled_sharp =
      _MaterialSymbolsData(0xf708, 'battery_0_bar_filled_sharp');
  static const battery_0_bar_filled =
      _MaterialSymbolsData(0xf709, 'battery_0_bar_filled');
  static const battery_0_bar_outlined =
      _MaterialSymbolsData(0xf70a, 'battery_0_bar_outlined');
  static const battery_0_bar_sharp =
      _MaterialSymbolsData(0xf70b, 'battery_0_bar_sharp');
  static const battery_0_bar = _MaterialSymbolsData(0xf70c, 'battery_0_bar');
  static const battery_1_bar_filled_outlined =
      _MaterialSymbolsData(0xf70d, 'battery_1_bar_filled_outlined');
  static const battery_1_bar_filled_sharp =
      _MaterialSymbolsData(0xf70e, 'battery_1_bar_filled_sharp');
  static const battery_1_bar_filled =
      _MaterialSymbolsData(0xf70f, 'battery_1_bar_filled');
  static const battery_1_bar_outlined =
      _MaterialSymbolsData(0xf710, 'battery_1_bar_outlined');
  static const battery_1_bar_sharp =
      _MaterialSymbolsData(0xf711, 'battery_1_bar_sharp');
  static const battery_1_bar = _MaterialSymbolsData(0xf712, 'battery_1_bar');
  static const battery_2_bar_filled_outlined =
      _MaterialSymbolsData(0xf713, 'battery_2_bar_filled_outlined');
  static const battery_2_bar_filled_sharp =
      _MaterialSymbolsData(0xf714, 'battery_2_bar_filled_sharp');
  static const battery_2_bar_filled =
      _MaterialSymbolsData(0xf715, 'battery_2_bar_filled');
  static const battery_2_bar_outlined =
      _MaterialSymbolsData(0xf716, 'battery_2_bar_outlined');
  static const battery_2_bar_sharp =
      _MaterialSymbolsData(0xf717, 'battery_2_bar_sharp');
  static const battery_2_bar = _MaterialSymbolsData(0xf718, 'battery_2_bar');
  static const battery_20_filled_outlined =
      _MaterialSymbolsData(0xf719, 'battery_20_filled_outlined');
  static const battery_20_filled_sharp =
      _MaterialSymbolsData(0xf71a, 'battery_20_filled_sharp');
  static const battery_20_filled =
      _MaterialSymbolsData(0xf71b, 'battery_20_filled');
  static const battery_20_outlined =
      _MaterialSymbolsData(0xf71c, 'battery_20_outlined');
  static const battery_20_sharp =
      _MaterialSymbolsData(0xf71d, 'battery_20_sharp');
  static const battery_20 = _MaterialSymbolsData(0xf71e, 'battery_20');
  static const battery_3_bar_filled_outlined =
      _MaterialSymbolsData(0xf71f, 'battery_3_bar_filled_outlined');
  static const battery_3_bar_filled_sharp =
      _MaterialSymbolsData(0xf720, 'battery_3_bar_filled_sharp');
  static const battery_3_bar_filled =
      _MaterialSymbolsData(0xf721, 'battery_3_bar_filled');
  static const battery_3_bar_outlined =
      _MaterialSymbolsData(0xf722, 'battery_3_bar_outlined');
  static const battery_3_bar_sharp =
      _MaterialSymbolsData(0xf723, 'battery_3_bar_sharp');
  static const battery_3_bar = _MaterialSymbolsData(0xf724, 'battery_3_bar');
  static const battery_30_filled_outlined =
      _MaterialSymbolsData(0xf725, 'battery_30_filled_outlined');
  static const battery_30_filled_sharp =
      _MaterialSymbolsData(0xf726, 'battery_30_filled_sharp');
  static const battery_30_filled =
      _MaterialSymbolsData(0xf727, 'battery_30_filled');
  static const battery_30_outlined =
      _MaterialSymbolsData(0xf728, 'battery_30_outlined');
  static const battery_30_sharp =
      _MaterialSymbolsData(0xf729, 'battery_30_sharp');
  static const battery_30 = _MaterialSymbolsData(0xf72a, 'battery_30');
  static const battery_4_bar_filled_outlined =
      _MaterialSymbolsData(0xf72b, 'battery_4_bar_filled_outlined');
  static const battery_4_bar_filled_sharp =
      _MaterialSymbolsData(0xf72c, 'battery_4_bar_filled_sharp');
  static const battery_4_bar_filled =
      _MaterialSymbolsData(0xf72d, 'battery_4_bar_filled');
  static const battery_4_bar_outlined =
      _MaterialSymbolsData(0xf72e, 'battery_4_bar_outlined');
  static const battery_4_bar_sharp =
      _MaterialSymbolsData(0xf72f, 'battery_4_bar_sharp');
  static const battery_4_bar = _MaterialSymbolsData(0xf730, 'battery_4_bar');
  static const battery_5_bar_filled_outlined =
      _MaterialSymbolsData(0xf731, 'battery_5_bar_filled_outlined');
  static const battery_5_bar_filled_sharp =
      _MaterialSymbolsData(0xf732, 'battery_5_bar_filled_sharp');
  static const battery_5_bar_filled =
      _MaterialSymbolsData(0xf733, 'battery_5_bar_filled');
  static const battery_5_bar_outlined =
      _MaterialSymbolsData(0xf734, 'battery_5_bar_outlined');
  static const battery_5_bar_sharp =
      _MaterialSymbolsData(0xf735, 'battery_5_bar_sharp');
  static const battery_5_bar = _MaterialSymbolsData(0xf736, 'battery_5_bar');
  static const battery_50_filled_outlined =
      _MaterialSymbolsData(0xf737, 'battery_50_filled_outlined');
  static const battery_50_filled_sharp =
      _MaterialSymbolsData(0xf738, 'battery_50_filled_sharp');
  static const battery_50_filled =
      _MaterialSymbolsData(0xf739, 'battery_50_filled');
  static const battery_50_outlined =
      _MaterialSymbolsData(0xf73a, 'battery_50_outlined');
  static const battery_50_sharp =
      _MaterialSymbolsData(0xf73b, 'battery_50_sharp');
  static const battery_50 = _MaterialSymbolsData(0xf73c, 'battery_50');
  static const battery_6_bar_filled_outlined =
      _MaterialSymbolsData(0xf73d, 'battery_6_bar_filled_outlined');
  static const battery_6_bar_filled_sharp =
      _MaterialSymbolsData(0xf73e, 'battery_6_bar_filled_sharp');
  static const battery_6_bar_filled =
      _MaterialSymbolsData(0xf73f, 'battery_6_bar_filled');
  static const battery_6_bar_outlined =
      _MaterialSymbolsData(0xf740, 'battery_6_bar_outlined');
  static const battery_6_bar_sharp =
      _MaterialSymbolsData(0xf741, 'battery_6_bar_sharp');
  static const battery_6_bar = _MaterialSymbolsData(0xf742, 'battery_6_bar');
  static const battery_60_filled_outlined =
      _MaterialSymbolsData(0xf743, 'battery_60_filled_outlined');
  static const battery_60_filled_sharp =
      _MaterialSymbolsData(0xf744, 'battery_60_filled_sharp');
  static const battery_60_filled =
      _MaterialSymbolsData(0xf745, 'battery_60_filled');
  static const battery_60_outlined =
      _MaterialSymbolsData(0xf746, 'battery_60_outlined');
  static const battery_60_sharp =
      _MaterialSymbolsData(0xf747, 'battery_60_sharp');
  static const battery_60 = _MaterialSymbolsData(0xf748, 'battery_60');
  static const battery_80_filled_outlined =
      _MaterialSymbolsData(0xf749, 'battery_80_filled_outlined');
  static const battery_80_filled_sharp =
      _MaterialSymbolsData(0xf74a, 'battery_80_filled_sharp');
  static const battery_80_filled =
      _MaterialSymbolsData(0xf74b, 'battery_80_filled');
  static const battery_80_outlined =
      _MaterialSymbolsData(0xf74c, 'battery_80_outlined');
  static const battery_80_sharp =
      _MaterialSymbolsData(0xf74d, 'battery_80_sharp');
  static const battery_80 = _MaterialSymbolsData(0xf74e, 'battery_80');
  static const battery_90_filled_outlined =
      _MaterialSymbolsData(0xf74f, 'battery_90_filled_outlined');
  static const battery_90_filled_sharp =
      _MaterialSymbolsData(0xf750, 'battery_90_filled_sharp');
  static const battery_90_filled =
      _MaterialSymbolsData(0xf751, 'battery_90_filled');
  static const battery_90_outlined =
      _MaterialSymbolsData(0xf752, 'battery_90_outlined');
  static const battery_90_sharp =
      _MaterialSymbolsData(0xf753, 'battery_90_sharp');
  static const battery_90 = _MaterialSymbolsData(0xf754, 'battery_90');
  static const battery_alert_filled_outlined =
      _MaterialSymbolsData(0xf755, 'battery_alert_filled_outlined');
  static const battery_alert_filled_sharp =
      _MaterialSymbolsData(0xf756, 'battery_alert_filled_sharp');
  static const battery_alert_filled =
      _MaterialSymbolsData(0xf757, 'battery_alert_filled');
  static const battery_alert_outlined =
      _MaterialSymbolsData(0xf758, 'battery_alert_outlined');
  static const battery_alert_sharp =
      _MaterialSymbolsData(0xf759, 'battery_alert_sharp');
  static const battery_alert = _MaterialSymbolsData(0xf75a, 'battery_alert');
  static const battery_charging_20_filled_outlined =
      _MaterialSymbolsData(0xf75b, 'battery_charging_20_filled_outlined');
  static const battery_charging_20_filled_sharp =
      _MaterialSymbolsData(0xf75c, 'battery_charging_20_filled_sharp');
  static const battery_charging_20_filled =
      _MaterialSymbolsData(0xf75d, 'battery_charging_20_filled');
  static const battery_charging_20_outlined =
      _MaterialSymbolsData(0xf75e, 'battery_charging_20_outlined');
  static const battery_charging_20_sharp =
      _MaterialSymbolsData(0xf75f, 'battery_charging_20_sharp');
  static const battery_charging_20 =
      _MaterialSymbolsData(0xf760, 'battery_charging_20');
  static const battery_charging_30_filled_outlined =
      _MaterialSymbolsData(0xf761, 'battery_charging_30_filled_outlined');
  static const battery_charging_30_filled_sharp =
      _MaterialSymbolsData(0xf762, 'battery_charging_30_filled_sharp');
  static const battery_charging_30_filled =
      _MaterialSymbolsData(0xf763, 'battery_charging_30_filled');
  static const battery_charging_30_outlined =
      _MaterialSymbolsData(0xf764, 'battery_charging_30_outlined');
  static const battery_charging_30_sharp =
      _MaterialSymbolsData(0xf765, 'battery_charging_30_sharp');
  static const battery_charging_30 =
      _MaterialSymbolsData(0xf766, 'battery_charging_30');
  static const battery_charging_50_filled_outlined =
      _MaterialSymbolsData(0xf767, 'battery_charging_50_filled_outlined');
  static const battery_charging_50_filled_sharp =
      _MaterialSymbolsData(0xf768, 'battery_charging_50_filled_sharp');
  static const battery_charging_50_filled =
      _MaterialSymbolsData(0xf769, 'battery_charging_50_filled');
  static const battery_charging_50_outlined =
      _MaterialSymbolsData(0xf76a, 'battery_charging_50_outlined');
  static const battery_charging_50_sharp =
      _MaterialSymbolsData(0xf76b, 'battery_charging_50_sharp');
  static const battery_charging_50 =
      _MaterialSymbolsData(0xf76c, 'battery_charging_50');
  static const battery_charging_60_filled_outlined =
      _MaterialSymbolsData(0xf76d, 'battery_charging_60_filled_outlined');
  static const battery_charging_60_filled_sharp =
      _MaterialSymbolsData(0xf76e, 'battery_charging_60_filled_sharp');
  static const battery_charging_60_filled =
      _MaterialSymbolsData(0xf76f, 'battery_charging_60_filled');
  static const battery_charging_60_outlined =
      _MaterialSymbolsData(0xf770, 'battery_charging_60_outlined');
  static const battery_charging_60_sharp =
      _MaterialSymbolsData(0xf771, 'battery_charging_60_sharp');
  static const battery_charging_60 =
      _MaterialSymbolsData(0xf772, 'battery_charging_60');
  static const battery_charging_80_filled_outlined =
      _MaterialSymbolsData(0xf773, 'battery_charging_80_filled_outlined');
  static const battery_charging_80_filled_sharp =
      _MaterialSymbolsData(0xf774, 'battery_charging_80_filled_sharp');
  static const battery_charging_80_filled =
      _MaterialSymbolsData(0xf775, 'battery_charging_80_filled');
  static const battery_charging_80_outlined =
      _MaterialSymbolsData(0xf776, 'battery_charging_80_outlined');
  static const battery_charging_80_sharp =
      _MaterialSymbolsData(0xf777, 'battery_charging_80_sharp');
  static const battery_charging_80 =
      _MaterialSymbolsData(0xf778, 'battery_charging_80');
  static const battery_charging_90_filled_outlined =
      _MaterialSymbolsData(0xf779, 'battery_charging_90_filled_outlined');
  static const battery_charging_90_filled_sharp =
      _MaterialSymbolsData(0xf77a, 'battery_charging_90_filled_sharp');
  static const battery_charging_90_filled =
      _MaterialSymbolsData(0xf77b, 'battery_charging_90_filled');
  static const battery_charging_90_outlined =
      _MaterialSymbolsData(0xf77c, 'battery_charging_90_outlined');
  static const battery_charging_90_sharp =
      _MaterialSymbolsData(0xf77d, 'battery_charging_90_sharp');
  static const battery_charging_90 =
      _MaterialSymbolsData(0xf77e, 'battery_charging_90');
  static const battery_charging_full_filled_outlined =
      _MaterialSymbolsData(0xf77f, 'battery_charging_full_filled_outlined');
  static const battery_charging_full_filled_sharp =
      _MaterialSymbolsData(0xf780, 'battery_charging_full_filled_sharp');
  static const battery_charging_full_filled =
      _MaterialSymbolsData(0xf781, 'battery_charging_full_filled');
  static const battery_charging_full_outlined =
      _MaterialSymbolsData(0xf782, 'battery_charging_full_outlined');
  static const battery_charging_full_sharp =
      _MaterialSymbolsData(0xf783, 'battery_charging_full_sharp');
  static const battery_charging_full =
      _MaterialSymbolsData(0xf784, 'battery_charging_full');
  static const battery_full_alt_filled_outlined =
      _MaterialSymbolsData(0xf785, 'battery_full_alt_filled_outlined');
  static const battery_full_alt_filled_sharp =
      _MaterialSymbolsData(0xf786, 'battery_full_alt_filled_sharp');
  static const battery_full_alt_filled =
      _MaterialSymbolsData(0xf787, 'battery_full_alt_filled');
  static const battery_full_alt_outlined =
      _MaterialSymbolsData(0xf788, 'battery_full_alt_outlined');
  static const battery_full_alt_sharp =
      _MaterialSymbolsData(0xf789, 'battery_full_alt_sharp');
  static const battery_full_alt =
      _MaterialSymbolsData(0xf78a, 'battery_full_alt');
  static const battery_full_filled_outlined =
      _MaterialSymbolsData(0xf78b, 'battery_full_filled_outlined');
  static const battery_full_filled_sharp =
      _MaterialSymbolsData(0xf78c, 'battery_full_filled_sharp');
  static const battery_full_filled =
      _MaterialSymbolsData(0xf78d, 'battery_full_filled');
  static const battery_full_outlined =
      _MaterialSymbolsData(0xf78e, 'battery_full_outlined');
  static const battery_full_sharp =
      _MaterialSymbolsData(0xf78f, 'battery_full_sharp');
  static const battery_full = _MaterialSymbolsData(0xf790, 'battery_full');
  static const battery_horiz_000_filled_outlined =
      _MaterialSymbolsData(0xf791, 'battery_horiz_000_filled_outlined');
  static const battery_horiz_000_filled_sharp =
      _MaterialSymbolsData(0xf792, 'battery_horiz_000_filled_sharp');
  static const battery_horiz_000_filled =
      _MaterialSymbolsData(0xf793, 'battery_horiz_000_filled');
  static const battery_horiz_000_outlined =
      _MaterialSymbolsData(0xf794, 'battery_horiz_000_outlined');
  static const battery_horiz_000_sharp =
      _MaterialSymbolsData(0xf795, 'battery_horiz_000_sharp');
  static const battery_horiz_000 =
      _MaterialSymbolsData(0xf796, 'battery_horiz_000');
  static const battery_horiz_050_filled_outlined =
      _MaterialSymbolsData(0xf797, 'battery_horiz_050_filled_outlined');
  static const battery_horiz_050_filled_sharp =
      _MaterialSymbolsData(0xf798, 'battery_horiz_050_filled_sharp');
  static const battery_horiz_050_filled =
      _MaterialSymbolsData(0xf799, 'battery_horiz_050_filled');
  static const battery_horiz_050_outlined =
      _MaterialSymbolsData(0xf79a, 'battery_horiz_050_outlined');
  static const battery_horiz_050_sharp =
      _MaterialSymbolsData(0xf79b, 'battery_horiz_050_sharp');
  static const battery_horiz_050 =
      _MaterialSymbolsData(0xf79c, 'battery_horiz_050');
  static const battery_horiz_075_filled_outlined =
      _MaterialSymbolsData(0xf79d, 'battery_horiz_075_filled_outlined');
  static const battery_horiz_075_filled_sharp =
      _MaterialSymbolsData(0xf79e, 'battery_horiz_075_filled_sharp');
  static const battery_horiz_075_filled =
      _MaterialSymbolsData(0xf79f, 'battery_horiz_075_filled');
  static const battery_horiz_075_outlined =
      _MaterialSymbolsData(0xf7a0, 'battery_horiz_075_outlined');
  static const battery_horiz_075_sharp =
      _MaterialSymbolsData(0xf7a1, 'battery_horiz_075_sharp');
  static const battery_horiz_075 =
      _MaterialSymbolsData(0xf7a2, 'battery_horiz_075');
  static const battery_low_filled_outlined =
      _MaterialSymbolsData(0xf7a3, 'battery_low_filled_outlined');
  static const battery_low_filled_sharp =
      _MaterialSymbolsData(0xf7a4, 'battery_low_filled_sharp');
  static const battery_low_filled =
      _MaterialSymbolsData(0xf7a5, 'battery_low_filled');
  static const battery_low_outlined =
      _MaterialSymbolsData(0xf7a6, 'battery_low_outlined');
  static const battery_low_sharp =
      _MaterialSymbolsData(0xf7a7, 'battery_low_sharp');
  static const battery_low = _MaterialSymbolsData(0xf7a8, 'battery_low');
  static const battery_profile_filled_outlined =
      _MaterialSymbolsData(0xf7a9, 'battery_profile_filled_outlined');
  static const battery_profile_filled_sharp =
      _MaterialSymbolsData(0xf7aa, 'battery_profile_filled_sharp');
  static const battery_profile_filled =
      _MaterialSymbolsData(0xf7ab, 'battery_profile_filled');
  static const battery_profile_outlined =
      _MaterialSymbolsData(0xf7ac, 'battery_profile_outlined');
  static const battery_profile_sharp =
      _MaterialSymbolsData(0xf7ad, 'battery_profile_sharp');
  static const battery_profile =
      _MaterialSymbolsData(0xf7ae, 'battery_profile');
  static const battery_saver_filled_outlined =
      _MaterialSymbolsData(0xf7af, 'battery_saver_filled_outlined');
  static const battery_saver_filled_sharp =
      _MaterialSymbolsData(0xf7b0, 'battery_saver_filled_sharp');
  static const battery_saver_filled =
      _MaterialSymbolsData(0xf7b1, 'battery_saver_filled');
  static const battery_saver_outlined =
      _MaterialSymbolsData(0xf7b2, 'battery_saver_outlined');
  static const battery_saver_sharp =
      _MaterialSymbolsData(0xf7b3, 'battery_saver_sharp');
  static const battery_saver = _MaterialSymbolsData(0xf7b4, 'battery_saver');
  static const battery_unknown_filled_outlined =
      _MaterialSymbolsData(0xf7b5, 'battery_unknown_filled_outlined');
  static const battery_unknown_filled_sharp =
      _MaterialSymbolsData(0xf7b6, 'battery_unknown_filled_sharp');
  static const battery_unknown_filled =
      _MaterialSymbolsData(0xf7b7, 'battery_unknown_filled');
  static const battery_unknown_outlined =
      _MaterialSymbolsData(0xf7b8, 'battery_unknown_outlined');
  static const battery_unknown_sharp =
      _MaterialSymbolsData(0xf7b9, 'battery_unknown_sharp');
  static const battery_unknown =
      _MaterialSymbolsData(0xf7ba, 'battery_unknown');
  static const battery_vert_005_filled_outlined =
      _MaterialSymbolsData(0xf7bb, 'battery_vert_005_filled_outlined');
  static const battery_vert_005_filled_sharp =
      _MaterialSymbolsData(0xf7bc, 'battery_vert_005_filled_sharp');
  static const battery_vert_005_filled =
      _MaterialSymbolsData(0xf7bd, 'battery_vert_005_filled');
  static const battery_vert_005_outlined =
      _MaterialSymbolsData(0xf7be, 'battery_vert_005_outlined');
  static const battery_vert_005_sharp =
      _MaterialSymbolsData(0xf7bf, 'battery_vert_005_sharp');
  static const battery_vert_005 =
      _MaterialSymbolsData(0xf7c0, 'battery_vert_005');
  static const battery_vert_020_filled_outlined =
      _MaterialSymbolsData(0xf7c1, 'battery_vert_020_filled_outlined');
  static const battery_vert_020_filled_sharp =
      _MaterialSymbolsData(0xf7c2, 'battery_vert_020_filled_sharp');
  static const battery_vert_020_filled =
      _MaterialSymbolsData(0xf7c3, 'battery_vert_020_filled');
  static const battery_vert_020_outlined =
      _MaterialSymbolsData(0xf7c4, 'battery_vert_020_outlined');
  static const battery_vert_020_sharp =
      _MaterialSymbolsData(0xf7c5, 'battery_vert_020_sharp');
  static const battery_vert_020 =
      _MaterialSymbolsData(0xf7c6, 'battery_vert_020');
  static const battery_vert_050_filled_outlined =
      _MaterialSymbolsData(0xf7c7, 'battery_vert_050_filled_outlined');
  static const battery_vert_050_filled_sharp =
      _MaterialSymbolsData(0xf7c8, 'battery_vert_050_filled_sharp');
  static const battery_vert_050_filled =
      _MaterialSymbolsData(0xf7c9, 'battery_vert_050_filled');
  static const battery_vert_050_outlined =
      _MaterialSymbolsData(0xf7ca, 'battery_vert_050_outlined');
  static const battery_vert_050_sharp =
      _MaterialSymbolsData(0xf7cb, 'battery_vert_050_sharp');
  static const battery_vert_050 =
      _MaterialSymbolsData(0xf7cc, 'battery_vert_050');
  static const battery_very_low_filled_outlined =
      _MaterialSymbolsData(0xf7cd, 'battery_very_low_filled_outlined');
  static const battery_very_low_filled_sharp =
      _MaterialSymbolsData(0xf7ce, 'battery_very_low_filled_sharp');
  static const battery_very_low_filled =
      _MaterialSymbolsData(0xf7cf, 'battery_very_low_filled');
  static const battery_very_low_outlined =
      _MaterialSymbolsData(0xf7d0, 'battery_very_low_outlined');
  static const battery_very_low_sharp =
      _MaterialSymbolsData(0xf7d1, 'battery_very_low_sharp');
  static const battery_very_low =
      _MaterialSymbolsData(0xf7d2, 'battery_very_low');
  static const beach_access_filled_outlined =
      _MaterialSymbolsData(0xf7d3, 'beach_access_filled_outlined');
  static const beach_access_filled_sharp =
      _MaterialSymbolsData(0xf7d4, 'beach_access_filled_sharp');
  static const beach_access_filled =
      _MaterialSymbolsData(0xf7d5, 'beach_access_filled');
  static const beach_access_outlined =
      _MaterialSymbolsData(0xf7d6, 'beach_access_outlined');
  static const beach_access_sharp =
      _MaterialSymbolsData(0xf7d7, 'beach_access_sharp');
  static const beach_access = _MaterialSymbolsData(0xf7d8, 'beach_access');
  static const bed_filled_outlined =
      _MaterialSymbolsData(0xf7d9, 'bed_filled_outlined');
  static const bed_filled_sharp =
      _MaterialSymbolsData(0xf7da, 'bed_filled_sharp');
  static const bed_filled = _MaterialSymbolsData(0xf7db, 'bed_filled');
  static const bed_outlined = _MaterialSymbolsData(0xf7dc, 'bed_outlined');
  static const bed_sharp = _MaterialSymbolsData(0xf7dd, 'bed_sharp');
  static const bed = _MaterialSymbolsData(0xf7de, 'bed');
  static const bedroom_baby_filled_outlined =
      _MaterialSymbolsData(0xf7df, 'bedroom_baby_filled_outlined');
  static const bedroom_baby_filled_sharp =
      _MaterialSymbolsData(0xf7e0, 'bedroom_baby_filled_sharp');
  static const bedroom_baby_filled =
      _MaterialSymbolsData(0xf7e1, 'bedroom_baby_filled');
  static const bedroom_baby_outlined =
      _MaterialSymbolsData(0xf7e2, 'bedroom_baby_outlined');
  static const bedroom_baby_sharp =
      _MaterialSymbolsData(0xf7e3, 'bedroom_baby_sharp');
  static const bedroom_baby = _MaterialSymbolsData(0xf7e4, 'bedroom_baby');
  static const bedroom_child_filled_outlined =
      _MaterialSymbolsData(0xf7e5, 'bedroom_child_filled_outlined');
  static const bedroom_child_filled_sharp =
      _MaterialSymbolsData(0xf7e6, 'bedroom_child_filled_sharp');
  static const bedroom_child_filled =
      _MaterialSymbolsData(0xf7e7, 'bedroom_child_filled');
  static const bedroom_child_outlined =
      _MaterialSymbolsData(0xf7e8, 'bedroom_child_outlined');
  static const bedroom_child_sharp =
      _MaterialSymbolsData(0xf7e9, 'bedroom_child_sharp');
  static const bedroom_child = _MaterialSymbolsData(0xf7ea, 'bedroom_child');
  static const bedroom_parent_filled_outlined =
      _MaterialSymbolsData(0xf7eb, 'bedroom_parent_filled_outlined');
  static const bedroom_parent_filled_sharp =
      _MaterialSymbolsData(0xf7ec, 'bedroom_parent_filled_sharp');
  static const bedroom_parent_filled =
      _MaterialSymbolsData(0xf7ed, 'bedroom_parent_filled');
  static const bedroom_parent_outlined =
      _MaterialSymbolsData(0xf7ee, 'bedroom_parent_outlined');
  static const bedroom_parent_sharp =
      _MaterialSymbolsData(0xf7ef, 'bedroom_parent_sharp');
  static const bedroom_parent = _MaterialSymbolsData(0xf7f0, 'bedroom_parent');
  static const bedtime_filled_outlined =
      _MaterialSymbolsData(0xf7f1, 'bedtime_filled_outlined');
  static const bedtime_filled_sharp =
      _MaterialSymbolsData(0xf7f2, 'bedtime_filled_sharp');
  static const bedtime_filled = _MaterialSymbolsData(0xf7f3, 'bedtime_filled');
  static const bedtime_off_filled_outlined =
      _MaterialSymbolsData(0xf7f4, 'bedtime_off_filled_outlined');
  static const bedtime_off_filled_sharp =
      _MaterialSymbolsData(0xf7f5, 'bedtime_off_filled_sharp');
  static const bedtime_off_filled =
      _MaterialSymbolsData(0xf7f6, 'bedtime_off_filled');
  static const bedtime_off_outlined =
      _MaterialSymbolsData(0xf7f7, 'bedtime_off_outlined');
  static const bedtime_off_sharp =
      _MaterialSymbolsData(0xf7f8, 'bedtime_off_sharp');
  static const bedtime_off = _MaterialSymbolsData(0xf7f9, 'bedtime_off');
  static const bedtime_outlined =
      _MaterialSymbolsData(0xf7fa, 'bedtime_outlined');
  static const bedtime_sharp = _MaterialSymbolsData(0xf7fb, 'bedtime_sharp');
  static const bedtime = _MaterialSymbolsData(0xf7fc, 'bedtime');
  static const beenhere_filled_outlined =
      _MaterialSymbolsData(0xf7fd, 'beenhere_filled_outlined');
  static const beenhere_filled_sharp =
      _MaterialSymbolsData(0xf7fe, 'beenhere_filled_sharp');
  static const beenhere_filled =
      _MaterialSymbolsData(0xf7ff, 'beenhere_filled');
  static const beenhere_outlined =
      _MaterialSymbolsData(0xf800, 'beenhere_outlined');
  static const beenhere_sharp = _MaterialSymbolsData(0xf801, 'beenhere_sharp');
  static const beenhere = _MaterialSymbolsData(0xf802, 'beenhere');
  static const bento_filled_outlined =
      _MaterialSymbolsData(0xf803, 'bento_filled_outlined');
  static const bento_filled_sharp =
      _MaterialSymbolsData(0xf804, 'bento_filled_sharp');
  static const bento_filled = _MaterialSymbolsData(0xf805, 'bento_filled');
  static const bento_outlined = _MaterialSymbolsData(0xf806, 'bento_outlined');
  static const bento_sharp = _MaterialSymbolsData(0xf807, 'bento_sharp');
  static const bento = _MaterialSymbolsData(0xf808, 'bento');
  static const bike_scooter_filled_outlined =
      _MaterialSymbolsData(0xf809, 'bike_scooter_filled_outlined');
  static const bike_scooter_filled_sharp =
      _MaterialSymbolsData(0xf80a, 'bike_scooter_filled_sharp');
  static const bike_scooter_filled =
      _MaterialSymbolsData(0xf80b, 'bike_scooter_filled');
  static const bike_scooter_outlined =
      _MaterialSymbolsData(0xf80c, 'bike_scooter_outlined');
  static const bike_scooter_sharp =
      _MaterialSymbolsData(0xf80d, 'bike_scooter_sharp');
  static const bike_scooter = _MaterialSymbolsData(0xf80e, 'bike_scooter');
  static const biotech_filled_outlined =
      _MaterialSymbolsData(0xf80f, 'biotech_filled_outlined');
  static const biotech_filled_sharp =
      _MaterialSymbolsData(0xf810, 'biotech_filled_sharp');
  static const biotech_filled = _MaterialSymbolsData(0xf811, 'biotech_filled');
  static const biotech_outlined =
      _MaterialSymbolsData(0xf812, 'biotech_outlined');
  static const biotech_sharp = _MaterialSymbolsData(0xf813, 'biotech_sharp');
  static const biotech = _MaterialSymbolsData(0xf814, 'biotech');
  static const blanket_filled_outlined =
      _MaterialSymbolsData(0xf815, 'blanket_filled_outlined');
  static const blanket_filled_sharp =
      _MaterialSymbolsData(0xf816, 'blanket_filled_sharp');
  static const blanket_filled = _MaterialSymbolsData(0xf817, 'blanket_filled');
  static const blanket_outlined =
      _MaterialSymbolsData(0xf818, 'blanket_outlined');
  static const blanket_sharp = _MaterialSymbolsData(0xf819, 'blanket_sharp');
  static const blanket = _MaterialSymbolsData(0xf81a, 'blanket');
  static const blender_filled_outlined =
      _MaterialSymbolsData(0xf81b, 'blender_filled_outlined');
  static const blender_filled_sharp =
      _MaterialSymbolsData(0xf81c, 'blender_filled_sharp');
  static const blender_filled = _MaterialSymbolsData(0xf81d, 'blender_filled');
  static const blender_outlined =
      _MaterialSymbolsData(0xf81e, 'blender_outlined');
  static const blender_sharp = _MaterialSymbolsData(0xf81f, 'blender_sharp');
  static const blender = _MaterialSymbolsData(0xf820, 'blender');
  static const blind_filled_outlined =
      _MaterialSymbolsData(0xf821, 'blind_filled_outlined');
  static const blind_filled_sharp =
      _MaterialSymbolsData(0xf822, 'blind_filled_sharp');
  static const blind_filled = _MaterialSymbolsData(0xf823, 'blind_filled');
  static const blind_outlined = _MaterialSymbolsData(0xf824, 'blind_outlined');
  static const blind_sharp = _MaterialSymbolsData(0xf825, 'blind_sharp');
  static const blind = _MaterialSymbolsData(0xf826, 'blind');
  static const blinds_closed_filled_outlined =
      _MaterialSymbolsData(0xf827, 'blinds_closed_filled_outlined');
  static const blinds_closed_filled_sharp =
      _MaterialSymbolsData(0xf828, 'blinds_closed_filled_sharp');
  static const blinds_closed_filled =
      _MaterialSymbolsData(0xf829, 'blinds_closed_filled');
  static const blinds_closed_outlined =
      _MaterialSymbolsData(0xf82a, 'blinds_closed_outlined');
  static const blinds_closed_sharp =
      _MaterialSymbolsData(0xf82b, 'blinds_closed_sharp');
  static const blinds_closed = _MaterialSymbolsData(0xf82c, 'blinds_closed');
  static const blinds_filled_outlined =
      _MaterialSymbolsData(0xf82d, 'blinds_filled_outlined');
  static const blinds_filled_sharp =
      _MaterialSymbolsData(0xf82e, 'blinds_filled_sharp');
  static const blinds_filled = _MaterialSymbolsData(0xf82f, 'blinds_filled');
  static const blinds_outlined =
      _MaterialSymbolsData(0xf830, 'blinds_outlined');
  static const blinds_sharp = _MaterialSymbolsData(0xf831, 'blinds_sharp');
  static const blinds = _MaterialSymbolsData(0xf832, 'blinds');
  static const block_filled_outlined =
      _MaterialSymbolsData(0xf833, 'block_filled_outlined');
  static const block_filled_sharp =
      _MaterialSymbolsData(0xf834, 'block_filled_sharp');
  static const block_filled = _MaterialSymbolsData(0xf835, 'block_filled');
  static const block_outlined = _MaterialSymbolsData(0xf836, 'block_outlined');
  static const block_sharp = _MaterialSymbolsData(0xf837, 'block_sharp');
  static const block = _MaterialSymbolsData(0xf838, 'block');
  static const bloodtype_filled_outlined =
      _MaterialSymbolsData(0xf839, 'bloodtype_filled_outlined');
  static const bloodtype_filled_sharp =
      _MaterialSymbolsData(0xf83a, 'bloodtype_filled_sharp');
  static const bloodtype_filled =
      _MaterialSymbolsData(0xf83b, 'bloodtype_filled');
  static const bloodtype_outlined =
      _MaterialSymbolsData(0xf83c, 'bloodtype_outlined');
  static const bloodtype_sharp =
      _MaterialSymbolsData(0xf83d, 'bloodtype_sharp');
  static const bloodtype = _MaterialSymbolsData(0xf83e, 'bloodtype');
  static const bluetooth_connected_filled_outlined =
      _MaterialSymbolsData(0xf83f, 'bluetooth_connected_filled_outlined');
  static const bluetooth_connected_filled_sharp =
      _MaterialSymbolsData(0xf840, 'bluetooth_connected_filled_sharp');
  static const bluetooth_connected_filled =
      _MaterialSymbolsData(0xf841, 'bluetooth_connected_filled');
  static const bluetooth_connected_outlined =
      _MaterialSymbolsData(0xf842, 'bluetooth_connected_outlined');
  static const bluetooth_connected_sharp =
      _MaterialSymbolsData(0xf843, 'bluetooth_connected_sharp');
  static const bluetooth_connected =
      _MaterialSymbolsData(0xf844, 'bluetooth_connected');
  static const bluetooth_disabled_filled_outlined =
      _MaterialSymbolsData(0xf845, 'bluetooth_disabled_filled_outlined');
  static const bluetooth_disabled_filled_sharp =
      _MaterialSymbolsData(0xf846, 'bluetooth_disabled_filled_sharp');
  static const bluetooth_disabled_filled =
      _MaterialSymbolsData(0xf847, 'bluetooth_disabled_filled');
  static const bluetooth_disabled_outlined =
      _MaterialSymbolsData(0xf848, 'bluetooth_disabled_outlined');
  static const bluetooth_disabled_sharp =
      _MaterialSymbolsData(0xf849, 'bluetooth_disabled_sharp');
  static const bluetooth_disabled =
      _MaterialSymbolsData(0xf84a, 'bluetooth_disabled');
  static const bluetooth_drive_filled_outlined =
      _MaterialSymbolsData(0xf84b, 'bluetooth_drive_filled_outlined');
  static const bluetooth_drive_filled_sharp =
      _MaterialSymbolsData(0xf84c, 'bluetooth_drive_filled_sharp');
  static const bluetooth_drive_filled =
      _MaterialSymbolsData(0xf84d, 'bluetooth_drive_filled');
  static const bluetooth_drive_outlined =
      _MaterialSymbolsData(0xf84e, 'bluetooth_drive_outlined');
  static const bluetooth_drive_sharp =
      _MaterialSymbolsData(0xf84f, 'bluetooth_drive_sharp');
  static const bluetooth_drive =
      _MaterialSymbolsData(0xf850, 'bluetooth_drive');
  static const bluetooth_filled_outlined =
      _MaterialSymbolsData(0xf851, 'bluetooth_filled_outlined');
  static const bluetooth_filled_sharp =
      _MaterialSymbolsData(0xf852, 'bluetooth_filled_sharp');
  static const bluetooth_filled =
      _MaterialSymbolsData(0xf853, 'bluetooth_filled');
  static const bluetooth_outlined =
      _MaterialSymbolsData(0xf854, 'bluetooth_outlined');
  static const bluetooth_searching_filled_outlined =
      _MaterialSymbolsData(0xf855, 'bluetooth_searching_filled_outlined');
  static const bluetooth_searching_filled_sharp =
      _MaterialSymbolsData(0xf856, 'bluetooth_searching_filled_sharp');
  static const bluetooth_searching_filled =
      _MaterialSymbolsData(0xf857, 'bluetooth_searching_filled');
  static const bluetooth_searching_outlined =
      _MaterialSymbolsData(0xf858, 'bluetooth_searching_outlined');
  static const bluetooth_searching_sharp =
      _MaterialSymbolsData(0xf859, 'bluetooth_searching_sharp');
  static const bluetooth_searching =
      _MaterialSymbolsData(0xf85a, 'bluetooth_searching');
  static const bluetooth_sharp =
      _MaterialSymbolsData(0xf85b, 'bluetooth_sharp');
  static const bluetooth = _MaterialSymbolsData(0xf85c, 'bluetooth');
  static const blur_circular_filled_outlined =
      _MaterialSymbolsData(0xf85d, 'blur_circular_filled_outlined');
  static const blur_circular_filled_sharp =
      _MaterialSymbolsData(0xf85e, 'blur_circular_filled_sharp');
  static const blur_circular_filled =
      _MaterialSymbolsData(0xf85f, 'blur_circular_filled');
  static const blur_circular_outlined =
      _MaterialSymbolsData(0xf860, 'blur_circular_outlined');
  static const blur_circular_sharp =
      _MaterialSymbolsData(0xf861, 'blur_circular_sharp');
  static const blur_circular = _MaterialSymbolsData(0xf862, 'blur_circular');
  static const blur_linear_filled_outlined =
      _MaterialSymbolsData(0xf863, 'blur_linear_filled_outlined');
  static const blur_linear_filled_sharp =
      _MaterialSymbolsData(0xf864, 'blur_linear_filled_sharp');
  static const blur_linear_filled =
      _MaterialSymbolsData(0xf865, 'blur_linear_filled');
  static const blur_linear_outlined =
      _MaterialSymbolsData(0xf866, 'blur_linear_outlined');
  static const blur_linear_sharp =
      _MaterialSymbolsData(0xf867, 'blur_linear_sharp');
  static const blur_linear = _MaterialSymbolsData(0xf868, 'blur_linear');
  static const blur_medium_filled_outlined =
      _MaterialSymbolsData(0xf869, 'blur_medium_filled_outlined');
  static const blur_medium_filled_sharp =
      _MaterialSymbolsData(0xf86a, 'blur_medium_filled_sharp');
  static const blur_medium_filled =
      _MaterialSymbolsData(0xf86b, 'blur_medium_filled');
  static const blur_medium_outlined =
      _MaterialSymbolsData(0xf86c, 'blur_medium_outlined');
  static const blur_medium_sharp =
      _MaterialSymbolsData(0xf86d, 'blur_medium_sharp');
  static const blur_medium = _MaterialSymbolsData(0xf86e, 'blur_medium');
  static const blur_off_filled_outlined =
      _MaterialSymbolsData(0xf86f, 'blur_off_filled_outlined');
  static const blur_off_filled_sharp =
      _MaterialSymbolsData(0xf870, 'blur_off_filled_sharp');
  static const blur_off_filled =
      _MaterialSymbolsData(0xf871, 'blur_off_filled');
  static const blur_off_outlined =
      _MaterialSymbolsData(0xf872, 'blur_off_outlined');
  static const blur_off_sharp = _MaterialSymbolsData(0xf873, 'blur_off_sharp');
  static const blur_off = _MaterialSymbolsData(0xf874, 'blur_off');
  static const blur_on_filled_outlined =
      _MaterialSymbolsData(0xf875, 'blur_on_filled_outlined');
  static const blur_on_filled_sharp =
      _MaterialSymbolsData(0xf876, 'blur_on_filled_sharp');
  static const blur_on_filled = _MaterialSymbolsData(0xf877, 'blur_on_filled');
  static const blur_on_outlined =
      _MaterialSymbolsData(0xf878, 'blur_on_outlined');
  static const blur_on_sharp = _MaterialSymbolsData(0xf879, 'blur_on_sharp');
  static const blur_on = _MaterialSymbolsData(0xf87a, 'blur_on');
  static const blur_short_filled_outlined =
      _MaterialSymbolsData(0xf87b, 'blur_short_filled_outlined');
  static const blur_short_filled_sharp =
      _MaterialSymbolsData(0xf87c, 'blur_short_filled_sharp');
  static const blur_short_filled =
      _MaterialSymbolsData(0xf87d, 'blur_short_filled');
  static const blur_short_outlined =
      _MaterialSymbolsData(0xf87e, 'blur_short_outlined');
  static const blur_short_sharp =
      _MaterialSymbolsData(0xf87f, 'blur_short_sharp');
  static const blur_short = _MaterialSymbolsData(0xf880, 'blur_short');
  static const body_fat_filled_outlined =
      _MaterialSymbolsData(0xf881, 'body_fat_filled_outlined');
  static const body_fat_filled_sharp =
      _MaterialSymbolsData(0xf882, 'body_fat_filled_sharp');
  static const body_fat_filled =
      _MaterialSymbolsData(0xf883, 'body_fat_filled');
  static const body_fat_outlined =
      _MaterialSymbolsData(0xf884, 'body_fat_outlined');
  static const body_fat_sharp = _MaterialSymbolsData(0xf885, 'body_fat_sharp');
  static const body_fat = _MaterialSymbolsData(0xf886, 'body_fat');
  static const bolt_filled_outlined =
      _MaterialSymbolsData(0xf887, 'bolt_filled_outlined');
  static const bolt_filled_sharp =
      _MaterialSymbolsData(0xf888, 'bolt_filled_sharp');
  static const bolt_filled = _MaterialSymbolsData(0xf889, 'bolt_filled');
  static const bolt_outlined = _MaterialSymbolsData(0xf88a, 'bolt_outlined');
  static const bolt_sharp = _MaterialSymbolsData(0xf88b, 'bolt_sharp');
  static const bolt = _MaterialSymbolsData(0xf88c, 'bolt');
  static const book_filled_outlined =
      _MaterialSymbolsData(0xf88d, 'book_filled_outlined');
  static const book_filled_sharp =
      _MaterialSymbolsData(0xf88e, 'book_filled_sharp');
  static const book_filled = _MaterialSymbolsData(0xf88f, 'book_filled');
  static const book_online_filled_outlined =
      _MaterialSymbolsData(0xf890, 'book_online_filled_outlined');
  static const book_online_filled_sharp =
      _MaterialSymbolsData(0xf891, 'book_online_filled_sharp');
  static const book_online_filled =
      _MaterialSymbolsData(0xf892, 'book_online_filled');
  static const book_online_outlined =
      _MaterialSymbolsData(0xf893, 'book_online_outlined');
  static const book_online_sharp =
      _MaterialSymbolsData(0xf894, 'book_online_sharp');
  static const book_online = _MaterialSymbolsData(0xf895, 'book_online');
  static const book_outlined = _MaterialSymbolsData(0xf896, 'book_outlined');
  static const book_sharp = _MaterialSymbolsData(0xf897, 'book_sharp');
  static const book = _MaterialSymbolsData(0xf898, 'book');
  static const bookmark_add_filled_outlined =
      _MaterialSymbolsData(0xf899, 'bookmark_add_filled_outlined');
  static const bookmark_add_filled_sharp =
      _MaterialSymbolsData(0xf89a, 'bookmark_add_filled_sharp');
  static const bookmark_add_filled =
      _MaterialSymbolsData(0xf89b, 'bookmark_add_filled');
  static const bookmark_add_outlined =
      _MaterialSymbolsData(0xf89c, 'bookmark_add_outlined');
  static const bookmark_add_sharp =
      _MaterialSymbolsData(0xf89d, 'bookmark_add_sharp');
  static const bookmark_add = _MaterialSymbolsData(0xf89e, 'bookmark_add');
  static const bookmark_added_filled_outlined =
      _MaterialSymbolsData(0xf89f, 'bookmark_added_filled_outlined');
  static const bookmark_added_filled_sharp =
      _MaterialSymbolsData(0xf8a0, 'bookmark_added_filled_sharp');
  static const bookmark_added_filled =
      _MaterialSymbolsData(0xf8a1, 'bookmark_added_filled');
  static const bookmark_added_outlined =
      _MaterialSymbolsData(0xf8a2, 'bookmark_added_outlined');
  static const bookmark_added_sharp =
      _MaterialSymbolsData(0xf8a3, 'bookmark_added_sharp');
  static const bookmark_added = _MaterialSymbolsData(0xf8a4, 'bookmark_added');
  static const bookmark_filled_outlined =
      _MaterialSymbolsData(0xf8a5, 'bookmark_filled_outlined');
  static const bookmark_filled_sharp =
      _MaterialSymbolsData(0xf8a6, 'bookmark_filled_sharp');
  static const bookmark_filled =
      _MaterialSymbolsData(0xf8a7, 'bookmark_filled');
  static const bookmark_outlined =
      _MaterialSymbolsData(0xf8a8, 'bookmark_outlined');
  static const bookmark_remove_filled_outlined =
      _MaterialSymbolsData(0xf8a9, 'bookmark_remove_filled_outlined');
  static const bookmark_remove_filled_sharp =
      _MaterialSymbolsData(0xf8aa, 'bookmark_remove_filled_sharp');
  static const bookmark_remove_filled =
      _MaterialSymbolsData(0xf8ab, 'bookmark_remove_filled');
  static const bookmark_remove_outlined =
      _MaterialSymbolsData(0xf8ac, 'bookmark_remove_outlined');
  static const bookmark_remove_sharp =
      _MaterialSymbolsData(0xf8ad, 'bookmark_remove_sharp');
  static const bookmark_remove =
      _MaterialSymbolsData(0xf8ae, 'bookmark_remove');
  static const bookmark_sharp = _MaterialSymbolsData(0xf8af, 'bookmark_sharp');
  static const bookmark = _MaterialSymbolsData(0xf8b0, 'bookmark');
  static const bookmarks_filled_outlined =
      _MaterialSymbolsData(0xf8b1, 'bookmarks_filled_outlined');
  static const bookmarks_filled_sharp =
      _MaterialSymbolsData(0xf8b2, 'bookmarks_filled_sharp');
  static const bookmarks_filled =
      _MaterialSymbolsData(0xf8b3, 'bookmarks_filled');
  static const bookmarks_outlined =
      _MaterialSymbolsData(0xf8b4, 'bookmarks_outlined');
  static const bookmarks_sharp =
      _MaterialSymbolsData(0xf8b5, 'bookmarks_sharp');
  static const bookmarks = _MaterialSymbolsData(0xf8b6, 'bookmarks');
  static const border_all_filled_outlined =
      _MaterialSymbolsData(0xf8b7, 'border_all_filled_outlined');
  static const border_all_filled_sharp =
      _MaterialSymbolsData(0xf8b8, 'border_all_filled_sharp');
  static const border_all_filled =
      _MaterialSymbolsData(0xf8b9, 'border_all_filled');
  static const border_all_outlined =
      _MaterialSymbolsData(0xf8ba, 'border_all_outlined');
  static const border_all_sharp =
      _MaterialSymbolsData(0xf8bb, 'border_all_sharp');
  static const border_all = _MaterialSymbolsData(0xf8bc, 'border_all');
  static const border_bottom_filled_outlined =
      _MaterialSymbolsData(0xf8bd, 'border_bottom_filled_outlined');
  static const border_bottom_filled_sharp =
      _MaterialSymbolsData(0xf8be, 'border_bottom_filled_sharp');
  static const border_bottom_filled =
      _MaterialSymbolsData(0xf8bf, 'border_bottom_filled');
  static const border_bottom_outlined =
      _MaterialSymbolsData(0xf8c0, 'border_bottom_outlined');
  static const border_bottom_sharp =
      _MaterialSymbolsData(0xf8c1, 'border_bottom_sharp');
  static const border_bottom = _MaterialSymbolsData(0xf8c2, 'border_bottom');
  static const border_clear_filled_outlined =
      _MaterialSymbolsData(0xf8c3, 'border_clear_filled_outlined');
  static const border_clear_filled_sharp =
      _MaterialSymbolsData(0xf8c4, 'border_clear_filled_sharp');
  static const border_clear_filled =
      _MaterialSymbolsData(0xf8c5, 'border_clear_filled');
  static const border_clear_outlined =
      _MaterialSymbolsData(0xf8c6, 'border_clear_outlined');
  static const border_clear_sharp =
      _MaterialSymbolsData(0xf8c7, 'border_clear_sharp');
  static const border_clear = _MaterialSymbolsData(0xf8c8, 'border_clear');
  static const border_color_filled_outlined =
      _MaterialSymbolsData(0xf8c9, 'border_color_filled_outlined');
  static const border_color_filled_sharp =
      _MaterialSymbolsData(0xf8ca, 'border_color_filled_sharp');
  static const border_color_filled =
      _MaterialSymbolsData(0xf8cb, 'border_color_filled');
  static const border_color_outlined =
      _MaterialSymbolsData(0xf8cc, 'border_color_outlined');
  static const border_color_sharp =
      _MaterialSymbolsData(0xf8cd, 'border_color_sharp');
  static const border_color = _MaterialSymbolsData(0xf8ce, 'border_color');
  static const border_horizontal_filled_outlined =
      _MaterialSymbolsData(0xf8cf, 'border_horizontal_filled_outlined');
  static const border_horizontal_filled_sharp =
      _MaterialSymbolsData(0xf8d0, 'border_horizontal_filled_sharp');
  static const border_horizontal_filled =
      _MaterialSymbolsData(0xf8d1, 'border_horizontal_filled');
  static const border_horizontal_outlined =
      _MaterialSymbolsData(0xf8d2, 'border_horizontal_outlined');
  static const border_horizontal_sharp =
      _MaterialSymbolsData(0xf8d3, 'border_horizontal_sharp');
  static const border_horizontal =
      _MaterialSymbolsData(0xf8d4, 'border_horizontal');
  static const border_inner_filled_outlined =
      _MaterialSymbolsData(0xf8d5, 'border_inner_filled_outlined');
  static const border_inner_filled_sharp =
      _MaterialSymbolsData(0xf8d6, 'border_inner_filled_sharp');
  static const border_inner_filled =
      _MaterialSymbolsData(0xf8d7, 'border_inner_filled');
  static const border_inner_outlined =
      _MaterialSymbolsData(0xf8d8, 'border_inner_outlined');
  static const border_inner_sharp =
      _MaterialSymbolsData(0xf8d9, 'border_inner_sharp');
  static const border_inner = _MaterialSymbolsData(0xf8da, 'border_inner');
  static const border_left_filled_outlined =
      _MaterialSymbolsData(0xf8db, 'border_left_filled_outlined');
  static const border_left_filled_sharp =
      _MaterialSymbolsData(0xf8dc, 'border_left_filled_sharp');
  static const border_left_filled =
      _MaterialSymbolsData(0xf8dd, 'border_left_filled');
  static const border_left_outlined =
      _MaterialSymbolsData(0xf8de, 'border_left_outlined');
  static const border_left_sharp =
      _MaterialSymbolsData(0xf8df, 'border_left_sharp');
  static const border_left = _MaterialSymbolsData(0xf8e0, 'border_left');
  static const border_outer_filled_outlined =
      _MaterialSymbolsData(0xf8e1, 'border_outer_filled_outlined');
  static const border_outer_filled_sharp =
      _MaterialSymbolsData(0xf8e2, 'border_outer_filled_sharp');
  static const border_outer_filled =
      _MaterialSymbolsData(0xf8e3, 'border_outer_filled');
  static const border_outer_outlined =
      _MaterialSymbolsData(0xf8e4, 'border_outer_outlined');
  static const border_outer_sharp =
      _MaterialSymbolsData(0xf8e5, 'border_outer_sharp');
  static const border_outer = _MaterialSymbolsData(0xf8e6, 'border_outer');
  static const border_right_filled_outlined =
      _MaterialSymbolsData(0xf8e7, 'border_right_filled_outlined');
  static const border_right_filled_sharp =
      _MaterialSymbolsData(0xf8e8, 'border_right_filled_sharp');
  static const border_right_filled =
      _MaterialSymbolsData(0xf8e9, 'border_right_filled');
  static const border_right_outlined =
      _MaterialSymbolsData(0xf8ea, 'border_right_outlined');
  static const border_right_sharp =
      _MaterialSymbolsData(0xf8eb, 'border_right_sharp');
  static const border_right = _MaterialSymbolsData(0xf8ec, 'border_right');
  static const border_style_filled_outlined =
      _MaterialSymbolsData(0xf8ed, 'border_style_filled_outlined');
  static const border_style_filled_sharp =
      _MaterialSymbolsData(0xf8ee, 'border_style_filled_sharp');
  static const border_style_filled =
      _MaterialSymbolsData(0xf8ef, 'border_style_filled');
  static const border_style_outlined =
      _MaterialSymbolsData(0xf8f0, 'border_style_outlined');
  static const border_style_sharp =
      _MaterialSymbolsData(0xf8f1, 'border_style_sharp');
  static const border_style = _MaterialSymbolsData(0xf8f2, 'border_style');
  static const border_top_filled_outlined =
      _MaterialSymbolsData(0xf8f3, 'border_top_filled_outlined');
  static const border_top_filled_sharp =
      _MaterialSymbolsData(0xf8f4, 'border_top_filled_sharp');
  static const border_top_filled =
      _MaterialSymbolsData(0xf8f5, 'border_top_filled');
  static const border_top_outlined =
      _MaterialSymbolsData(0xf8f6, 'border_top_outlined');
  static const border_top_sharp =
      _MaterialSymbolsData(0xf8f7, 'border_top_sharp');
  static const border_top = _MaterialSymbolsData(0xf8f8, 'border_top');
  static const border_vertical_filled_outlined =
      _MaterialSymbolsData(0xf8f9, 'border_vertical_filled_outlined');
  static const border_vertical_filled_sharp =
      _MaterialSymbolsData(0xf8fa, 'border_vertical_filled_sharp');
  static const border_vertical_filled =
      _MaterialSymbolsData(0xf8fb, 'border_vertical_filled');
  static const border_vertical_outlined =
      _MaterialSymbolsData(0xf8fc, 'border_vertical_outlined');
  static const border_vertical_sharp =
      _MaterialSymbolsData(0xf8fd, 'border_vertical_sharp');
  static const border_vertical =
      _MaterialSymbolsData(0xf8fe, 'border_vertical');
  static const boy_filled_outlined =
      _MaterialSymbolsData(0xf8ff, 'boy_filled_outlined');
  static const boy_filled_sharp =
      _MaterialSymbolsData(0xf900, 'boy_filled_sharp');
  static const boy_filled = _MaterialSymbolsData(0xf901, 'boy_filled');
  static const boy_outlined = _MaterialSymbolsData(0xf902, 'boy_outlined');
  static const boy_sharp = _MaterialSymbolsData(0xf903, 'boy_sharp');
  static const boy = _MaterialSymbolsData(0xf904, 'boy');
  static const branding_watermark_filled_outlined =
      _MaterialSymbolsData(0xf905, 'branding_watermark_filled_outlined');
  static const branding_watermark_filled_sharp =
      _MaterialSymbolsData(0xf906, 'branding_watermark_filled_sharp');
  static const branding_watermark_filled =
      _MaterialSymbolsData(0xf907, 'branding_watermark_filled');
  static const branding_watermark_outlined =
      _MaterialSymbolsData(0xf908, 'branding_watermark_outlined');
  static const branding_watermark_sharp =
      _MaterialSymbolsData(0xf909, 'branding_watermark_sharp');
  static const branding_watermark =
      _MaterialSymbolsData(0xf90a, 'branding_watermark');
  static const breakfast_dining_filled_outlined =
      _MaterialSymbolsData(0xf90b, 'breakfast_dining_filled_outlined');
  static const breakfast_dining_filled_sharp =
      _MaterialSymbolsData(0xf90c, 'breakfast_dining_filled_sharp');
  static const breakfast_dining_filled =
      _MaterialSymbolsData(0xf90d, 'breakfast_dining_filled');
  static const breakfast_dining_outlined =
      _MaterialSymbolsData(0xf90e, 'breakfast_dining_outlined');
  static const breakfast_dining_sharp =
      _MaterialSymbolsData(0xf90f, 'breakfast_dining_sharp');
  static const breakfast_dining =
      _MaterialSymbolsData(0xf910, 'breakfast_dining');
  static const breaking_news_alt_1_filled_outlined =
      _MaterialSymbolsData(0xf911, 'breaking_news_alt_1_filled_outlined');
  static const breaking_news_alt_1_filled_sharp =
      _MaterialSymbolsData(0xf912, 'breaking_news_alt_1_filled_sharp');
  static const breaking_news_alt_1_filled =
      _MaterialSymbolsData(0xf913, 'breaking_news_alt_1_filled');
  static const breaking_news_alt_1_outlined =
      _MaterialSymbolsData(0xf914, 'breaking_news_alt_1_outlined');
  static const breaking_news_alt_1_sharp =
      _MaterialSymbolsData(0xf915, 'breaking_news_alt_1_sharp');
  static const breaking_news_alt_1 =
      _MaterialSymbolsData(0xf916, 'breaking_news_alt_1');
  static const breastfeeding_filled_outlined =
      _MaterialSymbolsData(0xf917, 'breastfeeding_filled_outlined');
  static const breastfeeding_filled_sharp =
      _MaterialSymbolsData(0xf918, 'breastfeeding_filled_sharp');
  static const breastfeeding_filled =
      _MaterialSymbolsData(0xf919, 'breastfeeding_filled');
  static const breastfeeding_outlined =
      _MaterialSymbolsData(0xf91a, 'breastfeeding_outlined');
  static const breastfeeding_sharp =
      _MaterialSymbolsData(0xf91b, 'breastfeeding_sharp');
  static const breastfeeding = _MaterialSymbolsData(0xf91c, 'breastfeeding');
  static const brightness_1_filled_outlined =
      _MaterialSymbolsData(0xf91d, 'brightness_1_filled_outlined');
  static const brightness_1_filled_sharp =
      _MaterialSymbolsData(0xf91e, 'brightness_1_filled_sharp');
  static const brightness_1_filled =
      _MaterialSymbolsData(0xf91f, 'brightness_1_filled');
  static const brightness_1_outlined =
      _MaterialSymbolsData(0xf920, 'brightness_1_outlined');
  static const brightness_1_sharp =
      _MaterialSymbolsData(0xf921, 'brightness_1_sharp');
  static const brightness_1 = _MaterialSymbolsData(0xf922, 'brightness_1');
  static const brightness_2_filled_outlined =
      _MaterialSymbolsData(0xf923, 'brightness_2_filled_outlined');
  static const brightness_2_filled_sharp =
      _MaterialSymbolsData(0xf924, 'brightness_2_filled_sharp');
  static const brightness_2_filled =
      _MaterialSymbolsData(0xf925, 'brightness_2_filled');
  static const brightness_2_outlined =
      _MaterialSymbolsData(0xf926, 'brightness_2_outlined');
  static const brightness_2_sharp =
      _MaterialSymbolsData(0xf927, 'brightness_2_sharp');
  static const brightness_2 = _MaterialSymbolsData(0xf928, 'brightness_2');
  static const brightness_3_filled_outlined =
      _MaterialSymbolsData(0xf929, 'brightness_3_filled_outlined');
  static const brightness_3_filled_sharp =
      _MaterialSymbolsData(0xf92a, 'brightness_3_filled_sharp');
  static const brightness_3_filled =
      _MaterialSymbolsData(0xf92b, 'brightness_3_filled');
  static const brightness_3_outlined =
      _MaterialSymbolsData(0xf92c, 'brightness_3_outlined');
  static const brightness_3_sharp =
      _MaterialSymbolsData(0xf92d, 'brightness_3_sharp');
  static const brightness_3 = _MaterialSymbolsData(0xf92e, 'brightness_3');
  static const brightness_4_filled_outlined =
      _MaterialSymbolsData(0xf92f, 'brightness_4_filled_outlined');
  static const brightness_4_filled_sharp =
      _MaterialSymbolsData(0xf930, 'brightness_4_filled_sharp');
  static const brightness_4_filled =
      _MaterialSymbolsData(0xf931, 'brightness_4_filled');
  static const brightness_4_outlined =
      _MaterialSymbolsData(0xf932, 'brightness_4_outlined');
  static const brightness_4_sharp =
      _MaterialSymbolsData(0xf933, 'brightness_4_sharp');
  static const brightness_4 = _MaterialSymbolsData(0xf934, 'brightness_4');
  static const brightness_5_filled_outlined =
      _MaterialSymbolsData(0xf935, 'brightness_5_filled_outlined');
  static const brightness_5_filled_sharp =
      _MaterialSymbolsData(0xf936, 'brightness_5_filled_sharp');
  static const brightness_5_filled =
      _MaterialSymbolsData(0xf937, 'brightness_5_filled');
  static const brightness_5_outlined =
      _MaterialSymbolsData(0xf938, 'brightness_5_outlined');
  static const brightness_5_sharp =
      _MaterialSymbolsData(0xf939, 'brightness_5_sharp');
  static const brightness_5 = _MaterialSymbolsData(0xf93a, 'brightness_5');
  static const brightness_6_filled_outlined =
      _MaterialSymbolsData(0xf93b, 'brightness_6_filled_outlined');
  static const brightness_6_filled_sharp =
      _MaterialSymbolsData(0xf93c, 'brightness_6_filled_sharp');
  static const brightness_6_filled =
      _MaterialSymbolsData(0xf93d, 'brightness_6_filled');
  static const brightness_6_outlined =
      _MaterialSymbolsData(0xf93e, 'brightness_6_outlined');
  static const brightness_6_sharp =
      _MaterialSymbolsData(0xf93f, 'brightness_6_sharp');
  static const brightness_6 = _MaterialSymbolsData(0xf940, 'brightness_6');
  static const brightness_7_filled_outlined =
      _MaterialSymbolsData(0xf941, 'brightness_7_filled_outlined');
  static const brightness_7_filled_sharp =
      _MaterialSymbolsData(0xf942, 'brightness_7_filled_sharp');
  static const brightness_7_filled =
      _MaterialSymbolsData(0xf943, 'brightness_7_filled');
  static const brightness_7_outlined =
      _MaterialSymbolsData(0xf944, 'brightness_7_outlined');
  static const brightness_7_sharp =
      _MaterialSymbolsData(0xf945, 'brightness_7_sharp');
  static const brightness_7 = _MaterialSymbolsData(0xf946, 'brightness_7');
  static const brightness_auto_filled_outlined =
      _MaterialSymbolsData(0xf947, 'brightness_auto_filled_outlined');
  static const brightness_auto_filled_sharp =
      _MaterialSymbolsData(0xf948, 'brightness_auto_filled_sharp');
  static const brightness_auto_filled =
      _MaterialSymbolsData(0xf949, 'brightness_auto_filled');
  static const brightness_auto_outlined =
      _MaterialSymbolsData(0xf94a, 'brightness_auto_outlined');
  static const brightness_auto_sharp =
      _MaterialSymbolsData(0xf94b, 'brightness_auto_sharp');
  static const brightness_auto =
      _MaterialSymbolsData(0xf94c, 'brightness_auto');
  static const brightness_high_filled_outlined =
      _MaterialSymbolsData(0xf94d, 'brightness_high_filled_outlined');
  static const brightness_high_filled_sharp =
      _MaterialSymbolsData(0xf94e, 'brightness_high_filled_sharp');
  static const brightness_high_filled =
      _MaterialSymbolsData(0xf94f, 'brightness_high_filled');
  static const brightness_high_outlined =
      _MaterialSymbolsData(0xf950, 'brightness_high_outlined');
  static const brightness_high_sharp =
      _MaterialSymbolsData(0xf951, 'brightness_high_sharp');
  static const brightness_high =
      _MaterialSymbolsData(0xf952, 'brightness_high');
  static const brightness_low_filled_outlined =
      _MaterialSymbolsData(0xf953, 'brightness_low_filled_outlined');
  static const brightness_low_filled_sharp =
      _MaterialSymbolsData(0xf954, 'brightness_low_filled_sharp');
  static const brightness_low_filled =
      _MaterialSymbolsData(0xf955, 'brightness_low_filled');
  static const brightness_low_outlined =
      _MaterialSymbolsData(0xf956, 'brightness_low_outlined');
  static const brightness_low_sharp =
      _MaterialSymbolsData(0xf957, 'brightness_low_sharp');
  static const brightness_low = _MaterialSymbolsData(0xf958, 'brightness_low');
  static const brightness_medium_filled_outlined =
      _MaterialSymbolsData(0xf959, 'brightness_medium_filled_outlined');
  static const brightness_medium_filled_sharp =
      _MaterialSymbolsData(0xf95a, 'brightness_medium_filled_sharp');
  static const brightness_medium_filled =
      _MaterialSymbolsData(0xf95b, 'brightness_medium_filled');
  static const brightness_medium_outlined =
      _MaterialSymbolsData(0xf95c, 'brightness_medium_outlined');
  static const brightness_medium_sharp =
      _MaterialSymbolsData(0xf95d, 'brightness_medium_sharp');
  static const brightness_medium =
      _MaterialSymbolsData(0xf95e, 'brightness_medium');
  static const bring_your_own_ip_filled_outlined =
      _MaterialSymbolsData(0xf95f, 'bring_your_own_ip_filled_outlined');
  static const bring_your_own_ip_filled_sharp =
      _MaterialSymbolsData(0xf960, 'bring_your_own_ip_filled_sharp');
  static const bring_your_own_ip_filled =
      _MaterialSymbolsData(0xf961, 'bring_your_own_ip_filled');
  static const bring_your_own_ip_outlined =
      _MaterialSymbolsData(0xf962, 'bring_your_own_ip_outlined');
  static const bring_your_own_ip_sharp =
      _MaterialSymbolsData(0xf963, 'bring_your_own_ip_sharp');
  static const bring_your_own_ip =
      _MaterialSymbolsData(0xf964, 'bring_your_own_ip');
  static const broadcast_on_home_filled_outlined =
      _MaterialSymbolsData(0xf965, 'broadcast_on_home_filled_outlined');
  static const broadcast_on_home_filled_sharp =
      _MaterialSymbolsData(0xf966, 'broadcast_on_home_filled_sharp');
  static const broadcast_on_home_filled =
      _MaterialSymbolsData(0xf967, 'broadcast_on_home_filled');
  static const broadcast_on_home_outlined =
      _MaterialSymbolsData(0xf968, 'broadcast_on_home_outlined');
  static const broadcast_on_home_sharp =
      _MaterialSymbolsData(0xf969, 'broadcast_on_home_sharp');
  static const broadcast_on_home =
      _MaterialSymbolsData(0xf96a, 'broadcast_on_home');
  static const broadcast_on_personal_filled_outlined =
      _MaterialSymbolsData(0xf96b, 'broadcast_on_personal_filled_outlined');
  static const broadcast_on_personal_filled_sharp =
      _MaterialSymbolsData(0xf96c, 'broadcast_on_personal_filled_sharp');
  static const broadcast_on_personal_filled =
      _MaterialSymbolsData(0xf96d, 'broadcast_on_personal_filled');
  static const broadcast_on_personal_outlined =
      _MaterialSymbolsData(0xf96e, 'broadcast_on_personal_outlined');
  static const broadcast_on_personal_sharp =
      _MaterialSymbolsData(0xf96f, 'broadcast_on_personal_sharp');
  static const broadcast_on_personal =
      _MaterialSymbolsData(0xf970, 'broadcast_on_personal');
  static const broken_image_filled_outlined =
      _MaterialSymbolsData(0xf971, 'broken_image_filled_outlined');
  static const broken_image_filled_sharp =
      _MaterialSymbolsData(0xf972, 'broken_image_filled_sharp');
  static const broken_image_filled =
      _MaterialSymbolsData(0xf973, 'broken_image_filled');
  static const broken_image_outlined =
      _MaterialSymbolsData(0xf974, 'broken_image_outlined');
  static const broken_image_sharp =
      _MaterialSymbolsData(0xf975, 'broken_image_sharp');
  static const broken_image = _MaterialSymbolsData(0xf976, 'broken_image');
  static const browse_activity_filled_outlined =
      _MaterialSymbolsData(0xf977, 'browse_activity_filled_outlined');
  static const browse_activity_filled_sharp =
      _MaterialSymbolsData(0xf978, 'browse_activity_filled_sharp');
  static const browse_activity_filled =
      _MaterialSymbolsData(0xf979, 'browse_activity_filled');
  static const browse_activity_outlined =
      _MaterialSymbolsData(0xf97a, 'browse_activity_outlined');
  static const browse_activity_sharp =
      _MaterialSymbolsData(0xf97b, 'browse_activity_sharp');
  static const browse_activity =
      _MaterialSymbolsData(0xf97c, 'browse_activity');
  static const browse_gallery_filled_outlined =
      _MaterialSymbolsData(0xf97d, 'browse_gallery_filled_outlined');
  static const browse_gallery_filled_sharp =
      _MaterialSymbolsData(0xf97e, 'browse_gallery_filled_sharp');
  static const browse_gallery_filled =
      _MaterialSymbolsData(0xf97f, 'browse_gallery_filled');
  static const browse_gallery_outlined =
      _MaterialSymbolsData(0xf980, 'browse_gallery_outlined');
  static const browse_gallery_sharp =
      _MaterialSymbolsData(0xf981, 'browse_gallery_sharp');
  static const browse_gallery = _MaterialSymbolsData(0xf982, 'browse_gallery');
  static const browser_updated_filled_outlined =
      _MaterialSymbolsData(0xf983, 'browser_updated_filled_outlined');
  static const browser_updated_filled_sharp =
      _MaterialSymbolsData(0xf984, 'browser_updated_filled_sharp');
  static const browser_updated_filled =
      _MaterialSymbolsData(0xf985, 'browser_updated_filled');
  static const browser_updated_outlined =
      _MaterialSymbolsData(0xf986, 'browser_updated_outlined');
  static const browser_updated_sharp =
      _MaterialSymbolsData(0xf987, 'browser_updated_sharp');
  static const browser_updated =
      _MaterialSymbolsData(0xf988, 'browser_updated');
  static const brunch_dining_filled_outlined =
      _MaterialSymbolsData(0xf989, 'brunch_dining_filled_outlined');
  static const brunch_dining_filled_sharp =
      _MaterialSymbolsData(0xf98a, 'brunch_dining_filled_sharp');
  static const brunch_dining_filled =
      _MaterialSymbolsData(0xf98b, 'brunch_dining_filled');
  static const brunch_dining_outlined =
      _MaterialSymbolsData(0xf98c, 'brunch_dining_outlined');
  static const brunch_dining_sharp =
      _MaterialSymbolsData(0xf98d, 'brunch_dining_sharp');
  static const brunch_dining = _MaterialSymbolsData(0xf98e, 'brunch_dining');
  static const brush_filled_outlined =
      _MaterialSymbolsData(0xf98f, 'brush_filled_outlined');
  static const brush_filled_sharp =
      _MaterialSymbolsData(0xf990, 'brush_filled_sharp');
  static const brush_filled = _MaterialSymbolsData(0xf991, 'brush_filled');
  static const brush_outlined = _MaterialSymbolsData(0xf992, 'brush_outlined');
  static const brush_sharp = _MaterialSymbolsData(0xf993, 'brush_sharp');
  static const brush = _MaterialSymbolsData(0xf994, 'brush');
  static const bubble_chart_filled_outlined =
      _MaterialSymbolsData(0xf995, 'bubble_chart_filled_outlined');
  static const bubble_chart_filled_sharp =
      _MaterialSymbolsData(0xf996, 'bubble_chart_filled_sharp');
  static const bubble_chart_filled =
      _MaterialSymbolsData(0xf997, 'bubble_chart_filled');
  static const bubble_chart_outlined =
      _MaterialSymbolsData(0xf998, 'bubble_chart_outlined');
  static const bubble_chart_sharp =
      _MaterialSymbolsData(0xf999, 'bubble_chart_sharp');
  static const bubble_chart = _MaterialSymbolsData(0xf99a, 'bubble_chart');
  static const bug_report_filled_outlined =
      _MaterialSymbolsData(0xf99b, 'bug_report_filled_outlined');
  static const bug_report_filled_sharp =
      _MaterialSymbolsData(0xf99c, 'bug_report_filled_sharp');
  static const bug_report_filled =
      _MaterialSymbolsData(0xf99d, 'bug_report_filled');
  static const bug_report_outlined =
      _MaterialSymbolsData(0xf99e, 'bug_report_outlined');
  static const bug_report_sharp =
      _MaterialSymbolsData(0xf99f, 'bug_report_sharp');
  static const bug_report = _MaterialSymbolsData(0xf9a0, 'bug_report');
  static const build_circle_filled_outlined =
      _MaterialSymbolsData(0xf9a1, 'build_circle_filled_outlined');
  static const build_circle_filled_sharp =
      _MaterialSymbolsData(0xf9a2, 'build_circle_filled_sharp');
  static const build_circle_filled =
      _MaterialSymbolsData(0xf9a3, 'build_circle_filled');
  static const build_circle_outlined =
      _MaterialSymbolsData(0xf9a4, 'build_circle_outlined');
  static const build_circle_sharp =
      _MaterialSymbolsData(0xf9a5, 'build_circle_sharp');
  static const build_circle = _MaterialSymbolsData(0xf9a6, 'build_circle');
  static const build_filled_outlined =
      _MaterialSymbolsData(0xf9a7, 'build_filled_outlined');
  static const build_filled_sharp =
      _MaterialSymbolsData(0xf9a8, 'build_filled_sharp');
  static const build_filled = _MaterialSymbolsData(0xf9a9, 'build_filled');
  static const build_outlined = _MaterialSymbolsData(0xf9aa, 'build_outlined');
  static const build_sharp = _MaterialSymbolsData(0xf9ab, 'build_sharp');
  static const build = _MaterialSymbolsData(0xf9ac, 'build');
  static const bungalow_filled_outlined =
      _MaterialSymbolsData(0xf9ad, 'bungalow_filled_outlined');
  static const bungalow_filled_sharp =
      _MaterialSymbolsData(0xf9ae, 'bungalow_filled_sharp');
  static const bungalow_filled =
      _MaterialSymbolsData(0xf9af, 'bungalow_filled');
  static const bungalow_outlined =
      _MaterialSymbolsData(0xf9b0, 'bungalow_outlined');
  static const bungalow_sharp = _MaterialSymbolsData(0xf9b1, 'bungalow_sharp');
  static const bungalow = _MaterialSymbolsData(0xf9b2, 'bungalow');
  static const burst_mode_filled_outlined =
      _MaterialSymbolsData(0xf9b3, 'burst_mode_filled_outlined');
  static const burst_mode_filled_sharp =
      _MaterialSymbolsData(0xf9b4, 'burst_mode_filled_sharp');
  static const burst_mode_filled =
      _MaterialSymbolsData(0xf9b5, 'burst_mode_filled');
  static const burst_mode_outlined =
      _MaterialSymbolsData(0xf9b6, 'burst_mode_outlined');
  static const burst_mode_sharp =
      _MaterialSymbolsData(0xf9b7, 'burst_mode_sharp');
  static const burst_mode = _MaterialSymbolsData(0xf9b8, 'burst_mode');
  static const bus_alert_filled_outlined =
      _MaterialSymbolsData(0xf9b9, 'bus_alert_filled_outlined');
  static const bus_alert_filled_sharp =
      _MaterialSymbolsData(0xf9ba, 'bus_alert_filled_sharp');
  static const bus_alert_filled =
      _MaterialSymbolsData(0xf9bb, 'bus_alert_filled');
  static const bus_alert_outlined =
      _MaterialSymbolsData(0xf9bc, 'bus_alert_outlined');
  static const bus_alert_sharp =
      _MaterialSymbolsData(0xf9bd, 'bus_alert_sharp');
  static const bus_alert = _MaterialSymbolsData(0xf9be, 'bus_alert');
  static const business_center_filled_outlined =
      _MaterialSymbolsData(0xf9bf, 'business_center_filled_outlined');
  static const business_center_filled_sharp =
      _MaterialSymbolsData(0xf9c0, 'business_center_filled_sharp');
  static const business_center_filled =
      _MaterialSymbolsData(0xf9c1, 'business_center_filled');
  static const business_center_outlined =
      _MaterialSymbolsData(0xf9c2, 'business_center_outlined');
  static const business_center_sharp =
      _MaterialSymbolsData(0xf9c3, 'business_center_sharp');
  static const business_center =
      _MaterialSymbolsData(0xf9c4, 'business_center');
  static const business_chip_filled_outlined =
      _MaterialSymbolsData(0xf9c5, 'business_chip_filled_outlined');
  static const business_chip_filled_sharp =
      _MaterialSymbolsData(0xf9c6, 'business_chip_filled_sharp');
  static const business_chip_filled =
      _MaterialSymbolsData(0xf9c7, 'business_chip_filled');
  static const business_chip_outlined =
      _MaterialSymbolsData(0xf9c8, 'business_chip_outlined');
  static const business_chip_sharp =
      _MaterialSymbolsData(0xf9c9, 'business_chip_sharp');
  static const business_chip = _MaterialSymbolsData(0xf9ca, 'business_chip');
  static const cabin_filled_outlined =
      _MaterialSymbolsData(0xf9cb, 'cabin_filled_outlined');
  static const cabin_filled_sharp =
      _MaterialSymbolsData(0xf9cc, 'cabin_filled_sharp');
  static const cabin_filled = _MaterialSymbolsData(0xf9cd, 'cabin_filled');
  static const cabin_outlined = _MaterialSymbolsData(0xf9ce, 'cabin_outlined');
  static const cabin_sharp = _MaterialSymbolsData(0xf9cf, 'cabin_sharp');
  static const cabin = _MaterialSymbolsData(0xf9d0, 'cabin');
  static const cable_filled_outlined =
      _MaterialSymbolsData(0xf9d1, 'cable_filled_outlined');
  static const cable_filled_sharp =
      _MaterialSymbolsData(0xf9d2, 'cable_filled_sharp');
  static const cable_filled = _MaterialSymbolsData(0xf9d3, 'cable_filled');
  static const cable_outlined = _MaterialSymbolsData(0xf9d4, 'cable_outlined');
  static const cable_sharp = _MaterialSymbolsData(0xf9d5, 'cable_sharp');
  static const cable = _MaterialSymbolsData(0xf9d6, 'cable');
  static const cached_filled_outlined =
      _MaterialSymbolsData(0xf9d7, 'cached_filled_outlined');
  static const cached_filled_sharp =
      _MaterialSymbolsData(0xf9d8, 'cached_filled_sharp');
  static const cached_filled = _MaterialSymbolsData(0xf9d9, 'cached_filled');
  static const cached_outlined =
      _MaterialSymbolsData(0xf9da, 'cached_outlined');
  static const cached_sharp = _MaterialSymbolsData(0xf9db, 'cached_sharp');
  static const cached = _MaterialSymbolsData(0xf9dc, 'cached');
  static const cake_add_filled_outlined =
      _MaterialSymbolsData(0xf9dd, 'cake_add_filled_outlined');
  static const cake_add_filled_sharp =
      _MaterialSymbolsData(0xf9de, 'cake_add_filled_sharp');
  static const cake_add_filled =
      _MaterialSymbolsData(0xf9df, 'cake_add_filled');
  static const cake_add_outlined =
      _MaterialSymbolsData(0xf9e0, 'cake_add_outlined');
  static const cake_add_sharp = _MaterialSymbolsData(0xf9e1, 'cake_add_sharp');
  static const cake_add = _MaterialSymbolsData(0xf9e2, 'cake_add');
  static const cake_filled_outlined =
      _MaterialSymbolsData(0xf9e3, 'cake_filled_outlined');
  static const cake_filled_sharp =
      _MaterialSymbolsData(0xf9e4, 'cake_filled_sharp');
  static const cake_filled = _MaterialSymbolsData(0xf9e5, 'cake_filled');
  static const cake_outlined = _MaterialSymbolsData(0xf9e6, 'cake_outlined');
  static const cake_sharp = _MaterialSymbolsData(0xf9e7, 'cake_sharp');
  static const cake = _MaterialSymbolsData(0xf9e8, 'cake');
  static const calculate_filled_outlined =
      _MaterialSymbolsData(0xf9e9, 'calculate_filled_outlined');
  static const calculate_filled_sharp =
      _MaterialSymbolsData(0xf9ea, 'calculate_filled_sharp');
  static const calculate_filled =
      _MaterialSymbolsData(0xf9eb, 'calculate_filled');
  static const calculate_outlined =
      _MaterialSymbolsData(0xf9ec, 'calculate_outlined');
  static const calculate_sharp =
      _MaterialSymbolsData(0xf9ed, 'calculate_sharp');
  static const calculate = _MaterialSymbolsData(0xf9ee, 'calculate');
  static const calendar_add_on_filled_outlined =
      _MaterialSymbolsData(0xf9ef, 'calendar_add_on_filled_outlined');
  static const calendar_add_on_filled_sharp =
      _MaterialSymbolsData(0xf9f0, 'calendar_add_on_filled_sharp');
  static const calendar_add_on_filled =
      _MaterialSymbolsData(0xf9f1, 'calendar_add_on_filled');
  static const calendar_add_on_outlined =
      _MaterialSymbolsData(0xf9f2, 'calendar_add_on_outlined');
  static const calendar_add_on_sharp =
      _MaterialSymbolsData(0xf9f3, 'calendar_add_on_sharp');
  static const calendar_add_on =
      _MaterialSymbolsData(0xf9f4, 'calendar_add_on');
  static const calendar_apps_script_filled_outlined =
      _MaterialSymbolsData(0xf9f5, 'calendar_apps_script_filled_outlined');
  static const calendar_apps_script_filled_sharp =
      _MaterialSymbolsData(0xf9f6, 'calendar_apps_script_filled_sharp');
  static const calendar_apps_script_filled =
      _MaterialSymbolsData(0xf9f7, 'calendar_apps_script_filled');
  static const calendar_apps_script_outlined =
      _MaterialSymbolsData(0xf9f8, 'calendar_apps_script_outlined');
  static const calendar_apps_script_sharp =
      _MaterialSymbolsData(0xf9f9, 'calendar_apps_script_sharp');
  static const calendar_apps_script =
      _MaterialSymbolsData(0xf9fa, 'calendar_apps_script');
  static const calendar_month_filled_outlined =
      _MaterialSymbolsData(0xf9fb, 'calendar_month_filled_outlined');
  static const calendar_month_filled_sharp =
      _MaterialSymbolsData(0xf9fc, 'calendar_month_filled_sharp');
  static const calendar_month_filled =
      _MaterialSymbolsData(0xf9fd, 'calendar_month_filled');
  static const calendar_month_outlined =
      _MaterialSymbolsData(0xf9fe, 'calendar_month_outlined');
  static const calendar_month_sharp =
      _MaterialSymbolsData(0xf9ff, 'calendar_month_sharp');
  static const calendar_month = _MaterialSymbolsData(0xfa00, 'calendar_month');
  static const calendar_today_filled_outlined =
      _MaterialSymbolsData(0xfa01, 'calendar_today_filled_outlined');
  static const calendar_today_filled_sharp =
      _MaterialSymbolsData(0xfa02, 'calendar_today_filled_sharp');
  static const calendar_today_filled =
      _MaterialSymbolsData(0xfa03, 'calendar_today_filled');
  static const calendar_today_outlined =
      _MaterialSymbolsData(0xfa04, 'calendar_today_outlined');
  static const calendar_today_sharp =
      _MaterialSymbolsData(0xfa05, 'calendar_today_sharp');
  static const calendar_today = _MaterialSymbolsData(0xfa06, 'calendar_today');
  static const calendar_view_day_filled_outlined =
      _MaterialSymbolsData(0xfa07, 'calendar_view_day_filled_outlined');
  static const calendar_view_day_filled_sharp =
      _MaterialSymbolsData(0xfa08, 'calendar_view_day_filled_sharp');
  static const calendar_view_day_filled =
      _MaterialSymbolsData(0xfa09, 'calendar_view_day_filled');
  static const calendar_view_day_outlined =
      _MaterialSymbolsData(0xfa0a, 'calendar_view_day_outlined');
  static const calendar_view_day_sharp =
      _MaterialSymbolsData(0xfa0b, 'calendar_view_day_sharp');
  static const calendar_view_day =
      _MaterialSymbolsData(0xfa0c, 'calendar_view_day');
  static const calendar_view_month_filled_outlined =
      _MaterialSymbolsData(0xfa0d, 'calendar_view_month_filled_outlined');
  static const calendar_view_month_filled_sharp =
      _MaterialSymbolsData(0xfa0e, 'calendar_view_month_filled_sharp');
  static const calendar_view_month_filled =
      _MaterialSymbolsData(0xfa0f, 'calendar_view_month_filled');
  static const calendar_view_month_outlined =
      _MaterialSymbolsData(0xfa10, 'calendar_view_month_outlined');
  static const calendar_view_month_sharp =
      _MaterialSymbolsData(0xfa11, 'calendar_view_month_sharp');
  static const calendar_view_month =
      _MaterialSymbolsData(0xfa12, 'calendar_view_month');
  static const calendar_view_week_filled_outlined =
      _MaterialSymbolsData(0xfa13, 'calendar_view_week_filled_outlined');
  static const calendar_view_week_filled_sharp =
      _MaterialSymbolsData(0xfa14, 'calendar_view_week_filled_sharp');
  static const calendar_view_week_filled =
      _MaterialSymbolsData(0xfa15, 'calendar_view_week_filled');
  static const calendar_view_week_outlined =
      _MaterialSymbolsData(0xfa16, 'calendar_view_week_outlined');
  static const calendar_view_week_sharp =
      _MaterialSymbolsData(0xfa17, 'calendar_view_week_sharp');
  static const calendar_view_week =
      _MaterialSymbolsData(0xfa18, 'calendar_view_week');
  static const call_end_filled_outlined =
      _MaterialSymbolsData(0xfa19, 'call_end_filled_outlined');
  static const call_end_filled_sharp =
      _MaterialSymbolsData(0xfa1a, 'call_end_filled_sharp');
  static const call_end_filled =
      _MaterialSymbolsData(0xfa1b, 'call_end_filled');
  static const call_end_outlined =
      _MaterialSymbolsData(0xfa1c, 'call_end_outlined');
  static const call_end_sharp = _MaterialSymbolsData(0xfa1d, 'call_end_sharp');
  static const call_end = _MaterialSymbolsData(0xfa1e, 'call_end');
  static const call_filled_outlined =
      _MaterialSymbolsData(0xfa1f, 'call_filled_outlined');
  static const call_filled_sharp =
      _MaterialSymbolsData(0xfa20, 'call_filled_sharp');
  static const call_filled = _MaterialSymbolsData(0xfa21, 'call_filled');
  static const call_made_filled_outlined =
      _MaterialSymbolsData(0xfa22, 'call_made_filled_outlined');
  static const call_made_filled_sharp =
      _MaterialSymbolsData(0xfa23, 'call_made_filled_sharp');
  static const call_made_filled =
      _MaterialSymbolsData(0xfa24, 'call_made_filled');
  static const call_made_outlined =
      _MaterialSymbolsData(0xfa25, 'call_made_outlined');
  static const call_made_sharp =
      _MaterialSymbolsData(0xfa26, 'call_made_sharp');
  static const call_made = _MaterialSymbolsData(0xfa27, 'call_made');
  static const call_merge_filled_outlined =
      _MaterialSymbolsData(0xfa28, 'call_merge_filled_outlined');
  static const call_merge_filled_sharp =
      _MaterialSymbolsData(0xfa29, 'call_merge_filled_sharp');
  static const call_merge_filled =
      _MaterialSymbolsData(0xfa2a, 'call_merge_filled');
  static const call_merge_outlined =
      _MaterialSymbolsData(0xfa2b, 'call_merge_outlined');
  static const call_merge_sharp =
      _MaterialSymbolsData(0xfa2c, 'call_merge_sharp');
  static const call_merge = _MaterialSymbolsData(0xfa2d, 'call_merge');
  static const call_missed_filled_outlined =
      _MaterialSymbolsData(0xfa2e, 'call_missed_filled_outlined');
  static const call_missed_filled_sharp =
      _MaterialSymbolsData(0xfa2f, 'call_missed_filled_sharp');
  static const call_missed_filled =
      _MaterialSymbolsData(0xfa30, 'call_missed_filled');
  static const call_missed_outgoing_filled_outlined =
      _MaterialSymbolsData(0xfa31, 'call_missed_outgoing_filled_outlined');
  static const call_missed_outgoing_filled_sharp =
      _MaterialSymbolsData(0xfa32, 'call_missed_outgoing_filled_sharp');
  static const call_missed_outgoing_filled =
      _MaterialSymbolsData(0xfa33, 'call_missed_outgoing_filled');
  static const call_missed_outgoing_outlined =
      _MaterialSymbolsData(0xfa34, 'call_missed_outgoing_outlined');
  static const call_missed_outgoing_sharp =
      _MaterialSymbolsData(0xfa35, 'call_missed_outgoing_sharp');
  static const call_missed_outgoing =
      _MaterialSymbolsData(0xfa36, 'call_missed_outgoing');
  static const call_missed_outlined =
      _MaterialSymbolsData(0xfa37, 'call_missed_outlined');
  static const call_missed_sharp =
      _MaterialSymbolsData(0xfa38, 'call_missed_sharp');
  static const call_missed = _MaterialSymbolsData(0xfa39, 'call_missed');
  static const call_outlined = _MaterialSymbolsData(0xfa3a, 'call_outlined');
  static const call_received_filled_outlined =
      _MaterialSymbolsData(0xfa3b, 'call_received_filled_outlined');
  static const call_received_filled_sharp =
      _MaterialSymbolsData(0xfa3c, 'call_received_filled_sharp');
  static const call_received_filled =
      _MaterialSymbolsData(0xfa3d, 'call_received_filled');
  static const call_received_outlined =
      _MaterialSymbolsData(0xfa3e, 'call_received_outlined');
  static const call_received_sharp =
      _MaterialSymbolsData(0xfa3f, 'call_received_sharp');
  static const call_received = _MaterialSymbolsData(0xfa40, 'call_received');
  static const call_sharp = _MaterialSymbolsData(0xfa41, 'call_sharp');
  static const call_split_filled_outlined =
      _MaterialSymbolsData(0xfa42, 'call_split_filled_outlined');
  static const call_split_filled_sharp =
      _MaterialSymbolsData(0xfa43, 'call_split_filled_sharp');
  static const call_split_filled =
      _MaterialSymbolsData(0xfa44, 'call_split_filled');
  static const call_split_outlined =
      _MaterialSymbolsData(0xfa45, 'call_split_outlined');
  static const call_split_sharp =
      _MaterialSymbolsData(0xfa46, 'call_split_sharp');
  static const call_split = _MaterialSymbolsData(0xfa47, 'call_split');
  static const call_to_action_filled_outlined =
      _MaterialSymbolsData(0xfa48, 'call_to_action_filled_outlined');
  static const call_to_action_filled_sharp =
      _MaterialSymbolsData(0xfa49, 'call_to_action_filled_sharp');
  static const call_to_action_filled =
      _MaterialSymbolsData(0xfa4a, 'call_to_action_filled');
  static const call_to_action_outlined =
      _MaterialSymbolsData(0xfa4b, 'call_to_action_outlined');
  static const call_to_action_sharp =
      _MaterialSymbolsData(0xfa4c, 'call_to_action_sharp');
  static const call_to_action = _MaterialSymbolsData(0xfa4d, 'call_to_action');
  static const call = _MaterialSymbolsData(0xfa4e, 'call');
  static const camera_enhance_filled_outlined =
      _MaterialSymbolsData(0xfa4f, 'camera_enhance_filled_outlined');
  static const camera_enhance_filled_sharp =
      _MaterialSymbolsData(0xfa50, 'camera_enhance_filled_sharp');
  static const camera_enhance_filled =
      _MaterialSymbolsData(0xfa51, 'camera_enhance_filled');
  static const camera_enhance_outlined =
      _MaterialSymbolsData(0xfa52, 'camera_enhance_outlined');
  static const camera_enhance_sharp =
      _MaterialSymbolsData(0xfa53, 'camera_enhance_sharp');
  static const camera_enhance = _MaterialSymbolsData(0xfa54, 'camera_enhance');
  static const camera_filled_outlined =
      _MaterialSymbolsData(0xfa55, 'camera_filled_outlined');
  static const camera_filled_sharp =
      _MaterialSymbolsData(0xfa56, 'camera_filled_sharp');
  static const camera_filled = _MaterialSymbolsData(0xfa57, 'camera_filled');
  static const camera_front_filled_outlined =
      _MaterialSymbolsData(0xfa58, 'camera_front_filled_outlined');
  static const camera_front_filled_sharp =
      _MaterialSymbolsData(0xfa59, 'camera_front_filled_sharp');
  static const camera_front_filled =
      _MaterialSymbolsData(0xfa5a, 'camera_front_filled');
  static const camera_front_outlined =
      _MaterialSymbolsData(0xfa5b, 'camera_front_outlined');
  static const camera_front_sharp =
      _MaterialSymbolsData(0xfa5c, 'camera_front_sharp');
  static const camera_front = _MaterialSymbolsData(0xfa5d, 'camera_front');
  static const camera_indoor_filled_outlined =
      _MaterialSymbolsData(0xfa5e, 'camera_indoor_filled_outlined');
  static const camera_indoor_filled_sharp =
      _MaterialSymbolsData(0xfa5f, 'camera_indoor_filled_sharp');
  static const camera_indoor_filled =
      _MaterialSymbolsData(0xfa60, 'camera_indoor_filled');
  static const camera_indoor_outlined =
      _MaterialSymbolsData(0xfa61, 'camera_indoor_outlined');
  static const camera_indoor_sharp =
      _MaterialSymbolsData(0xfa62, 'camera_indoor_sharp');
  static const camera_indoor = _MaterialSymbolsData(0xfa63, 'camera_indoor');
  static const camera_outdoor_filled_outlined =
      _MaterialSymbolsData(0xfa64, 'camera_outdoor_filled_outlined');
  static const camera_outdoor_filled_sharp =
      _MaterialSymbolsData(0xfa65, 'camera_outdoor_filled_sharp');
  static const camera_outdoor_filled =
      _MaterialSymbolsData(0xfa66, 'camera_outdoor_filled');
  static const camera_outdoor_outlined =
      _MaterialSymbolsData(0xfa67, 'camera_outdoor_outlined');
  static const camera_outdoor_sharp =
      _MaterialSymbolsData(0xfa68, 'camera_outdoor_sharp');
  static const camera_outdoor = _MaterialSymbolsData(0xfa69, 'camera_outdoor');
  static const camera_outlined =
      _MaterialSymbolsData(0xfa6a, 'camera_outlined');
  static const camera_rear_filled_outlined =
      _MaterialSymbolsData(0xfa6b, 'camera_rear_filled_outlined');
  static const camera_rear_filled_sharp =
      _MaterialSymbolsData(0xfa6c, 'camera_rear_filled_sharp');
  static const camera_rear_filled =
      _MaterialSymbolsData(0xfa6d, 'camera_rear_filled');
  static const camera_rear_outlined =
      _MaterialSymbolsData(0xfa6e, 'camera_rear_outlined');
  static const camera_rear_sharp =
      _MaterialSymbolsData(0xfa6f, 'camera_rear_sharp');
  static const camera_rear = _MaterialSymbolsData(0xfa70, 'camera_rear');
  static const camera_roll_filled_outlined =
      _MaterialSymbolsData(0xfa71, 'camera_roll_filled_outlined');
  static const camera_roll_filled_sharp =
      _MaterialSymbolsData(0xfa72, 'camera_roll_filled_sharp');
  static const camera_roll_filled =
      _MaterialSymbolsData(0xfa73, 'camera_roll_filled');
  static const camera_roll_outlined =
      _MaterialSymbolsData(0xfa74, 'camera_roll_outlined');
  static const camera_roll_sharp =
      _MaterialSymbolsData(0xfa75, 'camera_roll_sharp');
  static const camera_roll = _MaterialSymbolsData(0xfa76, 'camera_roll');
  static const camera_sharp = _MaterialSymbolsData(0xfa77, 'camera_sharp');
  static const camera = _MaterialSymbolsData(0xfa78, 'camera');
  static const cameraswitch_filled_outlined =
      _MaterialSymbolsData(0xfa79, 'cameraswitch_filled_outlined');
  static const cameraswitch_filled_sharp =
      _MaterialSymbolsData(0xfa7a, 'cameraswitch_filled_sharp');
  static const cameraswitch_filled =
      _MaterialSymbolsData(0xfa7b, 'cameraswitch_filled');
  static const cameraswitch_outlined =
      _MaterialSymbolsData(0xfa7c, 'cameraswitch_outlined');
  static const cameraswitch_sharp =
      _MaterialSymbolsData(0xfa7d, 'cameraswitch_sharp');
  static const cameraswitch = _MaterialSymbolsData(0xfa7e, 'cameraswitch');
  static const campaign_filled_outlined =
      _MaterialSymbolsData(0xfa7f, 'campaign_filled_outlined');
  static const campaign_filled_sharp =
      _MaterialSymbolsData(0xfa80, 'campaign_filled_sharp');
  static const campaign_filled =
      _MaterialSymbolsData(0xfa81, 'campaign_filled');
  static const campaign_outlined =
      _MaterialSymbolsData(0xfa82, 'campaign_outlined');
  static const campaign_sharp = _MaterialSymbolsData(0xfa83, 'campaign_sharp');
  static const campaign = _MaterialSymbolsData(0xfa84, 'campaign');
  static const camping_filled_outlined =
      _MaterialSymbolsData(0xfa85, 'camping_filled_outlined');
  static const camping_filled_sharp =
      _MaterialSymbolsData(0xfa86, 'camping_filled_sharp');
  static const camping_filled = _MaterialSymbolsData(0xfa87, 'camping_filled');
  static const camping_outlined =
      _MaterialSymbolsData(0xfa88, 'camping_outlined');
  static const camping_sharp = _MaterialSymbolsData(0xfa89, 'camping_sharp');
  static const camping = _MaterialSymbolsData(0xfa8a, 'camping');
  static const cancel_filled_outlined =
      _MaterialSymbolsData(0xfa8b, 'cancel_filled_outlined');
  static const cancel_filled_sharp =
      _MaterialSymbolsData(0xfa8c, 'cancel_filled_sharp');
  static const cancel_filled = _MaterialSymbolsData(0xfa8d, 'cancel_filled');
  static const cancel_outlined =
      _MaterialSymbolsData(0xfa8e, 'cancel_outlined');
  static const cancel_presentation_filled_outlined =
      _MaterialSymbolsData(0xfa8f, 'cancel_presentation_filled_outlined');
  static const cancel_presentation_filled_sharp =
      _MaterialSymbolsData(0xfa90, 'cancel_presentation_filled_sharp');
  static const cancel_presentation_filled =
      _MaterialSymbolsData(0xfa91, 'cancel_presentation_filled');
  static const cancel_presentation_outlined =
      _MaterialSymbolsData(0xfa92, 'cancel_presentation_outlined');
  static const cancel_presentation_sharp =
      _MaterialSymbolsData(0xfa93, 'cancel_presentation_sharp');
  static const cancel_presentation =
      _MaterialSymbolsData(0xfa94, 'cancel_presentation');
  static const cancel_schedule_send_filled_outlined =
      _MaterialSymbolsData(0xfa95, 'cancel_schedule_send_filled_outlined');
  static const cancel_schedule_send_filled_sharp =
      _MaterialSymbolsData(0xfa96, 'cancel_schedule_send_filled_sharp');
  static const cancel_schedule_send_filled =
      _MaterialSymbolsData(0xfa97, 'cancel_schedule_send_filled');
  static const cancel_schedule_send_outlined =
      _MaterialSymbolsData(0xfa98, 'cancel_schedule_send_outlined');
  static const cancel_schedule_send_sharp =
      _MaterialSymbolsData(0xfa99, 'cancel_schedule_send_sharp');
  static const cancel_schedule_send =
      _MaterialSymbolsData(0xfa9a, 'cancel_schedule_send');
  static const cancel_sharp = _MaterialSymbolsData(0xfa9b, 'cancel_sharp');
  static const cancel = _MaterialSymbolsData(0xfa9c, 'cancel');
  static const candlestick_chart_filled_outlined =
      _MaterialSymbolsData(0xfa9d, 'candlestick_chart_filled_outlined');
  static const candlestick_chart_filled_sharp =
      _MaterialSymbolsData(0xfa9e, 'candlestick_chart_filled_sharp');
  static const candlestick_chart_filled =
      _MaterialSymbolsData(0xfa9f, 'candlestick_chart_filled');
  static const candlestick_chart_outlined =
      _MaterialSymbolsData(0xfaa0, 'candlestick_chart_outlined');
  static const candlestick_chart_sharp =
      _MaterialSymbolsData(0xfaa1, 'candlestick_chart_sharp');
  static const candlestick_chart =
      _MaterialSymbolsData(0xfaa2, 'candlestick_chart');
  static const car_crash_filled_outlined =
      _MaterialSymbolsData(0xfaa3, 'car_crash_filled_outlined');
  static const car_crash_filled_sharp =
      _MaterialSymbolsData(0xfaa4, 'car_crash_filled_sharp');
  static const car_crash_filled =
      _MaterialSymbolsData(0xfaa5, 'car_crash_filled');
  static const car_crash_outlined =
      _MaterialSymbolsData(0xfaa6, 'car_crash_outlined');
  static const car_crash_sharp =
      _MaterialSymbolsData(0xfaa7, 'car_crash_sharp');
  static const car_crash = _MaterialSymbolsData(0xfaa8, 'car_crash');
  static const car_rental_filled_outlined =
      _MaterialSymbolsData(0xfaa9, 'car_rental_filled_outlined');
  static const car_rental_filled_sharp =
      _MaterialSymbolsData(0xfaaa, 'car_rental_filled_sharp');
  static const car_rental_filled =
      _MaterialSymbolsData(0xfaab, 'car_rental_filled');
  static const car_rental_outlined =
      _MaterialSymbolsData(0xfaac, 'car_rental_outlined');
  static const car_rental_sharp =
      _MaterialSymbolsData(0xfaad, 'car_rental_sharp');
  static const car_rental = _MaterialSymbolsData(0xfaae, 'car_rental');
  static const car_repair_filled_outlined =
      _MaterialSymbolsData(0xfaaf, 'car_repair_filled_outlined');
  static const car_repair_filled_sharp =
      _MaterialSymbolsData(0xfab0, 'car_repair_filled_sharp');
  static const car_repair_filled =
      _MaterialSymbolsData(0xfab1, 'car_repair_filled');
  static const car_repair_outlined =
      _MaterialSymbolsData(0xfab2, 'car_repair_outlined');
  static const car_repair_sharp =
      _MaterialSymbolsData(0xfab3, 'car_repair_sharp');
  static const car_repair = _MaterialSymbolsData(0xfab4, 'car_repair');
  static const card_membership_filled_outlined =
      _MaterialSymbolsData(0xfab5, 'card_membership_filled_outlined');
  static const card_membership_filled_sharp =
      _MaterialSymbolsData(0xfab6, 'card_membership_filled_sharp');
  static const card_membership_filled =
      _MaterialSymbolsData(0xfab7, 'card_membership_filled');
  static const card_membership_outlined =
      _MaterialSymbolsData(0xfab8, 'card_membership_outlined');
  static const card_membership_sharp =
      _MaterialSymbolsData(0xfab9, 'card_membership_sharp');
  static const card_membership =
      _MaterialSymbolsData(0xfaba, 'card_membership');
  static const card_travel_filled_outlined =
      _MaterialSymbolsData(0xfabb, 'card_travel_filled_outlined');
  static const card_travel_filled_sharp =
      _MaterialSymbolsData(0xfabc, 'card_travel_filled_sharp');
  static const card_travel_filled =
      _MaterialSymbolsData(0xfabd, 'card_travel_filled');
  static const card_travel_outlined =
      _MaterialSymbolsData(0xfabe, 'card_travel_outlined');
  static const card_travel_sharp =
      _MaterialSymbolsData(0xfabf, 'card_travel_sharp');
  static const card_travel = _MaterialSymbolsData(0xfac0, 'card_travel');
  static const carpenter_filled_outlined =
      _MaterialSymbolsData(0xfac1, 'carpenter_filled_outlined');
  static const carpenter_filled_sharp =
      _MaterialSymbolsData(0xfac2, 'carpenter_filled_sharp');
  static const carpenter_filled =
      _MaterialSymbolsData(0xfac3, 'carpenter_filled');
  static const carpenter_outlined =
      _MaterialSymbolsData(0xfac4, 'carpenter_outlined');
  static const carpenter_sharp =
      _MaterialSymbolsData(0xfac5, 'carpenter_sharp');
  static const carpenter = _MaterialSymbolsData(0xfac6, 'carpenter');
  static const cases_filled_outlined =
      _MaterialSymbolsData(0xfac7, 'cases_filled_outlined');
  static const cases_filled_sharp =
      _MaterialSymbolsData(0xfac8, 'cases_filled_sharp');
  static const cases_filled = _MaterialSymbolsData(0xfac9, 'cases_filled');
  static const cases_outlined = _MaterialSymbolsData(0xfaca, 'cases_outlined');
  static const cases_sharp = _MaterialSymbolsData(0xfacb, 'cases_sharp');
  static const cases = _MaterialSymbolsData(0xfacc, 'cases');
  static const casino_filled_outlined =
      _MaterialSymbolsData(0xfacd, 'casino_filled_outlined');
  static const casino_filled_sharp =
      _MaterialSymbolsData(0xface, 'casino_filled_sharp');
  static const casino_filled = _MaterialSymbolsData(0xfacf, 'casino_filled');
  static const casino_outlined =
      _MaterialSymbolsData(0xfad0, 'casino_outlined');
  static const casino_sharp = _MaterialSymbolsData(0xfad1, 'casino_sharp');
  static const casino = _MaterialSymbolsData(0xfad2, 'casino');
  static const cast_connected_filled_outlined =
      _MaterialSymbolsData(0xfad3, 'cast_connected_filled_outlined');
  static const cast_connected_filled_sharp =
      _MaterialSymbolsData(0xfad4, 'cast_connected_filled_sharp');
  static const cast_connected_filled =
      _MaterialSymbolsData(0xfad5, 'cast_connected_filled');
  static const cast_connected_outlined =
      _MaterialSymbolsData(0xfad6, 'cast_connected_outlined');
  static const cast_connected_sharp =
      _MaterialSymbolsData(0xfad7, 'cast_connected_sharp');
  static const cast_connected = _MaterialSymbolsData(0xfad8, 'cast_connected');
  static const cast_filled_outlined =
      _MaterialSymbolsData(0xfad9, 'cast_filled_outlined');
  static const cast_filled_sharp =
      _MaterialSymbolsData(0xfada, 'cast_filled_sharp');
  static const cast_filled = _MaterialSymbolsData(0xfadb, 'cast_filled');
  static const cast_for_education_filled_outlined =
      _MaterialSymbolsData(0xfadc, 'cast_for_education_filled_outlined');
  static const cast_for_education_filled_sharp =
      _MaterialSymbolsData(0xfadd, 'cast_for_education_filled_sharp');
  static const cast_for_education_filled =
      _MaterialSymbolsData(0xfade, 'cast_for_education_filled');
  static const cast_for_education_outlined =
      _MaterialSymbolsData(0xfadf, 'cast_for_education_outlined');
  static const cast_for_education_sharp =
      _MaterialSymbolsData(0xfae0, 'cast_for_education_sharp');
  static const cast_for_education =
      _MaterialSymbolsData(0xfae1, 'cast_for_education');
  static const cast_outlined = _MaterialSymbolsData(0xfae2, 'cast_outlined');
  static const cast_sharp = _MaterialSymbolsData(0xfae3, 'cast_sharp');
  static const cast = _MaterialSymbolsData(0xfae4, 'cast');
  static const castle_filled_outlined =
      _MaterialSymbolsData(0xfae5, 'castle_filled_outlined');
  static const castle_filled_sharp =
      _MaterialSymbolsData(0xfae6, 'castle_filled_sharp');
  static const castle_filled = _MaterialSymbolsData(0xfae7, 'castle_filled');
  static const castle_outlined =
      _MaterialSymbolsData(0xfae8, 'castle_outlined');
  static const castle_sharp = _MaterialSymbolsData(0xfae9, 'castle_sharp');
  static const castle = _MaterialSymbolsData(0xfaea, 'castle');
  static const category_filled_outlined =
      _MaterialSymbolsData(0xfaeb, 'category_filled_outlined');
  static const category_filled_sharp =
      _MaterialSymbolsData(0xfaec, 'category_filled_sharp');
  static const category_filled =
      _MaterialSymbolsData(0xfaed, 'category_filled');
  static const category_outlined =
      _MaterialSymbolsData(0xfaee, 'category_outlined');
  static const category_sharp = _MaterialSymbolsData(0xfaef, 'category_sharp');
  static const category = _MaterialSymbolsData(0xfaf0, 'category');
  static const celebration_filled_outlined =
      _MaterialSymbolsData(0xfaf1, 'celebration_filled_outlined');
  static const celebration_filled_sharp =
      _MaterialSymbolsData(0xfaf2, 'celebration_filled_sharp');
  static const celebration_filled =
      _MaterialSymbolsData(0xfaf3, 'celebration_filled');
  static const celebration_outlined =
      _MaterialSymbolsData(0xfaf4, 'celebration_outlined');
  static const celebration_sharp =
      _MaterialSymbolsData(0xfaf5, 'celebration_sharp');
  static const celebration = _MaterialSymbolsData(0xfaf6, 'celebration');
  static const cell_merge_filled_outlined =
      _MaterialSymbolsData(0xfaf7, 'cell_merge_filled_outlined');
  static const cell_merge_filled_sharp =
      _MaterialSymbolsData(0xfaf8, 'cell_merge_filled_sharp');
  static const cell_merge_filled =
      _MaterialSymbolsData(0xfaf9, 'cell_merge_filled');
  static const cell_merge_outlined =
      _MaterialSymbolsData(0xfafa, 'cell_merge_outlined');
  static const cell_merge_sharp =
      _MaterialSymbolsData(0xfafb, 'cell_merge_sharp');
  static const cell_merge = _MaterialSymbolsData(0xfafc, 'cell_merge');
  static const cell_tower_filled_outlined =
      _MaterialSymbolsData(0xfafd, 'cell_tower_filled_outlined');
  static const cell_tower_filled_sharp =
      _MaterialSymbolsData(0xfafe, 'cell_tower_filled_sharp');
  static const cell_tower_filled =
      _MaterialSymbolsData(0xfaff, 'cell_tower_filled');
  static const cell_tower_outlined =
      _MaterialSymbolsData(0xfb00, 'cell_tower_outlined');
  static const cell_tower_sharp =
      _MaterialSymbolsData(0xfb01, 'cell_tower_sharp');
  static const cell_tower = _MaterialSymbolsData(0xfb02, 'cell_tower');
  static const cell_wifi_filled_outlined =
      _MaterialSymbolsData(0xfb03, 'cell_wifi_filled_outlined');
  static const cell_wifi_filled_sharp =
      _MaterialSymbolsData(0xfb04, 'cell_wifi_filled_sharp');
  static const cell_wifi_filled =
      _MaterialSymbolsData(0xfb05, 'cell_wifi_filled');
  static const cell_wifi_outlined =
      _MaterialSymbolsData(0xfb06, 'cell_wifi_outlined');
  static const cell_wifi_sharp =
      _MaterialSymbolsData(0xfb07, 'cell_wifi_sharp');
  static const cell_wifi = _MaterialSymbolsData(0xfb08, 'cell_wifi');
  static const center_focus_strong_filled_outlined =
      _MaterialSymbolsData(0xfb09, 'center_focus_strong_filled_outlined');
  static const center_focus_strong_filled_sharp =
      _MaterialSymbolsData(0xfb0a, 'center_focus_strong_filled_sharp');
  static const center_focus_strong_filled =
      _MaterialSymbolsData(0xfb0b, 'center_focus_strong_filled');
  static const center_focus_strong_outlined =
      _MaterialSymbolsData(0xfb0c, 'center_focus_strong_outlined');
  static const center_focus_strong_sharp =
      _MaterialSymbolsData(0xfb0d, 'center_focus_strong_sharp');
  static const center_focus_strong =
      _MaterialSymbolsData(0xfb0e, 'center_focus_strong');
  static const center_focus_weak_filled_outlined =
      _MaterialSymbolsData(0xfb0f, 'center_focus_weak_filled_outlined');
  static const center_focus_weak_filled_sharp =
      _MaterialSymbolsData(0xfb10, 'center_focus_weak_filled_sharp');
  static const center_focus_weak_filled =
      _MaterialSymbolsData(0xfb11, 'center_focus_weak_filled');
  static const center_focus_weak_outlined =
      _MaterialSymbolsData(0xfb12, 'center_focus_weak_outlined');
  static const center_focus_weak_sharp =
      _MaterialSymbolsData(0xfb13, 'center_focus_weak_sharp');
  static const center_focus_weak =
      _MaterialSymbolsData(0xfb14, 'center_focus_weak');
  static const chair_alt_filled_outlined =
      _MaterialSymbolsData(0xfb15, 'chair_alt_filled_outlined');
  static const chair_alt_filled_sharp =
      _MaterialSymbolsData(0xfb16, 'chair_alt_filled_sharp');
  static const chair_alt_filled =
      _MaterialSymbolsData(0xfb17, 'chair_alt_filled');
  static const chair_alt_outlined =
      _MaterialSymbolsData(0xfb18, 'chair_alt_outlined');
  static const chair_alt_sharp =
      _MaterialSymbolsData(0xfb19, 'chair_alt_sharp');
  static const chair_alt = _MaterialSymbolsData(0xfb1a, 'chair_alt');
  static const chair_filled_outlined =
      _MaterialSymbolsData(0xfb1b, 'chair_filled_outlined');
  static const chair_filled_sharp =
      _MaterialSymbolsData(0xfb1c, 'chair_filled_sharp');
  static const chair_filled = _MaterialSymbolsData(0xfb1d, 'chair_filled');
  static const chair_outlined = _MaterialSymbolsData(0xfb1e, 'chair_outlined');
  static const chair_sharp = _MaterialSymbolsData(0xfb1f, 'chair_sharp');
  static const chair = _MaterialSymbolsData(0xfb20, 'chair');
  static const chalet_filled_outlined =
      _MaterialSymbolsData(0xfb21, 'chalet_filled_outlined');
  static const chalet_filled_sharp =
      _MaterialSymbolsData(0xfb22, 'chalet_filled_sharp');
  static const chalet_filled = _MaterialSymbolsData(0xfb23, 'chalet_filled');
  static const chalet_outlined =
      _MaterialSymbolsData(0xfb24, 'chalet_outlined');
  static const chalet_sharp = _MaterialSymbolsData(0xfb25, 'chalet_sharp');
  static const chalet = _MaterialSymbolsData(0xfb26, 'chalet');
  static const change_circle_filled_outlined =
      _MaterialSymbolsData(0xfb27, 'change_circle_filled_outlined');
  static const change_circle_filled_sharp =
      _MaterialSymbolsData(0xfb28, 'change_circle_filled_sharp');
  static const change_circle_filled =
      _MaterialSymbolsData(0xfb29, 'change_circle_filled');
  static const change_circle_outlined =
      _MaterialSymbolsData(0xfb2a, 'change_circle_outlined');
  static const change_circle_sharp =
      _MaterialSymbolsData(0xfb2b, 'change_circle_sharp');
  static const change_circle = _MaterialSymbolsData(0xfb2c, 'change_circle');
  static const change_history_filled_outlined =
      _MaterialSymbolsData(0xfb2d, 'change_history_filled_outlined');
  static const change_history_filled_sharp =
      _MaterialSymbolsData(0xfb2e, 'change_history_filled_sharp');
  static const change_history_filled =
      _MaterialSymbolsData(0xfb2f, 'change_history_filled');
  static const change_history_outlined =
      _MaterialSymbolsData(0xfb30, 'change_history_outlined');
  static const change_history_sharp =
      _MaterialSymbolsData(0xfb31, 'change_history_sharp');
  static const change_history = _MaterialSymbolsData(0xfb32, 'change_history');
  static const charger_filled_outlined =
      _MaterialSymbolsData(0xfb33, 'charger_filled_outlined');
  static const charger_filled_sharp =
      _MaterialSymbolsData(0xfb34, 'charger_filled_sharp');
  static const charger_filled = _MaterialSymbolsData(0xfb35, 'charger_filled');
  static const charger_outlined =
      _MaterialSymbolsData(0xfb36, 'charger_outlined');
  static const charger_sharp = _MaterialSymbolsData(0xfb37, 'charger_sharp');
  static const charger = _MaterialSymbolsData(0xfb38, 'charger');
  static const charging_station_filled_outlined =
      _MaterialSymbolsData(0xfb39, 'charging_station_filled_outlined');
  static const charging_station_filled_sharp =
      _MaterialSymbolsData(0xfb3a, 'charging_station_filled_sharp');
  static const charging_station_filled =
      _MaterialSymbolsData(0xfb3b, 'charging_station_filled');
  static const charging_station_outlined =
      _MaterialSymbolsData(0xfb3c, 'charging_station_outlined');
  static const charging_station_sharp =
      _MaterialSymbolsData(0xfb3d, 'charging_station_sharp');
  static const charging_station =
      _MaterialSymbolsData(0xfb3e, 'charging_station');
  static const chart_data_filled_outlined =
      _MaterialSymbolsData(0xfb3f, 'chart_data_filled_outlined');
  static const chart_data_filled_sharp =
      _MaterialSymbolsData(0xfb40, 'chart_data_filled_sharp');
  static const chart_data_filled =
      _MaterialSymbolsData(0xfb41, 'chart_data_filled');
  static const chart_data_outlined =
      _MaterialSymbolsData(0xfb42, 'chart_data_outlined');
  static const chart_data_sharp =
      _MaterialSymbolsData(0xfb43, 'chart_data_sharp');
  static const chart_data = _MaterialSymbolsData(0xfb44, 'chart_data');
  static const chat_add_on_filled_outlined =
      _MaterialSymbolsData(0xfb45, 'chat_add_on_filled_outlined');
  static const chat_add_on_filled_sharp =
      _MaterialSymbolsData(0xfb46, 'chat_add_on_filled_sharp');
  static const chat_add_on_filled =
      _MaterialSymbolsData(0xfb47, 'chat_add_on_filled');
  static const chat_add_on_outlined =
      _MaterialSymbolsData(0xfb48, 'chat_add_on_outlined');
  static const chat_add_on_sharp =
      _MaterialSymbolsData(0xfb49, 'chat_add_on_sharp');
  static const chat_add_on = _MaterialSymbolsData(0xfb4a, 'chat_add_on');
  static const chat_apps_script_filled_outlined =
      _MaterialSymbolsData(0xfb4b, 'chat_apps_script_filled_outlined');
  static const chat_apps_script_filled_sharp =
      _MaterialSymbolsData(0xfb4c, 'chat_apps_script_filled_sharp');
  static const chat_apps_script_filled =
      _MaterialSymbolsData(0xfb4d, 'chat_apps_script_filled');
  static const chat_apps_script_outlined =
      _MaterialSymbolsData(0xfb4e, 'chat_apps_script_outlined');
  static const chat_apps_script_sharp =
      _MaterialSymbolsData(0xfb4f, 'chat_apps_script_sharp');
  static const chat_apps_script =
      _MaterialSymbolsData(0xfb50, 'chat_apps_script');
  static const chat_bubble_filled_outlined =
      _MaterialSymbolsData(0xfb51, 'chat_bubble_filled_outlined');
  static const chat_bubble_filled_sharp =
      _MaterialSymbolsData(0xfb52, 'chat_bubble_filled_sharp');
  static const chat_bubble_filled =
      _MaterialSymbolsData(0xfb53, 'chat_bubble_filled');
  static const chat_bubble_outlined =
      _MaterialSymbolsData(0xfb54, 'chat_bubble_outlined');
  static const chat_bubble_sharp =
      _MaterialSymbolsData(0xfb55, 'chat_bubble_sharp');
  static const chat_bubble = _MaterialSymbolsData(0xfb56, 'chat_bubble');
  static const chat_filled_outlined =
      _MaterialSymbolsData(0xfb57, 'chat_filled_outlined');
  static const chat_filled_sharp =
      _MaterialSymbolsData(0xfb58, 'chat_filled_sharp');
  static const chat_filled = _MaterialSymbolsData(0xfb59, 'chat_filled');
  static const chat_outlined = _MaterialSymbolsData(0xfb5a, 'chat_outlined');
  static const chat_sharp = _MaterialSymbolsData(0xfb5b, 'chat_sharp');
  static const chat = _MaterialSymbolsData(0xfb5c, 'chat');
  static const check_box_filled_outlined =
      _MaterialSymbolsData(0xfb5d, 'check_box_filled_outlined');
  static const check_box_filled_sharp =
      _MaterialSymbolsData(0xfb5e, 'check_box_filled_sharp');
  static const check_box_filled =
      _MaterialSymbolsData(0xfb5f, 'check_box_filled');
  static const check_box_outline_blank_filled_outlined =
      _MaterialSymbolsData(0xfb60, 'check_box_outline_blank_filled_outlined');
  static const check_box_outline_blank_filled_sharp =
      _MaterialSymbolsData(0xfb61, 'check_box_outline_blank_filled_sharp');
  static const check_box_outline_blank_filled =
      _MaterialSymbolsData(0xfb62, 'check_box_outline_blank_filled');
  static const check_box_outline_blank_outlined =
      _MaterialSymbolsData(0xfb63, 'check_box_outline_blank_outlined');
  static const check_box_outline_blank_sharp =
      _MaterialSymbolsData(0xfb64, 'check_box_outline_blank_sharp');
  static const check_box_outline_blank =
      _MaterialSymbolsData(0xfb65, 'check_box_outline_blank');
  static const check_box_outlined =
      _MaterialSymbolsData(0xfb66, 'check_box_outlined');
  static const check_box_sharp =
      _MaterialSymbolsData(0xfb67, 'check_box_sharp');
  static const check_box = _MaterialSymbolsData(0xfb68, 'check_box');
  static const check_circle_filled_outlined =
      _MaterialSymbolsData(0xfb69, 'check_circle_filled_outlined');
  static const check_circle_filled_sharp =
      _MaterialSymbolsData(0xfb6a, 'check_circle_filled_sharp');
  static const check_circle_filled =
      _MaterialSymbolsData(0xfb6b, 'check_circle_filled');
  static const check_circle_outlined =
      _MaterialSymbolsData(0xfb6c, 'check_circle_outlined');
  static const check_circle_sharp =
      _MaterialSymbolsData(0xfb6d, 'check_circle_sharp');
  static const check_circle = _MaterialSymbolsData(0xfb6e, 'check_circle');
  static const check_filled_outlined =
      _MaterialSymbolsData(0xfb6f, 'check_filled_outlined');
  static const check_filled_sharp =
      _MaterialSymbolsData(0xfb70, 'check_filled_sharp');
  static const check_filled = _MaterialSymbolsData(0xfb71, 'check_filled');
  static const check_indeterminate_small_filled_outlined =
      _MaterialSymbolsData(0xfb72, 'check_indeterminate_small_filled_outlined');
  static const check_indeterminate_small_filled_sharp =
      _MaterialSymbolsData(0xfb73, 'check_indeterminate_small_filled_sharp');
  static const check_indeterminate_small_filled =
      _MaterialSymbolsData(0xfb74, 'check_indeterminate_small_filled');
  static const check_indeterminate_small_outlined =
      _MaterialSymbolsData(0xfb75, 'check_indeterminate_small_outlined');
  static const check_indeterminate_small_sharp =
      _MaterialSymbolsData(0xfb76, 'check_indeterminate_small_sharp');
  static const check_indeterminate_small =
      _MaterialSymbolsData(0xfb77, 'check_indeterminate_small');
  static const check_outlined = _MaterialSymbolsData(0xfb78, 'check_outlined');
  static const check_sharp = _MaterialSymbolsData(0xfb79, 'check_sharp');
  static const check_small_filled_outlined =
      _MaterialSymbolsData(0xfb7a, 'check_small_filled_outlined');
  static const check_small_filled_sharp =
      _MaterialSymbolsData(0xfb7b, 'check_small_filled_sharp');
  static const check_small_filled =
      _MaterialSymbolsData(0xfb7c, 'check_small_filled');
  static const check_small_outlined =
      _MaterialSymbolsData(0xfb7d, 'check_small_outlined');
  static const check_small_sharp =
      _MaterialSymbolsData(0xfb7e, 'check_small_sharp');
  static const check_small = _MaterialSymbolsData(0xfb7f, 'check_small');
  static const check = _MaterialSymbolsData(0xfb80, 'check');
  static const checklist_filled_outlined =
      _MaterialSymbolsData(0xfb81, 'checklist_filled_outlined');
  static const checklist_filled_sharp =
      _MaterialSymbolsData(0xfb82, 'checklist_filled_sharp');
  static const checklist_filled =
      _MaterialSymbolsData(0xfb83, 'checklist_filled');
  static const checklist_outlined =
      _MaterialSymbolsData(0xfb84, 'checklist_outlined');
  static const checklist_rtl_filled_outlined =
      _MaterialSymbolsData(0xfb85, 'checklist_rtl_filled_outlined');
  static const checklist_rtl_filled_sharp =
      _MaterialSymbolsData(0xfb86, 'checklist_rtl_filled_sharp');
  static const checklist_rtl_filled =
      _MaterialSymbolsData(0xfb87, 'checklist_rtl_filled');
  static const checklist_rtl_outlined =
      _MaterialSymbolsData(0xfb88, 'checklist_rtl_outlined');
  static const checklist_rtl_sharp =
      _MaterialSymbolsData(0xfb89, 'checklist_rtl_sharp');
  static const checklist_rtl = _MaterialSymbolsData(0xfb8a, 'checklist_rtl');
  static const checklist_sharp =
      _MaterialSymbolsData(0xfb8b, 'checklist_sharp');
  static const checklist = _MaterialSymbolsData(0xfb8c, 'checklist');
  static const checkroom_filled_outlined =
      _MaterialSymbolsData(0xfb8d, 'checkroom_filled_outlined');
  static const checkroom_filled_sharp =
      _MaterialSymbolsData(0xfb8e, 'checkroom_filled_sharp');
  static const checkroom_filled =
      _MaterialSymbolsData(0xfb8f, 'checkroom_filled');
  static const checkroom_outlined =
      _MaterialSymbolsData(0xfb90, 'checkroom_outlined');
  static const checkroom_sharp =
      _MaterialSymbolsData(0xfb91, 'checkroom_sharp');
  static const checkroom = _MaterialSymbolsData(0xfb92, 'checkroom');
  static const chevron_left_filled_outlined =
      _MaterialSymbolsData(0xfb93, 'chevron_left_filled_outlined');
  static const chevron_left_filled_sharp =
      _MaterialSymbolsData(0xfb94, 'chevron_left_filled_sharp');
  static const chevron_left_filled =
      _MaterialSymbolsData(0xfb95, 'chevron_left_filled');
  static const chevron_left_outlined =
      _MaterialSymbolsData(0xfb96, 'chevron_left_outlined');
  static const chevron_left_sharp =
      _MaterialSymbolsData(0xfb97, 'chevron_left_sharp');
  static const chevron_left = _MaterialSymbolsData(0xfb98, 'chevron_left');
  static const chevron_right_filled_outlined =
      _MaterialSymbolsData(0xfb99, 'chevron_right_filled_outlined');
  static const chevron_right_filled_sharp =
      _MaterialSymbolsData(0xfb9a, 'chevron_right_filled_sharp');
  static const chevron_right_filled =
      _MaterialSymbolsData(0xfb9b, 'chevron_right_filled');
  static const chevron_right_outlined =
      _MaterialSymbolsData(0xfb9c, 'chevron_right_outlined');
  static const chevron_right_sharp =
      _MaterialSymbolsData(0xfb9d, 'chevron_right_sharp');
  static const chevron_right = _MaterialSymbolsData(0xfb9e, 'chevron_right');
  static const child_care_filled_outlined =
      _MaterialSymbolsData(0xfb9f, 'child_care_filled_outlined');
  static const child_care_filled_sharp =
      _MaterialSymbolsData(0xfba0, 'child_care_filled_sharp');
  static const child_care_filled =
      _MaterialSymbolsData(0xfba1, 'child_care_filled');
  static const child_care_outlined =
      _MaterialSymbolsData(0xfba2, 'child_care_outlined');
  static const child_care_sharp =
      _MaterialSymbolsData(0xfba3, 'child_care_sharp');
  static const child_care = _MaterialSymbolsData(0xfba4, 'child_care');
  static const child_friendly_filled_outlined =
      _MaterialSymbolsData(0xfba5, 'child_friendly_filled_outlined');
  static const child_friendly_filled_sharp =
      _MaterialSymbolsData(0xfba6, 'child_friendly_filled_sharp');
  static const child_friendly_filled =
      _MaterialSymbolsData(0xfba7, 'child_friendly_filled');
  static const child_friendly_outlined =
      _MaterialSymbolsData(0xfba8, 'child_friendly_outlined');
  static const child_friendly_sharp =
      _MaterialSymbolsData(0xfba9, 'child_friendly_sharp');
  static const child_friendly = _MaterialSymbolsData(0xfbaa, 'child_friendly');
  static const chip_extraction_filled_outlined =
      _MaterialSymbolsData(0xfbab, 'chip_extraction_filled_outlined');
  static const chip_extraction_filled_sharp =
      _MaterialSymbolsData(0xfbac, 'chip_extraction_filled_sharp');
  static const chip_extraction_filled =
      _MaterialSymbolsData(0xfbad, 'chip_extraction_filled');
  static const chip_extraction_outlined =
      _MaterialSymbolsData(0xfbae, 'chip_extraction_outlined');
  static const chip_extraction_sharp =
      _MaterialSymbolsData(0xfbaf, 'chip_extraction_sharp');
  static const chip_extraction =
      _MaterialSymbolsData(0xfbb0, 'chip_extraction');
  static const chrome_reader_mode_filled_outlined =
      _MaterialSymbolsData(0xfbb1, 'chrome_reader_mode_filled_outlined');
  static const chrome_reader_mode_filled_sharp =
      _MaterialSymbolsData(0xfbb2, 'chrome_reader_mode_filled_sharp');
  static const chrome_reader_mode_filled =
      _MaterialSymbolsData(0xfbb3, 'chrome_reader_mode_filled');
  static const chrome_reader_mode_outlined =
      _MaterialSymbolsData(0xfbb4, 'chrome_reader_mode_outlined');
  static const chrome_reader_mode_sharp =
      _MaterialSymbolsData(0xfbb5, 'chrome_reader_mode_sharp');
  static const chrome_reader_mode =
      _MaterialSymbolsData(0xfbb6, 'chrome_reader_mode');
  static const chromecast_2_filled_outlined =
      _MaterialSymbolsData(0xfbb7, 'chromecast_2_filled_outlined');
  static const chromecast_2_filled_sharp =
      _MaterialSymbolsData(0xfbb8, 'chromecast_2_filled_sharp');
  static const chromecast_2_filled =
      _MaterialSymbolsData(0xfbb9, 'chromecast_2_filled');
  static const chromecast_2_outlined =
      _MaterialSymbolsData(0xfbba, 'chromecast_2_outlined');
  static const chromecast_2_sharp =
      _MaterialSymbolsData(0xfbbb, 'chromecast_2_sharp');
  static const chromecast_2 = _MaterialSymbolsData(0xfbbc, 'chromecast_2');
  static const chromecast_device_filled_outlined =
      _MaterialSymbolsData(0xfbbd, 'chromecast_device_filled_outlined');
  static const chromecast_device_filled_sharp =
      _MaterialSymbolsData(0xfbbe, 'chromecast_device_filled_sharp');
  static const chromecast_device_filled =
      _MaterialSymbolsData(0xfbbf, 'chromecast_device_filled');
  static const chromecast_device_outlined =
      _MaterialSymbolsData(0xfbc0, 'chromecast_device_outlined');
  static const chromecast_device_sharp =
      _MaterialSymbolsData(0xfbc1, 'chromecast_device_sharp');
  static const chromecast_device =
      _MaterialSymbolsData(0xfbc2, 'chromecast_device');
  static const church_filled_outlined =
      _MaterialSymbolsData(0xfbc3, 'church_filled_outlined');
  static const church_filled_sharp =
      _MaterialSymbolsData(0xfbc4, 'church_filled_sharp');
  static const church_filled = _MaterialSymbolsData(0xfbc5, 'church_filled');
  static const church_outlined =
      _MaterialSymbolsData(0xfbc6, 'church_outlined');
  static const church_sharp = _MaterialSymbolsData(0xfbc7, 'church_sharp');
  static const church = _MaterialSymbolsData(0xfbc8, 'church');
  static const cinematic_blur_filled_outlined =
      _MaterialSymbolsData(0xfbc9, 'cinematic_blur_filled_outlined');
  static const cinematic_blur_filled_sharp =
      _MaterialSymbolsData(0xfbca, 'cinematic_blur_filled_sharp');
  static const cinematic_blur_filled =
      _MaterialSymbolsData(0xfbcb, 'cinematic_blur_filled');
  static const cinematic_blur_outlined =
      _MaterialSymbolsData(0xfbcc, 'cinematic_blur_outlined');
  static const cinematic_blur_sharp =
      _MaterialSymbolsData(0xfbcd, 'cinematic_blur_sharp');
  static const cinematic_blur = _MaterialSymbolsData(0xfbce, 'cinematic_blur');
  static const circle_filled_outlined =
      _MaterialSymbolsData(0xfbcf, 'circle_filled_outlined');
  static const circle_filled_sharp =
      _MaterialSymbolsData(0xfbd0, 'circle_filled_sharp');
  static const circle_filled = _MaterialSymbolsData(0xfbd1, 'circle_filled');
  static const circle_notifications_filled_outlined =
      _MaterialSymbolsData(0xfbd2, 'circle_notifications_filled_outlined');
  static const circle_notifications_filled_sharp =
      _MaterialSymbolsData(0xfbd3, 'circle_notifications_filled_sharp');
  static const circle_notifications_filled =
      _MaterialSymbolsData(0xfbd4, 'circle_notifications_filled');
  static const circle_notifications_outlined =
      _MaterialSymbolsData(0xfbd5, 'circle_notifications_outlined');
  static const circle_notifications_sharp =
      _MaterialSymbolsData(0xfbd6, 'circle_notifications_sharp');
  static const circle_notifications =
      _MaterialSymbolsData(0xfbd7, 'circle_notifications');
  static const circle_outlined =
      _MaterialSymbolsData(0xfbd8, 'circle_outlined');
  static const circle_sharp = _MaterialSymbolsData(0xfbd9, 'circle_sharp');
  static const circle = _MaterialSymbolsData(0xfbda, 'circle');
  static const clarify_filled_outlined =
      _MaterialSymbolsData(0xfbdb, 'clarify_filled_outlined');
  static const clarify_filled_sharp =
      _MaterialSymbolsData(0xfbdc, 'clarify_filled_sharp');
  static const clarify_filled = _MaterialSymbolsData(0xfbdd, 'clarify_filled');
  static const clarify_outlined =
      _MaterialSymbolsData(0xfbde, 'clarify_outlined');
  static const clarify_sharp = _MaterialSymbolsData(0xfbdf, 'clarify_sharp');
  static const clarify = _MaterialSymbolsData(0xfbe0, 'clarify');
  static const clean_hands_filled_outlined =
      _MaterialSymbolsData(0xfbe1, 'clean_hands_filled_outlined');
  static const clean_hands_filled_sharp =
      _MaterialSymbolsData(0xfbe2, 'clean_hands_filled_sharp');
  static const clean_hands_filled =
      _MaterialSymbolsData(0xfbe3, 'clean_hands_filled');
  static const clean_hands_outlined =
      _MaterialSymbolsData(0xfbe4, 'clean_hands_outlined');
  static const clean_hands_sharp =
      _MaterialSymbolsData(0xfbe5, 'clean_hands_sharp');
  static const clean_hands = _MaterialSymbolsData(0xfbe6, 'clean_hands');
  static const cleaning_bucket_filled_outlined =
      _MaterialSymbolsData(0xfbe7, 'cleaning_bucket_filled_outlined');
  static const cleaning_bucket_filled_sharp =
      _MaterialSymbolsData(0xfbe8, 'cleaning_bucket_filled_sharp');
  static const cleaning_bucket_filled =
      _MaterialSymbolsData(0xfbe9, 'cleaning_bucket_filled');
  static const cleaning_bucket_outlined =
      _MaterialSymbolsData(0xfbea, 'cleaning_bucket_outlined');
  static const cleaning_bucket_sharp =
      _MaterialSymbolsData(0xfbeb, 'cleaning_bucket_sharp');
  static const cleaning_bucket =
      _MaterialSymbolsData(0xfbec, 'cleaning_bucket');
  static const cleaning_services_filled_outlined =
      _MaterialSymbolsData(0xfbed, 'cleaning_services_filled_outlined');
  static const cleaning_services_filled_sharp =
      _MaterialSymbolsData(0xfbee, 'cleaning_services_filled_sharp');
  static const cleaning_services_filled =
      _MaterialSymbolsData(0xfbef, 'cleaning_services_filled');
  static const cleaning_services_outlined =
      _MaterialSymbolsData(0xfbf0, 'cleaning_services_outlined');
  static const cleaning_services_sharp =
      _MaterialSymbolsData(0xfbf1, 'cleaning_services_sharp');
  static const cleaning_services =
      _MaterialSymbolsData(0xfbf2, 'cleaning_services');
  static const clear_all_filled_outlined =
      _MaterialSymbolsData(0xfbf3, 'clear_all_filled_outlined');
  static const clear_all_filled_sharp =
      _MaterialSymbolsData(0xfbf4, 'clear_all_filled_sharp');
  static const clear_all_filled =
      _MaterialSymbolsData(0xfbf5, 'clear_all_filled');
  static const clear_all_outlined =
      _MaterialSymbolsData(0xfbf6, 'clear_all_outlined');
  static const clear_all_sharp =
      _MaterialSymbolsData(0xfbf7, 'clear_all_sharp');
  static const clear_all = _MaterialSymbolsData(0xfbf8, 'clear_all');
  static const clear_day_filled_outlined =
      _MaterialSymbolsData(0xfbf9, 'clear_day_filled_outlined');
  static const clear_day_filled_sharp =
      _MaterialSymbolsData(0xfbfa, 'clear_day_filled_sharp');
  static const clear_day_filled =
      _MaterialSymbolsData(0xfbfb, 'clear_day_filled');
  static const clear_day_outlined =
      _MaterialSymbolsData(0xfbfc, 'clear_day_outlined');
  static const clear_day_sharp =
      _MaterialSymbolsData(0xfbfd, 'clear_day_sharp');
  static const clear_day = _MaterialSymbolsData(0xfbfe, 'clear_day');
  static const clear_night_filled_outlined =
      _MaterialSymbolsData(0xfbff, 'clear_night_filled_outlined');
  static const clear_night_filled_sharp =
      _MaterialSymbolsData(0xfc00, 'clear_night_filled_sharp');
  static const clear_night_filled =
      _MaterialSymbolsData(0xfc01, 'clear_night_filled');
  static const clear_night_outlined =
      _MaterialSymbolsData(0xfc02, 'clear_night_outlined');
  static const clear_night_sharp =
      _MaterialSymbolsData(0xfc03, 'clear_night_sharp');
  static const clear_night = _MaterialSymbolsData(0xfc04, 'clear_night');
  static const climate_mini_split_filled_outlined =
      _MaterialSymbolsData(0xfc05, 'climate_mini_split_filled_outlined');
  static const climate_mini_split_filled_sharp =
      _MaterialSymbolsData(0xfc06, 'climate_mini_split_filled_sharp');
  static const climate_mini_split_filled =
      _MaterialSymbolsData(0xfc07, 'climate_mini_split_filled');
  static const climate_mini_split_outlined =
      _MaterialSymbolsData(0xfc08, 'climate_mini_split_outlined');
  static const climate_mini_split_sharp =
      _MaterialSymbolsData(0xfc09, 'climate_mini_split_sharp');
  static const climate_mini_split =
      _MaterialSymbolsData(0xfc0a, 'climate_mini_split');
  static const clinical_notes_filled_outlined =
      _MaterialSymbolsData(0xfc0b, 'clinical_notes_filled_outlined');
  static const clinical_notes_filled_sharp =
      _MaterialSymbolsData(0xfc0c, 'clinical_notes_filled_sharp');
  static const clinical_notes_filled =
      _MaterialSymbolsData(0xfc0d, 'clinical_notes_filled');
  static const clinical_notes_outlined =
      _MaterialSymbolsData(0xfc0e, 'clinical_notes_outlined');
  static const clinical_notes_sharp =
      _MaterialSymbolsData(0xfc0f, 'clinical_notes_sharp');
  static const clinical_notes = _MaterialSymbolsData(0xfc10, 'clinical_notes');
  static const close_filled_outlined =
      _MaterialSymbolsData(0xfc11, 'close_filled_outlined');
  static const close_filled_sharp =
      _MaterialSymbolsData(0xfc12, 'close_filled_sharp');
  static const close_filled = _MaterialSymbolsData(0xfc13, 'close_filled');
  static const close_fullscreen_filled_outlined =
      _MaterialSymbolsData(0xfc14, 'close_fullscreen_filled_outlined');
  static const close_fullscreen_filled_sharp =
      _MaterialSymbolsData(0xfc15, 'close_fullscreen_filled_sharp');
  static const close_fullscreen_filled =
      _MaterialSymbolsData(0xfc16, 'close_fullscreen_filled');
  static const close_fullscreen_outlined =
      _MaterialSymbolsData(0xfc17, 'close_fullscreen_outlined');
  static const close_fullscreen_sharp =
      _MaterialSymbolsData(0xfc18, 'close_fullscreen_sharp');
  static const close_fullscreen =
      _MaterialSymbolsData(0xfc19, 'close_fullscreen');
  static const close_outlined = _MaterialSymbolsData(0xfc1a, 'close_outlined');
  static const close_sharp = _MaterialSymbolsData(0xfc1b, 'close_sharp');
  static const close = _MaterialSymbolsData(0xfc1c, 'close');
  static const closed_caption_disabled_filled_outlined =
      _MaterialSymbolsData(0xfc1d, 'closed_caption_disabled_filled_outlined');
  static const closed_caption_disabled_filled_sharp =
      _MaterialSymbolsData(0xfc1e, 'closed_caption_disabled_filled_sharp');
  static const closed_caption_disabled_filled =
      _MaterialSymbolsData(0xfc1f, 'closed_caption_disabled_filled');
  static const closed_caption_disabled_outlined =
      _MaterialSymbolsData(0xfc20, 'closed_caption_disabled_outlined');
  static const closed_caption_disabled_sharp =
      _MaterialSymbolsData(0xfc21, 'closed_caption_disabled_sharp');
  static const closed_caption_disabled =
      _MaterialSymbolsData(0xfc22, 'closed_caption_disabled');
  static const closed_caption_filled_outlined =
      _MaterialSymbolsData(0xfc23, 'closed_caption_filled_outlined');
  static const closed_caption_filled_sharp =
      _MaterialSymbolsData(0xfc24, 'closed_caption_filled_sharp');
  static const closed_caption_filled =
      _MaterialSymbolsData(0xfc25, 'closed_caption_filled');
  static const closed_caption_outlined =
      _MaterialSymbolsData(0xfc26, 'closed_caption_outlined');
  static const closed_caption_sharp =
      _MaterialSymbolsData(0xfc27, 'closed_caption_sharp');
  static const closed_caption = _MaterialSymbolsData(0xfc28, 'closed_caption');
  static const cloud_circle_filled_outlined =
      _MaterialSymbolsData(0xfc29, 'cloud_circle_filled_outlined');
  static const cloud_circle_filled_sharp =
      _MaterialSymbolsData(0xfc2a, 'cloud_circle_filled_sharp');
  static const cloud_circle_filled =
      _MaterialSymbolsData(0xfc2b, 'cloud_circle_filled');
  static const cloud_circle_outlined =
      _MaterialSymbolsData(0xfc2c, 'cloud_circle_outlined');
  static const cloud_circle_sharp =
      _MaterialSymbolsData(0xfc2d, 'cloud_circle_sharp');
  static const cloud_circle = _MaterialSymbolsData(0xfc2e, 'cloud_circle');
  static const cloud_done_filled_outlined =
      _MaterialSymbolsData(0xfc2f, 'cloud_done_filled_outlined');
  static const cloud_done_filled_sharp =
      _MaterialSymbolsData(0xfc30, 'cloud_done_filled_sharp');
  static const cloud_done_filled =
      _MaterialSymbolsData(0xfc31, 'cloud_done_filled');
  static const cloud_done_outlined =
      _MaterialSymbolsData(0xfc32, 'cloud_done_outlined');
  static const cloud_done_sharp =
      _MaterialSymbolsData(0xfc33, 'cloud_done_sharp');
  static const cloud_done = _MaterialSymbolsData(0xfc34, 'cloud_done');
  static const cloud_download_filled_outlined =
      _MaterialSymbolsData(0xfc35, 'cloud_download_filled_outlined');
  static const cloud_download_filled_sharp =
      _MaterialSymbolsData(0xfc36, 'cloud_download_filled_sharp');
  static const cloud_download_filled =
      _MaterialSymbolsData(0xfc37, 'cloud_download_filled');
  static const cloud_download_outlined =
      _MaterialSymbolsData(0xfc38, 'cloud_download_outlined');
  static const cloud_download_sharp =
      _MaterialSymbolsData(0xfc39, 'cloud_download_sharp');
  static const cloud_download = _MaterialSymbolsData(0xfc3a, 'cloud_download');
  static const cloud_filled_outlined =
      _MaterialSymbolsData(0xfc3b, 'cloud_filled_outlined');
  static const cloud_filled_sharp =
      _MaterialSymbolsData(0xfc3c, 'cloud_filled_sharp');
  static const cloud_filled = _MaterialSymbolsData(0xfc3d, 'cloud_filled');
  static const cloud_off_filled_outlined =
      _MaterialSymbolsData(0xfc3e, 'cloud_off_filled_outlined');
  static const cloud_off_filled_sharp =
      _MaterialSymbolsData(0xfc3f, 'cloud_off_filled_sharp');
  static const cloud_off_filled =
      _MaterialSymbolsData(0xfc40, 'cloud_off_filled');
  static const cloud_off_outlined =
      _MaterialSymbolsData(0xfc41, 'cloud_off_outlined');
  static const cloud_off_sharp =
      _MaterialSymbolsData(0xfc42, 'cloud_off_sharp');
  static const cloud_off = _MaterialSymbolsData(0xfc43, 'cloud_off');
  static const cloud_outlined = _MaterialSymbolsData(0xfc44, 'cloud_outlined');
  static const cloud_queue_filled_outlined =
      _MaterialSymbolsData(0xfc45, 'cloud_queue_filled_outlined');
  static const cloud_queue_filled_sharp =
      _MaterialSymbolsData(0xfc46, 'cloud_queue_filled_sharp');
  static const cloud_queue_filled =
      _MaterialSymbolsData(0xfc47, 'cloud_queue_filled');
  static const cloud_queue_outlined =
      _MaterialSymbolsData(0xfc48, 'cloud_queue_outlined');
  static const cloud_queue_sharp =
      _MaterialSymbolsData(0xfc49, 'cloud_queue_sharp');
  static const cloud_queue = _MaterialSymbolsData(0xfc4a, 'cloud_queue');
  static const cloud_sharp = _MaterialSymbolsData(0xfc4b, 'cloud_sharp');
  static const cloud_sync_filled_outlined =
      _MaterialSymbolsData(0xfc4c, 'cloud_sync_filled_outlined');
  static const cloud_sync_filled_sharp =
      _MaterialSymbolsData(0xfc4d, 'cloud_sync_filled_sharp');
  static const cloud_sync_filled =
      _MaterialSymbolsData(0xfc4e, 'cloud_sync_filled');
  static const cloud_sync_outlined =
      _MaterialSymbolsData(0xfc4f, 'cloud_sync_outlined');
  static const cloud_sync_sharp =
      _MaterialSymbolsData(0xfc50, 'cloud_sync_sharp');
  static const cloud_sync = _MaterialSymbolsData(0xfc51, 'cloud_sync');
  static const cloud_upload_filled_outlined =
      _MaterialSymbolsData(0xfc52, 'cloud_upload_filled_outlined');
  static const cloud_upload_filled_sharp =
      _MaterialSymbolsData(0xfc53, 'cloud_upload_filled_sharp');
  static const cloud_upload_filled =
      _MaterialSymbolsData(0xfc54, 'cloud_upload_filled');
  static const cloud_upload_outlined =
      _MaterialSymbolsData(0xfc55, 'cloud_upload_outlined');
  static const cloud_upload_sharp =
      _MaterialSymbolsData(0xfc56, 'cloud_upload_sharp');
  static const cloud_upload = _MaterialSymbolsData(0xfc57, 'cloud_upload');
  static const cloud = _MaterialSymbolsData(0xfc58, 'cloud');
  static const cloudy_filled_2_outlined =
      _MaterialSymbolsData(0xfc59, 'cloudy_filled_2_outlined');
  static const cloudy_filled_2_sharp =
      _MaterialSymbolsData(0xfc5a, 'cloudy_filled_2_sharp');
  static const cloudy_filled_2 =
      _MaterialSymbolsData(0xfc5b, 'cloudy_filled_2');
  static const cloudy_filled_filled_outlined =
      _MaterialSymbolsData(0xfc5c, 'cloudy_filled_filled_outlined');
  static const cloudy_filled_filled_sharp =
      _MaterialSymbolsData(0xfc5d, 'cloudy_filled_filled_sharp');
  static const cloudy_filled_filled =
      _MaterialSymbolsData(0xfc5e, 'cloudy_filled_filled');
  static const cloudy_filled_outlined =
      _MaterialSymbolsData(0xfc5f, 'cloudy_filled_outlined');
  static const cloudy_filled_sharp =
      _MaterialSymbolsData(0xfc60, 'cloudy_filled_sharp');
  static const cloudy_filled = _MaterialSymbolsData(0xfc61, 'cloudy_filled');
  static const cloudy_outlined =
      _MaterialSymbolsData(0xfc62, 'cloudy_outlined');
  static const cloudy_sharp = _MaterialSymbolsData(0xfc63, 'cloudy_sharp');
  static const cloudy_snowing_filled_outlined =
      _MaterialSymbolsData(0xfc64, 'cloudy_snowing_filled_outlined');
  static const cloudy_snowing_filled_sharp =
      _MaterialSymbolsData(0xfc65, 'cloudy_snowing_filled_sharp');
  static const cloudy_snowing_filled =
      _MaterialSymbolsData(0xfc66, 'cloudy_snowing_filled');
  static const cloudy_snowing_outlined =
      _MaterialSymbolsData(0xfc67, 'cloudy_snowing_outlined');
  static const cloudy_snowing_sharp =
      _MaterialSymbolsData(0xfc68, 'cloudy_snowing_sharp');
  static const cloudy_snowing = _MaterialSymbolsData(0xfc69, 'cloudy_snowing');
  static const cloudy = _MaterialSymbolsData(0xfc6a, 'cloudy');
  static const co_present_filled_outlined =
      _MaterialSymbolsData(0xfc6b, 'co_present_filled_outlined');
  static const co_present_filled_sharp =
      _MaterialSymbolsData(0xfc6c, 'co_present_filled_sharp');
  static const co_present_filled =
      _MaterialSymbolsData(0xfc6d, 'co_present_filled');
  static const co_present_outlined =
      _MaterialSymbolsData(0xfc6e, 'co_present_outlined');
  static const co_present_sharp =
      _MaterialSymbolsData(0xfc6f, 'co_present_sharp');
  static const co_present = _MaterialSymbolsData(0xfc70, 'co_present');
  static const co2_filled_outlined =
      _MaterialSymbolsData(0xfc71, 'co2_filled_outlined');
  static const co2_filled_sharp =
      _MaterialSymbolsData(0xfc72, 'co2_filled_sharp');
  static const co2_filled = _MaterialSymbolsData(0xfc73, 'co2_filled');
  static const co2_outlined = _MaterialSymbolsData(0xfc74, 'co2_outlined');
  static const co2_sharp = _MaterialSymbolsData(0xfc75, 'co2_sharp');
  static const co2 = _MaterialSymbolsData(0xfc76, 'co2');
  static const code_blocks_filled_outlined =
      _MaterialSymbolsData(0xfc77, 'code_blocks_filled_outlined');
  static const code_blocks_filled_sharp =
      _MaterialSymbolsData(0xfc78, 'code_blocks_filled_sharp');
  static const code_blocks_filled =
      _MaterialSymbolsData(0xfc79, 'code_blocks_filled');
  static const code_blocks_outlined =
      _MaterialSymbolsData(0xfc7a, 'code_blocks_outlined');
  static const code_blocks_sharp =
      _MaterialSymbolsData(0xfc7b, 'code_blocks_sharp');
  static const code_blocks = _MaterialSymbolsData(0xfc7c, 'code_blocks');
  static const code_filled_outlined =
      _MaterialSymbolsData(0xfc7d, 'code_filled_outlined');
  static const code_filled_sharp =
      _MaterialSymbolsData(0xfc7e, 'code_filled_sharp');
  static const code_filled = _MaterialSymbolsData(0xfc7f, 'code_filled');
  static const code_off_filled_outlined =
      _MaterialSymbolsData(0xfc80, 'code_off_filled_outlined');
  static const code_off_filled_sharp =
      _MaterialSymbolsData(0xfc81, 'code_off_filled_sharp');
  static const code_off_filled =
      _MaterialSymbolsData(0xfc82, 'code_off_filled');
  static const code_off_outlined =
      _MaterialSymbolsData(0xfc83, 'code_off_outlined');
  static const code_off_sharp = _MaterialSymbolsData(0xfc84, 'code_off_sharp');
  static const code_off = _MaterialSymbolsData(0xfc85, 'code_off');
  static const code_outlined = _MaterialSymbolsData(0xfc86, 'code_outlined');
  static const code_sharp = _MaterialSymbolsData(0xfc87, 'code_sharp');
  static const code = _MaterialSymbolsData(0xfc88, 'code');
  static const coffee_filled_outlined =
      _MaterialSymbolsData(0xfc89, 'coffee_filled_outlined');
  static const coffee_filled_sharp =
      _MaterialSymbolsData(0xfc8a, 'coffee_filled_sharp');
  static const coffee_filled = _MaterialSymbolsData(0xfc8b, 'coffee_filled');
  static const coffee_maker_filled_outlined =
      _MaterialSymbolsData(0xfc8c, 'coffee_maker_filled_outlined');
  static const coffee_maker_filled_sharp =
      _MaterialSymbolsData(0xfc8d, 'coffee_maker_filled_sharp');
  static const coffee_maker_filled =
      _MaterialSymbolsData(0xfc8e, 'coffee_maker_filled');
  static const coffee_maker_outlined =
      _MaterialSymbolsData(0xfc8f, 'coffee_maker_outlined');
  static const coffee_maker_sharp =
      _MaterialSymbolsData(0xfc90, 'coffee_maker_sharp');
  static const coffee_maker = _MaterialSymbolsData(0xfc91, 'coffee_maker');
  static const coffee_outlined =
      _MaterialSymbolsData(0xfc92, 'coffee_outlined');
  static const coffee_sharp = _MaterialSymbolsData(0xfc93, 'coffee_sharp');
  static const coffee = _MaterialSymbolsData(0xfc94, 'coffee');
  static const cognition_filled_outlined =
      _MaterialSymbolsData(0xfc95, 'cognition_filled_outlined');
  static const cognition_filled_sharp =
      _MaterialSymbolsData(0xfc96, 'cognition_filled_sharp');
  static const cognition_filled =
      _MaterialSymbolsData(0xfc97, 'cognition_filled');
  static const cognition_outlined =
      _MaterialSymbolsData(0xfc98, 'cognition_outlined');
  static const cognition_sharp =
      _MaterialSymbolsData(0xfc99, 'cognition_sharp');
  static const cognition = _MaterialSymbolsData(0xfc9a, 'cognition');
  static const collections_bookmark_filled_outlined =
      _MaterialSymbolsData(0xfc9b, 'collections_bookmark_filled_outlined');
  static const collections_bookmark_filled_sharp =
      _MaterialSymbolsData(0xfc9c, 'collections_bookmark_filled_sharp');
  static const collections_bookmark_filled =
      _MaterialSymbolsData(0xfc9d, 'collections_bookmark_filled');
  static const collections_bookmark_outlined =
      _MaterialSymbolsData(0xfc9e, 'collections_bookmark_outlined');
  static const collections_bookmark_sharp =
      _MaterialSymbolsData(0xfc9f, 'collections_bookmark_sharp');
  static const collections_bookmark =
      _MaterialSymbolsData(0xfca0, 'collections_bookmark');
  static const colorize_filled_outlined =
      _MaterialSymbolsData(0xfca1, 'colorize_filled_outlined');
  static const colorize_filled_sharp =
      _MaterialSymbolsData(0xfca2, 'colorize_filled_sharp');
  static const colorize_filled =
      _MaterialSymbolsData(0xfca3, 'colorize_filled');
  static const colorize_outlined =
      _MaterialSymbolsData(0xfca4, 'colorize_outlined');
  static const colorize_sharp = _MaterialSymbolsData(0xfca5, 'colorize_sharp');
  static const colorize = _MaterialSymbolsData(0xfca6, 'colorize');
  static const comment_bank_filled_outlined =
      _MaterialSymbolsData(0xfca7, 'comment_bank_filled_outlined');
  static const comment_bank_filled_sharp =
      _MaterialSymbolsData(0xfca8, 'comment_bank_filled_sharp');
  static const comment_bank_filled =
      _MaterialSymbolsData(0xfca9, 'comment_bank_filled');
  static const comment_bank_outlined =
      _MaterialSymbolsData(0xfcaa, 'comment_bank_outlined');
  static const comment_bank_sharp =
      _MaterialSymbolsData(0xfcab, 'comment_bank_sharp');
  static const comment_bank = _MaterialSymbolsData(0xfcac, 'comment_bank');
  static const comment_filled_outlined =
      _MaterialSymbolsData(0xfcad, 'comment_filled_outlined');
  static const comment_filled_sharp =
      _MaterialSymbolsData(0xfcae, 'comment_filled_sharp');
  static const comment_filled = _MaterialSymbolsData(0xfcaf, 'comment_filled');
  static const comment_outlined =
      _MaterialSymbolsData(0xfcb0, 'comment_outlined');
  static const comment_sharp = _MaterialSymbolsData(0xfcb1, 'comment_sharp');
  static const comment = _MaterialSymbolsData(0xfcb2, 'comment');
  static const comments_disabled_filled_outlined =
      _MaterialSymbolsData(0xfcb3, 'comments_disabled_filled_outlined');
  static const comments_disabled_filled_sharp =
      _MaterialSymbolsData(0xfcb4, 'comments_disabled_filled_sharp');
  static const comments_disabled_filled =
      _MaterialSymbolsData(0xfcb5, 'comments_disabled_filled');
  static const comments_disabled_outlined =
      _MaterialSymbolsData(0xfcb6, 'comments_disabled_outlined');
  static const comments_disabled_sharp =
      _MaterialSymbolsData(0xfcb7, 'comments_disabled_sharp');
  static const comments_disabled =
      _MaterialSymbolsData(0xfcb8, 'comments_disabled');
  static const commit_filled_outlined =
      _MaterialSymbolsData(0xfcb9, 'commit_filled_outlined');
  static const commit_filled_sharp =
      _MaterialSymbolsData(0xfcba, 'commit_filled_sharp');
  static const commit_filled = _MaterialSymbolsData(0xfcbb, 'commit_filled');
  static const commit_outlined =
      _MaterialSymbolsData(0xfcbc, 'commit_outlined');
  static const commit_sharp = _MaterialSymbolsData(0xfcbd, 'commit_sharp');
  static const commit = _MaterialSymbolsData(0xfcbe, 'commit');
  static const communication_filled_outlined =
      _MaterialSymbolsData(0xfcbf, 'communication_filled_outlined');
  static const communication_filled_sharp =
      _MaterialSymbolsData(0xfcc0, 'communication_filled_sharp');
  static const communication_filled =
      _MaterialSymbolsData(0xfcc1, 'communication_filled');
  static const communication_outlined =
      _MaterialSymbolsData(0xfcc2, 'communication_outlined');
  static const communication_sharp =
      _MaterialSymbolsData(0xfcc3, 'communication_sharp');
  static const communication = _MaterialSymbolsData(0xfcc4, 'communication');
  static const commute_filled_outlined =
      _MaterialSymbolsData(0xfcc5, 'commute_filled_outlined');
  static const commute_filled_sharp =
      _MaterialSymbolsData(0xfcc6, 'commute_filled_sharp');
  static const commute_filled = _MaterialSymbolsData(0xfcc7, 'commute_filled');
  static const commute_outlined =
      _MaterialSymbolsData(0xfcc8, 'commute_outlined');
  static const commute_sharp = _MaterialSymbolsData(0xfcc9, 'commute_sharp');
  static const commute = _MaterialSymbolsData(0xfcca, 'commute');
  static const compare_arrows_filled_outlined =
      _MaterialSymbolsData(0xfccb, 'compare_arrows_filled_outlined');
  static const compare_arrows_filled_sharp =
      _MaterialSymbolsData(0xfccc, 'compare_arrows_filled_sharp');
  static const compare_arrows_filled =
      _MaterialSymbolsData(0xfccd, 'compare_arrows_filled');
  static const compare_arrows_outlined =
      _MaterialSymbolsData(0xfcce, 'compare_arrows_outlined');
  static const compare_arrows_sharp =
      _MaterialSymbolsData(0xfccf, 'compare_arrows_sharp');
  static const compare_arrows = _MaterialSymbolsData(0xfcd0, 'compare_arrows');
  static const compare_filled_outlined =
      _MaterialSymbolsData(0xfcd1, 'compare_filled_outlined');
  static const compare_filled_sharp =
      _MaterialSymbolsData(0xfcd2, 'compare_filled_sharp');
  static const compare_filled = _MaterialSymbolsData(0xfcd3, 'compare_filled');
  static const compare_outlined =
      _MaterialSymbolsData(0xfcd4, 'compare_outlined');
  static const compare_sharp = _MaterialSymbolsData(0xfcd5, 'compare_sharp');
  static const compare = _MaterialSymbolsData(0xfcd6, 'compare');
  static const compass_calibration_filled_outlined =
      _MaterialSymbolsData(0xfcd7, 'compass_calibration_filled_outlined');
  static const compass_calibration_filled_sharp =
      _MaterialSymbolsData(0xfcd8, 'compass_calibration_filled_sharp');
  static const compass_calibration_filled =
      _MaterialSymbolsData(0xfcd9, 'compass_calibration_filled');
  static const compass_calibration_outlined =
      _MaterialSymbolsData(0xfcda, 'compass_calibration_outlined');
  static const compass_calibration_sharp =
      _MaterialSymbolsData(0xfcdb, 'compass_calibration_sharp');
  static const compass_calibration =
      _MaterialSymbolsData(0xfcdc, 'compass_calibration');
  static const component_exchange_filled_outlined =
      _MaterialSymbolsData(0xfcdd, 'component_exchange_filled_outlined');
  static const component_exchange_filled_sharp =
      _MaterialSymbolsData(0xfcde, 'component_exchange_filled_sharp');
  static const component_exchange_filled =
      _MaterialSymbolsData(0xfcdf, 'component_exchange_filled');
  static const component_exchange_outlined =
      _MaterialSymbolsData(0xfce0, 'component_exchange_outlined');
  static const component_exchange_sharp =
      _MaterialSymbolsData(0xfce1, 'component_exchange_sharp');
  static const component_exchange =
      _MaterialSymbolsData(0xfce2, 'component_exchange');
  static const compost_filled_outlined =
      _MaterialSymbolsData(0xfce3, 'compost_filled_outlined');
  static const compost_filled_sharp =
      _MaterialSymbolsData(0xfce4, 'compost_filled_sharp');
  static const compost_filled = _MaterialSymbolsData(0xfce5, 'compost_filled');
  static const compost_outlined =
      _MaterialSymbolsData(0xfce6, 'compost_outlined');
  static const compost_sharp = _MaterialSymbolsData(0xfce7, 'compost_sharp');
  static const compost = _MaterialSymbolsData(0xfce8, 'compost');
  static const compress_filled_outlined =
      _MaterialSymbolsData(0xfce9, 'compress_filled_outlined');
  static const compress_filled_sharp =
      _MaterialSymbolsData(0xfcea, 'compress_filled_sharp');
  static const compress_filled =
      _MaterialSymbolsData(0xfceb, 'compress_filled');
  static const compress_outlined =
      _MaterialSymbolsData(0xfcec, 'compress_outlined');
  static const compress_sharp = _MaterialSymbolsData(0xfced, 'compress_sharp');
  static const compress = _MaterialSymbolsData(0xfcee, 'compress');
  static const computer_filled_outlined =
      _MaterialSymbolsData(0xfcef, 'computer_filled_outlined');
  static const computer_filled_sharp =
      _MaterialSymbolsData(0xfcf0, 'computer_filled_sharp');
  static const computer_filled =
      _MaterialSymbolsData(0xfcf1, 'computer_filled');
  static const computer_outlined =
      _MaterialSymbolsData(0xfcf2, 'computer_outlined');
  static const computer_sharp = _MaterialSymbolsData(0xfcf3, 'computer_sharp');
  static const computer = _MaterialSymbolsData(0xfcf4, 'computer');
  static const conditions_filled_outlined =
      _MaterialSymbolsData(0xfcf5, 'conditions_filled_outlined');
  static const conditions_filled_sharp =
      _MaterialSymbolsData(0xfcf6, 'conditions_filled_sharp');
  static const conditions_filled =
      _MaterialSymbolsData(0xfcf7, 'conditions_filled');
  static const conditions_outlined =
      _MaterialSymbolsData(0xfcf8, 'conditions_outlined');
  static const conditions_sharp =
      _MaterialSymbolsData(0xfcf9, 'conditions_sharp');
  static const conditions = _MaterialSymbolsData(0xfcfa, 'conditions');
  static const confirmation_number_filled_outlined =
      _MaterialSymbolsData(0xfcfb, 'confirmation_number_filled_outlined');
  static const confirmation_number_filled_sharp =
      _MaterialSymbolsData(0xfcfc, 'confirmation_number_filled_sharp');
  static const confirmation_number_filled =
      _MaterialSymbolsData(0xfcfd, 'confirmation_number_filled');
  static const confirmation_number_outlined =
      _MaterialSymbolsData(0xfcfe, 'confirmation_number_outlined');
  static const confirmation_number_sharp =
      _MaterialSymbolsData(0xfcff, 'confirmation_number_sharp');
  static const confirmation_number =
      _MaterialSymbolsData(0xfd00, 'confirmation_number');
  static const connect_without_contact_filled_outlined =
      _MaterialSymbolsData(0xfd01, 'connect_without_contact_filled_outlined');
  static const connect_without_contact_filled_sharp =
      _MaterialSymbolsData(0xfd02, 'connect_without_contact_filled_sharp');
  static const connect_without_contact_filled =
      _MaterialSymbolsData(0xfd03, 'connect_without_contact_filled');
  static const connect_without_contact_outlined =
      _MaterialSymbolsData(0xfd04, 'connect_without_contact_outlined');
  static const connect_without_contact_sharp =
      _MaterialSymbolsData(0xfd05, 'connect_without_contact_sharp');
  static const connect_without_contact =
      _MaterialSymbolsData(0xfd06, 'connect_without_contact');
  static const connected_tv_filled_outlined =
      _MaterialSymbolsData(0xfd07, 'connected_tv_filled_outlined');
  static const connected_tv_filled_sharp =
      _MaterialSymbolsData(0xfd08, 'connected_tv_filled_sharp');
  static const connected_tv_filled =
      _MaterialSymbolsData(0xfd09, 'connected_tv_filled');
  static const connected_tv_outlined =
      _MaterialSymbolsData(0xfd0a, 'connected_tv_outlined');
  static const connected_tv_sharp =
      _MaterialSymbolsData(0xfd0b, 'connected_tv_sharp');
  static const connected_tv = _MaterialSymbolsData(0xfd0c, 'connected_tv');
  static const connecting_airports_filled_outlined =
      _MaterialSymbolsData(0xfd0d, 'connecting_airports_filled_outlined');
  static const connecting_airports_filled_sharp =
      _MaterialSymbolsData(0xfd0e, 'connecting_airports_filled_sharp');
  static const connecting_airports_filled =
      _MaterialSymbolsData(0xfd0f, 'connecting_airports_filled');
  static const connecting_airports_outlined =
      _MaterialSymbolsData(0xfd10, 'connecting_airports_outlined');
  static const connecting_airports_sharp =
      _MaterialSymbolsData(0xfd11, 'connecting_airports_sharp');
  static const connecting_airports =
      _MaterialSymbolsData(0xfd12, 'connecting_airports');
  static const construction_filled_outlined =
      _MaterialSymbolsData(0xfd13, 'construction_filled_outlined');
  static const construction_filled_sharp =
      _MaterialSymbolsData(0xfd14, 'construction_filled_sharp');
  static const construction_filled =
      _MaterialSymbolsData(0xfd15, 'construction_filled');
  static const construction_outlined =
      _MaterialSymbolsData(0xfd16, 'construction_outlined');
  static const construction_sharp =
      _MaterialSymbolsData(0xfd17, 'construction_sharp');
  static const construction = _MaterialSymbolsData(0xfd18, 'construction');
  static const contact_emergency_filled_outlined =
      _MaterialSymbolsData(0xfd19, 'contact_emergency_filled_outlined');
  static const contact_emergency_filled_sharp =
      _MaterialSymbolsData(0xfd1a, 'contact_emergency_filled_sharp');
  static const contact_emergency_filled =
      _MaterialSymbolsData(0xfd1b, 'contact_emergency_filled');
  static const contact_emergency_outlined =
      _MaterialSymbolsData(0xfd1c, 'contact_emergency_outlined');
  static const contact_emergency_sharp =
      _MaterialSymbolsData(0xfd1d, 'contact_emergency_sharp');
  static const contact_emergency =
      _MaterialSymbolsData(0xfd1e, 'contact_emergency');
  static const contact_mail_filled_outlined =
      _MaterialSymbolsData(0xfd1f, 'contact_mail_filled_outlined');
  static const contact_mail_filled_sharp =
      _MaterialSymbolsData(0xfd20, 'contact_mail_filled_sharp');
  static const contact_mail_filled =
      _MaterialSymbolsData(0xfd21, 'contact_mail_filled');
  static const contact_mail_outlined =
      _MaterialSymbolsData(0xfd22, 'contact_mail_outlined');
  static const contact_mail_sharp =
      _MaterialSymbolsData(0xfd23, 'contact_mail_sharp');
  static const contact_mail = _MaterialSymbolsData(0xfd24, 'contact_mail');
  static const contact_page_filled_outlined =
      _MaterialSymbolsData(0xfd25, 'contact_page_filled_outlined');
  static const contact_page_filled_sharp =
      _MaterialSymbolsData(0xfd26, 'contact_page_filled_sharp');
  static const contact_page_filled =
      _MaterialSymbolsData(0xfd27, 'contact_page_filled');
  static const contact_page_outlined =
      _MaterialSymbolsData(0xfd28, 'contact_page_outlined');
  static const contact_page_sharp =
      _MaterialSymbolsData(0xfd29, 'contact_page_sharp');
  static const contact_page = _MaterialSymbolsData(0xfd2a, 'contact_page');
  static const contact_phone_filled_outlined =
      _MaterialSymbolsData(0xfd2b, 'contact_phone_filled_outlined');
  static const contact_phone_filled_sharp =
      _MaterialSymbolsData(0xfd2c, 'contact_phone_filled_sharp');
  static const contact_phone_filled =
      _MaterialSymbolsData(0xfd2d, 'contact_phone_filled');
  static const contact_phone_outlined =
      _MaterialSymbolsData(0xfd2e, 'contact_phone_outlined');
  static const contact_phone_sharp =
      _MaterialSymbolsData(0xfd2f, 'contact_phone_sharp');
  static const contact_phone = _MaterialSymbolsData(0xfd30, 'contact_phone');
  static const contact_support_filled_outlined =
      _MaterialSymbolsData(0xfd31, 'contact_support_filled_outlined');
  static const contact_support_filled_sharp =
      _MaterialSymbolsData(0xfd32, 'contact_support_filled_sharp');
  static const contact_support_filled =
      _MaterialSymbolsData(0xfd33, 'contact_support_filled');
  static const contact_support_outlined =
      _MaterialSymbolsData(0xfd34, 'contact_support_outlined');
  static const contact_support_sharp =
      _MaterialSymbolsData(0xfd35, 'contact_support_sharp');
  static const contact_support =
      _MaterialSymbolsData(0xfd36, 'contact_support');
  static const contactless_filled_outlined =
      _MaterialSymbolsData(0xfd37, 'contactless_filled_outlined');
  static const contactless_filled_sharp =
      _MaterialSymbolsData(0xfd38, 'contactless_filled_sharp');
  static const contactless_filled =
      _MaterialSymbolsData(0xfd39, 'contactless_filled');
  static const contactless_off_filled_outlined =
      _MaterialSymbolsData(0xfd3a, 'contactless_off_filled_outlined');
  static const contactless_off_filled_sharp =
      _MaterialSymbolsData(0xfd3b, 'contactless_off_filled_sharp');
  static const contactless_off_filled =
      _MaterialSymbolsData(0xfd3c, 'contactless_off_filled');
  static const contactless_off_outlined =
      _MaterialSymbolsData(0xfd3d, 'contactless_off_outlined');
  static const contactless_off_sharp =
      _MaterialSymbolsData(0xfd3e, 'contactless_off_sharp');
  static const contactless_off =
      _MaterialSymbolsData(0xfd3f, 'contactless_off');
  static const contactless_outlined =
      _MaterialSymbolsData(0xfd40, 'contactless_outlined');
  static const contactless_sharp =
      _MaterialSymbolsData(0xfd41, 'contactless_sharp');
  static const contactless = _MaterialSymbolsData(0xfd42, 'contactless');
  static const contacts_filled_outlined =
      _MaterialSymbolsData(0xfd43, 'contacts_filled_outlined');
  static const contacts_filled_sharp =
      _MaterialSymbolsData(0xfd44, 'contacts_filled_sharp');
  static const contacts_filled =
      _MaterialSymbolsData(0xfd45, 'contacts_filled');
  static const contacts_outlined =
      _MaterialSymbolsData(0xfd46, 'contacts_outlined');
  static const contacts_sharp = _MaterialSymbolsData(0xfd47, 'contacts_sharp');
  static const contacts = _MaterialSymbolsData(0xfd48, 'contacts');
  static const content_copy_filled_outlined =
      _MaterialSymbolsData(0xfd49, 'content_copy_filled_outlined');
  static const content_copy_filled_sharp =
      _MaterialSymbolsData(0xfd4a, 'content_copy_filled_sharp');
  static const content_copy_filled =
      _MaterialSymbolsData(0xfd4b, 'content_copy_filled');
  static const content_copy_outlined =
      _MaterialSymbolsData(0xfd4c, 'content_copy_outlined');
  static const content_copy_sharp =
      _MaterialSymbolsData(0xfd4d, 'content_copy_sharp');
  static const content_copy = _MaterialSymbolsData(0xfd4e, 'content_copy');
  static const content_cut_filled_outlined =
      _MaterialSymbolsData(0xfd4f, 'content_cut_filled_outlined');
  static const content_cut_filled_sharp =
      _MaterialSymbolsData(0xfd50, 'content_cut_filled_sharp');
  static const content_cut_filled =
      _MaterialSymbolsData(0xfd51, 'content_cut_filled');
  static const content_cut_outlined =
      _MaterialSymbolsData(0xfd52, 'content_cut_outlined');
  static const content_cut_sharp =
      _MaterialSymbolsData(0xfd53, 'content_cut_sharp');
  static const content_cut = _MaterialSymbolsData(0xfd54, 'content_cut');
  static const content_paste_filled_outlined =
      _MaterialSymbolsData(0xfd55, 'content_paste_filled_outlined');
  static const content_paste_filled_sharp =
      _MaterialSymbolsData(0xfd56, 'content_paste_filled_sharp');
  static const content_paste_filled =
      _MaterialSymbolsData(0xfd57, 'content_paste_filled');
  static const content_paste_go_filled_outlined =
      _MaterialSymbolsData(0xfd58, 'content_paste_go_filled_outlined');
  static const content_paste_go_filled_sharp =
      _MaterialSymbolsData(0xfd59, 'content_paste_go_filled_sharp');
  static const content_paste_go_filled =
      _MaterialSymbolsData(0xfd5a, 'content_paste_go_filled');
  static const content_paste_go_outlined =
      _MaterialSymbolsData(0xfd5b, 'content_paste_go_outlined');
  static const content_paste_go_sharp =
      _MaterialSymbolsData(0xfd5c, 'content_paste_go_sharp');
  static const content_paste_go =
      _MaterialSymbolsData(0xfd5d, 'content_paste_go');
  static const content_paste_off_filled_outlined =
      _MaterialSymbolsData(0xfd5e, 'content_paste_off_filled_outlined');
  static const content_paste_off_filled_sharp =
      _MaterialSymbolsData(0xfd5f, 'content_paste_off_filled_sharp');
  static const content_paste_off_filled =
      _MaterialSymbolsData(0xfd60, 'content_paste_off_filled');
  static const content_paste_off_outlined =
      _MaterialSymbolsData(0xfd61, 'content_paste_off_outlined');
  static const content_paste_off_sharp =
      _MaterialSymbolsData(0xfd62, 'content_paste_off_sharp');
  static const content_paste_off =
      _MaterialSymbolsData(0xfd63, 'content_paste_off');
  static const content_paste_outlined =
      _MaterialSymbolsData(0xfd64, 'content_paste_outlined');
  static const content_paste_search_filled_outlined =
      _MaterialSymbolsData(0xfd65, 'content_paste_search_filled_outlined');
  static const content_paste_search_filled_sharp =
      _MaterialSymbolsData(0xfd66, 'content_paste_search_filled_sharp');
  static const content_paste_search_filled =
      _MaterialSymbolsData(0xfd67, 'content_paste_search_filled');
  static const content_paste_search_outlined =
      _MaterialSymbolsData(0xfd68, 'content_paste_search_outlined');
  static const content_paste_search_sharp =
      _MaterialSymbolsData(0xfd69, 'content_paste_search_sharp');
  static const content_paste_search =
      _MaterialSymbolsData(0xfd6a, 'content_paste_search');
  static const content_paste_sharp =
      _MaterialSymbolsData(0xfd6b, 'content_paste_sharp');
  static const content_paste = _MaterialSymbolsData(0xfd6c, 'content_paste');
  static const contrast_filled_outlined =
      _MaterialSymbolsData(0xfd6d, 'contrast_filled_outlined');
  static const contrast_filled_sharp =
      _MaterialSymbolsData(0xfd6e, 'contrast_filled_sharp');
  static const contrast_filled =
      _MaterialSymbolsData(0xfd6f, 'contrast_filled');
  static const contrast_outlined =
      _MaterialSymbolsData(0xfd70, 'contrast_outlined');
  static const contrast_sharp = _MaterialSymbolsData(0xfd71, 'contrast_sharp');
  static const contrast = _MaterialSymbolsData(0xfd72, 'contrast');
  static const control_camera_filled_outlined =
      _MaterialSymbolsData(0xfd73, 'control_camera_filled_outlined');
  static const control_camera_filled_sharp =
      _MaterialSymbolsData(0xfd74, 'control_camera_filled_sharp');
  static const control_camera_filled =
      _MaterialSymbolsData(0xfd75, 'control_camera_filled');
  static const control_camera_outlined =
      _MaterialSymbolsData(0xfd76, 'control_camera_outlined');
  static const control_camera_sharp =
      _MaterialSymbolsData(0xfd77, 'control_camera_sharp');
  static const control_camera = _MaterialSymbolsData(0xfd78, 'control_camera');
  static const control_point_duplicate_filled_outlined =
      _MaterialSymbolsData(0xfd79, 'control_point_duplicate_filled_outlined');
  static const control_point_duplicate_filled_sharp =
      _MaterialSymbolsData(0xfd7a, 'control_point_duplicate_filled_sharp');
  static const control_point_duplicate_filled =
      _MaterialSymbolsData(0xfd7b, 'control_point_duplicate_filled');
  static const control_point_duplicate_outlined =
      _MaterialSymbolsData(0xfd7c, 'control_point_duplicate_outlined');
  static const control_point_duplicate_sharp =
      _MaterialSymbolsData(0xfd7d, 'control_point_duplicate_sharp');
  static const control_point_duplicate =
      _MaterialSymbolsData(0xfd7e, 'control_point_duplicate');
  static const controller_gen_filled_outlined =
      _MaterialSymbolsData(0xfd7f, 'controller_gen_filled_outlined');
  static const controller_gen_filled_sharp =
      _MaterialSymbolsData(0xfd80, 'controller_gen_filled_sharp');
  static const controller_gen_filled =
      _MaterialSymbolsData(0xfd81, 'controller_gen_filled');
  static const controller_gen_outlined =
      _MaterialSymbolsData(0xfd82, 'controller_gen_outlined');
  static const controller_gen_sharp =
      _MaterialSymbolsData(0xfd83, 'controller_gen_sharp');
  static const controller_gen = _MaterialSymbolsData(0xfd84, 'controller_gen');
  static const conversion_path_filled_outlined =
      _MaterialSymbolsData(0xfd85, 'conversion_path_filled_outlined');
  static const conversion_path_filled_sharp =
      _MaterialSymbolsData(0xfd86, 'conversion_path_filled_sharp');
  static const conversion_path_filled =
      _MaterialSymbolsData(0xfd87, 'conversion_path_filled');
  static const conversion_path_outlined =
      _MaterialSymbolsData(0xfd88, 'conversion_path_outlined');
  static const conversion_path_sharp =
      _MaterialSymbolsData(0xfd89, 'conversion_path_sharp');
  static const conversion_path =
      _MaterialSymbolsData(0xfd8a, 'conversion_path');
  static const conveyor_belt_filled_outlined =
      _MaterialSymbolsData(0xfd8b, 'conveyor_belt_filled_outlined');
  static const conveyor_belt_filled_sharp =
      _MaterialSymbolsData(0xfd8c, 'conveyor_belt_filled_sharp');
  static const conveyor_belt_filled =
      _MaterialSymbolsData(0xfd8d, 'conveyor_belt_filled');
  static const conveyor_belt_outlined =
      _MaterialSymbolsData(0xfd8e, 'conveyor_belt_outlined');
  static const conveyor_belt_sharp =
      _MaterialSymbolsData(0xfd8f, 'conveyor_belt_sharp');
  static const conveyor_belt = _MaterialSymbolsData(0xfd90, 'conveyor_belt');
  static const cookie_filled_outlined =
      _MaterialSymbolsData(0xfd91, 'cookie_filled_outlined');
  static const cookie_filled_sharp =
      _MaterialSymbolsData(0xfd92, 'cookie_filled_sharp');
  static const cookie_filled = _MaterialSymbolsData(0xfd93, 'cookie_filled');
  static const cookie_outlined =
      _MaterialSymbolsData(0xfd94, 'cookie_outlined');
  static const cookie_sharp = _MaterialSymbolsData(0xfd95, 'cookie_sharp');
  static const cookie = _MaterialSymbolsData(0xfd96, 'cookie');
  static const cooking_filled_outlined =
      _MaterialSymbolsData(0xfd97, 'cooking_filled_outlined');
  static const cooking_filled_sharp =
      _MaterialSymbolsData(0xfd98, 'cooking_filled_sharp');
  static const cooking_filled = _MaterialSymbolsData(0xfd99, 'cooking_filled');
  static const cooking_outlined =
      _MaterialSymbolsData(0xfd9a, 'cooking_outlined');
  static const cooking_sharp = _MaterialSymbolsData(0xfd9b, 'cooking_sharp');
  static const cooking = _MaterialSymbolsData(0xfd9c, 'cooking');
  static const cool_to_dry_filled_outlined =
      _MaterialSymbolsData(0xfd9d, 'cool_to_dry_filled_outlined');
  static const cool_to_dry_filled_sharp =
      _MaterialSymbolsData(0xfd9e, 'cool_to_dry_filled_sharp');
  static const cool_to_dry_filled =
      _MaterialSymbolsData(0xfd9f, 'cool_to_dry_filled');
  static const cool_to_dry_outlined =
      _MaterialSymbolsData(0xfda0, 'cool_to_dry_outlined');
  static const cool_to_dry_sharp =
      _MaterialSymbolsData(0xfda1, 'cool_to_dry_sharp');
  static const cool_to_dry = _MaterialSymbolsData(0xfda2, 'cool_to_dry');
  static const copy_all_filled_outlined =
      _MaterialSymbolsData(0xfda3, 'copy_all_filled_outlined');
  static const copy_all_filled_sharp =
      _MaterialSymbolsData(0xfda4, 'copy_all_filled_sharp');
  static const copy_all_filled =
      _MaterialSymbolsData(0xfda5, 'copy_all_filled');
  static const copy_all_outlined =
      _MaterialSymbolsData(0xfda6, 'copy_all_outlined');
  static const copy_all_sharp = _MaterialSymbolsData(0xfda7, 'copy_all_sharp');
  static const copy_all = _MaterialSymbolsData(0xfda8, 'copy_all');
  static const copyright_filled_outlined =
      _MaterialSymbolsData(0xfda9, 'copyright_filled_outlined');
  static const copyright_filled_sharp =
      _MaterialSymbolsData(0xfdaa, 'copyright_filled_sharp');
  static const copyright_filled =
      _MaterialSymbolsData(0xfdab, 'copyright_filled');
  static const copyright_outlined =
      _MaterialSymbolsData(0xfdac, 'copyright_outlined');
  static const copyright_sharp =
      _MaterialSymbolsData(0xfdad, 'copyright_sharp');
  static const copyright = _MaterialSymbolsData(0xfdae, 'copyright');
  static const coronavirus_filled_outlined =
      _MaterialSymbolsData(0xfdaf, 'coronavirus_filled_outlined');
  static const coronavirus_filled_sharp =
      _MaterialSymbolsData(0xfdb0, 'coronavirus_filled_sharp');
  static const coronavirus_filled =
      _MaterialSymbolsData(0xfdb1, 'coronavirus_filled');
  static const coronavirus_outlined =
      _MaterialSymbolsData(0xfdb2, 'coronavirus_outlined');
  static const coronavirus_sharp =
      _MaterialSymbolsData(0xfdb3, 'coronavirus_sharp');
  static const coronavirus = _MaterialSymbolsData(0xfdb4, 'coronavirus');
  static const corporate_fare_filled_outlined =
      _MaterialSymbolsData(0xfdb5, 'corporate_fare_filled_outlined');
  static const corporate_fare_filled_sharp =
      _MaterialSymbolsData(0xfdb6, 'corporate_fare_filled_sharp');
  static const corporate_fare_filled =
      _MaterialSymbolsData(0xfdb7, 'corporate_fare_filled');
  static const corporate_fare_outlined =
      _MaterialSymbolsData(0xfdb8, 'corporate_fare_outlined');
  static const corporate_fare_sharp =
      _MaterialSymbolsData(0xfdb9, 'corporate_fare_sharp');
  static const corporate_fare = _MaterialSymbolsData(0xfdba, 'corporate_fare');
  static const cottage_filled_outlined =
      _MaterialSymbolsData(0xfdbb, 'cottage_filled_outlined');
  static const cottage_filled_sharp =
      _MaterialSymbolsData(0xfdbc, 'cottage_filled_sharp');
  static const cottage_filled = _MaterialSymbolsData(0xfdbd, 'cottage_filled');
  static const cottage_outlined =
      _MaterialSymbolsData(0xfdbe, 'cottage_outlined');
  static const cottage_sharp = _MaterialSymbolsData(0xfdbf, 'cottage_sharp');
  static const cottage = _MaterialSymbolsData(0xfdc0, 'cottage');
  static const countertops_filled_outlined =
      _MaterialSymbolsData(0xfdc1, 'countertops_filled_outlined');
  static const countertops_filled_sharp =
      _MaterialSymbolsData(0xfdc2, 'countertops_filled_sharp');
  static const countertops_filled =
      _MaterialSymbolsData(0xfdc3, 'countertops_filled');
  static const countertops_outlined =
      _MaterialSymbolsData(0xfdc4, 'countertops_outlined');
  static const countertops_sharp =
      _MaterialSymbolsData(0xfdc5, 'countertops_sharp');
  static const countertops = _MaterialSymbolsData(0xfdc6, 'countertops');
  static const create_new_folder_filled_outlined =
      _MaterialSymbolsData(0xfdc7, 'create_new_folder_filled_outlined');
  static const create_new_folder_filled_sharp =
      _MaterialSymbolsData(0xfdc8, 'create_new_folder_filled_sharp');
  static const create_new_folder_filled =
      _MaterialSymbolsData(0xfdc9, 'create_new_folder_filled');
  static const create_new_folder_outlined =
      _MaterialSymbolsData(0xfdca, 'create_new_folder_outlined');
  static const create_new_folder_sharp =
      _MaterialSymbolsData(0xfdcb, 'create_new_folder_sharp');
  static const create_new_folder =
      _MaterialSymbolsData(0xfdcc, 'create_new_folder');
  static const credit_card_filled_outlined =
      _MaterialSymbolsData(0xfdcd, 'credit_card_filled_outlined');
  static const credit_card_filled_sharp =
      _MaterialSymbolsData(0xfdce, 'credit_card_filled_sharp');
  static const credit_card_filled =
      _MaterialSymbolsData(0xfdcf, 'credit_card_filled');
  static const credit_card_off_filled_outlined =
      _MaterialSymbolsData(0xfdd0, 'credit_card_off_filled_outlined');
  static const credit_card_off_filled_sharp =
      _MaterialSymbolsData(0xfdd1, 'credit_card_off_filled_sharp');
  static const credit_card_off_filled =
      _MaterialSymbolsData(0xfdd2, 'credit_card_off_filled');
  static const credit_card_off_outlined =
      _MaterialSymbolsData(0xfdd3, 'credit_card_off_outlined');
  static const credit_card_off_sharp =
      _MaterialSymbolsData(0xfdd4, 'credit_card_off_sharp');
  static const credit_card_off =
      _MaterialSymbolsData(0xfdd5, 'credit_card_off');
  static const credit_card_outlined =
      _MaterialSymbolsData(0xfdd6, 'credit_card_outlined');
  static const credit_card_sharp =
      _MaterialSymbolsData(0xfdd7, 'credit_card_sharp');
  static const credit_card = _MaterialSymbolsData(0xfdd8, 'credit_card');
  static const credit_score_filled_outlined =
      _MaterialSymbolsData(0xfdd9, 'credit_score_filled_outlined');
  static const credit_score_filled_sharp =
      _MaterialSymbolsData(0xfdda, 'credit_score_filled_sharp');
  static const credit_score_filled =
      _MaterialSymbolsData(0xfddb, 'credit_score_filled');
  static const credit_score_outlined =
      _MaterialSymbolsData(0xfddc, 'credit_score_outlined');
  static const credit_score_sharp =
      _MaterialSymbolsData(0xfddd, 'credit_score_sharp');
  static const credit_score = _MaterialSymbolsData(0xfdde, 'credit_score');
  static const crib_filled_outlined =
      _MaterialSymbolsData(0xfddf, 'crib_filled_outlined');
  static const crib_filled_sharp =
      _MaterialSymbolsData(0xfde0, 'crib_filled_sharp');
  static const crib_filled = _MaterialSymbolsData(0xfde1, 'crib_filled');
  static const crib_outlined = _MaterialSymbolsData(0xfde2, 'crib_outlined');
  static const crib_sharp = _MaterialSymbolsData(0xfde3, 'crib_sharp');
  static const crib = _MaterialSymbolsData(0xfde4, 'crib');
  static const crisis_alert_filled_outlined =
      _MaterialSymbolsData(0xfde5, 'crisis_alert_filled_outlined');
  static const crisis_alert_filled_sharp =
      _MaterialSymbolsData(0xfde6, 'crisis_alert_filled_sharp');
  static const crisis_alert_filled =
      _MaterialSymbolsData(0xfde7, 'crisis_alert_filled');
  static const crisis_alert_outlined =
      _MaterialSymbolsData(0xfde8, 'crisis_alert_outlined');
  static const crisis_alert_sharp =
      _MaterialSymbolsData(0xfde9, 'crisis_alert_sharp');
  static const crisis_alert = _MaterialSymbolsData(0xfdea, 'crisis_alert');
  static const crop_16_9_filled_outlined =
      _MaterialSymbolsData(0xfdeb, 'crop_16_9_filled_outlined');
  static const crop_16_9_filled_sharp =
      _MaterialSymbolsData(0xfdec, 'crop_16_9_filled_sharp');
  static const crop_16_9_filled =
      _MaterialSymbolsData(0xfded, 'crop_16_9_filled');
  static const crop_16_9_outlined =
      _MaterialSymbolsData(0xfdee, 'crop_16_9_outlined');
  static const crop_16_9_sharp =
      _MaterialSymbolsData(0xfdef, 'crop_16_9_sharp');
  static const crop_16_9 = _MaterialSymbolsData(0xfdf0, 'crop_16_9');
  static const crop_3_2_filled_outlined =
      _MaterialSymbolsData(0xfdf1, 'crop_3_2_filled_outlined');
  static const crop_3_2_filled_sharp =
      _MaterialSymbolsData(0xfdf2, 'crop_3_2_filled_sharp');
  static const crop_3_2_filled =
      _MaterialSymbolsData(0xfdf3, 'crop_3_2_filled');
  static const crop_3_2_outlined =
      _MaterialSymbolsData(0xfdf4, 'crop_3_2_outlined');
  static const crop_3_2_sharp = _MaterialSymbolsData(0xfdf5, 'crop_3_2_sharp');
  static const crop_3_2 = _MaterialSymbolsData(0xfdf6, 'crop_3_2');
  static const crop_5_4_filled_outlined =
      _MaterialSymbolsData(0xfdf7, 'crop_5_4_filled_outlined');
  static const crop_5_4_filled_sharp =
      _MaterialSymbolsData(0xfdf8, 'crop_5_4_filled_sharp');
  static const crop_5_4_filled =
      _MaterialSymbolsData(0xfdf9, 'crop_5_4_filled');
  static const crop_5_4_outlined =
      _MaterialSymbolsData(0xfdfa, 'crop_5_4_outlined');
  static const crop_5_4_sharp = _MaterialSymbolsData(0xfdfb, 'crop_5_4_sharp');
  static const crop_5_4 = _MaterialSymbolsData(0xfdfc, 'crop_5_4');
  static const crop_7_5_filled_outlined =
      _MaterialSymbolsData(0xfdfd, 'crop_7_5_filled_outlined');
  static const crop_7_5_filled_sharp =
      _MaterialSymbolsData(0xfdfe, 'crop_7_5_filled_sharp');
  static const crop_7_5_filled =
      _MaterialSymbolsData(0xfdff, 'crop_7_5_filled');
  static const crop_7_5_outlined =
      _MaterialSymbolsData(0xfe00, 'crop_7_5_outlined');
  static const crop_7_5_sharp = _MaterialSymbolsData(0xfe01, 'crop_7_5_sharp');
  static const crop_7_5 = _MaterialSymbolsData(0xfe02, 'crop_7_5');
  static const crop_filled_outlined =
      _MaterialSymbolsData(0xfe03, 'crop_filled_outlined');
  static const crop_filled_sharp =
      _MaterialSymbolsData(0xfe04, 'crop_filled_sharp');
  static const crop_filled = _MaterialSymbolsData(0xfe05, 'crop_filled');
  static const crop_free_filled_outlined =
      _MaterialSymbolsData(0xfe06, 'crop_free_filled_outlined');
  static const crop_free_filled_sharp =
      _MaterialSymbolsData(0xfe07, 'crop_free_filled_sharp');
  static const crop_free_filled =
      _MaterialSymbolsData(0xfe08, 'crop_free_filled');
  static const crop_free_outlined =
      _MaterialSymbolsData(0xfe09, 'crop_free_outlined');
  static const crop_free_sharp =
      _MaterialSymbolsData(0xfe0a, 'crop_free_sharp');
  static const crop_free = _MaterialSymbolsData(0xfe0b, 'crop_free');
  static const crop_landscape_filled_outlined =
      _MaterialSymbolsData(0xfe0c, 'crop_landscape_filled_outlined');
  static const crop_landscape_filled_sharp =
      _MaterialSymbolsData(0xfe0d, 'crop_landscape_filled_sharp');
  static const crop_landscape_filled =
      _MaterialSymbolsData(0xfe0e, 'crop_landscape_filled');
  static const crop_landscape_outlined =
      _MaterialSymbolsData(0xfe0f, 'crop_landscape_outlined');
  static const crop_landscape_sharp =
      _MaterialSymbolsData(0xfe10, 'crop_landscape_sharp');
  static const crop_landscape = _MaterialSymbolsData(0xfe11, 'crop_landscape');
  static const crop_outlined = _MaterialSymbolsData(0xfe12, 'crop_outlined');
  static const crop_portrait_filled_outlined =
      _MaterialSymbolsData(0xfe13, 'crop_portrait_filled_outlined');
  static const crop_portrait_filled_sharp =
      _MaterialSymbolsData(0xfe14, 'crop_portrait_filled_sharp');
  static const crop_portrait_filled =
      _MaterialSymbolsData(0xfe15, 'crop_portrait_filled');
  static const crop_portrait_outlined =
      _MaterialSymbolsData(0xfe16, 'crop_portrait_outlined');
  static const crop_portrait_sharp =
      _MaterialSymbolsData(0xfe17, 'crop_portrait_sharp');
  static const crop_portrait = _MaterialSymbolsData(0xfe18, 'crop_portrait');
  static const crop_rotate_filled_outlined =
      _MaterialSymbolsData(0xfe19, 'crop_rotate_filled_outlined');
  static const crop_rotate_filled_sharp =
      _MaterialSymbolsData(0xfe1a, 'crop_rotate_filled_sharp');
  static const crop_rotate_filled =
      _MaterialSymbolsData(0xfe1b, 'crop_rotate_filled');
  static const crop_rotate_outlined =
      _MaterialSymbolsData(0xfe1c, 'crop_rotate_outlined');
  static const crop_rotate_sharp =
      _MaterialSymbolsData(0xfe1d, 'crop_rotate_sharp');
  static const crop_rotate = _MaterialSymbolsData(0xfe1e, 'crop_rotate');
  static const crop_sharp = _MaterialSymbolsData(0xfe1f, 'crop_sharp');
  static const crop_square_filled_outlined =
      _MaterialSymbolsData(0xfe20, 'crop_square_filled_outlined');
  static const crop_square_filled_sharp =
      _MaterialSymbolsData(0xfe21, 'crop_square_filled_sharp');
  static const crop_square_filled =
      _MaterialSymbolsData(0xfe22, 'crop_square_filled');
  static const crop_square_outlined =
      _MaterialSymbolsData(0xfe23, 'crop_square_outlined');
  static const crop_square_sharp =
      _MaterialSymbolsData(0xfe24, 'crop_square_sharp');
  static const crop_square = _MaterialSymbolsData(0xfe25, 'crop_square');
  static const crop = _MaterialSymbolsData(0xfe26, 'crop');
  static const cruelty_free_filled_outlined =
      _MaterialSymbolsData(0xfe27, 'cruelty_free_filled_outlined');
  static const cruelty_free_filled_sharp =
      _MaterialSymbolsData(0xfe28, 'cruelty_free_filled_sharp');
  static const cruelty_free_filled =
      _MaterialSymbolsData(0xfe29, 'cruelty_free_filled');
  static const cruelty_free_outlined =
      _MaterialSymbolsData(0xfe2a, 'cruelty_free_outlined');
  static const cruelty_free_sharp =
      _MaterialSymbolsData(0xfe2b, 'cruelty_free_sharp');
  static const cruelty_free = _MaterialSymbolsData(0xfe2c, 'cruelty_free');
  static const css_filled_outlined =
      _MaterialSymbolsData(0xfe2d, 'css_filled_outlined');
  static const css_filled_sharp =
      _MaterialSymbolsData(0xfe2e, 'css_filled_sharp');
  static const css_filled = _MaterialSymbolsData(0xfe2f, 'css_filled');
  static const css_outlined = _MaterialSymbolsData(0xfe30, 'css_outlined');
  static const css_sharp = _MaterialSymbolsData(0xfe31, 'css_sharp');
  static const css = _MaterialSymbolsData(0xfe32, 'css');
  static const currency_bitcoin_filled_outlined =
      _MaterialSymbolsData(0xfe33, 'currency_bitcoin_filled_outlined');
  static const currency_bitcoin_filled_sharp =
      _MaterialSymbolsData(0xfe34, 'currency_bitcoin_filled_sharp');
  static const currency_bitcoin_filled =
      _MaterialSymbolsData(0xfe35, 'currency_bitcoin_filled');
  static const currency_bitcoin_outlined =
      _MaterialSymbolsData(0xfe36, 'currency_bitcoin_outlined');
  static const currency_bitcoin_sharp =
      _MaterialSymbolsData(0xfe37, 'currency_bitcoin_sharp');
  static const currency_bitcoin =
      _MaterialSymbolsData(0xfe38, 'currency_bitcoin');
  static const currency_exchange_filled_outlined =
      _MaterialSymbolsData(0xfe39, 'currency_exchange_filled_outlined');
  static const currency_exchange_filled_sharp =
      _MaterialSymbolsData(0xfe3a, 'currency_exchange_filled_sharp');
  static const currency_exchange_filled =
      _MaterialSymbolsData(0xfe3b, 'currency_exchange_filled');
  static const currency_exchange_outlined =
      _MaterialSymbolsData(0xfe3c, 'currency_exchange_outlined');
  static const currency_exchange_sharp =
      _MaterialSymbolsData(0xfe3d, 'currency_exchange_sharp');
  static const currency_exchange =
      _MaterialSymbolsData(0xfe3e, 'currency_exchange');
  static const currency_franc_filled_outlined =
      _MaterialSymbolsData(0xfe3f, 'currency_franc_filled_outlined');
  static const currency_franc_filled_sharp =
      _MaterialSymbolsData(0xfe40, 'currency_franc_filled_sharp');
  static const currency_franc_filled =
      _MaterialSymbolsData(0xfe41, 'currency_franc_filled');
  static const currency_franc_outlined =
      _MaterialSymbolsData(0xfe42, 'currency_franc_outlined');
  static const currency_franc_sharp =
      _MaterialSymbolsData(0xfe43, 'currency_franc_sharp');
  static const currency_franc = _MaterialSymbolsData(0xfe44, 'currency_franc');
  static const currency_lira_filled_outlined =
      _MaterialSymbolsData(0xfe45, 'currency_lira_filled_outlined');
  static const currency_lira_filled_sharp =
      _MaterialSymbolsData(0xfe46, 'currency_lira_filled_sharp');
  static const currency_lira_filled =
      _MaterialSymbolsData(0xfe47, 'currency_lira_filled');
  static const currency_lira_outlined =
      _MaterialSymbolsData(0xfe48, 'currency_lira_outlined');
  static const currency_lira_sharp =
      _MaterialSymbolsData(0xfe49, 'currency_lira_sharp');
  static const currency_lira = _MaterialSymbolsData(0xfe4a, 'currency_lira');
  static const currency_pound_filled_outlined =
      _MaterialSymbolsData(0xfe4b, 'currency_pound_filled_outlined');
  static const currency_pound_filled_sharp =
      _MaterialSymbolsData(0xfe4c, 'currency_pound_filled_sharp');
  static const currency_pound_filled =
      _MaterialSymbolsData(0xfe4d, 'currency_pound_filled');
  static const currency_pound_outlined =
      _MaterialSymbolsData(0xfe4e, 'currency_pound_outlined');
  static const currency_pound_sharp =
      _MaterialSymbolsData(0xfe4f, 'currency_pound_sharp');
  static const currency_pound = _MaterialSymbolsData(0xfe50, 'currency_pound');
  static const currency_ruble_filled_outlined =
      _MaterialSymbolsData(0xfe51, 'currency_ruble_filled_outlined');
  static const currency_ruble_filled_sharp =
      _MaterialSymbolsData(0xfe52, 'currency_ruble_filled_sharp');
  static const currency_ruble_filled =
      _MaterialSymbolsData(0xfe53, 'currency_ruble_filled');
  static const currency_ruble_outlined =
      _MaterialSymbolsData(0xfe54, 'currency_ruble_outlined');
  static const currency_ruble_sharp =
      _MaterialSymbolsData(0xfe55, 'currency_ruble_sharp');
  static const currency_ruble = _MaterialSymbolsData(0xfe56, 'currency_ruble');
  static const currency_rupee_filled_outlined =
      _MaterialSymbolsData(0xfe57, 'currency_rupee_filled_outlined');
  static const currency_rupee_filled_sharp =
      _MaterialSymbolsData(0xfe58, 'currency_rupee_filled_sharp');
  static const currency_rupee_filled =
      _MaterialSymbolsData(0xfe59, 'currency_rupee_filled');
  static const currency_rupee_outlined =
      _MaterialSymbolsData(0xfe5a, 'currency_rupee_outlined');
  static const currency_rupee_sharp =
      _MaterialSymbolsData(0xfe5b, 'currency_rupee_sharp');
  static const currency_rupee = _MaterialSymbolsData(0xfe5c, 'currency_rupee');
  static const currency_yen_filled_outlined =
      _MaterialSymbolsData(0xfe5d, 'currency_yen_filled_outlined');
  static const currency_yen_filled_sharp =
      _MaterialSymbolsData(0xfe5e, 'currency_yen_filled_sharp');
  static const currency_yen_filled =
      _MaterialSymbolsData(0xfe5f, 'currency_yen_filled');
  static const currency_yen_outlined =
      _MaterialSymbolsData(0xfe60, 'currency_yen_outlined');
  static const currency_yen_sharp =
      _MaterialSymbolsData(0xfe61, 'currency_yen_sharp');
  static const currency_yen = _MaterialSymbolsData(0xfe62, 'currency_yen');
  static const currency_yuan_filled_outlined =
      _MaterialSymbolsData(0xfe63, 'currency_yuan_filled_outlined');
  static const currency_yuan_filled_sharp =
      _MaterialSymbolsData(0xfe64, 'currency_yuan_filled_sharp');
  static const currency_yuan_filled =
      _MaterialSymbolsData(0xfe65, 'currency_yuan_filled');
  static const currency_yuan_outlined =
      _MaterialSymbolsData(0xfe66, 'currency_yuan_outlined');
  static const currency_yuan_sharp =
      _MaterialSymbolsData(0xfe67, 'currency_yuan_sharp');
  static const currency_yuan = _MaterialSymbolsData(0xfe68, 'currency_yuan');
  static const curtains_closed_filled_outlined =
      _MaterialSymbolsData(0xfe69, 'curtains_closed_filled_outlined');
  static const curtains_closed_filled_sharp =
      _MaterialSymbolsData(0xfe6a, 'curtains_closed_filled_sharp');
  static const curtains_closed_filled =
      _MaterialSymbolsData(0xfe6b, 'curtains_closed_filled');
  static const curtains_closed_outlined =
      _MaterialSymbolsData(0xfe6c, 'curtains_closed_outlined');
  static const curtains_closed_sharp =
      _MaterialSymbolsData(0xfe6d, 'curtains_closed_sharp');
  static const curtains_closed =
      _MaterialSymbolsData(0xfe6e, 'curtains_closed');
  static const curtains_filled_outlined =
      _MaterialSymbolsData(0xfe6f, 'curtains_filled_outlined');
  static const curtains_filled_sharp =
      _MaterialSymbolsData(0xfe70, 'curtains_filled_sharp');
  static const curtains_filled =
      _MaterialSymbolsData(0xfe71, 'curtains_filled');
  static const curtains_outlined =
      _MaterialSymbolsData(0xfe72, 'curtains_outlined');
  static const curtains_sharp = _MaterialSymbolsData(0xfe73, 'curtains_sharp');
  static const curtains = _MaterialSymbolsData(0xfe74, 'curtains');
  static const cut_filled_outlined =
      _MaterialSymbolsData(0xfe75, 'cut_filled_outlined');
  static const cut_filled_sharp =
      _MaterialSymbolsData(0xfe76, 'cut_filled_sharp');
  static const cut_filled = _MaterialSymbolsData(0xfe77, 'cut_filled');
  static const cut_outlined = _MaterialSymbolsData(0xfe78, 'cut_outlined');
  static const cut_sharp = _MaterialSymbolsData(0xfe79, 'cut_sharp');
  static const cut = _MaterialSymbolsData(0xfe7a, 'cut');
  static const cycle_filled_outlined =
      _MaterialSymbolsData(0xfe7b, 'cycle_filled_outlined');
  static const cycle_filled_sharp =
      _MaterialSymbolsData(0xfe7c, 'cycle_filled_sharp');
  static const cycle_filled = _MaterialSymbolsData(0xfe7d, 'cycle_filled');
  static const cycle_outlined = _MaterialSymbolsData(0xfe7e, 'cycle_outlined');
  static const cycle_sharp = _MaterialSymbolsData(0xfe7f, 'cycle_sharp');
  static const cycle = _MaterialSymbolsData(0xfe80, 'cycle');
  static const cyclone_filled_outlined =
      _MaterialSymbolsData(0xfe81, 'cyclone_filled_outlined');
  static const cyclone_filled_sharp =
      _MaterialSymbolsData(0xfe82, 'cyclone_filled_sharp');
  static const cyclone_filled = _MaterialSymbolsData(0xfe83, 'cyclone_filled');
  static const cyclone_outlined =
      _MaterialSymbolsData(0xfe84, 'cyclone_outlined');
  static const cyclone_sharp = _MaterialSymbolsData(0xfe85, 'cyclone_sharp');
  static const cyclone = _MaterialSymbolsData(0xfe86, 'cyclone');
  static const dangerous_filled_outlined =
      _MaterialSymbolsData(0xfe87, 'dangerous_filled_outlined');
  static const dangerous_filled_sharp =
      _MaterialSymbolsData(0xfe88, 'dangerous_filled_sharp');
  static const dangerous_filled =
      _MaterialSymbolsData(0xfe89, 'dangerous_filled');
  static const dangerous_outlined =
      _MaterialSymbolsData(0xfe8a, 'dangerous_outlined');
  static const dangerous_sharp =
      _MaterialSymbolsData(0xfe8b, 'dangerous_sharp');
  static const dangerous = _MaterialSymbolsData(0xfe8c, 'dangerous');
  static const dark_mode_filled_outlined =
      _MaterialSymbolsData(0xfe8d, 'dark_mode_filled_outlined');
  static const dark_mode_filled_sharp =
      _MaterialSymbolsData(0xfe8e, 'dark_mode_filled_sharp');
  static const dark_mode_filled =
      _MaterialSymbolsData(0xfe8f, 'dark_mode_filled');
  static const dark_mode_outlined =
      _MaterialSymbolsData(0xfe90, 'dark_mode_outlined');
  static const dark_mode_sharp =
      _MaterialSymbolsData(0xfe91, 'dark_mode_sharp');
  static const dark_mode = _MaterialSymbolsData(0xfe92, 'dark_mode');
  static const dashboard_customize_filled_outlined =
      _MaterialSymbolsData(0xfe93, 'dashboard_customize_filled_outlined');
  static const dashboard_customize_filled_sharp =
      _MaterialSymbolsData(0xfe94, 'dashboard_customize_filled_sharp');
  static const dashboard_customize_filled =
      _MaterialSymbolsData(0xfe95, 'dashboard_customize_filled');
  static const dashboard_customize_outlined =
      _MaterialSymbolsData(0xfe96, 'dashboard_customize_outlined');
  static const dashboard_customize_sharp =
      _MaterialSymbolsData(0xfe97, 'dashboard_customize_sharp');
  static const dashboard_customize =
      _MaterialSymbolsData(0xfe98, 'dashboard_customize');
  static const dashboard_filled_outlined =
      _MaterialSymbolsData(0xfe99, 'dashboard_filled_outlined');
  static const dashboard_filled_sharp =
      _MaterialSymbolsData(0xfe9a, 'dashboard_filled_sharp');
  static const dashboard_filled =
      _MaterialSymbolsData(0xfe9b, 'dashboard_filled');
  static const dashboard_outlined =
      _MaterialSymbolsData(0xfe9c, 'dashboard_outlined');
  static const dashboard_sharp =
      _MaterialSymbolsData(0xfe9d, 'dashboard_sharp');
  static const dashboard = _MaterialSymbolsData(0xfe9e, 'dashboard');
  static const data_array_filled_outlined =
      _MaterialSymbolsData(0xfe9f, 'data_array_filled_outlined');
  static const data_array_filled_sharp =
      _MaterialSymbolsData(0xfea0, 'data_array_filled_sharp');
  static const data_array_filled =
      _MaterialSymbolsData(0xfea1, 'data_array_filled');
  static const data_array_outlined =
      _MaterialSymbolsData(0xfea2, 'data_array_outlined');
  static const data_array_sharp =
      _MaterialSymbolsData(0xfea3, 'data_array_sharp');
  static const data_array = _MaterialSymbolsData(0xfea4, 'data_array');
  static const data_exploration_filled_outlined =
      _MaterialSymbolsData(0xfea5, 'data_exploration_filled_outlined');
  static const data_exploration_filled_sharp =
      _MaterialSymbolsData(0xfea6, 'data_exploration_filled_sharp');
  static const data_exploration_filled =
      _MaterialSymbolsData(0xfea7, 'data_exploration_filled');
  static const data_exploration_outlined =
      _MaterialSymbolsData(0xfea8, 'data_exploration_outlined');
  static const data_exploration_sharp =
      _MaterialSymbolsData(0xfea9, 'data_exploration_sharp');
  static const data_exploration =
      _MaterialSymbolsData(0xfeaa, 'data_exploration');
  static const data_object_filled_outlined =
      _MaterialSymbolsData(0xfeab, 'data_object_filled_outlined');
  static const data_object_filled_sharp =
      _MaterialSymbolsData(0xfeac, 'data_object_filled_sharp');
  static const data_object_filled =
      _MaterialSymbolsData(0xfead, 'data_object_filled');
  static const data_object_outlined =
      _MaterialSymbolsData(0xfeae, 'data_object_outlined');
  static const data_object_sharp =
      _MaterialSymbolsData(0xfeaf, 'data_object_sharp');
  static const data_object = _MaterialSymbolsData(0xfeb0, 'data_object');
  static const data_saver_on_filled_outlined =
      _MaterialSymbolsData(0xfeb1, 'data_saver_on_filled_outlined');
  static const data_saver_on_filled_sharp =
      _MaterialSymbolsData(0xfeb2, 'data_saver_on_filled_sharp');
  static const data_saver_on_filled =
      _MaterialSymbolsData(0xfeb3, 'data_saver_on_filled');
  static const data_saver_on_outlined =
      _MaterialSymbolsData(0xfeb4, 'data_saver_on_outlined');
  static const data_saver_on_sharp =
      _MaterialSymbolsData(0xfeb5, 'data_saver_on_sharp');
  static const data_saver_on = _MaterialSymbolsData(0xfeb6, 'data_saver_on');
  static const data_thresholding_filled_outlined =
      _MaterialSymbolsData(0xfeb7, 'data_thresholding_filled_outlined');
  static const data_thresholding_filled_sharp =
      _MaterialSymbolsData(0xfeb8, 'data_thresholding_filled_sharp');
  static const data_thresholding_filled =
      _MaterialSymbolsData(0xfeb9, 'data_thresholding_filled');
  static const data_thresholding_outlined =
      _MaterialSymbolsData(0xfeba, 'data_thresholding_outlined');
  static const data_thresholding_sharp =
      _MaterialSymbolsData(0xfebb, 'data_thresholding_sharp');
  static const data_thresholding =
      _MaterialSymbolsData(0xfebc, 'data_thresholding');
  static const data_usage_filled_outlined =
      _MaterialSymbolsData(0xfebd, 'data_usage_filled_outlined');
  static const data_usage_filled_sharp =
      _MaterialSymbolsData(0xfebe, 'data_usage_filled_sharp');
  static const data_usage_filled =
      _MaterialSymbolsData(0xfebf, 'data_usage_filled');
  static const data_usage_outlined =
      _MaterialSymbolsData(0xfec0, 'data_usage_outlined');
  static const data_usage_sharp =
      _MaterialSymbolsData(0xfec1, 'data_usage_sharp');
  static const data_usage = _MaterialSymbolsData(0xfec2, 'data_usage');
  static const database_filled_outlined =
      _MaterialSymbolsData(0xfec3, 'database_filled_outlined');
  static const database_filled_sharp =
      _MaterialSymbolsData(0xfec4, 'database_filled_sharp');
  static const database_filled =
      _MaterialSymbolsData(0xfec5, 'database_filled');
  static const database_outlined =
      _MaterialSymbolsData(0xfec6, 'database_outlined');
  static const database_sharp = _MaterialSymbolsData(0xfec7, 'database_sharp');
  static const database = _MaterialSymbolsData(0xfec8, 'database');
  static const dataset_filled_outlined =
      _MaterialSymbolsData(0xfec9, 'dataset_filled_outlined');
  static const dataset_filled_sharp =
      _MaterialSymbolsData(0xfeca, 'dataset_filled_sharp');
  static const dataset_filled = _MaterialSymbolsData(0xfecb, 'dataset_filled');
  static const dataset_linked_filled_outlined =
      _MaterialSymbolsData(0xfecc, 'dataset_linked_filled_outlined');
  static const dataset_linked_filled_sharp =
      _MaterialSymbolsData(0xfecd, 'dataset_linked_filled_sharp');
  static const dataset_linked_filled =
      _MaterialSymbolsData(0xfece, 'dataset_linked_filled');
  static const dataset_linked_outlined =
      _MaterialSymbolsData(0xfecf, 'dataset_linked_outlined');
  static const dataset_linked_sharp =
      _MaterialSymbolsData(0xfed0, 'dataset_linked_sharp');
  static const dataset_linked = _MaterialSymbolsData(0xfed1, 'dataset_linked');
  static const dataset_outlined =
      _MaterialSymbolsData(0xfed2, 'dataset_outlined');
  static const dataset_sharp = _MaterialSymbolsData(0xfed3, 'dataset_sharp');
  static const dataset = _MaterialSymbolsData(0xfed4, 'dataset');
  static const date_range_filled_outlined =
      _MaterialSymbolsData(0xfed5, 'date_range_filled_outlined');
  static const date_range_filled_sharp =
      _MaterialSymbolsData(0xfed6, 'date_range_filled_sharp');
  static const date_range_filled =
      _MaterialSymbolsData(0xfed7, 'date_range_filled');
  static const date_range_outlined =
      _MaterialSymbolsData(0xfed8, 'date_range_outlined');
  static const date_range_sharp =
      _MaterialSymbolsData(0xfed9, 'date_range_sharp');
  static const date_range = _MaterialSymbolsData(0xfeda, 'date_range');
  static const deblur_filled_outlined =
      _MaterialSymbolsData(0xfedb, 'deblur_filled_outlined');
  static const deblur_filled_sharp =
      _MaterialSymbolsData(0xfedc, 'deblur_filled_sharp');
  static const deblur_filled = _MaterialSymbolsData(0xfedd, 'deblur_filled');
  static const deblur_outlined =
      _MaterialSymbolsData(0xfede, 'deblur_outlined');
  static const deblur_sharp = _MaterialSymbolsData(0xfedf, 'deblur_sharp');
  static const deblur = _MaterialSymbolsData(0xfee0, 'deblur');
  static const decimal_decrease_filled_outlined =
      _MaterialSymbolsData(0xfee1, 'decimal_decrease_filled_outlined');
  static const decimal_decrease_filled_sharp =
      _MaterialSymbolsData(0xfee2, 'decimal_decrease_filled_sharp');
  static const decimal_decrease_filled =
      _MaterialSymbolsData(0xfee3, 'decimal_decrease_filled');
  static const decimal_decrease_outlined =
      _MaterialSymbolsData(0xfee4, 'decimal_decrease_outlined');
  static const decimal_decrease_sharp =
      _MaterialSymbolsData(0xfee5, 'decimal_decrease_sharp');
  static const decimal_decrease =
      _MaterialSymbolsData(0xfee6, 'decimal_decrease');
  static const decimal_increase_filled_outlined =
      _MaterialSymbolsData(0xfee7, 'decimal_increase_filled_outlined');
  static const decimal_increase_filled_sharp =
      _MaterialSymbolsData(0xfee8, 'decimal_increase_filled_sharp');
  static const decimal_increase_filled =
      _MaterialSymbolsData(0xfee9, 'decimal_increase_filled');
  static const decimal_increase_outlined =
      _MaterialSymbolsData(0xfeea, 'decimal_increase_outlined');
  static const decimal_increase_sharp =
      _MaterialSymbolsData(0xfeeb, 'decimal_increase_sharp');
  static const decimal_increase =
      _MaterialSymbolsData(0xfeec, 'decimal_increase');
  static const deck_filled_outlined =
      _MaterialSymbolsData(0xfeed, 'deck_filled_outlined');
  static const deck_filled_sharp =
      _MaterialSymbolsData(0xfeee, 'deck_filled_sharp');
  static const deck_filled = _MaterialSymbolsData(0xfeef, 'deck_filled');
  static const deck_outlined = _MaterialSymbolsData(0xfef0, 'deck_outlined');
  static const deck_sharp = _MaterialSymbolsData(0xfef1, 'deck_sharp');
  static const deck = _MaterialSymbolsData(0xfef2, 'deck');
  static const dehaze_filled_outlined =
      _MaterialSymbolsData(0xfef3, 'dehaze_filled_outlined');
  static const dehaze_filled_sharp =
      _MaterialSymbolsData(0xfef4, 'dehaze_filled_sharp');
  static const dehaze_filled = _MaterialSymbolsData(0xfef5, 'dehaze_filled');
  static const dehaze_outlined =
      _MaterialSymbolsData(0xfef6, 'dehaze_outlined');
  static const dehaze_sharp = _MaterialSymbolsData(0xfef7, 'dehaze_sharp');
  static const dehaze = _MaterialSymbolsData(0xfef8, 'dehaze');
  static const delete_filled_outlined =
      _MaterialSymbolsData(0xfef9, 'delete_filled_outlined');
  static const delete_filled_sharp =
      _MaterialSymbolsData(0xfefa, 'delete_filled_sharp');
  static const delete_filled = _MaterialSymbolsData(0xfefb, 'delete_filled');
  static const delete_forever_filled_outlined =
      _MaterialSymbolsData(0xfefc, 'delete_forever_filled_outlined');
  static const delete_forever_filled_sharp =
      _MaterialSymbolsData(0xfefd, 'delete_forever_filled_sharp');
  static const delete_forever_filled =
      _MaterialSymbolsData(0xfefe, 'delete_forever_filled');
  static const delete_forever_outlined =
      _MaterialSymbolsData(0xfeff, 'delete_forever_outlined');
  static const delete_forever_sharp =
      _MaterialSymbolsData(0xff00, 'delete_forever_sharp');
  static const delete_forever = _MaterialSymbolsData(0xff01, 'delete_forever');
  static const delete_outlined =
      _MaterialSymbolsData(0xff02, 'delete_outlined');
  static const delete_sharp = _MaterialSymbolsData(0xff03, 'delete_sharp');
  static const delete_sweep_filled_outlined =
      _MaterialSymbolsData(0xff04, 'delete_sweep_filled_outlined');
  static const delete_sweep_filled_sharp =
      _MaterialSymbolsData(0xff05, 'delete_sweep_filled_sharp');
  static const delete_sweep_filled =
      _MaterialSymbolsData(0xff06, 'delete_sweep_filled');
  static const delete_sweep_outlined =
      _MaterialSymbolsData(0xff07, 'delete_sweep_outlined');
  static const delete_sweep_sharp =
      _MaterialSymbolsData(0xff08, 'delete_sweep_sharp');
  static const delete_sweep = _MaterialSymbolsData(0xff09, 'delete_sweep');
  static const delete = _MaterialSymbolsData(0xff0a, 'delete');
  static const demography_filled_outlined =
      _MaterialSymbolsData(0xff0b, 'demography_filled_outlined');
  static const demography_filled_sharp =
      _MaterialSymbolsData(0xff0c, 'demography_filled_sharp');
  static const demography_filled =
      _MaterialSymbolsData(0xff0d, 'demography_filled');
  static const demography_outlined =
      _MaterialSymbolsData(0xff0e, 'demography_outlined');
  static const demography_sharp =
      _MaterialSymbolsData(0xff0f, 'demography_sharp');
  static const demography = _MaterialSymbolsData(0xff10, 'demography');
  static const density_large_filled_outlined =
      _MaterialSymbolsData(0xff11, 'density_large_filled_outlined');
  static const density_large_filled_sharp =
      _MaterialSymbolsData(0xff12, 'density_large_filled_sharp');
  static const density_large_filled =
      _MaterialSymbolsData(0xff13, 'density_large_filled');
  static const density_large_outlined =
      _MaterialSymbolsData(0xff14, 'density_large_outlined');
  static const density_large_sharp =
      _MaterialSymbolsData(0xff15, 'density_large_sharp');
  static const density_large = _MaterialSymbolsData(0xff16, 'density_large');
  static const density_medium_filled_outlined =
      _MaterialSymbolsData(0xff17, 'density_medium_filled_outlined');
  static const density_medium_filled_sharp =
      _MaterialSymbolsData(0xff18, 'density_medium_filled_sharp');
  static const density_medium_filled =
      _MaterialSymbolsData(0xff19, 'density_medium_filled');
  static const density_medium_outlined =
      _MaterialSymbolsData(0xff1a, 'density_medium_outlined');
  static const density_medium_sharp =
      _MaterialSymbolsData(0xff1b, 'density_medium_sharp');
  static const density_medium = _MaterialSymbolsData(0xff1c, 'density_medium');
  static const density_small_filled_outlined =
      _MaterialSymbolsData(0xff1d, 'density_small_filled_outlined');
  static const density_small_filled_sharp =
      _MaterialSymbolsData(0xff1e, 'density_small_filled_sharp');
  static const density_small_filled =
      _MaterialSymbolsData(0xff1f, 'density_small_filled');
  static const density_small_outlined =
      _MaterialSymbolsData(0xff20, 'density_small_outlined');
  static const density_small_sharp =
      _MaterialSymbolsData(0xff21, 'density_small_sharp');
  static const density_small = _MaterialSymbolsData(0xff22, 'density_small');
  static const dentistry_filled_outlined =
      _MaterialSymbolsData(0xff23, 'dentistry_filled_outlined');
  static const dentistry_filled_sharp =
      _MaterialSymbolsData(0xff24, 'dentistry_filled_sharp');
  static const dentistry_filled =
      _MaterialSymbolsData(0xff25, 'dentistry_filled');
  static const dentistry_outlined =
      _MaterialSymbolsData(0xff26, 'dentistry_outlined');
  static const dentistry_sharp =
      _MaterialSymbolsData(0xff27, 'dentistry_sharp');
  static const dentistry = _MaterialSymbolsData(0xff28, 'dentistry');
  static const departure_board_filled_outlined =
      _MaterialSymbolsData(0xff29, 'departure_board_filled_outlined');
  static const departure_board_filled_sharp =
      _MaterialSymbolsData(0xff2a, 'departure_board_filled_sharp');
  static const departure_board_filled =
      _MaterialSymbolsData(0xff2b, 'departure_board_filled');
  static const departure_board_outlined =
      _MaterialSymbolsData(0xff2c, 'departure_board_outlined');
  static const departure_board_sharp =
      _MaterialSymbolsData(0xff2d, 'departure_board_sharp');
  static const departure_board =
      _MaterialSymbolsData(0xff2e, 'departure_board');
  static const dermatology_filled_outlined =
      _MaterialSymbolsData(0xff2f, 'dermatology_filled_outlined');
  static const dermatology_filled_sharp =
      _MaterialSymbolsData(0xff30, 'dermatology_filled_sharp');
  static const dermatology_filled =
      _MaterialSymbolsData(0xff31, 'dermatology_filled');
  static const dermatology_outlined =
      _MaterialSymbolsData(0xff32, 'dermatology_outlined');
  static const dermatology_sharp =
      _MaterialSymbolsData(0xff33, 'dermatology_sharp');
  static const dermatology = _MaterialSymbolsData(0xff34, 'dermatology');
  static const description_filled_outlined =
      _MaterialSymbolsData(0xff35, 'description_filled_outlined');
  static const description_filled_sharp =
      _MaterialSymbolsData(0xff36, 'description_filled_sharp');
  static const description_filled =
      _MaterialSymbolsData(0xff37, 'description_filled');
  static const description_outlined =
      _MaterialSymbolsData(0xff38, 'description_outlined');
  static const description_sharp =
      _MaterialSymbolsData(0xff39, 'description_sharp');
  static const description = _MaterialSymbolsData(0xff3a, 'description');
  static const deselect_filled_outlined =
      _MaterialSymbolsData(0xff3b, 'deselect_filled_outlined');
  static const deselect_filled_sharp =
      _MaterialSymbolsData(0xff3c, 'deselect_filled_sharp');
  static const deselect_filled =
      _MaterialSymbolsData(0xff3d, 'deselect_filled');
  static const deselect_outlined =
      _MaterialSymbolsData(0xff3e, 'deselect_outlined');
  static const deselect_sharp = _MaterialSymbolsData(0xff3f, 'deselect_sharp');
  static const deselect = _MaterialSymbolsData(0xff40, 'deselect');
  static const design_services_filled_outlined =
      _MaterialSymbolsData(0xff41, 'design_services_filled_outlined');
  static const design_services_filled_sharp =
      _MaterialSymbolsData(0xff42, 'design_services_filled_sharp');
  static const design_services_filled =
      _MaterialSymbolsData(0xff43, 'design_services_filled');
  static const design_services_outlined =
      _MaterialSymbolsData(0xff44, 'design_services_outlined');
  static const design_services_sharp =
      _MaterialSymbolsData(0xff45, 'design_services_sharp');
  static const design_services =
      _MaterialSymbolsData(0xff46, 'design_services');
  static const desk_filled_outlined =
      _MaterialSymbolsData(0xff47, 'desk_filled_outlined');
  static const desk_filled_sharp =
      _MaterialSymbolsData(0xff48, 'desk_filled_sharp');
  static const desk_filled = _MaterialSymbolsData(0xff49, 'desk_filled');
  static const desk_outlined = _MaterialSymbolsData(0xff4a, 'desk_outlined');
  static const desk_sharp = _MaterialSymbolsData(0xff4b, 'desk_sharp');
  static const desk = _MaterialSymbolsData(0xff4c, 'desk');
  static const desktop_access_disabled_filled_outlined =
      _MaterialSymbolsData(0xff4d, 'desktop_access_disabled_filled_outlined');
  static const desktop_access_disabled_filled_sharp =
      _MaterialSymbolsData(0xff4e, 'desktop_access_disabled_filled_sharp');
  static const desktop_access_disabled_filled =
      _MaterialSymbolsData(0xff4f, 'desktop_access_disabled_filled');
  static const desktop_access_disabled_outlined =
      _MaterialSymbolsData(0xff50, 'desktop_access_disabled_outlined');
  static const desktop_access_disabled_sharp =
      _MaterialSymbolsData(0xff51, 'desktop_access_disabled_sharp');
  static const desktop_access_disabled =
      _MaterialSymbolsData(0xff52, 'desktop_access_disabled');
  static const desktop_mac_filled_outlined =
      _MaterialSymbolsData(0xff53, 'desktop_mac_filled_outlined');
  static const desktop_mac_filled_sharp =
      _MaterialSymbolsData(0xff54, 'desktop_mac_filled_sharp');
  static const desktop_mac_filled =
      _MaterialSymbolsData(0xff55, 'desktop_mac_filled');
  static const desktop_mac_outlined =
      _MaterialSymbolsData(0xff56, 'desktop_mac_outlined');
  static const desktop_mac_sharp =
      _MaterialSymbolsData(0xff57, 'desktop_mac_sharp');
  static const desktop_mac = _MaterialSymbolsData(0xff58, 'desktop_mac');
  static const desktop_windows_filled_outlined =
      _MaterialSymbolsData(0xff59, 'desktop_windows_filled_outlined');
  static const desktop_windows_filled_sharp =
      _MaterialSymbolsData(0xff5a, 'desktop_windows_filled_sharp');
  static const desktop_windows_filled =
      _MaterialSymbolsData(0xff5b, 'desktop_windows_filled');
  static const desktop_windows_outlined =
      _MaterialSymbolsData(0xff5c, 'desktop_windows_outlined');
  static const desktop_windows_sharp =
      _MaterialSymbolsData(0xff5d, 'desktop_windows_sharp');
  static const desktop_windows =
      _MaterialSymbolsData(0xff5e, 'desktop_windows');
  static const details_filled_outlined =
      _MaterialSymbolsData(0xff5f, 'details_filled_outlined');
  static const details_filled_sharp =
      _MaterialSymbolsData(0xff60, 'details_filled_sharp');
  static const details_filled = _MaterialSymbolsData(0xff61, 'details_filled');
  static const details_outlined =
      _MaterialSymbolsData(0xff62, 'details_outlined');
  static const details_sharp = _MaterialSymbolsData(0xff63, 'details_sharp');
  static const details = _MaterialSymbolsData(0xff64, 'details');
  static const detection_and_zone_filled_outlined =
      _MaterialSymbolsData(0xff65, 'detection_and_zone_filled_outlined');
  static const detection_and_zone_filled_sharp =
      _MaterialSymbolsData(0xff66, 'detection_and_zone_filled_sharp');
  static const detection_and_zone_filled =
      _MaterialSymbolsData(0xff67, 'detection_and_zone_filled');
  static const detection_and_zone_outlined =
      _MaterialSymbolsData(0xff68, 'detection_and_zone_outlined');
  static const detection_and_zone_sharp =
      _MaterialSymbolsData(0xff69, 'detection_and_zone_sharp');
  static const detection_and_zone =
      _MaterialSymbolsData(0xff6a, 'detection_and_zone');
  static const detector_alarm_filled_outlined =
      _MaterialSymbolsData(0xff6b, 'detector_alarm_filled_outlined');
  static const detector_alarm_filled_sharp =
      _MaterialSymbolsData(0xff6c, 'detector_alarm_filled_sharp');
  static const detector_alarm_filled =
      _MaterialSymbolsData(0xff6d, 'detector_alarm_filled');
  static const detector_alarm_outlined =
      _MaterialSymbolsData(0xff6e, 'detector_alarm_outlined');
  static const detector_alarm_sharp =
      _MaterialSymbolsData(0xff6f, 'detector_alarm_sharp');
  static const detector_alarm = _MaterialSymbolsData(0xff70, 'detector_alarm');
  static const detector_battery_filled_outlined =
      _MaterialSymbolsData(0xff71, 'detector_battery_filled_outlined');
  static const detector_battery_filled_sharp =
      _MaterialSymbolsData(0xff72, 'detector_battery_filled_sharp');
  static const detector_battery_filled =
      _MaterialSymbolsData(0xff73, 'detector_battery_filled');
  static const detector_battery_outlined =
      _MaterialSymbolsData(0xff74, 'detector_battery_outlined');
  static const detector_battery_sharp =
      _MaterialSymbolsData(0xff75, 'detector_battery_sharp');
  static const detector_battery =
      _MaterialSymbolsData(0xff76, 'detector_battery');
  static const detector_co_filled_outlined =
      _MaterialSymbolsData(0xff77, 'detector_co_filled_outlined');
  static const detector_co_filled_sharp =
      _MaterialSymbolsData(0xff78, 'detector_co_filled_sharp');
  static const detector_co_filled =
      _MaterialSymbolsData(0xff79, 'detector_co_filled');
  static const detector_co_outlined =
      _MaterialSymbolsData(0xff7a, 'detector_co_outlined');
  static const detector_co_sharp =
      _MaterialSymbolsData(0xff7b, 'detector_co_sharp');
  static const detector_co = _MaterialSymbolsData(0xff7c, 'detector_co');
  static const detector_filled_outlined =
      _MaterialSymbolsData(0xff7d, 'detector_filled_outlined');
  static const detector_filled_sharp =
      _MaterialSymbolsData(0xff7e, 'detector_filled_sharp');
  static const detector_filled =
      _MaterialSymbolsData(0xff7f, 'detector_filled');
  static const detector_offline_filled_outlined =
      _MaterialSymbolsData(0xff80, 'detector_offline_filled_outlined');
  static const detector_offline_filled_sharp =
      _MaterialSymbolsData(0xff81, 'detector_offline_filled_sharp');
  static const detector_offline_filled =
      _MaterialSymbolsData(0xff82, 'detector_offline_filled');
  static const detector_offline_outlined =
      _MaterialSymbolsData(0xff83, 'detector_offline_outlined');
  static const detector_offline_sharp =
      _MaterialSymbolsData(0xff84, 'detector_offline_sharp');
  static const detector_offline =
      _MaterialSymbolsData(0xff85, 'detector_offline');
  static const detector_outlined =
      _MaterialSymbolsData(0xff86, 'detector_outlined');
  static const detector_sharp = _MaterialSymbolsData(0xff87, 'detector_sharp');
  static const detector_smoke_filled_outlined =
      _MaterialSymbolsData(0xff88, 'detector_smoke_filled_outlined');
  static const detector_smoke_filled_sharp =
      _MaterialSymbolsData(0xff89, 'detector_smoke_filled_sharp');
  static const detector_smoke_filled =
      _MaterialSymbolsData(0xff8a, 'detector_smoke_filled');
  static const detector_smoke_outlined =
      _MaterialSymbolsData(0xff8b, 'detector_smoke_outlined');
  static const detector_smoke_sharp =
      _MaterialSymbolsData(0xff8c, 'detector_smoke_sharp');
  static const detector_smoke = _MaterialSymbolsData(0xff8d, 'detector_smoke');
  static const detector_status_filled_outlined =
      _MaterialSymbolsData(0xff8e, 'detector_status_filled_outlined');
  static const detector_status_filled_sharp =
      _MaterialSymbolsData(0xff8f, 'detector_status_filled_sharp');
  static const detector_status_filled =
      _MaterialSymbolsData(0xff90, 'detector_status_filled');
  static const detector_status_outlined =
      _MaterialSymbolsData(0xff91, 'detector_status_outlined');
  static const detector_status_sharp =
      _MaterialSymbolsData(0xff92, 'detector_status_sharp');
  static const detector_status =
      _MaterialSymbolsData(0xff93, 'detector_status');
  static const detector = _MaterialSymbolsData(0xff94, 'detector');
  static const developer_board_filled_outlined =
      _MaterialSymbolsData(0xff95, 'developer_board_filled_outlined');
  static const developer_board_filled_sharp =
      _MaterialSymbolsData(0xff96, 'developer_board_filled_sharp');
  static const developer_board_filled =
      _MaterialSymbolsData(0xff97, 'developer_board_filled');
  static const developer_board_off_filled_outlined =
      _MaterialSymbolsData(0xff98, 'developer_board_off_filled_outlined');
  static const developer_board_off_filled_sharp =
      _MaterialSymbolsData(0xff99, 'developer_board_off_filled_sharp');
  static const developer_board_off_filled =
      _MaterialSymbolsData(0xff9a, 'developer_board_off_filled');
  static const developer_board_off_outlined =
      _MaterialSymbolsData(0xff9b, 'developer_board_off_outlined');
  static const developer_board_off_sharp =
      _MaterialSymbolsData(0xff9c, 'developer_board_off_sharp');
  static const developer_board_off =
      _MaterialSymbolsData(0xff9d, 'developer_board_off');
  static const developer_board_outlined =
      _MaterialSymbolsData(0xff9e, 'developer_board_outlined');
  static const developer_board_sharp =
      _MaterialSymbolsData(0xff9f, 'developer_board_sharp');
  static const developer_board =
      _MaterialSymbolsData(0xffa0, 'developer_board');
  static const developer_mode_filled_outlined =
      _MaterialSymbolsData(0xffa1, 'developer_mode_filled_outlined');
  static const developer_mode_filled_sharp =
      _MaterialSymbolsData(0xffa2, 'developer_mode_filled_sharp');
  static const developer_mode_filled =
      _MaterialSymbolsData(0xffa3, 'developer_mode_filled');
  static const developer_mode_outlined =
      _MaterialSymbolsData(0xffa4, 'developer_mode_outlined');
  static const developer_mode_sharp =
      _MaterialSymbolsData(0xffa5, 'developer_mode_sharp');
  static const developer_mode = _MaterialSymbolsData(0xffa6, 'developer_mode');
  static const device_hub_filled_outlined =
      _MaterialSymbolsData(0xffa7, 'device_hub_filled_outlined');
  static const device_hub_filled_sharp =
      _MaterialSymbolsData(0xffa8, 'device_hub_filled_sharp');
  static const device_hub_filled =
      _MaterialSymbolsData(0xffa9, 'device_hub_filled');
  static const device_hub_outlined =
      _MaterialSymbolsData(0xffaa, 'device_hub_outlined');
  static const device_hub_sharp =
      _MaterialSymbolsData(0xffab, 'device_hub_sharp');
  static const device_hub = _MaterialSymbolsData(0xffac, 'device_hub');
  static const device_reset_filled_outlined =
      _MaterialSymbolsData(0xffad, 'device_reset_filled_outlined');
  static const device_reset_filled_sharp =
      _MaterialSymbolsData(0xffae, 'device_reset_filled_sharp');
  static const device_reset_filled =
      _MaterialSymbolsData(0xffaf, 'device_reset_filled');
  static const device_reset_outlined =
      _MaterialSymbolsData(0xffb0, 'device_reset_outlined');
  static const device_reset_sharp =
      _MaterialSymbolsData(0xffb1, 'device_reset_sharp');
  static const device_reset = _MaterialSymbolsData(0xffb2, 'device_reset');
  static const device_thermostat_filled_outlined =
      _MaterialSymbolsData(0xffb3, 'device_thermostat_filled_outlined');
  static const device_thermostat_filled_sharp =
      _MaterialSymbolsData(0xffb4, 'device_thermostat_filled_sharp');
  static const device_thermostat_filled =
      _MaterialSymbolsData(0xffb5, 'device_thermostat_filled');
  static const device_thermostat_outlined =
      _MaterialSymbolsData(0xffb6, 'device_thermostat_outlined');
  static const device_thermostat_sharp =
      _MaterialSymbolsData(0xffb7, 'device_thermostat_sharp');
  static const device_thermostat =
      _MaterialSymbolsData(0xffb8, 'device_thermostat');
  static const device_unknown_filled_outlined =
      _MaterialSymbolsData(0xffb9, 'device_unknown_filled_outlined');
  static const device_unknown_filled_sharp =
      _MaterialSymbolsData(0xffba, 'device_unknown_filled_sharp');
  static const device_unknown_filled =
      _MaterialSymbolsData(0xffbb, 'device_unknown_filled');
  static const device_unknown_outlined =
      _MaterialSymbolsData(0xffbc, 'device_unknown_outlined');
  static const device_unknown_sharp =
      _MaterialSymbolsData(0xffbd, 'device_unknown_sharp');
  static const device_unknown = _MaterialSymbolsData(0xffbe, 'device_unknown');
  static const devices_filled_outlined =
      _MaterialSymbolsData(0xffbf, 'devices_filled_outlined');
  static const devices_filled_sharp =
      _MaterialSymbolsData(0xffc0, 'devices_filled_sharp');
  static const devices_filled = _MaterialSymbolsData(0xffc1, 'devices_filled');
  static const devices_fold_filled_outlined =
      _MaterialSymbolsData(0xffc2, 'devices_fold_filled_outlined');
  static const devices_fold_filled_sharp =
      _MaterialSymbolsData(0xffc3, 'devices_fold_filled_sharp');
  static const devices_fold_filled =
      _MaterialSymbolsData(0xffc4, 'devices_fold_filled');
  static const devices_fold_outlined =
      _MaterialSymbolsData(0xffc5, 'devices_fold_outlined');
  static const devices_fold_sharp =
      _MaterialSymbolsData(0xffc6, 'devices_fold_sharp');
  static const devices_fold = _MaterialSymbolsData(0xffc7, 'devices_fold');
  static const devices_other_filled_outlined =
      _MaterialSymbolsData(0xffc8, 'devices_other_filled_outlined');
  static const devices_other_filled_sharp =
      _MaterialSymbolsData(0xffc9, 'devices_other_filled_sharp');
  static const devices_other_filled =
      _MaterialSymbolsData(0xffca, 'devices_other_filled');
  static const devices_other_outlined =
      _MaterialSymbolsData(0xffcb, 'devices_other_outlined');
  static const devices_other_sharp =
      _MaterialSymbolsData(0xffcc, 'devices_other_sharp');
  static const devices_other = _MaterialSymbolsData(0xffcd, 'devices_other');
  static const devices_outlined =
      _MaterialSymbolsData(0xffce, 'devices_outlined');
  static const devices_sharp = _MaterialSymbolsData(0xffcf, 'devices_sharp');
  static const devices = _MaterialSymbolsData(0xffd0, 'devices');
  static const dew_point_filled_outlined =
      _MaterialSymbolsData(0xffd1, 'dew_point_filled_outlined');
  static const dew_point_filled_sharp =
      _MaterialSymbolsData(0xffd2, 'dew_point_filled_sharp');
  static const dew_point_filled =
      _MaterialSymbolsData(0xffd3, 'dew_point_filled');
  static const dew_point_outlined =
      _MaterialSymbolsData(0xffd4, 'dew_point_outlined');
  static const dew_point_sharp =
      _MaterialSymbolsData(0xffd5, 'dew_point_sharp');
  static const dew_point = _MaterialSymbolsData(0xffd6, 'dew_point');
  static const diagnosis_filled_outlined =
      _MaterialSymbolsData(0xffd7, 'diagnosis_filled_outlined');
  static const diagnosis_filled_sharp =
      _MaterialSymbolsData(0xffd8, 'diagnosis_filled_sharp');
  static const diagnosis_filled =
      _MaterialSymbolsData(0xffd9, 'diagnosis_filled');
  static const diagnosis_outlined =
      _MaterialSymbolsData(0xffda, 'diagnosis_outlined');
  static const diagnosis_sharp =
      _MaterialSymbolsData(0xffdb, 'diagnosis_sharp');
  static const diagnosis = _MaterialSymbolsData(0xffdc, 'diagnosis');
  static const dialer_sip_filled_outlined =
      _MaterialSymbolsData(0xffdd, 'dialer_sip_filled_outlined');
  static const dialer_sip_filled_sharp =
      _MaterialSymbolsData(0xffde, 'dialer_sip_filled_sharp');
  static const dialer_sip_filled =
      _MaterialSymbolsData(0xffdf, 'dialer_sip_filled');
  static const dialer_sip_outlined =
      _MaterialSymbolsData(0xffe0, 'dialer_sip_outlined');
  static const dialer_sip_sharp =
      _MaterialSymbolsData(0xffe1, 'dialer_sip_sharp');
  static const dialer_sip = _MaterialSymbolsData(0xffe2, 'dialer_sip');
  static const dialpad_filled_outlined =
      _MaterialSymbolsData(0xffe3, 'dialpad_filled_outlined');
  static const dialpad_filled_sharp =
      _MaterialSymbolsData(0xffe4, 'dialpad_filled_sharp');
  static const dialpad_filled = _MaterialSymbolsData(0xffe5, 'dialpad_filled');
  static const dialpad_outlined =
      _MaterialSymbolsData(0xffe6, 'dialpad_outlined');
  static const dialpad_sharp = _MaterialSymbolsData(0xffe7, 'dialpad_sharp');
  static const dialpad = _MaterialSymbolsData(0xffe8, 'dialpad');
  static const diamond_filled_outlined =
      _MaterialSymbolsData(0xffe9, 'diamond_filled_outlined');
  static const diamond_filled_sharp =
      _MaterialSymbolsData(0xffea, 'diamond_filled_sharp');
  static const diamond_filled = _MaterialSymbolsData(0xffeb, 'diamond_filled');
  static const diamond_outlined =
      _MaterialSymbolsData(0xffec, 'diamond_outlined');
  static const diamond_sharp = _MaterialSymbolsData(0xffed, 'diamond_sharp');
  static const diamond = _MaterialSymbolsData(0xffee, 'diamond');
  static const difference_filled_outlined =
      _MaterialSymbolsData(0xffef, 'difference_filled_outlined');
  static const difference_filled_sharp =
      _MaterialSymbolsData(0xfff0, 'difference_filled_sharp');
  static const difference_filled =
      _MaterialSymbolsData(0xfff1, 'difference_filled');
  static const difference_outlined =
      _MaterialSymbolsData(0xfff2, 'difference_outlined');
  static const difference_sharp =
      _MaterialSymbolsData(0xfff3, 'difference_sharp');
  static const difference = _MaterialSymbolsData(0xfff4, 'difference');
  static const digital_out_of_home_filled_outlined =
      _MaterialSymbolsData(0xfff5, 'digital_out_of_home_filled_outlined');
  static const digital_out_of_home_filled_sharp =
      _MaterialSymbolsData(0xfff6, 'digital_out_of_home_filled_sharp');
  static const digital_out_of_home_filled =
      _MaterialSymbolsData(0xfff7, 'digital_out_of_home_filled');
  static const digital_out_of_home_outlined =
      _MaterialSymbolsData(0xfff8, 'digital_out_of_home_outlined');
  static const digital_out_of_home_sharp =
      _MaterialSymbolsData(0xfff9, 'digital_out_of_home_sharp');
  static const digital_out_of_home =
      _MaterialSymbolsData(0xfffa, 'digital_out_of_home');
  static const dining_filled_outlined =
      _MaterialSymbolsData(0xfffb, 'dining_filled_outlined');
  static const dining_filled_sharp =
      _MaterialSymbolsData(0xfffc, 'dining_filled_sharp');
  static const dining_filled = _MaterialSymbolsData(0xfffd, 'dining_filled');
  static const dining_outlined =
      _MaterialSymbolsData(0xfffe, 'dining_outlined');
  static const dining_sharp = _MaterialSymbolsData(0xffff, 'dining_sharp');
  static const dining = _MaterialSymbolsData(0x0, 'dining');
  static const dinner_dining_filled_outlined =
      _MaterialSymbolsData(0x1, 'dinner_dining_filled_outlined');
  static const dinner_dining_filled_sharp =
      _MaterialSymbolsData(0x2, 'dinner_dining_filled_sharp');
  static const dinner_dining_filled =
      _MaterialSymbolsData(0x3, 'dinner_dining_filled');
  static const dinner_dining_outlined =
      _MaterialSymbolsData(0x4, 'dinner_dining_outlined');
  static const dinner_dining_sharp =
      _MaterialSymbolsData(0x5, 'dinner_dining_sharp');
  static const dinner_dining = _MaterialSymbolsData(0x6, 'dinner_dining');
  static const directions_alt_filled_outlined =
      _MaterialSymbolsData(0x7, 'directions_alt_filled_outlined');
  static const directions_alt_filled_sharp =
      _MaterialSymbolsData(0x8, 'directions_alt_filled_sharp');
  static const directions_alt_filled =
      _MaterialSymbolsData(0x9, 'directions_alt_filled');
  static const directions_alt_off_filled_outlined =
      _MaterialSymbolsData(0xa, 'directions_alt_off_filled_outlined');
  static const directions_alt_off_filled_sharp =
      _MaterialSymbolsData(0xb, 'directions_alt_off_filled_sharp');
  static const directions_alt_off_filled =
      _MaterialSymbolsData(0xc, 'directions_alt_off_filled');
  static const directions_alt_off_outlined =
      _MaterialSymbolsData(0xd, 'directions_alt_off_outlined');
  static const directions_alt_off_sharp =
      _MaterialSymbolsData(0xe, 'directions_alt_off_sharp');
  static const directions_alt_off =
      _MaterialSymbolsData(0xf, 'directions_alt_off');
  static const directions_alt_outlined =
      _MaterialSymbolsData(0x10, 'directions_alt_outlined');
  static const directions_alt_sharp =
      _MaterialSymbolsData(0x11, 'directions_alt_sharp');
  static const directions_alt = _MaterialSymbolsData(0x12, 'directions_alt');
  static const directions_bike_filled_outlined =
      _MaterialSymbolsData(0x13, 'directions_bike_filled_outlined');
  static const directions_bike_filled_sharp =
      _MaterialSymbolsData(0x14, 'directions_bike_filled_sharp');
  static const directions_bike_filled =
      _MaterialSymbolsData(0x15, 'directions_bike_filled');
  static const directions_bike_outlined =
      _MaterialSymbolsData(0x16, 'directions_bike_outlined');
  static const directions_bike_sharp =
      _MaterialSymbolsData(0x17, 'directions_bike_sharp');
  static const directions_bike = _MaterialSymbolsData(0x18, 'directions_bike');
  static const directions_boat_filled_outlined =
      _MaterialSymbolsData(0x19, 'directions_boat_filled_outlined');
  static const directions_boat_filled_sharp =
      _MaterialSymbolsData(0x1a, 'directions_boat_filled_sharp');
  static const directions_boat_filled =
      _MaterialSymbolsData(0x1b, 'directions_boat_filled');
  static const directions_boat_outlined =
      _MaterialSymbolsData(0x1c, 'directions_boat_outlined');
  static const directions_boat_sharp =
      _MaterialSymbolsData(0x1d, 'directions_boat_sharp');
  static const directions_boat = _MaterialSymbolsData(0x1e, 'directions_boat');
  static const directions_bus_filled_outlined =
      _MaterialSymbolsData(0x1f, 'directions_bus_filled_outlined');
  static const directions_bus_filled_sharp =
      _MaterialSymbolsData(0x20, 'directions_bus_filled_sharp');
  static const directions_bus_filled =
      _MaterialSymbolsData(0x21, 'directions_bus_filled');
  static const directions_bus_outlined =
      _MaterialSymbolsData(0x22, 'directions_bus_outlined');
  static const directions_bus_sharp =
      _MaterialSymbolsData(0x23, 'directions_bus_sharp');
  static const directions_bus = _MaterialSymbolsData(0x24, 'directions_bus');
  static const directions_car_filled_outlined =
      _MaterialSymbolsData(0x25, 'directions_car_filled_outlined');
  static const directions_car_filled_sharp =
      _MaterialSymbolsData(0x26, 'directions_car_filled_sharp');
  static const directions_car_filled =
      _MaterialSymbolsData(0x27, 'directions_car_filled');
  static const directions_car_outlined =
      _MaterialSymbolsData(0x28, 'directions_car_outlined');
  static const directions_car_sharp =
      _MaterialSymbolsData(0x29, 'directions_car_sharp');
  static const directions_car = _MaterialSymbolsData(0x2a, 'directions_car');
  static const directions_filled_outlined =
      _MaterialSymbolsData(0x2b, 'directions_filled_outlined');
  static const directions_filled_sharp =
      _MaterialSymbolsData(0x2c, 'directions_filled_sharp');
  static const directions_filled =
      _MaterialSymbolsData(0x2d, 'directions_filled');
  static const directions_off_filled_outlined =
      _MaterialSymbolsData(0x2e, 'directions_off_filled_outlined');
  static const directions_off_filled_sharp =
      _MaterialSymbolsData(0x2f, 'directions_off_filled_sharp');
  static const directions_off_filled =
      _MaterialSymbolsData(0x30, 'directions_off_filled');
  static const directions_off_outlined =
      _MaterialSymbolsData(0x31, 'directions_off_outlined');
  static const directions_off_sharp =
      _MaterialSymbolsData(0x32, 'directions_off_sharp');
  static const directions_off = _MaterialSymbolsData(0x33, 'directions_off');
  static const directions_outlined =
      _MaterialSymbolsData(0x34, 'directions_outlined');
  static const directions_railway_filled_outlined =
      _MaterialSymbolsData(0x35, 'directions_railway_filled_outlined');
  static const directions_railway_filled_sharp =
      _MaterialSymbolsData(0x36, 'directions_railway_filled_sharp');
  static const directions_railway_filled =
      _MaterialSymbolsData(0x37, 'directions_railway_filled');
  static const directions_railway_outlined =
      _MaterialSymbolsData(0x38, 'directions_railway_outlined');
  static const directions_railway_sharp =
      _MaterialSymbolsData(0x39, 'directions_railway_sharp');
  static const directions_railway =
      _MaterialSymbolsData(0x3a, 'directions_railway');
  static const directions_run_filled_outlined =
      _MaterialSymbolsData(0x3b, 'directions_run_filled_outlined');
  static const directions_run_filled_sharp =
      _MaterialSymbolsData(0x3c, 'directions_run_filled_sharp');
  static const directions_run_filled =
      _MaterialSymbolsData(0x3d, 'directions_run_filled');
  static const directions_run_outlined =
      _MaterialSymbolsData(0x3e, 'directions_run_outlined');
  static const directions_run_sharp =
      _MaterialSymbolsData(0x3f, 'directions_run_sharp');
  static const directions_run = _MaterialSymbolsData(0x40, 'directions_run');
  static const directions_sharp =
      _MaterialSymbolsData(0x41, 'directions_sharp');
  static const directions_subway_filled_outlined =
      _MaterialSymbolsData(0x42, 'directions_subway_filled_outlined');
  static const directions_subway_filled_sharp =
      _MaterialSymbolsData(0x43, 'directions_subway_filled_sharp');
  static const directions_subway_filled =
      _MaterialSymbolsData(0x44, 'directions_subway_filled');
  static const directions_subway_outlined =
      _MaterialSymbolsData(0x45, 'directions_subway_outlined');
  static const directions_subway_sharp =
      _MaterialSymbolsData(0x46, 'directions_subway_sharp');
  static const directions_subway =
      _MaterialSymbolsData(0x47, 'directions_subway');
  static const directions_walk_filled_outlined =
      _MaterialSymbolsData(0x48, 'directions_walk_filled_outlined');
  static const directions_walk_filled_sharp =
      _MaterialSymbolsData(0x49, 'directions_walk_filled_sharp');
  static const directions_walk_filled =
      _MaterialSymbolsData(0x4a, 'directions_walk_filled');
  static const directions_walk_outlined =
      _MaterialSymbolsData(0x4b, 'directions_walk_outlined');
  static const directions_walk_sharp =
      _MaterialSymbolsData(0x4c, 'directions_walk_sharp');
  static const directions_walk = _MaterialSymbolsData(0x4d, 'directions_walk');
  static const directions = _MaterialSymbolsData(0x4e, 'directions');
  static const dirty_lens_filled_outlined =
      _MaterialSymbolsData(0x4f, 'dirty_lens_filled_outlined');
  static const dirty_lens_filled_sharp =
      _MaterialSymbolsData(0x50, 'dirty_lens_filled_sharp');
  static const dirty_lens_filled =
      _MaterialSymbolsData(0x51, 'dirty_lens_filled');
  static const dirty_lens_outlined =
      _MaterialSymbolsData(0x52, 'dirty_lens_outlined');
  static const dirty_lens_sharp =
      _MaterialSymbolsData(0x53, 'dirty_lens_sharp');
  static const dirty_lens = _MaterialSymbolsData(0x54, 'dirty_lens');
  static const disabled_by_default_filled_outlined =
      _MaterialSymbolsData(0x55, 'disabled_by_default_filled_outlined');
  static const disabled_by_default_filled_sharp =
      _MaterialSymbolsData(0x56, 'disabled_by_default_filled_sharp');
  static const disabled_by_default_filled =
      _MaterialSymbolsData(0x57, 'disabled_by_default_filled');
  static const disabled_by_default_outlined =
      _MaterialSymbolsData(0x58, 'disabled_by_default_outlined');
  static const disabled_by_default_sharp =
      _MaterialSymbolsData(0x59, 'disabled_by_default_sharp');
  static const disabled_by_default =
      _MaterialSymbolsData(0x5a, 'disabled_by_default');
  static const disabled_visible_filled_outlined =
      _MaterialSymbolsData(0x5b, 'disabled_visible_filled_outlined');
  static const disabled_visible_filled_sharp =
      _MaterialSymbolsData(0x5c, 'disabled_visible_filled_sharp');
  static const disabled_visible_filled =
      _MaterialSymbolsData(0x5d, 'disabled_visible_filled');
  static const disabled_visible_outlined =
      _MaterialSymbolsData(0x5e, 'disabled_visible_outlined');
  static const disabled_visible_sharp =
      _MaterialSymbolsData(0x5f, 'disabled_visible_sharp');
  static const disabled_visible =
      _MaterialSymbolsData(0x60, 'disabled_visible');
  static const disc_full_filled_outlined =
      _MaterialSymbolsData(0x61, 'disc_full_filled_outlined');
  static const disc_full_filled_sharp =
      _MaterialSymbolsData(0x62, 'disc_full_filled_sharp');
  static const disc_full_filled =
      _MaterialSymbolsData(0x63, 'disc_full_filled');
  static const disc_full_outlined =
      _MaterialSymbolsData(0x64, 'disc_full_outlined');
  static const disc_full_sharp = _MaterialSymbolsData(0x65, 'disc_full_sharp');
  static const disc_full = _MaterialSymbolsData(0x66, 'disc_full');
  static const discover_tune_filled_outlined =
      _MaterialSymbolsData(0x67, 'discover_tune_filled_outlined');
  static const discover_tune_filled_sharp =
      _MaterialSymbolsData(0x68, 'discover_tune_filled_sharp');
  static const discover_tune_filled =
      _MaterialSymbolsData(0x69, 'discover_tune_filled');
  static const discover_tune_outlined =
      _MaterialSymbolsData(0x6a, 'discover_tune_outlined');
  static const discover_tune_sharp =
      _MaterialSymbolsData(0x6b, 'discover_tune_sharp');
  static const discover_tune = _MaterialSymbolsData(0x6c, 'discover_tune');
  static const dishwasher_gen_filled_outlined =
      _MaterialSymbolsData(0x6d, 'dishwasher_gen_filled_outlined');
  static const dishwasher_gen_filled_sharp =
      _MaterialSymbolsData(0x6e, 'dishwasher_gen_filled_sharp');
  static const dishwasher_gen_filled =
      _MaterialSymbolsData(0x6f, 'dishwasher_gen_filled');
  static const dishwasher_gen_outlined =
      _MaterialSymbolsData(0x70, 'dishwasher_gen_outlined');
  static const dishwasher_gen_sharp =
      _MaterialSymbolsData(0x71, 'dishwasher_gen_sharp');
  static const dishwasher_gen = _MaterialSymbolsData(0x72, 'dishwasher_gen');
  static const display_settings_filled_outlined =
      _MaterialSymbolsData(0x73, 'display_settings_filled_outlined');
  static const display_settings_filled_sharp =
      _MaterialSymbolsData(0x74, 'display_settings_filled_sharp');
  static const display_settings_filled =
      _MaterialSymbolsData(0x75, 'display_settings_filled');
  static const display_settings_outlined =
      _MaterialSymbolsData(0x76, 'display_settings_outlined');
  static const display_settings_sharp =
      _MaterialSymbolsData(0x77, 'display_settings_sharp');
  static const display_settings =
      _MaterialSymbolsData(0x78, 'display_settings');
  static const diversity_1_filled_outlined =
      _MaterialSymbolsData(0x79, 'diversity_1_filled_outlined');
  static const diversity_1_filled_sharp =
      _MaterialSymbolsData(0x7a, 'diversity_1_filled_sharp');
  static const diversity_1_filled =
      _MaterialSymbolsData(0x7b, 'diversity_1_filled');
  static const diversity_1_outlined =
      _MaterialSymbolsData(0x7c, 'diversity_1_outlined');
  static const diversity_1_sharp =
      _MaterialSymbolsData(0x7d, 'diversity_1_sharp');
  static const diversity_1 = _MaterialSymbolsData(0x7e, 'diversity_1');
  static const diversity_2_filled_outlined =
      _MaterialSymbolsData(0x7f, 'diversity_2_filled_outlined');
  static const diversity_2_filled_sharp =
      _MaterialSymbolsData(0x80, 'diversity_2_filled_sharp');
  static const diversity_2_filled =
      _MaterialSymbolsData(0x81, 'diversity_2_filled');
  static const diversity_2_outlined =
      _MaterialSymbolsData(0x82, 'diversity_2_outlined');
  static const diversity_2_sharp =
      _MaterialSymbolsData(0x83, 'diversity_2_sharp');
  static const diversity_2 = _MaterialSymbolsData(0x84, 'diversity_2');
  static const diversity_3_filled_outlined =
      _MaterialSymbolsData(0x85, 'diversity_3_filled_outlined');
  static const diversity_3_filled_sharp =
      _MaterialSymbolsData(0x86, 'diversity_3_filled_sharp');
  static const diversity_3_filled =
      _MaterialSymbolsData(0x87, 'diversity_3_filled');
  static const diversity_3_outlined =
      _MaterialSymbolsData(0x88, 'diversity_3_outlined');
  static const diversity_3_sharp =
      _MaterialSymbolsData(0x89, 'diversity_3_sharp');
  static const diversity_3 = _MaterialSymbolsData(0x8a, 'diversity_3');
  static const diversity_4_filled_outlined =
      _MaterialSymbolsData(0x8b, 'diversity_4_filled_outlined');
  static const diversity_4_filled_sharp =
      _MaterialSymbolsData(0x8c, 'diversity_4_filled_sharp');
  static const diversity_4_filled =
      _MaterialSymbolsData(0x8d, 'diversity_4_filled');
  static const diversity_4_outlined =
      _MaterialSymbolsData(0x8e, 'diversity_4_outlined');
  static const diversity_4_sharp =
      _MaterialSymbolsData(0x8f, 'diversity_4_sharp');
  static const diversity_4 = _MaterialSymbolsData(0x90, 'diversity_4');
  static const dns_filled_outlined =
      _MaterialSymbolsData(0x91, 'dns_filled_outlined');
  static const dns_filled_sharp =
      _MaterialSymbolsData(0x92, 'dns_filled_sharp');
  static const dns_filled = _MaterialSymbolsData(0x93, 'dns_filled');
  static const dns_outlined = _MaterialSymbolsData(0x94, 'dns_outlined');
  static const dns_sharp = _MaterialSymbolsData(0x95, 'dns_sharp');
  static const dns = _MaterialSymbolsData(0x96, 'dns');
  static const do_not_disturb_off_filled_outlined =
      _MaterialSymbolsData(0x97, 'do_not_disturb_off_filled_outlined');
  static const do_not_disturb_off_filled_sharp =
      _MaterialSymbolsData(0x98, 'do_not_disturb_off_filled_sharp');
  static const do_not_disturb_off_filled =
      _MaterialSymbolsData(0x99, 'do_not_disturb_off_filled');
  static const do_not_disturb_off_outlined =
      _MaterialSymbolsData(0x9a, 'do_not_disturb_off_outlined');
  static const do_not_disturb_off_sharp =
      _MaterialSymbolsData(0x9b, 'do_not_disturb_off_sharp');
  static const do_not_disturb_off =
      _MaterialSymbolsData(0x9c, 'do_not_disturb_off');
  static const do_not_disturb_on_filled_outlined =
      _MaterialSymbolsData(0x9d, 'do_not_disturb_on_filled_outlined');
  static const do_not_disturb_on_filled_sharp =
      _MaterialSymbolsData(0x9e, 'do_not_disturb_on_filled_sharp');
  static const do_not_disturb_on_filled =
      _MaterialSymbolsData(0x9f, 'do_not_disturb_on_filled');
  static const do_not_disturb_on_outlined =
      _MaterialSymbolsData(0xa0, 'do_not_disturb_on_outlined');
  static const do_not_disturb_on_sharp =
      _MaterialSymbolsData(0xa1, 'do_not_disturb_on_sharp');
  static const do_not_disturb_on_total_silence_filled_outlined =
      _MaterialSymbolsData(
          0xa2, 'do_not_disturb_on_total_silence_filled_outlined');
  static const do_not_disturb_on_total_silence_filled_sharp =
      _MaterialSymbolsData(
          0xa3, 'do_not_disturb_on_total_silence_filled_sharp');
  static const do_not_disturb_on_total_silence_filled =
      _MaterialSymbolsData(0xa4, 'do_not_disturb_on_total_silence_filled');
  static const do_not_disturb_on_total_silence_outlined =
      _MaterialSymbolsData(0xa5, 'do_not_disturb_on_total_silence_outlined');
  static const do_not_disturb_on_total_silence_sharp =
      _MaterialSymbolsData(0xa6, 'do_not_disturb_on_total_silence_sharp');
  static const do_not_disturb_on_total_silence =
      _MaterialSymbolsData(0xa7, 'do_not_disturb_on_total_silence');
  static const do_not_disturb_on =
      _MaterialSymbolsData(0xa8, 'do_not_disturb_on');
  static const do_not_step_filled_outlined =
      _MaterialSymbolsData(0xa9, 'do_not_step_filled_outlined');
  static const do_not_step_filled_sharp =
      _MaterialSymbolsData(0xaa, 'do_not_step_filled_sharp');
  static const do_not_step_filled =
      _MaterialSymbolsData(0xab, 'do_not_step_filled');
  static const do_not_step_outlined =
      _MaterialSymbolsData(0xac, 'do_not_step_outlined');
  static const do_not_step_sharp =
      _MaterialSymbolsData(0xad, 'do_not_step_sharp');
  static const do_not_step = _MaterialSymbolsData(0xae, 'do_not_step');
  static const do_not_touch_filled_outlined =
      _MaterialSymbolsData(0xaf, 'do_not_touch_filled_outlined');
  static const do_not_touch_filled_sharp =
      _MaterialSymbolsData(0xb0, 'do_not_touch_filled_sharp');
  static const do_not_touch_filled =
      _MaterialSymbolsData(0xb1, 'do_not_touch_filled');
  static const do_not_touch_outlined =
      _MaterialSymbolsData(0xb2, 'do_not_touch_outlined');
  static const do_not_touch_sharp =
      _MaterialSymbolsData(0xb3, 'do_not_touch_sharp');
  static const do_not_touch = _MaterialSymbolsData(0xb4, 'do_not_touch');
  static const dock_filled_outlined =
      _MaterialSymbolsData(0xb5, 'dock_filled_outlined');
  static const dock_filled_sharp =
      _MaterialSymbolsData(0xb6, 'dock_filled_sharp');
  static const dock_filled = _MaterialSymbolsData(0xb7, 'dock_filled');
  static const dock_outlined = _MaterialSymbolsData(0xb8, 'dock_outlined');
  static const dock_sharp = _MaterialSymbolsData(0xb9, 'dock_sharp');
  static const dock = _MaterialSymbolsData(0xba, 'dock');
  static const docs_add_on_filled_outlined =
      _MaterialSymbolsData(0xbb, 'docs_add_on_filled_outlined');
  static const docs_add_on_filled_sharp =
      _MaterialSymbolsData(0xbc, 'docs_add_on_filled_sharp');
  static const docs_add_on_filled =
      _MaterialSymbolsData(0xbd, 'docs_add_on_filled');
  static const docs_add_on_outlined =
      _MaterialSymbolsData(0xbe, 'docs_add_on_outlined');
  static const docs_add_on_sharp =
      _MaterialSymbolsData(0xbf, 'docs_add_on_sharp');
  static const docs_add_on = _MaterialSymbolsData(0xc0, 'docs_add_on');
  static const docs_apps_script_filled_outlined =
      _MaterialSymbolsData(0xc1, 'docs_apps_script_filled_outlined');
  static const docs_apps_script_filled_sharp =
      _MaterialSymbolsData(0xc2, 'docs_apps_script_filled_sharp');
  static const docs_apps_script_filled =
      _MaterialSymbolsData(0xc3, 'docs_apps_script_filled');
  static const docs_apps_script_outlined =
      _MaterialSymbolsData(0xc4, 'docs_apps_script_outlined');
  static const docs_apps_script_sharp =
      _MaterialSymbolsData(0xc5, 'docs_apps_script_sharp');
  static const docs_apps_script =
      _MaterialSymbolsData(0xc6, 'docs_apps_script');
  static const document_scanner_filled_outlined =
      _MaterialSymbolsData(0xc7, 'document_scanner_filled_outlined');
  static const document_scanner_filled_sharp =
      _MaterialSymbolsData(0xc8, 'document_scanner_filled_sharp');
  static const document_scanner_filled =
      _MaterialSymbolsData(0xc9, 'document_scanner_filled');
  static const document_scanner_outlined =
      _MaterialSymbolsData(0xca, 'document_scanner_outlined');
  static const document_scanner_sharp =
      _MaterialSymbolsData(0xcb, 'document_scanner_sharp');
  static const document_scanner =
      _MaterialSymbolsData(0xcc, 'document_scanner');
  static const domain_add_filled_outlined =
      _MaterialSymbolsData(0xcd, 'domain_add_filled_outlined');
  static const domain_add_filled_sharp =
      _MaterialSymbolsData(0xce, 'domain_add_filled_sharp');
  static const domain_add_filled =
      _MaterialSymbolsData(0xcf, 'domain_add_filled');
  static const domain_add_outlined =
      _MaterialSymbolsData(0xd0, 'domain_add_outlined');
  static const domain_add_sharp =
      _MaterialSymbolsData(0xd1, 'domain_add_sharp');
  static const domain_add = _MaterialSymbolsData(0xd2, 'domain_add');
  static const domain_disabled_filled_outlined =
      _MaterialSymbolsData(0xd3, 'domain_disabled_filled_outlined');
  static const domain_disabled_filled_sharp =
      _MaterialSymbolsData(0xd4, 'domain_disabled_filled_sharp');
  static const domain_disabled_filled =
      _MaterialSymbolsData(0xd5, 'domain_disabled_filled');
  static const domain_disabled_outlined =
      _MaterialSymbolsData(0xd6, 'domain_disabled_outlined');
  static const domain_disabled_sharp =
      _MaterialSymbolsData(0xd7, 'domain_disabled_sharp');
  static const domain_disabled = _MaterialSymbolsData(0xd8, 'domain_disabled');
  static const domain_filled_outlined =
      _MaterialSymbolsData(0xd9, 'domain_filled_outlined');
  static const domain_filled_sharp =
      _MaterialSymbolsData(0xda, 'domain_filled_sharp');
  static const domain_filled = _MaterialSymbolsData(0xdb, 'domain_filled');
  static const domain_outlined = _MaterialSymbolsData(0xdc, 'domain_outlined');
  static const domain_sharp = _MaterialSymbolsData(0xdd, 'domain_sharp');
  static const domain_verification_filled_outlined =
      _MaterialSymbolsData(0xde, 'domain_verification_filled_outlined');
  static const domain_verification_filled_sharp =
      _MaterialSymbolsData(0xdf, 'domain_verification_filled_sharp');
  static const domain_verification_filled =
      _MaterialSymbolsData(0xe0, 'domain_verification_filled');
  static const domain_verification_outlined =
      _MaterialSymbolsData(0xe1, 'domain_verification_outlined');
  static const domain_verification_sharp =
      _MaterialSymbolsData(0xe2, 'domain_verification_sharp');
  static const domain_verification =
      _MaterialSymbolsData(0xe3, 'domain_verification');
  static const domain = _MaterialSymbolsData(0xe4, 'domain');
  static const done_all_filled_outlined =
      _MaterialSymbolsData(0xe5, 'done_all_filled_outlined');
  static const done_all_filled_sharp =
      _MaterialSymbolsData(0xe6, 'done_all_filled_sharp');
  static const done_all_filled = _MaterialSymbolsData(0xe7, 'done_all_filled');
  static const done_all_outlined =
      _MaterialSymbolsData(0xe8, 'done_all_outlined');
  static const done_all_sharp = _MaterialSymbolsData(0xe9, 'done_all_sharp');
  static const done_all = _MaterialSymbolsData(0xea, 'done_all');
  static const done_filled_outlined =
      _MaterialSymbolsData(0xeb, 'done_filled_outlined');
  static const done_filled_sharp =
      _MaterialSymbolsData(0xec, 'done_filled_sharp');
  static const done_filled = _MaterialSymbolsData(0xed, 'done_filled');
  static const done_outline_filled_outlined =
      _MaterialSymbolsData(0xee, 'done_outline_filled_outlined');
  static const done_outline_filled_sharp =
      _MaterialSymbolsData(0xef, 'done_outline_filled_sharp');
  static const done_outline_filled =
      _MaterialSymbolsData(0xf0, 'done_outline_filled');
  static const done_outline_outlined =
      _MaterialSymbolsData(0xf1, 'done_outline_outlined');
  static const done_outline_sharp =
      _MaterialSymbolsData(0xf2, 'done_outline_sharp');
  static const done_outline = _MaterialSymbolsData(0xf3, 'done_outline');
  static const done_outlined = _MaterialSymbolsData(0xf4, 'done_outlined');
  static const done_sharp = _MaterialSymbolsData(0xf5, 'done_sharp');
  static const done = _MaterialSymbolsData(0xf6, 'done');
  static const donut_large_filled_outlined =
      _MaterialSymbolsData(0xf7, 'donut_large_filled_outlined');
  static const donut_large_filled_sharp =
      _MaterialSymbolsData(0xf8, 'donut_large_filled_sharp');
  static const donut_large_filled =
      _MaterialSymbolsData(0xf9, 'donut_large_filled');
  static const donut_large_outlined =
      _MaterialSymbolsData(0xfa, 'donut_large_outlined');
  static const donut_large_sharp =
      _MaterialSymbolsData(0xfb, 'donut_large_sharp');
  static const donut_large = _MaterialSymbolsData(0xfc, 'donut_large');
  static const donut_small_filled_outlined =
      _MaterialSymbolsData(0xfd, 'donut_small_filled_outlined');
  static const donut_small_filled_sharp =
      _MaterialSymbolsData(0xfe, 'donut_small_filled_sharp');
  static const donut_small_filled =
      _MaterialSymbolsData(0xff, 'donut_small_filled');
  static const donut_small_outlined =
      _MaterialSymbolsData(0x110, 'donut_small_outlined');
  static const donut_small_sharp =
      _MaterialSymbolsData(0x101, 'donut_small_sharp');
  static const donut_small = _MaterialSymbolsData(0x2, 'donut_small');
  static const door_back_filled_outlined =
      _MaterialSymbolsData(0x3, 'door_back_filled_outlined');
  static const door_back_filled_sharp =
      _MaterialSymbolsData(0x4, 'door_back_filled_sharp');
  static const door_back_filled = _MaterialSymbolsData(0x5, 'door_back_filled');
  static const door_back_outlined =
      _MaterialSymbolsData(0x6, 'door_back_outlined');
  static const door_back_sharp = _MaterialSymbolsData(0x7, 'door_back_sharp');
  static const door_back = _MaterialSymbolsData(0x8, 'door_back');
  static const door_front_filled_outlined =
      _MaterialSymbolsData(0x9, 'door_front_filled_outlined');
  static const door_front_filled_sharp =
      _MaterialSymbolsData(0xa, 'door_front_filled_sharp');
  static const door_front_filled =
      _MaterialSymbolsData(0xb, 'door_front_filled');
  static const door_front_outlined =
      _MaterialSymbolsData(0xc, 'door_front_outlined');
  static const door_front_sharp = _MaterialSymbolsData(0xd, 'door_front_sharp');
  static const door_front = _MaterialSymbolsData(0xe, 'door_front');
  static const door_open_filled_outlined =
      _MaterialSymbolsData(0xf, 'door_open_filled_outlined');
  static const door_open_filled_sharp =
      _MaterialSymbolsData(0x110, 'door_open_filled_sharp');
  static const door_open_filled =
      _MaterialSymbolsData(0x111, 'door_open_filled');
  static const door_open_outlined =
      _MaterialSymbolsData(0x112, 'door_open_outlined');
  static const door_open_sharp = _MaterialSymbolsData(0x113, 'door_open_sharp');
  static const door_open = _MaterialSymbolsData(0x114, 'door_open');
  static const door_sensor_filled_outlined =
      _MaterialSymbolsData(0x115, 'door_sensor_filled_outlined');
  static const door_sensor_filled_sharp =
      _MaterialSymbolsData(0x116, 'door_sensor_filled_sharp');
  static const door_sensor_filled =
      _MaterialSymbolsData(0x117, 'door_sensor_filled');
  static const door_sensor_outlined =
      _MaterialSymbolsData(0x118, 'door_sensor_outlined');
  static const door_sensor_sharp =
      _MaterialSymbolsData(0x119, 'door_sensor_sharp');
  static const door_sensor = _MaterialSymbolsData(0x11a, 'door_sensor');
  static const door_sliding_filled_outlined =
      _MaterialSymbolsData(0x11b, 'door_sliding_filled_outlined');
  static const door_sliding_filled_sharp =
      _MaterialSymbolsData(0x11c, 'door_sliding_filled_sharp');
  static const door_sliding_filled =
      _MaterialSymbolsData(0x11d, 'door_sliding_filled');
  static const door_sliding_outlined =
      _MaterialSymbolsData(0x11e, 'door_sliding_outlined');
  static const door_sliding_sharp =
      _MaterialSymbolsData(0x11f, 'door_sliding_sharp');
  static const door_sliding = _MaterialSymbolsData(0x120, 'door_sliding');
  static const doorbell_3p_filled_outlined =
      _MaterialSymbolsData(0x121, 'doorbell_3p_filled_outlined');
  static const doorbell_3p_filled_sharp =
      _MaterialSymbolsData(0x122, 'doorbell_3p_filled_sharp');
  static const doorbell_3p_filled =
      _MaterialSymbolsData(0x123, 'doorbell_3p_filled');
  static const doorbell_3p_outlined =
      _MaterialSymbolsData(0x124, 'doorbell_3p_outlined');
  static const doorbell_3p_sharp =
      _MaterialSymbolsData(0x125, 'doorbell_3p_sharp');
  static const doorbell_3p = _MaterialSymbolsData(0x126, 'doorbell_3p');
  static const doorbell_chime_filled_outlined =
      _MaterialSymbolsData(0x127, 'doorbell_chime_filled_outlined');
  static const doorbell_chime_filled_sharp =
      _MaterialSymbolsData(0x128, 'doorbell_chime_filled_sharp');
  static const doorbell_chime_filled =
      _MaterialSymbolsData(0x129, 'doorbell_chime_filled');
  static const doorbell_chime_outlined =
      _MaterialSymbolsData(0x12a, 'doorbell_chime_outlined');
  static const doorbell_chime_sharp =
      _MaterialSymbolsData(0x12b, 'doorbell_chime_sharp');
  static const doorbell_chime = _MaterialSymbolsData(0x12c, 'doorbell_chime');
  static const doorbell_filled_outlined =
      _MaterialSymbolsData(0x12d, 'doorbell_filled_outlined');
  static const doorbell_filled_sharp =
      _MaterialSymbolsData(0x12e, 'doorbell_filled_sharp');
  static const doorbell_filled = _MaterialSymbolsData(0x12f, 'doorbell_filled');
  static const doorbell_outlined =
      _MaterialSymbolsData(0x130, 'doorbell_outlined');
  static const doorbell_sharp = _MaterialSymbolsData(0x131, 'doorbell_sharp');
  static const doorbell = _MaterialSymbolsData(0x132, 'doorbell');
  static const double_arrow_filled_outlined =
      _MaterialSymbolsData(0x133, 'double_arrow_filled_outlined');
  static const double_arrow_filled_sharp =
      _MaterialSymbolsData(0x134, 'double_arrow_filled_sharp');
  static const double_arrow_filled =
      _MaterialSymbolsData(0x135, 'double_arrow_filled');
  static const double_arrow_outlined =
      _MaterialSymbolsData(0x136, 'double_arrow_outlined');
  static const double_arrow_sharp =
      _MaterialSymbolsData(0x137, 'double_arrow_sharp');
  static const double_arrow = _MaterialSymbolsData(0x138, 'double_arrow');
  static const downhill_skiing_filled_outlined =
      _MaterialSymbolsData(0x139, 'downhill_skiing_filled_outlined');
  static const downhill_skiing_filled_sharp =
      _MaterialSymbolsData(0x13a, 'downhill_skiing_filled_sharp');
  static const downhill_skiing_filled =
      _MaterialSymbolsData(0x13b, 'downhill_skiing_filled');
  static const downhill_skiing_outlined =
      _MaterialSymbolsData(0x13c, 'downhill_skiing_outlined');
  static const downhill_skiing_sharp =
      _MaterialSymbolsData(0x13d, 'downhill_skiing_sharp');
  static const downhill_skiing = _MaterialSymbolsData(0x13e, 'downhill_skiing');
  static const download_done_filled_outlined =
      _MaterialSymbolsData(0x13f, 'download_done_filled_outlined');
  static const download_done_filled_sharp =
      _MaterialSymbolsData(0x140, 'download_done_filled_sharp');
  static const download_done_filled =
      _MaterialSymbolsData(0x141, 'download_done_filled');
  static const download_done_outlined =
      _MaterialSymbolsData(0x142, 'download_done_outlined');
  static const download_done_sharp =
      _MaterialSymbolsData(0x143, 'download_done_sharp');
  static const download_done = _MaterialSymbolsData(0x144, 'download_done');
  static const download_filled_outlined =
      _MaterialSymbolsData(0x145, 'download_filled_outlined');
  static const download_filled_sharp =
      _MaterialSymbolsData(0x146, 'download_filled_sharp');
  static const download_filled = _MaterialSymbolsData(0x147, 'download_filled');
  static const download_for_offline_filled_outlined =
      _MaterialSymbolsData(0x148, 'download_for_offline_filled_outlined');
  static const download_for_offline_filled_sharp =
      _MaterialSymbolsData(0x149, 'download_for_offline_filled_sharp');
  static const download_for_offline_filled =
      _MaterialSymbolsData(0x14a, 'download_for_offline_filled');
  static const download_for_offline_outlined =
      _MaterialSymbolsData(0x14b, 'download_for_offline_outlined');
  static const download_for_offline_sharp =
      _MaterialSymbolsData(0x14c, 'download_for_offline_sharp');
  static const download_for_offline =
      _MaterialSymbolsData(0x14d, 'download_for_offline');
  static const download_outlined =
      _MaterialSymbolsData(0x14e, 'download_outlined');
  static const download_sharp = _MaterialSymbolsData(0x14f, 'download_sharp');
  static const download = _MaterialSymbolsData(0x150, 'download');
  static const downloading_filled_outlined =
      _MaterialSymbolsData(0x151, 'downloading_filled_outlined');
  static const downloading_filled_sharp =
      _MaterialSymbolsData(0x152, 'downloading_filled_sharp');
  static const downloading_filled =
      _MaterialSymbolsData(0x153, 'downloading_filled');
  static const downloading_outlined =
      _MaterialSymbolsData(0x154, 'downloading_outlined');
  static const downloading_sharp =
      _MaterialSymbolsData(0x155, 'downloading_sharp');
  static const downloading = _MaterialSymbolsData(0x156, 'downloading');
  static const draft_filled_outlined =
      _MaterialSymbolsData(0x157, 'draft_filled_outlined');
  static const draft_filled_sharp =
      _MaterialSymbolsData(0x158, 'draft_filled_sharp');
  static const draft_filled = _MaterialSymbolsData(0x159, 'draft_filled');
  static const draft_orders_filled_outlined =
      _MaterialSymbolsData(0x15a, 'draft_orders_filled_outlined');
  static const draft_orders_filled_sharp =
      _MaterialSymbolsData(0x15b, 'draft_orders_filled_sharp');
  static const draft_orders_filled =
      _MaterialSymbolsData(0x15c, 'draft_orders_filled');
  static const draft_orders_outlined =
      _MaterialSymbolsData(0x15d, 'draft_orders_outlined');
  static const draft_orders_sharp =
      _MaterialSymbolsData(0x15e, 'draft_orders_sharp');
  static const draft_orders = _MaterialSymbolsData(0x15f, 'draft_orders');
  static const draft_outlined = _MaterialSymbolsData(0x160, 'draft_outlined');
  static const draft_sharp = _MaterialSymbolsData(0x161, 'draft_sharp');
  static const draft = _MaterialSymbolsData(0x162, 'draft');
  static const drafts_filled_outlined =
      _MaterialSymbolsData(0x163, 'drafts_filled_outlined');
  static const drafts_filled_sharp =
      _MaterialSymbolsData(0x164, 'drafts_filled_sharp');
  static const drafts_filled = _MaterialSymbolsData(0x165, 'drafts_filled');
  static const drafts_outlined = _MaterialSymbolsData(0x166, 'drafts_outlined');
  static const drafts_sharp = _MaterialSymbolsData(0x167, 'drafts_sharp');
  static const drafts = _MaterialSymbolsData(0x168, 'drafts');
  static const drag_handle_filled_outlined =
      _MaterialSymbolsData(0x169, 'drag_handle_filled_outlined');
  static const drag_handle_filled_sharp =
      _MaterialSymbolsData(0x16a, 'drag_handle_filled_sharp');
  static const drag_handle_filled =
      _MaterialSymbolsData(0x16b, 'drag_handle_filled');
  static const drag_handle_outlined =
      _MaterialSymbolsData(0x16c, 'drag_handle_outlined');
  static const drag_handle_sharp =
      _MaterialSymbolsData(0x16d, 'drag_handle_sharp');
  static const drag_handle = _MaterialSymbolsData(0x16e, 'drag_handle');
  static const drag_indicator_filled_outlined =
      _MaterialSymbolsData(0x16f, 'drag_indicator_filled_outlined');
  static const drag_indicator_filled_sharp =
      _MaterialSymbolsData(0x170, 'drag_indicator_filled_sharp');
  static const drag_indicator_filled =
      _MaterialSymbolsData(0x171, 'drag_indicator_filled');
  static const drag_indicator_outlined =
      _MaterialSymbolsData(0x172, 'drag_indicator_outlined');
  static const drag_indicator_sharp =
      _MaterialSymbolsData(0x173, 'drag_indicator_sharp');
  static const drag_indicator = _MaterialSymbolsData(0x174, 'drag_indicator');
  static const draw_filled_outlined =
      _MaterialSymbolsData(0x175, 'draw_filled_outlined');
  static const draw_filled_sharp =
      _MaterialSymbolsData(0x176, 'draw_filled_sharp');
  static const draw_filled = _MaterialSymbolsData(0x177, 'draw_filled');
  static const draw_outlined = _MaterialSymbolsData(0x178, 'draw_outlined');
  static const draw_sharp = _MaterialSymbolsData(0x179, 'draw_sharp');
  static const draw = _MaterialSymbolsData(0x17a, 'draw');
  static const dresser_filled_outlined =
      _MaterialSymbolsData(0x17b, 'dresser_filled_outlined');
  static const dresser_filled_sharp =
      _MaterialSymbolsData(0x17c, 'dresser_filled_sharp');
  static const dresser_filled = _MaterialSymbolsData(0x17d, 'dresser_filled');
  static const dresser_outlined =
      _MaterialSymbolsData(0x17e, 'dresser_outlined');
  static const dresser_sharp = _MaterialSymbolsData(0x17f, 'dresser_sharp');
  static const dresser = _MaterialSymbolsData(0x180, 'dresser');
  static const drive_file_move_filled_outlined =
      _MaterialSymbolsData(0x181, 'drive_file_move_filled_outlined');
  static const drive_file_move_filled_sharp =
      _MaterialSymbolsData(0x182, 'drive_file_move_filled_sharp');
  static const drive_file_move_filled =
      _MaterialSymbolsData(0x183, 'drive_file_move_filled');
  static const drive_file_move_outline_filled_outlined =
      _MaterialSymbolsData(0x184, 'drive_file_move_outline_filled_outlined');
  static const drive_file_move_outline_filled_sharp =
      _MaterialSymbolsData(0x185, 'drive_file_move_outline_filled_sharp');
  static const drive_file_move_outline_filled =
      _MaterialSymbolsData(0x186, 'drive_file_move_outline_filled');
  static const drive_file_move_outline_outlined =
      _MaterialSymbolsData(0x187, 'drive_file_move_outline_outlined');
  static const drive_file_move_outline_sharp =
      _MaterialSymbolsData(0x188, 'drive_file_move_outline_sharp');
  static const drive_file_move_outline =
      _MaterialSymbolsData(0x189, 'drive_file_move_outline');
  static const drive_file_move_outlined =
      _MaterialSymbolsData(0x18a, 'drive_file_move_outlined');
  static const drive_file_move_rtl_filled_outlined =
      _MaterialSymbolsData(0x18b, 'drive_file_move_rtl_filled_outlined');
  static const drive_file_move_rtl_filled_sharp =
      _MaterialSymbolsData(0x18c, 'drive_file_move_rtl_filled_sharp');
  static const drive_file_move_rtl_filled =
      _MaterialSymbolsData(0x18d, 'drive_file_move_rtl_filled');
  static const drive_file_move_rtl_outlined =
      _MaterialSymbolsData(0x18e, 'drive_file_move_rtl_outlined');
  static const drive_file_move_rtl_sharp =
      _MaterialSymbolsData(0x18f, 'drive_file_move_rtl_sharp');
  static const drive_file_move_rtl =
      _MaterialSymbolsData(0x190, 'drive_file_move_rtl');
  static const drive_file_move_sharp =
      _MaterialSymbolsData(0x191, 'drive_file_move_sharp');
  static const drive_file_move = _MaterialSymbolsData(0x192, 'drive_file_move');
  static const drive_file_rename_outline_filled_outlined =
      _MaterialSymbolsData(0x193, 'drive_file_rename_outline_filled_outlined');
  static const drive_file_rename_outline_filled_sharp =
      _MaterialSymbolsData(0x194, 'drive_file_rename_outline_filled_sharp');
  static const drive_file_rename_outline_filled =
      _MaterialSymbolsData(0x195, 'drive_file_rename_outline_filled');
  static const drive_file_rename_outline_outlined =
      _MaterialSymbolsData(0x196, 'drive_file_rename_outline_outlined');
  static const drive_file_rename_outline_sharp =
      _MaterialSymbolsData(0x197, 'drive_file_rename_outline_sharp');
  static const drive_file_rename_outline =
      _MaterialSymbolsData(0x198, 'drive_file_rename_outline');
  static const drive_folder_upload_filled_outlined =
      _MaterialSymbolsData(0x199, 'drive_folder_upload_filled_outlined');
  static const drive_folder_upload_filled_sharp =
      _MaterialSymbolsData(0x19a, 'drive_folder_upload_filled_sharp');
  static const drive_folder_upload_filled =
      _MaterialSymbolsData(0x19b, 'drive_folder_upload_filled');
  static const drive_folder_upload_outlined =
      _MaterialSymbolsData(0x19c, 'drive_folder_upload_outlined');
  static const drive_folder_upload_sharp =
      _MaterialSymbolsData(0x19d, 'drive_folder_upload_sharp');
  static const drive_folder_upload =
      _MaterialSymbolsData(0x19e, 'drive_folder_upload');
  static const dry_cleaning_filled_outlined =
      _MaterialSymbolsData(0x19f, 'dry_cleaning_filled_outlined');
  static const dry_cleaning_filled_sharp =
      _MaterialSymbolsData(0x1a0, 'dry_cleaning_filled_sharp');
  static const dry_cleaning_filled =
      _MaterialSymbolsData(0x1a1, 'dry_cleaning_filled');
  static const dry_cleaning_outlined =
      _MaterialSymbolsData(0x1a2, 'dry_cleaning_outlined');
  static const dry_cleaning_sharp =
      _MaterialSymbolsData(0x1a3, 'dry_cleaning_sharp');
  static const dry_cleaning = _MaterialSymbolsData(0x1a4, 'dry_cleaning');
  static const dry_filled_outlined =
      _MaterialSymbolsData(0x1a5, 'dry_filled_outlined');
  static const dry_filled_sharp =
      _MaterialSymbolsData(0x1a6, 'dry_filled_sharp');
  static const dry_filled = _MaterialSymbolsData(0x1a7, 'dry_filled');
  static const dry_outlined = _MaterialSymbolsData(0x1a8, 'dry_outlined');
  static const dry_sharp = _MaterialSymbolsData(0x1a9, 'dry_sharp');
  static const dry = _MaterialSymbolsData(0x1aa, 'dry');
  static const duo_filled_outlined =
      _MaterialSymbolsData(0x1ab, 'duo_filled_outlined');
  static const duo_filled_sharp =
      _MaterialSymbolsData(0x1ac, 'duo_filled_sharp');
  static const duo_filled = _MaterialSymbolsData(0x1ad, 'duo_filled');
  static const duo_outlined = _MaterialSymbolsData(0x1ae, 'duo_outlined');
  static const duo_sharp = _MaterialSymbolsData(0x1af, 'duo_sharp');
  static const duo = _MaterialSymbolsData(0x1b0, 'duo');
  static const dvr_filled_outlined =
      _MaterialSymbolsData(0x1b1, 'dvr_filled_outlined');
  static const dvr_filled_sharp =
      _MaterialSymbolsData(0x1b2, 'dvr_filled_sharp');
  static const dvr_filled = _MaterialSymbolsData(0x1b3, 'dvr_filled');
  static const dvr_outlined = _MaterialSymbolsData(0x1b4, 'dvr_outlined');
  static const dvr_sharp = _MaterialSymbolsData(0x1b5, 'dvr_sharp');
  static const dvr = _MaterialSymbolsData(0x1b6, 'dvr');
  static const dynamic_feed_filled_outlined =
      _MaterialSymbolsData(0x1b7, 'dynamic_feed_filled_outlined');
  static const dynamic_feed_filled_sharp =
      _MaterialSymbolsData(0x1b8, 'dynamic_feed_filled_sharp');
  static const dynamic_feed_filled =
      _MaterialSymbolsData(0x1b9, 'dynamic_feed_filled');
  static const dynamic_feed_outlined =
      _MaterialSymbolsData(0x1ba, 'dynamic_feed_outlined');
  static const dynamic_feed_sharp =
      _MaterialSymbolsData(0x1bb, 'dynamic_feed_sharp');
  static const dynamic_feed = _MaterialSymbolsData(0x1bc, 'dynamic_feed');
  static const dynamic_form_filled_outlined =
      _MaterialSymbolsData(0x1bd, 'dynamic_form_filled_outlined');
  static const dynamic_form_filled_sharp =
      _MaterialSymbolsData(0x1be, 'dynamic_form_filled_sharp');
  static const dynamic_form_filled =
      _MaterialSymbolsData(0x1bf, 'dynamic_form_filled');
  static const dynamic_form_outlined =
      _MaterialSymbolsData(0x1c0, 'dynamic_form_outlined');
  static const dynamic_form_sharp =
      _MaterialSymbolsData(0x1c1, 'dynamic_form_sharp');
  static const dynamic_form = _MaterialSymbolsData(0x1c2, 'dynamic_form');
  static const e_mobiledata_filled_outlined =
      _MaterialSymbolsData(0x1c3, 'e_mobiledata_filled_outlined');
  static const e_mobiledata_filled_sharp =
      _MaterialSymbolsData(0x1c4, 'e_mobiledata_filled_sharp');
  static const e_mobiledata_filled =
      _MaterialSymbolsData(0x1c5, 'e_mobiledata_filled');
  static const e_mobiledata_outlined =
      _MaterialSymbolsData(0x1c6, 'e_mobiledata_outlined');
  static const e_mobiledata_sharp =
      _MaterialSymbolsData(0x1c7, 'e_mobiledata_sharp');
  static const e_mobiledata = _MaterialSymbolsData(0x1c8, 'e_mobiledata');
  static const e911_avatar_filled_outlined =
      _MaterialSymbolsData(0x1c9, 'e911_avatar_filled_outlined');
  static const e911_avatar_filled_sharp =
      _MaterialSymbolsData(0x1ca, 'e911_avatar_filled_sharp');
  static const e911_avatar_filled =
      _MaterialSymbolsData(0x1cb, 'e911_avatar_filled');
  static const e911_avatar_outlined =
      _MaterialSymbolsData(0x1cc, 'e911_avatar_outlined');
  static const e911_avatar_sharp =
      _MaterialSymbolsData(0x1cd, 'e911_avatar_sharp');
  static const e911_avatar = _MaterialSymbolsData(0x1ce, 'e911_avatar');
  static const e911_emergency_filled_outlined =
      _MaterialSymbolsData(0x1cf, 'e911_emergency_filled_outlined');
  static const e911_emergency_filled_sharp =
      _MaterialSymbolsData(0x1d0, 'e911_emergency_filled_sharp');
  static const e911_emergency_filled =
      _MaterialSymbolsData(0x1d1, 'e911_emergency_filled');
  static const e911_emergency_outlined =
      _MaterialSymbolsData(0x1d2, 'e911_emergency_outlined');
  static const e911_emergency_sharp =
      _MaterialSymbolsData(0x1d3, 'e911_emergency_sharp');
  static const e911_emergency = _MaterialSymbolsData(0x1d4, 'e911_emergency');
  static const earbuds_battery_filled_outlined =
      _MaterialSymbolsData(0x1d5, 'earbuds_battery_filled_outlined');
  static const earbuds_battery_filled_sharp =
      _MaterialSymbolsData(0x1d6, 'earbuds_battery_filled_sharp');
  static const earbuds_battery_filled =
      _MaterialSymbolsData(0x1d7, 'earbuds_battery_filled');
  static const earbuds_battery_outlined =
      _MaterialSymbolsData(0x1d8, 'earbuds_battery_outlined');
  static const earbuds_battery_sharp =
      _MaterialSymbolsData(0x1d9, 'earbuds_battery_sharp');
  static const earbuds_battery = _MaterialSymbolsData(0x1da, 'earbuds_battery');
  static const earbuds_filled_outlined =
      _MaterialSymbolsData(0x1db, 'earbuds_filled_outlined');
  static const earbuds_filled_sharp =
      _MaterialSymbolsData(0x1dc, 'earbuds_filled_sharp');
  static const earbuds_filled = _MaterialSymbolsData(0x1dd, 'earbuds_filled');
  static const earbuds_outlined =
      _MaterialSymbolsData(0x1de, 'earbuds_outlined');
  static const earbuds_sharp = _MaterialSymbolsData(0x1df, 'earbuds_sharp');
  static const earbuds = _MaterialSymbolsData(0x1e0, 'earbuds');
  static const early_on_filled_outlined =
      _MaterialSymbolsData(0x1e1, 'early_on_filled_outlined');
  static const early_on_filled_sharp =
      _MaterialSymbolsData(0x1e2, 'early_on_filled_sharp');
  static const early_on_filled = _MaterialSymbolsData(0x1e3, 'early_on_filled');
  static const early_on_outlined =
      _MaterialSymbolsData(0x1e4, 'early_on_outlined');
  static const early_on_sharp = _MaterialSymbolsData(0x1e5, 'early_on_sharp');
  static const early_on = _MaterialSymbolsData(0x1e6, 'early_on');
  static const east_filled_outlined =
      _MaterialSymbolsData(0x1e7, 'east_filled_outlined');
  static const east_filled_sharp =
      _MaterialSymbolsData(0x1e8, 'east_filled_sharp');
  static const east_filled = _MaterialSymbolsData(0x1e9, 'east_filled');
  static const east_outlined = _MaterialSymbolsData(0x1ea, 'east_outlined');
  static const east_sharp = _MaterialSymbolsData(0x1eb, 'east_sharp');
  static const east = _MaterialSymbolsData(0x1ec, 'east');
  static const eco_filled_outlined =
      _MaterialSymbolsData(0x1ed, 'eco_filled_outlined');
  static const eco_filled_sharp =
      _MaterialSymbolsData(0x1ee, 'eco_filled_sharp');
  static const eco_filled = _MaterialSymbolsData(0x1ef, 'eco_filled');
  static const eco_outlined = _MaterialSymbolsData(0x1f0, 'eco_outlined');
  static const eco_sharp = _MaterialSymbolsData(0x1f1, 'eco_sharp');
  static const eco = _MaterialSymbolsData(0x1f2, 'eco');
  static const edgesensor_high_filled_outlined =
      _MaterialSymbolsData(0x1f3, 'edgesensor_high_filled_outlined');
  static const edgesensor_high_filled_sharp =
      _MaterialSymbolsData(0x1f4, 'edgesensor_high_filled_sharp');
  static const edgesensor_high_filled =
      _MaterialSymbolsData(0x1f5, 'edgesensor_high_filled');
  static const edgesensor_high_outlined =
      _MaterialSymbolsData(0x1f6, 'edgesensor_high_outlined');
  static const edgesensor_high_sharp =
      _MaterialSymbolsData(0x1f7, 'edgesensor_high_sharp');
  static const edgesensor_high = _MaterialSymbolsData(0x1f8, 'edgesensor_high');
  static const edgesensor_low_filled_outlined =
      _MaterialSymbolsData(0x1f9, 'edgesensor_low_filled_outlined');
  static const edgesensor_low_filled_sharp =
      _MaterialSymbolsData(0x1fa, 'edgesensor_low_filled_sharp');
  static const edgesensor_low_filled =
      _MaterialSymbolsData(0x1fb, 'edgesensor_low_filled');
  static const edgesensor_low_outlined =
      _MaterialSymbolsData(0x1fc, 'edgesensor_low_outlined');
  static const edgesensor_low_sharp =
      _MaterialSymbolsData(0x1fd, 'edgesensor_low_sharp');
  static const edgesensor_low = _MaterialSymbolsData(0x1fe, 'edgesensor_low');
  static const edit_attributes_filled_outlined =
      _MaterialSymbolsData(0x1ff, 'edit_attributes_filled_outlined');
  static const edit_attributes_filled_sharp =
      _MaterialSymbolsData(0x200, 'edit_attributes_filled_sharp');
  static const edit_attributes_filled =
      _MaterialSymbolsData(0x201, 'edit_attributes_filled');
  static const edit_attributes_outlined =
      _MaterialSymbolsData(0x202, 'edit_attributes_outlined');
  static const edit_attributes_sharp =
      _MaterialSymbolsData(0x203, 'edit_attributes_sharp');
  static const edit_attributes = _MaterialSymbolsData(0x204, 'edit_attributes');
  static const edit_calendar_filled_outlined =
      _MaterialSymbolsData(0x205, 'edit_calendar_filled_outlined');
  static const edit_calendar_filled_sharp =
      _MaterialSymbolsData(0x206, 'edit_calendar_filled_sharp');
  static const edit_calendar_filled =
      _MaterialSymbolsData(0x207, 'edit_calendar_filled');
  static const edit_calendar_outlined =
      _MaterialSymbolsData(0x208, 'edit_calendar_outlined');
  static const edit_calendar_sharp =
      _MaterialSymbolsData(0x209, 'edit_calendar_sharp');
  static const edit_calendar = _MaterialSymbolsData(0x20a, 'edit_calendar');
  static const edit_document_filled_outlined =
      _MaterialSymbolsData(0x20b, 'edit_document_filled_outlined');
  static const edit_document_filled_sharp =
      _MaterialSymbolsData(0x20c, 'edit_document_filled_sharp');
  static const edit_document_filled =
      _MaterialSymbolsData(0x20d, 'edit_document_filled');
  static const edit_document_outlined =
      _MaterialSymbolsData(0x20e, 'edit_document_outlined');
  static const edit_document_sharp =
      _MaterialSymbolsData(0x20f, 'edit_document_sharp');
  static const edit_document = _MaterialSymbolsData(0x210, 'edit_document');
  static const edit_filled_outlined =
      _MaterialSymbolsData(0x211, 'edit_filled_outlined');
  static const edit_filled_sharp =
      _MaterialSymbolsData(0x212, 'edit_filled_sharp');
  static const edit_filled = _MaterialSymbolsData(0x213, 'edit_filled');
  static const edit_location_alt_filled_outlined =
      _MaterialSymbolsData(0x214, 'edit_location_alt_filled_outlined');
  static const edit_location_alt_filled_sharp =
      _MaterialSymbolsData(0x215, 'edit_location_alt_filled_sharp');
  static const edit_location_alt_filled =
      _MaterialSymbolsData(0x216, 'edit_location_alt_filled');
  static const edit_location_alt_outlined =
      _MaterialSymbolsData(0x217, 'edit_location_alt_outlined');
  static const edit_location_alt_sharp =
      _MaterialSymbolsData(0x218, 'edit_location_alt_sharp');
  static const edit_location_alt =
      _MaterialSymbolsData(0x219, 'edit_location_alt');
  static const edit_location_filled_outlined =
      _MaterialSymbolsData(0x21a, 'edit_location_filled_outlined');
  static const edit_location_filled_sharp =
      _MaterialSymbolsData(0x21b, 'edit_location_filled_sharp');
  static const edit_location_filled =
      _MaterialSymbolsData(0x21c, 'edit_location_filled');
  static const edit_location_outlined =
      _MaterialSymbolsData(0x21d, 'edit_location_outlined');
  static const edit_location_sharp =
      _MaterialSymbolsData(0x21e, 'edit_location_sharp');
  static const edit_location = _MaterialSymbolsData(0x21f, 'edit_location');
  static const edit_note_filled_outlined =
      _MaterialSymbolsData(0x220, 'edit_note_filled_outlined');
  static const edit_note_filled_sharp =
      _MaterialSymbolsData(0x221, 'edit_note_filled_sharp');
  static const edit_note_filled =
      _MaterialSymbolsData(0x222, 'edit_note_filled');
  static const edit_note_outlined =
      _MaterialSymbolsData(0x223, 'edit_note_outlined');
  static const edit_note_sharp = _MaterialSymbolsData(0x224, 'edit_note_sharp');
  static const edit_note = _MaterialSymbolsData(0x225, 'edit_note');
  static const edit_notifications_filled_outlined =
      _MaterialSymbolsData(0x226, 'edit_notifications_filled_outlined');
  static const edit_notifications_filled_sharp =
      _MaterialSymbolsData(0x227, 'edit_notifications_filled_sharp');
  static const edit_notifications_filled =
      _MaterialSymbolsData(0x228, 'edit_notifications_filled');
  static const edit_notifications_outlined =
      _MaterialSymbolsData(0x229, 'edit_notifications_outlined');
  static const edit_notifications_sharp =
      _MaterialSymbolsData(0x22a, 'edit_notifications_sharp');
  static const edit_notifications =
      _MaterialSymbolsData(0x22b, 'edit_notifications');
  static const edit_off_filled_outlined =
      _MaterialSymbolsData(0x22c, 'edit_off_filled_outlined');
  static const edit_off_filled_sharp =
      _MaterialSymbolsData(0x22d, 'edit_off_filled_sharp');
  static const edit_off_filled = _MaterialSymbolsData(0x22e, 'edit_off_filled');
  static const edit_off_outlined =
      _MaterialSymbolsData(0x22f, 'edit_off_outlined');
  static const edit_off_sharp = _MaterialSymbolsData(0x230, 'edit_off_sharp');
  static const edit_off = _MaterialSymbolsData(0x231, 'edit_off');
  static const edit_outlined = _MaterialSymbolsData(0x232, 'edit_outlined');
  static const edit_road_filled_outlined =
      _MaterialSymbolsData(0x233, 'edit_road_filled_outlined');
  static const edit_road_filled_sharp =
      _MaterialSymbolsData(0x234, 'edit_road_filled_sharp');
  static const edit_road_filled =
      _MaterialSymbolsData(0x235, 'edit_road_filled');
  static const edit_road_outlined =
      _MaterialSymbolsData(0x236, 'edit_road_outlined');
  static const edit_road_sharp = _MaterialSymbolsData(0x237, 'edit_road_sharp');
  static const edit_road = _MaterialSymbolsData(0x238, 'edit_road');
  static const edit_sharp = _MaterialSymbolsData(0x239, 'edit_sharp');
  static const edit_square_filled_outlined =
      _MaterialSymbolsData(0x23a, 'edit_square_filled_outlined');
  static const edit_square_filled_sharp =
      _MaterialSymbolsData(0x23b, 'edit_square_filled_sharp');
  static const edit_square_filled =
      _MaterialSymbolsData(0x23c, 'edit_square_filled');
  static const edit_square_outlined =
      _MaterialSymbolsData(0x23d, 'edit_square_outlined');
  static const edit_square_sharp =
      _MaterialSymbolsData(0x23e, 'edit_square_sharp');
  static const edit_square = _MaterialSymbolsData(0x23f, 'edit_square');
  static const edit = _MaterialSymbolsData(0x240, 'edit');
  static const egg_alt_filled_outlined =
      _MaterialSymbolsData(0x241, 'egg_alt_filled_outlined');
  static const egg_alt_filled_sharp =
      _MaterialSymbolsData(0x242, 'egg_alt_filled_sharp');
  static const egg_alt_filled = _MaterialSymbolsData(0x243, 'egg_alt_filled');
  static const egg_alt_outlined =
      _MaterialSymbolsData(0x244, 'egg_alt_outlined');
  static const egg_alt_sharp = _MaterialSymbolsData(0x245, 'egg_alt_sharp');
  static const egg_alt = _MaterialSymbolsData(0x246, 'egg_alt');
  static const egg_filled_outlined =
      _MaterialSymbolsData(0x247, 'egg_filled_outlined');
  static const egg_filled_sharp =
      _MaterialSymbolsData(0x248, 'egg_filled_sharp');
  static const egg_filled = _MaterialSymbolsData(0x249, 'egg_filled');
  static const egg_outlined = _MaterialSymbolsData(0x24a, 'egg_outlined');
  static const egg_sharp = _MaterialSymbolsData(0x24b, 'egg_sharp');
  static const egg = _MaterialSymbolsData(0x24c, 'egg');
  static const eject_filled_outlined =
      _MaterialSymbolsData(0x24d, 'eject_filled_outlined');
  static const eject_filled_sharp =
      _MaterialSymbolsData(0x24e, 'eject_filled_sharp');
  static const eject_filled = _MaterialSymbolsData(0x24f, 'eject_filled');
  static const eject_outlined = _MaterialSymbolsData(0x250, 'eject_outlined');
  static const eject_sharp = _MaterialSymbolsData(0x251, 'eject_sharp');
  static const eject = _MaterialSymbolsData(0x252, 'eject');
  static const elderly_filled_outlined =
      _MaterialSymbolsData(0x253, 'elderly_filled_outlined');
  static const elderly_filled_sharp =
      _MaterialSymbolsData(0x254, 'elderly_filled_sharp');
  static const elderly_filled = _MaterialSymbolsData(0x255, 'elderly_filled');
  static const elderly_outlined =
      _MaterialSymbolsData(0x256, 'elderly_outlined');
  static const elderly_sharp = _MaterialSymbolsData(0x257, 'elderly_sharp');
  static const elderly_woman_filled_outlined =
      _MaterialSymbolsData(0x258, 'elderly_woman_filled_outlined');
  static const elderly_woman_filled_sharp =
      _MaterialSymbolsData(0x259, 'elderly_woman_filled_sharp');
  static const elderly_woman_filled =
      _MaterialSymbolsData(0x25a, 'elderly_woman_filled');
  static const elderly_woman_outlined =
      _MaterialSymbolsData(0x25b, 'elderly_woman_outlined');
  static const elderly_woman_sharp =
      _MaterialSymbolsData(0x25c, 'elderly_woman_sharp');
  static const elderly_woman = _MaterialSymbolsData(0x25d, 'elderly_woman');
  static const elderly = _MaterialSymbolsData(0x25e, 'elderly');
  static const electric_bike_filled_outlined =
      _MaterialSymbolsData(0x25f, 'electric_bike_filled_outlined');
  static const electric_bike_filled_sharp =
      _MaterialSymbolsData(0x260, 'electric_bike_filled_sharp');
  static const electric_bike_filled =
      _MaterialSymbolsData(0x261, 'electric_bike_filled');
  static const electric_bike_outlined =
      _MaterialSymbolsData(0x262, 'electric_bike_outlined');
  static const electric_bike_sharp =
      _MaterialSymbolsData(0x263, 'electric_bike_sharp');
  static const electric_bike = _MaterialSymbolsData(0x264, 'electric_bike');
  static const electric_bolt_filled_outlined =
      _MaterialSymbolsData(0x265, 'electric_bolt_filled_outlined');
  static const electric_bolt_filled_sharp =
      _MaterialSymbolsData(0x266, 'electric_bolt_filled_sharp');
  static const electric_bolt_filled =
      _MaterialSymbolsData(0x267, 'electric_bolt_filled');
  static const electric_bolt_outlined =
      _MaterialSymbolsData(0x268, 'electric_bolt_outlined');
  static const electric_bolt_sharp =
      _MaterialSymbolsData(0x269, 'electric_bolt_sharp');
  static const electric_bolt = _MaterialSymbolsData(0x26a, 'electric_bolt');
  static const electric_car_filled_outlined =
      _MaterialSymbolsData(0x26b, 'electric_car_filled_outlined');
  static const electric_car_filled_sharp =
      _MaterialSymbolsData(0x26c, 'electric_car_filled_sharp');
  static const electric_car_filled =
      _MaterialSymbolsData(0x26d, 'electric_car_filled');
  static const electric_car_outlined =
      _MaterialSymbolsData(0x26e, 'electric_car_outlined');
  static const electric_car_sharp =
      _MaterialSymbolsData(0x26f, 'electric_car_sharp');
  static const electric_car = _MaterialSymbolsData(0x270, 'electric_car');
  static const electric_meter_filled_outlined =
      _MaterialSymbolsData(0x271, 'electric_meter_filled_outlined');
  static const electric_meter_filled_sharp =
      _MaterialSymbolsData(0x272, 'electric_meter_filled_sharp');
  static const electric_meter_filled =
      _MaterialSymbolsData(0x273, 'electric_meter_filled');
  static const electric_meter_outlined =
      _MaterialSymbolsData(0x274, 'electric_meter_outlined');
  static const electric_meter_sharp =
      _MaterialSymbolsData(0x275, 'electric_meter_sharp');
  static const electric_meter = _MaterialSymbolsData(0x276, 'electric_meter');
  static const electric_moped_filled_outlined =
      _MaterialSymbolsData(0x277, 'electric_moped_filled_outlined');
  static const electric_moped_filled_sharp =
      _MaterialSymbolsData(0x278, 'electric_moped_filled_sharp');
  static const electric_moped_filled =
      _MaterialSymbolsData(0x279, 'electric_moped_filled');
  static const electric_moped_outlined =
      _MaterialSymbolsData(0x27a, 'electric_moped_outlined');
  static const electric_moped_sharp =
      _MaterialSymbolsData(0x27b, 'electric_moped_sharp');
  static const electric_moped = _MaterialSymbolsData(0x27c, 'electric_moped');
  static const electric_rickshaw_filled_outlined =
      _MaterialSymbolsData(0x27d, 'electric_rickshaw_filled_outlined');
  static const electric_rickshaw_filled_sharp =
      _MaterialSymbolsData(0x27e, 'electric_rickshaw_filled_sharp');
  static const electric_rickshaw_filled =
      _MaterialSymbolsData(0x27f, 'electric_rickshaw_filled');
  static const electric_rickshaw_outlined =
      _MaterialSymbolsData(0x280, 'electric_rickshaw_outlined');
  static const electric_rickshaw_sharp =
      _MaterialSymbolsData(0x281, 'electric_rickshaw_sharp');
  static const electric_rickshaw =
      _MaterialSymbolsData(0x282, 'electric_rickshaw');
  static const electric_scooter_filled_outlined =
      _MaterialSymbolsData(0x283, 'electric_scooter_filled_outlined');
  static const electric_scooter_filled_sharp =
      _MaterialSymbolsData(0x284, 'electric_scooter_filled_sharp');
  static const electric_scooter_filled =
      _MaterialSymbolsData(0x285, 'electric_scooter_filled');
  static const electric_scooter_outlined =
      _MaterialSymbolsData(0x286, 'electric_scooter_outlined');
  static const electric_scooter_sharp =
      _MaterialSymbolsData(0x287, 'electric_scooter_sharp');
  static const electric_scooter =
      _MaterialSymbolsData(0x288, 'electric_scooter');
  static const electrical_services_filled_outlined =
      _MaterialSymbolsData(0x289, 'electrical_services_filled_outlined');
  static const electrical_services_filled_sharp =
      _MaterialSymbolsData(0x28a, 'electrical_services_filled_sharp');
  static const electrical_services_filled =
      _MaterialSymbolsData(0x28b, 'electrical_services_filled');
  static const electrical_services_outlined =
      _MaterialSymbolsData(0x28c, 'electrical_services_outlined');
  static const electrical_services_sharp =
      _MaterialSymbolsData(0x28d, 'electrical_services_sharp');
  static const electrical_services =
      _MaterialSymbolsData(0x28e, 'electrical_services');
  static const elevator_filled_outlined =
      _MaterialSymbolsData(0x28f, 'elevator_filled_outlined');
  static const elevator_filled_sharp =
      _MaterialSymbolsData(0x290, 'elevator_filled_sharp');
  static const elevator_filled = _MaterialSymbolsData(0x291, 'elevator_filled');
  static const elevator_outlined =
      _MaterialSymbolsData(0x292, 'elevator_outlined');
  static const elevator_sharp = _MaterialSymbolsData(0x293, 'elevator_sharp');
  static const elevator = _MaterialSymbolsData(0x294, 'elevator');
  static const emergency_filled_outlined =
      _MaterialSymbolsData(0x295, 'emergency_filled_outlined');
  static const emergency_filled_sharp =
      _MaterialSymbolsData(0x296, 'emergency_filled_sharp');
  static const emergency_filled =
      _MaterialSymbolsData(0x297, 'emergency_filled');
  static const emergency_heat_filled_outlined =
      _MaterialSymbolsData(0x298, 'emergency_heat_filled_outlined');
  static const emergency_heat_filled_sharp =
      _MaterialSymbolsData(0x299, 'emergency_heat_filled_sharp');
  static const emergency_heat_filled =
      _MaterialSymbolsData(0x29a, 'emergency_heat_filled');
  static const emergency_heat_outlined =
      _MaterialSymbolsData(0x29b, 'emergency_heat_outlined');
  static const emergency_heat_sharp =
      _MaterialSymbolsData(0x29c, 'emergency_heat_sharp');
  static const emergency_heat = _MaterialSymbolsData(0x29d, 'emergency_heat');
  static const emergency_home_filled_outlined =
      _MaterialSymbolsData(0x29e, 'emergency_home_filled_outlined');
  static const emergency_home_filled_sharp =
      _MaterialSymbolsData(0x29f, 'emergency_home_filled_sharp');
  static const emergency_home_filled =
      _MaterialSymbolsData(0x2a0, 'emergency_home_filled');
  static const emergency_home_outlined =
      _MaterialSymbolsData(0x2a1, 'emergency_home_outlined');
  static const emergency_home_sharp =
      _MaterialSymbolsData(0x2a2, 'emergency_home_sharp');
  static const emergency_home = _MaterialSymbolsData(0x2a3, 'emergency_home');
  static const emergency_outlined =
      _MaterialSymbolsData(0x2a4, 'emergency_outlined');
  static const emergency_recording_filled_outlined =
      _MaterialSymbolsData(0x2a5, 'emergency_recording_filled_outlined');
  static const emergency_recording_filled_sharp =
      _MaterialSymbolsData(0x2a6, 'emergency_recording_filled_sharp');
  static const emergency_recording_filled =
      _MaterialSymbolsData(0x2a7, 'emergency_recording_filled');
  static const emergency_recording_outlined =
      _MaterialSymbolsData(0x2a8, 'emergency_recording_outlined');
  static const emergency_recording_sharp =
      _MaterialSymbolsData(0x2a9, 'emergency_recording_sharp');
  static const emergency_recording =
      _MaterialSymbolsData(0x2aa, 'emergency_recording');
  static const emergency_share_filled_outlined =
      _MaterialSymbolsData(0x2ab, 'emergency_share_filled_outlined');
  static const emergency_share_filled_sharp =
      _MaterialSymbolsData(0x2ac, 'emergency_share_filled_sharp');
  static const emergency_share_filled =
      _MaterialSymbolsData(0x2ad, 'emergency_share_filled');
  static const emergency_share_outlined =
      _MaterialSymbolsData(0x2ae, 'emergency_share_outlined');
  static const emergency_share_sharp =
      _MaterialSymbolsData(0x2af, 'emergency_share_sharp');
  static const emergency_share = _MaterialSymbolsData(0x2b0, 'emergency_share');
  static const emergency_sharp = _MaterialSymbolsData(0x2b1, 'emergency_sharp');
  static const emergency = _MaterialSymbolsData(0x2b2, 'emergency');
  static const emoji_flags_filled_outlined =
      _MaterialSymbolsData(0x2b3, 'emoji_flags_filled_outlined');
  static const emoji_flags_filled_sharp =
      _MaterialSymbolsData(0x2b4, 'emoji_flags_filled_sharp');
  static const emoji_flags_filled =
      _MaterialSymbolsData(0x2b5, 'emoji_flags_filled');
  static const emoji_flags_outlined =
      _MaterialSymbolsData(0x2b6, 'emoji_flags_outlined');
  static const emoji_flags_sharp =
      _MaterialSymbolsData(0x2b7, 'emoji_flags_sharp');
  static const emoji_flags = _MaterialSymbolsData(0x2b8, 'emoji_flags');
  static const emoji_food_beverage_filled_outlined =
      _MaterialSymbolsData(0x2b9, 'emoji_food_beverage_filled_outlined');
  static const emoji_food_beverage_filled_sharp =
      _MaterialSymbolsData(0x2ba, 'emoji_food_beverage_filled_sharp');
  static const emoji_food_beverage_filled =
      _MaterialSymbolsData(0x2bb, 'emoji_food_beverage_filled');
  static const emoji_food_beverage_outlined =
      _MaterialSymbolsData(0x2bc, 'emoji_food_beverage_outlined');
  static const emoji_food_beverage_sharp =
      _MaterialSymbolsData(0x2bd, 'emoji_food_beverage_sharp');
  static const emoji_food_beverage =
      _MaterialSymbolsData(0x2be, 'emoji_food_beverage');
  static const emoji_nature_filled_outlined =
      _MaterialSymbolsData(0x2bf, 'emoji_nature_filled_outlined');
  static const emoji_nature_filled_sharp =
      _MaterialSymbolsData(0x2c0, 'emoji_nature_filled_sharp');
  static const emoji_nature_filled =
      _MaterialSymbolsData(0x2c1, 'emoji_nature_filled');
  static const emoji_nature_outlined =
      _MaterialSymbolsData(0x2c2, 'emoji_nature_outlined');
  static const emoji_nature_sharp =
      _MaterialSymbolsData(0x2c3, 'emoji_nature_sharp');
  static const emoji_nature = _MaterialSymbolsData(0x2c4, 'emoji_nature');
  static const emoji_objects_filled_outlined =
      _MaterialSymbolsData(0x2c5, 'emoji_objects_filled_outlined');
  static const emoji_objects_filled_sharp =
      _MaterialSymbolsData(0x2c6, 'emoji_objects_filled_sharp');
  static const emoji_objects_filled =
      _MaterialSymbolsData(0x2c7, 'emoji_objects_filled');
  static const emoji_objects_outlined =
      _MaterialSymbolsData(0x2c8, 'emoji_objects_outlined');
  static const emoji_objects_sharp =
      _MaterialSymbolsData(0x2c9, 'emoji_objects_sharp');
  static const emoji_objects = _MaterialSymbolsData(0x2ca, 'emoji_objects');
  static const emoji_people_filled_outlined =
      _MaterialSymbolsData(0x2cb, 'emoji_people_filled_outlined');
  static const emoji_people_filled_sharp =
      _MaterialSymbolsData(0x2cc, 'emoji_people_filled_sharp');
  static const emoji_people_filled =
      _MaterialSymbolsData(0x2cd, 'emoji_people_filled');
  static const emoji_people_outlined =
      _MaterialSymbolsData(0x2ce, 'emoji_people_outlined');
  static const emoji_people_sharp =
      _MaterialSymbolsData(0x2cf, 'emoji_people_sharp');
  static const emoji_people = _MaterialSymbolsData(0x2d0, 'emoji_people');
  static const emoji_symbols_filled_outlined =
      _MaterialSymbolsData(0x2d1, 'emoji_symbols_filled_outlined');
  static const emoji_symbols_filled_sharp =
      _MaterialSymbolsData(0x2d2, 'emoji_symbols_filled_sharp');
  static const emoji_symbols_filled =
      _MaterialSymbolsData(0x2d3, 'emoji_symbols_filled');
  static const emoji_symbols_outlined =
      _MaterialSymbolsData(0x2d4, 'emoji_symbols_outlined');
  static const emoji_symbols_sharp =
      _MaterialSymbolsData(0x2d5, 'emoji_symbols_sharp');
  static const emoji_symbols = _MaterialSymbolsData(0x2d6, 'emoji_symbols');
  static const emoji_transportation_filled_outlined =
      _MaterialSymbolsData(0x2d7, 'emoji_transportation_filled_outlined');
  static const emoji_transportation_filled_sharp =
      _MaterialSymbolsData(0x2d8, 'emoji_transportation_filled_sharp');
  static const emoji_transportation_filled =
      _MaterialSymbolsData(0x2d9, 'emoji_transportation_filled');
  static const emoji_transportation_outlined =
      _MaterialSymbolsData(0x2da, 'emoji_transportation_outlined');
  static const emoji_transportation_sharp =
      _MaterialSymbolsData(0x2db, 'emoji_transportation_sharp');
  static const emoji_transportation =
      _MaterialSymbolsData(0x2dc, 'emoji_transportation');
  static const empty_dashboard_filled_outlined =
      _MaterialSymbolsData(0x2dd, 'empty_dashboard_filled_outlined');
  static const empty_dashboard_filled_sharp =
      _MaterialSymbolsData(0x2de, 'empty_dashboard_filled_sharp');
  static const empty_dashboard_filled =
      _MaterialSymbolsData(0x2df, 'empty_dashboard_filled');
  static const empty_dashboard_outlined =
      _MaterialSymbolsData(0x2e0, 'empty_dashboard_outlined');
  static const empty_dashboard_sharp =
      _MaterialSymbolsData(0x2e1, 'empty_dashboard_sharp');
  static const empty_dashboard = _MaterialSymbolsData(0x2e2, 'empty_dashboard');
  static const enable_filled_outlined =
      _MaterialSymbolsData(0x2e3, 'enable_filled_outlined');
  static const enable_filled_sharp =
      _MaterialSymbolsData(0x2e4, 'enable_filled_sharp');
  static const enable_filled = _MaterialSymbolsData(0x2e5, 'enable_filled');
  static const enable_outlined = _MaterialSymbolsData(0x2e6, 'enable_outlined');
  static const enable_sharp = _MaterialSymbolsData(0x2e7, 'enable_sharp');
  static const enable = _MaterialSymbolsData(0x2e8, 'enable');
  static const energy_program_saving_filled_outlined =
      _MaterialSymbolsData(0x2e9, 'energy_program_saving_filled_outlined');
  static const energy_program_saving_filled_sharp =
      _MaterialSymbolsData(0x2ea, 'energy_program_saving_filled_sharp');
  static const energy_program_saving_filled =
      _MaterialSymbolsData(0x2eb, 'energy_program_saving_filled');
  static const energy_program_saving_outlined =
      _MaterialSymbolsData(0x2ec, 'energy_program_saving_outlined');
  static const energy_program_saving_sharp =
      _MaterialSymbolsData(0x2ed, 'energy_program_saving_sharp');
  static const energy_program_saving =
      _MaterialSymbolsData(0x2ee, 'energy_program_saving');
  static const energy_program_time_used_filled_outlined =
      _MaterialSymbolsData(0x2ef, 'energy_program_time_used_filled_outlined');
  static const energy_program_time_used_filled_sharp =
      _MaterialSymbolsData(0x2f0, 'energy_program_time_used_filled_sharp');
  static const energy_program_time_used_filled =
      _MaterialSymbolsData(0x2f1, 'energy_program_time_used_filled');
  static const energy_program_time_used_outlined =
      _MaterialSymbolsData(0x2f2, 'energy_program_time_used_outlined');
  static const energy_program_time_used_sharp =
      _MaterialSymbolsData(0x2f3, 'energy_program_time_used_sharp');
  static const energy_program_time_used =
      _MaterialSymbolsData(0x2f4, 'energy_program_time_used');
  static const energy_savings_leaf_filled_outlined =
      _MaterialSymbolsData(0x2f5, 'energy_savings_leaf_filled_outlined');
  static const energy_savings_leaf_filled_sharp =
      _MaterialSymbolsData(0x2f6, 'energy_savings_leaf_filled_sharp');
  static const energy_savings_leaf_filled =
      _MaterialSymbolsData(0x2f7, 'energy_savings_leaf_filled');
  static const energy_savings_leaf_outlined =
      _MaterialSymbolsData(0x2f8, 'energy_savings_leaf_outlined');
  static const energy_savings_leaf_sharp =
      _MaterialSymbolsData(0x2f9, 'energy_savings_leaf_sharp');
  static const energy_savings_leaf =
      _MaterialSymbolsData(0x2fa, 'energy_savings_leaf');
  static const engineering_filled_outlined =
      _MaterialSymbolsData(0x2fb, 'engineering_filled_outlined');
  static const engineering_filled_sharp =
      _MaterialSymbolsData(0x2fc, 'engineering_filled_sharp');
  static const engineering_filled =
      _MaterialSymbolsData(0x2fd, 'engineering_filled');
  static const engineering_outlined =
      _MaterialSymbolsData(0x2fe, 'engineering_outlined');
  static const engineering_sharp =
      _MaterialSymbolsData(0x2ff, 'engineering_sharp');
  static const engineering = _MaterialSymbolsData(0x300, 'engineering');
  static const enhanced_encryption_filled_outlined =
      _MaterialSymbolsData(0x301, 'enhanced_encryption_filled_outlined');
  static const enhanced_encryption_filled_sharp =
      _MaterialSymbolsData(0x302, 'enhanced_encryption_filled_sharp');
  static const enhanced_encryption_filled =
      _MaterialSymbolsData(0x303, 'enhanced_encryption_filled');
  static const enhanced_encryption_outlined =
      _MaterialSymbolsData(0x304, 'enhanced_encryption_outlined');
  static const enhanced_encryption_sharp =
      _MaterialSymbolsData(0x305, 'enhanced_encryption_sharp');
  static const enhanced_encryption =
      _MaterialSymbolsData(0x306, 'enhanced_encryption');
  static const ent_filled_outlined =
      _MaterialSymbolsData(0x307, 'ent_filled_outlined');
  static const ent_filled_sharp =
      _MaterialSymbolsData(0x308, 'ent_filled_sharp');
  static const ent_filled = _MaterialSymbolsData(0x309, 'ent_filled');
  static const ent_outlined = _MaterialSymbolsData(0x30a, 'ent_outlined');
  static const ent_sharp = _MaterialSymbolsData(0x30b, 'ent_sharp');
  static const ent = _MaterialSymbolsData(0x30c, 'ent');
  static const equalizer_filled_outlined =
      _MaterialSymbolsData(0x30d, 'equalizer_filled_outlined');
  static const equalizer_filled_sharp =
      _MaterialSymbolsData(0x30e, 'equalizer_filled_sharp');
  static const equalizer_filled =
      _MaterialSymbolsData(0x30f, 'equalizer_filled');
  static const equalizer_outlined =
      _MaterialSymbolsData(0x310, 'equalizer_outlined');
  static const equalizer_sharp = _MaterialSymbolsData(0x311, 'equalizer_sharp');
  static const equalizer = _MaterialSymbolsData(0x312, 'equalizer');
  static const error_circle_rounded_filled_outlined =
      _MaterialSymbolsData(0x313, 'error_circle_rounded_filled_outlined');
  static const error_circle_rounded_filled_sharp =
      _MaterialSymbolsData(0x314, 'error_circle_rounded_filled_sharp');
  static const error_circle_rounded_filled =
      _MaterialSymbolsData(0x315, 'error_circle_rounded_filled');
  static const error_circle_rounded_outlined =
      _MaterialSymbolsData(0x316, 'error_circle_rounded_outlined');
  static const error_circle_rounded_sharp =
      _MaterialSymbolsData(0x317, 'error_circle_rounded_sharp');
  static const error_circle_rounded =
      _MaterialSymbolsData(0x318, 'error_circle_rounded');
  static const error_filled_outlined =
      _MaterialSymbolsData(0x319, 'error_filled_outlined');
  static const error_filled_sharp =
      _MaterialSymbolsData(0x31a, 'error_filled_sharp');
  static const error_filled = _MaterialSymbolsData(0x31b, 'error_filled');
  static const error_med_filled_outlined =
      _MaterialSymbolsData(0x31c, 'error_med_filled_outlined');
  static const error_med_filled_sharp =
      _MaterialSymbolsData(0x31d, 'error_med_filled_sharp');
  static const error_med_filled =
      _MaterialSymbolsData(0x31e, 'error_med_filled');
  static const error_med_outlined =
      _MaterialSymbolsData(0x31f, 'error_med_outlined');
  static const error_med_sharp = _MaterialSymbolsData(0x320, 'error_med_sharp');
  static const error_med = _MaterialSymbolsData(0x321, 'error_med');
  static const error_outlined = _MaterialSymbolsData(0x322, 'error_outlined');
  static const error_sharp = _MaterialSymbolsData(0x323, 'error_sharp');
  static const error = _MaterialSymbolsData(0x324, 'error');
  static const escalator_filled_outlined =
      _MaterialSymbolsData(0x325, 'escalator_filled_outlined');
  static const escalator_filled_sharp =
      _MaterialSymbolsData(0x326, 'escalator_filled_sharp');
  static const escalator_filled =
      _MaterialSymbolsData(0x327, 'escalator_filled');
  static const escalator_outlined =
      _MaterialSymbolsData(0x328, 'escalator_outlined');
  static const escalator_sharp = _MaterialSymbolsData(0x329, 'escalator_sharp');
  static const escalator_warning_filled_outlined =
      _MaterialSymbolsData(0x32a, 'escalator_warning_filled_outlined');
  static const escalator_warning_filled_sharp =
      _MaterialSymbolsData(0x32b, 'escalator_warning_filled_sharp');
  static const escalator_warning_filled =
      _MaterialSymbolsData(0x32c, 'escalator_warning_filled');
  static const escalator_warning_outlined =
      _MaterialSymbolsData(0x32d, 'escalator_warning_outlined');
  static const escalator_warning_sharp =
      _MaterialSymbolsData(0x32e, 'escalator_warning_sharp');
  static const escalator_warning =
      _MaterialSymbolsData(0x32f, 'escalator_warning');
  static const escalator = _MaterialSymbolsData(0x330, 'escalator');
  static const euro_filled_outlined =
      _MaterialSymbolsData(0x331, 'euro_filled_outlined');
  static const euro_filled_sharp =
      _MaterialSymbolsData(0x332, 'euro_filled_sharp');
  static const euro_filled = _MaterialSymbolsData(0x333, 'euro_filled');
  static const euro_outlined = _MaterialSymbolsData(0x334, 'euro_outlined');
  static const euro_sharp = _MaterialSymbolsData(0x335, 'euro_sharp');
  static const euro_symbol_filled_outlined =
      _MaterialSymbolsData(0x336, 'euro_symbol_filled_outlined');
  static const euro_symbol_filled_sharp =
      _MaterialSymbolsData(0x337, 'euro_symbol_filled_sharp');
  static const euro_symbol_filled =
      _MaterialSymbolsData(0x338, 'euro_symbol_filled');
  static const euro_symbol_outlined =
      _MaterialSymbolsData(0x339, 'euro_symbol_outlined');
  static const euro_symbol_sharp =
      _MaterialSymbolsData(0x33a, 'euro_symbol_sharp');
  static const euro_symbol = _MaterialSymbolsData(0x33b, 'euro_symbol');
  static const euro = _MaterialSymbolsData(0x33c, 'euro');
  static const ev_charger_filled_outlined =
      _MaterialSymbolsData(0x33d, 'ev_charger_filled_outlined');
  static const ev_charger_filled_sharp =
      _MaterialSymbolsData(0x33e, 'ev_charger_filled_sharp');
  static const ev_charger_filled =
      _MaterialSymbolsData(0x33f, 'ev_charger_filled');
  static const ev_charger_outlined =
      _MaterialSymbolsData(0x340, 'ev_charger_outlined');
  static const ev_charger_sharp =
      _MaterialSymbolsData(0x341, 'ev_charger_sharp');
  static const ev_charger = _MaterialSymbolsData(0x342, 'ev_charger');
  static const ev_shadow_filled_outlined =
      _MaterialSymbolsData(0x343, 'ev_shadow_filled_outlined');
  static const ev_shadow_filled_sharp =
      _MaterialSymbolsData(0x344, 'ev_shadow_filled_sharp');
  static const ev_shadow_filled =
      _MaterialSymbolsData(0x345, 'ev_shadow_filled');
  static const ev_shadow_outlined =
      _MaterialSymbolsData(0x346, 'ev_shadow_outlined');
  static const ev_shadow_sharp = _MaterialSymbolsData(0x347, 'ev_shadow_sharp');
  static const ev_shadow = _MaterialSymbolsData(0x348, 'ev_shadow');
  static const ev_station_filled_outlined =
      _MaterialSymbolsData(0x349, 'ev_station_filled_outlined');
  static const ev_station_filled_sharp =
      _MaterialSymbolsData(0x34a, 'ev_station_filled_sharp');
  static const ev_station_filled =
      _MaterialSymbolsData(0x34b, 'ev_station_filled');
  static const ev_station_outlined =
      _MaterialSymbolsData(0x34c, 'ev_station_outlined');
  static const ev_station_sharp =
      _MaterialSymbolsData(0x34d, 'ev_station_sharp');
  static const ev_station = _MaterialSymbolsData(0x34e, 'ev_station');
  static const event_available_filled_outlined =
      _MaterialSymbolsData(0x34f, 'event_available_filled_outlined');
  static const event_available_filled_sharp =
      _MaterialSymbolsData(0x350, 'event_available_filled_sharp');
  static const event_available_filled =
      _MaterialSymbolsData(0x351, 'event_available_filled');
  static const event_available_outlined =
      _MaterialSymbolsData(0x352, 'event_available_outlined');
  static const event_available_sharp =
      _MaterialSymbolsData(0x353, 'event_available_sharp');
  static const event_available = _MaterialSymbolsData(0x354, 'event_available');
  static const event_busy_filled_outlined =
      _MaterialSymbolsData(0x355, 'event_busy_filled_outlined');
  static const event_busy_filled_sharp =
      _MaterialSymbolsData(0x356, 'event_busy_filled_sharp');
  static const event_busy_filled =
      _MaterialSymbolsData(0x357, 'event_busy_filled');
  static const event_busy_outlined =
      _MaterialSymbolsData(0x358, 'event_busy_outlined');
  static const event_busy_sharp =
      _MaterialSymbolsData(0x359, 'event_busy_sharp');
  static const event_busy = _MaterialSymbolsData(0x35a, 'event_busy');
  static const event_filled_outlined =
      _MaterialSymbolsData(0x35b, 'event_filled_outlined');
  static const event_filled_sharp =
      _MaterialSymbolsData(0x35c, 'event_filled_sharp');
  static const event_filled = _MaterialSymbolsData(0x35d, 'event_filled');
  static const event_note_filled_outlined =
      _MaterialSymbolsData(0x35e, 'event_note_filled_outlined');
  static const event_note_filled_sharp =
      _MaterialSymbolsData(0x35f, 'event_note_filled_sharp');
  static const event_note_filled =
      _MaterialSymbolsData(0x360, 'event_note_filled');
  static const event_note_outlined =
      _MaterialSymbolsData(0x361, 'event_note_outlined');
  static const event_note_sharp =
      _MaterialSymbolsData(0x362, 'event_note_sharp');
  static const event_note = _MaterialSymbolsData(0x363, 'event_note');
  static const event_outlined = _MaterialSymbolsData(0x364, 'event_outlined');
  static const event_repeat_filled_outlined =
      _MaterialSymbolsData(0x365, 'event_repeat_filled_outlined');
  static const event_repeat_filled_sharp =
      _MaterialSymbolsData(0x366, 'event_repeat_filled_sharp');
  static const event_repeat_filled =
      _MaterialSymbolsData(0x367, 'event_repeat_filled');
  static const event_repeat_outlined =
      _MaterialSymbolsData(0x368, 'event_repeat_outlined');
  static const event_repeat_sharp =
      _MaterialSymbolsData(0x369, 'event_repeat_sharp');
  static const event_repeat = _MaterialSymbolsData(0x36a, 'event_repeat');
  static const event_seat_filled_outlined =
      _MaterialSymbolsData(0x36b, 'event_seat_filled_outlined');
  static const event_seat_filled_sharp =
      _MaterialSymbolsData(0x36c, 'event_seat_filled_sharp');
  static const event_seat_filled =
      _MaterialSymbolsData(0x36d, 'event_seat_filled');
  static const event_seat_outlined =
      _MaterialSymbolsData(0x36e, 'event_seat_outlined');
  static const event_seat_sharp =
      _MaterialSymbolsData(0x36f, 'event_seat_sharp');
  static const event_seat = _MaterialSymbolsData(0x370, 'event_seat');
  static const event_sharp = _MaterialSymbolsData(0x371, 'event_sharp');
  static const event_upcoming_filled_outlined =
      _MaterialSymbolsData(0x372, 'event_upcoming_filled_outlined');
  static const event_upcoming_filled_sharp =
      _MaterialSymbolsData(0x373, 'event_upcoming_filled_sharp');
  static const event_upcoming_filled =
      _MaterialSymbolsData(0x374, 'event_upcoming_filled');
  static const event_upcoming_outlined =
      _MaterialSymbolsData(0x375, 'event_upcoming_outlined');
  static const event_upcoming_sharp =
      _MaterialSymbolsData(0x376, 'event_upcoming_sharp');
  static const event_upcoming = _MaterialSymbolsData(0x377, 'event_upcoming');
  static const event = _MaterialSymbolsData(0x378, 'event');
  static const exclamation_filled_outlined =
      _MaterialSymbolsData(0x379, 'exclamation_filled_outlined');
  static const exclamation_filled_sharp =
      _MaterialSymbolsData(0x37a, 'exclamation_filled_sharp');
  static const exclamation_filled =
      _MaterialSymbolsData(0x37b, 'exclamation_filled');
  static const exclamation_outlined =
      _MaterialSymbolsData(0x37c, 'exclamation_outlined');
  static const exclamation_sharp =
      _MaterialSymbolsData(0x37d, 'exclamation_sharp');
  static const exclamation = _MaterialSymbolsData(0x37e, 'exclamation');
  static const exit_to_app_filled_outlined =
      _MaterialSymbolsData(0x37f, 'exit_to_app_filled_outlined');
  static const exit_to_app_filled_sharp =
      _MaterialSymbolsData(0x380, 'exit_to_app_filled_sharp');
  static const exit_to_app_filled =
      _MaterialSymbolsData(0x381, 'exit_to_app_filled');
  static const exit_to_app_outlined =
      _MaterialSymbolsData(0x382, 'exit_to_app_outlined');
  static const exit_to_app_sharp =
      _MaterialSymbolsData(0x383, 'exit_to_app_sharp');
  static const exit_to_app = _MaterialSymbolsData(0x384, 'exit_to_app');
  static const expand_circle_down_filled_outlined =
      _MaterialSymbolsData(0x385, 'expand_circle_down_filled_outlined');
  static const expand_circle_down_filled_sharp =
      _MaterialSymbolsData(0x386, 'expand_circle_down_filled_sharp');
  static const expand_circle_down_filled =
      _MaterialSymbolsData(0x387, 'expand_circle_down_filled');
  static const expand_circle_down_outlined =
      _MaterialSymbolsData(0x388, 'expand_circle_down_outlined');
  static const expand_circle_down_sharp =
      _MaterialSymbolsData(0x389, 'expand_circle_down_sharp');
  static const expand_circle_down =
      _MaterialSymbolsData(0x38a, 'expand_circle_down');
  static const expand_content_filled_outlined =
      _MaterialSymbolsData(0x38b, 'expand_content_filled_outlined');
  static const expand_content_filled_sharp =
      _MaterialSymbolsData(0x38c, 'expand_content_filled_sharp');
  static const expand_content_filled =
      _MaterialSymbolsData(0x38d, 'expand_content_filled');
  static const expand_content_outlined =
      _MaterialSymbolsData(0x38e, 'expand_content_outlined');
  static const expand_content_sharp =
      _MaterialSymbolsData(0x38f, 'expand_content_sharp');
  static const expand_content = _MaterialSymbolsData(0x390, 'expand_content');
  static const expand_filled_outlined =
      _MaterialSymbolsData(0x391, 'expand_filled_outlined');
  static const expand_filled_sharp =
      _MaterialSymbolsData(0x392, 'expand_filled_sharp');
  static const expand_filled = _MaterialSymbolsData(0x393, 'expand_filled');
  static const expand_less_filled_outlined =
      _MaterialSymbolsData(0x394, 'expand_less_filled_outlined');
  static const expand_less_filled_sharp =
      _MaterialSymbolsData(0x395, 'expand_less_filled_sharp');
  static const expand_less_filled =
      _MaterialSymbolsData(0x396, 'expand_less_filled');
  static const expand_less_outlined =
      _MaterialSymbolsData(0x397, 'expand_less_outlined');
  static const expand_less_sharp =
      _MaterialSymbolsData(0x398, 'expand_less_sharp');
  static const expand_less = _MaterialSymbolsData(0x399, 'expand_less');
  static const expand_more_filled_outlined =
      _MaterialSymbolsData(0x39a, 'expand_more_filled_outlined');
  static const expand_more_filled_sharp =
      _MaterialSymbolsData(0x39b, 'expand_more_filled_sharp');
  static const expand_more_filled =
      _MaterialSymbolsData(0x39c, 'expand_more_filled');
  static const expand_more_outlined =
      _MaterialSymbolsData(0x39d, 'expand_more_outlined');
  static const expand_more_sharp =
      _MaterialSymbolsData(0x39e, 'expand_more_sharp');
  static const expand_more = _MaterialSymbolsData(0x39f, 'expand_more');
  static const expand_outlined = _MaterialSymbolsData(0x3a0, 'expand_outlined');
  static const expand_sharp = _MaterialSymbolsData(0x3a1, 'expand_sharp');
  static const expand = _MaterialSymbolsData(0x3a2, 'expand');
  static const explicit_filled_outlined =
      _MaterialSymbolsData(0x3a3, 'explicit_filled_outlined');
  static const explicit_filled_sharp =
      _MaterialSymbolsData(0x3a4, 'explicit_filled_sharp');
  static const explicit_filled = _MaterialSymbolsData(0x3a5, 'explicit_filled');
  static const explicit_outlined =
      _MaterialSymbolsData(0x3a6, 'explicit_outlined');
  static const explicit_sharp = _MaterialSymbolsData(0x3a7, 'explicit_sharp');
  static const explicit = _MaterialSymbolsData(0x3a8, 'explicit');
  static const explore_filled_outlined =
      _MaterialSymbolsData(0x3a9, 'explore_filled_outlined');
  static const explore_filled_sharp =
      _MaterialSymbolsData(0x3aa, 'explore_filled_sharp');
  static const explore_filled = _MaterialSymbolsData(0x3ab, 'explore_filled');
  static const explore_off_filled_outlined =
      _MaterialSymbolsData(0x3ac, 'explore_off_filled_outlined');
  static const explore_off_filled_sharp =
      _MaterialSymbolsData(0x3ad, 'explore_off_filled_sharp');
  static const explore_off_filled =
      _MaterialSymbolsData(0x3ae, 'explore_off_filled');
  static const explore_off_outlined =
      _MaterialSymbolsData(0x3af, 'explore_off_outlined');
  static const explore_off_sharp =
      _MaterialSymbolsData(0x3b0, 'explore_off_sharp');
  static const explore_off = _MaterialSymbolsData(0x3b1, 'explore_off');
  static const explore_outlined =
      _MaterialSymbolsData(0x3b2, 'explore_outlined');
  static const explore_sharp = _MaterialSymbolsData(0x3b3, 'explore_sharp');
  static const explore = _MaterialSymbolsData(0x3b4, 'explore');
  static const export_notes_filled_outlined =
      _MaterialSymbolsData(0x3b5, 'export_notes_filled_outlined');
  static const export_notes_filled_sharp =
      _MaterialSymbolsData(0x3b6, 'export_notes_filled_sharp');
  static const export_notes_filled =
      _MaterialSymbolsData(0x3b7, 'export_notes_filled');
  static const export_notes_outlined =
      _MaterialSymbolsData(0x3b8, 'export_notes_outlined');
  static const export_notes_sharp =
      _MaterialSymbolsData(0x3b9, 'export_notes_sharp');
  static const export_notes = _MaterialSymbolsData(0x3ba, 'export_notes');
  static const exposure_filled_outlined =
      _MaterialSymbolsData(0x3bb, 'exposure_filled_outlined');
  static const exposure_filled_sharp =
      _MaterialSymbolsData(0x3bc, 'exposure_filled_sharp');
  static const exposure_filled = _MaterialSymbolsData(0x3bd, 'exposure_filled');
  static const exposure_neg_1_filled_outlined =
      _MaterialSymbolsData(0x3be, 'exposure_neg_1_filled_outlined');
  static const exposure_neg_1_filled_sharp =
      _MaterialSymbolsData(0x3bf, 'exposure_neg_1_filled_sharp');
  static const exposure_neg_1_filled =
      _MaterialSymbolsData(0x3c0, 'exposure_neg_1_filled');
  static const exposure_neg_1_outlined =
      _MaterialSymbolsData(0x3c1, 'exposure_neg_1_outlined');
  static const exposure_neg_1_sharp =
      _MaterialSymbolsData(0x3c2, 'exposure_neg_1_sharp');
  static const exposure_neg_1 = _MaterialSymbolsData(0x3c3, 'exposure_neg_1');
  static const exposure_neg_2_filled_outlined =
      _MaterialSymbolsData(0x3c4, 'exposure_neg_2_filled_outlined');
  static const exposure_neg_2_filled_sharp =
      _MaterialSymbolsData(0x3c5, 'exposure_neg_2_filled_sharp');
  static const exposure_neg_2_filled =
      _MaterialSymbolsData(0x3c6, 'exposure_neg_2_filled');
  static const exposure_neg_2_outlined =
      _MaterialSymbolsData(0x3c7, 'exposure_neg_2_outlined');
  static const exposure_neg_2_sharp =
      _MaterialSymbolsData(0x3c8, 'exposure_neg_2_sharp');
  static const exposure_neg_2 = _MaterialSymbolsData(0x3c9, 'exposure_neg_2');
  static const exposure_outlined =
      _MaterialSymbolsData(0x3ca, 'exposure_outlined');
  static const exposure_plus_1_filled_outlined =
      _MaterialSymbolsData(0x3cb, 'exposure_plus_1_filled_outlined');
  static const exposure_plus_1_filled_sharp =
      _MaterialSymbolsData(0x3cc, 'exposure_plus_1_filled_sharp');
  static const exposure_plus_1_filled =
      _MaterialSymbolsData(0x3cd, 'exposure_plus_1_filled');
  static const exposure_plus_1_outlined =
      _MaterialSymbolsData(0x3ce, 'exposure_plus_1_outlined');
  static const exposure_plus_1_sharp =
      _MaterialSymbolsData(0x3cf, 'exposure_plus_1_sharp');
  static const exposure_plus_1 = _MaterialSymbolsData(0x3d0, 'exposure_plus_1');
  static const exposure_plus_2_filled_outlined =
      _MaterialSymbolsData(0x3d1, 'exposure_plus_2_filled_outlined');
  static const exposure_plus_2_filled_sharp =
      _MaterialSymbolsData(0x3d2, 'exposure_plus_2_filled_sharp');
  static const exposure_plus_2_filled =
      _MaterialSymbolsData(0x3d3, 'exposure_plus_2_filled');
  static const exposure_plus_2_outlined =
      _MaterialSymbolsData(0x3d4, 'exposure_plus_2_outlined');
  static const exposure_plus_2_sharp =
      _MaterialSymbolsData(0x3d5, 'exposure_plus_2_sharp');
  static const exposure_plus_2 = _MaterialSymbolsData(0x3d6, 'exposure_plus_2');
  static const exposure_sharp = _MaterialSymbolsData(0x3d7, 'exposure_sharp');
  static const exposure_zero_filled_outlined =
      _MaterialSymbolsData(0x3d8, 'exposure_zero_filled_outlined');
  static const exposure_zero_filled_sharp =
      _MaterialSymbolsData(0x3d9, 'exposure_zero_filled_sharp');
  static const exposure_zero_filled =
      _MaterialSymbolsData(0x3da, 'exposure_zero_filled');
  static const exposure_zero_outlined =
      _MaterialSymbolsData(0x3db, 'exposure_zero_outlined');
  static const exposure_zero_sharp =
      _MaterialSymbolsData(0x3dc, 'exposure_zero_sharp');
  static const exposure_zero = _MaterialSymbolsData(0x3dd, 'exposure_zero');
  static const exposure = _MaterialSymbolsData(0x3de, 'exposure');
  static const extension_filled_outlined =
      _MaterialSymbolsData(0x3df, 'extension_filled_outlined');
  static const extension_filled_sharp =
      _MaterialSymbolsData(0x3e0, 'extension_filled_sharp');
  static const extension_filled =
      _MaterialSymbolsData(0x3e1, 'extension_filled');
  static const extension_off_filled_outlined =
      _MaterialSymbolsData(0x3e2, 'extension_off_filled_outlined');
  static const extension_off_filled_sharp =
      _MaterialSymbolsData(0x3e3, 'extension_off_filled_sharp');
  static const extension_off_filled =
      _MaterialSymbolsData(0x3e4, 'extension_off_filled');
  static const extension_off_outlined =
      _MaterialSymbolsData(0x3e5, 'extension_off_outlined');
  static const extension_off_sharp =
      _MaterialSymbolsData(0x3e6, 'extension_off_sharp');
  static const extension_off = _MaterialSymbolsData(0x3e7, 'extension_off');
  static const extension_outlined =
      _MaterialSymbolsData(0x3e8, 'extension_outlined');
  static const extension_sharp = _MaterialSymbolsData(0x3e9, 'extension_sharp');
  static const extension = _MaterialSymbolsData(0x3ea, 'extension');
  static const face_2_filled_outlined =
      _MaterialSymbolsData(0x3eb, 'face_2_filled_outlined');
  static const face_2_filled_sharp =
      _MaterialSymbolsData(0x3ec, 'face_2_filled_sharp');
  static const face_2_filled = _MaterialSymbolsData(0x3ed, 'face_2_filled');
  static const face_2_outlined = _MaterialSymbolsData(0x3ee, 'face_2_outlined');
  static const face_2_sharp = _MaterialSymbolsData(0x3ef, 'face_2_sharp');
  static const face_2 = _MaterialSymbolsData(0x3f0, 'face_2');
  static const face_3_filled_outlined =
      _MaterialSymbolsData(0x3f1, 'face_3_filled_outlined');
  static const face_3_filled_sharp =
      _MaterialSymbolsData(0x3f2, 'face_3_filled_sharp');
  static const face_3_filled = _MaterialSymbolsData(0x3f3, 'face_3_filled');
  static const face_3_outlined = _MaterialSymbolsData(0x3f4, 'face_3_outlined');
  static const face_3_sharp = _MaterialSymbolsData(0x3f5, 'face_3_sharp');
  static const face_3 = _MaterialSymbolsData(0x3f6, 'face_3');
  static const face_4_filled_outlined =
      _MaterialSymbolsData(0x3f7, 'face_4_filled_outlined');
  static const face_4_filled_sharp =
      _MaterialSymbolsData(0x3f8, 'face_4_filled_sharp');
  static const face_4_filled = _MaterialSymbolsData(0x3f9, 'face_4_filled');
  static const face_4_outlined = _MaterialSymbolsData(0x3fa, 'face_4_outlined');
  static const face_4_sharp = _MaterialSymbolsData(0x3fb, 'face_4_sharp');
  static const face_4 = _MaterialSymbolsData(0x3fc, 'face_4');
  static const face_5_filled_outlined =
      _MaterialSymbolsData(0x3fd, 'face_5_filled_outlined');
  static const face_5_filled_sharp =
      _MaterialSymbolsData(0x3fe, 'face_5_filled_sharp');
  static const face_5_filled = _MaterialSymbolsData(0x3ff, 'face_5_filled');
  static const face_5_outlined = _MaterialSymbolsData(0x400, 'face_5_outlined');
  static const face_5_sharp = _MaterialSymbolsData(0x401, 'face_5_sharp');
  static const face_5 = _MaterialSymbolsData(0x402, 'face_5');
  static const face_6_filled_outlined =
      _MaterialSymbolsData(0x403, 'face_6_filled_outlined');
  static const face_6_filled_sharp =
      _MaterialSymbolsData(0x404, 'face_6_filled_sharp');
  static const face_6_filled = _MaterialSymbolsData(0x405, 'face_6_filled');
  static const face_6_outlined = _MaterialSymbolsData(0x406, 'face_6_outlined');
  static const face_6_sharp = _MaterialSymbolsData(0x407, 'face_6_sharp');
  static const face_6 = _MaterialSymbolsData(0x408, 'face_6');
  static const face_filled_outlined =
      _MaterialSymbolsData(0x409, 'face_filled_outlined');
  static const face_filled_sharp =
      _MaterialSymbolsData(0x40a, 'face_filled_sharp');
  static const face_filled = _MaterialSymbolsData(0x40b, 'face_filled');
  static const face_outlined = _MaterialSymbolsData(0x40c, 'face_outlined');
  static const face_retouching_natural_filled_outlined =
      _MaterialSymbolsData(0x40d, 'face_retouching_natural_filled_outlined');
  static const face_retouching_natural_filled_sharp =
      _MaterialSymbolsData(0x40e, 'face_retouching_natural_filled_sharp');
  static const face_retouching_natural_filled =
      _MaterialSymbolsData(0x40f, 'face_retouching_natural_filled');
  static const face_retouching_natural_outlined =
      _MaterialSymbolsData(0x410, 'face_retouching_natural_outlined');
  static const face_retouching_natural_sharp =
      _MaterialSymbolsData(0x411, 'face_retouching_natural_sharp');
  static const face_retouching_natural =
      _MaterialSymbolsData(0x412, 'face_retouching_natural');
  static const face_retouching_off_filled_outlined =
      _MaterialSymbolsData(0x413, 'face_retouching_off_filled_outlined');
  static const face_retouching_off_filled_sharp =
      _MaterialSymbolsData(0x414, 'face_retouching_off_filled_sharp');
  static const face_retouching_off_filled =
      _MaterialSymbolsData(0x415, 'face_retouching_off_filled');
  static const face_retouching_off_outlined =
      _MaterialSymbolsData(0x416, 'face_retouching_off_outlined');
  static const face_retouching_off_sharp =
      _MaterialSymbolsData(0x417, 'face_retouching_off_sharp');
  static const face_retouching_off =
      _MaterialSymbolsData(0x418, 'face_retouching_off');
  static const face_sharp = _MaterialSymbolsData(0x419, 'face_sharp');
  static const face = _MaterialSymbolsData(0x41a, 'face');
  static const fact_check_filled_outlined =
      _MaterialSymbolsData(0x41b, 'fact_check_filled_outlined');
  static const fact_check_filled_sharp =
      _MaterialSymbolsData(0x41c, 'fact_check_filled_sharp');
  static const fact_check_filled =
      _MaterialSymbolsData(0x41d, 'fact_check_filled');
  static const fact_check_outlined =
      _MaterialSymbolsData(0x41e, 'fact_check_outlined');
  static const fact_check_sharp =
      _MaterialSymbolsData(0x41f, 'fact_check_sharp');
  static const fact_check = _MaterialSymbolsData(0x420, 'fact_check');
  static const factory_filled_outlined =
      _MaterialSymbolsData(0x421, 'factory_filled_outlined');
  static const factory_filled_sharp =
      _MaterialSymbolsData(0x422, 'factory_filled_sharp');
  static const factory_filled = _MaterialSymbolsData(0x423, 'factory_filled');
  static const factory_outlined =
      _MaterialSymbolsData(0x424, 'factory_outlined');
  static const factory_sharp = _MaterialSymbolsData(0x425, 'factory_sharp');
  static const factory = _MaterialSymbolsData(0x426, 'factory');
  static const familiar_face_and_zone_filled_outlined =
      _MaterialSymbolsData(0x427, 'familiar_face_and_zone_filled_outlined');
  static const familiar_face_and_zone_filled_sharp =
      _MaterialSymbolsData(0x428, 'familiar_face_and_zone_filled_sharp');
  static const familiar_face_and_zone_filled =
      _MaterialSymbolsData(0x429, 'familiar_face_and_zone_filled');
  static const familiar_face_and_zone_outlined =
      _MaterialSymbolsData(0x42a, 'familiar_face_and_zone_outlined');
  static const familiar_face_and_zone_sharp =
      _MaterialSymbolsData(0x42b, 'familiar_face_and_zone_sharp');
  static const familiar_face_and_zone =
      _MaterialSymbolsData(0x42c, 'familiar_face_and_zone');
  static const family_history_filled_outlined =
      _MaterialSymbolsData(0x42d, 'family_history_filled_outlined');
  static const family_history_filled_sharp =
      _MaterialSymbolsData(0x42e, 'family_history_filled_sharp');
  static const family_history_filled =
      _MaterialSymbolsData(0x42f, 'family_history_filled');
  static const family_history_outlined =
      _MaterialSymbolsData(0x430, 'family_history_outlined');
  static const family_history_sharp =
      _MaterialSymbolsData(0x431, 'family_history_sharp');
  static const family_history = _MaterialSymbolsData(0x432, 'family_history');
  static const family_restroom_filled_outlined =
      _MaterialSymbolsData(0x433, 'family_restroom_filled_outlined');
  static const family_restroom_filled_sharp =
      _MaterialSymbolsData(0x434, 'family_restroom_filled_sharp');
  static const family_restroom_filled =
      _MaterialSymbolsData(0x435, 'family_restroom_filled');
  static const family_restroom_outlined =
      _MaterialSymbolsData(0x436, 'family_restroom_outlined');
  static const family_restroom_sharp =
      _MaterialSymbolsData(0x437, 'family_restroom_sharp');
  static const family_restroom = _MaterialSymbolsData(0x438, 'family_restroom');
  static const fast_forward_filled_outlined =
      _MaterialSymbolsData(0x439, 'fast_forward_filled_outlined');
  static const fast_forward_filled_sharp =
      _MaterialSymbolsData(0x43a, 'fast_forward_filled_sharp');
  static const fast_forward_filled =
      _MaterialSymbolsData(0x43b, 'fast_forward_filled');
  static const fast_forward_outlined =
      _MaterialSymbolsData(0x43c, 'fast_forward_outlined');
  static const fast_forward_sharp =
      _MaterialSymbolsData(0x43d, 'fast_forward_sharp');
  static const fast_forward = _MaterialSymbolsData(0x43e, 'fast_forward');
  static const fast_rewind_filled_outlined =
      _MaterialSymbolsData(0x43f, 'fast_rewind_filled_outlined');
  static const fast_rewind_filled_sharp =
      _MaterialSymbolsData(0x440, 'fast_rewind_filled_sharp');
  static const fast_rewind_filled =
      _MaterialSymbolsData(0x441, 'fast_rewind_filled');
  static const fast_rewind_outlined =
      _MaterialSymbolsData(0x442, 'fast_rewind_outlined');
  static const fast_rewind_sharp =
      _MaterialSymbolsData(0x443, 'fast_rewind_sharp');
  static const fast_rewind = _MaterialSymbolsData(0x444, 'fast_rewind');
  static const fastfood_filled_outlined =
      _MaterialSymbolsData(0x445, 'fastfood_filled_outlined');
  static const fastfood_filled_sharp =
      _MaterialSymbolsData(0x446, 'fastfood_filled_sharp');
  static const fastfood_filled = _MaterialSymbolsData(0x447, 'fastfood_filled');
  static const fastfood_outlined =
      _MaterialSymbolsData(0x448, 'fastfood_outlined');
  static const fastfood_sharp = _MaterialSymbolsData(0x449, 'fastfood_sharp');
  static const fastfood = _MaterialSymbolsData(0x44a, 'fastfood');
  static const faucet_filled_outlined =
      _MaterialSymbolsData(0x44b, 'faucet_filled_outlined');
  static const faucet_filled_sharp =
      _MaterialSymbolsData(0x44c, 'faucet_filled_sharp');
  static const faucet_filled = _MaterialSymbolsData(0x44d, 'faucet_filled');
  static const faucet_outlined = _MaterialSymbolsData(0x44e, 'faucet_outlined');
  static const faucet_sharp = _MaterialSymbolsData(0x44f, 'faucet_sharp');
  static const faucet = _MaterialSymbolsData(0x450, 'faucet');
  static const favorite_filled_outlined =
      _MaterialSymbolsData(0x451, 'favorite_filled_outlined');
  static const favorite_filled_sharp =
      _MaterialSymbolsData(0x452, 'favorite_filled_sharp');
  static const favorite_filled = _MaterialSymbolsData(0x453, 'favorite_filled');
  static const favorite_outlined =
      _MaterialSymbolsData(0x454, 'favorite_outlined');
  static const favorite_sharp = _MaterialSymbolsData(0x455, 'favorite_sharp');
  static const favorite = _MaterialSymbolsData(0x456, 'favorite');
  static const fax_filled_outlined =
      _MaterialSymbolsData(0x457, 'fax_filled_outlined');
  static const fax_filled_sharp =
      _MaterialSymbolsData(0x458, 'fax_filled_sharp');
  static const fax_filled = _MaterialSymbolsData(0x459, 'fax_filled');
  static const fax_outlined = _MaterialSymbolsData(0x45a, 'fax_outlined');
  static const fax_sharp = _MaterialSymbolsData(0x45b, 'fax_sharp');
  static const fax = _MaterialSymbolsData(0x45c, 'fax');
  static const featured_play_list_filled_outlined =
      _MaterialSymbolsData(0x45d, 'featured_play_list_filled_outlined');
  static const featured_play_list_filled_sharp =
      _MaterialSymbolsData(0x45e, 'featured_play_list_filled_sharp');
  static const featured_play_list_filled =
      _MaterialSymbolsData(0x45f, 'featured_play_list_filled');
  static const featured_play_list_outlined =
      _MaterialSymbolsData(0x460, 'featured_play_list_outlined');
  static const featured_play_list_sharp =
      _MaterialSymbolsData(0x461, 'featured_play_list_sharp');
  static const featured_play_list =
      _MaterialSymbolsData(0x462, 'featured_play_list');
  static const featured_video_filled_outlined =
      _MaterialSymbolsData(0x463, 'featured_video_filled_outlined');
  static const featured_video_filled_sharp =
      _MaterialSymbolsData(0x464, 'featured_video_filled_sharp');
  static const featured_video_filled =
      _MaterialSymbolsData(0x465, 'featured_video_filled');
  static const featured_video_outlined =
      _MaterialSymbolsData(0x466, 'featured_video_outlined');
  static const featured_video_sharp =
      _MaterialSymbolsData(0x467, 'featured_video_sharp');
  static const featured_video = _MaterialSymbolsData(0x468, 'featured_video');
  static const feed_filled_outlined =
      _MaterialSymbolsData(0x469, 'feed_filled_outlined');
  static const feed_filled_sharp =
      _MaterialSymbolsData(0x46a, 'feed_filled_sharp');
  static const feed_filled = _MaterialSymbolsData(0x46b, 'feed_filled');
  static const feed_outlined = _MaterialSymbolsData(0x46c, 'feed_outlined');
  static const feed_sharp = _MaterialSymbolsData(0x46d, 'feed_sharp');
  static const feed = _MaterialSymbolsData(0x46e, 'feed');
  static const female_filled_outlined =
      _MaterialSymbolsData(0x46f, 'female_filled_outlined');
  static const female_filled_sharp =
      _MaterialSymbolsData(0x470, 'female_filled_sharp');
  static const female_filled = _MaterialSymbolsData(0x471, 'female_filled');
  static const female_outlined = _MaterialSymbolsData(0x472, 'female_outlined');
  static const female_sharp = _MaterialSymbolsData(0x473, 'female_sharp');
  static const female = _MaterialSymbolsData(0x474, 'female');
  static const femur_alt_filled_outlined =
      _MaterialSymbolsData(0x475, 'femur_alt_filled_outlined');
  static const femur_alt_filled_sharp =
      _MaterialSymbolsData(0x476, 'femur_alt_filled_sharp');
  static const femur_alt_filled =
      _MaterialSymbolsData(0x477, 'femur_alt_filled');
  static const femur_alt_outlined =
      _MaterialSymbolsData(0x478, 'femur_alt_outlined');
  static const femur_alt_sharp = _MaterialSymbolsData(0x479, 'femur_alt_sharp');
  static const femur_alt = _MaterialSymbolsData(0x47a, 'femur_alt');
  static const femur_filled_outlined =
      _MaterialSymbolsData(0x47b, 'femur_filled_outlined');
  static const femur_filled_sharp =
      _MaterialSymbolsData(0x47c, 'femur_filled_sharp');
  static const femur_filled = _MaterialSymbolsData(0x47d, 'femur_filled');
  static const femur_outlined = _MaterialSymbolsData(0x47e, 'femur_outlined');
  static const femur_sharp = _MaterialSymbolsData(0x47f, 'femur_sharp');
  static const femur = _MaterialSymbolsData(0x480, 'femur');
  static const fence_filled_outlined =
      _MaterialSymbolsData(0x481, 'fence_filled_outlined');
  static const fence_filled_sharp =
      _MaterialSymbolsData(0x482, 'fence_filled_sharp');
  static const fence_filled = _MaterialSymbolsData(0x483, 'fence_filled');
  static const fence_outlined = _MaterialSymbolsData(0x484, 'fence_outlined');
  static const fence_sharp = _MaterialSymbolsData(0x485, 'fence_sharp');
  static const fence = _MaterialSymbolsData(0x486, 'fence');
  static const festival_filled_outlined =
      _MaterialSymbolsData(0x487, 'festival_filled_outlined');
  static const festival_filled_sharp =
      _MaterialSymbolsData(0x488, 'festival_filled_sharp');
  static const festival_filled = _MaterialSymbolsData(0x489, 'festival_filled');
  static const festival_outlined =
      _MaterialSymbolsData(0x48a, 'festival_outlined');
  static const festival_sharp = _MaterialSymbolsData(0x48b, 'festival_sharp');
  static const festival = _MaterialSymbolsData(0x48c, 'festival');
  static const fiber_dvr_filled_outlined =
      _MaterialSymbolsData(0x48d, 'fiber_dvr_filled_outlined');
  static const fiber_dvr_filled_sharp =
      _MaterialSymbolsData(0x48e, 'fiber_dvr_filled_sharp');
  static const fiber_dvr_filled =
      _MaterialSymbolsData(0x48f, 'fiber_dvr_filled');
  static const fiber_dvr_outlined =
      _MaterialSymbolsData(0x490, 'fiber_dvr_outlined');
  static const fiber_dvr_sharp = _MaterialSymbolsData(0x491, 'fiber_dvr_sharp');
  static const fiber_dvr = _MaterialSymbolsData(0x492, 'fiber_dvr');
  static const fiber_manual_record_filled_outlined =
      _MaterialSymbolsData(0x493, 'fiber_manual_record_filled_outlined');
  static const fiber_manual_record_filled_sharp =
      _MaterialSymbolsData(0x494, 'fiber_manual_record_filled_sharp');
  static const fiber_manual_record_filled =
      _MaterialSymbolsData(0x495, 'fiber_manual_record_filled');
  static const fiber_manual_record_outlined =
      _MaterialSymbolsData(0x496, 'fiber_manual_record_outlined');
  static const fiber_manual_record_sharp =
      _MaterialSymbolsData(0x497, 'fiber_manual_record_sharp');
  static const fiber_manual_record =
      _MaterialSymbolsData(0x498, 'fiber_manual_record');
  static const fiber_new_filled_outlined =
      _MaterialSymbolsData(0x499, 'fiber_new_filled_outlined');
  static const fiber_new_filled_sharp =
      _MaterialSymbolsData(0x49a, 'fiber_new_filled_sharp');
  static const fiber_new_filled =
      _MaterialSymbolsData(0x49b, 'fiber_new_filled');
  static const fiber_new_outlined =
      _MaterialSymbolsData(0x49c, 'fiber_new_outlined');
  static const fiber_new_sharp = _MaterialSymbolsData(0x49d, 'fiber_new_sharp');
  static const fiber_new = _MaterialSymbolsData(0x49e, 'fiber_new');
  static const fiber_pin_filled_outlined =
      _MaterialSymbolsData(0x49f, 'fiber_pin_filled_outlined');
  static const fiber_pin_filled_sharp =
      _MaterialSymbolsData(0x4a0, 'fiber_pin_filled_sharp');
  static const fiber_pin_filled =
      _MaterialSymbolsData(0x4a1, 'fiber_pin_filled');
  static const fiber_pin_outlined =
      _MaterialSymbolsData(0x4a2, 'fiber_pin_outlined');
  static const fiber_pin_sharp = _MaterialSymbolsData(0x4a3, 'fiber_pin_sharp');
  static const fiber_pin = _MaterialSymbolsData(0x4a4, 'fiber_pin');
  static const fiber_smart_record_filled_outlined =
      _MaterialSymbolsData(0x4a5, 'fiber_smart_record_filled_outlined');
  static const fiber_smart_record_filled_sharp =
      _MaterialSymbolsData(0x4a6, 'fiber_smart_record_filled_sharp');
  static const fiber_smart_record_filled =
      _MaterialSymbolsData(0x4a7, 'fiber_smart_record_filled');
  static const fiber_smart_record_outlined =
      _MaterialSymbolsData(0x4a8, 'fiber_smart_record_outlined');
  static const fiber_smart_record_sharp =
      _MaterialSymbolsData(0x4a9, 'fiber_smart_record_sharp');
  static const fiber_smart_record =
      _MaterialSymbolsData(0x4aa, 'fiber_smart_record');
  static const file_copy_filled_outlined =
      _MaterialSymbolsData(0x4ab, 'file_copy_filled_outlined');
  static const file_copy_filled_sharp =
      _MaterialSymbolsData(0x4ac, 'file_copy_filled_sharp');
  static const file_copy_filled =
      _MaterialSymbolsData(0x4ad, 'file_copy_filled');
  static const file_copy_outlined =
      _MaterialSymbolsData(0x4ae, 'file_copy_outlined');
  static const file_copy_sharp = _MaterialSymbolsData(0x4af, 'file_copy_sharp');
  static const file_copy = _MaterialSymbolsData(0x4b0, 'file_copy');
  static const file_download_done_filled_outlined =
      _MaterialSymbolsData(0x4b1, 'file_download_done_filled_outlined');
  static const file_download_done_filled_sharp =
      _MaterialSymbolsData(0x4b2, 'file_download_done_filled_sharp');
  static const file_download_done_filled =
      _MaterialSymbolsData(0x4b3, 'file_download_done_filled');
  static const file_download_done_outlined =
      _MaterialSymbolsData(0x4b4, 'file_download_done_outlined');
  static const file_download_done_sharp =
      _MaterialSymbolsData(0x4b5, 'file_download_done_sharp');
  static const file_download_done =
      _MaterialSymbolsData(0x4b6, 'file_download_done');
  static const file_download_off_filled_outlined =
      _MaterialSymbolsData(0x4b7, 'file_download_off_filled_outlined');
  static const file_download_off_filled_sharp =
      _MaterialSymbolsData(0x4b8, 'file_download_off_filled_sharp');
  static const file_download_off_filled =
      _MaterialSymbolsData(0x4b9, 'file_download_off_filled');
  static const file_download_off_outlined =
      _MaterialSymbolsData(0x4ba, 'file_download_off_outlined');
  static const file_download_off_sharp =
      _MaterialSymbolsData(0x4bb, 'file_download_off_sharp');
  static const file_download_off =
      _MaterialSymbolsData(0x4bc, 'file_download_off');
  static const file_open_filled_outlined =
      _MaterialSymbolsData(0x4bd, 'file_open_filled_outlined');
  static const file_open_filled_sharp =
      _MaterialSymbolsData(0x4be, 'file_open_filled_sharp');
  static const file_open_filled =
      _MaterialSymbolsData(0x4bf, 'file_open_filled');
  static const file_open_outlined =
      _MaterialSymbolsData(0x4c0, 'file_open_outlined');
  static const file_open_sharp = _MaterialSymbolsData(0x4c1, 'file_open_sharp');
  static const file_open = _MaterialSymbolsData(0x4c2, 'file_open');
  static const file_present_filled_outlined =
      _MaterialSymbolsData(0x4c3, 'file_present_filled_outlined');
  static const file_present_filled_sharp =
      _MaterialSymbolsData(0x4c4, 'file_present_filled_sharp');
  static const file_present_filled =
      _MaterialSymbolsData(0x4c5, 'file_present_filled');
  static const file_present_outlined =
      _MaterialSymbolsData(0x4c6, 'file_present_outlined');
  static const file_present_sharp =
      _MaterialSymbolsData(0x4c7, 'file_present_sharp');
  static const file_present = _MaterialSymbolsData(0x4c8, 'file_present');
  static const file_upload_off_filled_outlined =
      _MaterialSymbolsData(0x4c9, 'file_upload_off_filled_outlined');
  static const file_upload_off_filled_sharp =
      _MaterialSymbolsData(0x4ca, 'file_upload_off_filled_sharp');
  static const file_upload_off_filled =
      _MaterialSymbolsData(0x4cb, 'file_upload_off_filled');
  static const file_upload_off_outlined =
      _MaterialSymbolsData(0x4cc, 'file_upload_off_outlined');
  static const file_upload_off_sharp =
      _MaterialSymbolsData(0x4cd, 'file_upload_off_sharp');
  static const file_upload_off = _MaterialSymbolsData(0x4ce, 'file_upload_off');
  static const filter_1_filled_outlined =
      _MaterialSymbolsData(0x4cf, 'filter_1_filled_outlined');
  static const filter_1_filled_sharp =
      _MaterialSymbolsData(0x4d0, 'filter_1_filled_sharp');
  static const filter_1_filled = _MaterialSymbolsData(0x4d1, 'filter_1_filled');
  static const filter_1_outlined =
      _MaterialSymbolsData(0x4d2, 'filter_1_outlined');
  static const filter_1_sharp = _MaterialSymbolsData(0x4d3, 'filter_1_sharp');
  static const filter_1 = _MaterialSymbolsData(0x4d4, 'filter_1');
  static const filter_2_filled_outlined =
      _MaterialSymbolsData(0x4d5, 'filter_2_filled_outlined');
  static const filter_2_filled_sharp =
      _MaterialSymbolsData(0x4d6, 'filter_2_filled_sharp');
  static const filter_2_filled = _MaterialSymbolsData(0x4d7, 'filter_2_filled');
  static const filter_2_outlined =
      _MaterialSymbolsData(0x4d8, 'filter_2_outlined');
  static const filter_2_sharp = _MaterialSymbolsData(0x4d9, 'filter_2_sharp');
  static const filter_2 = _MaterialSymbolsData(0x4da, 'filter_2');
  static const filter_3_filled_outlined =
      _MaterialSymbolsData(0x4db, 'filter_3_filled_outlined');
  static const filter_3_filled_sharp =
      _MaterialSymbolsData(0x4dc, 'filter_3_filled_sharp');
  static const filter_3_filled = _MaterialSymbolsData(0x4dd, 'filter_3_filled');
  static const filter_3_outlined =
      _MaterialSymbolsData(0x4de, 'filter_3_outlined');
  static const filter_3_sharp = _MaterialSymbolsData(0x4df, 'filter_3_sharp');
  static const filter_3 = _MaterialSymbolsData(0x4e0, 'filter_3');
  static const filter_4_filled_outlined =
      _MaterialSymbolsData(0x4e1, 'filter_4_filled_outlined');
  static const filter_4_filled_sharp =
      _MaterialSymbolsData(0x4e2, 'filter_4_filled_sharp');
  static const filter_4_filled = _MaterialSymbolsData(0x4e3, 'filter_4_filled');
  static const filter_4_outlined =
      _MaterialSymbolsData(0x4e4, 'filter_4_outlined');
  static const filter_4_sharp = _MaterialSymbolsData(0x4e5, 'filter_4_sharp');
  static const filter_4 = _MaterialSymbolsData(0x4e6, 'filter_4');
  static const filter_5_filled_outlined =
      _MaterialSymbolsData(0x4e7, 'filter_5_filled_outlined');
  static const filter_5_filled_sharp =
      _MaterialSymbolsData(0x4e8, 'filter_5_filled_sharp');
  static const filter_5_filled = _MaterialSymbolsData(0x4e9, 'filter_5_filled');
  static const filter_5_outlined =
      _MaterialSymbolsData(0x4ea, 'filter_5_outlined');
  static const filter_5_sharp = _MaterialSymbolsData(0x4eb, 'filter_5_sharp');
  static const filter_5 = _MaterialSymbolsData(0x4ec, 'filter_5');
  static const filter_6_filled_outlined =
      _MaterialSymbolsData(0x4ed, 'filter_6_filled_outlined');
  static const filter_6_filled_sharp =
      _MaterialSymbolsData(0x4ee, 'filter_6_filled_sharp');
  static const filter_6_filled = _MaterialSymbolsData(0x4ef, 'filter_6_filled');
  static const filter_6_outlined =
      _MaterialSymbolsData(0x4f0, 'filter_6_outlined');
  static const filter_6_sharp = _MaterialSymbolsData(0x4f1, 'filter_6_sharp');
  static const filter_6 = _MaterialSymbolsData(0x4f2, 'filter_6');
  static const filter_7_filled_outlined =
      _MaterialSymbolsData(0x4f3, 'filter_7_filled_outlined');
  static const filter_7_filled_sharp =
      _MaterialSymbolsData(0x4f4, 'filter_7_filled_sharp');
  static const filter_7_filled = _MaterialSymbolsData(0x4f5, 'filter_7_filled');
  static const filter_7_outlined =
      _MaterialSymbolsData(0x4f6, 'filter_7_outlined');
  static const filter_7_sharp = _MaterialSymbolsData(0x4f7, 'filter_7_sharp');
  static const filter_7 = _MaterialSymbolsData(0x4f8, 'filter_7');
  static const filter_8_filled_outlined =
      _MaterialSymbolsData(0x4f9, 'filter_8_filled_outlined');
  static const filter_8_filled_sharp =
      _MaterialSymbolsData(0x4fa, 'filter_8_filled_sharp');
  static const filter_8_filled = _MaterialSymbolsData(0x4fb, 'filter_8_filled');
  static const filter_8_outlined =
      _MaterialSymbolsData(0x4fc, 'filter_8_outlined');
  static const filter_8_sharp = _MaterialSymbolsData(0x4fd, 'filter_8_sharp');
  static const filter_8 = _MaterialSymbolsData(0x4fe, 'filter_8');
  static const filter_9_filled_outlined =
      _MaterialSymbolsData(0x4ff, 'filter_9_filled_outlined');
  static const filter_9_filled_sharp =
      _MaterialSymbolsData(0x500, 'filter_9_filled_sharp');
  static const filter_9_filled = _MaterialSymbolsData(0x501, 'filter_9_filled');
  static const filter_9_outlined =
      _MaterialSymbolsData(0x502, 'filter_9_outlined');
  static const filter_9_plus_filled_outlined =
      _MaterialSymbolsData(0x503, 'filter_9_plus_filled_outlined');
  static const filter_9_plus_filled_sharp =
      _MaterialSymbolsData(0x504, 'filter_9_plus_filled_sharp');
  static const filter_9_plus_filled =
      _MaterialSymbolsData(0x505, 'filter_9_plus_filled');
  static const filter_9_plus_outlined =
      _MaterialSymbolsData(0x506, 'filter_9_plus_outlined');
  static const filter_9_plus_sharp =
      _MaterialSymbolsData(0x507, 'filter_9_plus_sharp');
  static const filter_9_plus = _MaterialSymbolsData(0x508, 'filter_9_plus');
  static const filter_9_sharp = _MaterialSymbolsData(0x509, 'filter_9_sharp');
  static const filter_9 = _MaterialSymbolsData(0x50a, 'filter_9');
  static const filter_alt_filled_outlined =
      _MaterialSymbolsData(0x50b, 'filter_alt_filled_outlined');
  static const filter_alt_filled_sharp =
      _MaterialSymbolsData(0x50c, 'filter_alt_filled_sharp');
  static const filter_alt_filled =
      _MaterialSymbolsData(0x50d, 'filter_alt_filled');
  static const filter_alt_off_filled_outlined =
      _MaterialSymbolsData(0x50e, 'filter_alt_off_filled_outlined');
  static const filter_alt_off_filled_sharp =
      _MaterialSymbolsData(0x50f, 'filter_alt_off_filled_sharp');
  static const filter_alt_off_filled =
      _MaterialSymbolsData(0x510, 'filter_alt_off_filled');
  static const filter_alt_off_outlined =
      _MaterialSymbolsData(0x511, 'filter_alt_off_outlined');
  static const filter_alt_off_sharp =
      _MaterialSymbolsData(0x512, 'filter_alt_off_sharp');
  static const filter_alt_off = _MaterialSymbolsData(0x513, 'filter_alt_off');
  static const filter_alt_outlined =
      _MaterialSymbolsData(0x514, 'filter_alt_outlined');
  static const filter_alt_sharp =
      _MaterialSymbolsData(0x515, 'filter_alt_sharp');
  static const filter_alt = _MaterialSymbolsData(0x516, 'filter_alt');
  static const filter_b_and_w_filled_outlined =
      _MaterialSymbolsData(0x517, 'filter_b_and_w_filled_outlined');
  static const filter_b_and_w_filled_sharp =
      _MaterialSymbolsData(0x518, 'filter_b_and_w_filled_sharp');
  static const filter_b_and_w_filled =
      _MaterialSymbolsData(0x519, 'filter_b_and_w_filled');
  static const filter_b_and_w_outlined =
      _MaterialSymbolsData(0x51a, 'filter_b_and_w_outlined');
  static const filter_b_and_w_sharp =
      _MaterialSymbolsData(0x51b, 'filter_b_and_w_sharp');
  static const filter_b_and_w = _MaterialSymbolsData(0x51c, 'filter_b_and_w');
  static const filter_center_focus_filled_outlined =
      _MaterialSymbolsData(0x51d, 'filter_center_focus_filled_outlined');
  static const filter_center_focus_filled_sharp =
      _MaterialSymbolsData(0x51e, 'filter_center_focus_filled_sharp');
  static const filter_center_focus_filled =
      _MaterialSymbolsData(0x51f, 'filter_center_focus_filled');
  static const filter_center_focus_outlined =
      _MaterialSymbolsData(0x520, 'filter_center_focus_outlined');
  static const filter_center_focus_sharp =
      _MaterialSymbolsData(0x521, 'filter_center_focus_sharp');
  static const filter_center_focus =
      _MaterialSymbolsData(0x522, 'filter_center_focus');
  static const filter_drama_filled_outlined =
      _MaterialSymbolsData(0x523, 'filter_drama_filled_outlined');
  static const filter_drama_filled_sharp =
      _MaterialSymbolsData(0x524, 'filter_drama_filled_sharp');
  static const filter_drama_filled =
      _MaterialSymbolsData(0x525, 'filter_drama_filled');
  static const filter_drama_outlined =
      _MaterialSymbolsData(0x526, 'filter_drama_outlined');
  static const filter_drama_sharp =
      _MaterialSymbolsData(0x527, 'filter_drama_sharp');
  static const filter_drama = _MaterialSymbolsData(0x528, 'filter_drama');
  static const filter_filled_outlined =
      _MaterialSymbolsData(0x529, 'filter_filled_outlined');
  static const filter_filled_sharp =
      _MaterialSymbolsData(0x52a, 'filter_filled_sharp');
  static const filter_filled = _MaterialSymbolsData(0x52b, 'filter_filled');
  static const filter_frames_filled_outlined =
      _MaterialSymbolsData(0x52c, 'filter_frames_filled_outlined');
  static const filter_frames_filled_sharp =
      _MaterialSymbolsData(0x52d, 'filter_frames_filled_sharp');
  static const filter_frames_filled =
      _MaterialSymbolsData(0x52e, 'filter_frames_filled');
  static const filter_frames_outlined =
      _MaterialSymbolsData(0x52f, 'filter_frames_outlined');
  static const filter_frames_sharp =
      _MaterialSymbolsData(0x530, 'filter_frames_sharp');
  static const filter_frames = _MaterialSymbolsData(0x531, 'filter_frames');
  static const filter_hdr_filled_outlined =
      _MaterialSymbolsData(0x532, 'filter_hdr_filled_outlined');
  static const filter_hdr_filled_sharp =
      _MaterialSymbolsData(0x533, 'filter_hdr_filled_sharp');
  static const filter_hdr_filled =
      _MaterialSymbolsData(0x534, 'filter_hdr_filled');
  static const filter_hdr_outlined =
      _MaterialSymbolsData(0x535, 'filter_hdr_outlined');
  static const filter_hdr_sharp =
      _MaterialSymbolsData(0x536, 'filter_hdr_sharp');
  static const filter_hdr = _MaterialSymbolsData(0x537, 'filter_hdr');
  static const filter_list_filled_outlined =
      _MaterialSymbolsData(0x538, 'filter_list_filled_outlined');
  static const filter_list_filled_sharp =
      _MaterialSymbolsData(0x539, 'filter_list_filled_sharp');
  static const filter_list_filled =
      _MaterialSymbolsData(0x53a, 'filter_list_filled');
  static const filter_list_off_filled_outlined =
      _MaterialSymbolsData(0x53b, 'filter_list_off_filled_outlined');
  static const filter_list_off_filled_sharp =
      _MaterialSymbolsData(0x53c, 'filter_list_off_filled_sharp');
  static const filter_list_off_filled =
      _MaterialSymbolsData(0x53d, 'filter_list_off_filled');
  static const filter_list_off_outlined =
      _MaterialSymbolsData(0x53e, 'filter_list_off_outlined');
  static const filter_list_off_sharp =
      _MaterialSymbolsData(0x53f, 'filter_list_off_sharp');
  static const filter_list_off = _MaterialSymbolsData(0x540, 'filter_list_off');
  static const filter_list_outlined =
      _MaterialSymbolsData(0x541, 'filter_list_outlined');
  static const filter_list_sharp =
      _MaterialSymbolsData(0x542, 'filter_list_sharp');
  static const filter_list = _MaterialSymbolsData(0x543, 'filter_list');
  static const filter_none_filled_outlined =
      _MaterialSymbolsData(0x544, 'filter_none_filled_outlined');
  static const filter_none_filled_sharp =
      _MaterialSymbolsData(0x545, 'filter_none_filled_sharp');
  static const filter_none_filled =
      _MaterialSymbolsData(0x546, 'filter_none_filled');
  static const filter_none_outlined =
      _MaterialSymbolsData(0x547, 'filter_none_outlined');
  static const filter_none_sharp =
      _MaterialSymbolsData(0x548, 'filter_none_sharp');
  static const filter_none = _MaterialSymbolsData(0x549, 'filter_none');
  static const filter_outlined = _MaterialSymbolsData(0x54a, 'filter_outlined');
  static const filter_sharp = _MaterialSymbolsData(0x54b, 'filter_sharp');
  static const filter_tilt_shift_filled_outlined =
      _MaterialSymbolsData(0x54c, 'filter_tilt_shift_filled_outlined');
  static const filter_tilt_shift_filled_sharp =
      _MaterialSymbolsData(0x54d, 'filter_tilt_shift_filled_sharp');
  static const filter_tilt_shift_filled =
      _MaterialSymbolsData(0x54e, 'filter_tilt_shift_filled');
  static const filter_tilt_shift_outlined =
      _MaterialSymbolsData(0x54f, 'filter_tilt_shift_outlined');
  static const filter_tilt_shift_sharp =
      _MaterialSymbolsData(0x550, 'filter_tilt_shift_sharp');
  static const filter_tilt_shift =
      _MaterialSymbolsData(0x551, 'filter_tilt_shift');
  static const filter_vintage_filled_outlined =
      _MaterialSymbolsData(0x552, 'filter_vintage_filled_outlined');
  static const filter_vintage_filled_sharp =
      _MaterialSymbolsData(0x553, 'filter_vintage_filled_sharp');
  static const filter_vintage_filled =
      _MaterialSymbolsData(0x554, 'filter_vintage_filled');
  static const filter_vintage_outlined =
      _MaterialSymbolsData(0x555, 'filter_vintage_outlined');
  static const filter_vintage_sharp =
      _MaterialSymbolsData(0x556, 'filter_vintage_sharp');
  static const filter_vintage = _MaterialSymbolsData(0x557, 'filter_vintage');
  static const filter = _MaterialSymbolsData(0x558, 'filter');
  static const finance_chip_filled_outlined =
      _MaterialSymbolsData(0x559, 'finance_chip_filled_outlined');
  static const finance_chip_filled_sharp =
      _MaterialSymbolsData(0x55a, 'finance_chip_filled_sharp');
  static const finance_chip_filled =
      _MaterialSymbolsData(0x55b, 'finance_chip_filled');
  static const finance_chip_outlined =
      _MaterialSymbolsData(0x55c, 'finance_chip_outlined');
  static const finance_chip_sharp =
      _MaterialSymbolsData(0x55d, 'finance_chip_sharp');
  static const finance_chip = _MaterialSymbolsData(0x55e, 'finance_chip');
  static const find_in_page_filled_outlined =
      _MaterialSymbolsData(0x55f, 'find_in_page_filled_outlined');
  static const find_in_page_filled_sharp =
      _MaterialSymbolsData(0x560, 'find_in_page_filled_sharp');
  static const find_in_page_filled =
      _MaterialSymbolsData(0x561, 'find_in_page_filled');
  static const find_in_page_outlined =
      _MaterialSymbolsData(0x562, 'find_in_page_outlined');
  static const find_in_page_sharp =
      _MaterialSymbolsData(0x563, 'find_in_page_sharp');
  static const find_in_page = _MaterialSymbolsData(0x564, 'find_in_page');
  static const find_replace_filled_outlined =
      _MaterialSymbolsData(0x565, 'find_replace_filled_outlined');
  static const find_replace_filled_sharp =
      _MaterialSymbolsData(0x566, 'find_replace_filled_sharp');
  static const find_replace_filled =
      _MaterialSymbolsData(0x567, 'find_replace_filled');
  static const find_replace_outlined =
      _MaterialSymbolsData(0x568, 'find_replace_outlined');
  static const find_replace_sharp =
      _MaterialSymbolsData(0x569, 'find_replace_sharp');
  static const find_replace = _MaterialSymbolsData(0x56a, 'find_replace');
  static const fingerprint_filled_outlined =
      _MaterialSymbolsData(0x56b, 'fingerprint_filled_outlined');
  static const fingerprint_filled_sharp =
      _MaterialSymbolsData(0x56c, 'fingerprint_filled_sharp');
  static const fingerprint_filled =
      _MaterialSymbolsData(0x56d, 'fingerprint_filled');
  static const fingerprint_outlined =
      _MaterialSymbolsData(0x56e, 'fingerprint_outlined');
  static const fingerprint_sharp =
      _MaterialSymbolsData(0x56f, 'fingerprint_sharp');
  static const fingerprint = _MaterialSymbolsData(0x570, 'fingerprint');
  static const fire_extinguisher_filled_outlined =
      _MaterialSymbolsData(0x571, 'fire_extinguisher_filled_outlined');
  static const fire_extinguisher_filled_sharp =
      _MaterialSymbolsData(0x572, 'fire_extinguisher_filled_sharp');
  static const fire_extinguisher_filled =
      _MaterialSymbolsData(0x573, 'fire_extinguisher_filled');
  static const fire_extinguisher_outlined =
      _MaterialSymbolsData(0x574, 'fire_extinguisher_outlined');
  static const fire_extinguisher_sharp =
      _MaterialSymbolsData(0x575, 'fire_extinguisher_sharp');
  static const fire_extinguisher =
      _MaterialSymbolsData(0x576, 'fire_extinguisher');
  static const fire_hydrant_filled_outlined =
      _MaterialSymbolsData(0x577, 'fire_hydrant_filled_outlined');
  static const fire_hydrant_filled_sharp =
      _MaterialSymbolsData(0x578, 'fire_hydrant_filled_sharp');
  static const fire_hydrant_filled =
      _MaterialSymbolsData(0x579, 'fire_hydrant_filled');
  static const fire_hydrant_outlined =
      _MaterialSymbolsData(0x57a, 'fire_hydrant_outlined');
  static const fire_hydrant_sharp =
      _MaterialSymbolsData(0x57b, 'fire_hydrant_sharp');
  static const fire_hydrant = _MaterialSymbolsData(0x57c, 'fire_hydrant');
  static const fire_truck_filled_outlined =
      _MaterialSymbolsData(0x57d, 'fire_truck_filled_outlined');
  static const fire_truck_filled_sharp =
      _MaterialSymbolsData(0x57e, 'fire_truck_filled_sharp');
  static const fire_truck_filled =
      _MaterialSymbolsData(0x57f, 'fire_truck_filled');
  static const fire_truck_outlined =
      _MaterialSymbolsData(0x580, 'fire_truck_outlined');
  static const fire_truck_sharp =
      _MaterialSymbolsData(0x581, 'fire_truck_sharp');
  static const fire_truck = _MaterialSymbolsData(0x582, 'fire_truck');
  static const fireplace_filled_outlined =
      _MaterialSymbolsData(0x583, 'fireplace_filled_outlined');
  static const fireplace_filled_sharp =
      _MaterialSymbolsData(0x584, 'fireplace_filled_sharp');
  static const fireplace_filled =
      _MaterialSymbolsData(0x585, 'fireplace_filled');
  static const fireplace_outlined =
      _MaterialSymbolsData(0x586, 'fireplace_outlined');
  static const fireplace_sharp = _MaterialSymbolsData(0x587, 'fireplace_sharp');
  static const fireplace = _MaterialSymbolsData(0x588, 'fireplace');
  static const first_page_filled_outlined =
      _MaterialSymbolsData(0x589, 'first_page_filled_outlined');
  static const first_page_filled_sharp =
      _MaterialSymbolsData(0x58a, 'first_page_filled_sharp');
  static const first_page_filled =
      _MaterialSymbolsData(0x58b, 'first_page_filled');
  static const first_page_outlined =
      _MaterialSymbolsData(0x58c, 'first_page_outlined');
  static const first_page_sharp =
      _MaterialSymbolsData(0x58d, 'first_page_sharp');
  static const first_page = _MaterialSymbolsData(0x58e, 'first_page');
  static const fit_screen_filled_outlined =
      _MaterialSymbolsData(0x58f, 'fit_screen_filled_outlined');
  static const fit_screen_filled_sharp =
      _MaterialSymbolsData(0x590, 'fit_screen_filled_sharp');
  static const fit_screen_filled =
      _MaterialSymbolsData(0x591, 'fit_screen_filled');
  static const fit_screen_outlined =
      _MaterialSymbolsData(0x592, 'fit_screen_outlined');
  static const fit_screen_sharp =
      _MaterialSymbolsData(0x593, 'fit_screen_sharp');
  static const fit_screen = _MaterialSymbolsData(0x594, 'fit_screen');
  static const fitness_center_filled_outlined =
      _MaterialSymbolsData(0x595, 'fitness_center_filled_outlined');
  static const fitness_center_filled_sharp =
      _MaterialSymbolsData(0x596, 'fitness_center_filled_sharp');
  static const fitness_center_filled =
      _MaterialSymbolsData(0x597, 'fitness_center_filled');
  static const fitness_center_outlined =
      _MaterialSymbolsData(0x598, 'fitness_center_outlined');
  static const fitness_center_sharp =
      _MaterialSymbolsData(0x599, 'fitness_center_sharp');
  static const fitness_center = _MaterialSymbolsData(0x59a, 'fitness_center');
  static const flag_circle_filled_outlined =
      _MaterialSymbolsData(0x59b, 'flag_circle_filled_outlined');
  static const flag_circle_filled_sharp =
      _MaterialSymbolsData(0x59c, 'flag_circle_filled_sharp');
  static const flag_circle_filled =
      _MaterialSymbolsData(0x59d, 'flag_circle_filled');
  static const flag_circle_outlined =
      _MaterialSymbolsData(0x59e, 'flag_circle_outlined');
  static const flag_circle_sharp =
      _MaterialSymbolsData(0x59f, 'flag_circle_sharp');
  static const flag_circle = _MaterialSymbolsData(0x5a0, 'flag_circle');
  static const flag_filled_outlined =
      _MaterialSymbolsData(0x5a1, 'flag_filled_outlined');
  static const flag_filled_sharp =
      _MaterialSymbolsData(0x5a2, 'flag_filled_sharp');
  static const flag_filled = _MaterialSymbolsData(0x5a3, 'flag_filled');
  static const flag_outlined = _MaterialSymbolsData(0x5a4, 'flag_outlined');
  static const flag_sharp = _MaterialSymbolsData(0x5a5, 'flag_sharp');
  static const flag = _MaterialSymbolsData(0x5a6, 'flag');
  static const flaky_filled_outlined =
      _MaterialSymbolsData(0x5a7, 'flaky_filled_outlined');
  static const flaky_filled_sharp =
      _MaterialSymbolsData(0x5a8, 'flaky_filled_sharp');
  static const flaky_filled = _MaterialSymbolsData(0x5a9, 'flaky_filled');
  static const flaky_outlined = _MaterialSymbolsData(0x5aa, 'flaky_outlined');
  static const flaky_sharp = _MaterialSymbolsData(0x5ab, 'flaky_sharp');
  static const flaky = _MaterialSymbolsData(0x5ac, 'flaky');
  static const flare_filled_outlined =
      _MaterialSymbolsData(0x5ad, 'flare_filled_outlined');
  static const flare_filled_sharp =
      _MaterialSymbolsData(0x5ae, 'flare_filled_sharp');
  static const flare_filled = _MaterialSymbolsData(0x5af, 'flare_filled');
  static const flare_outlined = _MaterialSymbolsData(0x5b0, 'flare_outlined');
  static const flare_sharp = _MaterialSymbolsData(0x5b1, 'flare_sharp');
  static const flare = _MaterialSymbolsData(0x5b2, 'flare');
  static const flash_auto_filled_outlined =
      _MaterialSymbolsData(0x5b3, 'flash_auto_filled_outlined');
  static const flash_auto_filled_sharp =
      _MaterialSymbolsData(0x5b4, 'flash_auto_filled_sharp');
  static const flash_auto_filled =
      _MaterialSymbolsData(0x5b5, 'flash_auto_filled');
  static const flash_auto_outlined =
      _MaterialSymbolsData(0x5b6, 'flash_auto_outlined');
  static const flash_auto_sharp =
      _MaterialSymbolsData(0x5b7, 'flash_auto_sharp');
  static const flash_auto = _MaterialSymbolsData(0x5b8, 'flash_auto');
  static const flash_off_filled_outlined =
      _MaterialSymbolsData(0x5b9, 'flash_off_filled_outlined');
  static const flash_off_filled_sharp =
      _MaterialSymbolsData(0x5ba, 'flash_off_filled_sharp');
  static const flash_off_filled =
      _MaterialSymbolsData(0x5bb, 'flash_off_filled');
  static const flash_off_outlined =
      _MaterialSymbolsData(0x5bc, 'flash_off_outlined');
  static const flash_off_sharp = _MaterialSymbolsData(0x5bd, 'flash_off_sharp');
  static const flash_off = _MaterialSymbolsData(0x5be, 'flash_off');
  static const flash_on_filled_outlined =
      _MaterialSymbolsData(0x5bf, 'flash_on_filled_outlined');
  static const flash_on_filled_sharp =
      _MaterialSymbolsData(0x5c0, 'flash_on_filled_sharp');
  static const flash_on_filled = _MaterialSymbolsData(0x5c1, 'flash_on_filled');
  static const flash_on_outlined =
      _MaterialSymbolsData(0x5c2, 'flash_on_outlined');
  static const flash_on_sharp = _MaterialSymbolsData(0x5c3, 'flash_on_sharp');
  static const flash_on = _MaterialSymbolsData(0x5c4, 'flash_on');
  static const flashlight_off_filled_outlined =
      _MaterialSymbolsData(0x5c5, 'flashlight_off_filled_outlined');
  static const flashlight_off_filled_sharp =
      _MaterialSymbolsData(0x5c6, 'flashlight_off_filled_sharp');
  static const flashlight_off_filled =
      _MaterialSymbolsData(0x5c7, 'flashlight_off_filled');
  static const flashlight_off_outlined =
      _MaterialSymbolsData(0x5c8, 'flashlight_off_outlined');
  static const flashlight_off_sharp =
      _MaterialSymbolsData(0x5c9, 'flashlight_off_sharp');
  static const flashlight_off = _MaterialSymbolsData(0x5ca, 'flashlight_off');
  static const flashlight_on_filled_outlined =
      _MaterialSymbolsData(0x5cb, 'flashlight_on_filled_outlined');
  static const flashlight_on_filled_sharp =
      _MaterialSymbolsData(0x5cc, 'flashlight_on_filled_sharp');
  static const flashlight_on_filled =
      _MaterialSymbolsData(0x5cd, 'flashlight_on_filled');
  static const flashlight_on_outlined =
      _MaterialSymbolsData(0x5ce, 'flashlight_on_outlined');
  static const flashlight_on_sharp =
      _MaterialSymbolsData(0x5cf, 'flashlight_on_sharp');
  static const flashlight_on = _MaterialSymbolsData(0x5d0, 'flashlight_on');
  static const flatware_filled_outlined =
      _MaterialSymbolsData(0x5d1, 'flatware_filled_outlined');
  static const flatware_filled_sharp =
      _MaterialSymbolsData(0x5d2, 'flatware_filled_sharp');
  static const flatware_filled = _MaterialSymbolsData(0x5d3, 'flatware_filled');
  static const flatware_outlined =
      _MaterialSymbolsData(0x5d4, 'flatware_outlined');
  static const flatware_sharp = _MaterialSymbolsData(0x5d5, 'flatware_sharp');
  static const flatware = _MaterialSymbolsData(0x5d6, 'flatware');
  static const flight_class_filled_outlined =
      _MaterialSymbolsData(0x5d7, 'flight_class_filled_outlined');
  static const flight_class_filled_sharp =
      _MaterialSymbolsData(0x5d8, 'flight_class_filled_sharp');
  static const flight_class_filled =
      _MaterialSymbolsData(0x5d9, 'flight_class_filled');
  static const flight_class_outlined =
      _MaterialSymbolsData(0x5da, 'flight_class_outlined');
  static const flight_class_sharp =
      _MaterialSymbolsData(0x5db, 'flight_class_sharp');
  static const flight_class = _MaterialSymbolsData(0x5dc, 'flight_class');
  static const flight_filled_outlined =
      _MaterialSymbolsData(0x5dd, 'flight_filled_outlined');
  static const flight_filled_sharp =
      _MaterialSymbolsData(0x5de, 'flight_filled_sharp');
  static const flight_filled = _MaterialSymbolsData(0x5df, 'flight_filled');
  static const flight_land_filled_outlined =
      _MaterialSymbolsData(0x5e0, 'flight_land_filled_outlined');
  static const flight_land_filled_sharp =
      _MaterialSymbolsData(0x5e1, 'flight_land_filled_sharp');
  static const flight_land_filled =
      _MaterialSymbolsData(0x5e2, 'flight_land_filled');
  static const flight_land_outlined =
      _MaterialSymbolsData(0x5e3, 'flight_land_outlined');
  static const flight_land_sharp =
      _MaterialSymbolsData(0x5e4, 'flight_land_sharp');
  static const flight_land = _MaterialSymbolsData(0x5e5, 'flight_land');
  static const flight_outlined = _MaterialSymbolsData(0x5e6, 'flight_outlined');
  static const flight_sharp = _MaterialSymbolsData(0x5e7, 'flight_sharp');
  static const flight_takeoff_filled_outlined =
      _MaterialSymbolsData(0x5e8, 'flight_takeoff_filled_outlined');
  static const flight_takeoff_filled_sharp =
      _MaterialSymbolsData(0x5e9, 'flight_takeoff_filled_sharp');
  static const flight_takeoff_filled =
      _MaterialSymbolsData(0x5ea, 'flight_takeoff_filled');
  static const flight_takeoff_outlined =
      _MaterialSymbolsData(0x5eb, 'flight_takeoff_outlined');
  static const flight_takeoff_sharp =
      _MaterialSymbolsData(0x5ec, 'flight_takeoff_sharp');
  static const flight_takeoff = _MaterialSymbolsData(0x5ed, 'flight_takeoff');
  static const flight = _MaterialSymbolsData(0x5ee, 'flight');
  static const flip_camera_android_filled_outlined =
      _MaterialSymbolsData(0x5ef, 'flip_camera_android_filled_outlined');
  static const flip_camera_android_filled_sharp =
      _MaterialSymbolsData(0x5f0, 'flip_camera_android_filled_sharp');
  static const flip_camera_android_filled =
      _MaterialSymbolsData(0x5f1, 'flip_camera_android_filled');
  static const flip_camera_android_outlined =
      _MaterialSymbolsData(0x5f2, 'flip_camera_android_outlined');
  static const flip_camera_android_sharp =
      _MaterialSymbolsData(0x5f3, 'flip_camera_android_sharp');
  static const flip_camera_android =
      _MaterialSymbolsData(0x5f4, 'flip_camera_android');
  static const flip_camera_ios_filled_outlined =
      _MaterialSymbolsData(0x5f5, 'flip_camera_ios_filled_outlined');
  static const flip_camera_ios_filled_sharp =
      _MaterialSymbolsData(0x5f6, 'flip_camera_ios_filled_sharp');
  static const flip_camera_ios_filled =
      _MaterialSymbolsData(0x5f7, 'flip_camera_ios_filled');
  static const flip_camera_ios_outlined =
      _MaterialSymbolsData(0x5f8, 'flip_camera_ios_outlined');
  static const flip_camera_ios_sharp =
      _MaterialSymbolsData(0x5f9, 'flip_camera_ios_sharp');
  static const flip_camera_ios = _MaterialSymbolsData(0x5fa, 'flip_camera_ios');
  static const flip_filled_outlined =
      _MaterialSymbolsData(0x5fb, 'flip_filled_outlined');
  static const flip_filled_sharp =
      _MaterialSymbolsData(0x5fc, 'flip_filled_sharp');
  static const flip_filled = _MaterialSymbolsData(0x5fd, 'flip_filled');
  static const flip_outlined = _MaterialSymbolsData(0x5fe, 'flip_outlined');
  static const flip_sharp = _MaterialSymbolsData(0x5ff, 'flip_sharp');
  static const flip_to_back_filled_outlined =
      _MaterialSymbolsData(0x600, 'flip_to_back_filled_outlined');
  static const flip_to_back_filled_sharp =
      _MaterialSymbolsData(0x601, 'flip_to_back_filled_sharp');
  static const flip_to_back_filled =
      _MaterialSymbolsData(0x602, 'flip_to_back_filled');
  static const flip_to_back_outlined =
      _MaterialSymbolsData(0x603, 'flip_to_back_outlined');
  static const flip_to_back_sharp =
      _MaterialSymbolsData(0x604, 'flip_to_back_sharp');
  static const flip_to_back = _MaterialSymbolsData(0x605, 'flip_to_back');
  static const flip_to_front_filled_outlined =
      _MaterialSymbolsData(0x606, 'flip_to_front_filled_outlined');
  static const flip_to_front_filled_sharp =
      _MaterialSymbolsData(0x607, 'flip_to_front_filled_sharp');
  static const flip_to_front_filled =
      _MaterialSymbolsData(0x608, 'flip_to_front_filled');
  static const flip_to_front_outlined =
      _MaterialSymbolsData(0x609, 'flip_to_front_outlined');
  static const flip_to_front_sharp =
      _MaterialSymbolsData(0x60a, 'flip_to_front_sharp');
  static const flip_to_front = _MaterialSymbolsData(0x60b, 'flip_to_front');
  static const flip = _MaterialSymbolsData(0x60c, 'flip');
  static const flood_filled_outlined =
      _MaterialSymbolsData(0x60d, 'flood_filled_outlined');
  static const flood_filled_sharp =
      _MaterialSymbolsData(0x60e, 'flood_filled_sharp');
  static const flood_filled = _MaterialSymbolsData(0x60f, 'flood_filled');
  static const flood_outlined = _MaterialSymbolsData(0x610, 'flood_outlined');
  static const flood_sharp = _MaterialSymbolsData(0x611, 'flood_sharp');
  static const flood = _MaterialSymbolsData(0x612, 'flood');
  static const floor_lamp_filled_outlined =
      _MaterialSymbolsData(0x613, 'floor_lamp_filled_outlined');
  static const floor_lamp_filled_sharp =
      _MaterialSymbolsData(0x614, 'floor_lamp_filled_sharp');
  static const floor_lamp_filled =
      _MaterialSymbolsData(0x615, 'floor_lamp_filled');
  static const floor_lamp_outlined =
      _MaterialSymbolsData(0x616, 'floor_lamp_outlined');
  static const floor_lamp_sharp =
      _MaterialSymbolsData(0x617, 'floor_lamp_sharp');
  static const floor_lamp = _MaterialSymbolsData(0x618, 'floor_lamp');
  static const flowsheet_filled_outlined =
      _MaterialSymbolsData(0x619, 'flowsheet_filled_outlined');
  static const flowsheet_filled_sharp =
      _MaterialSymbolsData(0x61a, 'flowsheet_filled_sharp');
  static const flowsheet_filled =
      _MaterialSymbolsData(0x61b, 'flowsheet_filled');
  static const flowsheet_outlined =
      _MaterialSymbolsData(0x61c, 'flowsheet_outlined');
  static const flowsheet_sharp = _MaterialSymbolsData(0x61d, 'flowsheet_sharp');
  static const flowsheet = _MaterialSymbolsData(0x61e, 'flowsheet');
  static const fluid_balance_filled_outlined =
      _MaterialSymbolsData(0x61f, 'fluid_balance_filled_outlined');
  static const fluid_balance_filled_sharp =
      _MaterialSymbolsData(0x620, 'fluid_balance_filled_sharp');
  static const fluid_balance_filled =
      _MaterialSymbolsData(0x621, 'fluid_balance_filled');
  static const fluid_balance_outlined =
      _MaterialSymbolsData(0x622, 'fluid_balance_outlined');
  static const fluid_balance_sharp =
      _MaterialSymbolsData(0x623, 'fluid_balance_sharp');
  static const fluid_balance = _MaterialSymbolsData(0x624, 'fluid_balance');
  static const fluid_filled_outlined =
      _MaterialSymbolsData(0x625, 'fluid_filled_outlined');
  static const fluid_filled_sharp =
      _MaterialSymbolsData(0x626, 'fluid_filled_sharp');
  static const fluid_filled = _MaterialSymbolsData(0x627, 'fluid_filled');
  static const fluid_med_filled_outlined =
      _MaterialSymbolsData(0x628, 'fluid_med_filled_outlined');
  static const fluid_med_filled_sharp =
      _MaterialSymbolsData(0x629, 'fluid_med_filled_sharp');
  static const fluid_med_filled =
      _MaterialSymbolsData(0x62a, 'fluid_med_filled');
  static const fluid_med_outlined =
      _MaterialSymbolsData(0x62b, 'fluid_med_outlined');
  static const fluid_med_sharp = _MaterialSymbolsData(0x62c, 'fluid_med_sharp');
  static const fluid_med = _MaterialSymbolsData(0x62d, 'fluid_med');
  static const fluid_outlined = _MaterialSymbolsData(0x62e, 'fluid_outlined');
  static const fluid_sharp = _MaterialSymbolsData(0x62f, 'fluid_sharp');
  static const fluid = _MaterialSymbolsData(0x630, 'fluid');
  static const fluorescent_filled_outlined =
      _MaterialSymbolsData(0x631, 'fluorescent_filled_outlined');
  static const fluorescent_filled_sharp =
      _MaterialSymbolsData(0x632, 'fluorescent_filled_sharp');
  static const fluorescent_filled =
      _MaterialSymbolsData(0x633, 'fluorescent_filled');
  static const fluorescent_outlined =
      _MaterialSymbolsData(0x634, 'fluorescent_outlined');
  static const fluorescent_sharp =
      _MaterialSymbolsData(0x635, 'fluorescent_sharp');
  static const fluorescent = _MaterialSymbolsData(0x636, 'fluorescent');
  static const flutter_dash_filled_outlined =
      _MaterialSymbolsData(0x637, 'flutter_dash_filled_outlined');
  static const flutter_dash_filled_sharp =
      _MaterialSymbolsData(0x638, 'flutter_dash_filled_sharp');
  static const flutter_dash_filled =
      _MaterialSymbolsData(0x639, 'flutter_dash_filled');
  static const flutter_dash_outlined =
      _MaterialSymbolsData(0x63a, 'flutter_dash_outlined');
  static const flutter_dash_sharp =
      _MaterialSymbolsData(0x63b, 'flutter_dash_sharp');
  static const flutter_dash = _MaterialSymbolsData(0x63c, 'flutter_dash');
  static const fmd_bad_filled_outlined =
      _MaterialSymbolsData(0x63d, 'fmd_bad_filled_outlined');
  static const fmd_bad_filled_sharp =
      _MaterialSymbolsData(0x63e, 'fmd_bad_filled_sharp');
  static const fmd_bad_filled = _MaterialSymbolsData(0x63f, 'fmd_bad_filled');
  static const fmd_bad_outlined =
      _MaterialSymbolsData(0x640, 'fmd_bad_outlined');
  static const fmd_bad_sharp = _MaterialSymbolsData(0x641, 'fmd_bad_sharp');
  static const fmd_bad = _MaterialSymbolsData(0x642, 'fmd_bad');
  static const foggy_filled_outlined =
      _MaterialSymbolsData(0x643, 'foggy_filled_outlined');
  static const foggy_filled_sharp =
      _MaterialSymbolsData(0x644, 'foggy_filled_sharp');
  static const foggy_filled = _MaterialSymbolsData(0x645, 'foggy_filled');
  static const foggy_outlined = _MaterialSymbolsData(0x646, 'foggy_outlined');
  static const foggy_sharp = _MaterialSymbolsData(0x647, 'foggy_sharp');
  static const foggy = _MaterialSymbolsData(0x648, 'foggy');
  static const folder_copy_filled_outlined =
      _MaterialSymbolsData(0x649, 'folder_copy_filled_outlined');
  static const folder_copy_filled_sharp =
      _MaterialSymbolsData(0x64a, 'folder_copy_filled_sharp');
  static const folder_copy_filled =
      _MaterialSymbolsData(0x64b, 'folder_copy_filled');
  static const folder_copy_outlined =
      _MaterialSymbolsData(0x64c, 'folder_copy_outlined');
  static const folder_copy_sharp =
      _MaterialSymbolsData(0x64d, 'folder_copy_sharp');
  static const folder_copy = _MaterialSymbolsData(0x64e, 'folder_copy');
  static const folder_delete_filled_outlined =
      _MaterialSymbolsData(0x64f, 'folder_delete_filled_outlined');
  static const folder_delete_filled_sharp =
      _MaterialSymbolsData(0x650, 'folder_delete_filled_sharp');
  static const folder_delete_filled =
      _MaterialSymbolsData(0x651, 'folder_delete_filled');
  static const folder_delete_outlined =
      _MaterialSymbolsData(0x652, 'folder_delete_outlined');
  static const folder_delete_sharp =
      _MaterialSymbolsData(0x653, 'folder_delete_sharp');
  static const folder_delete = _MaterialSymbolsData(0x654, 'folder_delete');
  static const folder_filled_outlined =
      _MaterialSymbolsData(0x655, 'folder_filled_outlined');
  static const folder_filled_sharp =
      _MaterialSymbolsData(0x656, 'folder_filled_sharp');
  static const folder_filled = _MaterialSymbolsData(0x657, 'folder_filled');
  static const folder_off_filled_outlined =
      _MaterialSymbolsData(0x658, 'folder_off_filled_outlined');
  static const folder_off_filled_sharp =
      _MaterialSymbolsData(0x659, 'folder_off_filled_sharp');
  static const folder_off_filled =
      _MaterialSymbolsData(0x65a, 'folder_off_filled');
  static const folder_off_outlined =
      _MaterialSymbolsData(0x65b, 'folder_off_outlined');
  static const folder_off_sharp =
      _MaterialSymbolsData(0x65c, 'folder_off_sharp');
  static const folder_off = _MaterialSymbolsData(0x65d, 'folder_off');
  static const folder_open_filled_outlined =
      _MaterialSymbolsData(0x65e, 'folder_open_filled_outlined');
  static const folder_open_filled_sharp =
      _MaterialSymbolsData(0x65f, 'folder_open_filled_sharp');
  static const folder_open_filled =
      _MaterialSymbolsData(0x660, 'folder_open_filled');
  static const folder_open_outlined =
      _MaterialSymbolsData(0x661, 'folder_open_outlined');
  static const folder_open_sharp =
      _MaterialSymbolsData(0x662, 'folder_open_sharp');
  static const folder_open = _MaterialSymbolsData(0x663, 'folder_open');
  static const folder_outlined = _MaterialSymbolsData(0x664, 'folder_outlined');
  static const folder_shared_filled_outlined =
      _MaterialSymbolsData(0x665, 'folder_shared_filled_outlined');
  static const folder_shared_filled_sharp =
      _MaterialSymbolsData(0x666, 'folder_shared_filled_sharp');
  static const folder_shared_filled =
      _MaterialSymbolsData(0x667, 'folder_shared_filled');
  static const folder_shared_outlined =
      _MaterialSymbolsData(0x668, 'folder_shared_outlined');
  static const folder_shared_sharp =
      _MaterialSymbolsData(0x669, 'folder_shared_sharp');
  static const folder_shared = _MaterialSymbolsData(0x66a, 'folder_shared');
  static const folder_sharp = _MaterialSymbolsData(0x66b, 'folder_sharp');
  static const folder_special_filled_outlined =
      _MaterialSymbolsData(0x66c, 'folder_special_filled_outlined');
  static const folder_special_filled_sharp =
      _MaterialSymbolsData(0x66d, 'folder_special_filled_sharp');
  static const folder_special_filled =
      _MaterialSymbolsData(0x66e, 'folder_special_filled');
  static const folder_special_outlined =
      _MaterialSymbolsData(0x66f, 'folder_special_outlined');
  static const folder_special_sharp =
      _MaterialSymbolsData(0x670, 'folder_special_sharp');
  static const folder_special = _MaterialSymbolsData(0x671, 'folder_special');
  static const folder_zip_filled_outlined =
      _MaterialSymbolsData(0x672, 'folder_zip_filled_outlined');
  static const folder_zip_filled_sharp =
      _MaterialSymbolsData(0x673, 'folder_zip_filled_sharp');
  static const folder_zip_filled =
      _MaterialSymbolsData(0x674, 'folder_zip_filled');
  static const folder_zip_outlined =
      _MaterialSymbolsData(0x675, 'folder_zip_outlined');
  static const folder_zip_sharp =
      _MaterialSymbolsData(0x676, 'folder_zip_sharp');
  static const folder_zip = _MaterialSymbolsData(0x677, 'folder_zip');
  static const folder = _MaterialSymbolsData(0x678, 'folder');
  static const follow_the_signs_filled_outlined =
      _MaterialSymbolsData(0x679, 'follow_the_signs_filled_outlined');
  static const follow_the_signs_filled_sharp =
      _MaterialSymbolsData(0x67a, 'follow_the_signs_filled_sharp');
  static const follow_the_signs_filled =
      _MaterialSymbolsData(0x67b, 'follow_the_signs_filled');
  static const follow_the_signs_outlined =
      _MaterialSymbolsData(0x67c, 'follow_the_signs_outlined');
  static const follow_the_signs_sharp =
      _MaterialSymbolsData(0x67d, 'follow_the_signs_sharp');
  static const follow_the_signs =
      _MaterialSymbolsData(0x67e, 'follow_the_signs');
  static const font_download_filled_outlined =
      _MaterialSymbolsData(0x67f, 'font_download_filled_outlined');
  static const font_download_filled_sharp =
      _MaterialSymbolsData(0x680, 'font_download_filled_sharp');
  static const font_download_filled =
      _MaterialSymbolsData(0x681, 'font_download_filled');
  static const font_download_off_filled_outlined =
      _MaterialSymbolsData(0x682, 'font_download_off_filled_outlined');
  static const font_download_off_filled_sharp =
      _MaterialSymbolsData(0x683, 'font_download_off_filled_sharp');
  static const font_download_off_filled =
      _MaterialSymbolsData(0x684, 'font_download_off_filled');
  static const font_download_off_outlined =
      _MaterialSymbolsData(0x685, 'font_download_off_outlined');
  static const font_download_off_sharp =
      _MaterialSymbolsData(0x686, 'font_download_off_sharp');
  static const font_download_off =
      _MaterialSymbolsData(0x687, 'font_download_off');
  static const font_download_outlined =
      _MaterialSymbolsData(0x688, 'font_download_outlined');
  static const font_download_sharp =
      _MaterialSymbolsData(0x689, 'font_download_sharp');
  static const font_download = _MaterialSymbolsData(0x68a, 'font_download');
  static const food_bank_filled_outlined =
      _MaterialSymbolsData(0x68b, 'food_bank_filled_outlined');
  static const food_bank_filled_sharp =
      _MaterialSymbolsData(0x68c, 'food_bank_filled_sharp');
  static const food_bank_filled =
      _MaterialSymbolsData(0x68d, 'food_bank_filled');
  static const food_bank_outlined =
      _MaterialSymbolsData(0x68e, 'food_bank_outlined');
  static const food_bank_sharp = _MaterialSymbolsData(0x68f, 'food_bank_sharp');
  static const food_bank = _MaterialSymbolsData(0x690, 'food_bank');
  static const foot_bones_filled_outlined =
      _MaterialSymbolsData(0x691, 'foot_bones_filled_outlined');
  static const foot_bones_filled_sharp =
      _MaterialSymbolsData(0x692, 'foot_bones_filled_sharp');
  static const foot_bones_filled =
      _MaterialSymbolsData(0x693, 'foot_bones_filled');
  static const foot_bones_outlined =
      _MaterialSymbolsData(0x694, 'foot_bones_outlined');
  static const foot_bones_sharp =
      _MaterialSymbolsData(0x695, 'foot_bones_sharp');
  static const foot_bones = _MaterialSymbolsData(0x696, 'foot_bones');
  static const footprint_filled_outlined =
      _MaterialSymbolsData(0x697, 'footprint_filled_outlined');
  static const footprint_filled_sharp =
      _MaterialSymbolsData(0x698, 'footprint_filled_sharp');
  static const footprint_filled =
      _MaterialSymbolsData(0x699, 'footprint_filled');
  static const footprint_outlined =
      _MaterialSymbolsData(0x69a, 'footprint_outlined');
  static const footprint_sharp = _MaterialSymbolsData(0x69b, 'footprint_sharp');
  static const footprint = _MaterialSymbolsData(0x69c, 'footprint');
  static const forest_filled_outlined =
      _MaterialSymbolsData(0x69d, 'forest_filled_outlined');
  static const forest_filled_sharp =
      _MaterialSymbolsData(0x69e, 'forest_filled_sharp');
  static const forest_filled = _MaterialSymbolsData(0x69f, 'forest_filled');
  static const forest_outlined = _MaterialSymbolsData(0x6a0, 'forest_outlined');
  static const forest_sharp = _MaterialSymbolsData(0x6a1, 'forest_sharp');
  static const forest = _MaterialSymbolsData(0x6a2, 'forest');
  static const fork_left_filled_outlined =
      _MaterialSymbolsData(0x6a3, 'fork_left_filled_outlined');
  static const fork_left_filled_sharp =
      _MaterialSymbolsData(0x6a4, 'fork_left_filled_sharp');
  static const fork_left_filled =
      _MaterialSymbolsData(0x6a5, 'fork_left_filled');
  static const fork_left_outlined =
      _MaterialSymbolsData(0x6a6, 'fork_left_outlined');
  static const fork_left_sharp = _MaterialSymbolsData(0x6a7, 'fork_left_sharp');
  static const fork_left = _MaterialSymbolsData(0x6a8, 'fork_left');
  static const fork_right_filled_outlined =
      _MaterialSymbolsData(0x6a9, 'fork_right_filled_outlined');
  static const fork_right_filled_sharp =
      _MaterialSymbolsData(0x6aa, 'fork_right_filled_sharp');
  static const fork_right_filled =
      _MaterialSymbolsData(0x6ab, 'fork_right_filled');
  static const fork_right_outlined =
      _MaterialSymbolsData(0x6ac, 'fork_right_outlined');
  static const fork_right_sharp =
      _MaterialSymbolsData(0x6ad, 'fork_right_sharp');
  static const fork_right = _MaterialSymbolsData(0x6ae, 'fork_right');
  static const forklift_filled_outlined =
      _MaterialSymbolsData(0x6af, 'forklift_filled_outlined');
  static const forklift_filled_sharp =
      _MaterialSymbolsData(0x6b0, 'forklift_filled_sharp');
  static const forklift_filled = _MaterialSymbolsData(0x6b1, 'forklift_filled');
  static const forklift_outlined =
      _MaterialSymbolsData(0x6b2, 'forklift_outlined');
  static const forklift_sharp = _MaterialSymbolsData(0x6b3, 'forklift_sharp');
  static const forklift = _MaterialSymbolsData(0x6b4, 'forklift');
  static const format_align_center_filled_outlined =
      _MaterialSymbolsData(0x6b5, 'format_align_center_filled_outlined');
  static const format_align_center_filled_sharp =
      _MaterialSymbolsData(0x6b6, 'format_align_center_filled_sharp');
  static const format_align_center_filled =
      _MaterialSymbolsData(0x6b7, 'format_align_center_filled');
  static const format_align_center_outlined =
      _MaterialSymbolsData(0x6b8, 'format_align_center_outlined');
  static const format_align_center_sharp =
      _MaterialSymbolsData(0x6b9, 'format_align_center_sharp');
  static const format_align_center =
      _MaterialSymbolsData(0x6ba, 'format_align_center');
  static const format_align_justify_filled_outlined =
      _MaterialSymbolsData(0x6bb, 'format_align_justify_filled_outlined');
  static const format_align_justify_filled_sharp =
      _MaterialSymbolsData(0x6bc, 'format_align_justify_filled_sharp');
  static const format_align_justify_filled =
      _MaterialSymbolsData(0x6bd, 'format_align_justify_filled');
  static const format_align_justify_outlined =
      _MaterialSymbolsData(0x6be, 'format_align_justify_outlined');
  static const format_align_justify_sharp =
      _MaterialSymbolsData(0x6bf, 'format_align_justify_sharp');
  static const format_align_justify =
      _MaterialSymbolsData(0x6c0, 'format_align_justify');
  static const format_align_left_filled_outlined =
      _MaterialSymbolsData(0x6c1, 'format_align_left_filled_outlined');
  static const format_align_left_filled_sharp =
      _MaterialSymbolsData(0x6c2, 'format_align_left_filled_sharp');
  static const format_align_left_filled =
      _MaterialSymbolsData(0x6c3, 'format_align_left_filled');
  static const format_align_left_outlined =
      _MaterialSymbolsData(0x6c4, 'format_align_left_outlined');
  static const format_align_left_sharp =
      _MaterialSymbolsData(0x6c5, 'format_align_left_sharp');
  static const format_align_left =
      _MaterialSymbolsData(0x6c6, 'format_align_left');
  static const format_align_right_filled_outlined =
      _MaterialSymbolsData(0x6c7, 'format_align_right_filled_outlined');
  static const format_align_right_filled_sharp =
      _MaterialSymbolsData(0x6c8, 'format_align_right_filled_sharp');
  static const format_align_right_filled =
      _MaterialSymbolsData(0x6c9, 'format_align_right_filled');
  static const format_align_right_outlined =
      _MaterialSymbolsData(0x6ca, 'format_align_right_outlined');
  static const format_align_right_sharp =
      _MaterialSymbolsData(0x6cb, 'format_align_right_sharp');
  static const format_align_right =
      _MaterialSymbolsData(0x6cc, 'format_align_right');
  static const format_bold_filled_outlined =
      _MaterialSymbolsData(0x6cd, 'format_bold_filled_outlined');
  static const format_bold_filled_sharp =
      _MaterialSymbolsData(0x6ce, 'format_bold_filled_sharp');
  static const format_bold_filled =
      _MaterialSymbolsData(0x6cf, 'format_bold_filled');
  static const format_bold_outlined =
      _MaterialSymbolsData(0x6d0, 'format_bold_outlined');
  static const format_bold_sharp =
      _MaterialSymbolsData(0x6d1, 'format_bold_sharp');
  static const format_bold = _MaterialSymbolsData(0x6d2, 'format_bold');
  static const format_clear_filled_outlined =
      _MaterialSymbolsData(0x6d3, 'format_clear_filled_outlined');
  static const format_clear_filled_sharp =
      _MaterialSymbolsData(0x6d4, 'format_clear_filled_sharp');
  static const format_clear_filled =
      _MaterialSymbolsData(0x6d5, 'format_clear_filled');
  static const format_clear_outlined =
      _MaterialSymbolsData(0x6d6, 'format_clear_outlined');
  static const format_clear_sharp =
      _MaterialSymbolsData(0x6d7, 'format_clear_sharp');
  static const format_clear = _MaterialSymbolsData(0x6d8, 'format_clear');
  static const format_color_fill_filled_outlined =
      _MaterialSymbolsData(0x6d9, 'format_color_fill_filled_outlined');
  static const format_color_fill_filled_sharp =
      _MaterialSymbolsData(0x6da, 'format_color_fill_filled_sharp');
  static const format_color_fill_filled =
      _MaterialSymbolsData(0x6db, 'format_color_fill_filled');
  static const format_color_fill_outlined =
      _MaterialSymbolsData(0x6dc, 'format_color_fill_outlined');
  static const format_color_fill_sharp =
      _MaterialSymbolsData(0x6dd, 'format_color_fill_sharp');
  static const format_color_fill =
      _MaterialSymbolsData(0x6de, 'format_color_fill');
  static const format_color_reset_filled_outlined =
      _MaterialSymbolsData(0x6df, 'format_color_reset_filled_outlined');
  static const format_color_reset_filled_sharp =
      _MaterialSymbolsData(0x6e0, 'format_color_reset_filled_sharp');
  static const format_color_reset_filled =
      _MaterialSymbolsData(0x6e1, 'format_color_reset_filled');
  static const format_color_reset_outlined =
      _MaterialSymbolsData(0x6e2, 'format_color_reset_outlined');
  static const format_color_reset_sharp =
      _MaterialSymbolsData(0x6e3, 'format_color_reset_sharp');
  static const format_color_reset =
      _MaterialSymbolsData(0x6e4, 'format_color_reset');
  static const format_color_text_filled_outlined =
      _MaterialSymbolsData(0x6e5, 'format_color_text_filled_outlined');
  static const format_color_text_filled_sharp =
      _MaterialSymbolsData(0x6e6, 'format_color_text_filled_sharp');
  static const format_color_text_filled =
      _MaterialSymbolsData(0x6e7, 'format_color_text_filled');
  static const format_color_text_outlined =
      _MaterialSymbolsData(0x6e8, 'format_color_text_outlined');
  static const format_color_text_sharp =
      _MaterialSymbolsData(0x6e9, 'format_color_text_sharp');
  static const format_color_text =
      _MaterialSymbolsData(0x6ea, 'format_color_text');
  static const format_h1_filled_outlined =
      _MaterialSymbolsData(0x6eb, 'format_h1_filled_outlined');
  static const format_h1_filled_sharp =
      _MaterialSymbolsData(0x6ec, 'format_h1_filled_sharp');
  static const format_h1_filled =
      _MaterialSymbolsData(0x6ed, 'format_h1_filled');
  static const format_h1_outlined =
      _MaterialSymbolsData(0x6ee, 'format_h1_outlined');
  static const format_h1_sharp = _MaterialSymbolsData(0x6ef, 'format_h1_sharp');
  static const format_h1 = _MaterialSymbolsData(0x6f0, 'format_h1');
  static const format_h2_filled_outlined =
      _MaterialSymbolsData(0x6f1, 'format_h2_filled_outlined');
  static const format_h2_filled_sharp =
      _MaterialSymbolsData(0x6f2, 'format_h2_filled_sharp');
  static const format_h2_filled =
      _MaterialSymbolsData(0x6f3, 'format_h2_filled');
  static const format_h2_outlined =
      _MaterialSymbolsData(0x6f4, 'format_h2_outlined');
  static const format_h2_sharp = _MaterialSymbolsData(0x6f5, 'format_h2_sharp');
  static const format_h2 = _MaterialSymbolsData(0x6f6, 'format_h2');
  static const format_h3_filled_outlined =
      _MaterialSymbolsData(0x6f7, 'format_h3_filled_outlined');
  static const format_h3_filled_sharp =
      _MaterialSymbolsData(0x6f8, 'format_h3_filled_sharp');
  static const format_h3_filled =
      _MaterialSymbolsData(0x6f9, 'format_h3_filled');
  static const format_h3_outlined =
      _MaterialSymbolsData(0x6fa, 'format_h3_outlined');
  static const format_h3_sharp = _MaterialSymbolsData(0x6fb, 'format_h3_sharp');
  static const format_h3 = _MaterialSymbolsData(0x6fc, 'format_h3');
  static const format_h4_filled_outlined =
      _MaterialSymbolsData(0x6fd, 'format_h4_filled_outlined');
  static const format_h4_filled_sharp =
      _MaterialSymbolsData(0x6fe, 'format_h4_filled_sharp');
  static const format_h4_filled =
      _MaterialSymbolsData(0x6ff, 'format_h4_filled');
  static const format_h4_outlined =
      _MaterialSymbolsData(0x700, 'format_h4_outlined');
  static const format_h4_sharp = _MaterialSymbolsData(0x701, 'format_h4_sharp');
  static const format_h4 = _MaterialSymbolsData(0x702, 'format_h4');
  static const format_h5_filled_outlined =
      _MaterialSymbolsData(0x703, 'format_h5_filled_outlined');
  static const format_h5_filled_sharp =
      _MaterialSymbolsData(0x704, 'format_h5_filled_sharp');
  static const format_h5_filled =
      _MaterialSymbolsData(0x705, 'format_h5_filled');
  static const format_h5_outlined =
      _MaterialSymbolsData(0x706, 'format_h5_outlined');
  static const format_h5_sharp = _MaterialSymbolsData(0x707, 'format_h5_sharp');
  static const format_h5 = _MaterialSymbolsData(0x708, 'format_h5');
  static const format_h6_filled_outlined =
      _MaterialSymbolsData(0x709, 'format_h6_filled_outlined');
  static const format_h6_filled_sharp =
      _MaterialSymbolsData(0x70a, 'format_h6_filled_sharp');
  static const format_h6_filled =
      _MaterialSymbolsData(0x70b, 'format_h6_filled');
  static const format_h6_outlined =
      _MaterialSymbolsData(0x70c, 'format_h6_outlined');
  static const format_h6_sharp = _MaterialSymbolsData(0x70d, 'format_h6_sharp');
  static const format_h6 = _MaterialSymbolsData(0x70e, 'format_h6');
  static const format_image_left_filled_outlined =
      _MaterialSymbolsData(0x70f, 'format_image_left_filled_outlined');
  static const format_image_left_filled_sharp =
      _MaterialSymbolsData(0x710, 'format_image_left_filled_sharp');
  static const format_image_left_filled =
      _MaterialSymbolsData(0x711, 'format_image_left_filled');
  static const format_image_left_outlined =
      _MaterialSymbolsData(0x712, 'format_image_left_outlined');
  static const format_image_left_sharp =
      _MaterialSymbolsData(0x713, 'format_image_left_sharp');
  static const format_image_left =
      _MaterialSymbolsData(0x714, 'format_image_left');
  static const format_image_right_filled_outlined =
      _MaterialSymbolsData(0x715, 'format_image_right_filled_outlined');
  static const format_image_right_filled_sharp =
      _MaterialSymbolsData(0x716, 'format_image_right_filled_sharp');
  static const format_image_right_filled =
      _MaterialSymbolsData(0x717, 'format_image_right_filled');
  static const format_image_right_outlined =
      _MaterialSymbolsData(0x718, 'format_image_right_outlined');
  static const format_image_right_sharp =
      _MaterialSymbolsData(0x719, 'format_image_right_sharp');
  static const format_image_right =
      _MaterialSymbolsData(0x71a, 'format_image_right');
  static const format_indent_decrease_filled_outlined =
      _MaterialSymbolsData(0x71b, 'format_indent_decrease_filled_outlined');
  static const format_indent_decrease_filled_sharp =
      _MaterialSymbolsData(0x71c, 'format_indent_decrease_filled_sharp');
  static const format_indent_decrease_filled =
      _MaterialSymbolsData(0x71d, 'format_indent_decrease_filled');
  static const format_indent_decrease_outlined =
      _MaterialSymbolsData(0x71e, 'format_indent_decrease_outlined');
  static const format_indent_decrease_sharp =
      _MaterialSymbolsData(0x71f, 'format_indent_decrease_sharp');
  static const format_indent_decrease =
      _MaterialSymbolsData(0x720, 'format_indent_decrease');
  static const format_indent_increase_filled_outlined =
      _MaterialSymbolsData(0x721, 'format_indent_increase_filled_outlined');
  static const format_indent_increase_filled_sharp =
      _MaterialSymbolsData(0x722, 'format_indent_increase_filled_sharp');
  static const format_indent_increase_filled =
      _MaterialSymbolsData(0x723, 'format_indent_increase_filled');
  static const format_indent_increase_outlined =
      _MaterialSymbolsData(0x724, 'format_indent_increase_outlined');
  static const format_indent_increase_sharp =
      _MaterialSymbolsData(0x725, 'format_indent_increase_sharp');
  static const format_indent_increase =
      _MaterialSymbolsData(0x726, 'format_indent_increase');
  static const format_ink_highlighter_filled_outlined =
      _MaterialSymbolsData(0x727, 'format_ink_highlighter_filled_outlined');
  static const format_ink_highlighter_filled_sharp =
      _MaterialSymbolsData(0x728, 'format_ink_highlighter_filled_sharp');
  static const format_ink_highlighter_filled =
      _MaterialSymbolsData(0x729, 'format_ink_highlighter_filled');
  static const format_ink_highlighter_outlined =
      _MaterialSymbolsData(0x72a, 'format_ink_highlighter_outlined');
  static const format_ink_highlighter_sharp =
      _MaterialSymbolsData(0x72b, 'format_ink_highlighter_sharp');
  static const format_ink_highlighter =
      _MaterialSymbolsData(0x72c, 'format_ink_highlighter');
  static const format_italic_filled_outlined =
      _MaterialSymbolsData(0x72d, 'format_italic_filled_outlined');
  static const format_italic_filled_sharp =
      _MaterialSymbolsData(0x72e, 'format_italic_filled_sharp');
  static const format_italic_filled =
      _MaterialSymbolsData(0x72f, 'format_italic_filled');
  static const format_italic_outlined =
      _MaterialSymbolsData(0x730, 'format_italic_outlined');
  static const format_italic_sharp =
      _MaterialSymbolsData(0x731, 'format_italic_sharp');
  static const format_italic = _MaterialSymbolsData(0x732, 'format_italic');
  static const format_line_spacing_filled_outlined =
      _MaterialSymbolsData(0x733, 'format_line_spacing_filled_outlined');
  static const format_line_spacing_filled_sharp =
      _MaterialSymbolsData(0x734, 'format_line_spacing_filled_sharp');
  static const format_line_spacing_filled =
      _MaterialSymbolsData(0x735, 'format_line_spacing_filled');
  static const format_line_spacing_outlined =
      _MaterialSymbolsData(0x736, 'format_line_spacing_outlined');
  static const format_line_spacing_sharp =
      _MaterialSymbolsData(0x737, 'format_line_spacing_sharp');
  static const format_line_spacing =
      _MaterialSymbolsData(0x738, 'format_line_spacing');
  static const format_list_bulleted_add_filled_outlined =
      _MaterialSymbolsData(0x739, 'format_list_bulleted_add_filled_outlined');
  static const format_list_bulleted_add_filled_sharp =
      _MaterialSymbolsData(0x73a, 'format_list_bulleted_add_filled_sharp');
  static const format_list_bulleted_add_filled =
      _MaterialSymbolsData(0x73b, 'format_list_bulleted_add_filled');
  static const format_list_bulleted_add_outlined =
      _MaterialSymbolsData(0x73c, 'format_list_bulleted_add_outlined');
  static const format_list_bulleted_add_sharp =
      _MaterialSymbolsData(0x73d, 'format_list_bulleted_add_sharp');
  static const format_list_bulleted_add =
      _MaterialSymbolsData(0x73e, 'format_list_bulleted_add');
  static const format_list_bulleted_filled_outlined =
      _MaterialSymbolsData(0x73f, 'format_list_bulleted_filled_outlined');
  static const format_list_bulleted_filled_sharp =
      _MaterialSymbolsData(0x740, 'format_list_bulleted_filled_sharp');
  static const format_list_bulleted_filled =
      _MaterialSymbolsData(0x741, 'format_list_bulleted_filled');
  static const format_list_bulleted_outlined =
      _MaterialSymbolsData(0x742, 'format_list_bulleted_outlined');
  static const format_list_bulleted_sharp =
      _MaterialSymbolsData(0x743, 'format_list_bulleted_sharp');
  static const format_list_bulleted =
      _MaterialSymbolsData(0x744, 'format_list_bulleted');
  static const format_list_numbered_filled_outlined =
      _MaterialSymbolsData(0x745, 'format_list_numbered_filled_outlined');
  static const format_list_numbered_filled_sharp =
      _MaterialSymbolsData(0x746, 'format_list_numbered_filled_sharp');
  static const format_list_numbered_filled =
      _MaterialSymbolsData(0x747, 'format_list_numbered_filled');
  static const format_list_numbered_outlined =
      _MaterialSymbolsData(0x748, 'format_list_numbered_outlined');
  static const format_list_numbered_rtl_filled_outlined =
      _MaterialSymbolsData(0x749, 'format_list_numbered_rtl_filled_outlined');
  static const format_list_numbered_rtl_filled_sharp =
      _MaterialSymbolsData(0x74a, 'format_list_numbered_rtl_filled_sharp');
  static const format_list_numbered_rtl_filled =
      _MaterialSymbolsData(0x74b, 'format_list_numbered_rtl_filled');
  static const format_list_numbered_rtl_outlined =
      _MaterialSymbolsData(0x74c, 'format_list_numbered_rtl_outlined');
  static const format_list_numbered_rtl_sharp =
      _MaterialSymbolsData(0x74d, 'format_list_numbered_rtl_sharp');
  static const format_list_numbered_rtl =
      _MaterialSymbolsData(0x74e, 'format_list_numbered_rtl');
  static const format_list_numbered_sharp =
      _MaterialSymbolsData(0x74f, 'format_list_numbered_sharp');
  static const format_list_numbered =
      _MaterialSymbolsData(0x750, 'format_list_numbered');
  static const format_overline_filled_outlined =
      _MaterialSymbolsData(0x751, 'format_overline_filled_outlined');
  static const format_overline_filled_sharp =
      _MaterialSymbolsData(0x752, 'format_overline_filled_sharp');
  static const format_overline_filled =
      _MaterialSymbolsData(0x753, 'format_overline_filled');
  static const format_overline_outlined =
      _MaterialSymbolsData(0x754, 'format_overline_outlined');
  static const format_overline_sharp =
      _MaterialSymbolsData(0x755, 'format_overline_sharp');
  static const format_overline = _MaterialSymbolsData(0x756, 'format_overline');
  static const format_paint_filled_outlined =
      _MaterialSymbolsData(0x757, 'format_paint_filled_outlined');
  static const format_paint_filled_sharp =
      _MaterialSymbolsData(0x758, 'format_paint_filled_sharp');
  static const format_paint_filled =
      _MaterialSymbolsData(0x759, 'format_paint_filled');
  static const format_paint_outlined =
      _MaterialSymbolsData(0x75a, 'format_paint_outlined');
  static const format_paint_sharp =
      _MaterialSymbolsData(0x75b, 'format_paint_sharp');
  static const format_paint = _MaterialSymbolsData(0x75c, 'format_paint');
  static const format_paragraph_filled_outlined =
      _MaterialSymbolsData(0x75d, 'format_paragraph_filled_outlined');
  static const format_paragraph_filled_sharp =
      _MaterialSymbolsData(0x75e, 'format_paragraph_filled_sharp');
  static const format_paragraph_filled =
      _MaterialSymbolsData(0x75f, 'format_paragraph_filled');
  static const format_paragraph_outlined =
      _MaterialSymbolsData(0x760, 'format_paragraph_outlined');
  static const format_paragraph_sharp =
      _MaterialSymbolsData(0x761, 'format_paragraph_sharp');
  static const format_paragraph =
      _MaterialSymbolsData(0x762, 'format_paragraph');
  static const format_quote_filled_outlined =
      _MaterialSymbolsData(0x763, 'format_quote_filled_outlined');
  static const format_quote_filled_sharp =
      _MaterialSymbolsData(0x764, 'format_quote_filled_sharp');
  static const format_quote_filled =
      _MaterialSymbolsData(0x765, 'format_quote_filled');
  static const format_quote_outlined =
      _MaterialSymbolsData(0x766, 'format_quote_outlined');
  static const format_quote_sharp =
      _MaterialSymbolsData(0x767, 'format_quote_sharp');
  static const format_quote = _MaterialSymbolsData(0x768, 'format_quote');
  static const format_shapes_filled_outlined =
      _MaterialSymbolsData(0x769, 'format_shapes_filled_outlined');
  static const format_shapes_filled_sharp =
      _MaterialSymbolsData(0x76a, 'format_shapes_filled_sharp');
  static const format_shapes_filled =
      _MaterialSymbolsData(0x76b, 'format_shapes_filled');
  static const format_shapes_outlined =
      _MaterialSymbolsData(0x76c, 'format_shapes_outlined');
  static const format_shapes_sharp =
      _MaterialSymbolsData(0x76d, 'format_shapes_sharp');
  static const format_shapes = _MaterialSymbolsData(0x76e, 'format_shapes');
  static const format_size_filled_outlined =
      _MaterialSymbolsData(0x76f, 'format_size_filled_outlined');
  static const format_size_filled_sharp =
      _MaterialSymbolsData(0x770, 'format_size_filled_sharp');
  static const format_size_filled =
      _MaterialSymbolsData(0x771, 'format_size_filled');
  static const format_size_outlined =
      _MaterialSymbolsData(0x772, 'format_size_outlined');
  static const format_size_sharp =
      _MaterialSymbolsData(0x773, 'format_size_sharp');
  static const format_size = _MaterialSymbolsData(0x774, 'format_size');
  static const format_strikethrough_filled_outlined =
      _MaterialSymbolsData(0x775, 'format_strikethrough_filled_outlined');
  static const format_strikethrough_filled_sharp =
      _MaterialSymbolsData(0x776, 'format_strikethrough_filled_sharp');
  static const format_strikethrough_filled =
      _MaterialSymbolsData(0x777, 'format_strikethrough_filled');
  static const format_strikethrough_outlined =
      _MaterialSymbolsData(0x778, 'format_strikethrough_outlined');
  static const format_strikethrough_sharp =
      _MaterialSymbolsData(0x779, 'format_strikethrough_sharp');
  static const format_strikethrough =
      _MaterialSymbolsData(0x77a, 'format_strikethrough');
  static const format_text_clip_filled_outlined =
      _MaterialSymbolsData(0x77b, 'format_text_clip_filled_outlined');
  static const format_text_clip_filled_sharp =
      _MaterialSymbolsData(0x77c, 'format_text_clip_filled_sharp');
  static const format_text_clip_filled =
      _MaterialSymbolsData(0x77d, 'format_text_clip_filled');
  static const format_text_clip_outlined =
      _MaterialSymbolsData(0x77e, 'format_text_clip_outlined');
  static const format_text_clip_sharp =
      _MaterialSymbolsData(0x77f, 'format_text_clip_sharp');
  static const format_text_clip =
      _MaterialSymbolsData(0x780, 'format_text_clip');
  static const format_text_overflow_filled_outlined =
      _MaterialSymbolsData(0x781, 'format_text_overflow_filled_outlined');
  static const format_text_overflow_filled_sharp =
      _MaterialSymbolsData(0x782, 'format_text_overflow_filled_sharp');
  static const format_text_overflow_filled =
      _MaterialSymbolsData(0x783, 'format_text_overflow_filled');
  static const format_text_overflow_outlined =
      _MaterialSymbolsData(0x784, 'format_text_overflow_outlined');
  static const format_text_overflow_sharp =
      _MaterialSymbolsData(0x785, 'format_text_overflow_sharp');
  static const format_text_overflow =
      _MaterialSymbolsData(0x786, 'format_text_overflow');
  static const format_text_wrap_filled_outlined =
      _MaterialSymbolsData(0x787, 'format_text_wrap_filled_outlined');
  static const format_text_wrap_filled_sharp =
      _MaterialSymbolsData(0x788, 'format_text_wrap_filled_sharp');
  static const format_text_wrap_filled =
      _MaterialSymbolsData(0x789, 'format_text_wrap_filled');
  static const format_text_wrap_outlined =
      _MaterialSymbolsData(0x78a, 'format_text_wrap_outlined');
  static const format_text_wrap_sharp =
      _MaterialSymbolsData(0x78b, 'format_text_wrap_sharp');
  static const format_text_wrap =
      _MaterialSymbolsData(0x78c, 'format_text_wrap');
  static const format_textdirection_l_to_r_filled_outlined =
      _MaterialSymbolsData(
          0x78d, 'format_textdirection_l_to_r_filled_outlined');
  static const format_textdirection_l_to_r_filled_sharp =
      _MaterialSymbolsData(0x78e, 'format_textdirection_l_to_r_filled_sharp');
  static const format_textdirection_l_to_r_filled =
      _MaterialSymbolsData(0x78f, 'format_textdirection_l_to_r_filled');
  static const format_textdirection_l_to_r_outlined =
      _MaterialSymbolsData(0x790, 'format_textdirection_l_to_r_outlined');
  static const format_textdirection_l_to_r_sharp =
      _MaterialSymbolsData(0x791, 'format_textdirection_l_to_r_sharp');
  static const format_textdirection_l_to_r =
      _MaterialSymbolsData(0x792, 'format_textdirection_l_to_r');
  static const format_textdirection_r_to_l_filled_outlined =
      _MaterialSymbolsData(
          0x793, 'format_textdirection_r_to_l_filled_outlined');
  static const format_textdirection_r_to_l_filled_sharp =
      _MaterialSymbolsData(0x794, 'format_textdirection_r_to_l_filled_sharp');
  static const format_textdirection_r_to_l_filled =
      _MaterialSymbolsData(0x795, 'format_textdirection_r_to_l_filled');
  static const format_textdirection_r_to_l_outlined =
      _MaterialSymbolsData(0x796, 'format_textdirection_r_to_l_outlined');
  static const format_textdirection_r_to_l_sharp =
      _MaterialSymbolsData(0x797, 'format_textdirection_r_to_l_sharp');
  static const format_textdirection_r_to_l =
      _MaterialSymbolsData(0x798, 'format_textdirection_r_to_l');
  static const format_underlined_filled_outlined =
      _MaterialSymbolsData(0x799, 'format_underlined_filled_outlined');
  static const format_underlined_filled_sharp =
      _MaterialSymbolsData(0x79a, 'format_underlined_filled_sharp');
  static const format_underlined_filled =
      _MaterialSymbolsData(0x79b, 'format_underlined_filled');
  static const format_underlined_outlined =
      _MaterialSymbolsData(0x79c, 'format_underlined_outlined');
  static const format_underlined_sharp =
      _MaterialSymbolsData(0x79d, 'format_underlined_sharp');
  static const format_underlined_squiggle_filled_outlined =
      _MaterialSymbolsData(0x79e, 'format_underlined_squiggle_filled_outlined');
  static const format_underlined_squiggle_filled_sharp =
      _MaterialSymbolsData(0x79f, 'format_underlined_squiggle_filled_sharp');
  static const format_underlined_squiggle_filled =
      _MaterialSymbolsData(0x7a0, 'format_underlined_squiggle_filled');
  static const format_underlined_squiggle_outlined =
      _MaterialSymbolsData(0x7a1, 'format_underlined_squiggle_outlined');
  static const format_underlined_squiggle_sharp =
      _MaterialSymbolsData(0x7a2, 'format_underlined_squiggle_sharp');
  static const format_underlined_squiggle =
      _MaterialSymbolsData(0x7a3, 'format_underlined_squiggle');
  static const format_underlined =
      _MaterialSymbolsData(0x7a4, 'format_underlined');
  static const forms_add_on_filled_outlined =
      _MaterialSymbolsData(0x7a5, 'forms_add_on_filled_outlined');
  static const forms_add_on_filled_sharp =
      _MaterialSymbolsData(0x7a6, 'forms_add_on_filled_sharp');
  static const forms_add_on_filled =
      _MaterialSymbolsData(0x7a7, 'forms_add_on_filled');
  static const forms_add_on_outlined =
      _MaterialSymbolsData(0x7a8, 'forms_add_on_outlined');
  static const forms_add_on_sharp =
      _MaterialSymbolsData(0x7a9, 'forms_add_on_sharp');
  static const forms_add_on = _MaterialSymbolsData(0x7aa, 'forms_add_on');
  static const forms_apps_script_filled_outlined =
      _MaterialSymbolsData(0x7ab, 'forms_apps_script_filled_outlined');
  static const forms_apps_script_filled_sharp =
      _MaterialSymbolsData(0x7ac, 'forms_apps_script_filled_sharp');
  static const forms_apps_script_filled =
      _MaterialSymbolsData(0x7ad, 'forms_apps_script_filled');
  static const forms_apps_script_outlined =
      _MaterialSymbolsData(0x7ae, 'forms_apps_script_outlined');
  static const forms_apps_script_sharp =
      _MaterialSymbolsData(0x7af, 'forms_apps_script_sharp');
  static const forms_apps_script =
      _MaterialSymbolsData(0x7b0, 'forms_apps_script');
  static const fort_filled_outlined =
      _MaterialSymbolsData(0x7b1, 'fort_filled_outlined');
  static const fort_filled_sharp =
      _MaterialSymbolsData(0x7b2, 'fort_filled_sharp');
  static const fort_filled = _MaterialSymbolsData(0x7b3, 'fort_filled');
  static const fort_outlined = _MaterialSymbolsData(0x7b4, 'fort_outlined');
  static const fort_sharp = _MaterialSymbolsData(0x7b5, 'fort_sharp');
  static const fort = _MaterialSymbolsData(0x7b6, 'fort');
  static const forum_filled_outlined =
      _MaterialSymbolsData(0x7b7, 'forum_filled_outlined');
  static const forum_filled_sharp =
      _MaterialSymbolsData(0x7b8, 'forum_filled_sharp');
  static const forum_filled = _MaterialSymbolsData(0x7b9, 'forum_filled');
  static const forum_outlined = _MaterialSymbolsData(0x7ba, 'forum_outlined');
  static const forum_sharp = _MaterialSymbolsData(0x7bb, 'forum_sharp');
  static const forum = _MaterialSymbolsData(0x7bc, 'forum');
  static const forward_10_filled_outlined =
      _MaterialSymbolsData(0x7bd, 'forward_10_filled_outlined');
  static const forward_10_filled_sharp =
      _MaterialSymbolsData(0x7be, 'forward_10_filled_sharp');
  static const forward_10_filled =
      _MaterialSymbolsData(0x7bf, 'forward_10_filled');
  static const forward_10_outlined =
      _MaterialSymbolsData(0x7c0, 'forward_10_outlined');
  static const forward_10_sharp =
      _MaterialSymbolsData(0x7c1, 'forward_10_sharp');
  static const forward_10 = _MaterialSymbolsData(0x7c2, 'forward_10');
  static const forward_30_filled_outlined =
      _MaterialSymbolsData(0x7c3, 'forward_30_filled_outlined');
  static const forward_30_filled_sharp =
      _MaterialSymbolsData(0x7c4, 'forward_30_filled_sharp');
  static const forward_30_filled =
      _MaterialSymbolsData(0x7c5, 'forward_30_filled');
  static const forward_30_outlined =
      _MaterialSymbolsData(0x7c6, 'forward_30_outlined');
  static const forward_30_sharp =
      _MaterialSymbolsData(0x7c7, 'forward_30_sharp');
  static const forward_30 = _MaterialSymbolsData(0x7c8, 'forward_30');
  static const forward_5_filled_outlined =
      _MaterialSymbolsData(0x7c9, 'forward_5_filled_outlined');
  static const forward_5_filled_sharp =
      _MaterialSymbolsData(0x7ca, 'forward_5_filled_sharp');
  static const forward_5_filled =
      _MaterialSymbolsData(0x7cb, 'forward_5_filled');
  static const forward_5_outlined =
      _MaterialSymbolsData(0x7cc, 'forward_5_outlined');
  static const forward_5_sharp = _MaterialSymbolsData(0x7cd, 'forward_5_sharp');
  static const forward_5 = _MaterialSymbolsData(0x7ce, 'forward_5');
  static const forward_filled_outlined =
      _MaterialSymbolsData(0x7cf, 'forward_filled_outlined');
  static const forward_filled_sharp =
      _MaterialSymbolsData(0x7d0, 'forward_filled_sharp');
  static const forward_filled = _MaterialSymbolsData(0x7d1, 'forward_filled');
  static const forward_outlined =
      _MaterialSymbolsData(0x7d2, 'forward_outlined');
  static const forward_sharp = _MaterialSymbolsData(0x7d3, 'forward_sharp');
  static const forward_to_inbox_filled_outlined =
      _MaterialSymbolsData(0x7d4, 'forward_to_inbox_filled_outlined');
  static const forward_to_inbox_filled_sharp =
      _MaterialSymbolsData(0x7d5, 'forward_to_inbox_filled_sharp');
  static const forward_to_inbox_filled =
      _MaterialSymbolsData(0x7d6, 'forward_to_inbox_filled');
  static const forward_to_inbox_outlined =
      _MaterialSymbolsData(0x7d7, 'forward_to_inbox_outlined');
  static const forward_to_inbox_sharp =
      _MaterialSymbolsData(0x7d8, 'forward_to_inbox_sharp');
  static const forward_to_inbox =
      _MaterialSymbolsData(0x7d9, 'forward_to_inbox');
  static const forward = _MaterialSymbolsData(0x7da, 'forward');
  static const foundation_filled_outlined =
      _MaterialSymbolsData(0x7db, 'foundation_filled_outlined');
  static const foundation_filled_sharp =
      _MaterialSymbolsData(0x7dc, 'foundation_filled_sharp');
  static const foundation_filled =
      _MaterialSymbolsData(0x7dd, 'foundation_filled');
  static const foundation_outlined =
      _MaterialSymbolsData(0x7de, 'foundation_outlined');
  static const foundation_sharp =
      _MaterialSymbolsData(0x7df, 'foundation_sharp');
  static const foundation = _MaterialSymbolsData(0x7e0, 'foundation');
  static const frame_person_filled_outlined =
      _MaterialSymbolsData(0x7e1, 'frame_person_filled_outlined');
  static const frame_person_filled_sharp =
      _MaterialSymbolsData(0x7e2, 'frame_person_filled_sharp');
  static const frame_person_filled =
      _MaterialSymbolsData(0x7e3, 'frame_person_filled');
  static const frame_person_outlined =
      _MaterialSymbolsData(0x7e4, 'frame_person_outlined');
  static const frame_person_sharp =
      _MaterialSymbolsData(0x7e5, 'frame_person_sharp');
  static const frame_person = _MaterialSymbolsData(0x7e6, 'frame_person');
  static const free_cancellation_filled_outlined =
      _MaterialSymbolsData(0x7e7, 'free_cancellation_filled_outlined');
  static const free_cancellation_filled_sharp =
      _MaterialSymbolsData(0x7e8, 'free_cancellation_filled_sharp');
  static const free_cancellation_filled =
      _MaterialSymbolsData(0x7e9, 'free_cancellation_filled');
  static const free_cancellation_outlined =
      _MaterialSymbolsData(0x7ea, 'free_cancellation_outlined');
  static const free_cancellation_sharp =
      _MaterialSymbolsData(0x7eb, 'free_cancellation_sharp');
  static const free_cancellation =
      _MaterialSymbolsData(0x7ec, 'free_cancellation');
  static const front_hand_filled_outlined =
      _MaterialSymbolsData(0x7ed, 'front_hand_filled_outlined');
  static const front_hand_filled_sharp =
      _MaterialSymbolsData(0x7ee, 'front_hand_filled_sharp');
  static const front_hand_filled =
      _MaterialSymbolsData(0x7ef, 'front_hand_filled');
  static const front_hand_outlined =
      _MaterialSymbolsData(0x7f0, 'front_hand_outlined');
  static const front_hand_sharp =
      _MaterialSymbolsData(0x7f1, 'front_hand_sharp');
  static const front_hand = _MaterialSymbolsData(0x7f2, 'front_hand');
  static const front_loader_filled_outlined =
      _MaterialSymbolsData(0x7f3, 'front_loader_filled_outlined');
  static const front_loader_filled_sharp =
      _MaterialSymbolsData(0x7f4, 'front_loader_filled_sharp');
  static const front_loader_filled =
      _MaterialSymbolsData(0x7f5, 'front_loader_filled');
  static const front_loader_outlined =
      _MaterialSymbolsData(0x7f6, 'front_loader_outlined');
  static const front_loader_sharp =
      _MaterialSymbolsData(0x7f7, 'front_loader_sharp');
  static const front_loader = _MaterialSymbolsData(0x7f8, 'front_loader');
  static const full_stacked_bar_chart_filled_outlined =
      _MaterialSymbolsData(0x7f9, 'full_stacked_bar_chart_filled_outlined');
  static const full_stacked_bar_chart_filled_sharp =
      _MaterialSymbolsData(0x7fa, 'full_stacked_bar_chart_filled_sharp');
  static const full_stacked_bar_chart_filled =
      _MaterialSymbolsData(0x7fb, 'full_stacked_bar_chart_filled');
  static const full_stacked_bar_chart_outlined =
      _MaterialSymbolsData(0x7fc, 'full_stacked_bar_chart_outlined');
  static const full_stacked_bar_chart_sharp =
      _MaterialSymbolsData(0x7fd, 'full_stacked_bar_chart_sharp');
  static const full_stacked_bar_chart =
      _MaterialSymbolsData(0x7fe, 'full_stacked_bar_chart');
  static const fullscreen_exit_filled_outlined =
      _MaterialSymbolsData(0x7ff, 'fullscreen_exit_filled_outlined');
  static const fullscreen_exit_filled_sharp =
      _MaterialSymbolsData(0x800, 'fullscreen_exit_filled_sharp');
  static const fullscreen_exit_filled =
      _MaterialSymbolsData(0x801, 'fullscreen_exit_filled');
  static const fullscreen_exit_outlined =
      _MaterialSymbolsData(0x802, 'fullscreen_exit_outlined');
  static const fullscreen_exit_sharp =
      _MaterialSymbolsData(0x803, 'fullscreen_exit_sharp');
  static const fullscreen_exit = _MaterialSymbolsData(0x804, 'fullscreen_exit');
  static const fullscreen_filled_outlined =
      _MaterialSymbolsData(0x805, 'fullscreen_filled_outlined');
  static const fullscreen_filled_sharp =
      _MaterialSymbolsData(0x806, 'fullscreen_filled_sharp');
  static const fullscreen_filled =
      _MaterialSymbolsData(0x807, 'fullscreen_filled');
  static const fullscreen_outlined =
      _MaterialSymbolsData(0x808, 'fullscreen_outlined');
  static const fullscreen_sharp =
      _MaterialSymbolsData(0x809, 'fullscreen_sharp');
  static const fullscreen = _MaterialSymbolsData(0x80a, 'fullscreen');
  static const function_filled_outlined =
      _MaterialSymbolsData(0x80b, 'function_filled_outlined');
  static const function_filled_sharp =
      _MaterialSymbolsData(0x80c, 'function_filled_sharp');
  static const function_filled = _MaterialSymbolsData(0x80d, 'function_filled');
  static const function_outlined =
      _MaterialSymbolsData(0x80e, 'function_outlined');
  static const function_sharp = _MaterialSymbolsData(0x80f, 'function_sharp');
  static const function = _MaterialSymbolsData(0x810, 'function');
  static const functions_filled_outlined =
      _MaterialSymbolsData(0x811, 'functions_filled_outlined');
  static const functions_filled_sharp =
      _MaterialSymbolsData(0x812, 'functions_filled_sharp');
  static const functions_filled =
      _MaterialSymbolsData(0x813, 'functions_filled');
  static const functions_outlined =
      _MaterialSymbolsData(0x814, 'functions_outlined');
  static const functions_sharp = _MaterialSymbolsData(0x815, 'functions_sharp');
  static const functions = _MaterialSymbolsData(0x816, 'functions');
  static const g_mobiledata_filled_outlined =
      _MaterialSymbolsData(0x817, 'g_mobiledata_filled_outlined');
  static const g_mobiledata_filled_sharp =
      _MaterialSymbolsData(0x818, 'g_mobiledata_filled_sharp');
  static const g_mobiledata_filled =
      _MaterialSymbolsData(0x819, 'g_mobiledata_filled');
  static const g_mobiledata_outlined =
      _MaterialSymbolsData(0x81a, 'g_mobiledata_outlined');
  static const g_mobiledata_sharp =
      _MaterialSymbolsData(0x81b, 'g_mobiledata_sharp');
  static const g_mobiledata = _MaterialSymbolsData(0x81c, 'g_mobiledata');
  static const g_translate_filled_outlined =
      _MaterialSymbolsData(0x81d, 'g_translate_filled_outlined');
  static const g_translate_filled_sharp =
      _MaterialSymbolsData(0x81e, 'g_translate_filled_sharp');
  static const g_translate_filled =
      _MaterialSymbolsData(0x81f, 'g_translate_filled');
  static const g_translate_outlined =
      _MaterialSymbolsData(0x820, 'g_translate_outlined');
  static const g_translate_sharp =
      _MaterialSymbolsData(0x821, 'g_translate_sharp');
  static const g_translate = _MaterialSymbolsData(0x822, 'g_translate');
  static const gallery_thumbnail_filled_outlined =
      _MaterialSymbolsData(0x823, 'gallery_thumbnail_filled_outlined');
  static const gallery_thumbnail_filled_sharp =
      _MaterialSymbolsData(0x824, 'gallery_thumbnail_filled_sharp');
  static const gallery_thumbnail_filled =
      _MaterialSymbolsData(0x825, 'gallery_thumbnail_filled');
  static const gallery_thumbnail_outlined =
      _MaterialSymbolsData(0x826, 'gallery_thumbnail_outlined');
  static const gallery_thumbnail_sharp =
      _MaterialSymbolsData(0x827, 'gallery_thumbnail_sharp');
  static const gallery_thumbnail =
      _MaterialSymbolsData(0x828, 'gallery_thumbnail');
  static const gamepad_filled_outlined =
      _MaterialSymbolsData(0x829, 'gamepad_filled_outlined');
  static const gamepad_filled_sharp =
      _MaterialSymbolsData(0x82a, 'gamepad_filled_sharp');
  static const gamepad_filled = _MaterialSymbolsData(0x82b, 'gamepad_filled');
  static const gamepad_outlined =
      _MaterialSymbolsData(0x82c, 'gamepad_outlined');
  static const gamepad_sharp = _MaterialSymbolsData(0x82d, 'gamepad_sharp');
  static const gamepad = _MaterialSymbolsData(0x82e, 'gamepad');
  static const garage_filled_outlined =
      _MaterialSymbolsData(0x82f, 'garage_filled_outlined');
  static const garage_filled_sharp =
      _MaterialSymbolsData(0x830, 'garage_filled_sharp');
  static const garage_filled = _MaterialSymbolsData(0x831, 'garage_filled');
  static const garage_home_filled_outlined =
      _MaterialSymbolsData(0x832, 'garage_home_filled_outlined');
  static const garage_home_filled_sharp =
      _MaterialSymbolsData(0x833, 'garage_home_filled_sharp');
  static const garage_home_filled =
      _MaterialSymbolsData(0x834, 'garage_home_filled');
  static const garage_home_outlined =
      _MaterialSymbolsData(0x835, 'garage_home_outlined');
  static const garage_home_sharp =
      _MaterialSymbolsData(0x836, 'garage_home_sharp');
  static const garage_home = _MaterialSymbolsData(0x837, 'garage_home');
  static const garage_outlined = _MaterialSymbolsData(0x838, 'garage_outlined');
  static const garage_sharp = _MaterialSymbolsData(0x839, 'garage_sharp');
  static const garage = _MaterialSymbolsData(0x83a, 'garage');
  static const garden_cart_filled_outlined =
      _MaterialSymbolsData(0x83b, 'garden_cart_filled_outlined');
  static const garden_cart_filled_sharp =
      _MaterialSymbolsData(0x83c, 'garden_cart_filled_sharp');
  static const garden_cart_filled =
      _MaterialSymbolsData(0x83d, 'garden_cart_filled');
  static const garden_cart_outlined =
      _MaterialSymbolsData(0x83e, 'garden_cart_outlined');
  static const garden_cart_sharp =
      _MaterialSymbolsData(0x83f, 'garden_cart_sharp');
  static const garden_cart = _MaterialSymbolsData(0x840, 'garden_cart');
  static const gas_meter_filled_outlined =
      _MaterialSymbolsData(0x841, 'gas_meter_filled_outlined');
  static const gas_meter_filled_sharp =
      _MaterialSymbolsData(0x842, 'gas_meter_filled_sharp');
  static const gas_meter_filled =
      _MaterialSymbolsData(0x843, 'gas_meter_filled');
  static const gas_meter_outlined =
      _MaterialSymbolsData(0x844, 'gas_meter_outlined');
  static const gas_meter_sharp = _MaterialSymbolsData(0x845, 'gas_meter_sharp');
  static const gas_meter = _MaterialSymbolsData(0x846, 'gas_meter');
  static const gastroenterology_filled_outlined =
      _MaterialSymbolsData(0x847, 'gastroenterology_filled_outlined');
  static const gastroenterology_filled_sharp =
      _MaterialSymbolsData(0x848, 'gastroenterology_filled_sharp');
  static const gastroenterology_filled =
      _MaterialSymbolsData(0x849, 'gastroenterology_filled');
  static const gastroenterology_outlined =
      _MaterialSymbolsData(0x84a, 'gastroenterology_outlined');
  static const gastroenterology_sharp =
      _MaterialSymbolsData(0x84b, 'gastroenterology_sharp');
  static const gastroenterology =
      _MaterialSymbolsData(0x84c, 'gastroenterology');
  static const gate_filled_outlined =
      _MaterialSymbolsData(0x84d, 'gate_filled_outlined');
  static const gate_filled_sharp =
      _MaterialSymbolsData(0x84e, 'gate_filled_sharp');
  static const gate_filled = _MaterialSymbolsData(0x84f, 'gate_filled');
  static const gate_outlined = _MaterialSymbolsData(0x850, 'gate_outlined');
  static const gate_sharp = _MaterialSymbolsData(0x851, 'gate_sharp');
  static const gate = _MaterialSymbolsData(0x852, 'gate');
  static const gavel_filled_outlined =
      _MaterialSymbolsData(0x853, 'gavel_filled_outlined');
  static const gavel_filled_sharp =
      _MaterialSymbolsData(0x854, 'gavel_filled_sharp');
  static const gavel_filled = _MaterialSymbolsData(0x855, 'gavel_filled');
  static const gavel_outlined = _MaterialSymbolsData(0x856, 'gavel_outlined');
  static const gavel_sharp = _MaterialSymbolsData(0x857, 'gavel_sharp');
  static const gavel = _MaterialSymbolsData(0x858, 'gavel');
  static const generating_tokens_filled_outlined =
      _MaterialSymbolsData(0x859, 'generating_tokens_filled_outlined');
  static const generating_tokens_filled_sharp =
      _MaterialSymbolsData(0x85a, 'generating_tokens_filled_sharp');
  static const generating_tokens_filled =
      _MaterialSymbolsData(0x85b, 'generating_tokens_filled');
  static const generating_tokens_outlined =
      _MaterialSymbolsData(0x85c, 'generating_tokens_outlined');
  static const generating_tokens_sharp =
      _MaterialSymbolsData(0x85d, 'generating_tokens_sharp');
  static const generating_tokens =
      _MaterialSymbolsData(0x85e, 'generating_tokens');
  static const genetics_filled_outlined =
      _MaterialSymbolsData(0x85f, 'genetics_filled_outlined');
  static const genetics_filled_sharp =
      _MaterialSymbolsData(0x860, 'genetics_filled_sharp');
  static const genetics_filled = _MaterialSymbolsData(0x861, 'genetics_filled');
  static const genetics_outlined =
      _MaterialSymbolsData(0x862, 'genetics_outlined');
  static const genetics_sharp = _MaterialSymbolsData(0x863, 'genetics_sharp');
  static const genetics = _MaterialSymbolsData(0x864, 'genetics');
  static const gesture_filled_outlined =
      _MaterialSymbolsData(0x865, 'gesture_filled_outlined');
  static const gesture_filled_sharp =
      _MaterialSymbolsData(0x866, 'gesture_filled_sharp');
  static const gesture_filled = _MaterialSymbolsData(0x867, 'gesture_filled');
  static const gesture_outlined =
      _MaterialSymbolsData(0x868, 'gesture_outlined');
  static const gesture_sharp = _MaterialSymbolsData(0x869, 'gesture_sharp');
  static const gesture = _MaterialSymbolsData(0x86a, 'gesture');
  static const gif_box_filled_outlined =
      _MaterialSymbolsData(0x86b, 'gif_box_filled_outlined');
  static const gif_box_filled_sharp =
      _MaterialSymbolsData(0x86c, 'gif_box_filled_sharp');
  static const gif_box_filled = _MaterialSymbolsData(0x86d, 'gif_box_filled');
  static const gif_box_outlined =
      _MaterialSymbolsData(0x86e, 'gif_box_outlined');
  static const gif_box_sharp = _MaterialSymbolsData(0x86f, 'gif_box_sharp');
  static const gif_box = _MaterialSymbolsData(0x870, 'gif_box');
  static const gif_filled_outlined =
      _MaterialSymbolsData(0x871, 'gif_filled_outlined');
  static const gif_filled_sharp =
      _MaterialSymbolsData(0x872, 'gif_filled_sharp');
  static const gif_filled = _MaterialSymbolsData(0x873, 'gif_filled');
  static const gif_outlined = _MaterialSymbolsData(0x874, 'gif_outlined');
  static const gif_sharp = _MaterialSymbolsData(0x875, 'gif_sharp');
  static const gif = _MaterialSymbolsData(0x876, 'gif');
  static const girl_filled_outlined =
      _MaterialSymbolsData(0x877, 'girl_filled_outlined');
  static const girl_filled_sharp =
      _MaterialSymbolsData(0x878, 'girl_filled_sharp');
  static const girl_filled = _MaterialSymbolsData(0x879, 'girl_filled');
  static const girl_outlined = _MaterialSymbolsData(0x87a, 'girl_outlined');
  static const girl_sharp = _MaterialSymbolsData(0x87b, 'girl_sharp');
  static const girl = _MaterialSymbolsData(0x87c, 'girl');
  static const gite_filled_outlined =
      _MaterialSymbolsData(0x87d, 'gite_filled_outlined');
  static const gite_filled_sharp =
      _MaterialSymbolsData(0x87e, 'gite_filled_sharp');
  static const gite_filled = _MaterialSymbolsData(0x87f, 'gite_filled');
  static const gite_outlined = _MaterialSymbolsData(0x880, 'gite_outlined');
  static const gite_sharp = _MaterialSymbolsData(0x881, 'gite_sharp');
  static const gite = _MaterialSymbolsData(0x882, 'gite');
  static const glucose_filled_outlined =
      _MaterialSymbolsData(0x883, 'glucose_filled_outlined');
  static const glucose_filled_sharp =
      _MaterialSymbolsData(0x884, 'glucose_filled_sharp');
  static const glucose_filled = _MaterialSymbolsData(0x885, 'glucose_filled');
  static const glucose_outlined =
      _MaterialSymbolsData(0x886, 'glucose_outlined');
  static const glucose_sharp = _MaterialSymbolsData(0x887, 'glucose_sharp');
  static const glucose = _MaterialSymbolsData(0x888, 'glucose');
  static const glyphs_filled_outlined =
      _MaterialSymbolsData(0x889, 'glyphs_filled_outlined');
  static const glyphs_filled_sharp =
      _MaterialSymbolsData(0x88a, 'glyphs_filled_sharp');
  static const glyphs_filled = _MaterialSymbolsData(0x88b, 'glyphs_filled');
  static const glyphs_outlined = _MaterialSymbolsData(0x88c, 'glyphs_outlined');
  static const glyphs_sharp = _MaterialSymbolsData(0x88d, 'glyphs_sharp');
  static const glyphs = _MaterialSymbolsData(0x88e, 'glyphs');
  static const golf_course_filled_outlined =
      _MaterialSymbolsData(0x88f, 'golf_course_filled_outlined');
  static const golf_course_filled_sharp =
      _MaterialSymbolsData(0x890, 'golf_course_filled_sharp');
  static const golf_course_filled =
      _MaterialSymbolsData(0x891, 'golf_course_filled');
  static const golf_course_outlined =
      _MaterialSymbolsData(0x892, 'golf_course_outlined');
  static const golf_course_sharp =
      _MaterialSymbolsData(0x893, 'golf_course_sharp');
  static const golf_course = _MaterialSymbolsData(0x894, 'golf_course');
  static const google_plus_reshare_filled_outlined =
      _MaterialSymbolsData(0x895, 'google_plus_reshare_filled_outlined');
  static const google_plus_reshare_filled_sharp =
      _MaterialSymbolsData(0x896, 'google_plus_reshare_filled_sharp');
  static const google_plus_reshare_filled =
      _MaterialSymbolsData(0x897, 'google_plus_reshare_filled');
  static const google_plus_reshare_outlined =
      _MaterialSymbolsData(0x898, 'google_plus_reshare_outlined');
  static const google_plus_reshare_sharp =
      _MaterialSymbolsData(0x899, 'google_plus_reshare_sharp');
  static const google_plus_reshare =
      _MaterialSymbolsData(0x89a, 'google_plus_reshare');
  static const google_wifi_filled_outlined =
      _MaterialSymbolsData(0x89b, 'google_wifi_filled_outlined');
  static const google_wifi_filled_sharp =
      _MaterialSymbolsData(0x89c, 'google_wifi_filled_sharp');
  static const google_wifi_filled =
      _MaterialSymbolsData(0x89d, 'google_wifi_filled');
  static const google_wifi_outlined =
      _MaterialSymbolsData(0x89e, 'google_wifi_outlined');
  static const google_wifi_sharp =
      _MaterialSymbolsData(0x89f, 'google_wifi_sharp');
  static const google_wifi = _MaterialSymbolsData(0x8a0, 'google_wifi');
  static const gpp_bad_filled_outlined =
      _MaterialSymbolsData(0x8a1, 'gpp_bad_filled_outlined');
  static const gpp_bad_filled_sharp =
      _MaterialSymbolsData(0x8a2, 'gpp_bad_filled_sharp');
  static const gpp_bad_filled = _MaterialSymbolsData(0x8a3, 'gpp_bad_filled');
  static const gpp_bad_outlined =
      _MaterialSymbolsData(0x8a4, 'gpp_bad_outlined');
  static const gpp_bad_sharp = _MaterialSymbolsData(0x8a5, 'gpp_bad_sharp');
  static const gpp_bad = _MaterialSymbolsData(0x8a6, 'gpp_bad');
  static const gpp_maybe_filled_outlined =
      _MaterialSymbolsData(0x8a7, 'gpp_maybe_filled_outlined');
  static const gpp_maybe_filled_sharp =
      _MaterialSymbolsData(0x8a8, 'gpp_maybe_filled_sharp');
  static const gpp_maybe_filled =
      _MaterialSymbolsData(0x8a9, 'gpp_maybe_filled');
  static const gpp_maybe_outlined =
      _MaterialSymbolsData(0x8aa, 'gpp_maybe_outlined');
  static const gpp_maybe_sharp = _MaterialSymbolsData(0x8ab, 'gpp_maybe_sharp');
  static const gpp_maybe = _MaterialSymbolsData(0x8ac, 'gpp_maybe');
  static const grade_filled_outlined =
      _MaterialSymbolsData(0x8ad, 'grade_filled_outlined');
  static const grade_filled_sharp =
      _MaterialSymbolsData(0x8ae, 'grade_filled_sharp');
  static const grade_filled = _MaterialSymbolsData(0x8af, 'grade_filled');
  static const grade_outlined = _MaterialSymbolsData(0x8b0, 'grade_outlined');
  static const grade_sharp = _MaterialSymbolsData(0x8b1, 'grade_sharp');
  static const grade = _MaterialSymbolsData(0x8b2, 'grade');
  static const gradient_filled_outlined =
      _MaterialSymbolsData(0x8b3, 'gradient_filled_outlined');
  static const gradient_filled_sharp =
      _MaterialSymbolsData(0x8b4, 'gradient_filled_sharp');
  static const gradient_filled = _MaterialSymbolsData(0x8b5, 'gradient_filled');
  static const gradient_outlined =
      _MaterialSymbolsData(0x8b6, 'gradient_outlined');
  static const gradient_sharp = _MaterialSymbolsData(0x8b7, 'gradient_sharp');
  static const gradient = _MaterialSymbolsData(0x8b8, 'gradient');
  static const grading_filled_outlined =
      _MaterialSymbolsData(0x8b9, 'grading_filled_outlined');
  static const grading_filled_sharp =
      _MaterialSymbolsData(0x8ba, 'grading_filled_sharp');
  static const grading_filled = _MaterialSymbolsData(0x8bb, 'grading_filled');
  static const grading_outlined =
      _MaterialSymbolsData(0x8bc, 'grading_outlined');
  static const grading_sharp = _MaterialSymbolsData(0x8bd, 'grading_sharp');
  static const grading = _MaterialSymbolsData(0x8be, 'grading');
  static const grain_filled_outlined =
      _MaterialSymbolsData(0x8bf, 'grain_filled_outlined');
  static const grain_filled_sharp =
      _MaterialSymbolsData(0x8c0, 'grain_filled_sharp');
  static const grain_filled = _MaterialSymbolsData(0x8c1, 'grain_filled');
  static const grain_outlined = _MaterialSymbolsData(0x8c2, 'grain_outlined');
  static const grain_sharp = _MaterialSymbolsData(0x8c3, 'grain_sharp');
  static const grain = _MaterialSymbolsData(0x8c4, 'grain');
  static const graphic_eq_filled_outlined =
      _MaterialSymbolsData(0x8c5, 'graphic_eq_filled_outlined');
  static const graphic_eq_filled_sharp =
      _MaterialSymbolsData(0x8c6, 'graphic_eq_filled_sharp');
  static const graphic_eq_filled =
      _MaterialSymbolsData(0x8c7, 'graphic_eq_filled');
  static const graphic_eq_outlined =
      _MaterialSymbolsData(0x8c8, 'graphic_eq_outlined');
  static const graphic_eq_sharp =
      _MaterialSymbolsData(0x8c9, 'graphic_eq_sharp');
  static const graphic_eq = _MaterialSymbolsData(0x8ca, 'graphic_eq');
  static const grass_filled_outlined =
      _MaterialSymbolsData(0x8cb, 'grass_filled_outlined');
  static const grass_filled_sharp =
      _MaterialSymbolsData(0x8cc, 'grass_filled_sharp');
  static const grass_filled = _MaterialSymbolsData(0x8cd, 'grass_filled');
  static const grass_outlined = _MaterialSymbolsData(0x8ce, 'grass_outlined');
  static const grass_sharp = _MaterialSymbolsData(0x8cf, 'grass_sharp');
  static const grass = _MaterialSymbolsData(0x8d0, 'grass');
  static const grid_3x3_filled_outlined =
      _MaterialSymbolsData(0x8d1, 'grid_3x3_filled_outlined');
  static const grid_3x3_filled_sharp =
      _MaterialSymbolsData(0x8d2, 'grid_3x3_filled_sharp');
  static const grid_3x3_filled = _MaterialSymbolsData(0x8d3, 'grid_3x3_filled');
  static const grid_3x3_outlined =
      _MaterialSymbolsData(0x8d4, 'grid_3x3_outlined');
  static const grid_3x3_sharp = _MaterialSymbolsData(0x8d5, 'grid_3x3_sharp');
  static const grid_3x3 = _MaterialSymbolsData(0x8d6, 'grid_3x3');
  static const grid_4x4_filled_outlined =
      _MaterialSymbolsData(0x8d7, 'grid_4x4_filled_outlined');
  static const grid_4x4_filled_sharp =
      _MaterialSymbolsData(0x8d8, 'grid_4x4_filled_sharp');
  static const grid_4x4_filled = _MaterialSymbolsData(0x8d9, 'grid_4x4_filled');
  static const grid_4x4_outlined =
      _MaterialSymbolsData(0x8da, 'grid_4x4_outlined');
  static const grid_4x4_sharp = _MaterialSymbolsData(0x8db, 'grid_4x4_sharp');
  static const grid_4x4 = _MaterialSymbolsData(0x8dc, 'grid_4x4');
  static const grid_goldenratio_filled_outlined =
      _MaterialSymbolsData(0x8dd, 'grid_goldenratio_filled_outlined');
  static const grid_goldenratio_filled_sharp =
      _MaterialSymbolsData(0x8de, 'grid_goldenratio_filled_sharp');
  static const grid_goldenratio_filled =
      _MaterialSymbolsData(0x8df, 'grid_goldenratio_filled');
  static const grid_goldenratio_outlined =
      _MaterialSymbolsData(0x8e0, 'grid_goldenratio_outlined');
  static const grid_goldenratio_sharp =
      _MaterialSymbolsData(0x8e1, 'grid_goldenratio_sharp');
  static const grid_goldenratio =
      _MaterialSymbolsData(0x8e2, 'grid_goldenratio');
  static const grid_off_filled_outlined =
      _MaterialSymbolsData(0x8e3, 'grid_off_filled_outlined');
  static const grid_off_filled_sharp =
      _MaterialSymbolsData(0x8e4, 'grid_off_filled_sharp');
  static const grid_off_filled = _MaterialSymbolsData(0x8e5, 'grid_off_filled');
  static const grid_off_outlined =
      _MaterialSymbolsData(0x8e6, 'grid_off_outlined');
  static const grid_off_sharp = _MaterialSymbolsData(0x8e7, 'grid_off_sharp');
  static const grid_off = _MaterialSymbolsData(0x8e8, 'grid_off');
  static const grid_on_filled_outlined =
      _MaterialSymbolsData(0x8e9, 'grid_on_filled_outlined');
  static const grid_on_filled_sharp =
      _MaterialSymbolsData(0x8ea, 'grid_on_filled_sharp');
  static const grid_on_filled = _MaterialSymbolsData(0x8eb, 'grid_on_filled');
  static const grid_on_outlined =
      _MaterialSymbolsData(0x8ec, 'grid_on_outlined');
  static const grid_on_sharp = _MaterialSymbolsData(0x8ed, 'grid_on_sharp');
  static const grid_on = _MaterialSymbolsData(0x8ee, 'grid_on');
  static const grid_view_filled_outlined =
      _MaterialSymbolsData(0x8ef, 'grid_view_filled_outlined');
  static const grid_view_filled_sharp =
      _MaterialSymbolsData(0x8f0, 'grid_view_filled_sharp');
  static const grid_view_filled =
      _MaterialSymbolsData(0x8f1, 'grid_view_filled');
  static const grid_view_outlined =
      _MaterialSymbolsData(0x8f2, 'grid_view_outlined');
  static const grid_view_sharp = _MaterialSymbolsData(0x8f3, 'grid_view_sharp');
  static const grid_view = _MaterialSymbolsData(0x8f4, 'grid_view');
  static const group_add_filled_outlined =
      _MaterialSymbolsData(0x8f5, 'group_add_filled_outlined');
  static const group_add_filled_sharp =
      _MaterialSymbolsData(0x8f6, 'group_add_filled_sharp');
  static const group_add_filled =
      _MaterialSymbolsData(0x8f7, 'group_add_filled');
  static const group_add_outlined =
      _MaterialSymbolsData(0x8f8, 'group_add_outlined');
  static const group_add_sharp = _MaterialSymbolsData(0x8f9, 'group_add_sharp');
  static const group_add = _MaterialSymbolsData(0x8fa, 'group_add');
  static const group_filled_outlined =
      _MaterialSymbolsData(0x8fb, 'group_filled_outlined');
  static const group_filled_sharp =
      _MaterialSymbolsData(0x8fc, 'group_filled_sharp');
  static const group_filled = _MaterialSymbolsData(0x8fd, 'group_filled');
  static const group_off_filled_outlined =
      _MaterialSymbolsData(0x8fe, 'group_off_filled_outlined');
  static const group_off_filled_sharp =
      _MaterialSymbolsData(0x8ff, 'group_off_filled_sharp');
  static const group_off_filled =
      _MaterialSymbolsData(0x900, 'group_off_filled');
  static const group_off_outlined =
      _MaterialSymbolsData(0x901, 'group_off_outlined');
  static const group_off_sharp = _MaterialSymbolsData(0x902, 'group_off_sharp');
  static const group_off = _MaterialSymbolsData(0x903, 'group_off');
  static const group_outlined = _MaterialSymbolsData(0x904, 'group_outlined');
  static const group_remove_filled_outlined =
      _MaterialSymbolsData(0x905, 'group_remove_filled_outlined');
  static const group_remove_filled_sharp =
      _MaterialSymbolsData(0x906, 'group_remove_filled_sharp');
  static const group_remove_filled =
      _MaterialSymbolsData(0x907, 'group_remove_filled');
  static const group_remove_outlined =
      _MaterialSymbolsData(0x908, 'group_remove_outlined');
  static const group_remove_sharp =
      _MaterialSymbolsData(0x909, 'group_remove_sharp');
  static const group_remove = _MaterialSymbolsData(0x90a, 'group_remove');
  static const group_sharp = _MaterialSymbolsData(0x90b, 'group_sharp');
  static const group_work_filled_outlined =
      _MaterialSymbolsData(0x90c, 'group_work_filled_outlined');
  static const group_work_filled_sharp =
      _MaterialSymbolsData(0x90d, 'group_work_filled_sharp');
  static const group_work_filled =
      _MaterialSymbolsData(0x90e, 'group_work_filled');
  static const group_work_outlined =
      _MaterialSymbolsData(0x90f, 'group_work_outlined');
  static const group_work_sharp =
      _MaterialSymbolsData(0x910, 'group_work_sharp');
  static const group_work = _MaterialSymbolsData(0x911, 'group_work');
  static const group = _MaterialSymbolsData(0x912, 'group');
  static const grouped_bar_chart_filled_outlined =
      _MaterialSymbolsData(0x913, 'grouped_bar_chart_filled_outlined');
  static const grouped_bar_chart_filled_sharp =
      _MaterialSymbolsData(0x914, 'grouped_bar_chart_filled_sharp');
  static const grouped_bar_chart_filled =
      _MaterialSymbolsData(0x915, 'grouped_bar_chart_filled');
  static const grouped_bar_chart_outlined =
      _MaterialSymbolsData(0x916, 'grouped_bar_chart_outlined');
  static const grouped_bar_chart_sharp =
      _MaterialSymbolsData(0x917, 'grouped_bar_chart_sharp');
  static const grouped_bar_chart =
      _MaterialSymbolsData(0x918, 'grouped_bar_chart');
  static const groups_2_filled_outlined =
      _MaterialSymbolsData(0x919, 'groups_2_filled_outlined');
  static const groups_2_filled_sharp =
      _MaterialSymbolsData(0x91a, 'groups_2_filled_sharp');
  static const groups_2_filled = _MaterialSymbolsData(0x91b, 'groups_2_filled');
  static const groups_2_outlined =
      _MaterialSymbolsData(0x91c, 'groups_2_outlined');
  static const groups_2_sharp = _MaterialSymbolsData(0x91d, 'groups_2_sharp');
  static const groups_2 = _MaterialSymbolsData(0x91e, 'groups_2');
  static const groups_3_filled_outlined =
      _MaterialSymbolsData(0x91f, 'groups_3_filled_outlined');
  static const groups_3_filled_sharp =
      _MaterialSymbolsData(0x920, 'groups_3_filled_sharp');
  static const groups_3_filled = _MaterialSymbolsData(0x921, 'groups_3_filled');
  static const groups_3_outlined =
      _MaterialSymbolsData(0x922, 'groups_3_outlined');
  static const groups_3_sharp = _MaterialSymbolsData(0x923, 'groups_3_sharp');
  static const groups_3 = _MaterialSymbolsData(0x924, 'groups_3');
  static const groups_filled_outlined =
      _MaterialSymbolsData(0x925, 'groups_filled_outlined');
  static const groups_filled_sharp =
      _MaterialSymbolsData(0x926, 'groups_filled_sharp');
  static const groups_filled = _MaterialSymbolsData(0x927, 'groups_filled');
  static const groups_outlined = _MaterialSymbolsData(0x928, 'groups_outlined');
  static const groups_sharp = _MaterialSymbolsData(0x929, 'groups_sharp');
  static const groups = _MaterialSymbolsData(0x92a, 'groups');
  static const h_mobiledata_filled_outlined =
      _MaterialSymbolsData(0x92b, 'h_mobiledata_filled_outlined');
  static const h_mobiledata_filled_sharp =
      _MaterialSymbolsData(0x92c, 'h_mobiledata_filled_sharp');
  static const h_mobiledata_filled =
      _MaterialSymbolsData(0x92d, 'h_mobiledata_filled');
  static const h_mobiledata_outlined =
      _MaterialSymbolsData(0x92e, 'h_mobiledata_outlined');
  static const h_mobiledata_sharp =
      _MaterialSymbolsData(0x92f, 'h_mobiledata_sharp');
  static const h_mobiledata = _MaterialSymbolsData(0x930, 'h_mobiledata');
  static const h_plus_mobiledata_filled_outlined =
      _MaterialSymbolsData(0x931, 'h_plus_mobiledata_filled_outlined');
  static const h_plus_mobiledata_filled_sharp =
      _MaterialSymbolsData(0x932, 'h_plus_mobiledata_filled_sharp');
  static const h_plus_mobiledata_filled =
      _MaterialSymbolsData(0x933, 'h_plus_mobiledata_filled');
  static const h_plus_mobiledata_outlined =
      _MaterialSymbolsData(0x934, 'h_plus_mobiledata_outlined');
  static const h_plus_mobiledata_sharp =
      _MaterialSymbolsData(0x935, 'h_plus_mobiledata_sharp');
  static const h_plus_mobiledata =
      _MaterialSymbolsData(0x936, 'h_plus_mobiledata');
  static const hail_filled_outlined =
      _MaterialSymbolsData(0x937, 'hail_filled_outlined');
  static const hail_filled_sharp =
      _MaterialSymbolsData(0x938, 'hail_filled_sharp');
  static const hail_filled = _MaterialSymbolsData(0x939, 'hail_filled');
  static const hail_outlined = _MaterialSymbolsData(0x93a, 'hail_outlined');
  static const hail_sharp = _MaterialSymbolsData(0x93b, 'hail_sharp');
  static const hail = _MaterialSymbolsData(0x93c, 'hail');
  static const hand_bones_filled_outlined =
      _MaterialSymbolsData(0x93d, 'hand_bones_filled_outlined');
  static const hand_bones_filled_sharp =
      _MaterialSymbolsData(0x93e, 'hand_bones_filled_sharp');
  static const hand_bones_filled =
      _MaterialSymbolsData(0x93f, 'hand_bones_filled');
  static const hand_bones_outlined =
      _MaterialSymbolsData(0x940, 'hand_bones_outlined');
  static const hand_bones_sharp =
      _MaterialSymbolsData(0x941, 'hand_bones_sharp');
  static const hand_bones = _MaterialSymbolsData(0x942, 'hand_bones');
  static const hand_gesture_filled_outlined =
      _MaterialSymbolsData(0x943, 'hand_gesture_filled_outlined');
  static const hand_gesture_filled_sharp =
      _MaterialSymbolsData(0x944, 'hand_gesture_filled_sharp');
  static const hand_gesture_filled =
      _MaterialSymbolsData(0x945, 'hand_gesture_filled');
  static const hand_gesture_outlined =
      _MaterialSymbolsData(0x946, 'hand_gesture_outlined');
  static const hand_gesture_sharp =
      _MaterialSymbolsData(0x947, 'hand_gesture_sharp');
  static const hand_gesture = _MaterialSymbolsData(0x948, 'hand_gesture');
  static const handshake_filled_outlined =
      _MaterialSymbolsData(0x949, 'handshake_filled_outlined');
  static const handshake_filled_sharp =
      _MaterialSymbolsData(0x94a, 'handshake_filled_sharp');
  static const handshake_filled =
      _MaterialSymbolsData(0x94b, 'handshake_filled');
  static const handshake_outlined =
      _MaterialSymbolsData(0x94c, 'handshake_outlined');
  static const handshake_sharp = _MaterialSymbolsData(0x94d, 'handshake_sharp');
  static const handshake = _MaterialSymbolsData(0x94e, 'handshake');
  static const handyman_filled_outlined =
      _MaterialSymbolsData(0x94f, 'handyman_filled_outlined');
  static const handyman_filled_sharp =
      _MaterialSymbolsData(0x950, 'handyman_filled_sharp');
  static const handyman_filled = _MaterialSymbolsData(0x951, 'handyman_filled');
  static const handyman_outlined =
      _MaterialSymbolsData(0x952, 'handyman_outlined');
  static const handyman_sharp = _MaterialSymbolsData(0x953, 'handyman_sharp');
  static const handyman = _MaterialSymbolsData(0x954, 'handyman');
  static const hard_drive_filled_outlined =
      _MaterialSymbolsData(0x955, 'hard_drive_filled_outlined');
  static const hard_drive_filled_sharp =
      _MaterialSymbolsData(0x956, 'hard_drive_filled_sharp');
  static const hard_drive_filled =
      _MaterialSymbolsData(0x957, 'hard_drive_filled');
  static const hard_drive_outlined =
      _MaterialSymbolsData(0x958, 'hard_drive_outlined');
  static const hard_drive_sharp =
      _MaterialSymbolsData(0x959, 'hard_drive_sharp');
  static const hard_drive = _MaterialSymbolsData(0x95a, 'hard_drive');
  static const hardware_filled_outlined =
      _MaterialSymbolsData(0x95b, 'hardware_filled_outlined');
  static const hardware_filled_sharp =
      _MaterialSymbolsData(0x95c, 'hardware_filled_sharp');
  static const hardware_filled = _MaterialSymbolsData(0x95d, 'hardware_filled');
  static const hardware_outlined =
      _MaterialSymbolsData(0x95e, 'hardware_outlined');
  static const hardware_sharp = _MaterialSymbolsData(0x95f, 'hardware_sharp');
  static const hardware = _MaterialSymbolsData(0x960, 'hardware');
  static const hd_filled_outlined =
      _MaterialSymbolsData(0x961, 'hd_filled_outlined');
  static const hd_filled_sharp = _MaterialSymbolsData(0x962, 'hd_filled_sharp');
  static const hd_filled = _MaterialSymbolsData(0x963, 'hd_filled');
  static const hd_outlined = _MaterialSymbolsData(0x964, 'hd_outlined');
  static const hd_sharp = _MaterialSymbolsData(0x965, 'hd_sharp');
  static const hd = _MaterialSymbolsData(0x966, 'hd');
  static const hdr_auto_filled_outlined =
      _MaterialSymbolsData(0x967, 'hdr_auto_filled_outlined');
  static const hdr_auto_filled_sharp =
      _MaterialSymbolsData(0x968, 'hdr_auto_filled_sharp');
  static const hdr_auto_filled = _MaterialSymbolsData(0x969, 'hdr_auto_filled');
  static const hdr_auto_outlined =
      _MaterialSymbolsData(0x96a, 'hdr_auto_outlined');
  static const hdr_auto_select_filled_outlined =
      _MaterialSymbolsData(0x96b, 'hdr_auto_select_filled_outlined');
  static const hdr_auto_select_filled_sharp =
      _MaterialSymbolsData(0x96c, 'hdr_auto_select_filled_sharp');
  static const hdr_auto_select_filled =
      _MaterialSymbolsData(0x96d, 'hdr_auto_select_filled');
  static const hdr_auto_select_outlined =
      _MaterialSymbolsData(0x96e, 'hdr_auto_select_outlined');
  static const hdr_auto_select_sharp =
      _MaterialSymbolsData(0x96f, 'hdr_auto_select_sharp');
  static const hdr_auto_select = _MaterialSymbolsData(0x970, 'hdr_auto_select');
  static const hdr_auto_sharp = _MaterialSymbolsData(0x971, 'hdr_auto_sharp');
  static const hdr_auto = _MaterialSymbolsData(0x972, 'hdr_auto');
  static const hdr_enhanced_select_filled_outlined =
      _MaterialSymbolsData(0x973, 'hdr_enhanced_select_filled_outlined');
  static const hdr_enhanced_select_filled_sharp =
      _MaterialSymbolsData(0x974, 'hdr_enhanced_select_filled_sharp');
  static const hdr_enhanced_select_filled =
      _MaterialSymbolsData(0x975, 'hdr_enhanced_select_filled');
  static const hdr_enhanced_select_outlined =
      _MaterialSymbolsData(0x976, 'hdr_enhanced_select_outlined');
  static const hdr_enhanced_select_sharp =
      _MaterialSymbolsData(0x977, 'hdr_enhanced_select_sharp');
  static const hdr_enhanced_select =
      _MaterialSymbolsData(0x978, 'hdr_enhanced_select');
  static const hdr_off_filled_outlined =
      _MaterialSymbolsData(0x979, 'hdr_off_filled_outlined');
  static const hdr_off_filled_sharp =
      _MaterialSymbolsData(0x97a, 'hdr_off_filled_sharp');
  static const hdr_off_filled = _MaterialSymbolsData(0x97b, 'hdr_off_filled');
  static const hdr_off_outlined =
      _MaterialSymbolsData(0x97c, 'hdr_off_outlined');
  static const hdr_off_select_filled_outlined =
      _MaterialSymbolsData(0x97d, 'hdr_off_select_filled_outlined');
  static const hdr_off_select_filled_sharp =
      _MaterialSymbolsData(0x97e, 'hdr_off_select_filled_sharp');
  static const hdr_off_select_filled =
      _MaterialSymbolsData(0x97f, 'hdr_off_select_filled');
  static const hdr_off_select_outlined =
      _MaterialSymbolsData(0x980, 'hdr_off_select_outlined');
  static const hdr_off_select_sharp =
      _MaterialSymbolsData(0x981, 'hdr_off_select_sharp');
  static const hdr_off_select = _MaterialSymbolsData(0x982, 'hdr_off_select');
  static const hdr_off_sharp = _MaterialSymbolsData(0x983, 'hdr_off_sharp');
  static const hdr_off = _MaterialSymbolsData(0x984, 'hdr_off');
  static const hdr_on_filled_outlined =
      _MaterialSymbolsData(0x985, 'hdr_on_filled_outlined');
  static const hdr_on_filled_sharp =
      _MaterialSymbolsData(0x986, 'hdr_on_filled_sharp');
  static const hdr_on_filled = _MaterialSymbolsData(0x987, 'hdr_on_filled');
  static const hdr_on_outlined = _MaterialSymbolsData(0x988, 'hdr_on_outlined');
  static const hdr_on_select_filled_outlined =
      _MaterialSymbolsData(0x989, 'hdr_on_select_filled_outlined');
  static const hdr_on_select_filled_sharp =
      _MaterialSymbolsData(0x98a, 'hdr_on_select_filled_sharp');
  static const hdr_on_select_filled =
      _MaterialSymbolsData(0x98b, 'hdr_on_select_filled');
  static const hdr_on_select_outlined =
      _MaterialSymbolsData(0x98c, 'hdr_on_select_outlined');
  static const hdr_on_select_sharp =
      _MaterialSymbolsData(0x98d, 'hdr_on_select_sharp');
  static const hdr_on_select = _MaterialSymbolsData(0x98e, 'hdr_on_select');
  static const hdr_on_sharp = _MaterialSymbolsData(0x98f, 'hdr_on_sharp');
  static const hdr_on = _MaterialSymbolsData(0x990, 'hdr_on');
  static const hdr_plus_filled_outlined =
      _MaterialSymbolsData(0x991, 'hdr_plus_filled_outlined');
  static const hdr_plus_filled_sharp =
      _MaterialSymbolsData(0x992, 'hdr_plus_filled_sharp');
  static const hdr_plus_filled = _MaterialSymbolsData(0x993, 'hdr_plus_filled');
  static const hdr_plus_outlined =
      _MaterialSymbolsData(0x994, 'hdr_plus_outlined');
  static const hdr_plus_sharp = _MaterialSymbolsData(0x995, 'hdr_plus_sharp');
  static const hdr_plus = _MaterialSymbolsData(0x996, 'hdr_plus');
  static const hdr_strong_filled_outlined =
      _MaterialSymbolsData(0x997, 'hdr_strong_filled_outlined');
  static const hdr_strong_filled_sharp =
      _MaterialSymbolsData(0x998, 'hdr_strong_filled_sharp');
  static const hdr_strong_filled =
      _MaterialSymbolsData(0x999, 'hdr_strong_filled');
  static const hdr_strong_outlined =
      _MaterialSymbolsData(0x99a, 'hdr_strong_outlined');
  static const hdr_strong_sharp =
      _MaterialSymbolsData(0x99b, 'hdr_strong_sharp');
  static const hdr_strong = _MaterialSymbolsData(0x99c, 'hdr_strong');
  static const hdr_weak_filled_outlined =
      _MaterialSymbolsData(0x99d, 'hdr_weak_filled_outlined');
  static const hdr_weak_filled_sharp =
      _MaterialSymbolsData(0x99e, 'hdr_weak_filled_sharp');
  static const hdr_weak_filled = _MaterialSymbolsData(0x99f, 'hdr_weak_filled');
  static const hdr_weak_outlined =
      _MaterialSymbolsData(0x9a0, 'hdr_weak_outlined');
  static const hdr_weak_sharp = _MaterialSymbolsData(0x9a1, 'hdr_weak_sharp');
  static const hdr_weak = _MaterialSymbolsData(0x9a2, 'hdr_weak');
  static const headphones_battery_filled_outlined =
      _MaterialSymbolsData(0x9a3, 'headphones_battery_filled_outlined');
  static const headphones_battery_filled_sharp =
      _MaterialSymbolsData(0x9a4, 'headphones_battery_filled_sharp');
  static const headphones_battery_filled =
      _MaterialSymbolsData(0x9a5, 'headphones_battery_filled');
  static const headphones_battery_outlined =
      _MaterialSymbolsData(0x9a6, 'headphones_battery_outlined');
  static const headphones_battery_sharp =
      _MaterialSymbolsData(0x9a7, 'headphones_battery_sharp');
  static const headphones_battery =
      _MaterialSymbolsData(0x9a8, 'headphones_battery');
  static const headphones_filled_outlined =
      _MaterialSymbolsData(0x9a9, 'headphones_filled_outlined');
  static const headphones_filled_sharp =
      _MaterialSymbolsData(0x9aa, 'headphones_filled_sharp');
  static const headphones_filled =
      _MaterialSymbolsData(0x9ab, 'headphones_filled');
  static const headphones_outlined =
      _MaterialSymbolsData(0x9ac, 'headphones_outlined');
  static const headphones_sharp =
      _MaterialSymbolsData(0x9ad, 'headphones_sharp');
  static const headphones = _MaterialSymbolsData(0x9ae, 'headphones');
  static const headset_mic_filled_outlined =
      _MaterialSymbolsData(0x9af, 'headset_mic_filled_outlined');
  static const headset_mic_filled_sharp =
      _MaterialSymbolsData(0x9b0, 'headset_mic_filled_sharp');
  static const headset_mic_filled =
      _MaterialSymbolsData(0x9b1, 'headset_mic_filled');
  static const headset_mic_outlined =
      _MaterialSymbolsData(0x9b2, 'headset_mic_outlined');
  static const headset_mic_sharp =
      _MaterialSymbolsData(0x9b3, 'headset_mic_sharp');
  static const headset_mic = _MaterialSymbolsData(0x9b4, 'headset_mic');
  static const headset_off_filled_outlined =
      _MaterialSymbolsData(0x9b5, 'headset_off_filled_outlined');
  static const headset_off_filled_sharp =
      _MaterialSymbolsData(0x9b6, 'headset_off_filled_sharp');
  static const headset_off_filled =
      _MaterialSymbolsData(0x9b7, 'headset_off_filled');
  static const headset_off_outlined =
      _MaterialSymbolsData(0x9b8, 'headset_off_outlined');
  static const headset_off_sharp =
      _MaterialSymbolsData(0x9b9, 'headset_off_sharp');
  static const headset_off = _MaterialSymbolsData(0x9ba, 'headset_off');
  static const healing_filled_outlined =
      _MaterialSymbolsData(0x9bb, 'healing_filled_outlined');
  static const healing_filled_sharp =
      _MaterialSymbolsData(0x9bc, 'healing_filled_sharp');
  static const healing_filled = _MaterialSymbolsData(0x9bd, 'healing_filled');
  static const healing_outlined =
      _MaterialSymbolsData(0x9be, 'healing_outlined');
  static const healing_sharp = _MaterialSymbolsData(0x9bf, 'healing_sharp');
  static const healing = _MaterialSymbolsData(0x9c0, 'healing');
  static const health_and_safety_filled_outlined =
      _MaterialSymbolsData(0x9c1, 'health_and_safety_filled_outlined');
  static const health_and_safety_filled_sharp =
      _MaterialSymbolsData(0x9c2, 'health_and_safety_filled_sharp');
  static const health_and_safety_filled =
      _MaterialSymbolsData(0x9c3, 'health_and_safety_filled');
  static const health_and_safety_outlined =
      _MaterialSymbolsData(0x9c4, 'health_and_safety_outlined');
  static const health_and_safety_sharp =
      _MaterialSymbolsData(0x9c5, 'health_and_safety_sharp');
  static const health_and_safety =
      _MaterialSymbolsData(0x9c6, 'health_and_safety');
  static const hearing_disabled_filled_outlined =
      _MaterialSymbolsData(0x9c7, 'hearing_disabled_filled_outlined');
  static const hearing_disabled_filled_sharp =
      _MaterialSymbolsData(0x9c8, 'hearing_disabled_filled_sharp');
  static const hearing_disabled_filled =
      _MaterialSymbolsData(0x9c9, 'hearing_disabled_filled');
  static const hearing_disabled_outlined =
      _MaterialSymbolsData(0x9ca, 'hearing_disabled_outlined');
  static const hearing_disabled_sharp =
      _MaterialSymbolsData(0x9cb, 'hearing_disabled_sharp');
  static const hearing_disabled =
      _MaterialSymbolsData(0x9cc, 'hearing_disabled');
  static const hearing_filled_outlined =
      _MaterialSymbolsData(0x9cd, 'hearing_filled_outlined');
  static const hearing_filled_sharp =
      _MaterialSymbolsData(0x9ce, 'hearing_filled_sharp');
  static const hearing_filled = _MaterialSymbolsData(0x9cf, 'hearing_filled');
  static const hearing_outlined =
      _MaterialSymbolsData(0x9d0, 'hearing_outlined');
  static const hearing_sharp = _MaterialSymbolsData(0x9d1, 'hearing_sharp');
  static const hearing = _MaterialSymbolsData(0x9d2, 'hearing');
  static const heart_broken_filled_outlined =
      _MaterialSymbolsData(0x9d3, 'heart_broken_filled_outlined');
  static const heart_broken_filled_sharp =
      _MaterialSymbolsData(0x9d4, 'heart_broken_filled_sharp');
  static const heart_broken_filled =
      _MaterialSymbolsData(0x9d5, 'heart_broken_filled');
  static const heart_broken_outlined =
      _MaterialSymbolsData(0x9d6, 'heart_broken_outlined');
  static const heart_broken_sharp =
      _MaterialSymbolsData(0x9d7, 'heart_broken_sharp');
  static const heart_broken = _MaterialSymbolsData(0x9d8, 'heart_broken');
  static const heart_minus_filled_outlined =
      _MaterialSymbolsData(0x9d9, 'heart_minus_filled_outlined');
  static const heart_minus_filled_sharp =
      _MaterialSymbolsData(0x9da, 'heart_minus_filled_sharp');
  static const heart_minus_filled =
      _MaterialSymbolsData(0x9db, 'heart_minus_filled');
  static const heart_minus_outlined =
      _MaterialSymbolsData(0x9dc, 'heart_minus_outlined');
  static const heart_minus_sharp =
      _MaterialSymbolsData(0x9dd, 'heart_minus_sharp');
  static const heart_minus = _MaterialSymbolsData(0x9de, 'heart_minus');
  static const heart_plus_filled_outlined =
      _MaterialSymbolsData(0x9df, 'heart_plus_filled_outlined');
  static const heart_plus_filled_sharp =
      _MaterialSymbolsData(0x9e0, 'heart_plus_filled_sharp');
  static const heart_plus_filled =
      _MaterialSymbolsData(0x9e1, 'heart_plus_filled');
  static const heart_plus_outlined =
      _MaterialSymbolsData(0x9e2, 'heart_plus_outlined');
  static const heart_plus_sharp =
      _MaterialSymbolsData(0x9e3, 'heart_plus_sharp');
  static const heart_plus = _MaterialSymbolsData(0x9e4, 'heart_plus');
  static const heat_pump_balance_filled_outlined =
      _MaterialSymbolsData(0x9e5, 'heat_pump_balance_filled_outlined');
  static const heat_pump_balance_filled_sharp =
      _MaterialSymbolsData(0x9e6, 'heat_pump_balance_filled_sharp');
  static const heat_pump_balance_filled =
      _MaterialSymbolsData(0x9e7, 'heat_pump_balance_filled');
  static const heat_pump_balance_outlined =
      _MaterialSymbolsData(0x9e8, 'heat_pump_balance_outlined');
  static const heat_pump_balance_sharp =
      _MaterialSymbolsData(0x9e9, 'heat_pump_balance_sharp');
  static const heat_pump_balance =
      _MaterialSymbolsData(0x9ea, 'heat_pump_balance');
  static const heat_pump_filled_outlined =
      _MaterialSymbolsData(0x9eb, 'heat_pump_filled_outlined');
  static const heat_pump_filled_sharp =
      _MaterialSymbolsData(0x9ec, 'heat_pump_filled_sharp');
  static const heat_pump_filled =
      _MaterialSymbolsData(0x9ed, 'heat_pump_filled');
  static const heat_pump_outlined =
      _MaterialSymbolsData(0x9ee, 'heat_pump_outlined');
  static const heat_pump_sharp = _MaterialSymbolsData(0x9ef, 'heat_pump_sharp');
  static const heat_pump = _MaterialSymbolsData(0x9f0, 'heat_pump');
  static const height_filled_outlined =
      _MaterialSymbolsData(0x9f1, 'height_filled_outlined');
  static const height_filled_sharp =
      _MaterialSymbolsData(0x9f2, 'height_filled_sharp');
  static const height_filled = _MaterialSymbolsData(0x9f3, 'height_filled');
  static const height_outlined = _MaterialSymbolsData(0x9f4, 'height_outlined');
  static const height_sharp = _MaterialSymbolsData(0x9f5, 'height_sharp');
  static const height = _MaterialSymbolsData(0x9f6, 'height');
  static const help_center_filled_outlined =
      _MaterialSymbolsData(0x9f7, 'help_center_filled_outlined');
  static const help_center_filled_sharp =
      _MaterialSymbolsData(0x9f8, 'help_center_filled_sharp');
  static const help_center_filled =
      _MaterialSymbolsData(0x9f9, 'help_center_filled');
  static const help_center_outlined =
      _MaterialSymbolsData(0x9fa, 'help_center_outlined');
  static const help_center_sharp =
      _MaterialSymbolsData(0x9fb, 'help_center_sharp');
  static const help_center = _MaterialSymbolsData(0x9fc, 'help_center');
  static const help_clinic_filled_outlined =
      _MaterialSymbolsData(0x9fd, 'help_clinic_filled_outlined');
  static const help_clinic_filled_sharp =
      _MaterialSymbolsData(0x9fe, 'help_clinic_filled_sharp');
  static const help_clinic_filled =
      _MaterialSymbolsData(0x9ff, 'help_clinic_filled');
  static const help_clinic_outlined =
      _MaterialSymbolsData(0xa00, 'help_clinic_outlined');
  static const help_clinic_sharp =
      _MaterialSymbolsData(0xa01, 'help_clinic_sharp');
  static const help_clinic = _MaterialSymbolsData(0xa02, 'help_clinic');
  static const help_filled_outlined =
      _MaterialSymbolsData(0xa03, 'help_filled_outlined');
  static const help_filled_sharp =
      _MaterialSymbolsData(0xa04, 'help_filled_sharp');
  static const help_filled = _MaterialSymbolsData(0xa05, 'help_filled');
  static const help_outlined = _MaterialSymbolsData(0xa06, 'help_outlined');
  static const help_sharp = _MaterialSymbolsData(0xa07, 'help_sharp');
  static const help = _MaterialSymbolsData(0xa08, 'help');
  static const hematology_filled_outlined =
      _MaterialSymbolsData(0xa09, 'hematology_filled_outlined');
  static const hematology_filled_sharp =
      _MaterialSymbolsData(0xa0a, 'hematology_filled_sharp');
  static const hematology_filled =
      _MaterialSymbolsData(0xa0b, 'hematology_filled');
  static const hematology_outlined =
      _MaterialSymbolsData(0xa0c, 'hematology_outlined');
  static const hematology_sharp =
      _MaterialSymbolsData(0xa0d, 'hematology_sharp');
  static const hematology = _MaterialSymbolsData(0xa0e, 'hematology');
  static const hevc_filled_outlined =
      _MaterialSymbolsData(0xa0f, 'hevc_filled_outlined');
  static const hevc_filled_sharp =
      _MaterialSymbolsData(0xa10, 'hevc_filled_sharp');
  static const hevc_filled = _MaterialSymbolsData(0xa11, 'hevc_filled');
  static const hevc_outlined = _MaterialSymbolsData(0xa12, 'hevc_outlined');
  static const hevc_sharp = _MaterialSymbolsData(0xa13, 'hevc_sharp');
  static const hevc = _MaterialSymbolsData(0xa14, 'hevc');
  static const hexagon_filled_outlined =
      _MaterialSymbolsData(0xa15, 'hexagon_filled_outlined');
  static const hexagon_filled_sharp =
      _MaterialSymbolsData(0xa16, 'hexagon_filled_sharp');
  static const hexagon_filled = _MaterialSymbolsData(0xa17, 'hexagon_filled');
  static const hexagon_outlined =
      _MaterialSymbolsData(0xa18, 'hexagon_outlined');
  static const hexagon_sharp = _MaterialSymbolsData(0xa19, 'hexagon_sharp');
  static const hexagon = _MaterialSymbolsData(0xa1a, 'hexagon');
  static const hide_filled_outlined =
      _MaterialSymbolsData(0xa1b, 'hide_filled_outlined');
  static const hide_filled_sharp =
      _MaterialSymbolsData(0xa1c, 'hide_filled_sharp');
  static const hide_filled = _MaterialSymbolsData(0xa1d, 'hide_filled');
  static const hide_image_filled_outlined =
      _MaterialSymbolsData(0xa1e, 'hide_image_filled_outlined');
  static const hide_image_filled_sharp =
      _MaterialSymbolsData(0xa1f, 'hide_image_filled_sharp');
  static const hide_image_filled =
      _MaterialSymbolsData(0xa20, 'hide_image_filled');
  static const hide_image_outlined =
      _MaterialSymbolsData(0xa21, 'hide_image_outlined');
  static const hide_image_sharp =
      _MaterialSymbolsData(0xa22, 'hide_image_sharp');
  static const hide_image = _MaterialSymbolsData(0xa23, 'hide_image');
  static const hide_outlined = _MaterialSymbolsData(0xa24, 'hide_outlined');
  static const hide_sharp = _MaterialSymbolsData(0xa25, 'hide_sharp');
  static const hide_source_filled_outlined =
      _MaterialSymbolsData(0xa26, 'hide_source_filled_outlined');
  static const hide_source_filled_sharp =
      _MaterialSymbolsData(0xa27, 'hide_source_filled_sharp');
  static const hide_source_filled =
      _MaterialSymbolsData(0xa28, 'hide_source_filled');
  static const hide_source_outlined =
      _MaterialSymbolsData(0xa29, 'hide_source_outlined');
  static const hide_source_sharp =
      _MaterialSymbolsData(0xa2a, 'hide_source_sharp');
  static const hide_source = _MaterialSymbolsData(0xa2b, 'hide_source');
  static const hide = _MaterialSymbolsData(0xa2c, 'hide');
  static const high_quality_filled_outlined =
      _MaterialSymbolsData(0xa2d, 'high_quality_filled_outlined');
  static const high_quality_filled_sharp =
      _MaterialSymbolsData(0xa2e, 'high_quality_filled_sharp');
  static const high_quality_filled =
      _MaterialSymbolsData(0xa2f, 'high_quality_filled');
  static const high_quality_outlined =
      _MaterialSymbolsData(0xa30, 'high_quality_outlined');
  static const high_quality_sharp =
      _MaterialSymbolsData(0xa31, 'high_quality_sharp');
  static const high_quality = _MaterialSymbolsData(0xa32, 'high_quality');
  static const highlight_filled_outlined =
      _MaterialSymbolsData(0xa33, 'highlight_filled_outlined');
  static const highlight_filled_sharp =
      _MaterialSymbolsData(0xa34, 'highlight_filled_sharp');
  static const highlight_filled =
      _MaterialSymbolsData(0xa35, 'highlight_filled');
  static const highlight_outlined =
      _MaterialSymbolsData(0xa36, 'highlight_outlined');
  static const highlight_sharp = _MaterialSymbolsData(0xa37, 'highlight_sharp');
  static const highlight = _MaterialSymbolsData(0xa38, 'highlight');
  static const hiking_filled_outlined =
      _MaterialSymbolsData(0xa39, 'hiking_filled_outlined');
  static const hiking_filled_sharp =
      _MaterialSymbolsData(0xa3a, 'hiking_filled_sharp');
  static const hiking_filled = _MaterialSymbolsData(0xa3b, 'hiking_filled');
  static const hiking_outlined = _MaterialSymbolsData(0xa3c, 'hiking_outlined');
  static const hiking_sharp = _MaterialSymbolsData(0xa3d, 'hiking_sharp');
  static const hiking = _MaterialSymbolsData(0xa3e, 'hiking');
  static const history_edu_filled_outlined =
      _MaterialSymbolsData(0xa3f, 'history_edu_filled_outlined');
  static const history_edu_filled_sharp =
      _MaterialSymbolsData(0xa40, 'history_edu_filled_sharp');
  static const history_edu_filled =
      _MaterialSymbolsData(0xa41, 'history_edu_filled');
  static const history_edu_outlined =
      _MaterialSymbolsData(0xa42, 'history_edu_outlined');
  static const history_edu_sharp =
      _MaterialSymbolsData(0xa43, 'history_edu_sharp');
  static const history_edu = _MaterialSymbolsData(0xa44, 'history_edu');
  static const history_filled_outlined =
      _MaterialSymbolsData(0xa45, 'history_filled_outlined');
  static const history_filled_sharp =
      _MaterialSymbolsData(0xa46, 'history_filled_sharp');
  static const history_filled = _MaterialSymbolsData(0xa47, 'history_filled');
  static const history_outlined =
      _MaterialSymbolsData(0xa48, 'history_outlined');
  static const history_sharp = _MaterialSymbolsData(0xa49, 'history_sharp');
  static const history_toggle_off_filled_outlined =
      _MaterialSymbolsData(0xa4a, 'history_toggle_off_filled_outlined');
  static const history_toggle_off_filled_sharp =
      _MaterialSymbolsData(0xa4b, 'history_toggle_off_filled_sharp');
  static const history_toggle_off_filled =
      _MaterialSymbolsData(0xa4c, 'history_toggle_off_filled');
  static const history_toggle_off_outlined =
      _MaterialSymbolsData(0xa4d, 'history_toggle_off_outlined');
  static const history_toggle_off_sharp =
      _MaterialSymbolsData(0xa4e, 'history_toggle_off_sharp');
  static const history_toggle_off =
      _MaterialSymbolsData(0xa4f, 'history_toggle_off');
  static const history = _MaterialSymbolsData(0xa50, 'history');
  static const hive_filled_outlined =
      _MaterialSymbolsData(0xa51, 'hive_filled_outlined');
  static const hive_filled_sharp =
      _MaterialSymbolsData(0xa52, 'hive_filled_sharp');
  static const hive_filled = _MaterialSymbolsData(0xa53, 'hive_filled');
  static const hive_outlined = _MaterialSymbolsData(0xa54, 'hive_outlined');
  static const hive_sharp = _MaterialSymbolsData(0xa55, 'hive_sharp');
  static const hive = _MaterialSymbolsData(0xa56, 'hive');
  static const hls_filled_outlined =
      _MaterialSymbolsData(0xa57, 'hls_filled_outlined');
  static const hls_filled_sharp =
      _MaterialSymbolsData(0xa58, 'hls_filled_sharp');
  static const hls_filled = _MaterialSymbolsData(0xa59, 'hls_filled');
  static const hls_off_filled_outlined =
      _MaterialSymbolsData(0xa5a, 'hls_off_filled_outlined');
  static const hls_off_filled_sharp =
      _MaterialSymbolsData(0xa5b, 'hls_off_filled_sharp');
  static const hls_off_filled = _MaterialSymbolsData(0xa5c, 'hls_off_filled');
  static const hls_off_outlined =
      _MaterialSymbolsData(0xa5d, 'hls_off_outlined');
  static const hls_off_sharp = _MaterialSymbolsData(0xa5e, 'hls_off_sharp');
  static const hls_off = _MaterialSymbolsData(0xa5f, 'hls_off');
  static const hls_outlined = _MaterialSymbolsData(0xa60, 'hls_outlined');
  static const hls_sharp = _MaterialSymbolsData(0xa61, 'hls_sharp');
  static const hls = _MaterialSymbolsData(0xa62, 'hls');
  static const holiday_village_filled_outlined =
      _MaterialSymbolsData(0xa63, 'holiday_village_filled_outlined');
  static const holiday_village_filled_sharp =
      _MaterialSymbolsData(0xa64, 'holiday_village_filled_sharp');
  static const holiday_village_filled =
      _MaterialSymbolsData(0xa65, 'holiday_village_filled');
  static const holiday_village_outlined =
      _MaterialSymbolsData(0xa66, 'holiday_village_outlined');
  static const holiday_village_sharp =
      _MaterialSymbolsData(0xa67, 'holiday_village_sharp');
  static const holiday_village = _MaterialSymbolsData(0xa68, 'holiday_village');
  static const home_app_logo_filled_outlined =
      _MaterialSymbolsData(0xa69, 'home_app_logo_filled_outlined');
  static const home_app_logo_filled_sharp =
      _MaterialSymbolsData(0xa6a, 'home_app_logo_filled_sharp');
  static const home_app_logo_filled =
      _MaterialSymbolsData(0xa6b, 'home_app_logo_filled');
  static const home_app_logo_outlined =
      _MaterialSymbolsData(0xa6c, 'home_app_logo_outlined');
  static const home_app_logo_sharp =
      _MaterialSymbolsData(0xa6d, 'home_app_logo_sharp');
  static const home_app_logo = _MaterialSymbolsData(0xa6e, 'home_app_logo');
  static const home_filled_outlined =
      _MaterialSymbolsData(0xa6f, 'home_filled_outlined');
  static const home_filled_sharp =
      _MaterialSymbolsData(0xa70, 'home_filled_sharp');
  static const home_filled = _MaterialSymbolsData(0xa71, 'home_filled');
  static const home_health_filled_outlined =
      _MaterialSymbolsData(0xa72, 'home_health_filled_outlined');
  static const home_health_filled_sharp =
      _MaterialSymbolsData(0xa73, 'home_health_filled_sharp');
  static const home_health_filled =
      _MaterialSymbolsData(0xa74, 'home_health_filled');
  static const home_health_outlined =
      _MaterialSymbolsData(0xa75, 'home_health_outlined');
  static const home_health_sharp =
      _MaterialSymbolsData(0xa76, 'home_health_sharp');
  static const home_health = _MaterialSymbolsData(0xa77, 'home_health');
  static const home_iot_device_filled_outlined =
      _MaterialSymbolsData(0xa78, 'home_iot_device_filled_outlined');
  static const home_iot_device_filled_sharp =
      _MaterialSymbolsData(0xa79, 'home_iot_device_filled_sharp');
  static const home_iot_device_filled =
      _MaterialSymbolsData(0xa7a, 'home_iot_device_filled');
  static const home_iot_device_outlined =
      _MaterialSymbolsData(0xa7b, 'home_iot_device_outlined');
  static const home_iot_device_sharp =
      _MaterialSymbolsData(0xa7c, 'home_iot_device_sharp');
  static const home_iot_device = _MaterialSymbolsData(0xa7d, 'home_iot_device');
  static const home_max_dots_filled_outlined =
      _MaterialSymbolsData(0xa7e, 'home_max_dots_filled_outlined');
  static const home_max_dots_filled_sharp =
      _MaterialSymbolsData(0xa7f, 'home_max_dots_filled_sharp');
  static const home_max_dots_filled =
      _MaterialSymbolsData(0xa80, 'home_max_dots_filled');
  static const home_max_dots_outlined =
      _MaterialSymbolsData(0xa81, 'home_max_dots_outlined');
  static const home_max_dots_sharp =
      _MaterialSymbolsData(0xa82, 'home_max_dots_sharp');
  static const home_max_dots = _MaterialSymbolsData(0xa83, 'home_max_dots');
  static const home_max_filled_outlined =
      _MaterialSymbolsData(0xa84, 'home_max_filled_outlined');
  static const home_max_filled_sharp =
      _MaterialSymbolsData(0xa85, 'home_max_filled_sharp');
  static const home_max_filled = _MaterialSymbolsData(0xa86, 'home_max_filled');
  static const home_max_outlined =
      _MaterialSymbolsData(0xa87, 'home_max_outlined');
  static const home_max_sharp = _MaterialSymbolsData(0xa88, 'home_max_sharp');
  static const home_max = _MaterialSymbolsData(0xa89, 'home_max');
  static const home_mini_filled_outlined =
      _MaterialSymbolsData(0xa8a, 'home_mini_filled_outlined');
  static const home_mini_filled_sharp =
      _MaterialSymbolsData(0xa8b, 'home_mini_filled_sharp');
  static const home_mini_filled =
      _MaterialSymbolsData(0xa8c, 'home_mini_filled');
  static const home_mini_outlined =
      _MaterialSymbolsData(0xa8d, 'home_mini_outlined');
  static const home_mini_sharp = _MaterialSymbolsData(0xa8e, 'home_mini_sharp');
  static const home_mini = _MaterialSymbolsData(0xa8f, 'home_mini');
  static const home_outlined = _MaterialSymbolsData(0xa90, 'home_outlined');
  static const home_pin_filled_outlined =
      _MaterialSymbolsData(0xa91, 'home_pin_filled_outlined');
  static const home_pin_filled_sharp =
      _MaterialSymbolsData(0xa92, 'home_pin_filled_sharp');
  static const home_pin_filled = _MaterialSymbolsData(0xa93, 'home_pin_filled');
  static const home_pin_outlined =
      _MaterialSymbolsData(0xa94, 'home_pin_outlined');
  static const home_pin_sharp = _MaterialSymbolsData(0xa95, 'home_pin_sharp');
  static const home_pin = _MaterialSymbolsData(0xa96, 'home_pin');
  static const home_repair_service_filled_outlined =
      _MaterialSymbolsData(0xa97, 'home_repair_service_filled_outlined');
  static const home_repair_service_filled_sharp =
      _MaterialSymbolsData(0xa98, 'home_repair_service_filled_sharp');
  static const home_repair_service_filled =
      _MaterialSymbolsData(0xa99, 'home_repair_service_filled');
  static const home_repair_service_outlined =
      _MaterialSymbolsData(0xa9a, 'home_repair_service_outlined');
  static const home_repair_service_sharp =
      _MaterialSymbolsData(0xa9b, 'home_repair_service_sharp');
  static const home_repair_service =
      _MaterialSymbolsData(0xa9c, 'home_repair_service');
  static const home_sharp = _MaterialSymbolsData(0xa9d, 'home_sharp');
  static const home_speaker_filled_outlined =
      _MaterialSymbolsData(0xa9e, 'home_speaker_filled_outlined');
  static const home_speaker_filled_sharp =
      _MaterialSymbolsData(0xa9f, 'home_speaker_filled_sharp');
  static const home_speaker_filled =
      _MaterialSymbolsData(0xaa0, 'home_speaker_filled');
  static const home_speaker_outlined =
      _MaterialSymbolsData(0xaa1, 'home_speaker_outlined');
  static const home_speaker_sharp =
      _MaterialSymbolsData(0xaa2, 'home_speaker_sharp');
  static const home_speaker = _MaterialSymbolsData(0xaa3, 'home_speaker');
  static const home_storage_filled_outlined =
      _MaterialSymbolsData(0xaa4, 'home_storage_filled_outlined');
  static const home_storage_filled_sharp =
      _MaterialSymbolsData(0xaa5, 'home_storage_filled_sharp');
  static const home_storage_filled =
      _MaterialSymbolsData(0xaa6, 'home_storage_filled');
  static const home_storage_outlined =
      _MaterialSymbolsData(0xaa7, 'home_storage_outlined');
  static const home_storage_sharp =
      _MaterialSymbolsData(0xaa8, 'home_storage_sharp');
  static const home_storage = _MaterialSymbolsData(0xaa9, 'home_storage');
  static const home_work_filled_outlined =
      _MaterialSymbolsData(0xaaa, 'home_work_filled_outlined');
  static const home_work_filled_sharp =
      _MaterialSymbolsData(0xaab, 'home_work_filled_sharp');
  static const home_work_filled =
      _MaterialSymbolsData(0xaac, 'home_work_filled');
  static const home_work_outlined =
      _MaterialSymbolsData(0xaad, 'home_work_outlined');
  static const home_work_sharp = _MaterialSymbolsData(0xaae, 'home_work_sharp');
  static const home_work = _MaterialSymbolsData(0xaaf, 'home_work');
  static const home = _MaterialSymbolsData(0xab0, 'home');
  static const horizontal_distribute_filled_outlined =
      _MaterialSymbolsData(0xab1, 'horizontal_distribute_filled_outlined');
  static const horizontal_distribute_filled_sharp =
      _MaterialSymbolsData(0xab2, 'horizontal_distribute_filled_sharp');
  static const horizontal_distribute_filled =
      _MaterialSymbolsData(0xab3, 'horizontal_distribute_filled');
  static const horizontal_distribute_outlined =
      _MaterialSymbolsData(0xab4, 'horizontal_distribute_outlined');
  static const horizontal_distribute_sharp =
      _MaterialSymbolsData(0xab5, 'horizontal_distribute_sharp');
  static const horizontal_distribute =
      _MaterialSymbolsData(0xab6, 'horizontal_distribute');
  static const horizontal_rule_filled_outlined =
      _MaterialSymbolsData(0xab7, 'horizontal_rule_filled_outlined');
  static const horizontal_rule_filled_sharp =
      _MaterialSymbolsData(0xab8, 'horizontal_rule_filled_sharp');
  static const horizontal_rule_filled =
      _MaterialSymbolsData(0xab9, 'horizontal_rule_filled');
  static const horizontal_rule_outlined =
      _MaterialSymbolsData(0xaba, 'horizontal_rule_outlined');
  static const horizontal_rule_sharp =
      _MaterialSymbolsData(0xabb, 'horizontal_rule_sharp');
  static const horizontal_rule = _MaterialSymbolsData(0xabc, 'horizontal_rule');
  static const horizontal_split_filled_outlined =
      _MaterialSymbolsData(0xabd, 'horizontal_split_filled_outlined');
  static const horizontal_split_filled_sharp =
      _MaterialSymbolsData(0xabe, 'horizontal_split_filled_sharp');
  static const horizontal_split_filled =
      _MaterialSymbolsData(0xabf, 'horizontal_split_filled');
  static const horizontal_split_outlined =
      _MaterialSymbolsData(0xac0, 'horizontal_split_outlined');
  static const horizontal_split_sharp =
      _MaterialSymbolsData(0xac1, 'horizontal_split_sharp');
  static const horizontal_split =
      _MaterialSymbolsData(0xac2, 'horizontal_split');
  static const hot_tub_filled_outlined =
      _MaterialSymbolsData(0xac3, 'hot_tub_filled_outlined');
  static const hot_tub_filled_sharp =
      _MaterialSymbolsData(0xac4, 'hot_tub_filled_sharp');
  static const hot_tub_filled = _MaterialSymbolsData(0xac5, 'hot_tub_filled');
  static const hot_tub_outlined =
      _MaterialSymbolsData(0xac6, 'hot_tub_outlined');
  static const hot_tub_sharp = _MaterialSymbolsData(0xac7, 'hot_tub_sharp');
  static const hot_tub = _MaterialSymbolsData(0xac8, 'hot_tub');
  static const hotel_class_filled_outlined =
      _MaterialSymbolsData(0xac9, 'hotel_class_filled_outlined');
  static const hotel_class_filled_sharp =
      _MaterialSymbolsData(0xaca, 'hotel_class_filled_sharp');
  static const hotel_class_filled =
      _MaterialSymbolsData(0xacb, 'hotel_class_filled');
  static const hotel_class_outlined =
      _MaterialSymbolsData(0xacc, 'hotel_class_outlined');
  static const hotel_class_sharp =
      _MaterialSymbolsData(0xacd, 'hotel_class_sharp');
  static const hotel_class = _MaterialSymbolsData(0xace, 'hotel_class');
  static const hotel_filled_outlined =
      _MaterialSymbolsData(0xacf, 'hotel_filled_outlined');
  static const hotel_filled_sharp =
      _MaterialSymbolsData(0xad0, 'hotel_filled_sharp');
  static const hotel_filled = _MaterialSymbolsData(0xad1, 'hotel_filled');
  static const hotel_outlined = _MaterialSymbolsData(0xad2, 'hotel_outlined');
  static const hotel_sharp = _MaterialSymbolsData(0xad3, 'hotel_sharp');
  static const hotel = _MaterialSymbolsData(0xad4, 'hotel');
  static const hourglass_bottom_filled_outlined =
      _MaterialSymbolsData(0xad5, 'hourglass_bottom_filled_outlined');
  static const hourglass_bottom_filled_sharp =
      _MaterialSymbolsData(0xad6, 'hourglass_bottom_filled_sharp');
  static const hourglass_bottom_filled =
      _MaterialSymbolsData(0xad7, 'hourglass_bottom_filled');
  static const hourglass_bottom_outlined =
      _MaterialSymbolsData(0xad8, 'hourglass_bottom_outlined');
  static const hourglass_bottom_sharp =
      _MaterialSymbolsData(0xad9, 'hourglass_bottom_sharp');
  static const hourglass_bottom =
      _MaterialSymbolsData(0xada, 'hourglass_bottom');
  static const hourglass_disabled_filled_outlined =
      _MaterialSymbolsData(0xadb, 'hourglass_disabled_filled_outlined');
  static const hourglass_disabled_filled_sharp =
      _MaterialSymbolsData(0xadc, 'hourglass_disabled_filled_sharp');
  static const hourglass_disabled_filled =
      _MaterialSymbolsData(0xadd, 'hourglass_disabled_filled');
  static const hourglass_disabled_outlined =
      _MaterialSymbolsData(0xade, 'hourglass_disabled_outlined');
  static const hourglass_disabled_sharp =
      _MaterialSymbolsData(0xadf, 'hourglass_disabled_sharp');
  static const hourglass_disabled =
      _MaterialSymbolsData(0xae0, 'hourglass_disabled');
  static const hourglass_empty_filled_outlined =
      _MaterialSymbolsData(0xae1, 'hourglass_empty_filled_outlined');
  static const hourglass_empty_filled_sharp =
      _MaterialSymbolsData(0xae2, 'hourglass_empty_filled_sharp');
  static const hourglass_empty_filled =
      _MaterialSymbolsData(0xae3, 'hourglass_empty_filled');
  static const hourglass_empty_outlined =
      _MaterialSymbolsData(0xae4, 'hourglass_empty_outlined');
  static const hourglass_empty_sharp =
      _MaterialSymbolsData(0xae5, 'hourglass_empty_sharp');
  static const hourglass_empty = _MaterialSymbolsData(0xae6, 'hourglass_empty');
  static const hourglass_full_filled_outlined =
      _MaterialSymbolsData(0xae7, 'hourglass_full_filled_outlined');
  static const hourglass_full_filled_sharp =
      _MaterialSymbolsData(0xae8, 'hourglass_full_filled_sharp');
  static const hourglass_full_filled =
      _MaterialSymbolsData(0xae9, 'hourglass_full_filled');
  static const hourglass_full_outlined =
      _MaterialSymbolsData(0xaea, 'hourglass_full_outlined');
  static const hourglass_full_sharp =
      _MaterialSymbolsData(0xaeb, 'hourglass_full_sharp');
  static const hourglass_full = _MaterialSymbolsData(0xaec, 'hourglass_full');
  static const hourglass_top_filled_outlined =
      _MaterialSymbolsData(0xaed, 'hourglass_top_filled_outlined');
  static const hourglass_top_filled_sharp =
      _MaterialSymbolsData(0xaee, 'hourglass_top_filled_sharp');
  static const hourglass_top_filled =
      _MaterialSymbolsData(0xaef, 'hourglass_top_filled');
  static const hourglass_top_outlined =
      _MaterialSymbolsData(0xaf0, 'hourglass_top_outlined');
  static const hourglass_top_sharp =
      _MaterialSymbolsData(0xaf1, 'hourglass_top_sharp');
  static const hourglass_top = _MaterialSymbolsData(0xaf2, 'hourglass_top');
  static const house_filled_outlined =
      _MaterialSymbolsData(0xaf3, 'house_filled_outlined');
  static const house_filled_sharp =
      _MaterialSymbolsData(0xaf4, 'house_filled_sharp');
  static const house_filled = _MaterialSymbolsData(0xaf5, 'house_filled');
  static const house_outlined = _MaterialSymbolsData(0xaf6, 'house_outlined');
  static const house_sharp = _MaterialSymbolsData(0xaf7, 'house_sharp');
  static const house_siding_filled_outlined =
      _MaterialSymbolsData(0xaf8, 'house_siding_filled_outlined');
  static const house_siding_filled_sharp =
      _MaterialSymbolsData(0xaf9, 'house_siding_filled_sharp');
  static const house_siding_filled =
      _MaterialSymbolsData(0xafa, 'house_siding_filled');
  static const house_siding_outlined =
      _MaterialSymbolsData(0xafb, 'house_siding_outlined');
  static const house_siding_sharp =
      _MaterialSymbolsData(0xafc, 'house_siding_sharp');
  static const house_siding = _MaterialSymbolsData(0xafd, 'house_siding');
  static const house_with_shield_filled_outlined =
      _MaterialSymbolsData(0xafe, 'house_with_shield_filled_outlined');
  static const house_with_shield_filled_sharp =
      _MaterialSymbolsData(0xaff, 'house_with_shield_filled_sharp');
  static const house_with_shield_filled =
      _MaterialSymbolsData(0xb00, 'house_with_shield_filled');
  static const house_with_shield_outlined =
      _MaterialSymbolsData(0xb01, 'house_with_shield_outlined');
  static const house_with_shield_sharp =
      _MaterialSymbolsData(0xb02, 'house_with_shield_sharp');
  static const house_with_shield =
      _MaterialSymbolsData(0xb03, 'house_with_shield');
  static const house = _MaterialSymbolsData(0xb04, 'house');
  static const houseboat_filled_outlined =
      _MaterialSymbolsData(0xb05, 'houseboat_filled_outlined');
  static const houseboat_filled_sharp =
      _MaterialSymbolsData(0xb06, 'houseboat_filled_sharp');
  static const houseboat_filled =
      _MaterialSymbolsData(0xb07, 'houseboat_filled');
  static const houseboat_outlined =
      _MaterialSymbolsData(0xb08, 'houseboat_outlined');
  static const houseboat_sharp = _MaterialSymbolsData(0xb09, 'houseboat_sharp');
  static const houseboat = _MaterialSymbolsData(0xb0a, 'houseboat');
  static const how_to_reg_filled_outlined =
      _MaterialSymbolsData(0xb0b, 'how_to_reg_filled_outlined');
  static const how_to_reg_filled_sharp =
      _MaterialSymbolsData(0xb0c, 'how_to_reg_filled_sharp');
  static const how_to_reg_filled =
      _MaterialSymbolsData(0xb0d, 'how_to_reg_filled');
  static const how_to_reg_outlined =
      _MaterialSymbolsData(0xb0e, 'how_to_reg_outlined');
  static const how_to_reg_sharp =
      _MaterialSymbolsData(0xb0f, 'how_to_reg_sharp');
  static const how_to_reg = _MaterialSymbolsData(0xb10, 'how_to_reg');
  static const how_to_vote_filled_outlined =
      _MaterialSymbolsData(0xb11, 'how_to_vote_filled_outlined');
  static const how_to_vote_filled_sharp =
      _MaterialSymbolsData(0xb12, 'how_to_vote_filled_sharp');
  static const how_to_vote_filled =
      _MaterialSymbolsData(0xb13, 'how_to_vote_filled');
  static const how_to_vote_outlined =
      _MaterialSymbolsData(0xb14, 'how_to_vote_outlined');
  static const how_to_vote_sharp =
      _MaterialSymbolsData(0xb15, 'how_to_vote_sharp');
  static const how_to_vote = _MaterialSymbolsData(0xb16, 'how_to_vote');
  static const html_filled_outlined =
      _MaterialSymbolsData(0xb17, 'html_filled_outlined');
  static const html_filled_sharp =
      _MaterialSymbolsData(0xb18, 'html_filled_sharp');
  static const html_filled = _MaterialSymbolsData(0xb19, 'html_filled');
  static const html_outlined = _MaterialSymbolsData(0xb1a, 'html_outlined');
  static const html_sharp = _MaterialSymbolsData(0xb1b, 'html_sharp');
  static const html = _MaterialSymbolsData(0xb1c, 'html');
  static const http_filled_outlined =
      _MaterialSymbolsData(0xb1d, 'http_filled_outlined');
  static const http_filled_sharp =
      _MaterialSymbolsData(0xb1e, 'http_filled_sharp');
  static const http_filled = _MaterialSymbolsData(0xb1f, 'http_filled');
  static const http_outlined = _MaterialSymbolsData(0xb20, 'http_outlined');
  static const http_sharp = _MaterialSymbolsData(0xb21, 'http_sharp');
  static const http = _MaterialSymbolsData(0xb22, 'http');
  static const hub_filled_outlined =
      _MaterialSymbolsData(0xb23, 'hub_filled_outlined');
  static const hub_filled_sharp =
      _MaterialSymbolsData(0xb24, 'hub_filled_sharp');
  static const hub_filled = _MaterialSymbolsData(0xb25, 'hub_filled');
  static const hub_outlined = _MaterialSymbolsData(0xb26, 'hub_outlined');
  static const hub_sharp = _MaterialSymbolsData(0xb27, 'hub_sharp');
  static const hub = _MaterialSymbolsData(0xb28, 'hub');
  static const humerus_alt_filled_outlined =
      _MaterialSymbolsData(0xb29, 'humerus_alt_filled_outlined');
  static const humerus_alt_filled_sharp =
      _MaterialSymbolsData(0xb2a, 'humerus_alt_filled_sharp');
  static const humerus_alt_filled =
      _MaterialSymbolsData(0xb2b, 'humerus_alt_filled');
  static const humerus_alt_outlined =
      _MaterialSymbolsData(0xb2c, 'humerus_alt_outlined');
  static const humerus_alt_sharp =
      _MaterialSymbolsData(0xb2d, 'humerus_alt_sharp');
  static const humerus_alt = _MaterialSymbolsData(0xb2e, 'humerus_alt');
  static const humerus_filled_outlined =
      _MaterialSymbolsData(0xb2f, 'humerus_filled_outlined');
  static const humerus_filled_sharp =
      _MaterialSymbolsData(0xb30, 'humerus_filled_sharp');
  static const humerus_filled = _MaterialSymbolsData(0xb31, 'humerus_filled');
  static const humerus_outlined =
      _MaterialSymbolsData(0xb32, 'humerus_outlined');
  static const humerus_sharp = _MaterialSymbolsData(0xb33, 'humerus_sharp');
  static const humerus = _MaterialSymbolsData(0xb34, 'humerus');
  static const humidity_high_filled_outlined =
      _MaterialSymbolsData(0xb35, 'humidity_high_filled_outlined');
  static const humidity_high_filled_sharp =
      _MaterialSymbolsData(0xb36, 'humidity_high_filled_sharp');
  static const humidity_high_filled =
      _MaterialSymbolsData(0xb37, 'humidity_high_filled');
  static const humidity_high_outlined =
      _MaterialSymbolsData(0xb38, 'humidity_high_outlined');
  static const humidity_high_sharp =
      _MaterialSymbolsData(0xb39, 'humidity_high_sharp');
  static const humidity_high = _MaterialSymbolsData(0xb3a, 'humidity_high');
  static const humidity_low_filled_outlined =
      _MaterialSymbolsData(0xb3b, 'humidity_low_filled_outlined');
  static const humidity_low_filled_sharp =
      _MaterialSymbolsData(0xb3c, 'humidity_low_filled_sharp');
  static const humidity_low_filled =
      _MaterialSymbolsData(0xb3d, 'humidity_low_filled');
  static const humidity_low_outlined =
      _MaterialSymbolsData(0xb3e, 'humidity_low_outlined');
  static const humidity_low_sharp =
      _MaterialSymbolsData(0xb3f, 'humidity_low_sharp');
  static const humidity_low = _MaterialSymbolsData(0xb40, 'humidity_low');
  static const humidity_mid_filled_outlined =
      _MaterialSymbolsData(0xb41, 'humidity_mid_filled_outlined');
  static const humidity_mid_filled_sharp =
      _MaterialSymbolsData(0xb42, 'humidity_mid_filled_sharp');
  static const humidity_mid_filled =
      _MaterialSymbolsData(0xb43, 'humidity_mid_filled');
  static const humidity_mid_outlined =
      _MaterialSymbolsData(0xb44, 'humidity_mid_outlined');
  static const humidity_mid_sharp =
      _MaterialSymbolsData(0xb45, 'humidity_mid_sharp');
  static const humidity_mid = _MaterialSymbolsData(0xb46, 'humidity_mid');
  static const humidity_percentage_filled_outlined =
      _MaterialSymbolsData(0xb47, 'humidity_percentage_filled_outlined');
  static const humidity_percentage_filled_sharp =
      _MaterialSymbolsData(0xb48, 'humidity_percentage_filled_sharp');
  static const humidity_percentage_filled =
      _MaterialSymbolsData(0xb49, 'humidity_percentage_filled');
  static const humidity_percentage_outlined =
      _MaterialSymbolsData(0xb4a, 'humidity_percentage_outlined');
  static const humidity_percentage_sharp =
      _MaterialSymbolsData(0xb4b, 'humidity_percentage_sharp');
  static const humidity_percentage =
      _MaterialSymbolsData(0xb4c, 'humidity_percentage');
  static const hvac_filled_outlined =
      _MaterialSymbolsData(0xb4d, 'hvac_filled_outlined');
  static const hvac_filled_sharp =
      _MaterialSymbolsData(0xb4e, 'hvac_filled_sharp');
  static const hvac_filled = _MaterialSymbolsData(0xb4f, 'hvac_filled');
  static const hvac_outlined = _MaterialSymbolsData(0xb50, 'hvac_outlined');
  static const hvac_sharp = _MaterialSymbolsData(0xb51, 'hvac_sharp');
  static const hvac = _MaterialSymbolsData(0xb52, 'hvac');
  static const ice_skating_filled_outlined =
      _MaterialSymbolsData(0xb53, 'ice_skating_filled_outlined');
  static const ice_skating_filled_sharp =
      _MaterialSymbolsData(0xb54, 'ice_skating_filled_sharp');
  static const ice_skating_filled =
      _MaterialSymbolsData(0xb55, 'ice_skating_filled');
  static const ice_skating_outlined =
      _MaterialSymbolsData(0xb56, 'ice_skating_outlined');
  static const ice_skating_sharp =
      _MaterialSymbolsData(0xb57, 'ice_skating_sharp');
  static const ice_skating = _MaterialSymbolsData(0xb58, 'ice_skating');
  static const icecream_filled_outlined =
      _MaterialSymbolsData(0xb59, 'icecream_filled_outlined');
  static const icecream_filled_sharp =
      _MaterialSymbolsData(0xb5a, 'icecream_filled_sharp');
  static const icecream_filled = _MaterialSymbolsData(0xb5b, 'icecream_filled');
  static const icecream_outlined =
      _MaterialSymbolsData(0xb5c, 'icecream_outlined');
  static const icecream_sharp = _MaterialSymbolsData(0xb5d, 'icecream_sharp');
  static const icecream = _MaterialSymbolsData(0xb5e, 'icecream');
  static const image_aspect_ratio_filled_outlined =
      _MaterialSymbolsData(0xb5f, 'image_aspect_ratio_filled_outlined');
  static const image_aspect_ratio_filled_sharp =
      _MaterialSymbolsData(0xb60, 'image_aspect_ratio_filled_sharp');
  static const image_aspect_ratio_filled =
      _MaterialSymbolsData(0xb61, 'image_aspect_ratio_filled');
  static const image_aspect_ratio_outlined =
      _MaterialSymbolsData(0xb62, 'image_aspect_ratio_outlined');
  static const image_aspect_ratio_sharp =
      _MaterialSymbolsData(0xb63, 'image_aspect_ratio_sharp');
  static const image_aspect_ratio =
      _MaterialSymbolsData(0xb64, 'image_aspect_ratio');
  static const image_filled_outlined =
      _MaterialSymbolsData(0xb65, 'image_filled_outlined');
  static const image_filled_sharp =
      _MaterialSymbolsData(0xb66, 'image_filled_sharp');
  static const image_filled = _MaterialSymbolsData(0xb67, 'image_filled');
  static const image_not_supported_filled_outlined =
      _MaterialSymbolsData(0xb68, 'image_not_supported_filled_outlined');
  static const image_not_supported_filled_sharp =
      _MaterialSymbolsData(0xb69, 'image_not_supported_filled_sharp');
  static const image_not_supported_filled =
      _MaterialSymbolsData(0xb6a, 'image_not_supported_filled');
  static const image_not_supported_outlined =
      _MaterialSymbolsData(0xb6b, 'image_not_supported_outlined');
  static const image_not_supported_sharp =
      _MaterialSymbolsData(0xb6c, 'image_not_supported_sharp');
  static const image_not_supported =
      _MaterialSymbolsData(0xb6d, 'image_not_supported');
  static const image_outlined = _MaterialSymbolsData(0xb6e, 'image_outlined');
  static const image_search_filled_outlined =
      _MaterialSymbolsData(0xb6f, 'image_search_filled_outlined');
  static const image_search_filled_sharp =
      _MaterialSymbolsData(0xb70, 'image_search_filled_sharp');
  static const image_search_filled =
      _MaterialSymbolsData(0xb71, 'image_search_filled');
  static const image_search_outlined =
      _MaterialSymbolsData(0xb72, 'image_search_outlined');
  static const image_search_sharp =
      _MaterialSymbolsData(0xb73, 'image_search_sharp');
  static const image_search = _MaterialSymbolsData(0xb74, 'image_search');
  static const image_sharp = _MaterialSymbolsData(0xb75, 'image_sharp');
  static const image = _MaterialSymbolsData(0xb76, 'image');
  static const imagesearch_roller_filled_outlined =
      _MaterialSymbolsData(0xb77, 'imagesearch_roller_filled_outlined');
  static const imagesearch_roller_filled_sharp =
      _MaterialSymbolsData(0xb78, 'imagesearch_roller_filled_sharp');
  static const imagesearch_roller_filled =
      _MaterialSymbolsData(0xb79, 'imagesearch_roller_filled');
  static const imagesearch_roller_outlined =
      _MaterialSymbolsData(0xb7a, 'imagesearch_roller_outlined');
  static const imagesearch_roller_sharp =
      _MaterialSymbolsData(0xb7b, 'imagesearch_roller_sharp');
  static const imagesearch_roller =
      _MaterialSymbolsData(0xb7c, 'imagesearch_roller');
  static const imagesmode_filled_outlined =
      _MaterialSymbolsData(0xb7d, 'imagesmode_filled_outlined');
  static const imagesmode_filled_sharp =
      _MaterialSymbolsData(0xb7e, 'imagesmode_filled_sharp');
  static const imagesmode_filled =
      _MaterialSymbolsData(0xb7f, 'imagesmode_filled');
  static const imagesmode_outlined =
      _MaterialSymbolsData(0xb80, 'imagesmode_outlined');
  static const imagesmode_sharp =
      _MaterialSymbolsData(0xb81, 'imagesmode_sharp');
  static const imagesmode = _MaterialSymbolsData(0xb82, 'imagesmode');
  static const immunology_filled_outlined =
      _MaterialSymbolsData(0xb83, 'immunology_filled_outlined');
  static const immunology_filled_sharp =
      _MaterialSymbolsData(0xb84, 'immunology_filled_sharp');
  static const immunology_filled =
      _MaterialSymbolsData(0xb85, 'immunology_filled');
  static const immunology_outlined =
      _MaterialSymbolsData(0xb86, 'immunology_outlined');
  static const immunology_sharp =
      _MaterialSymbolsData(0xb87, 'immunology_sharp');
  static const immunology = _MaterialSymbolsData(0xb88, 'immunology');
  static const import_contacts_filled_outlined =
      _MaterialSymbolsData(0xb89, 'import_contacts_filled_outlined');
  static const import_contacts_filled_sharp =
      _MaterialSymbolsData(0xb8a, 'import_contacts_filled_sharp');
  static const import_contacts_filled =
      _MaterialSymbolsData(0xb8b, 'import_contacts_filled');
  static const import_contacts_outlined =
      _MaterialSymbolsData(0xb8c, 'import_contacts_outlined');
  static const import_contacts_sharp =
      _MaterialSymbolsData(0xb8d, 'import_contacts_sharp');
  static const import_contacts = _MaterialSymbolsData(0xb8e, 'import_contacts');
  static const important_devices_filled_outlined =
      _MaterialSymbolsData(0xb8f, 'important_devices_filled_outlined');
  static const important_devices_filled_sharp =
      _MaterialSymbolsData(0xb90, 'important_devices_filled_sharp');
  static const important_devices_filled =
      _MaterialSymbolsData(0xb91, 'important_devices_filled');
  static const important_devices_outlined =
      _MaterialSymbolsData(0xb92, 'important_devices_outlined');
  static const important_devices_sharp =
      _MaterialSymbolsData(0xb93, 'important_devices_sharp');
  static const important_devices =
      _MaterialSymbolsData(0xb94, 'important_devices');
  static const in_home_mode_filled_outlined =
      _MaterialSymbolsData(0xb95, 'in_home_mode_filled_outlined');
  static const in_home_mode_filled_sharp =
      _MaterialSymbolsData(0xb96, 'in_home_mode_filled_sharp');
  static const in_home_mode_filled =
      _MaterialSymbolsData(0xb97, 'in_home_mode_filled');
  static const in_home_mode_outlined =
      _MaterialSymbolsData(0xb98, 'in_home_mode_outlined');
  static const in_home_mode_sharp =
      _MaterialSymbolsData(0xb99, 'in_home_mode_sharp');
  static const in_home_mode = _MaterialSymbolsData(0xb9a, 'in_home_mode');
  static const inactive_order_filled_outlined =
      _MaterialSymbolsData(0xb9b, 'inactive_order_filled_outlined');
  static const inactive_order_filled_sharp =
      _MaterialSymbolsData(0xb9c, 'inactive_order_filled_sharp');
  static const inactive_order_filled =
      _MaterialSymbolsData(0xb9d, 'inactive_order_filled');
  static const inactive_order_outlined =
      _MaterialSymbolsData(0xb9e, 'inactive_order_outlined');
  static const inactive_order_sharp =
      _MaterialSymbolsData(0xb9f, 'inactive_order_sharp');
  static const inactive_order = _MaterialSymbolsData(0xba0, 'inactive_order');
  static const inbox_customize_filled_outlined =
      _MaterialSymbolsData(0xba1, 'inbox_customize_filled_outlined');
  static const inbox_customize_filled_sharp =
      _MaterialSymbolsData(0xba2, 'inbox_customize_filled_sharp');
  static const inbox_customize_filled =
      _MaterialSymbolsData(0xba3, 'inbox_customize_filled');
  static const inbox_customize_outlined =
      _MaterialSymbolsData(0xba4, 'inbox_customize_outlined');
  static const inbox_customize_sharp =
      _MaterialSymbolsData(0xba5, 'inbox_customize_sharp');
  static const inbox_customize = _MaterialSymbolsData(0xba6, 'inbox_customize');
  static const inbox_filled_outlined =
      _MaterialSymbolsData(0xba7, 'inbox_filled_outlined');
  static const inbox_filled_sharp =
      _MaterialSymbolsData(0xba8, 'inbox_filled_sharp');
  static const inbox_filled = _MaterialSymbolsData(0xba9, 'inbox_filled');
  static const inbox_outlined = _MaterialSymbolsData(0xbaa, 'inbox_outlined');
  static const inbox_sharp = _MaterialSymbolsData(0xbab, 'inbox_sharp');
  static const inbox = _MaterialSymbolsData(0xbac, 'inbox');
  static const incomplete_circle_filled_outlined =
      _MaterialSymbolsData(0xbad, 'incomplete_circle_filled_outlined');
  static const incomplete_circle_filled_sharp =
      _MaterialSymbolsData(0xbae, 'incomplete_circle_filled_sharp');
  static const incomplete_circle_filled =
      _MaterialSymbolsData(0xbaf, 'incomplete_circle_filled');
  static const incomplete_circle_outlined =
      _MaterialSymbolsData(0xbb0, 'incomplete_circle_outlined');
  static const incomplete_circle_sharp =
      _MaterialSymbolsData(0xbb1, 'incomplete_circle_sharp');
  static const incomplete_circle =
      _MaterialSymbolsData(0xbb2, 'incomplete_circle');
  static const indeterminate_check_box_filled_outlined =
      _MaterialSymbolsData(0xbb3, 'indeterminate_check_box_filled_outlined');
  static const indeterminate_check_box_filled_sharp =
      _MaterialSymbolsData(0xbb4, 'indeterminate_check_box_filled_sharp');
  static const indeterminate_check_box_filled =
      _MaterialSymbolsData(0xbb5, 'indeterminate_check_box_filled');
  static const indeterminate_check_box_outlined =
      _MaterialSymbolsData(0xbb6, 'indeterminate_check_box_outlined');
  static const indeterminate_check_box_sharp =
      _MaterialSymbolsData(0xbb7, 'indeterminate_check_box_sharp');
  static const indeterminate_check_box =
      _MaterialSymbolsData(0xbb8, 'indeterminate_check_box');
  static const info_filled_outlined =
      _MaterialSymbolsData(0xbb9, 'info_filled_outlined');
  static const info_filled_sharp =
      _MaterialSymbolsData(0xbba, 'info_filled_sharp');
  static const info_filled = _MaterialSymbolsData(0xbbb, 'info_filled');
  static const info_outlined = _MaterialSymbolsData(0xbbc, 'info_outlined');
  static const info_sharp = _MaterialSymbolsData(0xbbd, 'info_sharp');
  static const info = _MaterialSymbolsData(0xbbe, 'info');
  static const infrared_filled_outlined =
      _MaterialSymbolsData(0xbbf, 'infrared_filled_outlined');
  static const infrared_filled_sharp =
      _MaterialSymbolsData(0xbc0, 'infrared_filled_sharp');
  static const infrared_filled = _MaterialSymbolsData(0xbc1, 'infrared_filled');
  static const infrared_outlined =
      _MaterialSymbolsData(0xbc2, 'infrared_outlined');
  static const infrared_sharp = _MaterialSymbolsData(0xbc3, 'infrared_sharp');
  static const infrared = _MaterialSymbolsData(0xbc4, 'infrared');
  static const inpatient_filled_outlined =
      _MaterialSymbolsData(0xbc5, 'inpatient_filled_outlined');
  static const inpatient_filled_sharp =
      _MaterialSymbolsData(0xbc6, 'inpatient_filled_sharp');
  static const inpatient_filled =
      _MaterialSymbolsData(0xbc7, 'inpatient_filled');
  static const inpatient_outlined =
      _MaterialSymbolsData(0xbc8, 'inpatient_outlined');
  static const inpatient_sharp = _MaterialSymbolsData(0xbc9, 'inpatient_sharp');
  static const inpatient = _MaterialSymbolsData(0xbca, 'inpatient');
  static const input_filled_outlined =
      _MaterialSymbolsData(0xbcb, 'input_filled_outlined');
  static const input_filled_sharp =
      _MaterialSymbolsData(0xbcc, 'input_filled_sharp');
  static const input_filled = _MaterialSymbolsData(0xbcd, 'input_filled');
  static const input_outlined = _MaterialSymbolsData(0xbce, 'input_outlined');
  static const input_sharp = _MaterialSymbolsData(0xbcf, 'input_sharp');
  static const input = _MaterialSymbolsData(0xbd0, 'input');
  static const insert_chart_filled_outlined =
      _MaterialSymbolsData(0xbd1, 'insert_chart_filled_outlined');
  static const insert_chart_filled_sharp =
      _MaterialSymbolsData(0xbd2, 'insert_chart_filled_sharp');
  static const insert_chart_filled =
      _MaterialSymbolsData(0xbd3, 'insert_chart_filled');
  static const insert_chart_outlined =
      _MaterialSymbolsData(0xbd4, 'insert_chart_outlined');
  static const insert_chart_sharp =
      _MaterialSymbolsData(0xbd5, 'insert_chart_sharp');
  static const insert_chart = _MaterialSymbolsData(0xbd6, 'insert_chart');
  static const insert_page_break_filled_outlined =
      _MaterialSymbolsData(0xbd7, 'insert_page_break_filled_outlined');
  static const insert_page_break_filled_sharp =
      _MaterialSymbolsData(0xbd8, 'insert_page_break_filled_sharp');
  static const insert_page_break_filled =
      _MaterialSymbolsData(0xbd9, 'insert_page_break_filled');
  static const insert_page_break_outlined =
      _MaterialSymbolsData(0xbda, 'insert_page_break_outlined');
  static const insert_page_break_sharp =
      _MaterialSymbolsData(0xbdb, 'insert_page_break_sharp');
  static const insert_page_break =
      _MaterialSymbolsData(0xbdc, 'insert_page_break');
  static const insert_text_filled_outlined =
      _MaterialSymbolsData(0xbdd, 'insert_text_filled_outlined');
  static const insert_text_filled_sharp =
      _MaterialSymbolsData(0xbde, 'insert_text_filled_sharp');
  static const insert_text_filled =
      _MaterialSymbolsData(0xbdf, 'insert_text_filled');
  static const insert_text_outlined =
      _MaterialSymbolsData(0xbe0, 'insert_text_outlined');
  static const insert_text_sharp =
      _MaterialSymbolsData(0xbe1, 'insert_text_sharp');
  static const insert_text = _MaterialSymbolsData(0xbe2, 'insert_text');
  static const insights_filled_outlined =
      _MaterialSymbolsData(0xbe3, 'insights_filled_outlined');
  static const insights_filled_sharp =
      _MaterialSymbolsData(0xbe4, 'insights_filled_sharp');
  static const insights_filled = _MaterialSymbolsData(0xbe5, 'insights_filled');
  static const insights_outlined =
      _MaterialSymbolsData(0xbe6, 'insights_outlined');
  static const insights_sharp = _MaterialSymbolsData(0xbe7, 'insights_sharp');
  static const insights = _MaterialSymbolsData(0xbe8, 'insights');
  static const install_desktop_filled_outlined =
      _MaterialSymbolsData(0xbe9, 'install_desktop_filled_outlined');
  static const install_desktop_filled_sharp =
      _MaterialSymbolsData(0xbea, 'install_desktop_filled_sharp');
  static const install_desktop_filled =
      _MaterialSymbolsData(0xbeb, 'install_desktop_filled');
  static const install_desktop_outlined =
      _MaterialSymbolsData(0xbec, 'install_desktop_outlined');
  static const install_desktop_sharp =
      _MaterialSymbolsData(0xbed, 'install_desktop_sharp');
  static const install_desktop = _MaterialSymbolsData(0xbee, 'install_desktop');
  static const install_mobile_filled_outlined =
      _MaterialSymbolsData(0xbef, 'install_mobile_filled_outlined');
  static const install_mobile_filled_sharp =
      _MaterialSymbolsData(0xbf0, 'install_mobile_filled_sharp');
  static const install_mobile_filled =
      _MaterialSymbolsData(0xbf1, 'install_mobile_filled');
  static const install_mobile_outlined =
      _MaterialSymbolsData(0xbf2, 'install_mobile_outlined');
  static const install_mobile_sharp =
      _MaterialSymbolsData(0xbf3, 'install_mobile_sharp');
  static const install_mobile = _MaterialSymbolsData(0xbf4, 'install_mobile');
  static const integration_instructions_filled_outlined =
      _MaterialSymbolsData(0xbf5, 'integration_instructions_filled_outlined');
  static const integration_instructions_filled_sharp =
      _MaterialSymbolsData(0xbf6, 'integration_instructions_filled_sharp');
  static const integration_instructions_filled =
      _MaterialSymbolsData(0xbf7, 'integration_instructions_filled');
  static const integration_instructions_outlined =
      _MaterialSymbolsData(0xbf8, 'integration_instructions_outlined');
  static const integration_instructions_sharp =
      _MaterialSymbolsData(0xbf9, 'integration_instructions_sharp');
  static const integration_instructions =
      _MaterialSymbolsData(0xbfa, 'integration_instructions');
  static const interests_filled_outlined =
      _MaterialSymbolsData(0xbfb, 'interests_filled_outlined');
  static const interests_filled_sharp =
      _MaterialSymbolsData(0xbfc, 'interests_filled_sharp');
  static const interests_filled =
      _MaterialSymbolsData(0xbfd, 'interests_filled');
  static const interests_outlined =
      _MaterialSymbolsData(0xbfe, 'interests_outlined');
  static const interests_sharp = _MaterialSymbolsData(0xbff, 'interests_sharp');
  static const interests = _MaterialSymbolsData(0xc00, 'interests');
  static const interpreter_mode_filled_outlined =
      _MaterialSymbolsData(0xc01, 'interpreter_mode_filled_outlined');
  static const interpreter_mode_filled_sharp =
      _MaterialSymbolsData(0xc02, 'interpreter_mode_filled_sharp');
  static const interpreter_mode_filled =
      _MaterialSymbolsData(0xc03, 'interpreter_mode_filled');
  static const interpreter_mode_outlined =
      _MaterialSymbolsData(0xc04, 'interpreter_mode_outlined');
  static const interpreter_mode_sharp =
      _MaterialSymbolsData(0xc05, 'interpreter_mode_sharp');
  static const interpreter_mode =
      _MaterialSymbolsData(0xc06, 'interpreter_mode');
  static const inventory_2_filled_outlined =
      _MaterialSymbolsData(0xc07, 'inventory_2_filled_outlined');
  static const inventory_2_filled_sharp =
      _MaterialSymbolsData(0xc08, 'inventory_2_filled_sharp');
  static const inventory_2_filled =
      _MaterialSymbolsData(0xc09, 'inventory_2_filled');
  static const inventory_2_outlined =
      _MaterialSymbolsData(0xc0a, 'inventory_2_outlined');
  static const inventory_2_sharp =
      _MaterialSymbolsData(0xc0b, 'inventory_2_sharp');
  static const inventory_2 = _MaterialSymbolsData(0xc0c, 'inventory_2');
  static const inventory_filled_outlined =
      _MaterialSymbolsData(0xc0d, 'inventory_filled_outlined');
  static const inventory_filled_sharp =
      _MaterialSymbolsData(0xc0e, 'inventory_filled_sharp');
  static const inventory_filled =
      _MaterialSymbolsData(0xc0f, 'inventory_filled');
  static const inventory_outlined =
      _MaterialSymbolsData(0xc10, 'inventory_outlined');
  static const inventory_sharp = _MaterialSymbolsData(0xc11, 'inventory_sharp');
  static const inventory = _MaterialSymbolsData(0xc12, 'inventory');
  static const invert_colors_filled_outlined =
      _MaterialSymbolsData(0xc13, 'invert_colors_filled_outlined');
  static const invert_colors_filled_sharp =
      _MaterialSymbolsData(0xc14, 'invert_colors_filled_sharp');
  static const invert_colors_filled =
      _MaterialSymbolsData(0xc15, 'invert_colors_filled');
  static const invert_colors_off_filled_outlined =
      _MaterialSymbolsData(0xc16, 'invert_colors_off_filled_outlined');
  static const invert_colors_off_filled_sharp =
      _MaterialSymbolsData(0xc17, 'invert_colors_off_filled_sharp');
  static const invert_colors_off_filled =
      _MaterialSymbolsData(0xc18, 'invert_colors_off_filled');
  static const invert_colors_off_outlined =
      _MaterialSymbolsData(0xc19, 'invert_colors_off_outlined');
  static const invert_colors_off_sharp =
      _MaterialSymbolsData(0xc1a, 'invert_colors_off_sharp');
  static const invert_colors_off =
      _MaterialSymbolsData(0xc1b, 'invert_colors_off');
  static const invert_colors_outlined =
      _MaterialSymbolsData(0xc1c, 'invert_colors_outlined');
  static const invert_colors_sharp =
      _MaterialSymbolsData(0xc1d, 'invert_colors_sharp');
  static const invert_colors = _MaterialSymbolsData(0xc1e, 'invert_colors');
  static const ios_share_filled_outlined =
      _MaterialSymbolsData(0xc1f, 'ios_share_filled_outlined');
  static const ios_share_filled_sharp =
      _MaterialSymbolsData(0xc20, 'ios_share_filled_sharp');
  static const ios_share_filled =
      _MaterialSymbolsData(0xc21, 'ios_share_filled');
  static const ios_share_outlined =
      _MaterialSymbolsData(0xc22, 'ios_share_outlined');
  static const ios_share_sharp = _MaterialSymbolsData(0xc23, 'ios_share_sharp');
  static const ios_share = _MaterialSymbolsData(0xc24, 'ios_share');
  static const iron_filled_outlined =
      _MaterialSymbolsData(0xc25, 'iron_filled_outlined');
  static const iron_filled_sharp =
      _MaterialSymbolsData(0xc26, 'iron_filled_sharp');
  static const iron_filled = _MaterialSymbolsData(0xc27, 'iron_filled');
  static const iron_outlined = _MaterialSymbolsData(0xc28, 'iron_outlined');
  static const iron_sharp = _MaterialSymbolsData(0xc29, 'iron_sharp');
  static const iron = _MaterialSymbolsData(0xc2a, 'iron');
  static const javascript_filled_outlined =
      _MaterialSymbolsData(0xc2b, 'javascript_filled_outlined');
  static const javascript_filled_sharp =
      _MaterialSymbolsData(0xc2c, 'javascript_filled_sharp');
  static const javascript_filled =
      _MaterialSymbolsData(0xc2d, 'javascript_filled');
  static const javascript_outlined =
      _MaterialSymbolsData(0xc2e, 'javascript_outlined');
  static const javascript_sharp =
      _MaterialSymbolsData(0xc2f, 'javascript_sharp');
  static const javascript = _MaterialSymbolsData(0xc30, 'javascript');
  static const join_filled_outlined =
      _MaterialSymbolsData(0xc31, 'join_filled_outlined');
  static const join_filled_sharp =
      _MaterialSymbolsData(0xc32, 'join_filled_sharp');
  static const join_filled = _MaterialSymbolsData(0xc33, 'join_filled');
  static const join_full_filled_outlined =
      _MaterialSymbolsData(0xc34, 'join_full_filled_outlined');
  static const join_full_filled_sharp =
      _MaterialSymbolsData(0xc35, 'join_full_filled_sharp');
  static const join_full_filled =
      _MaterialSymbolsData(0xc36, 'join_full_filled');
  static const join_full_outlined =
      _MaterialSymbolsData(0xc37, 'join_full_outlined');
  static const join_full_sharp = _MaterialSymbolsData(0xc38, 'join_full_sharp');
  static const join_full = _MaterialSymbolsData(0xc39, 'join_full');
  static const join_inner_filled_outlined =
      _MaterialSymbolsData(0xc3a, 'join_inner_filled_outlined');
  static const join_inner_filled_sharp =
      _MaterialSymbolsData(0xc3b, 'join_inner_filled_sharp');
  static const join_inner_filled =
      _MaterialSymbolsData(0xc3c, 'join_inner_filled');
  static const join_inner_outlined =
      _MaterialSymbolsData(0xc3d, 'join_inner_outlined');
  static const join_inner_sharp =
      _MaterialSymbolsData(0xc3e, 'join_inner_sharp');
  static const join_inner = _MaterialSymbolsData(0xc3f, 'join_inner');
  static const join_left_filled_outlined =
      _MaterialSymbolsData(0xc40, 'join_left_filled_outlined');
  static const join_left_filled_sharp =
      _MaterialSymbolsData(0xc41, 'join_left_filled_sharp');
  static const join_left_filled =
      _MaterialSymbolsData(0xc42, 'join_left_filled');
  static const join_left_outlined =
      _MaterialSymbolsData(0xc43, 'join_left_outlined');
  static const join_left_sharp = _MaterialSymbolsData(0xc44, 'join_left_sharp');
  static const join_left = _MaterialSymbolsData(0xc45, 'join_left');
  static const join_outlined = _MaterialSymbolsData(0xc46, 'join_outlined');
  static const join_right_filled_outlined =
      _MaterialSymbolsData(0xc47, 'join_right_filled_outlined');
  static const join_right_filled_sharp =
      _MaterialSymbolsData(0xc48, 'join_right_filled_sharp');
  static const join_right_filled =
      _MaterialSymbolsData(0xc49, 'join_right_filled');
  static const join_right_outlined =
      _MaterialSymbolsData(0xc4a, 'join_right_outlined');
  static const join_right_sharp =
      _MaterialSymbolsData(0xc4b, 'join_right_sharp');
  static const join_right = _MaterialSymbolsData(0xc4c, 'join_right');
  static const join_sharp = _MaterialSymbolsData(0xc4d, 'join_sharp');
  static const join = _MaterialSymbolsData(0xc4e, 'join');
  static const kayaking_filled_outlined =
      _MaterialSymbolsData(0xc4f, 'kayaking_filled_outlined');
  static const kayaking_filled_sharp =
      _MaterialSymbolsData(0xc50, 'kayaking_filled_sharp');
  static const kayaking_filled = _MaterialSymbolsData(0xc51, 'kayaking_filled');
  static const kayaking_outlined =
      _MaterialSymbolsData(0xc52, 'kayaking_outlined');
  static const kayaking_sharp = _MaterialSymbolsData(0xc53, 'kayaking_sharp');
  static const kayaking = _MaterialSymbolsData(0xc54, 'kayaking');
  static const kebab_dining_filled_outlined =
      _MaterialSymbolsData(0xc55, 'kebab_dining_filled_outlined');
  static const kebab_dining_filled_sharp =
      _MaterialSymbolsData(0xc56, 'kebab_dining_filled_sharp');
  static const kebab_dining_filled =
      _MaterialSymbolsData(0xc57, 'kebab_dining_filled');
  static const kebab_dining_outlined =
      _MaterialSymbolsData(0xc58, 'kebab_dining_outlined');
  static const kebab_dining_sharp =
      _MaterialSymbolsData(0xc59, 'kebab_dining_sharp');
  static const kebab_dining = _MaterialSymbolsData(0xc5a, 'kebab_dining');
  static const kettle_filled_outlined =
      _MaterialSymbolsData(0xc5b, 'kettle_filled_outlined');
  static const kettle_filled_sharp =
      _MaterialSymbolsData(0xc5c, 'kettle_filled_sharp');
  static const kettle_filled = _MaterialSymbolsData(0xc5d, 'kettle_filled');
  static const kettle_outlined = _MaterialSymbolsData(0xc5e, 'kettle_outlined');
  static const kettle_sharp = _MaterialSymbolsData(0xc5f, 'kettle_sharp');
  static const kettle = _MaterialSymbolsData(0xc60, 'kettle');
  static const key_filled_outlined =
      _MaterialSymbolsData(0xc61, 'key_filled_outlined');
  static const key_filled_sharp =
      _MaterialSymbolsData(0xc62, 'key_filled_sharp');
  static const key_filled = _MaterialSymbolsData(0xc63, 'key_filled');
  static const key_off_filled_outlined =
      _MaterialSymbolsData(0xc64, 'key_off_filled_outlined');
  static const key_off_filled_sharp =
      _MaterialSymbolsData(0xc65, 'key_off_filled_sharp');
  static const key_off_filled = _MaterialSymbolsData(0xc66, 'key_off_filled');
  static const key_off_outlined =
      _MaterialSymbolsData(0xc67, 'key_off_outlined');
  static const key_off_sharp = _MaterialSymbolsData(0xc68, 'key_off_sharp');
  static const key_off = _MaterialSymbolsData(0xc69, 'key_off');
  static const key_outlined = _MaterialSymbolsData(0xc6a, 'key_outlined');
  static const key_sharp = _MaterialSymbolsData(0xc6b, 'key_sharp');
  static const key_visualizer_filled_outlined =
      _MaterialSymbolsData(0xc6c, 'key_visualizer_filled_outlined');
  static const key_visualizer_filled_sharp =
      _MaterialSymbolsData(0xc6d, 'key_visualizer_filled_sharp');
  static const key_visualizer_filled =
      _MaterialSymbolsData(0xc6e, 'key_visualizer_filled');
  static const key_visualizer_outlined =
      _MaterialSymbolsData(0xc6f, 'key_visualizer_outlined');
  static const key_visualizer_sharp =
      _MaterialSymbolsData(0xc70, 'key_visualizer_sharp');
  static const key_visualizer = _MaterialSymbolsData(0xc71, 'key_visualizer');
  static const key = _MaterialSymbolsData(0xc72, 'key');
  static const keyboard_alt_filled_outlined =
      _MaterialSymbolsData(0xc73, 'keyboard_alt_filled_outlined');
  static const keyboard_alt_filled_sharp =
      _MaterialSymbolsData(0xc74, 'keyboard_alt_filled_sharp');
  static const keyboard_alt_filled =
      _MaterialSymbolsData(0xc75, 'keyboard_alt_filled');
  static const keyboard_alt_outlined =
      _MaterialSymbolsData(0xc76, 'keyboard_alt_outlined');
  static const keyboard_alt_sharp =
      _MaterialSymbolsData(0xc77, 'keyboard_alt_sharp');
  static const keyboard_alt = _MaterialSymbolsData(0xc78, 'keyboard_alt');
  static const keyboard_arrow_down_filled_outlined =
      _MaterialSymbolsData(0xc79, 'keyboard_arrow_down_filled_outlined');
  static const keyboard_arrow_down_filled_sharp =
      _MaterialSymbolsData(0xc7a, 'keyboard_arrow_down_filled_sharp');
  static const keyboard_arrow_down_filled =
      _MaterialSymbolsData(0xc7b, 'keyboard_arrow_down_filled');
  static const keyboard_arrow_down_outlined =
      _MaterialSymbolsData(0xc7c, 'keyboard_arrow_down_outlined');
  static const keyboard_arrow_down_sharp =
      _MaterialSymbolsData(0xc7d, 'keyboard_arrow_down_sharp');
  static const keyboard_arrow_down =
      _MaterialSymbolsData(0xc7e, 'keyboard_arrow_down');
  static const keyboard_arrow_left_filled_outlined =
      _MaterialSymbolsData(0xc7f, 'keyboard_arrow_left_filled_outlined');
  static const keyboard_arrow_left_filled_sharp =
      _MaterialSymbolsData(0xc80, 'keyboard_arrow_left_filled_sharp');
  static const keyboard_arrow_left_filled =
      _MaterialSymbolsData(0xc81, 'keyboard_arrow_left_filled');
  static const keyboard_arrow_left_outlined =
      _MaterialSymbolsData(0xc82, 'keyboard_arrow_left_outlined');
  static const keyboard_arrow_left_sharp =
      _MaterialSymbolsData(0xc83, 'keyboard_arrow_left_sharp');
  static const keyboard_arrow_left =
      _MaterialSymbolsData(0xc84, 'keyboard_arrow_left');
  static const keyboard_arrow_right_filled_outlined =
      _MaterialSymbolsData(0xc85, 'keyboard_arrow_right_filled_outlined');
  static const keyboard_arrow_right_filled_sharp =
      _MaterialSymbolsData(0xc86, 'keyboard_arrow_right_filled_sharp');
  static const keyboard_arrow_right_filled =
      _MaterialSymbolsData(0xc87, 'keyboard_arrow_right_filled');
  static const keyboard_arrow_right_outlined =
      _MaterialSymbolsData(0xc88, 'keyboard_arrow_right_outlined');
  static const keyboard_arrow_right_sharp =
      _MaterialSymbolsData(0xc89, 'keyboard_arrow_right_sharp');
  static const keyboard_arrow_right =
      _MaterialSymbolsData(0xc8a, 'keyboard_arrow_right');
  static const keyboard_arrow_up_filled_outlined =
      _MaterialSymbolsData(0xc8b, 'keyboard_arrow_up_filled_outlined');
  static const keyboard_arrow_up_filled_sharp =
      _MaterialSymbolsData(0xc8c, 'keyboard_arrow_up_filled_sharp');
  static const keyboard_arrow_up_filled =
      _MaterialSymbolsData(0xc8d, 'keyboard_arrow_up_filled');
  static const keyboard_arrow_up_outlined =
      _MaterialSymbolsData(0xc8e, 'keyboard_arrow_up_outlined');
  static const keyboard_arrow_up_sharp =
      _MaterialSymbolsData(0xc8f, 'keyboard_arrow_up_sharp');
  static const keyboard_arrow_up =
      _MaterialSymbolsData(0xc90, 'keyboard_arrow_up');
  static const keyboard_backspace_filled_outlined =
      _MaterialSymbolsData(0xc91, 'keyboard_backspace_filled_outlined');
  static const keyboard_backspace_filled_sharp =
      _MaterialSymbolsData(0xc92, 'keyboard_backspace_filled_sharp');
  static const keyboard_backspace_filled =
      _MaterialSymbolsData(0xc93, 'keyboard_backspace_filled');
  static const keyboard_backspace_outlined =
      _MaterialSymbolsData(0xc94, 'keyboard_backspace_outlined');
  static const keyboard_backspace_sharp =
      _MaterialSymbolsData(0xc95, 'keyboard_backspace_sharp');
  static const keyboard_backspace =
      _MaterialSymbolsData(0xc96, 'keyboard_backspace');
  static const keyboard_capslock_filled_outlined =
      _MaterialSymbolsData(0xc97, 'keyboard_capslock_filled_outlined');
  static const keyboard_capslock_filled_sharp =
      _MaterialSymbolsData(0xc98, 'keyboard_capslock_filled_sharp');
  static const keyboard_capslock_filled =
      _MaterialSymbolsData(0xc99, 'keyboard_capslock_filled');
  static const keyboard_capslock_outlined =
      _MaterialSymbolsData(0xc9a, 'keyboard_capslock_outlined');
  static const keyboard_capslock_sharp =
      _MaterialSymbolsData(0xc9b, 'keyboard_capslock_sharp');
  static const keyboard_capslock =
      _MaterialSymbolsData(0xc9c, 'keyboard_capslock');
  static const keyboard_command_key_filled_outlined =
      _MaterialSymbolsData(0xc9d, 'keyboard_command_key_filled_outlined');
  static const keyboard_command_key_filled_sharp =
      _MaterialSymbolsData(0xc9e, 'keyboard_command_key_filled_sharp');
  static const keyboard_command_key_filled =
      _MaterialSymbolsData(0xc9f, 'keyboard_command_key_filled');
  static const keyboard_command_key_outlined =
      _MaterialSymbolsData(0xca0, 'keyboard_command_key_outlined');
  static const keyboard_command_key_sharp =
      _MaterialSymbolsData(0xca1, 'keyboard_command_key_sharp');
  static const keyboard_command_key =
      _MaterialSymbolsData(0xca2, 'keyboard_command_key');
  static const keyboard_control_key_filled_outlined =
      _MaterialSymbolsData(0xca3, 'keyboard_control_key_filled_outlined');
  static const keyboard_control_key_filled_sharp =
      _MaterialSymbolsData(0xca4, 'keyboard_control_key_filled_sharp');
  static const keyboard_control_key_filled =
      _MaterialSymbolsData(0xca5, 'keyboard_control_key_filled');
  static const keyboard_control_key_outlined =
      _MaterialSymbolsData(0xca6, 'keyboard_control_key_outlined');
  static const keyboard_control_key_sharp =
      _MaterialSymbolsData(0xca7, 'keyboard_control_key_sharp');
  static const keyboard_control_key =
      _MaterialSymbolsData(0xca8, 'keyboard_control_key');
  static const keyboard_double_arrow_down_filled_outlined =
      _MaterialSymbolsData(0xca9, 'keyboard_double_arrow_down_filled_outlined');
  static const keyboard_double_arrow_down_filled_sharp =
      _MaterialSymbolsData(0xcaa, 'keyboard_double_arrow_down_filled_sharp');
  static const keyboard_double_arrow_down_filled =
      _MaterialSymbolsData(0xcab, 'keyboard_double_arrow_down_filled');
  static const keyboard_double_arrow_down_outlined =
      _MaterialSymbolsData(0xcac, 'keyboard_double_arrow_down_outlined');
  static const keyboard_double_arrow_down_sharp =
      _MaterialSymbolsData(0xcad, 'keyboard_double_arrow_down_sharp');
  static const keyboard_double_arrow_down =
      _MaterialSymbolsData(0xcae, 'keyboard_double_arrow_down');
  static const keyboard_double_arrow_left_filled_outlined =
      _MaterialSymbolsData(0xcaf, 'keyboard_double_arrow_left_filled_outlined');
  static const keyboard_double_arrow_left_filled_sharp =
      _MaterialSymbolsData(0xcb0, 'keyboard_double_arrow_left_filled_sharp');
  static const keyboard_double_arrow_left_filled =
      _MaterialSymbolsData(0xcb1, 'keyboard_double_arrow_left_filled');
  static const keyboard_double_arrow_left_outlined =
      _MaterialSymbolsData(0xcb2, 'keyboard_double_arrow_left_outlined');
  static const keyboard_double_arrow_left_sharp =
      _MaterialSymbolsData(0xcb3, 'keyboard_double_arrow_left_sharp');
  static const keyboard_double_arrow_left =
      _MaterialSymbolsData(0xcb4, 'keyboard_double_arrow_left');
  static const keyboard_double_arrow_right_filled_outlined =
      _MaterialSymbolsData(
          0xcb5, 'keyboard_double_arrow_right_filled_outlined');
  static const keyboard_double_arrow_right_filled_sharp =
      _MaterialSymbolsData(0xcb6, 'keyboard_double_arrow_right_filled_sharp');
  static const keyboard_double_arrow_right_filled =
      _MaterialSymbolsData(0xcb7, 'keyboard_double_arrow_right_filled');
  static const keyboard_double_arrow_right_outlined =
      _MaterialSymbolsData(0xcb8, 'keyboard_double_arrow_right_outlined');
  static const keyboard_double_arrow_right_sharp =
      _MaterialSymbolsData(0xcb9, 'keyboard_double_arrow_right_sharp');
  static const keyboard_double_arrow_right =
      _MaterialSymbolsData(0xcba, 'keyboard_double_arrow_right');
  static const keyboard_double_arrow_up_filled_outlined =
      _MaterialSymbolsData(0xcbb, 'keyboard_double_arrow_up_filled_outlined');
  static const keyboard_double_arrow_up_filled_sharp =
      _MaterialSymbolsData(0xcbc, 'keyboard_double_arrow_up_filled_sharp');
  static const keyboard_double_arrow_up_filled =
      _MaterialSymbolsData(0xcbd, 'keyboard_double_arrow_up_filled');
  static const keyboard_double_arrow_up_outlined =
      _MaterialSymbolsData(0xcbe, 'keyboard_double_arrow_up_outlined');
  static const keyboard_double_arrow_up_sharp =
      _MaterialSymbolsData(0xcbf, 'keyboard_double_arrow_up_sharp');
  static const keyboard_double_arrow_up =
      _MaterialSymbolsData(0xcc0, 'keyboard_double_arrow_up');
  static const keyboard_filled_outlined =
      _MaterialSymbolsData(0xcc1, 'keyboard_filled_outlined');
  static const keyboard_filled_sharp =
      _MaterialSymbolsData(0xcc2, 'keyboard_filled_sharp');
  static const keyboard_filled = _MaterialSymbolsData(0xcc3, 'keyboard_filled');
  static const keyboard_hide_filled_outlined =
      _MaterialSymbolsData(0xcc4, 'keyboard_hide_filled_outlined');
  static const keyboard_hide_filled_sharp =
      _MaterialSymbolsData(0xcc5, 'keyboard_hide_filled_sharp');
  static const keyboard_hide_filled =
      _MaterialSymbolsData(0xcc6, 'keyboard_hide_filled');
  static const keyboard_hide_outlined =
      _MaterialSymbolsData(0xcc7, 'keyboard_hide_outlined');
  static const keyboard_hide_sharp =
      _MaterialSymbolsData(0xcc8, 'keyboard_hide_sharp');
  static const keyboard_hide = _MaterialSymbolsData(0xcc9, 'keyboard_hide');
  static const keyboard_option_key_filled_outlined =
      _MaterialSymbolsData(0xcca, 'keyboard_option_key_filled_outlined');
  static const keyboard_option_key_filled_sharp =
      _MaterialSymbolsData(0xccb, 'keyboard_option_key_filled_sharp');
  static const keyboard_option_key_filled =
      _MaterialSymbolsData(0xccc, 'keyboard_option_key_filled');
  static const keyboard_option_key_outlined =
      _MaterialSymbolsData(0xccd, 'keyboard_option_key_outlined');
  static const keyboard_option_key_sharp =
      _MaterialSymbolsData(0xcce, 'keyboard_option_key_sharp');
  static const keyboard_option_key =
      _MaterialSymbolsData(0xccf, 'keyboard_option_key');
  static const keyboard_outlined =
      _MaterialSymbolsData(0xcd0, 'keyboard_outlined');
  static const keyboard_return_filled_outlined =
      _MaterialSymbolsData(0xcd1, 'keyboard_return_filled_outlined');
  static const keyboard_return_filled_sharp =
      _MaterialSymbolsData(0xcd2, 'keyboard_return_filled_sharp');
  static const keyboard_return_filled =
      _MaterialSymbolsData(0xcd3, 'keyboard_return_filled');
  static const keyboard_return_outlined =
      _MaterialSymbolsData(0xcd4, 'keyboard_return_outlined');
  static const keyboard_return_sharp =
      _MaterialSymbolsData(0xcd5, 'keyboard_return_sharp');
  static const keyboard_return = _MaterialSymbolsData(0xcd6, 'keyboard_return');
  static const keyboard_sharp = _MaterialSymbolsData(0xcd7, 'keyboard_sharp');
  static const keyboard_tab_filled_outlined =
      _MaterialSymbolsData(0xcd8, 'keyboard_tab_filled_outlined');
  static const keyboard_tab_filled_sharp =
      _MaterialSymbolsData(0xcd9, 'keyboard_tab_filled_sharp');
  static const keyboard_tab_filled =
      _MaterialSymbolsData(0xcda, 'keyboard_tab_filled');
  static const keyboard_tab_outlined =
      _MaterialSymbolsData(0xcdb, 'keyboard_tab_outlined');
  static const keyboard_tab_sharp =
      _MaterialSymbolsData(0xcdc, 'keyboard_tab_sharp');
  static const keyboard_tab = _MaterialSymbolsData(0xcdd, 'keyboard_tab');
  static const keyboard_voice_filled_outlined =
      _MaterialSymbolsData(0xcde, 'keyboard_voice_filled_outlined');
  static const keyboard_voice_filled_sharp =
      _MaterialSymbolsData(0xcdf, 'keyboard_voice_filled_sharp');
  static const keyboard_voice_filled =
      _MaterialSymbolsData(0xce0, 'keyboard_voice_filled');
  static const keyboard_voice_outlined =
      _MaterialSymbolsData(0xce1, 'keyboard_voice_outlined');
  static const keyboard_voice_sharp =
      _MaterialSymbolsData(0xce2, 'keyboard_voice_sharp');
  static const keyboard_voice = _MaterialSymbolsData(0xce3, 'keyboard_voice');
  static const keyboard = _MaterialSymbolsData(0xce4, 'keyboard');
  static const king_bed_filled_outlined =
      _MaterialSymbolsData(0xce5, 'king_bed_filled_outlined');
  static const king_bed_filled_sharp =
      _MaterialSymbolsData(0xce6, 'king_bed_filled_sharp');
  static const king_bed_filled = _MaterialSymbolsData(0xce7, 'king_bed_filled');
  static const king_bed_outlined =
      _MaterialSymbolsData(0xce8, 'king_bed_outlined');
  static const king_bed_sharp = _MaterialSymbolsData(0xce9, 'king_bed_sharp');
  static const king_bed = _MaterialSymbolsData(0xcea, 'king_bed');
  static const kitchen_filled_outlined =
      _MaterialSymbolsData(0xceb, 'kitchen_filled_outlined');
  static const kitchen_filled_sharp =
      _MaterialSymbolsData(0xcec, 'kitchen_filled_sharp');
  static const kitchen_filled = _MaterialSymbolsData(0xced, 'kitchen_filled');
  static const kitchen_outlined =
      _MaterialSymbolsData(0xcee, 'kitchen_outlined');
  static const kitchen_sharp = _MaterialSymbolsData(0xcef, 'kitchen_sharp');
  static const kitchen = _MaterialSymbolsData(0xcf0, 'kitchen');
  static const kitesurfing_filled_outlined =
      _MaterialSymbolsData(0xcf1, 'kitesurfing_filled_outlined');
  static const kitesurfing_filled_sharp =
      _MaterialSymbolsData(0xcf2, 'kitesurfing_filled_sharp');
  static const kitesurfing_filled =
      _MaterialSymbolsData(0xcf3, 'kitesurfing_filled');
  static const kitesurfing_outlined =
      _MaterialSymbolsData(0xcf4, 'kitesurfing_outlined');
  static const kitesurfing_sharp =
      _MaterialSymbolsData(0xcf5, 'kitesurfing_sharp');
  static const kitesurfing = _MaterialSymbolsData(0xcf6, 'kitesurfing');
  static const lab_panel_filled_outlined =
      _MaterialSymbolsData(0xcf7, 'lab_panel_filled_outlined');
  static const lab_panel_filled_sharp =
      _MaterialSymbolsData(0xcf8, 'lab_panel_filled_sharp');
  static const lab_panel_filled =
      _MaterialSymbolsData(0xcf9, 'lab_panel_filled');
  static const lab_panel_outlined =
      _MaterialSymbolsData(0xcfa, 'lab_panel_outlined');
  static const lab_panel_sharp = _MaterialSymbolsData(0xcfb, 'lab_panel_sharp');
  static const lab_panel = _MaterialSymbolsData(0xcfc, 'lab_panel');
  static const lab_profile_filled_outlined =
      _MaterialSymbolsData(0xcfd, 'lab_profile_filled_outlined');
  static const lab_profile_filled_sharp =
      _MaterialSymbolsData(0xcfe, 'lab_profile_filled_sharp');
  static const lab_profile_filled =
      _MaterialSymbolsData(0xcff, 'lab_profile_filled');
  static const lab_profile_outlined =
      _MaterialSymbolsData(0xd00, 'lab_profile_outlined');
  static const lab_profile_sharp =
      _MaterialSymbolsData(0xd01, 'lab_profile_sharp');
  static const lab_profile = _MaterialSymbolsData(0xd02, 'lab_profile');
  static const lab_research_filled_outlined =
      _MaterialSymbolsData(0xd03, 'lab_research_filled_outlined');
  static const lab_research_filled_sharp =
      _MaterialSymbolsData(0xd04, 'lab_research_filled_sharp');
  static const lab_research_filled =
      _MaterialSymbolsData(0xd05, 'lab_research_filled');
  static const lab_research_outlined =
      _MaterialSymbolsData(0xd06, 'lab_research_outlined');
  static const lab_research_sharp =
      _MaterialSymbolsData(0xd07, 'lab_research_sharp');
  static const lab_research = _MaterialSymbolsData(0xd08, 'lab_research');
  static const label_filled_outlined =
      _MaterialSymbolsData(0xd09, 'label_filled_outlined');
  static const label_filled_sharp =
      _MaterialSymbolsData(0xd0a, 'label_filled_sharp');
  static const label_filled = _MaterialSymbolsData(0xd0b, 'label_filled');
  static const label_important_filled_outlined =
      _MaterialSymbolsData(0xd0c, 'label_important_filled_outlined');
  static const label_important_filled_sharp =
      _MaterialSymbolsData(0xd0d, 'label_important_filled_sharp');
  static const label_important_filled =
      _MaterialSymbolsData(0xd0e, 'label_important_filled');
  static const label_important_outlined =
      _MaterialSymbolsData(0xd0f, 'label_important_outlined');
  static const label_important_sharp =
      _MaterialSymbolsData(0xd10, 'label_important_sharp');
  static const label_important = _MaterialSymbolsData(0xd11, 'label_important');
  static const label_off_filled_outlined =
      _MaterialSymbolsData(0xd12, 'label_off_filled_outlined');
  static const label_off_filled_sharp =
      _MaterialSymbolsData(0xd13, 'label_off_filled_sharp');
  static const label_off_filled =
      _MaterialSymbolsData(0xd14, 'label_off_filled');
  static const label_off_outlined =
      _MaterialSymbolsData(0xd15, 'label_off_outlined');
  static const label_off_sharp = _MaterialSymbolsData(0xd16, 'label_off_sharp');
  static const label_off = _MaterialSymbolsData(0xd17, 'label_off');
  static const label_outlined = _MaterialSymbolsData(0xd18, 'label_outlined');
  static const label_sharp = _MaterialSymbolsData(0xd19, 'label_sharp');
  static const label = _MaterialSymbolsData(0xd1a, 'label');
  static const labs_filled_outlined =
      _MaterialSymbolsData(0xd1b, 'labs_filled_outlined');
  static const labs_filled_sharp =
      _MaterialSymbolsData(0xd1c, 'labs_filled_sharp');
  static const labs_filled = _MaterialSymbolsData(0xd1d, 'labs_filled');
  static const labs_outlined = _MaterialSymbolsData(0xd1e, 'labs_outlined');
  static const labs_sharp = _MaterialSymbolsData(0xd1f, 'labs_sharp');
  static const labs = _MaterialSymbolsData(0xd20, 'labs');
  static const lan_filled_outlined =
      _MaterialSymbolsData(0xd21, 'lan_filled_outlined');
  static const lan_filled_sharp =
      _MaterialSymbolsData(0xd22, 'lan_filled_sharp');
  static const lan_filled = _MaterialSymbolsData(0xd23, 'lan_filled');
  static const lan_outlined = _MaterialSymbolsData(0xd24, 'lan_outlined');
  static const lan_sharp = _MaterialSymbolsData(0xd25, 'lan_sharp');
  static const lan = _MaterialSymbolsData(0xd26, 'lan');
  static const landscape_filled_outlined =
      _MaterialSymbolsData(0xd27, 'landscape_filled_outlined');
  static const landscape_filled_sharp =
      _MaterialSymbolsData(0xd28, 'landscape_filled_sharp');
  static const landscape_filled =
      _MaterialSymbolsData(0xd29, 'landscape_filled');
  static const landscape_outlined =
      _MaterialSymbolsData(0xd2a, 'landscape_outlined');
  static const landscape_sharp = _MaterialSymbolsData(0xd2b, 'landscape_sharp');
  static const landscape = _MaterialSymbolsData(0xd2c, 'landscape');
  static const landslide_filled_outlined =
      _MaterialSymbolsData(0xd2d, 'landslide_filled_outlined');
  static const landslide_filled_sharp =
      _MaterialSymbolsData(0xd2e, 'landslide_filled_sharp');
  static const landslide_filled =
      _MaterialSymbolsData(0xd2f, 'landslide_filled');
  static const landslide_outlined =
      _MaterialSymbolsData(0xd30, 'landslide_outlined');
  static const landslide_sharp = _MaterialSymbolsData(0xd31, 'landslide_sharp');
  static const landslide = _MaterialSymbolsData(0xd32, 'landslide');
  static const language_filled_outlined =
      _MaterialSymbolsData(0xd33, 'language_filled_outlined');
  static const language_filled_sharp =
      _MaterialSymbolsData(0xd34, 'language_filled_sharp');
  static const language_filled = _MaterialSymbolsData(0xd35, 'language_filled');
  static const language_outlined =
      _MaterialSymbolsData(0xd36, 'language_outlined');
  static const language_sharp = _MaterialSymbolsData(0xd37, 'language_sharp');
  static const language = _MaterialSymbolsData(0xd38, 'language');
  static const laptop_chromebook_filled_outlined =
      _MaterialSymbolsData(0xd39, 'laptop_chromebook_filled_outlined');
  static const laptop_chromebook_filled_sharp =
      _MaterialSymbolsData(0xd3a, 'laptop_chromebook_filled_sharp');
  static const laptop_chromebook_filled =
      _MaterialSymbolsData(0xd3b, 'laptop_chromebook_filled');
  static const laptop_chromebook_outlined =
      _MaterialSymbolsData(0xd3c, 'laptop_chromebook_outlined');
  static const laptop_chromebook_sharp =
      _MaterialSymbolsData(0xd3d, 'laptop_chromebook_sharp');
  static const laptop_chromebook =
      _MaterialSymbolsData(0xd3e, 'laptop_chromebook');
  static const laptop_mac_filled_outlined =
      _MaterialSymbolsData(0xd3f, 'laptop_mac_filled_outlined');
  static const laptop_mac_filled_sharp =
      _MaterialSymbolsData(0xd40, 'laptop_mac_filled_sharp');
  static const laptop_mac_filled =
      _MaterialSymbolsData(0xd41, 'laptop_mac_filled');
  static const laptop_mac_outlined =
      _MaterialSymbolsData(0xd42, 'laptop_mac_outlined');
  static const laptop_mac_sharp =
      _MaterialSymbolsData(0xd43, 'laptop_mac_sharp');
  static const laptop_mac = _MaterialSymbolsData(0xd44, 'laptop_mac');
  static const laptop_windows_filled_outlined =
      _MaterialSymbolsData(0xd45, 'laptop_windows_filled_outlined');
  static const laptop_windows_filled_sharp =
      _MaterialSymbolsData(0xd46, 'laptop_windows_filled_sharp');
  static const laptop_windows_filled =
      _MaterialSymbolsData(0xd47, 'laptop_windows_filled');
  static const laptop_windows_outlined =
      _MaterialSymbolsData(0xd48, 'laptop_windows_outlined');
  static const laptop_windows_sharp =
      _MaterialSymbolsData(0xd49, 'laptop_windows_sharp');
  static const laptop_windows = _MaterialSymbolsData(0xd4a, 'laptop_windows');
  static const last_page_filled_outlined =
      _MaterialSymbolsData(0xd4b, 'last_page_filled_outlined');
  static const last_page_filled_sharp =
      _MaterialSymbolsData(0xd4c, 'last_page_filled_sharp');
  static const last_page_filled =
      _MaterialSymbolsData(0xd4d, 'last_page_filled');
  static const last_page_outlined =
      _MaterialSymbolsData(0xd4e, 'last_page_outlined');
  static const last_page_sharp = _MaterialSymbolsData(0xd4f, 'last_page_sharp');
  static const last_page = _MaterialSymbolsData(0xd50, 'last_page');
  static const laundry_filled_outlined =
      _MaterialSymbolsData(0xd51, 'laundry_filled_outlined');
  static const laundry_filled_sharp =
      _MaterialSymbolsData(0xd52, 'laundry_filled_sharp');
  static const laundry_filled = _MaterialSymbolsData(0xd53, 'laundry_filled');
  static const laundry_outlined =
      _MaterialSymbolsData(0xd54, 'laundry_outlined');
  static const laundry_sharp = _MaterialSymbolsData(0xd55, 'laundry_sharp');
  static const laundry = _MaterialSymbolsData(0xd56, 'laundry');
  static const layers_clear_filled_outlined =
      _MaterialSymbolsData(0xd57, 'layers_clear_filled_outlined');
  static const layers_clear_filled_sharp =
      _MaterialSymbolsData(0xd58, 'layers_clear_filled_sharp');
  static const layers_clear_filled =
      _MaterialSymbolsData(0xd59, 'layers_clear_filled');
  static const layers_clear_outlined =
      _MaterialSymbolsData(0xd5a, 'layers_clear_outlined');
  static const layers_clear_sharp =
      _MaterialSymbolsData(0xd5b, 'layers_clear_sharp');
  static const layers_clear = _MaterialSymbolsData(0xd5c, 'layers_clear');
  static const layers_filled_outlined =
      _MaterialSymbolsData(0xd5d, 'layers_filled_outlined');
  static const layers_filled_sharp =
      _MaterialSymbolsData(0xd5e, 'layers_filled_sharp');
  static const layers_filled = _MaterialSymbolsData(0xd5f, 'layers_filled');
  static const layers_outlined = _MaterialSymbolsData(0xd60, 'layers_outlined');
  static const layers_sharp = _MaterialSymbolsData(0xd61, 'layers_sharp');
  static const layers = _MaterialSymbolsData(0xd62, 'layers');
  static const lda_filled_outlined =
      _MaterialSymbolsData(0xd63, 'lda_filled_outlined');
  static const lda_filled_sharp =
      _MaterialSymbolsData(0xd64, 'lda_filled_sharp');
  static const lda_filled = _MaterialSymbolsData(0xd65, 'lda_filled');
  static const lda_outlined = _MaterialSymbolsData(0xd66, 'lda_outlined');
  static const lda_sharp = _MaterialSymbolsData(0xd67, 'lda_sharp');
  static const lda = _MaterialSymbolsData(0xd68, 'lda');
  static const leaderboard_filled_outlined =
      _MaterialSymbolsData(0xd69, 'leaderboard_filled_outlined');
  static const leaderboard_filled_sharp =
      _MaterialSymbolsData(0xd6a, 'leaderboard_filled_sharp');
  static const leaderboard_filled =
      _MaterialSymbolsData(0xd6b, 'leaderboard_filled');
  static const leaderboard_outlined =
      _MaterialSymbolsData(0xd6c, 'leaderboard_outlined');
  static const leaderboard_sharp =
      _MaterialSymbolsData(0xd6d, 'leaderboard_sharp');
  static const leaderboard = _MaterialSymbolsData(0xd6e, 'leaderboard');
  static const leak_add_filled_outlined =
      _MaterialSymbolsData(0xd6f, 'leak_add_filled_outlined');
  static const leak_add_filled_sharp =
      _MaterialSymbolsData(0xd70, 'leak_add_filled_sharp');
  static const leak_add_filled = _MaterialSymbolsData(0xd71, 'leak_add_filled');
  static const leak_add_outlined =
      _MaterialSymbolsData(0xd72, 'leak_add_outlined');
  static const leak_add_sharp = _MaterialSymbolsData(0xd73, 'leak_add_sharp');
  static const leak_add = _MaterialSymbolsData(0xd74, 'leak_add');
  static const leak_remove_filled_outlined =
      _MaterialSymbolsData(0xd75, 'leak_remove_filled_outlined');
  static const leak_remove_filled_sharp =
      _MaterialSymbolsData(0xd76, 'leak_remove_filled_sharp');
  static const leak_remove_filled =
      _MaterialSymbolsData(0xd77, 'leak_remove_filled');
  static const leak_remove_outlined =
      _MaterialSymbolsData(0xd78, 'leak_remove_outlined');
  static const leak_remove_sharp =
      _MaterialSymbolsData(0xd79, 'leak_remove_sharp');
  static const leak_remove = _MaterialSymbolsData(0xd7a, 'leak_remove');
  static const legend_toggle_filled_outlined =
      _MaterialSymbolsData(0xd7b, 'legend_toggle_filled_outlined');
  static const legend_toggle_filled_sharp =
      _MaterialSymbolsData(0xd7c, 'legend_toggle_filled_sharp');
  static const legend_toggle_filled =
      _MaterialSymbolsData(0xd7d, 'legend_toggle_filled');
  static const legend_toggle_outlined =
      _MaterialSymbolsData(0xd7e, 'legend_toggle_outlined');
  static const legend_toggle_sharp =
      _MaterialSymbolsData(0xd7f, 'legend_toggle_sharp');
  static const legend_toggle = _MaterialSymbolsData(0xd80, 'legend_toggle');
  static const lens_blur_filled_outlined =
      _MaterialSymbolsData(0xd81, 'lens_blur_filled_outlined');
  static const lens_blur_filled_sharp =
      _MaterialSymbolsData(0xd82, 'lens_blur_filled_sharp');
  static const lens_blur_filled =
      _MaterialSymbolsData(0xd83, 'lens_blur_filled');
  static const lens_blur_outlined =
      _MaterialSymbolsData(0xd84, 'lens_blur_outlined');
  static const lens_blur_sharp = _MaterialSymbolsData(0xd85, 'lens_blur_sharp');
  static const lens_blur = _MaterialSymbolsData(0xd86, 'lens_blur');
  static const lens_filled_outlined =
      _MaterialSymbolsData(0xd87, 'lens_filled_outlined');
  static const lens_filled_sharp =
      _MaterialSymbolsData(0xd88, 'lens_filled_sharp');
  static const lens_filled = _MaterialSymbolsData(0xd89, 'lens_filled');
  static const lens_outlined = _MaterialSymbolsData(0xd8a, 'lens_outlined');
  static const lens_sharp = _MaterialSymbolsData(0xd8b, 'lens_sharp');
  static const lens = _MaterialSymbolsData(0xd8c, 'lens');
  static const library_add_check_filled_outlined =
      _MaterialSymbolsData(0xd8d, 'library_add_check_filled_outlined');
  static const library_add_check_filled_sharp =
      _MaterialSymbolsData(0xd8e, 'library_add_check_filled_sharp');
  static const library_add_check_filled =
      _MaterialSymbolsData(0xd8f, 'library_add_check_filled');
  static const library_add_check_outlined =
      _MaterialSymbolsData(0xd90, 'library_add_check_outlined');
  static const library_add_check_sharp =
      _MaterialSymbolsData(0xd91, 'library_add_check_sharp');
  static const library_add_check =
      _MaterialSymbolsData(0xd92, 'library_add_check');
  static const library_add_filled_outlined =
      _MaterialSymbolsData(0xd93, 'library_add_filled_outlined');
  static const library_add_filled_sharp =
      _MaterialSymbolsData(0xd94, 'library_add_filled_sharp');
  static const library_add_filled =
      _MaterialSymbolsData(0xd95, 'library_add_filled');
  static const library_add_outlined =
      _MaterialSymbolsData(0xd96, 'library_add_outlined');
  static const library_add_sharp =
      _MaterialSymbolsData(0xd97, 'library_add_sharp');
  static const library_add = _MaterialSymbolsData(0xd98, 'library_add');
  static const library_books_filled_outlined =
      _MaterialSymbolsData(0xd99, 'library_books_filled_outlined');
  static const library_books_filled_sharp =
      _MaterialSymbolsData(0xd9a, 'library_books_filled_sharp');
  static const library_books_filled =
      _MaterialSymbolsData(0xd9b, 'library_books_filled');
  static const library_books_outlined =
      _MaterialSymbolsData(0xd9c, 'library_books_outlined');
  static const library_books_sharp =
      _MaterialSymbolsData(0xd9d, 'library_books_sharp');
  static const library_books = _MaterialSymbolsData(0xd9e, 'library_books');
  static const library_music_filled_outlined =
      _MaterialSymbolsData(0xd9f, 'library_music_filled_outlined');
  static const library_music_filled_sharp =
      _MaterialSymbolsData(0xda0, 'library_music_filled_sharp');
  static const library_music_filled =
      _MaterialSymbolsData(0xda1, 'library_music_filled');
  static const library_music_outlined =
      _MaterialSymbolsData(0xda2, 'library_music_outlined');
  static const library_music_sharp =
      _MaterialSymbolsData(0xda3, 'library_music_sharp');
  static const library_music = _MaterialSymbolsData(0xda4, 'library_music');
  static const lift_to_talk_filled_outlined =
      _MaterialSymbolsData(0xda5, 'lift_to_talk_filled_outlined');
  static const lift_to_talk_filled_sharp =
      _MaterialSymbolsData(0xda6, 'lift_to_talk_filled_sharp');
  static const lift_to_talk_filled =
      _MaterialSymbolsData(0xda7, 'lift_to_talk_filled');
  static const lift_to_talk_outlined =
      _MaterialSymbolsData(0xda8, 'lift_to_talk_outlined');
  static const lift_to_talk_sharp =
      _MaterialSymbolsData(0xda9, 'lift_to_talk_sharp');
  static const lift_to_talk = _MaterialSymbolsData(0xdaa, 'lift_to_talk');
  static const light_filled_outlined =
      _MaterialSymbolsData(0xdab, 'light_filled_outlined');
  static const light_filled_sharp =
      _MaterialSymbolsData(0xdac, 'light_filled_sharp');
  static const light_filled = _MaterialSymbolsData(0xdad, 'light_filled');
  static const light_group_filled_outlined =
      _MaterialSymbolsData(0xdae, 'light_group_filled_outlined');
  static const light_group_filled_sharp =
      _MaterialSymbolsData(0xdaf, 'light_group_filled_sharp');
  static const light_group_filled =
      _MaterialSymbolsData(0xdb0, 'light_group_filled');
  static const light_group_outlined =
      _MaterialSymbolsData(0xdb1, 'light_group_outlined');
  static const light_group_sharp =
      _MaterialSymbolsData(0xdb2, 'light_group_sharp');
  static const light_group = _MaterialSymbolsData(0xdb3, 'light_group');
  static const light_mode_filled_outlined =
      _MaterialSymbolsData(0xdb4, 'light_mode_filled_outlined');
  static const light_mode_filled_sharp =
      _MaterialSymbolsData(0xdb5, 'light_mode_filled_sharp');
  static const light_mode_filled =
      _MaterialSymbolsData(0xdb6, 'light_mode_filled');
  static const light_mode_outlined =
      _MaterialSymbolsData(0xdb7, 'light_mode_outlined');
  static const light_mode_sharp =
      _MaterialSymbolsData(0xdb8, 'light_mode_sharp');
  static const light_mode = _MaterialSymbolsData(0xdb9, 'light_mode');
  static const light_outlined = _MaterialSymbolsData(0xdba, 'light_outlined');
  static const light_sharp = _MaterialSymbolsData(0xdbb, 'light_sharp');
  static const light = _MaterialSymbolsData(0xdbc, 'light');
  static const lightbulb_circle_filled_outlined =
      _MaterialSymbolsData(0xdbd, 'lightbulb_circle_filled_outlined');
  static const lightbulb_circle_filled_sharp =
      _MaterialSymbolsData(0xdbe, 'lightbulb_circle_filled_sharp');
  static const lightbulb_circle_filled =
      _MaterialSymbolsData(0xdbf, 'lightbulb_circle_filled');
  static const lightbulb_circle_outlined =
      _MaterialSymbolsData(0xdc0, 'lightbulb_circle_outlined');
  static const lightbulb_circle_sharp =
      _MaterialSymbolsData(0xdc1, 'lightbulb_circle_sharp');
  static const lightbulb_circle =
      _MaterialSymbolsData(0xdc2, 'lightbulb_circle');
  static const lightbulb_filled_outlined =
      _MaterialSymbolsData(0xdc3, 'lightbulb_filled_outlined');
  static const lightbulb_filled_sharp =
      _MaterialSymbolsData(0xdc4, 'lightbulb_filled_sharp');
  static const lightbulb_filled =
      _MaterialSymbolsData(0xdc5, 'lightbulb_filled');
  static const lightbulb_outlined =
      _MaterialSymbolsData(0xdc6, 'lightbulb_outlined');
  static const lightbulb_sharp = _MaterialSymbolsData(0xdc7, 'lightbulb_sharp');
  static const lightbulb = _MaterialSymbolsData(0xdc8, 'lightbulb');
  static const line_axis_filled_outlined =
      _MaterialSymbolsData(0xdc9, 'line_axis_filled_outlined');
  static const line_axis_filled_sharp =
      _MaterialSymbolsData(0xdca, 'line_axis_filled_sharp');
  static const line_axis_filled =
      _MaterialSymbolsData(0xdcb, 'line_axis_filled');
  static const line_axis_outlined =
      _MaterialSymbolsData(0xdcc, 'line_axis_outlined');
  static const line_axis_sharp = _MaterialSymbolsData(0xdcd, 'line_axis_sharp');
  static const line_axis = _MaterialSymbolsData(0xdce, 'line_axis');
  static const line_end_arrow_filled_outlined =
      _MaterialSymbolsData(0xdcf, 'line_end_arrow_filled_outlined');
  static const line_end_arrow_filled_sharp =
      _MaterialSymbolsData(0xdd0, 'line_end_arrow_filled_sharp');
  static const line_end_arrow_filled =
      _MaterialSymbolsData(0xdd1, 'line_end_arrow_filled');
  static const line_end_arrow_notch_filled_outlined =
      _MaterialSymbolsData(0xdd2, 'line_end_arrow_notch_filled_outlined');
  static const line_end_arrow_notch_filled_sharp =
      _MaterialSymbolsData(0xdd3, 'line_end_arrow_notch_filled_sharp');
  static const line_end_arrow_notch_filled =
      _MaterialSymbolsData(0xdd4, 'line_end_arrow_notch_filled');
  static const line_end_arrow_notch_outlined =
      _MaterialSymbolsData(0xdd5, 'line_end_arrow_notch_outlined');
  static const line_end_arrow_notch_sharp =
      _MaterialSymbolsData(0xdd6, 'line_end_arrow_notch_sharp');
  static const line_end_arrow_notch =
      _MaterialSymbolsData(0xdd7, 'line_end_arrow_notch');
  static const line_end_arrow_outlined =
      _MaterialSymbolsData(0xdd8, 'line_end_arrow_outlined');
  static const line_end_arrow_sharp =
      _MaterialSymbolsData(0xdd9, 'line_end_arrow_sharp');
  static const line_end_arrow = _MaterialSymbolsData(0xdda, 'line_end_arrow');
  static const line_end_circle_filled_outlined =
      _MaterialSymbolsData(0xddb, 'line_end_circle_filled_outlined');
  static const line_end_circle_filled_sharp =
      _MaterialSymbolsData(0xddc, 'line_end_circle_filled_sharp');
  static const line_end_circle_filled =
      _MaterialSymbolsData(0xddd, 'line_end_circle_filled');
  static const line_end_circle_outlined =
      _MaterialSymbolsData(0xdde, 'line_end_circle_outlined');
  static const line_end_circle_sharp =
      _MaterialSymbolsData(0xddf, 'line_end_circle_sharp');
  static const line_end_circle = _MaterialSymbolsData(0xde0, 'line_end_circle');
  static const line_end_diamond_filled_outlined =
      _MaterialSymbolsData(0xde1, 'line_end_diamond_filled_outlined');
  static const line_end_diamond_filled_sharp =
      _MaterialSymbolsData(0xde2, 'line_end_diamond_filled_sharp');
  static const line_end_diamond_filled =
      _MaterialSymbolsData(0xde3, 'line_end_diamond_filled');
  static const line_end_diamond_outlined =
      _MaterialSymbolsData(0xde4, 'line_end_diamond_outlined');
  static const line_end_diamond_sharp =
      _MaterialSymbolsData(0xde5, 'line_end_diamond_sharp');
  static const line_end_diamond =
      _MaterialSymbolsData(0xde6, 'line_end_diamond');
  static const line_end_filled_outlined =
      _MaterialSymbolsData(0xde7, 'line_end_filled_outlined');
  static const line_end_filled_sharp =
      _MaterialSymbolsData(0xde8, 'line_end_filled_sharp');
  static const line_end_filled = _MaterialSymbolsData(0xde9, 'line_end_filled');
  static const line_end_outlined =
      _MaterialSymbolsData(0xdea, 'line_end_outlined');
  static const line_end_sharp = _MaterialSymbolsData(0xdeb, 'line_end_sharp');
  static const line_end_square_filled_outlined =
      _MaterialSymbolsData(0xdec, 'line_end_square_filled_outlined');
  static const line_end_square_filled_sharp =
      _MaterialSymbolsData(0xded, 'line_end_square_filled_sharp');
  static const line_end_square_filled =
      _MaterialSymbolsData(0xdee, 'line_end_square_filled');
  static const line_end_square_outlined =
      _MaterialSymbolsData(0xdef, 'line_end_square_outlined');
  static const line_end_square_sharp =
      _MaterialSymbolsData(0xdf0, 'line_end_square_sharp');
  static const line_end_square = _MaterialSymbolsData(0xdf1, 'line_end_square');
  static const line_end = _MaterialSymbolsData(0xdf2, 'line_end');
  static const line_start_arrow_filled_outlined =
      _MaterialSymbolsData(0xdf3, 'line_start_arrow_filled_outlined');
  static const line_start_arrow_filled_sharp =
      _MaterialSymbolsData(0xdf4, 'line_start_arrow_filled_sharp');
  static const line_start_arrow_filled =
      _MaterialSymbolsData(0xdf5, 'line_start_arrow_filled');
  static const line_start_arrow_notch_filled_outlined =
      _MaterialSymbolsData(0xdf6, 'line_start_arrow_notch_filled_outlined');
  static const line_start_arrow_notch_filled_sharp =
      _MaterialSymbolsData(0xdf7, 'line_start_arrow_notch_filled_sharp');
  static const line_start_arrow_notch_filled =
      _MaterialSymbolsData(0xdf8, 'line_start_arrow_notch_filled');
  static const line_start_arrow_notch_outlined =
      _MaterialSymbolsData(0xdf9, 'line_start_arrow_notch_outlined');
  static const line_start_arrow_notch_sharp =
      _MaterialSymbolsData(0xdfa, 'line_start_arrow_notch_sharp');
  static const line_start_arrow_notch =
      _MaterialSymbolsData(0xdfb, 'line_start_arrow_notch');
  static const line_start_arrow_outlined =
      _MaterialSymbolsData(0xdfc, 'line_start_arrow_outlined');
  static const line_start_arrow_sharp =
      _MaterialSymbolsData(0xdfd, 'line_start_arrow_sharp');
  static const line_start_arrow =
      _MaterialSymbolsData(0xdfe, 'line_start_arrow');
  static const line_start_circle_filled_outlined =
      _MaterialSymbolsData(0xdff, 'line_start_circle_filled_outlined');
  static const line_start_circle_filled_sharp =
      _MaterialSymbolsData(0xe00, 'line_start_circle_filled_sharp');
  static const line_start_circle_filled =
      _MaterialSymbolsData(0xe01, 'line_start_circle_filled');
  static const line_start_circle_outlined =
      _MaterialSymbolsData(0xe02, 'line_start_circle_outlined');
  static const line_start_circle_sharp =
      _MaterialSymbolsData(0xe03, 'line_start_circle_sharp');
  static const line_start_circle =
      _MaterialSymbolsData(0xe04, 'line_start_circle');
  static const line_start_diamond_filled_outlined =
      _MaterialSymbolsData(0xe05, 'line_start_diamond_filled_outlined');
  static const line_start_diamond_filled_sharp =
      _MaterialSymbolsData(0xe06, 'line_start_diamond_filled_sharp');
  static const line_start_diamond_filled =
      _MaterialSymbolsData(0xe07, 'line_start_diamond_filled');
  static const line_start_diamond_outlined =
      _MaterialSymbolsData(0xe08, 'line_start_diamond_outlined');
  static const line_start_diamond_sharp =
      _MaterialSymbolsData(0xe09, 'line_start_diamond_sharp');
  static const line_start_diamond =
      _MaterialSymbolsData(0xe0a, 'line_start_diamond');
  static const line_start_filled_outlined =
      _MaterialSymbolsData(0xe0b, 'line_start_filled_outlined');
  static const line_start_filled_sharp =
      _MaterialSymbolsData(0xe0c, 'line_start_filled_sharp');
  static const line_start_filled =
      _MaterialSymbolsData(0xe0d, 'line_start_filled');
  static const line_start_outlined =
      _MaterialSymbolsData(0xe0e, 'line_start_outlined');
  static const line_start_sharp =
      _MaterialSymbolsData(0xe0f, 'line_start_sharp');
  static const line_start_square_filled_outlined =
      _MaterialSymbolsData(0xe10, 'line_start_square_filled_outlined');
  static const line_start_square_filled_sharp =
      _MaterialSymbolsData(0xe11, 'line_start_square_filled_sharp');
  static const line_start_square_filled =
      _MaterialSymbolsData(0xe12, 'line_start_square_filled');
  static const line_start_square_outlined =
      _MaterialSymbolsData(0xe13, 'line_start_square_outlined');
  static const line_start_square_sharp =
      _MaterialSymbolsData(0xe14, 'line_start_square_sharp');
  static const line_start_square =
      _MaterialSymbolsData(0xe15, 'line_start_square');
  static const line_start = _MaterialSymbolsData(0xe16, 'line_start');
  static const line_style_filled_outlined =
      _MaterialSymbolsData(0xe17, 'line_style_filled_outlined');
  static const line_style_filled_sharp =
      _MaterialSymbolsData(0xe18, 'line_style_filled_sharp');
  static const line_style_filled =
      _MaterialSymbolsData(0xe19, 'line_style_filled');
  static const line_style_outlined =
      _MaterialSymbolsData(0xe1a, 'line_style_outlined');
  static const line_style_sharp =
      _MaterialSymbolsData(0xe1b, 'line_style_sharp');
  static const line_style = _MaterialSymbolsData(0xe1c, 'line_style');
  static const line_weight_filled_outlined =
      _MaterialSymbolsData(0xe1d, 'line_weight_filled_outlined');
  static const line_weight_filled_sharp =
      _MaterialSymbolsData(0xe1e, 'line_weight_filled_sharp');
  static const line_weight_filled =
      _MaterialSymbolsData(0xe1f, 'line_weight_filled');
  static const line_weight_outlined =
      _MaterialSymbolsData(0xe20, 'line_weight_outlined');
  static const line_weight_sharp =
      _MaterialSymbolsData(0xe21, 'line_weight_sharp');
  static const line_weight = _MaterialSymbolsData(0xe22, 'line_weight');
  static const linear_scale_filled_outlined =
      _MaterialSymbolsData(0xe23, 'linear_scale_filled_outlined');
  static const linear_scale_filled_sharp =
      _MaterialSymbolsData(0xe24, 'linear_scale_filled_sharp');
  static const linear_scale_filled =
      _MaterialSymbolsData(0xe25, 'linear_scale_filled');
  static const linear_scale_outlined =
      _MaterialSymbolsData(0xe26, 'linear_scale_outlined');
  static const linear_scale_sharp =
      _MaterialSymbolsData(0xe27, 'linear_scale_sharp');
  static const linear_scale = _MaterialSymbolsData(0xe28, 'linear_scale');
  static const link_filled_outlined =
      _MaterialSymbolsData(0xe29, 'link_filled_outlined');
  static const link_filled_sharp =
      _MaterialSymbolsData(0xe2a, 'link_filled_sharp');
  static const link_filled = _MaterialSymbolsData(0xe2b, 'link_filled');
  static const link_off_filled_outlined =
      _MaterialSymbolsData(0xe2c, 'link_off_filled_outlined');
  static const link_off_filled_sharp =
      _MaterialSymbolsData(0xe2d, 'link_off_filled_sharp');
  static const link_off_filled = _MaterialSymbolsData(0xe2e, 'link_off_filled');
  static const link_off_outlined =
      _MaterialSymbolsData(0xe2f, 'link_off_outlined');
  static const link_off_sharp = _MaterialSymbolsData(0xe30, 'link_off_sharp');
  static const link_off = _MaterialSymbolsData(0xe31, 'link_off');
  static const link_outlined = _MaterialSymbolsData(0xe32, 'link_outlined');
  static const link_sharp = _MaterialSymbolsData(0xe33, 'link_sharp');
  static const link = _MaterialSymbolsData(0xe34, 'link');
  static const linked_camera_filled_outlined =
      _MaterialSymbolsData(0xe35, 'linked_camera_filled_outlined');
  static const linked_camera_filled_sharp =
      _MaterialSymbolsData(0xe36, 'linked_camera_filled_sharp');
  static const linked_camera_filled =
      _MaterialSymbolsData(0xe37, 'linked_camera_filled');
  static const linked_camera_outlined =
      _MaterialSymbolsData(0xe38, 'linked_camera_outlined');
  static const linked_camera_sharp =
      _MaterialSymbolsData(0xe39, 'linked_camera_sharp');
  static const linked_camera = _MaterialSymbolsData(0xe3a, 'linked_camera');
  static const liquor_filled_outlined =
      _MaterialSymbolsData(0xe3b, 'liquor_filled_outlined');
  static const liquor_filled_sharp =
      _MaterialSymbolsData(0xe3c, 'liquor_filled_sharp');
  static const liquor_filled = _MaterialSymbolsData(0xe3d, 'liquor_filled');
  static const liquor_outlined = _MaterialSymbolsData(0xe3e, 'liquor_outlined');
  static const liquor_sharp = _MaterialSymbolsData(0xe3f, 'liquor_sharp');
  static const liquor = _MaterialSymbolsData(0xe40, 'liquor');
  static const list_alt_filled_outlined =
      _MaterialSymbolsData(0xe41, 'list_alt_filled_outlined');
  static const list_alt_filled_sharp =
      _MaterialSymbolsData(0xe42, 'list_alt_filled_sharp');
  static const list_alt_filled = _MaterialSymbolsData(0xe43, 'list_alt_filled');
  static const list_alt_outlined =
      _MaterialSymbolsData(0xe44, 'list_alt_outlined');
  static const list_alt_sharp = _MaterialSymbolsData(0xe45, 'list_alt_sharp');
  static const list_alt = _MaterialSymbolsData(0xe46, 'list_alt');
  static const list_filled_outlined =
      _MaterialSymbolsData(0xe47, 'list_filled_outlined');
  static const list_filled_sharp =
      _MaterialSymbolsData(0xe48, 'list_filled_sharp');
  static const list_filled = _MaterialSymbolsData(0xe49, 'list_filled');
  static const list_outlined = _MaterialSymbolsData(0xe4a, 'list_outlined');
  static const list_sharp = _MaterialSymbolsData(0xe4b, 'list_sharp');
  static const list = _MaterialSymbolsData(0xe4c, 'list');
  static const live_help_filled_outlined =
      _MaterialSymbolsData(0xe4d, 'live_help_filled_outlined');
  static const live_help_filled_sharp =
      _MaterialSymbolsData(0xe4e, 'live_help_filled_sharp');
  static const live_help_filled =
      _MaterialSymbolsData(0xe4f, 'live_help_filled');
  static const live_help_outlined =
      _MaterialSymbolsData(0xe50, 'live_help_outlined');
  static const live_help_sharp = _MaterialSymbolsData(0xe51, 'live_help_sharp');
  static const live_help = _MaterialSymbolsData(0xe52, 'live_help');
  static const live_tv_filled_outlined =
      _MaterialSymbolsData(0xe53, 'live_tv_filled_outlined');
  static const live_tv_filled_sharp =
      _MaterialSymbolsData(0xe54, 'live_tv_filled_sharp');
  static const live_tv_filled = _MaterialSymbolsData(0xe55, 'live_tv_filled');
  static const live_tv_outlined =
      _MaterialSymbolsData(0xe56, 'live_tv_outlined');
  static const live_tv_sharp = _MaterialSymbolsData(0xe57, 'live_tv_sharp');
  static const live_tv = _MaterialSymbolsData(0xe58, 'live_tv');
  static const living_filled_outlined =
      _MaterialSymbolsData(0xe59, 'living_filled_outlined');
  static const living_filled_sharp =
      _MaterialSymbolsData(0xe5a, 'living_filled_sharp');
  static const living_filled = _MaterialSymbolsData(0xe5b, 'living_filled');
  static const living_outlined = _MaterialSymbolsData(0xe5c, 'living_outlined');
  static const living_sharp = _MaterialSymbolsData(0xe5d, 'living_sharp');
  static const living = _MaterialSymbolsData(0xe5e, 'living');
  static const local_activity_filled_outlined =
      _MaterialSymbolsData(0xe5f, 'local_activity_filled_outlined');
  static const local_activity_filled_sharp =
      _MaterialSymbolsData(0xe60, 'local_activity_filled_sharp');
  static const local_activity_filled =
      _MaterialSymbolsData(0xe61, 'local_activity_filled');
  static const local_activity_outlined =
      _MaterialSymbolsData(0xe62, 'local_activity_outlined');
  static const local_activity_sharp =
      _MaterialSymbolsData(0xe63, 'local_activity_sharp');
  static const local_activity = _MaterialSymbolsData(0xe64, 'local_activity');
  static const local_atm_filled_outlined =
      _MaterialSymbolsData(0xe65, 'local_atm_filled_outlined');
  static const local_atm_filled_sharp =
      _MaterialSymbolsData(0xe66, 'local_atm_filled_sharp');
  static const local_atm_filled =
      _MaterialSymbolsData(0xe67, 'local_atm_filled');
  static const local_atm_outlined =
      _MaterialSymbolsData(0xe68, 'local_atm_outlined');
  static const local_atm_sharp = _MaterialSymbolsData(0xe69, 'local_atm_sharp');
  static const local_atm = _MaterialSymbolsData(0xe6a, 'local_atm');
  static const local_bar_filled_outlined =
      _MaterialSymbolsData(0xe6b, 'local_bar_filled_outlined');
  static const local_bar_filled_sharp =
      _MaterialSymbolsData(0xe6c, 'local_bar_filled_sharp');
  static const local_bar_filled =
      _MaterialSymbolsData(0xe6d, 'local_bar_filled');
  static const local_bar_outlined =
      _MaterialSymbolsData(0xe6e, 'local_bar_outlined');
  static const local_bar_sharp = _MaterialSymbolsData(0xe6f, 'local_bar_sharp');
  static const local_bar = _MaterialSymbolsData(0xe70, 'local_bar');
  static const local_cafe_filled_outlined =
      _MaterialSymbolsData(0xe71, 'local_cafe_filled_outlined');
  static const local_cafe_filled_sharp =
      _MaterialSymbolsData(0xe72, 'local_cafe_filled_sharp');
  static const local_cafe_filled =
      _MaterialSymbolsData(0xe73, 'local_cafe_filled');
  static const local_cafe_outlined =
      _MaterialSymbolsData(0xe74, 'local_cafe_outlined');
  static const local_cafe_sharp =
      _MaterialSymbolsData(0xe75, 'local_cafe_sharp');
  static const local_cafe = _MaterialSymbolsData(0xe76, 'local_cafe');
  static const local_car_wash_filled_outlined =
      _MaterialSymbolsData(0xe77, 'local_car_wash_filled_outlined');
  static const local_car_wash_filled_sharp =
      _MaterialSymbolsData(0xe78, 'local_car_wash_filled_sharp');
  static const local_car_wash_filled =
      _MaterialSymbolsData(0xe79, 'local_car_wash_filled');
  static const local_car_wash_outlined =
      _MaterialSymbolsData(0xe7a, 'local_car_wash_outlined');
  static const local_car_wash_sharp =
      _MaterialSymbolsData(0xe7b, 'local_car_wash_sharp');
  static const local_car_wash = _MaterialSymbolsData(0xe7c, 'local_car_wash');
  static const local_convenience_store_filled_outlined =
      _MaterialSymbolsData(0xe7d, 'local_convenience_store_filled_outlined');
  static const local_convenience_store_filled_sharp =
      _MaterialSymbolsData(0xe7e, 'local_convenience_store_filled_sharp');
  static const local_convenience_store_filled =
      _MaterialSymbolsData(0xe7f, 'local_convenience_store_filled');
  static const local_convenience_store_outlined =
      _MaterialSymbolsData(0xe80, 'local_convenience_store_outlined');
  static const local_convenience_store_sharp =
      _MaterialSymbolsData(0xe81, 'local_convenience_store_sharp');
  static const local_convenience_store =
      _MaterialSymbolsData(0xe82, 'local_convenience_store');
  static const local_dining_filled_outlined =
      _MaterialSymbolsData(0xe83, 'local_dining_filled_outlined');
  static const local_dining_filled_sharp =
      _MaterialSymbolsData(0xe84, 'local_dining_filled_sharp');
  static const local_dining_filled =
      _MaterialSymbolsData(0xe85, 'local_dining_filled');
  static const local_dining_outlined =
      _MaterialSymbolsData(0xe86, 'local_dining_outlined');
  static const local_dining_sharp =
      _MaterialSymbolsData(0xe87, 'local_dining_sharp');
  static const local_dining = _MaterialSymbolsData(0xe88, 'local_dining');
  static const local_drink_filled_outlined =
      _MaterialSymbolsData(0xe89, 'local_drink_filled_outlined');
  static const local_drink_filled_sharp =
      _MaterialSymbolsData(0xe8a, 'local_drink_filled_sharp');
  static const local_drink_filled =
      _MaterialSymbolsData(0xe8b, 'local_drink_filled');
  static const local_drink_outlined =
      _MaterialSymbolsData(0xe8c, 'local_drink_outlined');
  static const local_drink_sharp =
      _MaterialSymbolsData(0xe8d, 'local_drink_sharp');
  static const local_drink = _MaterialSymbolsData(0xe8e, 'local_drink');
  static const local_fire_department_filled_outlined =
      _MaterialSymbolsData(0xe8f, 'local_fire_department_filled_outlined');
  static const local_fire_department_filled_sharp =
      _MaterialSymbolsData(0xe90, 'local_fire_department_filled_sharp');
  static const local_fire_department_filled =
      _MaterialSymbolsData(0xe91, 'local_fire_department_filled');
  static const local_fire_department_outlined =
      _MaterialSymbolsData(0xe92, 'local_fire_department_outlined');
  static const local_fire_department_sharp =
      _MaterialSymbolsData(0xe93, 'local_fire_department_sharp');
  static const local_fire_department =
      _MaterialSymbolsData(0xe94, 'local_fire_department');
  static const local_florist_filled_outlined =
      _MaterialSymbolsData(0xe95, 'local_florist_filled_outlined');
  static const local_florist_filled_sharp =
      _MaterialSymbolsData(0xe96, 'local_florist_filled_sharp');
  static const local_florist_filled =
      _MaterialSymbolsData(0xe97, 'local_florist_filled');
  static const local_florist_outlined =
      _MaterialSymbolsData(0xe98, 'local_florist_outlined');
  static const local_florist_sharp =
      _MaterialSymbolsData(0xe99, 'local_florist_sharp');
  static const local_florist = _MaterialSymbolsData(0xe9a, 'local_florist');
  static const local_gas_station_filled_outlined =
      _MaterialSymbolsData(0xe9b, 'local_gas_station_filled_outlined');
  static const local_gas_station_filled_sharp =
      _MaterialSymbolsData(0xe9c, 'local_gas_station_filled_sharp');
  static const local_gas_station_filled =
      _MaterialSymbolsData(0xe9d, 'local_gas_station_filled');
  static const local_gas_station_outlined =
      _MaterialSymbolsData(0xe9e, 'local_gas_station_outlined');
  static const local_gas_station_sharp =
      _MaterialSymbolsData(0xe9f, 'local_gas_station_sharp');
  static const local_gas_station =
      _MaterialSymbolsData(0xea0, 'local_gas_station');
  static const local_hospital_filled_outlined =
      _MaterialSymbolsData(0xea1, 'local_hospital_filled_outlined');
  static const local_hospital_filled_sharp =
      _MaterialSymbolsData(0xea2, 'local_hospital_filled_sharp');
  static const local_hospital_filled =
      _MaterialSymbolsData(0xea3, 'local_hospital_filled');
  static const local_hospital_outlined =
      _MaterialSymbolsData(0xea4, 'local_hospital_outlined');
  static const local_hospital_sharp =
      _MaterialSymbolsData(0xea5, 'local_hospital_sharp');
  static const local_hospital = _MaterialSymbolsData(0xea6, 'local_hospital');
  static const local_laundry_service_filled_outlined =
      _MaterialSymbolsData(0xea7, 'local_laundry_service_filled_outlined');
  static const local_laundry_service_filled_sharp =
      _MaterialSymbolsData(0xea8, 'local_laundry_service_filled_sharp');
  static const local_laundry_service_filled =
      _MaterialSymbolsData(0xea9, 'local_laundry_service_filled');
  static const local_laundry_service_outlined =
      _MaterialSymbolsData(0xeaa, 'local_laundry_service_outlined');
  static const local_laundry_service_sharp =
      _MaterialSymbolsData(0xeab, 'local_laundry_service_sharp');
  static const local_laundry_service =
      _MaterialSymbolsData(0xeac, 'local_laundry_service');
  static const local_library_filled_outlined =
      _MaterialSymbolsData(0xead, 'local_library_filled_outlined');
  static const local_library_filled_sharp =
      _MaterialSymbolsData(0xeae, 'local_library_filled_sharp');
  static const local_library_filled =
      _MaterialSymbolsData(0xeaf, 'local_library_filled');
  static const local_library_outlined =
      _MaterialSymbolsData(0xeb0, 'local_library_outlined');
  static const local_library_sharp =
      _MaterialSymbolsData(0xeb1, 'local_library_sharp');
  static const local_library = _MaterialSymbolsData(0xeb2, 'local_library');
  static const local_mall_filled_outlined =
      _MaterialSymbolsData(0xeb3, 'local_mall_filled_outlined');
  static const local_mall_filled_sharp =
      _MaterialSymbolsData(0xeb4, 'local_mall_filled_sharp');
  static const local_mall_filled =
      _MaterialSymbolsData(0xeb5, 'local_mall_filled');
  static const local_mall_outlined =
      _MaterialSymbolsData(0xeb6, 'local_mall_outlined');
  static const local_mall_sharp =
      _MaterialSymbolsData(0xeb7, 'local_mall_sharp');
  static const local_mall = _MaterialSymbolsData(0xeb8, 'local_mall');
  static const local_parking_filled_outlined =
      _MaterialSymbolsData(0xeb9, 'local_parking_filled_outlined');
  static const local_parking_filled_sharp =
      _MaterialSymbolsData(0xeba, 'local_parking_filled_sharp');
  static const local_parking_filled =
      _MaterialSymbolsData(0xebb, 'local_parking_filled');
  static const local_parking_outlined =
      _MaterialSymbolsData(0xebc, 'local_parking_outlined');
  static const local_parking_sharp =
      _MaterialSymbolsData(0xebd, 'local_parking_sharp');
  static const local_parking = _MaterialSymbolsData(0xebe, 'local_parking');
  static const local_pharmacy_filled_outlined =
      _MaterialSymbolsData(0xebf, 'local_pharmacy_filled_outlined');
  static const local_pharmacy_filled_sharp =
      _MaterialSymbolsData(0xec0, 'local_pharmacy_filled_sharp');
  static const local_pharmacy_filled =
      _MaterialSymbolsData(0xec1, 'local_pharmacy_filled');
  static const local_pharmacy_outlined =
      _MaterialSymbolsData(0xec2, 'local_pharmacy_outlined');
  static const local_pharmacy_sharp =
      _MaterialSymbolsData(0xec3, 'local_pharmacy_sharp');
  static const local_pharmacy = _MaterialSymbolsData(0xec4, 'local_pharmacy');
  static const local_pizza_filled_outlined =
      _MaterialSymbolsData(0xec5, 'local_pizza_filled_outlined');
  static const local_pizza_filled_sharp =
      _MaterialSymbolsData(0xec6, 'local_pizza_filled_sharp');
  static const local_pizza_filled =
      _MaterialSymbolsData(0xec7, 'local_pizza_filled');
  static const local_pizza_outlined =
      _MaterialSymbolsData(0xec8, 'local_pizza_outlined');
  static const local_pizza_sharp =
      _MaterialSymbolsData(0xec9, 'local_pizza_sharp');
  static const local_pizza = _MaterialSymbolsData(0xeca, 'local_pizza');
  static const local_police_filled_outlined =
      _MaterialSymbolsData(0xecb, 'local_police_filled_outlined');
  static const local_police_filled_sharp =
      _MaterialSymbolsData(0xecc, 'local_police_filled_sharp');
  static const local_police_filled =
      _MaterialSymbolsData(0xecd, 'local_police_filled');
  static const local_police_outlined =
      _MaterialSymbolsData(0xece, 'local_police_outlined');
  static const local_police_sharp =
      _MaterialSymbolsData(0xecf, 'local_police_sharp');
  static const local_police = _MaterialSymbolsData(0xed0, 'local_police');
  static const local_post_office_filled_outlined =
      _MaterialSymbolsData(0xed1, 'local_post_office_filled_outlined');
  static const local_post_office_filled_sharp =
      _MaterialSymbolsData(0xed2, 'local_post_office_filled_sharp');
  static const local_post_office_filled =
      _MaterialSymbolsData(0xed3, 'local_post_office_filled');
  static const local_post_office_outlined =
      _MaterialSymbolsData(0xed4, 'local_post_office_outlined');
  static const local_post_office_sharp =
      _MaterialSymbolsData(0xed5, 'local_post_office_sharp');
  static const local_post_office =
      _MaterialSymbolsData(0xed6, 'local_post_office');
  static const local_see_filled_outlined =
      _MaterialSymbolsData(0xed7, 'local_see_filled_outlined');
  static const local_see_filled_sharp =
      _MaterialSymbolsData(0xed8, 'local_see_filled_sharp');
  static const local_see_filled =
      _MaterialSymbolsData(0xed9, 'local_see_filled');
  static const local_see_outlined =
      _MaterialSymbolsData(0xeda, 'local_see_outlined');
  static const local_see_sharp = _MaterialSymbolsData(0xedb, 'local_see_sharp');
  static const local_see = _MaterialSymbolsData(0xedc, 'local_see');
  static const local_shipping_filled_outlined =
      _MaterialSymbolsData(0xedd, 'local_shipping_filled_outlined');
  static const local_shipping_filled_sharp =
      _MaterialSymbolsData(0xede, 'local_shipping_filled_sharp');
  static const local_shipping_filled =
      _MaterialSymbolsData(0xedf, 'local_shipping_filled');
  static const local_shipping_outlined =
      _MaterialSymbolsData(0xee0, 'local_shipping_outlined');
  static const local_shipping_sharp =
      _MaterialSymbolsData(0xee1, 'local_shipping_sharp');
  static const local_shipping = _MaterialSymbolsData(0xee2, 'local_shipping');
  static const local_taxi_filled_outlined =
      _MaterialSymbolsData(0xee3, 'local_taxi_filled_outlined');
  static const local_taxi_filled_sharp =
      _MaterialSymbolsData(0xee4, 'local_taxi_filled_sharp');
  static const local_taxi_filled =
      _MaterialSymbolsData(0xee5, 'local_taxi_filled');
  static const local_taxi_outlined =
      _MaterialSymbolsData(0xee6, 'local_taxi_outlined');
  static const local_taxi_sharp =
      _MaterialSymbolsData(0xee7, 'local_taxi_sharp');
  static const local_taxi = _MaterialSymbolsData(0xee8, 'local_taxi');
  static const location_automation_filled_outlined =
      _MaterialSymbolsData(0xee9, 'location_automation_filled_outlined');
  static const location_automation_filled_sharp =
      _MaterialSymbolsData(0xeea, 'location_automation_filled_sharp');
  static const location_automation_filled =
      _MaterialSymbolsData(0xeeb, 'location_automation_filled');
  static const location_automation_outlined =
      _MaterialSymbolsData(0xeec, 'location_automation_outlined');
  static const location_automation_sharp =
      _MaterialSymbolsData(0xeed, 'location_automation_sharp');
  static const location_automation =
      _MaterialSymbolsData(0xeee, 'location_automation');
  static const location_away_filled_outlined =
      _MaterialSymbolsData(0xeef, 'location_away_filled_outlined');
  static const location_away_filled_sharp =
      _MaterialSymbolsData(0xef0, 'location_away_filled_sharp');
  static const location_away_filled =
      _MaterialSymbolsData(0xef1, 'location_away_filled');
  static const location_away_outlined =
      _MaterialSymbolsData(0xef2, 'location_away_outlined');
  static const location_away_sharp =
      _MaterialSymbolsData(0xef3, 'location_away_sharp');
  static const location_away = _MaterialSymbolsData(0xef4, 'location_away');
  static const location_chip_filled_outlined =
      _MaterialSymbolsData(0xef5, 'location_chip_filled_outlined');
  static const location_chip_filled_sharp =
      _MaterialSymbolsData(0xef6, 'location_chip_filled_sharp');
  static const location_chip_filled =
      _MaterialSymbolsData(0xef7, 'location_chip_filled');
  static const location_chip_outlined =
      _MaterialSymbolsData(0xef8, 'location_chip_outlined');
  static const location_chip_sharp =
      _MaterialSymbolsData(0xef9, 'location_chip_sharp');
  static const location_chip = _MaterialSymbolsData(0xefa, 'location_chip');
  static const location_city_filled_outlined =
      _MaterialSymbolsData(0xefb, 'location_city_filled_outlined');
  static const location_city_filled_sharp =
      _MaterialSymbolsData(0xefc, 'location_city_filled_sharp');
  static const location_city_filled =
      _MaterialSymbolsData(0xefd, 'location_city_filled');
  static const location_city_outlined =
      _MaterialSymbolsData(0xefe, 'location_city_outlined');
  static const location_city_sharp =
      _MaterialSymbolsData(0xeff, 'location_city_sharp');
  static const location_city = _MaterialSymbolsData(0xf00, 'location_city');
  static const location_disabled_filled_outlined =
      _MaterialSymbolsData(0xf01, 'location_disabled_filled_outlined');
  static const location_disabled_filled_sharp =
      _MaterialSymbolsData(0xf02, 'location_disabled_filled_sharp');
  static const location_disabled_filled =
      _MaterialSymbolsData(0xf03, 'location_disabled_filled');
  static const location_disabled_outlined =
      _MaterialSymbolsData(0xf04, 'location_disabled_outlined');
  static const location_disabled_sharp =
      _MaterialSymbolsData(0xf05, 'location_disabled_sharp');
  static const location_disabled =
      _MaterialSymbolsData(0xf06, 'location_disabled');
  static const location_home_filled_outlined =
      _MaterialSymbolsData(0xf07, 'location_home_filled_outlined');
  static const location_home_filled_sharp =
      _MaterialSymbolsData(0xf08, 'location_home_filled_sharp');
  static const location_home_filled =
      _MaterialSymbolsData(0xf09, 'location_home_filled');
  static const location_home_outlined =
      _MaterialSymbolsData(0xf0a, 'location_home_outlined');
  static const location_home_sharp =
      _MaterialSymbolsData(0xf0b, 'location_home_sharp');
  static const location_home = _MaterialSymbolsData(0xf0c, 'location_home');
  static const location_off_filled_outlined =
      _MaterialSymbolsData(0xf0d, 'location_off_filled_outlined');
  static const location_off_filled_sharp =
      _MaterialSymbolsData(0xf0e, 'location_off_filled_sharp');
  static const location_off_filled =
      _MaterialSymbolsData(0xf0f, 'location_off_filled');
  static const location_off_outlined =
      _MaterialSymbolsData(0xf10, 'location_off_outlined');
  static const location_off_sharp =
      _MaterialSymbolsData(0xf11, 'location_off_sharp');
  static const location_off = _MaterialSymbolsData(0xf12, 'location_off');
  static const location_on_filled_outlined =
      _MaterialSymbolsData(0xf13, 'location_on_filled_outlined');
  static const location_on_filled_sharp =
      _MaterialSymbolsData(0xf14, 'location_on_filled_sharp');
  static const location_on_filled =
      _MaterialSymbolsData(0xf15, 'location_on_filled');
  static const location_on_outlined =
      _MaterialSymbolsData(0xf16, 'location_on_outlined');
  static const location_on_sharp =
      _MaterialSymbolsData(0xf17, 'location_on_sharp');
  static const location_on = _MaterialSymbolsData(0xf18, 'location_on');
  static const location_searching_filled_outlined =
      _MaterialSymbolsData(0xf19, 'location_searching_filled_outlined');
  static const location_searching_filled_sharp =
      _MaterialSymbolsData(0xf1a, 'location_searching_filled_sharp');
  static const location_searching_filled =
      _MaterialSymbolsData(0xf1b, 'location_searching_filled');
  static const location_searching_outlined =
      _MaterialSymbolsData(0xf1c, 'location_searching_outlined');
  static const location_searching_sharp =
      _MaterialSymbolsData(0xf1d, 'location_searching_sharp');
  static const location_searching =
      _MaterialSymbolsData(0xf1e, 'location_searching');
  static const lock_clock_filled_outlined =
      _MaterialSymbolsData(0xf1f, 'lock_clock_filled_outlined');
  static const lock_clock_filled_sharp =
      _MaterialSymbolsData(0xf20, 'lock_clock_filled_sharp');
  static const lock_clock_filled =
      _MaterialSymbolsData(0xf21, 'lock_clock_filled');
  static const lock_clock_outlined =
      _MaterialSymbolsData(0xf22, 'lock_clock_outlined');
  static const lock_clock_sharp =
      _MaterialSymbolsData(0xf23, 'lock_clock_sharp');
  static const lock_clock = _MaterialSymbolsData(0xf24, 'lock_clock');
  static const lock_filled_outlined =
      _MaterialSymbolsData(0xf25, 'lock_filled_outlined');
  static const lock_filled_sharp =
      _MaterialSymbolsData(0xf26, 'lock_filled_sharp');
  static const lock_filled = _MaterialSymbolsData(0xf27, 'lock_filled');
  static const lock_open_filled_outlined =
      _MaterialSymbolsData(0xf28, 'lock_open_filled_outlined');
  static const lock_open_filled_sharp =
      _MaterialSymbolsData(0xf29, 'lock_open_filled_sharp');
  static const lock_open_filled =
      _MaterialSymbolsData(0xf2a, 'lock_open_filled');
  static const lock_open_outlined =
      _MaterialSymbolsData(0xf2b, 'lock_open_outlined');
  static const lock_open_sharp = _MaterialSymbolsData(0xf2c, 'lock_open_sharp');
  static const lock_open = _MaterialSymbolsData(0xf2d, 'lock_open');
  static const lock_outlined = _MaterialSymbolsData(0xf2e, 'lock_outlined');
  static const lock_person_filled_outlined =
      _MaterialSymbolsData(0xf2f, 'lock_person_filled_outlined');
  static const lock_person_filled_sharp =
      _MaterialSymbolsData(0xf30, 'lock_person_filled_sharp');
  static const lock_person_filled =
      _MaterialSymbolsData(0xf31, 'lock_person_filled');
  static const lock_person_outlined =
      _MaterialSymbolsData(0xf32, 'lock_person_outlined');
  static const lock_person_sharp =
      _MaterialSymbolsData(0xf33, 'lock_person_sharp');
  static const lock_person = _MaterialSymbolsData(0xf34, 'lock_person');
  static const lock_reset_filled_outlined =
      _MaterialSymbolsData(0xf35, 'lock_reset_filled_outlined');
  static const lock_reset_filled_sharp =
      _MaterialSymbolsData(0xf36, 'lock_reset_filled_sharp');
  static const lock_reset_filled =
      _MaterialSymbolsData(0xf37, 'lock_reset_filled');
  static const lock_reset_outlined =
      _MaterialSymbolsData(0xf38, 'lock_reset_outlined');
  static const lock_reset_sharp =
      _MaterialSymbolsData(0xf39, 'lock_reset_sharp');
  static const lock_reset = _MaterialSymbolsData(0xf3a, 'lock_reset');
  static const lock_sharp = _MaterialSymbolsData(0xf3b, 'lock_sharp');
  static const lock = _MaterialSymbolsData(0xf3c, 'lock');
  static const login_filled_outlined =
      _MaterialSymbolsData(0xf3d, 'login_filled_outlined');
  static const login_filled_sharp =
      _MaterialSymbolsData(0xf3e, 'login_filled_sharp');
  static const login_filled = _MaterialSymbolsData(0xf3f, 'login_filled');
  static const login_outlined = _MaterialSymbolsData(0xf40, 'login_outlined');
  static const login_sharp = _MaterialSymbolsData(0xf41, 'login_sharp');
  static const login = _MaterialSymbolsData(0xf42, 'login');
  static const logo_dev_filled_outlined =
      _MaterialSymbolsData(0xf43, 'logo_dev_filled_outlined');
  static const logo_dev_filled_sharp =
      _MaterialSymbolsData(0xf44, 'logo_dev_filled_sharp');
  static const logo_dev_filled = _MaterialSymbolsData(0xf45, 'logo_dev_filled');
  static const logo_dev_outlined =
      _MaterialSymbolsData(0xf46, 'logo_dev_outlined');
  static const logo_dev_sharp = _MaterialSymbolsData(0xf47, 'logo_dev_sharp');
  static const logo_dev = _MaterialSymbolsData(0xf48, 'logo_dev');
  static const logout_filled_outlined =
      _MaterialSymbolsData(0xf49, 'logout_filled_outlined');
  static const logout_filled_sharp =
      _MaterialSymbolsData(0xf4a, 'logout_filled_sharp');
  static const logout_filled = _MaterialSymbolsData(0xf4b, 'logout_filled');
  static const logout_outlined = _MaterialSymbolsData(0xf4c, 'logout_outlined');
  static const logout_sharp = _MaterialSymbolsData(0xf4d, 'logout_sharp');
  static const logout = _MaterialSymbolsData(0xf4e, 'logout');
  static const looks_3_filled_outlined =
      _MaterialSymbolsData(0xf4f, 'looks_3_filled_outlined');
  static const looks_3_filled_sharp =
      _MaterialSymbolsData(0xf50, 'looks_3_filled_sharp');
  static const looks_3_filled = _MaterialSymbolsData(0xf51, 'looks_3_filled');
  static const looks_3_outlined =
      _MaterialSymbolsData(0xf52, 'looks_3_outlined');
  static const looks_3_sharp = _MaterialSymbolsData(0xf53, 'looks_3_sharp');
  static const looks_3 = _MaterialSymbolsData(0xf54, 'looks_3');
  static const looks_4_filled_outlined =
      _MaterialSymbolsData(0xf55, 'looks_4_filled_outlined');
  static const looks_4_filled_sharp =
      _MaterialSymbolsData(0xf56, 'looks_4_filled_sharp');
  static const looks_4_filled = _MaterialSymbolsData(0xf57, 'looks_4_filled');
  static const looks_4_outlined =
      _MaterialSymbolsData(0xf58, 'looks_4_outlined');
  static const looks_4_sharp = _MaterialSymbolsData(0xf59, 'looks_4_sharp');
  static const looks_4 = _MaterialSymbolsData(0xf5a, 'looks_4');
  static const looks_5_filled_outlined =
      _MaterialSymbolsData(0xf5b, 'looks_5_filled_outlined');
  static const looks_5_filled_sharp =
      _MaterialSymbolsData(0xf5c, 'looks_5_filled_sharp');
  static const looks_5_filled = _MaterialSymbolsData(0xf5d, 'looks_5_filled');
  static const looks_5_outlined =
      _MaterialSymbolsData(0xf5e, 'looks_5_outlined');
  static const looks_5_sharp = _MaterialSymbolsData(0xf5f, 'looks_5_sharp');
  static const looks_5 = _MaterialSymbolsData(0xf60, 'looks_5');
  static const looks_6_filled_outlined =
      _MaterialSymbolsData(0xf61, 'looks_6_filled_outlined');
  static const looks_6_filled_sharp =
      _MaterialSymbolsData(0xf62, 'looks_6_filled_sharp');
  static const looks_6_filled = _MaterialSymbolsData(0xf63, 'looks_6_filled');
  static const looks_6_outlined =
      _MaterialSymbolsData(0xf64, 'looks_6_outlined');
  static const looks_6_sharp = _MaterialSymbolsData(0xf65, 'looks_6_sharp');
  static const looks_6 = _MaterialSymbolsData(0xf66, 'looks_6');
  static const looks_filled_outlined =
      _MaterialSymbolsData(0xf67, 'looks_filled_outlined');
  static const looks_filled_sharp =
      _MaterialSymbolsData(0xf68, 'looks_filled_sharp');
  static const looks_filled = _MaterialSymbolsData(0xf69, 'looks_filled');
  static const looks_one_filled_outlined =
      _MaterialSymbolsData(0xf6a, 'looks_one_filled_outlined');
  static const looks_one_filled_sharp =
      _MaterialSymbolsData(0xf6b, 'looks_one_filled_sharp');
  static const looks_one_filled =
      _MaterialSymbolsData(0xf6c, 'looks_one_filled');
  static const looks_one_outlined =
      _MaterialSymbolsData(0xf6d, 'looks_one_outlined');
  static const looks_one_sharp = _MaterialSymbolsData(0xf6e, 'looks_one_sharp');
  static const looks_one = _MaterialSymbolsData(0xf6f, 'looks_one');
  static const looks_outlined = _MaterialSymbolsData(0xf70, 'looks_outlined');
  static const looks_sharp = _MaterialSymbolsData(0xf71, 'looks_sharp');
  static const looks_two_filled_outlined =
      _MaterialSymbolsData(0xf72, 'looks_two_filled_outlined');
  static const looks_two_filled_sharp =
      _MaterialSymbolsData(0xf73, 'looks_two_filled_sharp');
  static const looks_two_filled =
      _MaterialSymbolsData(0xf74, 'looks_two_filled');
  static const looks_two_outlined =
      _MaterialSymbolsData(0xf75, 'looks_two_outlined');
  static const looks_two_sharp = _MaterialSymbolsData(0xf76, 'looks_two_sharp');
  static const looks_two = _MaterialSymbolsData(0xf77, 'looks_two');
  static const looks = _MaterialSymbolsData(0xf78, 'looks');
  static const loupe_filled_outlined =
      _MaterialSymbolsData(0xf79, 'loupe_filled_outlined');
  static const loupe_filled_sharp =
      _MaterialSymbolsData(0xf7a, 'loupe_filled_sharp');
  static const loupe_filled = _MaterialSymbolsData(0xf7b, 'loupe_filled');
  static const loupe_outlined = _MaterialSymbolsData(0xf7c, 'loupe_outlined');
  static const loupe_sharp = _MaterialSymbolsData(0xf7d, 'loupe_sharp');
  static const loupe = _MaterialSymbolsData(0xf7e, 'loupe');
  static const low_priority_filled_outlined =
      _MaterialSymbolsData(0xf7f, 'low_priority_filled_outlined');
  static const low_priority_filled_sharp =
      _MaterialSymbolsData(0xf80, 'low_priority_filled_sharp');
  static const low_priority_filled =
      _MaterialSymbolsData(0xf81, 'low_priority_filled');
  static const low_priority_outlined =
      _MaterialSymbolsData(0xf82, 'low_priority_outlined');
  static const low_priority_sharp =
      _MaterialSymbolsData(0xf83, 'low_priority_sharp');
  static const low_priority = _MaterialSymbolsData(0xf84, 'low_priority');
  static const loyalty_filled_outlined =
      _MaterialSymbolsData(0xf85, 'loyalty_filled_outlined');
  static const loyalty_filled_sharp =
      _MaterialSymbolsData(0xf86, 'loyalty_filled_sharp');
  static const loyalty_filled = _MaterialSymbolsData(0xf87, 'loyalty_filled');
  static const loyalty_outlined =
      _MaterialSymbolsData(0xf88, 'loyalty_outlined');
  static const loyalty_sharp = _MaterialSymbolsData(0xf89, 'loyalty_sharp');
  static const loyalty = _MaterialSymbolsData(0xf8a, 'loyalty');
  static const lte_mobiledata_filled_outlined =
      _MaterialSymbolsData(0xf8b, 'lte_mobiledata_filled_outlined');
  static const lte_mobiledata_filled_sharp =
      _MaterialSymbolsData(0xf8c, 'lte_mobiledata_filled_sharp');
  static const lte_mobiledata_filled =
      _MaterialSymbolsData(0xf8d, 'lte_mobiledata_filled');
  static const lte_mobiledata_outlined =
      _MaterialSymbolsData(0xf8e, 'lte_mobiledata_outlined');
  static const lte_mobiledata_sharp =
      _MaterialSymbolsData(0xf8f, 'lte_mobiledata_sharp');
  static const lte_mobiledata = _MaterialSymbolsData(0xf90, 'lte_mobiledata');
  static const lte_plus_mobiledata_filled_outlined =
      _MaterialSymbolsData(0xf91, 'lte_plus_mobiledata_filled_outlined');
  static const lte_plus_mobiledata_filled_sharp =
      _MaterialSymbolsData(0xf92, 'lte_plus_mobiledata_filled_sharp');
  static const lte_plus_mobiledata_filled =
      _MaterialSymbolsData(0xf93, 'lte_plus_mobiledata_filled');
  static const lte_plus_mobiledata_outlined =
      _MaterialSymbolsData(0xf94, 'lte_plus_mobiledata_outlined');
  static const lte_plus_mobiledata_sharp =
      _MaterialSymbolsData(0xf95, 'lte_plus_mobiledata_sharp');
  static const lte_plus_mobiledata =
      _MaterialSymbolsData(0xf96, 'lte_plus_mobiledata');
  static const luggage_filled_outlined =
      _MaterialSymbolsData(0xf97, 'luggage_filled_outlined');
  static const luggage_filled_sharp =
      _MaterialSymbolsData(0xf98, 'luggage_filled_sharp');
  static const luggage_filled = _MaterialSymbolsData(0xf99, 'luggage_filled');
  static const luggage_outlined =
      _MaterialSymbolsData(0xf9a, 'luggage_outlined');
  static const luggage_sharp = _MaterialSymbolsData(0xf9b, 'luggage_sharp');
  static const luggage = _MaterialSymbolsData(0xf9c, 'luggage');
  static const lunch_dining_filled_outlined =
      _MaterialSymbolsData(0xf9d, 'lunch_dining_filled_outlined');
  static const lunch_dining_filled_sharp =
      _MaterialSymbolsData(0xf9e, 'lunch_dining_filled_sharp');
  static const lunch_dining_filled =
      _MaterialSymbolsData(0xf9f, 'lunch_dining_filled');
  static const lunch_dining_outlined =
      _MaterialSymbolsData(0xfa0, 'lunch_dining_outlined');
  static const lunch_dining_sharp =
      _MaterialSymbolsData(0xfa1, 'lunch_dining_sharp');
  static const lunch_dining = _MaterialSymbolsData(0xfa2, 'lunch_dining');
  static const lyrics_filled_outlined =
      _MaterialSymbolsData(0xfa3, 'lyrics_filled_outlined');
  static const lyrics_filled_sharp =
      _MaterialSymbolsData(0xfa4, 'lyrics_filled_sharp');
  static const lyrics_filled = _MaterialSymbolsData(0xfa5, 'lyrics_filled');
  static const lyrics_outlined = _MaterialSymbolsData(0xfa6, 'lyrics_outlined');
  static const lyrics_sharp = _MaterialSymbolsData(0xfa7, 'lyrics_sharp');
  static const lyrics = _MaterialSymbolsData(0xfa8, 'lyrics');
  static const macro_off_filled_outlined =
      _MaterialSymbolsData(0xfa9, 'macro_off_filled_outlined');
  static const macro_off_filled_sharp =
      _MaterialSymbolsData(0xfaa, 'macro_off_filled_sharp');
  static const macro_off_filled =
      _MaterialSymbolsData(0xfab, 'macro_off_filled');
  static const macro_off_outlined =
      _MaterialSymbolsData(0xfac, 'macro_off_outlined');
  static const macro_off_sharp = _MaterialSymbolsData(0xfad, 'macro_off_sharp');
  static const macro_off = _MaterialSymbolsData(0xfae, 'macro_off');
  static const magic_button_filled_outlined =
      _MaterialSymbolsData(0xfaf, 'magic_button_filled_outlined');
  static const magic_button_filled_sharp =
      _MaterialSymbolsData(0xfb0, 'magic_button_filled_sharp');
  static const magic_button_filled =
      _MaterialSymbolsData(0xfb1, 'magic_button_filled');
  static const magic_button_outlined =
      _MaterialSymbolsData(0xfb2, 'magic_button_outlined');
  static const magic_button_sharp =
      _MaterialSymbolsData(0xfb3, 'magic_button_sharp');
  static const magic_button = _MaterialSymbolsData(0xfb4, 'magic_button');
  static const magnification_large_filled_outlined =
      _MaterialSymbolsData(0xfb5, 'magnification_large_filled_outlined');
  static const magnification_large_filled_sharp =
      _MaterialSymbolsData(0xfb6, 'magnification_large_filled_sharp');
  static const magnification_large_filled =
      _MaterialSymbolsData(0xfb7, 'magnification_large_filled');
  static const magnification_large_outlined =
      _MaterialSymbolsData(0xfb8, 'magnification_large_outlined');
  static const magnification_large_sharp =
      _MaterialSymbolsData(0xfb9, 'magnification_large_sharp');
  static const magnification_large =
      _MaterialSymbolsData(0xfba, 'magnification_large');
  static const magnification_small_filled_outlined =
      _MaterialSymbolsData(0xfbb, 'magnification_small_filled_outlined');
  static const magnification_small_filled_sharp =
      _MaterialSymbolsData(0xfbc, 'magnification_small_filled_sharp');
  static const magnification_small_filled =
      _MaterialSymbolsData(0xfbd, 'magnification_small_filled');
  static const magnification_small_outlined =
      _MaterialSymbolsData(0xfbe, 'magnification_small_outlined');
  static const magnification_small_sharp =
      _MaterialSymbolsData(0xfbf, 'magnification_small_sharp');
  static const magnification_small =
      _MaterialSymbolsData(0xfc0, 'magnification_small');
  static const mail_filled_outlined =
      _MaterialSymbolsData(0xfc1, 'mail_filled_outlined');
  static const mail_filled_sharp =
      _MaterialSymbolsData(0xfc2, 'mail_filled_sharp');
  static const mail_filled = _MaterialSymbolsData(0xfc3, 'mail_filled');
  static const mail_lock_filled_outlined =
      _MaterialSymbolsData(0xfc4, 'mail_lock_filled_outlined');
  static const mail_lock_filled_sharp =
      _MaterialSymbolsData(0xfc5, 'mail_lock_filled_sharp');
  static const mail_lock_filled =
      _MaterialSymbolsData(0xfc6, 'mail_lock_filled');
  static const mail_lock_outlined =
      _MaterialSymbolsData(0xfc7, 'mail_lock_outlined');
  static const mail_lock_sharp = _MaterialSymbolsData(0xfc8, 'mail_lock_sharp');
  static const mail_lock = _MaterialSymbolsData(0xfc9, 'mail_lock');
  static const mail_outlined = _MaterialSymbolsData(0xfca, 'mail_outlined');
  static const mail_sharp = _MaterialSymbolsData(0xfcb, 'mail_sharp');
  static const mail = _MaterialSymbolsData(0xfcc, 'mail');
  static const male_filled_outlined =
      _MaterialSymbolsData(0xfcd, 'male_filled_outlined');
  static const male_filled_sharp =
      _MaterialSymbolsData(0xfce, 'male_filled_sharp');
  static const male_filled = _MaterialSymbolsData(0xfcf, 'male_filled');
  static const male_outlined = _MaterialSymbolsData(0xfd0, 'male_outlined');
  static const male_sharp = _MaterialSymbolsData(0xfd1, 'male_sharp');
  static const male = _MaterialSymbolsData(0xfd2, 'male');
  static const man_2_filled_outlined =
      _MaterialSymbolsData(0xfd3, 'man_2_filled_outlined');
  static const man_2_filled_sharp =
      _MaterialSymbolsData(0xfd4, 'man_2_filled_sharp');
  static const man_2_filled = _MaterialSymbolsData(0xfd5, 'man_2_filled');
  static const man_2_outlined = _MaterialSymbolsData(0xfd6, 'man_2_outlined');
  static const man_2_sharp = _MaterialSymbolsData(0xfd7, 'man_2_sharp');
  static const man_2 = _MaterialSymbolsData(0xfd8, 'man_2');
  static const man_3_filled_outlined =
      _MaterialSymbolsData(0xfd9, 'man_3_filled_outlined');
  static const man_3_filled_sharp =
      _MaterialSymbolsData(0xfda, 'man_3_filled_sharp');
  static const man_3_filled = _MaterialSymbolsData(0xfdb, 'man_3_filled');
  static const man_3_outlined = _MaterialSymbolsData(0xfdc, 'man_3_outlined');
  static const man_3_sharp = _MaterialSymbolsData(0xfdd, 'man_3_sharp');
  static const man_3 = _MaterialSymbolsData(0xfde, 'man_3');
  static const man_4_filled_outlined =
      _MaterialSymbolsData(0xfdf, 'man_4_filled_outlined');
  static const man_4_filled_sharp =
      _MaterialSymbolsData(0xfe0, 'man_4_filled_sharp');
  static const man_4_filled = _MaterialSymbolsData(0xfe1, 'man_4_filled');
  static const man_4_outlined = _MaterialSymbolsData(0xfe2, 'man_4_outlined');
  static const man_4_sharp = _MaterialSymbolsData(0xfe3, 'man_4_sharp');
  static const man_4 = _MaterialSymbolsData(0xfe4, 'man_4');
  static const man_filled_outlined =
      _MaterialSymbolsData(0xfe5, 'man_filled_outlined');
  static const man_filled_sharp =
      _MaterialSymbolsData(0xfe6, 'man_filled_sharp');
  static const man_filled = _MaterialSymbolsData(0xfe7, 'man_filled');
  static const man_outlined = _MaterialSymbolsData(0xfe8, 'man_outlined');
  static const man_sharp = _MaterialSymbolsData(0xfe9, 'man_sharp');
  static const man = _MaterialSymbolsData(0xfea, 'man');
  static const manage_accounts_filled_outlined =
      _MaterialSymbolsData(0xfeb, 'manage_accounts_filled_outlined');
  static const manage_accounts_filled_sharp =
      _MaterialSymbolsData(0xfec, 'manage_accounts_filled_sharp');
  static const manage_accounts_filled =
      _MaterialSymbolsData(0xfed, 'manage_accounts_filled');
  static const manage_accounts_outlined =
      _MaterialSymbolsData(0xfee, 'manage_accounts_outlined');
  static const manage_accounts_sharp =
      _MaterialSymbolsData(0xfef, 'manage_accounts_sharp');
  static const manage_accounts = _MaterialSymbolsData(0xff0, 'manage_accounts');
  static const manage_history_filled_outlined =
      _MaterialSymbolsData(0xff1, 'manage_history_filled_outlined');
  static const manage_history_filled_sharp =
      _MaterialSymbolsData(0xff2, 'manage_history_filled_sharp');
  static const manage_history_filled =
      _MaterialSymbolsData(0xff3, 'manage_history_filled');
  static const manage_history_outlined =
      _MaterialSymbolsData(0xff4, 'manage_history_outlined');
  static const manage_history_sharp =
      _MaterialSymbolsData(0xff5, 'manage_history_sharp');
  static const manage_history = _MaterialSymbolsData(0xff6, 'manage_history');
  static const manage_search_filled_outlined =
      _MaterialSymbolsData(0xff7, 'manage_search_filled_outlined');
  static const manage_search_filled_sharp =
      _MaterialSymbolsData(0xff8, 'manage_search_filled_sharp');
  static const manage_search_filled =
      _MaterialSymbolsData(0xff9, 'manage_search_filled');
  static const manage_search_outlined =
      _MaterialSymbolsData(0xffa, 'manage_search_outlined');
  static const manage_search_sharp =
      _MaterialSymbolsData(0xffb, 'manage_search_sharp');
  static const manage_search = _MaterialSymbolsData(0xffc, 'manage_search');
  static const map_filled_outlined =
      _MaterialSymbolsData(0xffd, 'map_filled_outlined');
  static const map_filled_sharp =
      _MaterialSymbolsData(0xffe, 'map_filled_sharp');
  static const map_filled = _MaterialSymbolsData(0xfff, 'map_filled');
  static const map_outlined = _MaterialSymbolsData(0x1, 'map_outlined');
  static const map_sharp = _MaterialSymbolsData(0x11, 'map_sharp');
  static const map = _MaterialSymbolsData(0x12, 'map');
  static const maps_ugc_filled_outlined =
      _MaterialSymbolsData(0x13, 'maps_ugc_filled_outlined');
  static const maps_ugc_filled_sharp =
      _MaterialSymbolsData(0x14, 'maps_ugc_filled_sharp');
  static const maps_ugc_filled = _MaterialSymbolsData(0x15, 'maps_ugc_filled');
  static const maps_ugc_outlined =
      _MaterialSymbolsData(0x16, 'maps_ugc_outlined');
  static const maps_ugc_sharp = _MaterialSymbolsData(0x17, 'maps_ugc_sharp');
  static const maps_ugc = _MaterialSymbolsData(0x18, 'maps_ugc');
  static const margin_filled_outlined =
      _MaterialSymbolsData(0x19, 'margin_filled_outlined');
  static const margin_filled_sharp =
      _MaterialSymbolsData(0x1a, 'margin_filled_sharp');
  static const margin_filled = _MaterialSymbolsData(0x1b, 'margin_filled');
  static const margin_outlined = _MaterialSymbolsData(0x1c, 'margin_outlined');
  static const margin_sharp = _MaterialSymbolsData(0x1d, 'margin_sharp');
  static const margin = _MaterialSymbolsData(0x1e, 'margin');
  static const mark_as_unread_filled_outlined =
      _MaterialSymbolsData(0x1f, 'mark_as_unread_filled_outlined');
  static const mark_as_unread_filled_sharp =
      _MaterialSymbolsData(0x110, 'mark_as_unread_filled_sharp');
  static const mark_as_unread_filled =
      _MaterialSymbolsData(0x111, 'mark_as_unread_filled');
  static const mark_as_unread_outlined =
      _MaterialSymbolsData(0x112, 'mark_as_unread_outlined');
  static const mark_as_unread_sharp =
      _MaterialSymbolsData(0x113, 'mark_as_unread_sharp');
  static const mark_as_unread = _MaterialSymbolsData(0x114, 'mark_as_unread');
  static const mark_chat_read_filled_outlined =
      _MaterialSymbolsData(0x115, 'mark_chat_read_filled_outlined');
  static const mark_chat_read_filled_sharp =
      _MaterialSymbolsData(0x116, 'mark_chat_read_filled_sharp');
  static const mark_chat_read_filled =
      _MaterialSymbolsData(0x117, 'mark_chat_read_filled');
  static const mark_chat_read_outlined =
      _MaterialSymbolsData(0x118, 'mark_chat_read_outlined');
  static const mark_chat_read_sharp =
      _MaterialSymbolsData(0x119, 'mark_chat_read_sharp');
  static const mark_chat_read = _MaterialSymbolsData(0x11a, 'mark_chat_read');
  static const mark_chat_unread_filled_outlined =
      _MaterialSymbolsData(0x11b, 'mark_chat_unread_filled_outlined');
  static const mark_chat_unread_filled_sharp =
      _MaterialSymbolsData(0x11c, 'mark_chat_unread_filled_sharp');
  static const mark_chat_unread_filled =
      _MaterialSymbolsData(0x11d, 'mark_chat_unread_filled');
  static const mark_chat_unread_outlined =
      _MaterialSymbolsData(0x11e, 'mark_chat_unread_outlined');
  static const mark_chat_unread_sharp =
      _MaterialSymbolsData(0x11f, 'mark_chat_unread_sharp');
  static const mark_chat_unread =
      _MaterialSymbolsData(0x120, 'mark_chat_unread');
  static const mark_email_read_filled_outlined =
      _MaterialSymbolsData(0x121, 'mark_email_read_filled_outlined');
  static const mark_email_read_filled_sharp =
      _MaterialSymbolsData(0x122, 'mark_email_read_filled_sharp');
  static const mark_email_read_filled =
      _MaterialSymbolsData(0x123, 'mark_email_read_filled');
  static const mark_email_read_outlined =
      _MaterialSymbolsData(0x124, 'mark_email_read_outlined');
  static const mark_email_read_sharp =
      _MaterialSymbolsData(0x125, 'mark_email_read_sharp');
  static const mark_email_read = _MaterialSymbolsData(0x126, 'mark_email_read');
  static const mark_email_unread_filled_outlined =
      _MaterialSymbolsData(0x127, 'mark_email_unread_filled_outlined');
  static const mark_email_unread_filled_sharp =
      _MaterialSymbolsData(0x128, 'mark_email_unread_filled_sharp');
  static const mark_email_unread_filled =
      _MaterialSymbolsData(0x129, 'mark_email_unread_filled');
  static const mark_email_unread_outlined =
      _MaterialSymbolsData(0x12a, 'mark_email_unread_outlined');
  static const mark_email_unread_sharp =
      _MaterialSymbolsData(0x12b, 'mark_email_unread_sharp');
  static const mark_email_unread =
      _MaterialSymbolsData(0x12c, 'mark_email_unread');
  static const mark_unread_chat_alt_filled_outlined =
      _MaterialSymbolsData(0x12d, 'mark_unread_chat_alt_filled_outlined');
  static const mark_unread_chat_alt_filled_sharp =
      _MaterialSymbolsData(0x12e, 'mark_unread_chat_alt_filled_sharp');
  static const mark_unread_chat_alt_filled =
      _MaterialSymbolsData(0x12f, 'mark_unread_chat_alt_filled');
  static const mark_unread_chat_alt_outlined =
      _MaterialSymbolsData(0x130, 'mark_unread_chat_alt_outlined');
  static const mark_unread_chat_alt_sharp =
      _MaterialSymbolsData(0x131, 'mark_unread_chat_alt_sharp');
  static const mark_unread_chat_alt =
      _MaterialSymbolsData(0x132, 'mark_unread_chat_alt');
  static const markunread_mailbox_filled_outlined =
      _MaterialSymbolsData(0x133, 'markunread_mailbox_filled_outlined');
  static const markunread_mailbox_filled_sharp =
      _MaterialSymbolsData(0x134, 'markunread_mailbox_filled_sharp');
  static const markunread_mailbox_filled =
      _MaterialSymbolsData(0x135, 'markunread_mailbox_filled');
  static const markunread_mailbox_outlined =
      _MaterialSymbolsData(0x136, 'markunread_mailbox_outlined');
  static const markunread_mailbox_sharp =
      _MaterialSymbolsData(0x137, 'markunread_mailbox_sharp');
  static const markunread_mailbox =
      _MaterialSymbolsData(0x138, 'markunread_mailbox');
  static const masks_filled_outlined =
      _MaterialSymbolsData(0x139, 'masks_filled_outlined');
  static const masks_filled_sharp =
      _MaterialSymbolsData(0x13a, 'masks_filled_sharp');
  static const masks_filled = _MaterialSymbolsData(0x13b, 'masks_filled');
  static const masks_outlined = _MaterialSymbolsData(0x13c, 'masks_outlined');
  static const masks_sharp = _MaterialSymbolsData(0x13d, 'masks_sharp');
  static const masks = _MaterialSymbolsData(0x13e, 'masks');
  static const matter_filled_outlined =
      _MaterialSymbolsData(0x13f, 'matter_filled_outlined');
  static const matter_filled_sharp =
      _MaterialSymbolsData(0x140, 'matter_filled_sharp');
  static const matter_filled = _MaterialSymbolsData(0x141, 'matter_filled');
  static const matter_outlined = _MaterialSymbolsData(0x142, 'matter_outlined');
  static const matter_sharp = _MaterialSymbolsData(0x143, 'matter_sharp');
  static const matter = _MaterialSymbolsData(0x144, 'matter');
  static const maximize_filled_outlined =
      _MaterialSymbolsData(0x145, 'maximize_filled_outlined');
  static const maximize_filled_sharp =
      _MaterialSymbolsData(0x146, 'maximize_filled_sharp');
  static const maximize_filled = _MaterialSymbolsData(0x147, 'maximize_filled');
  static const maximize_outlined =
      _MaterialSymbolsData(0x148, 'maximize_outlined');
  static const maximize_sharp = _MaterialSymbolsData(0x149, 'maximize_sharp');
  static const maximize = _MaterialSymbolsData(0x14a, 'maximize');
  static const media_bluetooth_off_filled_outlined =
      _MaterialSymbolsData(0x14b, 'media_bluetooth_off_filled_outlined');
  static const media_bluetooth_off_filled_sharp =
      _MaterialSymbolsData(0x14c, 'media_bluetooth_off_filled_sharp');
  static const media_bluetooth_off_filled =
      _MaterialSymbolsData(0x14d, 'media_bluetooth_off_filled');
  static const media_bluetooth_off_outlined =
      _MaterialSymbolsData(0x14e, 'media_bluetooth_off_outlined');
  static const media_bluetooth_off_sharp =
      _MaterialSymbolsData(0x14f, 'media_bluetooth_off_sharp');
  static const media_bluetooth_off =
      _MaterialSymbolsData(0x150, 'media_bluetooth_off');
  static const media_bluetooth_on_filled_outlined =
      _MaterialSymbolsData(0x151, 'media_bluetooth_on_filled_outlined');
  static const media_bluetooth_on_filled_sharp =
      _MaterialSymbolsData(0x152, 'media_bluetooth_on_filled_sharp');
  static const media_bluetooth_on_filled =
      _MaterialSymbolsData(0x153, 'media_bluetooth_on_filled');
  static const media_bluetooth_on_outlined =
      _MaterialSymbolsData(0x154, 'media_bluetooth_on_outlined');
  static const media_bluetooth_on_sharp =
      _MaterialSymbolsData(0x155, 'media_bluetooth_on_sharp');
  static const media_bluetooth_on =
      _MaterialSymbolsData(0x156, 'media_bluetooth_on');
  static const media_link_filled_outlined =
      _MaterialSymbolsData(0x157, 'media_link_filled_outlined');
  static const media_link_filled_sharp =
      _MaterialSymbolsData(0x158, 'media_link_filled_sharp');
  static const media_link_filled =
      _MaterialSymbolsData(0x159, 'media_link_filled');
  static const media_link_outlined =
      _MaterialSymbolsData(0x15a, 'media_link_outlined');
  static const media_link_sharp =
      _MaterialSymbolsData(0x15b, 'media_link_sharp');
  static const media_link = _MaterialSymbolsData(0x15c, 'media_link');
  static const mediation_filled_outlined =
      _MaterialSymbolsData(0x15d, 'mediation_filled_outlined');
  static const mediation_filled_sharp =
      _MaterialSymbolsData(0x15e, 'mediation_filled_sharp');
  static const mediation_filled =
      _MaterialSymbolsData(0x15f, 'mediation_filled');
  static const mediation_outlined =
      _MaterialSymbolsData(0x160, 'mediation_outlined');
  static const mediation_sharp = _MaterialSymbolsData(0x161, 'mediation_sharp');
  static const mediation = _MaterialSymbolsData(0x162, 'mediation');
  static const medical_information_filled_outlined =
      _MaterialSymbolsData(0x163, 'medical_information_filled_outlined');
  static const medical_information_filled_sharp =
      _MaterialSymbolsData(0x164, 'medical_information_filled_sharp');
  static const medical_information_filled =
      _MaterialSymbolsData(0x165, 'medical_information_filled');
  static const medical_information_outlined =
      _MaterialSymbolsData(0x166, 'medical_information_outlined');
  static const medical_information_sharp =
      _MaterialSymbolsData(0x167, 'medical_information_sharp');
  static const medical_information =
      _MaterialSymbolsData(0x168, 'medical_information');
  static const medical_mask_filled_outlined =
      _MaterialSymbolsData(0x169, 'medical_mask_filled_outlined');
  static const medical_mask_filled_sharp =
      _MaterialSymbolsData(0x16a, 'medical_mask_filled_sharp');
  static const medical_mask_filled =
      _MaterialSymbolsData(0x16b, 'medical_mask_filled');
  static const medical_mask_outlined =
      _MaterialSymbolsData(0x16c, 'medical_mask_outlined');
  static const medical_mask_sharp =
      _MaterialSymbolsData(0x16d, 'medical_mask_sharp');
  static const medical_mask = _MaterialSymbolsData(0x16e, 'medical_mask');
  static const medical_services_filled_outlined =
      _MaterialSymbolsData(0x16f, 'medical_services_filled_outlined');
  static const medical_services_filled_sharp =
      _MaterialSymbolsData(0x170, 'medical_services_filled_sharp');
  static const medical_services_filled =
      _MaterialSymbolsData(0x171, 'medical_services_filled');
  static const medical_services_outlined =
      _MaterialSymbolsData(0x172, 'medical_services_outlined');
  static const medical_services_sharp =
      _MaterialSymbolsData(0x173, 'medical_services_sharp');
  static const medical_services =
      _MaterialSymbolsData(0x174, 'medical_services');
  static const medication_filled_outlined =
      _MaterialSymbolsData(0x175, 'medication_filled_outlined');
  static const medication_filled_sharp =
      _MaterialSymbolsData(0x176, 'medication_filled_sharp');
  static const medication_filled =
      _MaterialSymbolsData(0x177, 'medication_filled');
  static const medication_liquid_filled_outlined =
      _MaterialSymbolsData(0x178, 'medication_liquid_filled_outlined');
  static const medication_liquid_filled_sharp =
      _MaterialSymbolsData(0x179, 'medication_liquid_filled_sharp');
  static const medication_liquid_filled =
      _MaterialSymbolsData(0x17a, 'medication_liquid_filled');
  static const medication_liquid_outlined =
      _MaterialSymbolsData(0x17b, 'medication_liquid_outlined');
  static const medication_liquid_sharp =
      _MaterialSymbolsData(0x17c, 'medication_liquid_sharp');
  static const medication_liquid =
      _MaterialSymbolsData(0x17d, 'medication_liquid');
  static const medication_outlined =
      _MaterialSymbolsData(0x17e, 'medication_outlined');
  static const medication_sharp =
      _MaterialSymbolsData(0x17f, 'medication_sharp');
  static const medication = _MaterialSymbolsData(0x180, 'medication');
  static const meeting_room_filled_outlined =
      _MaterialSymbolsData(0x181, 'meeting_room_filled_outlined');
  static const meeting_room_filled_sharp =
      _MaterialSymbolsData(0x182, 'meeting_room_filled_sharp');
  static const meeting_room_filled =
      _MaterialSymbolsData(0x183, 'meeting_room_filled');
  static const meeting_room_outlined =
      _MaterialSymbolsData(0x184, 'meeting_room_outlined');
  static const meeting_room_sharp =
      _MaterialSymbolsData(0x185, 'meeting_room_sharp');
  static const meeting_room = _MaterialSymbolsData(0x186, 'meeting_room');
  static const memory_filled_outlined =
      _MaterialSymbolsData(0x187, 'memory_filled_outlined');
  static const memory_filled_sharp =
      _MaterialSymbolsData(0x188, 'memory_filled_sharp');
  static const memory_filled = _MaterialSymbolsData(0x189, 'memory_filled');
  static const memory_outlined = _MaterialSymbolsData(0x18a, 'memory_outlined');
  static const memory_sharp = _MaterialSymbolsData(0x18b, 'memory_sharp');
  static const memory = _MaterialSymbolsData(0x18c, 'memory');
  static const menu_book_filled_outlined =
      _MaterialSymbolsData(0x18d, 'menu_book_filled_outlined');
  static const menu_book_filled_sharp =
      _MaterialSymbolsData(0x18e, 'menu_book_filled_sharp');
  static const menu_book_filled =
      _MaterialSymbolsData(0x18f, 'menu_book_filled');
  static const menu_book_outlined =
      _MaterialSymbolsData(0x190, 'menu_book_outlined');
  static const menu_book_sharp = _MaterialSymbolsData(0x191, 'menu_book_sharp');
  static const menu_book = _MaterialSymbolsData(0x192, 'menu_book');
  static const menu_filled_outlined =
      _MaterialSymbolsData(0x193, 'menu_filled_outlined');
  static const menu_filled_sharp =
      _MaterialSymbolsData(0x194, 'menu_filled_sharp');
  static const menu_filled = _MaterialSymbolsData(0x195, 'menu_filled');
  static const menu_open_filled_outlined =
      _MaterialSymbolsData(0x196, 'menu_open_filled_outlined');
  static const menu_open_filled_sharp =
      _MaterialSymbolsData(0x197, 'menu_open_filled_sharp');
  static const menu_open_filled =
      _MaterialSymbolsData(0x198, 'menu_open_filled');
  static const menu_open_outlined =
      _MaterialSymbolsData(0x199, 'menu_open_outlined');
  static const menu_open_sharp = _MaterialSymbolsData(0x19a, 'menu_open_sharp');
  static const menu_open = _MaterialSymbolsData(0x19b, 'menu_open');
  static const menu_outlined = _MaterialSymbolsData(0x19c, 'menu_outlined');
  static const menu_sharp = _MaterialSymbolsData(0x19d, 'menu_sharp');
  static const menu = _MaterialSymbolsData(0x19e, 'menu');
  static const merge_filled_outlined =
      _MaterialSymbolsData(0x19f, 'merge_filled_outlined');
  static const merge_filled_sharp =
      _MaterialSymbolsData(0x1a0, 'merge_filled_sharp');
  static const merge_filled = _MaterialSymbolsData(0x1a1, 'merge_filled');
  static const merge_outlined = _MaterialSymbolsData(0x1a2, 'merge_outlined');
  static const merge_sharp = _MaterialSymbolsData(0x1a3, 'merge_sharp');
  static const merge_type_filled_outlined =
      _MaterialSymbolsData(0x1a4, 'merge_type_filled_outlined');
  static const merge_type_filled_sharp =
      _MaterialSymbolsData(0x1a5, 'merge_type_filled_sharp');
  static const merge_type_filled =
      _MaterialSymbolsData(0x1a6, 'merge_type_filled');
  static const merge_type_outlined =
      _MaterialSymbolsData(0x1a7, 'merge_type_outlined');
  static const merge_type_sharp =
      _MaterialSymbolsData(0x1a8, 'merge_type_sharp');
  static const merge_type = _MaterialSymbolsData(0x1a9, 'merge_type');
  static const merge = _MaterialSymbolsData(0x1aa, 'merge');
  static const mfg_nest_yale_lock_filled_outlined =
      _MaterialSymbolsData(0x1ab, 'mfg_nest_yale_lock_filled_outlined');
  static const mfg_nest_yale_lock_filled_sharp =
      _MaterialSymbolsData(0x1ac, 'mfg_nest_yale_lock_filled_sharp');
  static const mfg_nest_yale_lock_filled =
      _MaterialSymbolsData(0x1ad, 'mfg_nest_yale_lock_filled');
  static const mfg_nest_yale_lock_outlined =
      _MaterialSymbolsData(0x1ae, 'mfg_nest_yale_lock_outlined');
  static const mfg_nest_yale_lock_sharp =
      _MaterialSymbolsData(0x1af, 'mfg_nest_yale_lock_sharp');
  static const mfg_nest_yale_lock =
      _MaterialSymbolsData(0x1b0, 'mfg_nest_yale_lock');
  static const mic_external_off_filled_outlined =
      _MaterialSymbolsData(0x1b1, 'mic_external_off_filled_outlined');
  static const mic_external_off_filled_sharp =
      _MaterialSymbolsData(0x1b2, 'mic_external_off_filled_sharp');
  static const mic_external_off_filled =
      _MaterialSymbolsData(0x1b3, 'mic_external_off_filled');
  static const mic_external_off_outlined =
      _MaterialSymbolsData(0x1b4, 'mic_external_off_outlined');
  static const mic_external_off_sharp =
      _MaterialSymbolsData(0x1b5, 'mic_external_off_sharp');
  static const mic_external_off =
      _MaterialSymbolsData(0x1b6, 'mic_external_off');
  static const mic_external_on_filled_outlined =
      _MaterialSymbolsData(0x1b7, 'mic_external_on_filled_outlined');
  static const mic_external_on_filled_sharp =
      _MaterialSymbolsData(0x1b8, 'mic_external_on_filled_sharp');
  static const mic_external_on_filled =
      _MaterialSymbolsData(0x1b9, 'mic_external_on_filled');
  static const mic_external_on_outlined =
      _MaterialSymbolsData(0x1ba, 'mic_external_on_outlined');
  static const mic_external_on_sharp =
      _MaterialSymbolsData(0x1bb, 'mic_external_on_sharp');
  static const mic_external_on = _MaterialSymbolsData(0x1bc, 'mic_external_on');
  static const mic_filled_outlined =
      _MaterialSymbolsData(0x1bd, 'mic_filled_outlined');
  static const mic_filled_sharp =
      _MaterialSymbolsData(0x1be, 'mic_filled_sharp');
  static const mic_filled = _MaterialSymbolsData(0x1bf, 'mic_filled');
  static const mic_off_filled_outlined =
      _MaterialSymbolsData(0x1c0, 'mic_off_filled_outlined');
  static const mic_off_filled_sharp =
      _MaterialSymbolsData(0x1c1, 'mic_off_filled_sharp');
  static const mic_off_filled = _MaterialSymbolsData(0x1c2, 'mic_off_filled');
  static const mic_off_outlined =
      _MaterialSymbolsData(0x1c3, 'mic_off_outlined');
  static const mic_off_sharp = _MaterialSymbolsData(0x1c4, 'mic_off_sharp');
  static const mic_off = _MaterialSymbolsData(0x1c5, 'mic_off');
  static const mic_outlined = _MaterialSymbolsData(0x1c6, 'mic_outlined');
  static const mic_sharp = _MaterialSymbolsData(0x1c7, 'mic_sharp');
  static const mic = _MaterialSymbolsData(0x1c8, 'mic');
  static const microbiology_filled_outlined =
      _MaterialSymbolsData(0x1c9, 'microbiology_filled_outlined');
  static const microbiology_filled_sharp =
      _MaterialSymbolsData(0x1ca, 'microbiology_filled_sharp');
  static const microbiology_filled =
      _MaterialSymbolsData(0x1cb, 'microbiology_filled');
  static const microbiology_outlined =
      _MaterialSymbolsData(0x1cc, 'microbiology_outlined');
  static const microbiology_sharp =
      _MaterialSymbolsData(0x1cd, 'microbiology_sharp');
  static const microbiology = _MaterialSymbolsData(0x1ce, 'microbiology');
  static const microwave_filled_outlined =
      _MaterialSymbolsData(0x1cf, 'microwave_filled_outlined');
  static const microwave_filled_sharp =
      _MaterialSymbolsData(0x1d0, 'microwave_filled_sharp');
  static const microwave_filled =
      _MaterialSymbolsData(0x1d1, 'microwave_filled');
  static const microwave_gen_filled_outlined =
      _MaterialSymbolsData(0x1d2, 'microwave_gen_filled_outlined');
  static const microwave_gen_filled_sharp =
      _MaterialSymbolsData(0x1d3, 'microwave_gen_filled_sharp');
  static const microwave_gen_filled =
      _MaterialSymbolsData(0x1d4, 'microwave_gen_filled');
  static const microwave_gen_outlined =
      _MaterialSymbolsData(0x1d5, 'microwave_gen_outlined');
  static const microwave_gen_sharp =
      _MaterialSymbolsData(0x1d6, 'microwave_gen_sharp');
  static const microwave_gen = _MaterialSymbolsData(0x1d7, 'microwave_gen');
  static const microwave_outlined =
      _MaterialSymbolsData(0x1d8, 'microwave_outlined');
  static const microwave_sharp = _MaterialSymbolsData(0x1d9, 'microwave_sharp');
  static const microwave = _MaterialSymbolsData(0x1da, 'microwave');
  static const military_tech_filled_outlined =
      _MaterialSymbolsData(0x1db, 'military_tech_filled_outlined');
  static const military_tech_filled_sharp =
      _MaterialSymbolsData(0x1dc, 'military_tech_filled_sharp');
  static const military_tech_filled =
      _MaterialSymbolsData(0x1dd, 'military_tech_filled');
  static const military_tech_outlined =
      _MaterialSymbolsData(0x1de, 'military_tech_outlined');
  static const military_tech_sharp =
      _MaterialSymbolsData(0x1df, 'military_tech_sharp');
  static const military_tech = _MaterialSymbolsData(0x1e0, 'military_tech');
  static const minimize_filled_outlined =
      _MaterialSymbolsData(0x1e1, 'minimize_filled_outlined');
  static const minimize_filled_sharp =
      _MaterialSymbolsData(0x1e2, 'minimize_filled_sharp');
  static const minimize_filled = _MaterialSymbolsData(0x1e3, 'minimize_filled');
  static const minimize_outlined =
      _MaterialSymbolsData(0x1e4, 'minimize_outlined');
  static const minimize_sharp = _MaterialSymbolsData(0x1e5, 'minimize_sharp');
  static const minimize = _MaterialSymbolsData(0x1e6, 'minimize');
  static const minor_crash_filled_outlined =
      _MaterialSymbolsData(0x1e7, 'minor_crash_filled_outlined');
  static const minor_crash_filled_sharp =
      _MaterialSymbolsData(0x1e8, 'minor_crash_filled_sharp');
  static const minor_crash_filled =
      _MaterialSymbolsData(0x1e9, 'minor_crash_filled');
  static const minor_crash_outlined =
      _MaterialSymbolsData(0x1ea, 'minor_crash_outlined');
  static const minor_crash_sharp =
      _MaterialSymbolsData(0x1eb, 'minor_crash_sharp');
  static const minor_crash = _MaterialSymbolsData(0x1ec, 'minor_crash');
  static const missed_video_call_filled_outlined =
      _MaterialSymbolsData(0x1ed, 'missed_video_call_filled_outlined');
  static const missed_video_call_filled_sharp =
      _MaterialSymbolsData(0x1ee, 'missed_video_call_filled_sharp');
  static const missed_video_call_filled =
      _MaterialSymbolsData(0x1ef, 'missed_video_call_filled');
  static const missed_video_call_outlined =
      _MaterialSymbolsData(0x1f0, 'missed_video_call_outlined');
  static const missed_video_call_sharp =
      _MaterialSymbolsData(0x1f1, 'missed_video_call_sharp');
  static const missed_video_call =
      _MaterialSymbolsData(0x1f2, 'missed_video_call');
  static const mixture_med_filled_outlined =
      _MaterialSymbolsData(0x1f3, 'mixture_med_filled_outlined');
  static const mixture_med_filled_sharp =
      _MaterialSymbolsData(0x1f4, 'mixture_med_filled_sharp');
  static const mixture_med_filled =
      _MaterialSymbolsData(0x1f5, 'mixture_med_filled');
  static const mixture_med_outlined =
      _MaterialSymbolsData(0x1f6, 'mixture_med_outlined');
  static const mixture_med_sharp =
      _MaterialSymbolsData(0x1f7, 'mixture_med_sharp');
  static const mixture_med = _MaterialSymbolsData(0x1f8, 'mixture_med');
  static const mms_filled_outlined =
      _MaterialSymbolsData(0x1f9, 'mms_filled_outlined');
  static const mms_filled_sharp =
      _MaterialSymbolsData(0x1fa, 'mms_filled_sharp');
  static const mms_filled = _MaterialSymbolsData(0x1fb, 'mms_filled');
  static const mms_outlined = _MaterialSymbolsData(0x1fc, 'mms_outlined');
  static const mms_sharp = _MaterialSymbolsData(0x1fd, 'mms_sharp');
  static const mms = _MaterialSymbolsData(0x1fe, 'mms');
  static const mobile_friendly_filled_outlined =
      _MaterialSymbolsData(0x1ff, 'mobile_friendly_filled_outlined');
  static const mobile_friendly_filled_sharp =
      _MaterialSymbolsData(0x11, 'mobile_friendly_filled_sharp');
  static const mobile_friendly_filled =
      _MaterialSymbolsData(0x111, 'mobile_friendly_filled');
  static const mobile_friendly_outlined =
      _MaterialSymbolsData(0x112, 'mobile_friendly_outlined');
  static const mobile_friendly_sharp =
      _MaterialSymbolsData(0x113, 'mobile_friendly_sharp');
  static const mobile_friendly = _MaterialSymbolsData(0x114, 'mobile_friendly');
  static const mobile_off_filled_outlined =
      _MaterialSymbolsData(0x115, 'mobile_off_filled_outlined');
  static const mobile_off_filled_sharp =
      _MaterialSymbolsData(0x116, 'mobile_off_filled_sharp');
  static const mobile_off_filled =
      _MaterialSymbolsData(0x117, 'mobile_off_filled');
  static const mobile_off_outlined =
      _MaterialSymbolsData(0x118, 'mobile_off_outlined');
  static const mobile_off_sharp =
      _MaterialSymbolsData(0x119, 'mobile_off_sharp');
  static const mobile_off = _MaterialSymbolsData(0x11a, 'mobile_off');
  static const mobile_screen_share_filled_outlined =
      _MaterialSymbolsData(0x110b, 'mobile_screen_share_filled_outlined');
  static const mobile_screen_share_filled_sharp =
      _MaterialSymbolsData(0x110c, 'mobile_screen_share_filled_sharp');
  static const mobile_screen_share_filled =
      _MaterialSymbolsData(0x110d, 'mobile_screen_share_filled');
  static const mobile_screen_share_outlined =
      _MaterialSymbolsData(0x110e, 'mobile_screen_share_outlined');
  static const mobile_screen_share_sharp =
      _MaterialSymbolsData(0x110f, 'mobile_screen_share_sharp');
  static const mobile_screen_share =
      _MaterialSymbolsData(0x1110, 'mobile_screen_share');
  static const mobiledata_off_filled_outlined =
      _MaterialSymbolsData(0x111, 'mobiledata_off_filled_outlined');
  static const mobiledata_off_filled_sharp =
      _MaterialSymbolsData(0x1112, 'mobiledata_off_filled_sharp');
  static const mobiledata_off_filled =
      _MaterialSymbolsData(0x1113, 'mobiledata_off_filled');
  static const mobiledata_off_outlined =
      _MaterialSymbolsData(0x1114, 'mobiledata_off_outlined');
  static const mobiledata_off_sharp =
      _MaterialSymbolsData(0x1115, 'mobiledata_off_sharp');
  static const mobiledata_off = _MaterialSymbolsData(0x1116, 'mobiledata_off');
  static const mode_comment_filled_outlined =
      _MaterialSymbolsData(0x1117, 'mode_comment_filled_outlined');
  static const mode_comment_filled_sharp =
      _MaterialSymbolsData(0x1118, 'mode_comment_filled_sharp');
  static const mode_comment_filled =
      _MaterialSymbolsData(0x1119, 'mode_comment_filled');
  static const mode_comment_outlined =
      _MaterialSymbolsData(0x111a, 'mode_comment_outlined');
  static const mode_comment_sharp =
      _MaterialSymbolsData(0x111b, 'mode_comment_sharp');
  static const mode_comment = _MaterialSymbolsData(0x111c, 'mode_comment');
  static const mode_cool_filled_outlined =
      _MaterialSymbolsData(0x111d, 'mode_cool_filled_outlined');
  static const mode_cool_filled_sharp =
      _MaterialSymbolsData(0x111e, 'mode_cool_filled_sharp');
  static const mode_cool_filled =
      _MaterialSymbolsData(0x111f, 'mode_cool_filled');
  static const mode_cool_off_filled_outlined =
      _MaterialSymbolsData(0x1120, 'mode_cool_off_filled_outlined');
  static const mode_cool_off_filled_sharp =
      _MaterialSymbolsData(0x1121, 'mode_cool_off_filled_sharp');
  static const mode_cool_off_filled =
      _MaterialSymbolsData(0x1122, 'mode_cool_off_filled');
  static const mode_cool_off_outlined =
      _MaterialSymbolsData(0x1123, 'mode_cool_off_outlined');
  static const mode_cool_off_sharp =
      _MaterialSymbolsData(0x1124, 'mode_cool_off_sharp');
  static const mode_cool_off = _MaterialSymbolsData(0x1125, 'mode_cool_off');
  static const mode_cool_outlined =
      _MaterialSymbolsData(0x1126, 'mode_cool_outlined');
  static const mode_cool_sharp =
      _MaterialSymbolsData(0x1127, 'mode_cool_sharp');
  static const mode_cool = _MaterialSymbolsData(0x1128, 'mode_cool');
  static const mode_fan_filled_outlined =
      _MaterialSymbolsData(0x1129, 'mode_fan_filled_outlined');
  static const mode_fan_filled_sharp =
      _MaterialSymbolsData(0x112a, 'mode_fan_filled_sharp');
  static const mode_fan_filled =
      _MaterialSymbolsData(0x112b, 'mode_fan_filled');
  static const mode_fan_off_filled_outlined =
      _MaterialSymbolsData(0x112c, 'mode_fan_off_filled_outlined');
  static const mode_fan_off_filled_sharp =
      _MaterialSymbolsData(0x112d, 'mode_fan_off_filled_sharp');
  static const mode_fan_off_filled =
      _MaterialSymbolsData(0x112e, 'mode_fan_off_filled');
  static const mode_fan_off_outlined =
      _MaterialSymbolsData(0x112f, 'mode_fan_off_outlined');
  static const mode_fan_off_sharp =
      _MaterialSymbolsData(0x1130, 'mode_fan_off_sharp');
  static const mode_fan_off = _MaterialSymbolsData(0x1131, 'mode_fan_off');
  static const mode_fan_outlined =
      _MaterialSymbolsData(0x1132, 'mode_fan_outlined');
  static const mode_fan_sharp = _MaterialSymbolsData(0x1133, 'mode_fan_sharp');
  static const mode_fan = _MaterialSymbolsData(0x1134, 'mode_fan');
  static const mode_heat_cool_filled_outlined =
      _MaterialSymbolsData(0x1135, 'mode_heat_cool_filled_outlined');
  static const mode_heat_cool_filled_sharp =
      _MaterialSymbolsData(0x1136, 'mode_heat_cool_filled_sharp');
  static const mode_heat_cool_filled =
      _MaterialSymbolsData(0x1137, 'mode_heat_cool_filled');
  static const mode_heat_cool_outlined =
      _MaterialSymbolsData(0x1138, 'mode_heat_cool_outlined');
  static const mode_heat_cool_sharp =
      _MaterialSymbolsData(0x1139, 'mode_heat_cool_sharp');
  static const mode_heat_cool = _MaterialSymbolsData(0x113a, 'mode_heat_cool');
  static const mode_heat_filled_outlined =
      _MaterialSymbolsData(0x113b, 'mode_heat_filled_outlined');
  static const mode_heat_filled_sharp =
      _MaterialSymbolsData(0x113c, 'mode_heat_filled_sharp');
  static const mode_heat_filled =
      _MaterialSymbolsData(0x113d, 'mode_heat_filled');
  static const mode_heat_off_filled_outlined =
      _MaterialSymbolsData(0x113e, 'mode_heat_off_filled_outlined');
  static const mode_heat_off_filled_sharp =
      _MaterialSymbolsData(0x113f, 'mode_heat_off_filled_sharp');
  static const mode_heat_off_filled =
      _MaterialSymbolsData(0x1140, 'mode_heat_off_filled');
  static const mode_heat_off_outlined =
      _MaterialSymbolsData(0x1141, 'mode_heat_off_outlined');
  static const mode_heat_off_sharp =
      _MaterialSymbolsData(0x1142, 'mode_heat_off_sharp');
  static const mode_heat_off = _MaterialSymbolsData(0x1143, 'mode_heat_off');
  static const mode_heat_outlined =
      _MaterialSymbolsData(0x1144, 'mode_heat_outlined');
  static const mode_heat_sharp =
      _MaterialSymbolsData(0x1145, 'mode_heat_sharp');
  static const mode_heat = _MaterialSymbolsData(0x1146, 'mode_heat');
  static const mode_night_filled_outlined =
      _MaterialSymbolsData(0x1147, 'mode_night_filled_outlined');
  static const mode_night_filled_sharp =
      _MaterialSymbolsData(0x1148, 'mode_night_filled_sharp');
  static const mode_night_filled =
      _MaterialSymbolsData(0x1149, 'mode_night_filled');
  static const mode_night_outlined =
      _MaterialSymbolsData(0x114a, 'mode_night_outlined');
  static const mode_night_sharp =
      _MaterialSymbolsData(0x114b, 'mode_night_sharp');
  static const mode_night = _MaterialSymbolsData(0x114c, 'mode_night');
  static const mode_of_travel_filled_outlined =
      _MaterialSymbolsData(0x114d, 'mode_of_travel_filled_outlined');
  static const mode_of_travel_filled_sharp =
      _MaterialSymbolsData(0x114e, 'mode_of_travel_filled_sharp');
  static const mode_of_travel_filled =
      _MaterialSymbolsData(0x114f, 'mode_of_travel_filled');
  static const mode_of_travel_outlined =
      _MaterialSymbolsData(0x1150, 'mode_of_travel_outlined');
  static const mode_of_travel_sharp =
      _MaterialSymbolsData(0x1151, 'mode_of_travel_sharp');
  static const mode_of_travel = _MaterialSymbolsData(0x1152, 'mode_of_travel');
  static const mode_off_on_filled_outlined =
      _MaterialSymbolsData(0x1153, 'mode_off_on_filled_outlined');
  static const mode_off_on_filled_sharp =
      _MaterialSymbolsData(0x1154, 'mode_off_on_filled_sharp');
  static const mode_off_on_filled =
      _MaterialSymbolsData(0x1155, 'mode_off_on_filled');
  static const mode_off_on_outlined =
      _MaterialSymbolsData(0x1156, 'mode_off_on_outlined');
  static const mode_off_on_sharp =
      _MaterialSymbolsData(0x1157, 'mode_off_on_sharp');
  static const mode_off_on = _MaterialSymbolsData(0x1158, 'mode_off_on');
  static const mode_standby_filled_outlined =
      _MaterialSymbolsData(0x1159, 'mode_standby_filled_outlined');
  static const mode_standby_filled_sharp =
      _MaterialSymbolsData(0x115a, 'mode_standby_filled_sharp');
  static const mode_standby_filled =
      _MaterialSymbolsData(0x115b, 'mode_standby_filled');
  static const mode_standby_outlined =
      _MaterialSymbolsData(0x115c, 'mode_standby_outlined');
  static const mode_standby_sharp =
      _MaterialSymbolsData(0x115d, 'mode_standby_sharp');
  static const mode_standby = _MaterialSymbolsData(0x115e, 'mode_standby');
  static const model_training_filled_outlined =
      _MaterialSymbolsData(0x115f, 'model_training_filled_outlined');
  static const model_training_filled_sharp =
      _MaterialSymbolsData(0x1160, 'model_training_filled_sharp');
  static const model_training_filled =
      _MaterialSymbolsData(0x1161, 'model_training_filled');
  static const model_training_outlined =
      _MaterialSymbolsData(0x1162, 'model_training_outlined');
  static const model_training_sharp =
      _MaterialSymbolsData(0x1163, 'model_training_sharp');
  static const model_training = _MaterialSymbolsData(0x1164, 'model_training');
  static const monetization_on_filled_outlined =
      _MaterialSymbolsData(0x1165, 'monetization_on_filled_outlined');
  static const monetization_on_filled_sharp =
      _MaterialSymbolsData(0x1166, 'monetization_on_filled_sharp');
  static const monetization_on_filled =
      _MaterialSymbolsData(0x1167, 'monetization_on_filled');
  static const monetization_on_outlined =
      _MaterialSymbolsData(0x1168, 'monetization_on_outlined');
  static const monetization_on_sharp =
      _MaterialSymbolsData(0x1169, 'monetization_on_sharp');
  static const monetization_on =
      _MaterialSymbolsData(0x116a, 'monetization_on');
  static const money_filled_outlined =
      _MaterialSymbolsData(0x116b, 'money_filled_outlined');
  static const money_filled_sharp =
      _MaterialSymbolsData(0x116c, 'money_filled_sharp');
  static const money_filled = _MaterialSymbolsData(0x116d, 'money_filled');
  static const money_off_filled_outlined =
      _MaterialSymbolsData(0x116e, 'money_off_filled_outlined');
  static const money_off_filled_sharp =
      _MaterialSymbolsData(0x116f, 'money_off_filled_sharp');
  static const money_off_filled =
      _MaterialSymbolsData(0x1170, 'money_off_filled');
  static const money_off_outlined =
      _MaterialSymbolsData(0x1171, 'money_off_outlined');
  static const money_off_sharp =
      _MaterialSymbolsData(0x1172, 'money_off_sharp');
  static const money_off = _MaterialSymbolsData(0x1173, 'money_off');
  static const money_outlined = _MaterialSymbolsData(0x1174, 'money_outlined');
  static const money_sharp = _MaterialSymbolsData(0x1175, 'money_sharp');
  static const money = _MaterialSymbolsData(0x1176, 'money');
  static const monitor_filled_outlined =
      _MaterialSymbolsData(0x1177, 'monitor_filled_outlined');
  static const monitor_filled_sharp =
      _MaterialSymbolsData(0x1178, 'monitor_filled_sharp');
  static const monitor_filled = _MaterialSymbolsData(0x1179, 'monitor_filled');
  static const monitor_heart_filled_outlined =
      _MaterialSymbolsData(0x117a, 'monitor_heart_filled_outlined');
  static const monitor_heart_filled_sharp =
      _MaterialSymbolsData(0x117b, 'monitor_heart_filled_sharp');
  static const monitor_heart_filled =
      _MaterialSymbolsData(0x117c, 'monitor_heart_filled');
  static const monitor_heart_outlined =
      _MaterialSymbolsData(0x117d, 'monitor_heart_outlined');
  static const monitor_heart_sharp =
      _MaterialSymbolsData(0x117e, 'monitor_heart_sharp');
  static const monitor_heart = _MaterialSymbolsData(0x117f, 'monitor_heart');
  static const monitor_outlined =
      _MaterialSymbolsData(0x1180, 'monitor_outlined');
  static const monitor_sharp = _MaterialSymbolsData(0x1181, 'monitor_sharp');
  static const monitor_weight_filled_outlined =
      _MaterialSymbolsData(0x1182, 'monitor_weight_filled_outlined');
  static const monitor_weight_filled_sharp =
      _MaterialSymbolsData(0x1183, 'monitor_weight_filled_sharp');
  static const monitor_weight_filled =
      _MaterialSymbolsData(0x1184, 'monitor_weight_filled');
  static const monitor_weight_outlined =
      _MaterialSymbolsData(0x1185, 'monitor_weight_outlined');
  static const monitor_weight_sharp =
      _MaterialSymbolsData(0x1186, 'monitor_weight_sharp');
  static const monitor_weight = _MaterialSymbolsData(0x1187, 'monitor_weight');
  static const monitor = _MaterialSymbolsData(0x1188, 'monitor');
  static const monitoring_filled_outlined =
      _MaterialSymbolsData(0x1189, 'monitoring_filled_outlined');
  static const monitoring_filled_sharp =
      _MaterialSymbolsData(0x118a, 'monitoring_filled_sharp');
  static const monitoring_filled =
      _MaterialSymbolsData(0x118b, 'monitoring_filled');
  static const monitoring_outlined =
      _MaterialSymbolsData(0x118c, 'monitoring_outlined');
  static const monitoring_sharp =
      _MaterialSymbolsData(0x118d, 'monitoring_sharp');
  static const monitoring = _MaterialSymbolsData(0x118e, 'monitoring');
  static const monochrome_photos_filled_outlined =
      _MaterialSymbolsData(0x118f, 'monochrome_photos_filled_outlined');
  static const monochrome_photos_filled_sharp =
      _MaterialSymbolsData(0x1190, 'monochrome_photos_filled_sharp');
  static const monochrome_photos_filled =
      _MaterialSymbolsData(0x1191, 'monochrome_photos_filled');
  static const monochrome_photos_outlined =
      _MaterialSymbolsData(0x1192, 'monochrome_photos_outlined');
  static const monochrome_photos_sharp =
      _MaterialSymbolsData(0x1193, 'monochrome_photos_sharp');
  static const monochrome_photos =
      _MaterialSymbolsData(0x1194, 'monochrome_photos');
  static const mood_bad_filled_outlined =
      _MaterialSymbolsData(0x1195, 'mood_bad_filled_outlined');
  static const mood_bad_filled_sharp =
      _MaterialSymbolsData(0x1196, 'mood_bad_filled_sharp');
  static const mood_bad_filled =
      _MaterialSymbolsData(0x1197, 'mood_bad_filled');
  static const mood_bad_outlined =
      _MaterialSymbolsData(0x1198, 'mood_bad_outlined');
  static const mood_bad_sharp = _MaterialSymbolsData(0x1199, 'mood_bad_sharp');
  static const mood_bad = _MaterialSymbolsData(0x119a, 'mood_bad');
  static const mood_filled_outlined =
      _MaterialSymbolsData(0x119b, 'mood_filled_outlined');
  static const mood_filled_sharp =
      _MaterialSymbolsData(0x119c, 'mood_filled_sharp');
  static const mood_filled = _MaterialSymbolsData(0x119d, 'mood_filled');
  static const mood_outlined = _MaterialSymbolsData(0x119e, 'mood_outlined');
  static const mood_sharp = _MaterialSymbolsData(0x119f, 'mood_sharp');
  static const mood = _MaterialSymbolsData(0x11a0, 'mood');
  static const mop_filled_outlined =
      _MaterialSymbolsData(0x11a1, 'mop_filled_outlined');
  static const mop_filled_sharp =
      _MaterialSymbolsData(0x11a2, 'mop_filled_sharp');
  static const mop_filled = _MaterialSymbolsData(0x11a3, 'mop_filled');
  static const mop_outlined = _MaterialSymbolsData(0x11a4, 'mop_outlined');
  static const mop_sharp = _MaterialSymbolsData(0x11a5, 'mop_sharp');
  static const mop = _MaterialSymbolsData(0x11a6, 'mop');
  static const more_down_filled_outlined =
      _MaterialSymbolsData(0x11a7, 'more_down_filled_outlined');
  static const more_down_filled_sharp =
      _MaterialSymbolsData(0x11a8, 'more_down_filled_sharp');
  static const more_down_filled =
      _MaterialSymbolsData(0x11a9, 'more_down_filled');
  static const more_down_outlined =
      _MaterialSymbolsData(0x11aa, 'more_down_outlined');
  static const more_down_sharp =
      _MaterialSymbolsData(0x11ab, 'more_down_sharp');
  static const more_down = _MaterialSymbolsData(0x11ac, 'more_down');
  static const more_filled_outlined =
      _MaterialSymbolsData(0x11ad, 'more_filled_outlined');
  static const more_filled_sharp =
      _MaterialSymbolsData(0x11ae, 'more_filled_sharp');
  static const more_filled = _MaterialSymbolsData(0x11af, 'more_filled');
  static const more_horiz_filled_outlined =
      _MaterialSymbolsData(0x11b0, 'more_horiz_filled_outlined');
  static const more_horiz_filled_sharp =
      _MaterialSymbolsData(0x11b1, 'more_horiz_filled_sharp');
  static const more_horiz_filled =
      _MaterialSymbolsData(0x11b2, 'more_horiz_filled');
  static const more_horiz_outlined =
      _MaterialSymbolsData(0x11b3, 'more_horiz_outlined');
  static const more_horiz_sharp =
      _MaterialSymbolsData(0x11b4, 'more_horiz_sharp');
  static const more_horiz = _MaterialSymbolsData(0x11b5, 'more_horiz');
  static const more_outlined = _MaterialSymbolsData(0x11b6, 'more_outlined');
  static const more_sharp = _MaterialSymbolsData(0x11b7, 'more_sharp');
  static const more_time_filled_outlined =
      _MaterialSymbolsData(0x11b8, 'more_time_filled_outlined');
  static const more_time_filled_sharp =
      _MaterialSymbolsData(0x11b9, 'more_time_filled_sharp');
  static const more_time_filled =
      _MaterialSymbolsData(0x11ba, 'more_time_filled');
  static const more_time_outlined =
      _MaterialSymbolsData(0x11bb, 'more_time_outlined');
  static const more_time_sharp =
      _MaterialSymbolsData(0x11bc, 'more_time_sharp');
  static const more_time = _MaterialSymbolsData(0x11bd, 'more_time');
  static const more_up_filled_outlined =
      _MaterialSymbolsData(0x11be, 'more_up_filled_outlined');
  static const more_up_filled_sharp =
      _MaterialSymbolsData(0x11bf, 'more_up_filled_sharp');
  static const more_up_filled = _MaterialSymbolsData(0x11c0, 'more_up_filled');
  static const more_up_outlined =
      _MaterialSymbolsData(0x11c1, 'more_up_outlined');
  static const more_up_sharp = _MaterialSymbolsData(0x11c2, 'more_up_sharp');
  static const more_up = _MaterialSymbolsData(0x11c3, 'more_up');
  static const more_vert_filled_outlined =
      _MaterialSymbolsData(0x11c4, 'more_vert_filled_outlined');
  static const more_vert_filled_sharp =
      _MaterialSymbolsData(0x11c5, 'more_vert_filled_sharp');
  static const more_vert_filled =
      _MaterialSymbolsData(0x11c6, 'more_vert_filled');
  static const more_vert_outlined =
      _MaterialSymbolsData(0x11c7, 'more_vert_outlined');
  static const more_vert_sharp =
      _MaterialSymbolsData(0x11c8, 'more_vert_sharp');
  static const more_vert = _MaterialSymbolsData(0x11c9, 'more_vert');
  static const more = _MaterialSymbolsData(0x11ca, 'more');
  static const mosque_filled_outlined =
      _MaterialSymbolsData(0x11cb, 'mosque_filled_outlined');
  static const mosque_filled_sharp =
      _MaterialSymbolsData(0x11cc, 'mosque_filled_sharp');
  static const mosque_filled = _MaterialSymbolsData(0x11cd, 'mosque_filled');
  static const mosque_outlined =
      _MaterialSymbolsData(0x11ce, 'mosque_outlined');
  static const mosque_sharp = _MaterialSymbolsData(0x11cf, 'mosque_sharp');
  static const mosque = _MaterialSymbolsData(0x11d0, 'mosque');
  static const motion_blur_filled_outlined =
      _MaterialSymbolsData(0x11d1, 'motion_blur_filled_outlined');
  static const motion_blur_filled_sharp =
      _MaterialSymbolsData(0x11d2, 'motion_blur_filled_sharp');
  static const motion_blur_filled =
      _MaterialSymbolsData(0x11d3, 'motion_blur_filled');
  static const motion_blur_outlined =
      _MaterialSymbolsData(0x11d4, 'motion_blur_outlined');
  static const motion_blur_sharp =
      _MaterialSymbolsData(0x11d5, 'motion_blur_sharp');
  static const motion_blur = _MaterialSymbolsData(0x11d6, 'motion_blur');
  static const motion_mode_filled_outlined =
      _MaterialSymbolsData(0x11d7, 'motion_mode_filled_outlined');
  static const motion_mode_filled_sharp =
      _MaterialSymbolsData(0x11d8, 'motion_mode_filled_sharp');
  static const motion_mode_filled =
      _MaterialSymbolsData(0x11d9, 'motion_mode_filled');
  static const motion_mode_outlined =
      _MaterialSymbolsData(0x11da, 'motion_mode_outlined');
  static const motion_mode_sharp =
      _MaterialSymbolsData(0x11db, 'motion_mode_sharp');
  static const motion_mode = _MaterialSymbolsData(0x11dc, 'motion_mode');
  static const motion_photos_auto_filled_outlined =
      _MaterialSymbolsData(0x11dd, 'motion_photos_auto_filled_outlined');
  static const motion_photos_auto_filled_sharp =
      _MaterialSymbolsData(0x11de, 'motion_photos_auto_filled_sharp');
  static const motion_photos_auto_filled =
      _MaterialSymbolsData(0x11df, 'motion_photos_auto_filled');
  static const motion_photos_auto_outlined =
      _MaterialSymbolsData(0x11e0, 'motion_photos_auto_outlined');
  static const motion_photos_auto_sharp =
      _MaterialSymbolsData(0x11e1, 'motion_photos_auto_sharp');
  static const motion_photos_auto =
      _MaterialSymbolsData(0x11e2, 'motion_photos_auto');
  static const motion_photos_off_filled_outlined =
      _MaterialSymbolsData(0x11e3, 'motion_photos_off_filled_outlined');
  static const motion_photos_off_filled_sharp =
      _MaterialSymbolsData(0x11e4, 'motion_photos_off_filled_sharp');
  static const motion_photos_off_filled =
      _MaterialSymbolsData(0x11e5, 'motion_photos_off_filled');
  static const motion_photos_off_outlined =
      _MaterialSymbolsData(0x11e6, 'motion_photos_off_outlined');
  static const motion_photos_off_sharp =
      _MaterialSymbolsData(0x11e7, 'motion_photos_off_sharp');
  static const motion_photos_off =
      _MaterialSymbolsData(0x11e8, 'motion_photos_off');
  static const motion_photos_paused_filled_outlined =
      _MaterialSymbolsData(0x11e9, 'motion_photos_paused_filled_outlined');
  static const motion_photos_paused_filled_sharp =
      _MaterialSymbolsData(0x11ea, 'motion_photos_paused_filled_sharp');
  static const motion_photos_paused_filled =
      _MaterialSymbolsData(0x11eb, 'motion_photos_paused_filled');
  static const motion_photos_paused_outlined =
      _MaterialSymbolsData(0x11ec, 'motion_photos_paused_outlined');
  static const motion_photos_paused_sharp =
      _MaterialSymbolsData(0x11ed, 'motion_photos_paused_sharp');
  static const motion_photos_paused =
      _MaterialSymbolsData(0x11ee, 'motion_photos_paused');
  static const motion_sensor_active_filled_outlined =
      _MaterialSymbolsData(0x11ef, 'motion_sensor_active_filled_outlined');
  static const motion_sensor_active_filled_sharp =
      _MaterialSymbolsData(0x11f0, 'motion_sensor_active_filled_sharp');
  static const motion_sensor_active_filled =
      _MaterialSymbolsData(0x11f1, 'motion_sensor_active_filled');
  static const motion_sensor_active_outlined =
      _MaterialSymbolsData(0x11f2, 'motion_sensor_active_outlined');
  static const motion_sensor_active_sharp =
      _MaterialSymbolsData(0x11f3, 'motion_sensor_active_sharp');
  static const motion_sensor_active =
      _MaterialSymbolsData(0x11f4, 'motion_sensor_active');
  static const motion_sensor_alert_filled_outlined =
      _MaterialSymbolsData(0x11f5, 'motion_sensor_alert_filled_outlined');
  static const motion_sensor_alert_filled_sharp =
      _MaterialSymbolsData(0x11f6, 'motion_sensor_alert_filled_sharp');
  static const motion_sensor_alert_filled =
      _MaterialSymbolsData(0x11f7, 'motion_sensor_alert_filled');
  static const motion_sensor_alert_outlined =
      _MaterialSymbolsData(0x11f8, 'motion_sensor_alert_outlined');
  static const motion_sensor_alert_sharp =
      _MaterialSymbolsData(0x11f9, 'motion_sensor_alert_sharp');
  static const motion_sensor_alert =
      _MaterialSymbolsData(0x11fa, 'motion_sensor_alert');
  static const motion_sensor_idle_filled_outlined =
      _MaterialSymbolsData(0x11fb, 'motion_sensor_idle_filled_outlined');
  static const motion_sensor_idle_filled_sharp =
      _MaterialSymbolsData(0x11fc, 'motion_sensor_idle_filled_sharp');
  static const motion_sensor_idle_filled =
      _MaterialSymbolsData(0x11fd, 'motion_sensor_idle_filled');
  static const motion_sensor_idle_outlined =
      _MaterialSymbolsData(0x11fe, 'motion_sensor_idle_outlined');
  static const motion_sensor_idle_sharp =
      _MaterialSymbolsData(0x11ff, 'motion_sensor_idle_sharp');
  static const motion_sensor_idle =
      _MaterialSymbolsData(0x1200, 'motion_sensor_idle');
  static const motion_sensor_urgent_filled_outlined =
      _MaterialSymbolsData(0x1201, 'motion_sensor_urgent_filled_outlined');
  static const motion_sensor_urgent_filled_sharp =
      _MaterialSymbolsData(0x1202, 'motion_sensor_urgent_filled_sharp');
  static const motion_sensor_urgent_filled =
      _MaterialSymbolsData(0x1203, 'motion_sensor_urgent_filled');
  static const motion_sensor_urgent_outlined =
      _MaterialSymbolsData(0x1204, 'motion_sensor_urgent_outlined');
  static const motion_sensor_urgent_sharp =
      _MaterialSymbolsData(0x1205, 'motion_sensor_urgent_sharp');
  static const motion_sensor_urgent =
      _MaterialSymbolsData(0x1206, 'motion_sensor_urgent');
  static const motorcycle_filled_outlined =
      _MaterialSymbolsData(0x1207, 'motorcycle_filled_outlined');
  static const motorcycle_filled_sharp =
      _MaterialSymbolsData(0x1208, 'motorcycle_filled_sharp');
  static const motorcycle_filled =
      _MaterialSymbolsData(0x1209, 'motorcycle_filled');
  static const motorcycle_outlined =
      _MaterialSymbolsData(0x120a, 'motorcycle_outlined');
  static const motorcycle_sharp =
      _MaterialSymbolsData(0x120b, 'motorcycle_sharp');
  static const motorcycle = _MaterialSymbolsData(0x120c, 'motorcycle');
  static const mouse_filled_outlined =
      _MaterialSymbolsData(0x120d, 'mouse_filled_outlined');
  static const mouse_filled_sharp =
      _MaterialSymbolsData(0x120e, 'mouse_filled_sharp');
  static const mouse_filled = _MaterialSymbolsData(0x120f, 'mouse_filled');
  static const mouse_outlined = _MaterialSymbolsData(0x1210, 'mouse_outlined');
  static const mouse_sharp = _MaterialSymbolsData(0x1211, 'mouse_sharp');
  static const mouse = _MaterialSymbolsData(0x1212, 'mouse');
  static const move_down_filled_outlined =
      _MaterialSymbolsData(0x1213, 'move_down_filled_outlined');
  static const move_down_filled_sharp =
      _MaterialSymbolsData(0x1214, 'move_down_filled_sharp');
  static const move_down_filled =
      _MaterialSymbolsData(0x1215, 'move_down_filled');
  static const move_down_outlined =
      _MaterialSymbolsData(0x1216, 'move_down_outlined');
  static const move_down_sharp =
      _MaterialSymbolsData(0x1217, 'move_down_sharp');
  static const move_down = _MaterialSymbolsData(0x1218, 'move_down');
  static const move_to_inbox_filled_outlined =
      _MaterialSymbolsData(0x1219, 'move_to_inbox_filled_outlined');
  static const move_to_inbox_filled_sharp =
      _MaterialSymbolsData(0x121a, 'move_to_inbox_filled_sharp');
  static const move_to_inbox_filled =
      _MaterialSymbolsData(0x121b, 'move_to_inbox_filled');
  static const move_to_inbox_outlined =
      _MaterialSymbolsData(0x121c, 'move_to_inbox_outlined');
  static const move_to_inbox_sharp =
      _MaterialSymbolsData(0x121d, 'move_to_inbox_sharp');
  static const move_to_inbox = _MaterialSymbolsData(0x121e, 'move_to_inbox');
  static const move_up_filled_outlined =
      _MaterialSymbolsData(0x121f, 'move_up_filled_outlined');
  static const move_up_filled_sharp =
      _MaterialSymbolsData(0x1220, 'move_up_filled_sharp');
  static const move_up_filled = _MaterialSymbolsData(0x1221, 'move_up_filled');
  static const move_up_outlined =
      _MaterialSymbolsData(0x1222, 'move_up_outlined');
  static const move_up_sharp = _MaterialSymbolsData(0x1223, 'move_up_sharp');
  static const move_up = _MaterialSymbolsData(0x1224, 'move_up');
  static const movie_edit_filled_outlined =
      _MaterialSymbolsData(0x1225, 'movie_edit_filled_outlined');
  static const movie_edit_filled_sharp =
      _MaterialSymbolsData(0x1226, 'movie_edit_filled_sharp');
  static const movie_edit_filled =
      _MaterialSymbolsData(0x1227, 'movie_edit_filled');
  static const movie_edit_outlined =
      _MaterialSymbolsData(0x1228, 'movie_edit_outlined');
  static const movie_edit_sharp =
      _MaterialSymbolsData(0x1229, 'movie_edit_sharp');
  static const movie_edit = _MaterialSymbolsData(0x122a, 'movie_edit');
  static const movie_filled_outlined =
      _MaterialSymbolsData(0x122b, 'movie_filled_outlined');
  static const movie_filled_sharp =
      _MaterialSymbolsData(0x122c, 'movie_filled_sharp');
  static const movie_filled = _MaterialSymbolsData(0x122d, 'movie_filled');
  static const movie_filter_filled_outlined =
      _MaterialSymbolsData(0x122e, 'movie_filter_filled_outlined');
  static const movie_filter_filled_sharp =
      _MaterialSymbolsData(0x122f, 'movie_filter_filled_sharp');
  static const movie_filter_filled =
      _MaterialSymbolsData(0x1230, 'movie_filter_filled');
  static const movie_filter_outlined =
      _MaterialSymbolsData(0x1231, 'movie_filter_outlined');
  static const movie_filter_sharp =
      _MaterialSymbolsData(0x1232, 'movie_filter_sharp');
  static const movie_filter = _MaterialSymbolsData(0x1233, 'movie_filter');
  static const movie_outlined = _MaterialSymbolsData(0x1234, 'movie_outlined');
  static const movie_sharp = _MaterialSymbolsData(0x1235, 'movie_sharp');
  static const movie = _MaterialSymbolsData(0x1236, 'movie');
  static const moving_beds_filled_outlined =
      _MaterialSymbolsData(0x1237, 'moving_beds_filled_outlined');
  static const moving_beds_filled_sharp =
      _MaterialSymbolsData(0x1238, 'moving_beds_filled_sharp');
  static const moving_beds_filled =
      _MaterialSymbolsData(0x1239, 'moving_beds_filled');
  static const moving_beds_outlined =
      _MaterialSymbolsData(0x123a, 'moving_beds_outlined');
  static const moving_beds_sharp =
      _MaterialSymbolsData(0x123b, 'moving_beds_sharp');
  static const moving_beds = _MaterialSymbolsData(0x123c, 'moving_beds');
  static const moving_filled_outlined =
      _MaterialSymbolsData(0x123d, 'moving_filled_outlined');
  static const moving_filled_sharp =
      _MaterialSymbolsData(0x123e, 'moving_filled_sharp');
  static const moving_filled = _MaterialSymbolsData(0x123f, 'moving_filled');
  static const moving_ministry_filled_outlined =
      _MaterialSymbolsData(0x1240, 'moving_ministry_filled_outlined');
  static const moving_ministry_filled_sharp =
      _MaterialSymbolsData(0x1241, 'moving_ministry_filled_sharp');
  static const moving_ministry_filled =
      _MaterialSymbolsData(0x1242, 'moving_ministry_filled');
  static const moving_ministry_outlined =
      _MaterialSymbolsData(0x1243, 'moving_ministry_outlined');
  static const moving_ministry_sharp =
      _MaterialSymbolsData(0x1244, 'moving_ministry_sharp');
  static const moving_ministry =
      _MaterialSymbolsData(0x1245, 'moving_ministry');
  static const moving_outlined =
      _MaterialSymbolsData(0x1246, 'moving_outlined');
  static const moving_sharp = _MaterialSymbolsData(0x1247, 'moving_sharp');
  static const moving = _MaterialSymbolsData(0x1248, 'moving');
  static const mp_filled_outlined =
      _MaterialSymbolsData(0x1249, 'mp_filled_outlined');
  static const mp_filled_sharp =
      _MaterialSymbolsData(0x124a, 'mp_filled_sharp');
  static const mp_filled = _MaterialSymbolsData(0x124b, 'mp_filled');
  static const mp_outlined = _MaterialSymbolsData(0x124c, 'mp_outlined');
  static const mp_sharp = _MaterialSymbolsData(0x124d, 'mp_sharp');
  static const mp = _MaterialSymbolsData(0x124e, 'mp');
  static const multicooker_filled_outlined =
      _MaterialSymbolsData(0x124f, 'multicooker_filled_outlined');
  static const multicooker_filled_sharp =
      _MaterialSymbolsData(0x1250, 'multicooker_filled_sharp');
  static const multicooker_filled =
      _MaterialSymbolsData(0x1251, 'multicooker_filled');
  static const multicooker_outlined =
      _MaterialSymbolsData(0x1252, 'multicooker_outlined');
  static const multicooker_sharp =
      _MaterialSymbolsData(0x1253, 'multicooker_sharp');
  static const multicooker = _MaterialSymbolsData(0x1254, 'multicooker');
  static const multiline_chart_filled_outlined =
      _MaterialSymbolsData(0x1255, 'multiline_chart_filled_outlined');
  static const multiline_chart_filled_sharp =
      _MaterialSymbolsData(0x1256, 'multiline_chart_filled_sharp');
  static const multiline_chart_filled =
      _MaterialSymbolsData(0x1257, 'multiline_chart_filled');
  static const multiline_chart_outlined =
      _MaterialSymbolsData(0x1258, 'multiline_chart_outlined');
  static const multiline_chart_sharp =
      _MaterialSymbolsData(0x1259, 'multiline_chart_sharp');
  static const multiline_chart =
      _MaterialSymbolsData(0x125a, 'multiline_chart');
  static const multiple_stop_filled_outlined =
      _MaterialSymbolsData(0x125b, 'multiple_stop_filled_outlined');
  static const multiple_stop_filled_sharp =
      _MaterialSymbolsData(0x125c, 'multiple_stop_filled_sharp');
  static const multiple_stop_filled =
      _MaterialSymbolsData(0x125d, 'multiple_stop_filled');
  static const multiple_stop_outlined =
      _MaterialSymbolsData(0x125e, 'multiple_stop_outlined');
  static const multiple_stop_sharp =
      _MaterialSymbolsData(0x125f, 'multiple_stop_sharp');
  static const multiple_stop = _MaterialSymbolsData(0x1260, 'multiple_stop');
  static const museum_filled_outlined =
      _MaterialSymbolsData(0x1261, 'museum_filled_outlined');
  static const museum_filled_sharp =
      _MaterialSymbolsData(0x1262, 'museum_filled_sharp');
  static const museum_filled = _MaterialSymbolsData(0x1263, 'museum_filled');
  static const museum_outlined =
      _MaterialSymbolsData(0x1264, 'museum_outlined');
  static const museum_sharp = _MaterialSymbolsData(0x1265, 'museum_sharp');
  static const museum = _MaterialSymbolsData(0x1266, 'museum');
  static const music_note_filled_outlined =
      _MaterialSymbolsData(0x1267, 'music_note_filled_outlined');
  static const music_note_filled_sharp =
      _MaterialSymbolsData(0x1268, 'music_note_filled_sharp');
  static const music_note_filled =
      _MaterialSymbolsData(0x1269, 'music_note_filled');
  static const music_note_outlined =
      _MaterialSymbolsData(0x126a, 'music_note_outlined');
  static const music_note_sharp =
      _MaterialSymbolsData(0x126b, 'music_note_sharp');
  static const music_note = _MaterialSymbolsData(0x126c, 'music_note');
  static const music_off_filled_outlined =
      _MaterialSymbolsData(0x126d, 'music_off_filled_outlined');
  static const music_off_filled_sharp =
      _MaterialSymbolsData(0x126e, 'music_off_filled_sharp');
  static const music_off_filled =
      _MaterialSymbolsData(0x126f, 'music_off_filled');
  static const music_off_outlined =
      _MaterialSymbolsData(0x1270, 'music_off_outlined');
  static const music_off_sharp =
      _MaterialSymbolsData(0x1271, 'music_off_sharp');
  static const music_off = _MaterialSymbolsData(0x1272, 'music_off');
  static const music_video_filled_outlined =
      _MaterialSymbolsData(0x1273, 'music_video_filled_outlined');
  static const music_video_filled_sharp =
      _MaterialSymbolsData(0x1274, 'music_video_filled_sharp');
  static const music_video_filled =
      _MaterialSymbolsData(0x1275, 'music_video_filled');
  static const music_video_outlined =
      _MaterialSymbolsData(0x1276, 'music_video_outlined');
  static const music_video_sharp =
      _MaterialSymbolsData(0x1277, 'music_video_sharp');
  static const music_video = _MaterialSymbolsData(0x1278, 'music_video');
  static const my_location_filled_outlined =
      _MaterialSymbolsData(0x1279, 'my_location_filled_outlined');
  static const my_location_filled_sharp =
      _MaterialSymbolsData(0x127a, 'my_location_filled_sharp');
  static const my_location_filled =
      _MaterialSymbolsData(0x127b, 'my_location_filled');
  static const my_location_outlined =
      _MaterialSymbolsData(0x127c, 'my_location_outlined');
  static const my_location_sharp =
      _MaterialSymbolsData(0x127d, 'my_location_sharp');
  static const my_location = _MaterialSymbolsData(0x127e, 'my_location');
  static const nat_filled_outlined =
      _MaterialSymbolsData(0x127f, 'nat_filled_outlined');
  static const nat_filled_sharp =
      _MaterialSymbolsData(0x1280, 'nat_filled_sharp');
  static const nat_filled = _MaterialSymbolsData(0x1281, 'nat_filled');
  static const nat_outlined = _MaterialSymbolsData(0x1282, 'nat_outlined');
  static const nat_sharp = _MaterialSymbolsData(0x1283, 'nat_sharp');
  static const nat = _MaterialSymbolsData(0x1284, 'nat');
  static const nature_filled_outlined =
      _MaterialSymbolsData(0x1285, 'nature_filled_outlined');
  static const nature_filled_sharp =
      _MaterialSymbolsData(0x1286, 'nature_filled_sharp');
  static const nature_filled = _MaterialSymbolsData(0x1287, 'nature_filled');
  static const nature_outlined =
      _MaterialSymbolsData(0x1288, 'nature_outlined');
  static const nature_people_filled_outlined =
      _MaterialSymbolsData(0x1289, 'nature_people_filled_outlined');
  static const nature_people_filled_sharp =
      _MaterialSymbolsData(0x128a, 'nature_people_filled_sharp');
  static const nature_people_filled =
      _MaterialSymbolsData(0x128b, 'nature_people_filled');
  static const nature_people_outlined =
      _MaterialSymbolsData(0x128c, 'nature_people_outlined');
  static const nature_people_sharp =
      _MaterialSymbolsData(0x128d, 'nature_people_sharp');
  static const nature_people = _MaterialSymbolsData(0x128e, 'nature_people');
  static const nature_sharp = _MaterialSymbolsData(0x128f, 'nature_sharp');
  static const nature = _MaterialSymbolsData(0x1290, 'nature');
  static const navigate_before_filled_outlined =
      _MaterialSymbolsData(0x1291, 'navigate_before_filled_outlined');
  static const navigate_before_filled_sharp =
      _MaterialSymbolsData(0x1292, 'navigate_before_filled_sharp');
  static const navigate_before_filled =
      _MaterialSymbolsData(0x1293, 'navigate_before_filled');
  static const navigate_before_outlined =
      _MaterialSymbolsData(0x1294, 'navigate_before_outlined');
  static const navigate_before_sharp =
      _MaterialSymbolsData(0x1295, 'navigate_before_sharp');
  static const navigate_before =
      _MaterialSymbolsData(0x1296, 'navigate_before');
  static const navigate_next_filled_outlined =
      _MaterialSymbolsData(0x1297, 'navigate_next_filled_outlined');
  static const navigate_next_filled_sharp =
      _MaterialSymbolsData(0x1298, 'navigate_next_filled_sharp');
  static const navigate_next_filled =
      _MaterialSymbolsData(0x1299, 'navigate_next_filled');
  static const navigate_next_outlined =
      _MaterialSymbolsData(0x129a, 'navigate_next_outlined');
  static const navigate_next_sharp =
      _MaterialSymbolsData(0x129b, 'navigate_next_sharp');
  static const navigate_next = _MaterialSymbolsData(0x129c, 'navigate_next');
  static const navigation_filled_outlined =
      _MaterialSymbolsData(0x129d, 'navigation_filled_outlined');
  static const navigation_filled_sharp =
      _MaterialSymbolsData(0x129e, 'navigation_filled_sharp');
  static const navigation_filled =
      _MaterialSymbolsData(0x129f, 'navigation_filled');
  static const navigation_outlined =
      _MaterialSymbolsData(0x12a0, 'navigation_outlined');
  static const navigation_sharp =
      _MaterialSymbolsData(0x12a1, 'navigation_sharp');
  static const navigation = _MaterialSymbolsData(0x12a2, 'navigation');
  static const near_me_disabled_filled_outlined =
      _MaterialSymbolsData(0x12a3, 'near_me_disabled_filled_outlined');
  static const near_me_disabled_filled_sharp =
      _MaterialSymbolsData(0x12a4, 'near_me_disabled_filled_sharp');
  static const near_me_disabled_filled =
      _MaterialSymbolsData(0x12a5, 'near_me_disabled_filled');
  static const near_me_disabled_outlined =
      _MaterialSymbolsData(0x12a6, 'near_me_disabled_outlined');
  static const near_me_disabled_sharp =
      _MaterialSymbolsData(0x12a7, 'near_me_disabled_sharp');
  static const near_me_disabled =
      _MaterialSymbolsData(0x12a8, 'near_me_disabled');
  static const near_me_filled_outlined =
      _MaterialSymbolsData(0x12a9, 'near_me_filled_outlined');
  static const near_me_filled_sharp =
      _MaterialSymbolsData(0x12aa, 'near_me_filled_sharp');
  static const near_me_filled = _MaterialSymbolsData(0x12ab, 'near_me_filled');
  static const near_me_outlined =
      _MaterialSymbolsData(0x12ac, 'near_me_outlined');
  static const near_me_sharp = _MaterialSymbolsData(0x12ad, 'near_me_sharp');
  static const near_me = _MaterialSymbolsData(0x12ae, 'near_me');
  static const nearby_error_filled_outlined =
      _MaterialSymbolsData(0x12af, 'nearby_error_filled_outlined');
  static const nearby_error_filled_sharp =
      _MaterialSymbolsData(0x12b0, 'nearby_error_filled_sharp');
  static const nearby_error_filled =
      _MaterialSymbolsData(0x12b1, 'nearby_error_filled');
  static const nearby_error_outlined =
      _MaterialSymbolsData(0x12b2, 'nearby_error_outlined');
  static const nearby_error_sharp =
      _MaterialSymbolsData(0x12b3, 'nearby_error_sharp');
  static const nearby_error = _MaterialSymbolsData(0x12b4, 'nearby_error');
  static const nearby_off_filled_outlined =
      _MaterialSymbolsData(0x12b5, 'nearby_off_filled_outlined');
  static const nearby_off_filled_sharp =
      _MaterialSymbolsData(0x12b6, 'nearby_off_filled_sharp');
  static const nearby_off_filled =
      _MaterialSymbolsData(0x12b7, 'nearby_off_filled');
  static const nearby_off_outlined =
      _MaterialSymbolsData(0x12b8, 'nearby_off_outlined');
  static const nearby_off_sharp =
      _MaterialSymbolsData(0x12b9, 'nearby_off_sharp');
  static const nearby_off = _MaterialSymbolsData(0x12ba, 'nearby_off');
  static const nephrology_filled_outlined =
      _MaterialSymbolsData(0x12bb, 'nephrology_filled_outlined');
  static const nephrology_filled_sharp =
      _MaterialSymbolsData(0x12bc, 'nephrology_filled_sharp');
  static const nephrology_filled =
      _MaterialSymbolsData(0x12bd, 'nephrology_filled');
  static const nephrology_outlined =
      _MaterialSymbolsData(0x12be, 'nephrology_outlined');
  static const nephrology_sharp =
      _MaterialSymbolsData(0x12bf, 'nephrology_sharp');
  static const nephrology = _MaterialSymbolsData(0x12c0, 'nephrology');
  static const nest_audio_filled_outlined =
      _MaterialSymbolsData(0x12c1, 'nest_audio_filled_outlined');
  static const nest_audio_filled_sharp =
      _MaterialSymbolsData(0x12c2, 'nest_audio_filled_sharp');
  static const nest_audio_filled =
      _MaterialSymbolsData(0x12c3, 'nest_audio_filled');
  static const nest_audio_outlined =
      _MaterialSymbolsData(0x12c4, 'nest_audio_outlined');
  static const nest_audio_sharp =
      _MaterialSymbolsData(0x12c5, 'nest_audio_sharp');
  static const nest_audio = _MaterialSymbolsData(0x12c6, 'nest_audio');
  static const nest_cam_floodlight_filled_outlined =
      _MaterialSymbolsData(0x12c7, 'nest_cam_floodlight_filled_outlined');
  static const nest_cam_floodlight_filled_sharp =
      _MaterialSymbolsData(0x12c8, 'nest_cam_floodlight_filled_sharp');
  static const nest_cam_floodlight_filled =
      _MaterialSymbolsData(0x12c9, 'nest_cam_floodlight_filled');
  static const nest_cam_floodlight_outlined =
      _MaterialSymbolsData(0x12ca, 'nest_cam_floodlight_outlined');
  static const nest_cam_floodlight_sharp =
      _MaterialSymbolsData(0x12cb, 'nest_cam_floodlight_sharp');
  static const nest_cam_floodlight =
      _MaterialSymbolsData(0x12cc, 'nest_cam_floodlight');
  static const nest_cam_indoor_filled_outlined =
      _MaterialSymbolsData(0x12cd, 'nest_cam_indoor_filled_outlined');
  static const nest_cam_indoor_filled_sharp =
      _MaterialSymbolsData(0x12ce, 'nest_cam_indoor_filled_sharp');
  static const nest_cam_indoor_filled =
      _MaterialSymbolsData(0x12cf, 'nest_cam_indoor_filled');
  static const nest_cam_indoor_outlined =
      _MaterialSymbolsData(0x12d0, 'nest_cam_indoor_outlined');
  static const nest_cam_indoor_sharp =
      _MaterialSymbolsData(0x12d1, 'nest_cam_indoor_sharp');
  static const nest_cam_indoor =
      _MaterialSymbolsData(0x12d2, 'nest_cam_indoor');
  static const nest_cam_iq_filled_outlined =
      _MaterialSymbolsData(0x12d3, 'nest_cam_iq_filled_outlined');
  static const nest_cam_iq_filled_sharp =
      _MaterialSymbolsData(0x12d4, 'nest_cam_iq_filled_sharp');
  static const nest_cam_iq_filled =
      _MaterialSymbolsData(0x12d5, 'nest_cam_iq_filled');
  static const nest_cam_iq_outdoor_filled_outlined =
      _MaterialSymbolsData(0x12d6, 'nest_cam_iq_outdoor_filled_outlined');
  static const nest_cam_iq_outdoor_filled_sharp =
      _MaterialSymbolsData(0x12d7, 'nest_cam_iq_outdoor_filled_sharp');
  static const nest_cam_iq_outdoor_filled =
      _MaterialSymbolsData(0x12d8, 'nest_cam_iq_outdoor_filled');
  static const nest_cam_iq_outdoor_outlined =
      _MaterialSymbolsData(0x12d9, 'nest_cam_iq_outdoor_outlined');
  static const nest_cam_iq_outdoor_sharp =
      _MaterialSymbolsData(0x12da, 'nest_cam_iq_outdoor_sharp');
  static const nest_cam_iq_outdoor =
      _MaterialSymbolsData(0x12db, 'nest_cam_iq_outdoor');
  static const nest_cam_iq_outlined =
      _MaterialSymbolsData(0x12dc, 'nest_cam_iq_outlined');
  static const nest_cam_iq_sharp =
      _MaterialSymbolsData(0x12dd, 'nest_cam_iq_sharp');
  static const nest_cam_iq = _MaterialSymbolsData(0x12de, 'nest_cam_iq');
  static const nest_cam_magnet_mount_filled_outlined =
      _MaterialSymbolsData(0x12df, 'nest_cam_magnet_mount_filled_outlined');
  static const nest_cam_magnet_mount_filled_sharp =
      _MaterialSymbolsData(0x12e0, 'nest_cam_magnet_mount_filled_sharp');
  static const nest_cam_magnet_mount_filled =
      _MaterialSymbolsData(0x12e1, 'nest_cam_magnet_mount_filled');
  static const nest_cam_magnet_mount_outlined =
      _MaterialSymbolsData(0x12e2, 'nest_cam_magnet_mount_outlined');
  static const nest_cam_magnet_mount_sharp =
      _MaterialSymbolsData(0x12e3, 'nest_cam_magnet_mount_sharp');
  static const nest_cam_magnet_mount =
      _MaterialSymbolsData(0x12e4, 'nest_cam_magnet_mount');
  static const nest_cam_outdoor_filled_outlined =
      _MaterialSymbolsData(0x12e5, 'nest_cam_outdoor_filled_outlined');
  static const nest_cam_outdoor_filled_sharp =
      _MaterialSymbolsData(0x12e6, 'nest_cam_outdoor_filled_sharp');
  static const nest_cam_outdoor_filled =
      _MaterialSymbolsData(0x12e7, 'nest_cam_outdoor_filled');
  static const nest_cam_outdoor_outlined =
      _MaterialSymbolsData(0x12e8, 'nest_cam_outdoor_outlined');
  static const nest_cam_outdoor_sharp =
      _MaterialSymbolsData(0x12e9, 'nest_cam_outdoor_sharp');
  static const nest_cam_outdoor =
      _MaterialSymbolsData(0x12ea, 'nest_cam_outdoor');
  static const nest_cam_stand_filled_outlined =
      _MaterialSymbolsData(0x12eb, 'nest_cam_stand_filled_outlined');
  static const nest_cam_stand_filled_sharp =
      _MaterialSymbolsData(0x12ec, 'nest_cam_stand_filled_sharp');
  static const nest_cam_stand_filled =
      _MaterialSymbolsData(0x12ed, 'nest_cam_stand_filled');
  static const nest_cam_stand_outlined =
      _MaterialSymbolsData(0x12ee, 'nest_cam_stand_outlined');
  static const nest_cam_stand_sharp =
      _MaterialSymbolsData(0x12ef, 'nest_cam_stand_sharp');
  static const nest_cam_stand = _MaterialSymbolsData(0x12f0, 'nest_cam_stand');
  static const nest_cam_wall_mount_filled_outlined =
      _MaterialSymbolsData(0x12f1, 'nest_cam_wall_mount_filled_outlined');
  static const nest_cam_wall_mount_filled_sharp =
      _MaterialSymbolsData(0x12f2, 'nest_cam_wall_mount_filled_sharp');
  static const nest_cam_wall_mount_filled =
      _MaterialSymbolsData(0x12f3, 'nest_cam_wall_mount_filled');
  static const nest_cam_wall_mount_outlined =
      _MaterialSymbolsData(0x12f4, 'nest_cam_wall_mount_outlined');
  static const nest_cam_wall_mount_sharp =
      _MaterialSymbolsData(0x12f5, 'nest_cam_wall_mount_sharp');
  static const nest_cam_wall_mount =
      _MaterialSymbolsData(0x12f6, 'nest_cam_wall_mount');
  static const nest_cam_wired_stand_filled_outlined =
      _MaterialSymbolsData(0x12f7, 'nest_cam_wired_stand_filled_outlined');
  static const nest_cam_wired_stand_filled_sharp =
      _MaterialSymbolsData(0x12f8, 'nest_cam_wired_stand_filled_sharp');
  static const nest_cam_wired_stand_filled =
      _MaterialSymbolsData(0x12f9, 'nest_cam_wired_stand_filled');
  static const nest_cam_wired_stand_outlined =
      _MaterialSymbolsData(0x12fa, 'nest_cam_wired_stand_outlined');
  static const nest_cam_wired_stand_sharp =
      _MaterialSymbolsData(0x12fb, 'nest_cam_wired_stand_sharp');
  static const nest_cam_wired_stand =
      _MaterialSymbolsData(0x12fc, 'nest_cam_wired_stand');
  static const nest_clock_farsight_analog_filled_outlined =
      _MaterialSymbolsData(
          0x12fd, 'nest_clock_farsight_analog_filled_outlined');
  static const nest_clock_farsight_analog_filled_sharp =
      _MaterialSymbolsData(0x12fe, 'nest_clock_farsight_analog_filled_sharp');
  static const nest_clock_farsight_analog_filled =
      _MaterialSymbolsData(0x12ff, 'nest_clock_farsight_analog_filled');
  static const nest_clock_farsight_analog_outlined =
      _MaterialSymbolsData(0x1300, 'nest_clock_farsight_analog_outlined');
  static const nest_clock_farsight_analog_sharp =
      _MaterialSymbolsData(0x1301, 'nest_clock_farsight_analog_sharp');
  static const nest_clock_farsight_analog =
      _MaterialSymbolsData(0x1302, 'nest_clock_farsight_analog');
  static const nest_clock_farsight_digital_filled_outlined =
      _MaterialSymbolsData(
          0x1303, 'nest_clock_farsight_digital_filled_outlined');
  static const nest_clock_farsight_digital_filled_sharp =
      _MaterialSymbolsData(0x1304, 'nest_clock_farsight_digital_filled_sharp');
  static const nest_clock_farsight_digital_filled =
      _MaterialSymbolsData(0x1305, 'nest_clock_farsight_digital_filled');
  static const nest_clock_farsight_digital_outlined =
      _MaterialSymbolsData(0x1306, 'nest_clock_farsight_digital_outlined');
  static const nest_clock_farsight_digital_sharp =
      _MaterialSymbolsData(0x1307, 'nest_clock_farsight_digital_sharp');
  static const nest_clock_farsight_digital =
      _MaterialSymbolsData(0x1308, 'nest_clock_farsight_digital');
  static const nest_connect_filled_outlined =
      _MaterialSymbolsData(0x1309, 'nest_connect_filled_outlined');
  static const nest_connect_filled_sharp =
      _MaterialSymbolsData(0x130a, 'nest_connect_filled_sharp');
  static const nest_connect_filled =
      _MaterialSymbolsData(0x130b, 'nest_connect_filled');
  static const nest_connect_outlined =
      _MaterialSymbolsData(0x130c, 'nest_connect_outlined');
  static const nest_connect_sharp =
      _MaterialSymbolsData(0x130d, 'nest_connect_sharp');
  static const nest_connect = _MaterialSymbolsData(0x130e, 'nest_connect');
  static const nest_detect_filled_outlined =
      _MaterialSymbolsData(0x130f, 'nest_detect_filled_outlined');
  static const nest_detect_filled_sharp =
      _MaterialSymbolsData(0x1310, 'nest_detect_filled_sharp');
  static const nest_detect_filled =
      _MaterialSymbolsData(0x1311, 'nest_detect_filled');
  static const nest_detect_outlined =
      _MaterialSymbolsData(0x1312, 'nest_detect_outlined');
  static const nest_detect_sharp =
      _MaterialSymbolsData(0x1313, 'nest_detect_sharp');
  static const nest_detect = _MaterialSymbolsData(0x1314, 'nest_detect');
  static const nest_display_filled_outlined =
      _MaterialSymbolsData(0x1315, 'nest_display_filled_outlined');
  static const nest_display_filled_sharp =
      _MaterialSymbolsData(0x1316, 'nest_display_filled_sharp');
  static const nest_display_filled =
      _MaterialSymbolsData(0x1317, 'nest_display_filled');
  static const nest_display_max_filled_outlined =
      _MaterialSymbolsData(0x1318, 'nest_display_max_filled_outlined');
  static const nest_display_max_filled_sharp =
      _MaterialSymbolsData(0x1319, 'nest_display_max_filled_sharp');
  static const nest_display_max_filled =
      _MaterialSymbolsData(0x131a, 'nest_display_max_filled');
  static const nest_display_max_outlined =
      _MaterialSymbolsData(0x131b, 'nest_display_max_outlined');
  static const nest_display_max_sharp =
      _MaterialSymbolsData(0x131c, 'nest_display_max_sharp');
  static const nest_display_max =
      _MaterialSymbolsData(0x131d, 'nest_display_max');
  static const nest_display_outlined =
      _MaterialSymbolsData(0x131e, 'nest_display_outlined');
  static const nest_display_sharp =
      _MaterialSymbolsData(0x131f, 'nest_display_sharp');
  static const nest_display = _MaterialSymbolsData(0x1320, 'nest_display');
  static const nest_doorbell_visitor_filled_outlined =
      _MaterialSymbolsData(0x1321, 'nest_doorbell_visitor_filled_outlined');
  static const nest_doorbell_visitor_filled_sharp =
      _MaterialSymbolsData(0x1322, 'nest_doorbell_visitor_filled_sharp');
  static const nest_doorbell_visitor_filled =
      _MaterialSymbolsData(0x1323, 'nest_doorbell_visitor_filled');
  static const nest_doorbell_visitor_outlined =
      _MaterialSymbolsData(0x1324, 'nest_doorbell_visitor_outlined');
  static const nest_doorbell_visitor_sharp =
      _MaterialSymbolsData(0x1325, 'nest_doorbell_visitor_sharp');
  static const nest_doorbell_visitor =
      _MaterialSymbolsData(0x1326, 'nest_doorbell_visitor');
  static const nest_eco_leaf_filled_outlined =
      _MaterialSymbolsData(0x1327, 'nest_eco_leaf_filled_outlined');
  static const nest_eco_leaf_filled_sharp =
      _MaterialSymbolsData(0x1328, 'nest_eco_leaf_filled_sharp');
  static const nest_eco_leaf_filled =
      _MaterialSymbolsData(0x1329, 'nest_eco_leaf_filled');
  static const nest_eco_leaf_outlined =
      _MaterialSymbolsData(0x132a, 'nest_eco_leaf_outlined');
  static const nest_eco_leaf_sharp =
      _MaterialSymbolsData(0x132b, 'nest_eco_leaf_sharp');
  static const nest_eco_leaf = _MaterialSymbolsData(0x132c, 'nest_eco_leaf');
  static const nest_farsight_weather_filled_outlined =
      _MaterialSymbolsData(0x132d, 'nest_farsight_weather_filled_outlined');
  static const nest_farsight_weather_filled_sharp =
      _MaterialSymbolsData(0x132e, 'nest_farsight_weather_filled_sharp');
  static const nest_farsight_weather_filled =
      _MaterialSymbolsData(0x132f, 'nest_farsight_weather_filled');
  static const nest_farsight_weather_outlined =
      _MaterialSymbolsData(0x1330, 'nest_farsight_weather_outlined');
  static const nest_farsight_weather_sharp =
      _MaterialSymbolsData(0x1331, 'nest_farsight_weather_sharp');
  static const nest_farsight_weather =
      _MaterialSymbolsData(0x1332, 'nest_farsight_weather');
  static const nest_found_savings_filled_outlined =
      _MaterialSymbolsData(0x1333, 'nest_found_savings_filled_outlined');
  static const nest_found_savings_filled_sharp =
      _MaterialSymbolsData(0x1334, 'nest_found_savings_filled_sharp');
  static const nest_found_savings_filled =
      _MaterialSymbolsData(0x1335, 'nest_found_savings_filled');
  static const nest_found_savings_outlined =
      _MaterialSymbolsData(0x1336, 'nest_found_savings_outlined');
  static const nest_found_savings_sharp =
      _MaterialSymbolsData(0x1337, 'nest_found_savings_sharp');
  static const nest_found_savings =
      _MaterialSymbolsData(0x1338, 'nest_found_savings');
  static const nest_heat_link_e_filled_outlined =
      _MaterialSymbolsData(0x1339, 'nest_heat_link_e_filled_outlined');
  static const nest_heat_link_e_filled_sharp =
      _MaterialSymbolsData(0x133a, 'nest_heat_link_e_filled_sharp');
  static const nest_heat_link_e_filled =
      _MaterialSymbolsData(0x133b, 'nest_heat_link_e_filled');
  static const nest_heat_link_e_outlined =
      _MaterialSymbolsData(0x133c, 'nest_heat_link_e_outlined');
  static const nest_heat_link_e_sharp =
      _MaterialSymbolsData(0x133d, 'nest_heat_link_e_sharp');
  static const nest_heat_link_e =
      _MaterialSymbolsData(0x133e, 'nest_heat_link_e');
  static const nest_heat_link_gen_3_filled_outlined =
      _MaterialSymbolsData(0x133f, 'nest_heat_link_gen_3_filled_outlined');
  static const nest_heat_link_gen_3_filled_sharp =
      _MaterialSymbolsData(0x1340, 'nest_heat_link_gen_3_filled_sharp');
  static const nest_heat_link_gen_3_filled =
      _MaterialSymbolsData(0x1341, 'nest_heat_link_gen_3_filled');
  static const nest_heat_link_gen_3_outlined =
      _MaterialSymbolsData(0x1342, 'nest_heat_link_gen_3_outlined');
  static const nest_heat_link_gen_3_sharp =
      _MaterialSymbolsData(0x1343, 'nest_heat_link_gen_3_sharp');
  static const nest_heat_link_gen_3 =
      _MaterialSymbolsData(0x1344, 'nest_heat_link_gen_3');
  static const nest_hello_doorbell_filled_outlined =
      _MaterialSymbolsData(0x1345, 'nest_hello_doorbell_filled_outlined');
  static const nest_hello_doorbell_filled_sharp =
      _MaterialSymbolsData(0x1346, 'nest_hello_doorbell_filled_sharp');
  static const nest_hello_doorbell_filled =
      _MaterialSymbolsData(0x1347, 'nest_hello_doorbell_filled');
  static const nest_hello_doorbell_outlined =
      _MaterialSymbolsData(0x1348, 'nest_hello_doorbell_outlined');
  static const nest_hello_doorbell_sharp =
      _MaterialSymbolsData(0x1349, 'nest_hello_doorbell_sharp');
  static const nest_hello_doorbell =
      _MaterialSymbolsData(0x134a, 'nest_hello_doorbell');
  static const nest_locator_tag_filled_outlined =
      _MaterialSymbolsData(0x134b, 'nest_locator_tag_filled_outlined');
  static const nest_locator_tag_filled_sharp =
      _MaterialSymbolsData(0x134c, 'nest_locator_tag_filled_sharp');
  static const nest_locator_tag_filled =
      _MaterialSymbolsData(0x134d, 'nest_locator_tag_filled');
  static const nest_locator_tag_outlined =
      _MaterialSymbolsData(0x134e, 'nest_locator_tag_outlined');
  static const nest_locator_tag_sharp =
      _MaterialSymbolsData(0x134f, 'nest_locator_tag_sharp');
  static const nest_locator_tag =
      _MaterialSymbolsData(0x1350, 'nest_locator_tag');
  static const nest_mini_filled_outlined =
      _MaterialSymbolsData(0x1351, 'nest_mini_filled_outlined');
  static const nest_mini_filled_sharp =
      _MaterialSymbolsData(0x1352, 'nest_mini_filled_sharp');
  static const nest_mini_filled =
      _MaterialSymbolsData(0x1353, 'nest_mini_filled');
  static const nest_mini_outlined =
      _MaterialSymbolsData(0x1354, 'nest_mini_outlined');
  static const nest_mini_sharp =
      _MaterialSymbolsData(0x1355, 'nest_mini_sharp');
  static const nest_mini = _MaterialSymbolsData(0x1356, 'nest_mini');
  static const nest_multi_room_filled_outlined =
      _MaterialSymbolsData(0x1357, 'nest_multi_room_filled_outlined');
  static const nest_multi_room_filled_sharp =
      _MaterialSymbolsData(0x1358, 'nest_multi_room_filled_sharp');
  static const nest_multi_room_filled =
      _MaterialSymbolsData(0x1359, 'nest_multi_room_filled');
  static const nest_multi_room_outlined =
      _MaterialSymbolsData(0x135a, 'nest_multi_room_outlined');
  static const nest_multi_room_sharp =
      _MaterialSymbolsData(0x135b, 'nest_multi_room_sharp');
  static const nest_multi_room =
      _MaterialSymbolsData(0x135c, 'nest_multi_room');
  static const nest_remote_comfort_sensor_filled_outlined =
      _MaterialSymbolsData(
          0x135d, 'nest_remote_comfort_sensor_filled_outlined');
  static const nest_remote_comfort_sensor_filled_sharp =
      _MaterialSymbolsData(0x135e, 'nest_remote_comfort_sensor_filled_sharp');
  static const nest_remote_comfort_sensor_filled =
      _MaterialSymbolsData(0x135f, 'nest_remote_comfort_sensor_filled');
  static const nest_remote_comfort_sensor_outlined =
      _MaterialSymbolsData(0x1360, 'nest_remote_comfort_sensor_outlined');
  static const nest_remote_comfort_sensor_sharp =
      _MaterialSymbolsData(0x1361, 'nest_remote_comfort_sensor_sharp');
  static const nest_remote_comfort_sensor =
      _MaterialSymbolsData(0x1362, 'nest_remote_comfort_sensor');
  static const nest_remote_filled_outlined =
      _MaterialSymbolsData(0x1363, 'nest_remote_filled_outlined');
  static const nest_remote_filled_sharp =
      _MaterialSymbolsData(0x1364, 'nest_remote_filled_sharp');
  static const nest_remote_filled =
      _MaterialSymbolsData(0x1365, 'nest_remote_filled');
  static const nest_remote_outlined =
      _MaterialSymbolsData(0x1366, 'nest_remote_outlined');
  static const nest_remote_sharp =
      _MaterialSymbolsData(0x1367, 'nest_remote_sharp');
  static const nest_remote = _MaterialSymbolsData(0x1368, 'nest_remote');
  static const nest_secure_alarm_filled_outlined =
      _MaterialSymbolsData(0x1369, 'nest_secure_alarm_filled_outlined');
  static const nest_secure_alarm_filled_sharp =
      _MaterialSymbolsData(0x136a, 'nest_secure_alarm_filled_sharp');
  static const nest_secure_alarm_filled =
      _MaterialSymbolsData(0x136b, 'nest_secure_alarm_filled');
  static const nest_secure_alarm_outlined =
      _MaterialSymbolsData(0x136c, 'nest_secure_alarm_outlined');
  static const nest_secure_alarm_sharp =
      _MaterialSymbolsData(0x136d, 'nest_secure_alarm_sharp');
  static const nest_secure_alarm =
      _MaterialSymbolsData(0x136e, 'nest_secure_alarm');
  static const nest_sunblock_filled_outlined =
      _MaterialSymbolsData(0x136f, 'nest_sunblock_filled_outlined');
  static const nest_sunblock_filled_sharp =
      _MaterialSymbolsData(0x1370, 'nest_sunblock_filled_sharp');
  static const nest_sunblock_filled =
      _MaterialSymbolsData(0x1371, 'nest_sunblock_filled');
  static const nest_sunblock_outlined =
      _MaterialSymbolsData(0x1372, 'nest_sunblock_outlined');
  static const nest_sunblock_sharp =
      _MaterialSymbolsData(0x1373, 'nest_sunblock_sharp');
  static const nest_sunblock = _MaterialSymbolsData(0x1374, 'nest_sunblock');
  static const nest_tag_filled_outlined =
      _MaterialSymbolsData(0x1375, 'nest_tag_filled_outlined');
  static const nest_tag_filled_sharp =
      _MaterialSymbolsData(0x1376, 'nest_tag_filled_sharp');
  static const nest_tag_filled =
      _MaterialSymbolsData(0x1377, 'nest_tag_filled');
  static const nest_tag_outlined =
      _MaterialSymbolsData(0x1378, 'nest_tag_outlined');
  static const nest_tag_sharp = _MaterialSymbolsData(0x1379, 'nest_tag_sharp');
  static const nest_tag = _MaterialSymbolsData(0x137a, 'nest_tag');
  static const nest_thermostat_e_eu_filled_outlined =
      _MaterialSymbolsData(0x137b, 'nest_thermostat_e_eu_filled_outlined');
  static const nest_thermostat_e_eu_filled_sharp =
      _MaterialSymbolsData(0x137c, 'nest_thermostat_e_eu_filled_sharp');
  static const nest_thermostat_e_eu_filled =
      _MaterialSymbolsData(0x137d, 'nest_thermostat_e_eu_filled');
  static const nest_thermostat_e_eu_outlined =
      _MaterialSymbolsData(0x137e, 'nest_thermostat_e_eu_outlined');
  static const nest_thermostat_e_eu_sharp =
      _MaterialSymbolsData(0x137f, 'nest_thermostat_e_eu_sharp');
  static const nest_thermostat_e_eu =
      _MaterialSymbolsData(0x1380, 'nest_thermostat_e_eu');
  static const nest_thermostat_gen_3_filled_outlined =
      _MaterialSymbolsData(0x1381, 'nest_thermostat_gen_3_filled_outlined');
  static const nest_thermostat_gen_3_filled_sharp =
      _MaterialSymbolsData(0x1382, 'nest_thermostat_gen_3_filled_sharp');
  static const nest_thermostat_gen_3_filled =
      _MaterialSymbolsData(0x1383, 'nest_thermostat_gen_3_filled');
  static const nest_thermostat_gen_3_outlined =
      _MaterialSymbolsData(0x1384, 'nest_thermostat_gen_3_outlined');
  static const nest_thermostat_gen_3_sharp =
      _MaterialSymbolsData(0x1385, 'nest_thermostat_gen_3_sharp');
  static const nest_thermostat_gen_3 =
      _MaterialSymbolsData(0x1386, 'nest_thermostat_gen_3');
  static const nest_thermostat_sensor_eu_filled_outlined =
      _MaterialSymbolsData(0x1387, 'nest_thermostat_sensor_eu_filled_outlined');
  static const nest_thermostat_sensor_eu_filled_sharp =
      _MaterialSymbolsData(0x1388, 'nest_thermostat_sensor_eu_filled_sharp');
  static const nest_thermostat_sensor_eu_filled =
      _MaterialSymbolsData(0x1389, 'nest_thermostat_sensor_eu_filled');
  static const nest_thermostat_sensor_eu_outlined =
      _MaterialSymbolsData(0x138a, 'nest_thermostat_sensor_eu_outlined');
  static const nest_thermostat_sensor_eu_sharp =
      _MaterialSymbolsData(0x138b, 'nest_thermostat_sensor_eu_sharp');
  static const nest_thermostat_sensor_eu =
      _MaterialSymbolsData(0x138c, 'nest_thermostat_sensor_eu');
  static const nest_thermostat_sensor_filled_outlined =
      _MaterialSymbolsData(0x138d, 'nest_thermostat_sensor_filled_outlined');
  static const nest_thermostat_sensor_filled_sharp =
      _MaterialSymbolsData(0x138e, 'nest_thermostat_sensor_filled_sharp');
  static const nest_thermostat_sensor_filled =
      _MaterialSymbolsData(0x138f, 'nest_thermostat_sensor_filled');
  static const nest_thermostat_sensor_outlined =
      _MaterialSymbolsData(0x1390, 'nest_thermostat_sensor_outlined');
  static const nest_thermostat_sensor_sharp =
      _MaterialSymbolsData(0x1391, 'nest_thermostat_sensor_sharp');
  static const nest_thermostat_sensor =
      _MaterialSymbolsData(0x1392, 'nest_thermostat_sensor');
  static const nest_thermostat_zirconium_eu_filled_outlined =
      _MaterialSymbolsData(
          0x1393, 'nest_thermostat_zirconium_eu_filled_outlined');
  static const nest_thermostat_zirconium_eu_filled_sharp =
      _MaterialSymbolsData(0x1394, 'nest_thermostat_zirconium_eu_filled_sharp');
  static const nest_thermostat_zirconium_eu_filled =
      _MaterialSymbolsData(0x1395, 'nest_thermostat_zirconium_eu_filled');
  static const nest_thermostat_zirconium_eu_outlined =
      _MaterialSymbolsData(0x1396, 'nest_thermostat_zirconium_eu_outlined');
  static const nest_thermostat_zirconium_eu_sharp =
      _MaterialSymbolsData(0x1397, 'nest_thermostat_zirconium_eu_sharp');
  static const nest_thermostat_zirconium_eu =
      _MaterialSymbolsData(0x1398, 'nest_thermostat_zirconium_eu');
  static const nest_true_radiant_filled_outlined =
      _MaterialSymbolsData(0x1399, 'nest_true_radiant_filled_outlined');
  static const nest_true_radiant_filled_sharp =
      _MaterialSymbolsData(0x139a, 'nest_true_radiant_filled_sharp');
  static const nest_true_radiant_filled =
      _MaterialSymbolsData(0x139b, 'nest_true_radiant_filled');
  static const nest_true_radiant_outlined =
      _MaterialSymbolsData(0x139c, 'nest_true_radiant_outlined');
  static const nest_true_radiant_sharp =
      _MaterialSymbolsData(0x139d, 'nest_true_radiant_sharp');
  static const nest_true_radiant =
      _MaterialSymbolsData(0x139e, 'nest_true_radiant');
  static const nest_wake_on_approach_filled_outlined =
      _MaterialSymbolsData(0x139f, 'nest_wake_on_approach_filled_outlined');
  static const nest_wake_on_approach_filled_sharp =
      _MaterialSymbolsData(0x13a0, 'nest_wake_on_approach_filled_sharp');
  static const nest_wake_on_approach_filled =
      _MaterialSymbolsData(0x13a1, 'nest_wake_on_approach_filled');
  static const nest_wake_on_approach_outlined =
      _MaterialSymbolsData(0x13a2, 'nest_wake_on_approach_outlined');
  static const nest_wake_on_approach_sharp =
      _MaterialSymbolsData(0x13a3, 'nest_wake_on_approach_sharp');
  static const nest_wake_on_approach =
      _MaterialSymbolsData(0x13a4, 'nest_wake_on_approach');
  static const nest_wake_on_press_filled_outlined =
      _MaterialSymbolsData(0x13a5, 'nest_wake_on_press_filled_outlined');
  static const nest_wake_on_press_filled_sharp =
      _MaterialSymbolsData(0x13a6, 'nest_wake_on_press_filled_sharp');
  static const nest_wake_on_press_filled =
      _MaterialSymbolsData(0x13a7, 'nest_wake_on_press_filled');
  static const nest_wake_on_press_outlined =
      _MaterialSymbolsData(0x13a8, 'nest_wake_on_press_outlined');
  static const nest_wake_on_press_sharp =
      _MaterialSymbolsData(0x13a9, 'nest_wake_on_press_sharp');
  static const nest_wake_on_press =
      _MaterialSymbolsData(0x13aa, 'nest_wake_on_press');
  static const nest_wifi_gale_filled_outlined =
      _MaterialSymbolsData(0x13ab, 'nest_wifi_gale_filled_outlined');
  static const nest_wifi_gale_filled_sharp =
      _MaterialSymbolsData(0x13ac, 'nest_wifi_gale_filled_sharp');
  static const nest_wifi_gale_filled =
      _MaterialSymbolsData(0x13ad, 'nest_wifi_gale_filled');
  static const nest_wifi_gale_outlined =
      _MaterialSymbolsData(0x13ae, 'nest_wifi_gale_outlined');
  static const nest_wifi_gale_sharp =
      _MaterialSymbolsData(0x13af, 'nest_wifi_gale_sharp');
  static const nest_wifi_gale = _MaterialSymbolsData(0x13b0, 'nest_wifi_gale');
  static const nest_wifi_mistral_filled_outlined =
      _MaterialSymbolsData(0x13b1, 'nest_wifi_mistral_filled_outlined');
  static const nest_wifi_mistral_filled_sharp =
      _MaterialSymbolsData(0x13b2, 'nest_wifi_mistral_filled_sharp');
  static const nest_wifi_mistral_filled =
      _MaterialSymbolsData(0x13b3, 'nest_wifi_mistral_filled');
  static const nest_wifi_mistral_outlined =
      _MaterialSymbolsData(0x13b4, 'nest_wifi_mistral_outlined');
  static const nest_wifi_mistral_sharp =
      _MaterialSymbolsData(0x13b5, 'nest_wifi_mistral_sharp');
  static const nest_wifi_mistral =
      _MaterialSymbolsData(0x13b6, 'nest_wifi_mistral');
  static const nest_wifi_point_filled_outlined =
      _MaterialSymbolsData(0x13b7, 'nest_wifi_point_filled_outlined');
  static const nest_wifi_point_filled_sharp =
      _MaterialSymbolsData(0x13b8, 'nest_wifi_point_filled_sharp');
  static const nest_wifi_point_filled =
      _MaterialSymbolsData(0x13b9, 'nest_wifi_point_filled');
  static const nest_wifi_point_outlined =
      _MaterialSymbolsData(0x13ba, 'nest_wifi_point_outlined');
  static const nest_wifi_point_sharp =
      _MaterialSymbolsData(0x13bb, 'nest_wifi_point_sharp');
  static const nest_wifi_point_vento_filled_outlined =
      _MaterialSymbolsData(0x13bc, 'nest_wifi_point_vento_filled_outlined');
  static const nest_wifi_point_vento_filled_sharp =
      _MaterialSymbolsData(0x13bd, 'nest_wifi_point_vento_filled_sharp');
  static const nest_wifi_point_vento_filled =
      _MaterialSymbolsData(0x13be, 'nest_wifi_point_vento_filled');
  static const nest_wifi_point_vento_outlined =
      _MaterialSymbolsData(0x13bf, 'nest_wifi_point_vento_outlined');
  static const nest_wifi_point_vento_sharp =
      _MaterialSymbolsData(0x13c0, 'nest_wifi_point_vento_sharp');
  static const nest_wifi_point_vento =
      _MaterialSymbolsData(0x13c1, 'nest_wifi_point_vento');
  static const nest_wifi_point =
      _MaterialSymbolsData(0x13c2, 'nest_wifi_point');
  static const nest_wifi_router_filled_outlined =
      _MaterialSymbolsData(0x13c3, 'nest_wifi_router_filled_outlined');
  static const nest_wifi_router_filled_sharp =
      _MaterialSymbolsData(0x13c4, 'nest_wifi_router_filled_sharp');
  static const nest_wifi_router_filled =
      _MaterialSymbolsData(0x13c5, 'nest_wifi_router_filled');
  static const nest_wifi_router_outlined =
      _MaterialSymbolsData(0x13c6, 'nest_wifi_router_outlined');
  static const nest_wifi_router_sharp =
      _MaterialSymbolsData(0x13c7, 'nest_wifi_router_sharp');
  static const nest_wifi_router =
      _MaterialSymbolsData(0x13c8, 'nest_wifi_router');
  static const network_cell_filled_outlined =
      _MaterialSymbolsData(0x13c9, 'network_cell_filled_outlined');
  static const network_cell_filled_sharp =
      _MaterialSymbolsData(0x13ca, 'network_cell_filled_sharp');
  static const network_cell_filled =
      _MaterialSymbolsData(0x13cb, 'network_cell_filled');
  static const network_cell_outlined =
      _MaterialSymbolsData(0x13cc, 'network_cell_outlined');
  static const network_cell_sharp =
      _MaterialSymbolsData(0x13cd, 'network_cell_sharp');
  static const network_cell = _MaterialSymbolsData(0x13ce, 'network_cell');
  static const network_check_filled_outlined =
      _MaterialSymbolsData(0x13cf, 'network_check_filled_outlined');
  static const network_check_filled_sharp =
      _MaterialSymbolsData(0x13d0, 'network_check_filled_sharp');
  static const network_check_filled =
      _MaterialSymbolsData(0x13d1, 'network_check_filled');
  static const network_check_outlined =
      _MaterialSymbolsData(0x13d2, 'network_check_outlined');
  static const network_check_sharp =
      _MaterialSymbolsData(0x13d3, 'network_check_sharp');
  static const network_check = _MaterialSymbolsData(0x13d4, 'network_check');
  static const network_locked_filled_outlined =
      _MaterialSymbolsData(0x13d5, 'network_locked_filled_outlined');
  static const network_locked_filled_sharp =
      _MaterialSymbolsData(0x13d6, 'network_locked_filled_sharp');
  static const network_locked_filled =
      _MaterialSymbolsData(0x13d7, 'network_locked_filled');
  static const network_locked_outlined =
      _MaterialSymbolsData(0x13d8, 'network_locked_outlined');
  static const network_locked_sharp =
      _MaterialSymbolsData(0x13d9, 'network_locked_sharp');
  static const network_locked = _MaterialSymbolsData(0x13da, 'network_locked');
  static const network_ping_filled_outlined =
      _MaterialSymbolsData(0x13db, 'network_ping_filled_outlined');
  static const network_ping_filled_sharp =
      _MaterialSymbolsData(0x13dc, 'network_ping_filled_sharp');
  static const network_ping_filled =
      _MaterialSymbolsData(0x13dd, 'network_ping_filled');
  static const network_ping_outlined =
      _MaterialSymbolsData(0x13de, 'network_ping_outlined');
  static const network_ping_sharp =
      _MaterialSymbolsData(0x13df, 'network_ping_sharp');
  static const network_ping = _MaterialSymbolsData(0x13e0, 'network_ping');
  static const network_wifi_1_bar_filled_outlined =
      _MaterialSymbolsData(0x13e1, 'network_wifi_1_bar_filled_outlined');
  static const network_wifi_1_bar_filled_sharp =
      _MaterialSymbolsData(0x13e2, 'network_wifi_1_bar_filled_sharp');
  static const network_wifi_1_bar_filled =
      _MaterialSymbolsData(0x13e3, 'network_wifi_1_bar_filled');
  static const network_wifi_1_bar_outlined =
      _MaterialSymbolsData(0x13e4, 'network_wifi_1_bar_outlined');
  static const network_wifi_1_bar_sharp =
      _MaterialSymbolsData(0x13e5, 'network_wifi_1_bar_sharp');
  static const network_wifi_1_bar =
      _MaterialSymbolsData(0x13e6, 'network_wifi_1_bar');
  static const network_wifi_2_bar_filled_outlined =
      _MaterialSymbolsData(0x13e7, 'network_wifi_2_bar_filled_outlined');
  static const network_wifi_2_bar_filled_sharp =
      _MaterialSymbolsData(0x13e8, 'network_wifi_2_bar_filled_sharp');
  static const network_wifi_2_bar_filled =
      _MaterialSymbolsData(0x13e9, 'network_wifi_2_bar_filled');
  static const network_wifi_2_bar_outlined =
      _MaterialSymbolsData(0x13ea, 'network_wifi_2_bar_outlined');
  static const network_wifi_2_bar_sharp =
      _MaterialSymbolsData(0x13eb, 'network_wifi_2_bar_sharp');
  static const network_wifi_2_bar =
      _MaterialSymbolsData(0x13ec, 'network_wifi_2_bar');
  static const network_wifi_3_bar_filled_outlined =
      _MaterialSymbolsData(0x13ed, 'network_wifi_3_bar_filled_outlined');
  static const network_wifi_3_bar_filled_sharp =
      _MaterialSymbolsData(0x13ee, 'network_wifi_3_bar_filled_sharp');
  static const network_wifi_3_bar_filled =
      _MaterialSymbolsData(0x13ef, 'network_wifi_3_bar_filled');
  static const network_wifi_3_bar_outlined =
      _MaterialSymbolsData(0x13f0, 'network_wifi_3_bar_outlined');
  static const network_wifi_3_bar_sharp =
      _MaterialSymbolsData(0x13f1, 'network_wifi_3_bar_sharp');
  static const network_wifi_3_bar =
      _MaterialSymbolsData(0x13f2, 'network_wifi_3_bar');
  static const network_wifi_filled_outlined =
      _MaterialSymbolsData(0x13f3, 'network_wifi_filled_outlined');
  static const network_wifi_filled_sharp =
      _MaterialSymbolsData(0x13f4, 'network_wifi_filled_sharp');
  static const network_wifi_filled =
      _MaterialSymbolsData(0x13f5, 'network_wifi_filled');
  static const network_wifi_outlined =
      _MaterialSymbolsData(0x13f6, 'network_wifi_outlined');
  static const network_wifi_sharp =
      _MaterialSymbolsData(0x13f7, 'network_wifi_sharp');
  static const network_wifi = _MaterialSymbolsData(0x13f8, 'network_wifi');
  static const new_label_filled_outlined =
      _MaterialSymbolsData(0x13f9, 'new_label_filled_outlined');
  static const new_label_filled_sharp =
      _MaterialSymbolsData(0x13fa, 'new_label_filled_sharp');
  static const new_label_filled =
      _MaterialSymbolsData(0x13fb, 'new_label_filled');
  static const new_label_outlined =
      _MaterialSymbolsData(0x13fc, 'new_label_outlined');
  static const new_label_sharp =
      _MaterialSymbolsData(0x13fd, 'new_label_sharp');
  static const new_label = _MaterialSymbolsData(0x13fe, 'new_label');
  static const new_releases_filled_outlined =
      _MaterialSymbolsData(0x13ff, 'new_releases_filled_outlined');
  static const new_releases_filled_sharp =
      _MaterialSymbolsData(0x1500, 'new_releases_filled_sharp');
  static const new_releases_filled =
      _MaterialSymbolsData(0x1501, 'new_releases_filled');
  static const new_releases_outlined =
      _MaterialSymbolsData(0x1502, 'new_releases_outlined');
  static const new_releases_sharp =
      _MaterialSymbolsData(0x1503, 'new_releases_sharp');
  static const new_releases = _MaterialSymbolsData(0x1504, 'new_releases');
  static const newspaper_filled_outlined =
      _MaterialSymbolsData(0x1505, 'newspaper_filled_outlined');
  static const newspaper_filled_sharp =
      _MaterialSymbolsData(0x1506, 'newspaper_filled_sharp');
  static const newspaper_filled =
      _MaterialSymbolsData(0x1507, 'newspaper_filled');
  static const newspaper_outlined =
      _MaterialSymbolsData(0x1508, 'newspaper_outlined');
  static const newspaper_sharp =
      _MaterialSymbolsData(0x1509, 'newspaper_sharp');
  static const newspaper = _MaterialSymbolsData(0x150a, 'newspaper');
  static const next_plan_filled_outlined =
      _MaterialSymbolsData(0x150b, 'next_plan_filled_outlined');
  static const next_plan_filled_sharp =
      _MaterialSymbolsData(0x150c, 'next_plan_filled_sharp');
  static const next_plan_filled =
      _MaterialSymbolsData(0x150d, 'next_plan_filled');
  static const next_plan_outlined =
      _MaterialSymbolsData(0x150e, 'next_plan_outlined');
  static const next_plan_sharp =
      _MaterialSymbolsData(0x150f, 'next_plan_sharp');
  static const next_plan = _MaterialSymbolsData(0x1510, 'next_plan');
  static const next_week_filled_outlined =
      _MaterialSymbolsData(0x1511, 'next_week_filled_outlined');
  static const next_week_filled_sharp =
      _MaterialSymbolsData(0x1512, 'next_week_filled_sharp');
  static const next_week_filled =
      _MaterialSymbolsData(0x1513, 'next_week_filled');
  static const next_week_outlined =
      _MaterialSymbolsData(0x1514, 'next_week_outlined');
  static const next_week_sharp =
      _MaterialSymbolsData(0x1515, 'next_week_sharp');
  static const next_week = _MaterialSymbolsData(0x1516, 'next_week');
  static const nfc_filled_outlined =
      _MaterialSymbolsData(0x1517, 'nfc_filled_outlined');
  static const nfc_filled_sharp =
      _MaterialSymbolsData(0x1518, 'nfc_filled_sharp');
  static const nfc_filled = _MaterialSymbolsData(0x1519, 'nfc_filled');
  static const nfc_outlined = _MaterialSymbolsData(0x151a, 'nfc_outlined');
  static const nfc_sharp = _MaterialSymbolsData(0x151b, 'nfc_sharp');
  static const nfc = _MaterialSymbolsData(0x151c, 'nfc');
  static const night_shelter_filled_outlined =
      _MaterialSymbolsData(0x151d, 'night_shelter_filled_outlined');
  static const night_shelter_filled_sharp =
      _MaterialSymbolsData(0x151e, 'night_shelter_filled_sharp');
  static const night_shelter_filled =
      _MaterialSymbolsData(0x151f, 'night_shelter_filled');
  static const night_shelter_outlined =
      _MaterialSymbolsData(0x1520, 'night_shelter_outlined');
  static const night_shelter_sharp =
      _MaterialSymbolsData(0x1521, 'night_shelter_sharp');
  static const night_shelter = _MaterialSymbolsData(0x1522, 'night_shelter');
  static const night_sight_auto_filled_outlined =
      _MaterialSymbolsData(0x1523, 'night_sight_auto_filled_outlined');
  static const night_sight_auto_filled_sharp =
      _MaterialSymbolsData(0x1524, 'night_sight_auto_filled_sharp');
  static const night_sight_auto_filled =
      _MaterialSymbolsData(0x1525, 'night_sight_auto_filled');
  static const night_sight_auto_off_filled_outlined =
      _MaterialSymbolsData(0x1526, 'night_sight_auto_off_filled_outlined');
  static const night_sight_auto_off_filled_sharp =
      _MaterialSymbolsData(0x1527, 'night_sight_auto_off_filled_sharp');
  static const night_sight_auto_off_filled =
      _MaterialSymbolsData(0x1528, 'night_sight_auto_off_filled');
  static const night_sight_auto_off_outlined =
      _MaterialSymbolsData(0x1529, 'night_sight_auto_off_outlined');
  static const night_sight_auto_off_sharp =
      _MaterialSymbolsData(0x152a, 'night_sight_auto_off_sharp');
  static const night_sight_auto_off =
      _MaterialSymbolsData(0x152b, 'night_sight_auto_off');
  static const night_sight_auto_outlined =
      _MaterialSymbolsData(0x152c, 'night_sight_auto_outlined');
  static const night_sight_auto_sharp =
      _MaterialSymbolsData(0x152d, 'night_sight_auto_sharp');
  static const night_sight_auto =
      _MaterialSymbolsData(0x152e, 'night_sight_auto');
  static const nightlife_filled_outlined =
      _MaterialSymbolsData(0x152f, 'nightlife_filled_outlined');
  static const nightlife_filled_sharp =
      _MaterialSymbolsData(0x1530, 'nightlife_filled_sharp');
  static const nightlife_filled =
      _MaterialSymbolsData(0x1531, 'nightlife_filled');
  static const nightlife_outlined =
      _MaterialSymbolsData(0x1532, 'nightlife_outlined');
  static const nightlife_sharp =
      _MaterialSymbolsData(0x1533, 'nightlife_sharp');
  static const nightlife = _MaterialSymbolsData(0x1534, 'nightlife');
  static const nightlight_filled_outlined =
      _MaterialSymbolsData(0x1535, 'nightlight_filled_outlined');
  static const nightlight_filled_sharp =
      _MaterialSymbolsData(0x1536, 'nightlight_filled_sharp');
  static const nightlight_filled =
      _MaterialSymbolsData(0x1537, 'nightlight_filled');
  static const nightlight_outlined =
      _MaterialSymbolsData(0x1538, 'nightlight_outlined');
  static const nightlight_sharp =
      _MaterialSymbolsData(0x1539, 'nightlight_sharp');
  static const nightlight = _MaterialSymbolsData(0x153a, 'nightlight');
  static const nights_stay_filled_outlined =
      _MaterialSymbolsData(0x153b, 'nights_stay_filled_outlined');
  static const nights_stay_filled_sharp =
      _MaterialSymbolsData(0x153c, 'nights_stay_filled_sharp');
  static const nights_stay_filled =
      _MaterialSymbolsData(0x153d, 'nights_stay_filled');
  static const nights_stay_outlined =
      _MaterialSymbolsData(0x153e, 'nights_stay_outlined');
  static const nights_stay_sharp =
      _MaterialSymbolsData(0x153f, 'nights_stay_sharp');
  static const nights_stay = _MaterialSymbolsData(0x1540, 'nights_stay');
  static const no_accounts_filled_outlined =
      _MaterialSymbolsData(0x1541, 'no_accounts_filled_outlined');
  static const no_accounts_filled_sharp =
      _MaterialSymbolsData(0x1542, 'no_accounts_filled_sharp');
  static const no_accounts_filled =
      _MaterialSymbolsData(0x1543, 'no_accounts_filled');
  static const no_accounts_outlined =
      _MaterialSymbolsData(0x1544, 'no_accounts_outlined');
  static const no_accounts_sharp =
      _MaterialSymbolsData(0x1545, 'no_accounts_sharp');
  static const no_accounts = _MaterialSymbolsData(0x1546, 'no_accounts');
  static const no_adult_content_filled_outlined =
      _MaterialSymbolsData(0x1547, 'no_adult_content_filled_outlined');
  static const no_adult_content_filled_sharp =
      _MaterialSymbolsData(0x1548, 'no_adult_content_filled_sharp');
  static const no_adult_content_filled =
      _MaterialSymbolsData(0x1549, 'no_adult_content_filled');
  static const no_adult_content_outlined =
      _MaterialSymbolsData(0x154a, 'no_adult_content_outlined');
  static const no_adult_content_sharp =
      _MaterialSymbolsData(0x154b, 'no_adult_content_sharp');
  static const no_adult_content =
      _MaterialSymbolsData(0x154c, 'no_adult_content');
  static const no_backpack_filled_outlined =
      _MaterialSymbolsData(0x154d, 'no_backpack_filled_outlined');
  static const no_backpack_filled_sharp =
      _MaterialSymbolsData(0x154e, 'no_backpack_filled_sharp');
  static const no_backpack_filled =
      _MaterialSymbolsData(0x154f, 'no_backpack_filled');
  static const no_backpack_outlined =
      _MaterialSymbolsData(0x1550, 'no_backpack_outlined');
  static const no_backpack_sharp =
      _MaterialSymbolsData(0x1551, 'no_backpack_sharp');
  static const no_backpack = _MaterialSymbolsData(0x1552, 'no_backpack');
  static const no_crash_filled_outlined =
      _MaterialSymbolsData(0x1553, 'no_crash_filled_outlined');
  static const no_crash_filled_sharp =
      _MaterialSymbolsData(0x1554, 'no_crash_filled_sharp');
  static const no_crash_filled =
      _MaterialSymbolsData(0x1555, 'no_crash_filled');
  static const no_crash_outlined =
      _MaterialSymbolsData(0x1556, 'no_crash_outlined');
  static const no_crash_sharp = _MaterialSymbolsData(0x1557, 'no_crash_sharp');
  static const no_crash = _MaterialSymbolsData(0x1558, 'no_crash');
  static const no_drinks_filled_outlined =
      _MaterialSymbolsData(0x1559, 'no_drinks_filled_outlined');
  static const no_drinks_filled_sharp =
      _MaterialSymbolsData(0x155a, 'no_drinks_filled_sharp');
  static const no_drinks_filled =
      _MaterialSymbolsData(0x155b, 'no_drinks_filled');
  static const no_drinks_outlined =
      _MaterialSymbolsData(0x155c, 'no_drinks_outlined');
  static const no_drinks_sharp =
      _MaterialSymbolsData(0x155d, 'no_drinks_sharp');
  static const no_drinks = _MaterialSymbolsData(0x155e, 'no_drinks');
  static const no_encryption_filled_outlined =
      _MaterialSymbolsData(0x155f, 'no_encryption_filled_outlined');
  static const no_encryption_filled_sharp =
      _MaterialSymbolsData(0x1560, 'no_encryption_filled_sharp');
  static const no_encryption_filled =
      _MaterialSymbolsData(0x1561, 'no_encryption_filled');
  static const no_encryption_outlined =
      _MaterialSymbolsData(0x1562, 'no_encryption_outlined');
  static const no_encryption_sharp =
      _MaterialSymbolsData(0x1563, 'no_encryption_sharp');
  static const no_encryption = _MaterialSymbolsData(0x1564, 'no_encryption');
  static const no_flash_filled_outlined =
      _MaterialSymbolsData(0x1565, 'no_flash_filled_outlined');
  static const no_flash_filled_sharp =
      _MaterialSymbolsData(0x1566, 'no_flash_filled_sharp');
  static const no_flash_filled =
      _MaterialSymbolsData(0x1567, 'no_flash_filled');
  static const no_flash_outlined =
      _MaterialSymbolsData(0x1568, 'no_flash_outlined');
  static const no_flash_sharp = _MaterialSymbolsData(0x1569, 'no_flash_sharp');
  static const no_flash = _MaterialSymbolsData(0x156a, 'no_flash');
  static const no_food_filled_outlined =
      _MaterialSymbolsData(0x156b, 'no_food_filled_outlined');
  static const no_food_filled_sharp =
      _MaterialSymbolsData(0x156c, 'no_food_filled_sharp');
  static const no_food_filled = _MaterialSymbolsData(0x156d, 'no_food_filled');
  static const no_food_outlined =
      _MaterialSymbolsData(0x156e, 'no_food_outlined');
  static const no_food_sharp = _MaterialSymbolsData(0x156f, 'no_food_sharp');
  static const no_food = _MaterialSymbolsData(0x1570, 'no_food');
  static const no_luggage_filled_outlined =
      _MaterialSymbolsData(0x1571, 'no_luggage_filled_outlined');
  static const no_luggage_filled_sharp =
      _MaterialSymbolsData(0x1572, 'no_luggage_filled_sharp');
  static const no_luggage_filled =
      _MaterialSymbolsData(0x1573, 'no_luggage_filled');
  static const no_luggage_outlined =
      _MaterialSymbolsData(0x1574, 'no_luggage_outlined');
  static const no_luggage_sharp =
      _MaterialSymbolsData(0x1575, 'no_luggage_sharp');
  static const no_luggage = _MaterialSymbolsData(0x1576, 'no_luggage');
  static const no_meals_filled_outlined =
      _MaterialSymbolsData(0x1577, 'no_meals_filled_outlined');
  static const no_meals_filled_sharp =
      _MaterialSymbolsData(0x1578, 'no_meals_filled_sharp');
  static const no_meals_filled =
      _MaterialSymbolsData(0x1579, 'no_meals_filled');
  static const no_meals_outlined =
      _MaterialSymbolsData(0x157a, 'no_meals_outlined');
  static const no_meals_sharp = _MaterialSymbolsData(0x157b, 'no_meals_sharp');
  static const no_meals = _MaterialSymbolsData(0x157c, 'no_meals');
  static const no_meeting_room_filled_outlined =
      _MaterialSymbolsData(0x157d, 'no_meeting_room_filled_outlined');
  static const no_meeting_room_filled_sharp =
      _MaterialSymbolsData(0x157e, 'no_meeting_room_filled_sharp');
  static const no_meeting_room_filled =
      _MaterialSymbolsData(0x157f, 'no_meeting_room_filled');
  static const no_meeting_room_outlined =
      _MaterialSymbolsData(0x1580, 'no_meeting_room_outlined');
  static const no_meeting_room_sharp =
      _MaterialSymbolsData(0x1581, 'no_meeting_room_sharp');
  static const no_meeting_room =
      _MaterialSymbolsData(0x1582, 'no_meeting_room');
  static const no_photography_filled_outlined =
      _MaterialSymbolsData(0x1583, 'no_photography_filled_outlined');
  static const no_photography_filled_sharp =
      _MaterialSymbolsData(0x1584, 'no_photography_filled_sharp');
  static const no_photography_filled =
      _MaterialSymbolsData(0x1585, 'no_photography_filled');
  static const no_photography_outlined =
      _MaterialSymbolsData(0x1586, 'no_photography_outlined');
  static const no_photography_sharp =
      _MaterialSymbolsData(0x1587, 'no_photography_sharp');
  static const no_photography = _MaterialSymbolsData(0x1588, 'no_photography');
  static const no_sim_filled_outlined =
      _MaterialSymbolsData(0x1589, 'no_sim_filled_outlined');
  static const no_sim_filled_sharp =
      _MaterialSymbolsData(0x158a, 'no_sim_filled_sharp');
  static const no_sim_filled = _MaterialSymbolsData(0x158b, 'no_sim_filled');
  static const no_sim_outlined =
      _MaterialSymbolsData(0x158c, 'no_sim_outlined');
  static const no_sim_sharp = _MaterialSymbolsData(0x158d, 'no_sim_sharp');
  static const no_sim = _MaterialSymbolsData(0x158e, 'no_sim');
  static const no_stroller_filled_outlined =
      _MaterialSymbolsData(0x158f, 'no_stroller_filled_outlined');
  static const no_stroller_filled_sharp =
      _MaterialSymbolsData(0x1590, 'no_stroller_filled_sharp');
  static const no_stroller_filled =
      _MaterialSymbolsData(0x1591, 'no_stroller_filled');
  static const no_stroller_outlined =
      _MaterialSymbolsData(0x1592, 'no_stroller_outlined');
  static const no_stroller_sharp =
      _MaterialSymbolsData(0x1593, 'no_stroller_sharp');
  static const no_stroller = _MaterialSymbolsData(0x1594, 'no_stroller');
  static const no_transfer_filled_outlined =
      _MaterialSymbolsData(0x1595, 'no_transfer_filled_outlined');
  static const no_transfer_filled_sharp =
      _MaterialSymbolsData(0x1596, 'no_transfer_filled_sharp');
  static const no_transfer_filled =
      _MaterialSymbolsData(0x1597, 'no_transfer_filled');
  static const no_transfer_outlined =
      _MaterialSymbolsData(0x1598, 'no_transfer_outlined');
  static const no_transfer_sharp =
      _MaterialSymbolsData(0x1599, 'no_transfer_sharp');
  static const no_transfer = _MaterialSymbolsData(0x159a, 'no_transfer');
  static const noise_aware_filled_outlined =
      _MaterialSymbolsData(0x159b, 'noise_aware_filled_outlined');
  static const noise_aware_filled_sharp =
      _MaterialSymbolsData(0x159c, 'noise_aware_filled_sharp');
  static const noise_aware_filled =
      _MaterialSymbolsData(0x159d, 'noise_aware_filled');
  static const noise_aware_outlined =
      _MaterialSymbolsData(0x159e, 'noise_aware_outlined');
  static const noise_aware_sharp =
      _MaterialSymbolsData(0x159f, 'noise_aware_sharp');
  static const noise_aware = _MaterialSymbolsData(0x15a0, 'noise_aware');
  static const noise_control_off_filled_outlined =
      _MaterialSymbolsData(0x15a1, 'noise_control_off_filled_outlined');
  static const noise_control_off_filled_sharp =
      _MaterialSymbolsData(0x15a2, 'noise_control_off_filled_sharp');
  static const noise_control_off_filled =
      _MaterialSymbolsData(0x15a3, 'noise_control_off_filled');
  static const noise_control_off_outlined =
      _MaterialSymbolsData(0x15a4, 'noise_control_off_outlined');
  static const noise_control_off_sharp =
      _MaterialSymbolsData(0x15a5, 'noise_control_off_sharp');
  static const noise_control_off =
      _MaterialSymbolsData(0x15a6, 'noise_control_off');
  static const noise_control_on_filled_outlined =
      _MaterialSymbolsData(0x15a7, 'noise_control_on_filled_outlined');
  static const noise_control_on_filled_sharp =
      _MaterialSymbolsData(0x15a8, 'noise_control_on_filled_sharp');
  static const noise_control_on_filled =
      _MaterialSymbolsData(0x15a9, 'noise_control_on_filled');
  static const noise_control_on_outlined =
      _MaterialSymbolsData(0x15aa, 'noise_control_on_outlined');
  static const noise_control_on_sharp =
      _MaterialSymbolsData(0x15ab, 'noise_control_on_sharp');
  static const noise_control_on =
      _MaterialSymbolsData(0x15ac, 'noise_control_on');
  static const nordic_walking_filled_outlined =
      _MaterialSymbolsData(0x15ad, 'nordic_walking_filled_outlined');
  static const nordic_walking_filled_sharp =
      _MaterialSymbolsData(0x15ae, 'nordic_walking_filled_sharp');
  static const nordic_walking_filled =
      _MaterialSymbolsData(0x15af, 'nordic_walking_filled');
  static const nordic_walking_outlined =
      _MaterialSymbolsData(0x15b0, 'nordic_walking_outlined');
  static const nordic_walking_sharp =
      _MaterialSymbolsData(0x15b1, 'nordic_walking_sharp');
  static const nordic_walking = _MaterialSymbolsData(0x15b2, 'nordic_walking');
  static const north_east_filled_outlined =
      _MaterialSymbolsData(0x15b3, 'north_east_filled_outlined');
  static const north_east_filled_sharp =
      _MaterialSymbolsData(0x15b4, 'north_east_filled_sharp');
  static const north_east_filled =
      _MaterialSymbolsData(0x15b5, 'north_east_filled');
  static const north_east_outlined =
      _MaterialSymbolsData(0x15b6, 'north_east_outlined');
  static const north_east_sharp =
      _MaterialSymbolsData(0x15b7, 'north_east_sharp');
  static const north_east = _MaterialSymbolsData(0x15b8, 'north_east');
  static const north_filled_outlined =
      _MaterialSymbolsData(0x15b9, 'north_filled_outlined');
  static const north_filled_sharp =
      _MaterialSymbolsData(0x15ba, 'north_filled_sharp');
  static const north_filled = _MaterialSymbolsData(0x15bb, 'north_filled');
  static const north_outlined = _MaterialSymbolsData(0x15bc, 'north_outlined');
  static const north_sharp = _MaterialSymbolsData(0x15bd, 'north_sharp');
  static const north_west_filled_outlined =
      _MaterialSymbolsData(0x15be, 'north_west_filled_outlined');
  static const north_west_filled_sharp =
      _MaterialSymbolsData(0x15bf, 'north_west_filled_sharp');
  static const north_west_filled =
      _MaterialSymbolsData(0x15c0, 'north_west_filled');
  static const north_west_outlined =
      _MaterialSymbolsData(0x15c1, 'north_west_outlined');
  static const north_west_sharp =
      _MaterialSymbolsData(0x15c2, 'north_west_sharp');
  static const north_west = _MaterialSymbolsData(0x15c3, 'north_west');
  static const north = _MaterialSymbolsData(0x15c4, 'north');
  static const not_accessible_filled_outlined =
      _MaterialSymbolsData(0x15c5, 'not_accessible_filled_outlined');
  static const not_accessible_filled_sharp =
      _MaterialSymbolsData(0x15c6, 'not_accessible_filled_sharp');
  static const not_accessible_filled =
      _MaterialSymbolsData(0x15c7, 'not_accessible_filled');
  static const not_accessible_outlined =
      _MaterialSymbolsData(0x15c8, 'not_accessible_outlined');
  static const not_accessible_sharp =
      _MaterialSymbolsData(0x15c9, 'not_accessible_sharp');
  static const not_accessible = _MaterialSymbolsData(0x15ca, 'not_accessible');
  static const not_listed_location_filled_outlined =
      _MaterialSymbolsData(0x15cb, 'not_listed_location_filled_outlined');
  static const not_listed_location_filled_sharp =
      _MaterialSymbolsData(0x15cc, 'not_listed_location_filled_sharp');
  static const not_listed_location_filled =
      _MaterialSymbolsData(0x15cd, 'not_listed_location_filled');
  static const not_listed_location_outlined =
      _MaterialSymbolsData(0x15ce, 'not_listed_location_outlined');
  static const not_listed_location_sharp =
      _MaterialSymbolsData(0x15cf, 'not_listed_location_sharp');
  static const not_listed_location =
      _MaterialSymbolsData(0x15d0, 'not_listed_location');
  static const not_started_filled_outlined =
      _MaterialSymbolsData(0x15d1, 'not_started_filled_outlined');
  static const not_started_filled_sharp =
      _MaterialSymbolsData(0x15d2, 'not_started_filled_sharp');
  static const not_started_filled =
      _MaterialSymbolsData(0x15d3, 'not_started_filled');
  static const not_started_outlined =
      _MaterialSymbolsData(0x15d4, 'not_started_outlined');
  static const not_started_sharp =
      _MaterialSymbolsData(0x15d5, 'not_started_sharp');
  static const not_started = _MaterialSymbolsData(0x15d6, 'not_started');
  static const note_add_filled_outlined =
      _MaterialSymbolsData(0x15d7, 'note_add_filled_outlined');
  static const note_add_filled_sharp =
      _MaterialSymbolsData(0x15d8, 'note_add_filled_sharp');
  static const note_add_filled =
      _MaterialSymbolsData(0x15d9, 'note_add_filled');
  static const note_add_outlined =
      _MaterialSymbolsData(0x15da, 'note_add_outlined');
  static const note_add_sharp = _MaterialSymbolsData(0x15db, 'note_add_sharp');
  static const note_add = _MaterialSymbolsData(0x15dc, 'note_add');
  static const note_alt_filled_outlined =
      _MaterialSymbolsData(0x15dd, 'note_alt_filled_outlined');
  static const note_alt_filled_sharp =
      _MaterialSymbolsData(0x15de, 'note_alt_filled_sharp');
  static const note_alt_filled =
      _MaterialSymbolsData(0x15df, 'note_alt_filled');
  static const note_alt_outlined =
      _MaterialSymbolsData(0x15e0, 'note_alt_outlined');
  static const note_alt_sharp = _MaterialSymbolsData(0x15e1, 'note_alt_sharp');
  static const note_alt = _MaterialSymbolsData(0x15e2, 'note_alt');
  static const note_filled_outlined =
      _MaterialSymbolsData(0x15e3, 'note_filled_outlined');
  static const note_filled_sharp =
      _MaterialSymbolsData(0x15e4, 'note_filled_sharp');
  static const note_filled = _MaterialSymbolsData(0x15e5, 'note_filled');
  static const note_outlined = _MaterialSymbolsData(0x15e6, 'note_outlined');
  static const note_sharp = _MaterialSymbolsData(0x15e7, 'note_sharp');
  static const note = _MaterialSymbolsData(0x15e8, 'note');
  static const notes_filled_outlined =
      _MaterialSymbolsData(0x15e9, 'notes_filled_outlined');
  static const notes_filled_sharp =
      _MaterialSymbolsData(0x15ea, 'notes_filled_sharp');
  static const notes_filled = _MaterialSymbolsData(0x15eb, 'notes_filled');
  static const notes_outlined = _MaterialSymbolsData(0x15ec, 'notes_outlined');
  static const notes_sharp = _MaterialSymbolsData(0x15ed, 'notes_sharp');
  static const notes = _MaterialSymbolsData(0x15ee, 'notes');
  static const notification_add_filled_outlined =
      _MaterialSymbolsData(0x15ef, 'notification_add_filled_outlined');
  static const notification_add_filled_sharp =
      _MaterialSymbolsData(0x15f0, 'notification_add_filled_sharp');
  static const notification_add_filled =
      _MaterialSymbolsData(0x15f1, 'notification_add_filled');
  static const notification_add_outlined =
      _MaterialSymbolsData(0x15f2, 'notification_add_outlined');
  static const notification_add_sharp =
      _MaterialSymbolsData(0x15f3, 'notification_add_sharp');
  static const notification_add =
      _MaterialSymbolsData(0x15f4, 'notification_add');
  static const notification_important_filled_outlined =
      _MaterialSymbolsData(0x15f5, 'notification_important_filled_outlined');
  static const notification_important_filled_sharp =
      _MaterialSymbolsData(0x15f6, 'notification_important_filled_sharp');
  static const notification_important_filled =
      _MaterialSymbolsData(0x15f7, 'notification_important_filled');
  static const notification_important_outlined =
      _MaterialSymbolsData(0x15f8, 'notification_important_outlined');
  static const notification_important_sharp =
      _MaterialSymbolsData(0x15f9, 'notification_important_sharp');
  static const notification_important =
      _MaterialSymbolsData(0x15fa, 'notification_important');
  static const notifications_active_filled_outlined =
      _MaterialSymbolsData(0x15fb, 'notifications_active_filled_outlined');
  static const notifications_active_filled_sharp =
      _MaterialSymbolsData(0x15fc, 'notifications_active_filled_sharp');
  static const notifications_active_filled =
      _MaterialSymbolsData(0x15fd, 'notifications_active_filled');
  static const notifications_active_outlined =
      _MaterialSymbolsData(0x15fe, 'notifications_active_outlined');
  static const notifications_active_sharp =
      _MaterialSymbolsData(0x15ff, 'notifications_active_sharp');
  static const notifications_active =
      _MaterialSymbolsData(0x1500, 'notifications_active');
  static const notifications_filled_outlined =
      _MaterialSymbolsData(0x1501, 'notifications_filled_outlined');
  static const notifications_filled_sharp =
      _MaterialSymbolsData(0x1502, 'notifications_filled_sharp');
  static const notifications_filled =
      _MaterialSymbolsData(0x1503, 'notifications_filled');
  static const notifications_off_filled_outlined =
      _MaterialSymbolsData(0x1504, 'notifications_off_filled_outlined');
  static const notifications_off_filled_sharp =
      _MaterialSymbolsData(0x1505, 'notifications_off_filled_sharp');
  static const notifications_off_filled =
      _MaterialSymbolsData(0x1506, 'notifications_off_filled');
  static const notifications_off_outlined =
      _MaterialSymbolsData(0x1507, 'notifications_off_outlined');
  static const notifications_off_sharp =
      _MaterialSymbolsData(0x1508, 'notifications_off_sharp');
  static const notifications_off =
      _MaterialSymbolsData(0x1509, 'notifications_off');
  static const notifications_outlined =
      _MaterialSymbolsData(0x150a, 'notifications_outlined');
  static const notifications_paused_filled_outlined =
      _MaterialSymbolsData(0x150b, 'notifications_paused_filled_outlined');
  static const notifications_paused_filled_sharp =
      _MaterialSymbolsData(0x150c, 'notifications_paused_filled_sharp');
  static const notifications_paused_filled =
      _MaterialSymbolsData(0x150d, 'notifications_paused_filled');
  static const notifications_paused_outlined =
      _MaterialSymbolsData(0x150e, 'notifications_paused_outlined');
  static const notifications_paused_sharp =
      _MaterialSymbolsData(0x150f, 'notifications_paused_sharp');
  static const notifications_paused =
      _MaterialSymbolsData(0x1510, 'notifications_paused');
  static const notifications_sharp =
      _MaterialSymbolsData(0x1511, 'notifications_sharp');
  static const notifications = _MaterialSymbolsData(0x1512, 'notifications');
  static const numbers_filled_outlined =
      _MaterialSymbolsData(0x1513, 'numbers_filled_outlined');
  static const numbers_filled_sharp =
      _MaterialSymbolsData(0x1514, 'numbers_filled_sharp');
  static const numbers_filled = _MaterialSymbolsData(0x1515, 'numbers_filled');
  static const numbers_outlined =
      _MaterialSymbolsData(0x1516, 'numbers_outlined');
  static const numbers_sharp = _MaterialSymbolsData(0x1517, 'numbers_sharp');
  static const numbers = _MaterialSymbolsData(0x1518, 'numbers');
  static const nutrition_filled_outlined =
      _MaterialSymbolsData(0x1519, 'nutrition_filled_outlined');
  static const nutrition_filled_sharp =
      _MaterialSymbolsData(0x151a, 'nutrition_filled_sharp');
  static const nutrition_filled =
      _MaterialSymbolsData(0x151b, 'nutrition_filled');
  static const nutrition_outlined =
      _MaterialSymbolsData(0x151c, 'nutrition_outlined');
  static const nutrition_sharp =
      _MaterialSymbolsData(0x151d, 'nutrition_sharp');
  static const nutrition = _MaterialSymbolsData(0x151e, 'nutrition');
  static const offline_bolt_filled_outlined =
      _MaterialSymbolsData(0x151f, 'offline_bolt_filled_outlined');
  static const offline_bolt_filled_sharp =
      _MaterialSymbolsData(0x1520, 'offline_bolt_filled_sharp');
  static const offline_bolt_filled =
      _MaterialSymbolsData(0x1521, 'offline_bolt_filled');
  static const offline_bolt_outlined =
      _MaterialSymbolsData(0x1522, 'offline_bolt_outlined');
  static const offline_bolt_sharp =
      _MaterialSymbolsData(0x1523, 'offline_bolt_sharp');
  static const offline_bolt = _MaterialSymbolsData(0x1524, 'offline_bolt');
  static const offline_pin_filled_outlined =
      _MaterialSymbolsData(0x1525, 'offline_pin_filled_outlined');
  static const offline_pin_filled_sharp =
      _MaterialSymbolsData(0x1526, 'offline_pin_filled_sharp');
  static const offline_pin_filled =
      _MaterialSymbolsData(0x1527, 'offline_pin_filled');
  static const offline_pin_outlined =
      _MaterialSymbolsData(0x1528, 'offline_pin_outlined');
  static const offline_pin_sharp =
      _MaterialSymbolsData(0x1529, 'offline_pin_sharp');
  static const offline_pin = _MaterialSymbolsData(0x152a, 'offline_pin');
  static const offline_share_filled_outlined =
      _MaterialSymbolsData(0x152b, 'offline_share_filled_outlined');
  static const offline_share_filled_sharp =
      _MaterialSymbolsData(0x152c, 'offline_share_filled_sharp');
  static const offline_share_filled =
      _MaterialSymbolsData(0x152d, 'offline_share_filled');
  static const offline_share_outlined =
      _MaterialSymbolsData(0x152e, 'offline_share_outlined');
  static const offline_share_sharp =
      _MaterialSymbolsData(0x152f, 'offline_share_sharp');
  static const offline_share = _MaterialSymbolsData(0x1530, 'offline_share');
  static const oil_barrel_filled_outlined =
      _MaterialSymbolsData(0x1531, 'oil_barrel_filled_outlined');
  static const oil_barrel_filled_sharp =
      _MaterialSymbolsData(0x1532, 'oil_barrel_filled_sharp');
  static const oil_barrel_filled =
      _MaterialSymbolsData(0x1533, 'oil_barrel_filled');
  static const oil_barrel_outlined =
      _MaterialSymbolsData(0x1534, 'oil_barrel_outlined');
  static const oil_barrel_sharp =
      _MaterialSymbolsData(0x1535, 'oil_barrel_sharp');
  static const oil_barrel = _MaterialSymbolsData(0x1536, 'oil_barrel');
  static const on_device_training_filled_outlined =
      _MaterialSymbolsData(0x1537, 'on_device_training_filled_outlined');
  static const on_device_training_filled_sharp =
      _MaterialSymbolsData(0x1538, 'on_device_training_filled_sharp');
  static const on_device_training_filled =
      _MaterialSymbolsData(0x1539, 'on_device_training_filled');
  static const on_device_training_outlined =
      _MaterialSymbolsData(0x153a, 'on_device_training_outlined');
  static const on_device_training_sharp =
      _MaterialSymbolsData(0x153b, 'on_device_training_sharp');
  static const on_device_training =
      _MaterialSymbolsData(0x153c, 'on_device_training');
  static const oncology_filled_outlined =
      _MaterialSymbolsData(0x153d, 'oncology_filled_outlined');
  static const oncology_filled_sharp =
      _MaterialSymbolsData(0x153e, 'oncology_filled_sharp');
  static const oncology_filled =
      _MaterialSymbolsData(0x153f, 'oncology_filled');
  static const oncology_outlined =
      _MaterialSymbolsData(0x1540, 'oncology_outlined');
  static const oncology_sharp = _MaterialSymbolsData(0x1541, 'oncology_sharp');
  static const oncology = _MaterialSymbolsData(0x1542, 'oncology');
  static const online_prediction_filled_outlined =
      _MaterialSymbolsData(0x1543, 'online_prediction_filled_outlined');
  static const online_prediction_filled_sharp =
      _MaterialSymbolsData(0x1544, 'online_prediction_filled_sharp');
  static const online_prediction_filled =
      _MaterialSymbolsData(0x1545, 'online_prediction_filled');
  static const online_prediction_outlined =
      _MaterialSymbolsData(0x1546, 'online_prediction_outlined');
  static const online_prediction_sharp =
      _MaterialSymbolsData(0x1547, 'online_prediction_sharp');
  static const online_prediction =
      _MaterialSymbolsData(0x1548, 'online_prediction');
  static const opacity_filled_outlined =
      _MaterialSymbolsData(0x1549, 'opacity_filled_outlined');
  static const opacity_filled_sharp =
      _MaterialSymbolsData(0x154a, 'opacity_filled_sharp');
  static const opacity_filled = _MaterialSymbolsData(0x154b, 'opacity_filled');
  static const opacity_outlined =
      _MaterialSymbolsData(0x154c, 'opacity_outlined');
  static const opacity_sharp = _MaterialSymbolsData(0x154d, 'opacity_sharp');
  static const opacity = _MaterialSymbolsData(0x154e, 'opacity');
  static const open_in_browser_filled_outlined =
      _MaterialSymbolsData(0x154f, 'open_in_browser_filled_outlined');
  static const open_in_browser_filled_sharp =
      _MaterialSymbolsData(0x1550, 'open_in_browser_filled_sharp');
  static const open_in_browser_filled =
      _MaterialSymbolsData(0x1551, 'open_in_browser_filled');
  static const open_in_browser_outlined =
      _MaterialSymbolsData(0x1552, 'open_in_browser_outlined');
  static const open_in_browser_sharp =
      _MaterialSymbolsData(0x1553, 'open_in_browser_sharp');
  static const open_in_browser =
      _MaterialSymbolsData(0x1554, 'open_in_browser');
  static const open_in_full_filled_outlined =
      _MaterialSymbolsData(0x1555, 'open_in_full_filled_outlined');
  static const open_in_full_filled_sharp =
      _MaterialSymbolsData(0x1556, 'open_in_full_filled_sharp');
  static const open_in_full_filled =
      _MaterialSymbolsData(0x1557, 'open_in_full_filled');
  static const open_in_full_outlined =
      _MaterialSymbolsData(0x1558, 'open_in_full_outlined');
  static const open_in_full_sharp =
      _MaterialSymbolsData(0x1559, 'open_in_full_sharp');
  static const open_in_full = _MaterialSymbolsData(0x155a, 'open_in_full');
  static const open_in_new_filled_outlined =
      _MaterialSymbolsData(0x155b, 'open_in_new_filled_outlined');
  static const open_in_new_filled_sharp =
      _MaterialSymbolsData(0x155c, 'open_in_new_filled_sharp');
  static const open_in_new_filled =
      _MaterialSymbolsData(0x155d, 'open_in_new_filled');
  static const open_in_new_off_filled_outlined =
      _MaterialSymbolsData(0x155e, 'open_in_new_off_filled_outlined');
  static const open_in_new_off_filled_sharp =
      _MaterialSymbolsData(0x155f, 'open_in_new_off_filled_sharp');
  static const open_in_new_off_filled =
      _MaterialSymbolsData(0x1560, 'open_in_new_off_filled');
  static const open_in_new_off_outlined =
      _MaterialSymbolsData(0x1561, 'open_in_new_off_outlined');
  static const open_in_new_off_sharp =
      _MaterialSymbolsData(0x1562, 'open_in_new_off_sharp');
  static const open_in_new_off =
      _MaterialSymbolsData(0x1563, 'open_in_new_off');
  static const open_in_new_outlined =
      _MaterialSymbolsData(0x1564, 'open_in_new_outlined');
  static const open_in_new_sharp =
      _MaterialSymbolsData(0x1565, 'open_in_new_sharp');
  static const open_in_new = _MaterialSymbolsData(0x1566, 'open_in_new');
  static const open_with_filled_outlined =
      _MaterialSymbolsData(0x1567, 'open_with_filled_outlined');
  static const open_with_filled_sharp =
      _MaterialSymbolsData(0x1568, 'open_with_filled_sharp');
  static const open_with_filled =
      _MaterialSymbolsData(0x1569, 'open_with_filled');
  static const open_with_outlined =
      _MaterialSymbolsData(0x156a, 'open_with_outlined');
  static const open_with_sharp =
      _MaterialSymbolsData(0x156b, 'open_with_sharp');
  static const open_with = _MaterialSymbolsData(0x156c, 'open_with');
  static const ophthalmology_filled_outlined =
      _MaterialSymbolsData(0x156d, 'ophthalmology_filled_outlined');
  static const ophthalmology_filled_sharp =
      _MaterialSymbolsData(0x156e, 'ophthalmology_filled_sharp');
  static const ophthalmology_filled =
      _MaterialSymbolsData(0x156f, 'ophthalmology_filled');
  static const ophthalmology_outlined =
      _MaterialSymbolsData(0x1570, 'ophthalmology_outlined');
  static const ophthalmology_sharp =
      _MaterialSymbolsData(0x1571, 'ophthalmology_sharp');
  static const ophthalmology = _MaterialSymbolsData(0x1572, 'ophthalmology');
  static const oral_disease_filled_outlined =
      _MaterialSymbolsData(0x1573, 'oral_disease_filled_outlined');
  static const oral_disease_filled_sharp =
      _MaterialSymbolsData(0x1574, 'oral_disease_filled_sharp');
  static const oral_disease_filled =
      _MaterialSymbolsData(0x1575, 'oral_disease_filled');
  static const oral_disease_outlined =
      _MaterialSymbolsData(0x1576, 'oral_disease_outlined');
  static const oral_disease_sharp =
      _MaterialSymbolsData(0x1577, 'oral_disease_sharp');
  static const oral_disease = _MaterialSymbolsData(0x1578, 'oral_disease');
  static const order_approve_filled_outlined =
      _MaterialSymbolsData(0x1579, 'order_approve_filled_outlined');
  static const order_approve_filled_sharp =
      _MaterialSymbolsData(0x157a, 'order_approve_filled_sharp');
  static const order_approve_filled =
      _MaterialSymbolsData(0x157b, 'order_approve_filled');
  static const order_approve_outlined =
      _MaterialSymbolsData(0x157c, 'order_approve_outlined');
  static const order_approve_sharp =
      _MaterialSymbolsData(0x157d, 'order_approve_sharp');
  static const order_approve = _MaterialSymbolsData(0x157e, 'order_approve');
  static const order_play_filled_outlined =
      _MaterialSymbolsData(0x157f, 'order_play_filled_outlined');
  static const order_play_filled_sharp =
      _MaterialSymbolsData(0x1580, 'order_play_filled_sharp');
  static const order_play_filled =
      _MaterialSymbolsData(0x1581, 'order_play_filled');
  static const order_play_outlined =
      _MaterialSymbolsData(0x1582, 'order_play_outlined');
  static const order_play_sharp =
      _MaterialSymbolsData(0x1583, 'order_play_sharp');
  static const order_play = _MaterialSymbolsData(0x1584, 'order_play');
  static const orthopedics_filled_outlined =
      _MaterialSymbolsData(0x1585, 'orthopedics_filled_outlined');
  static const orthopedics_filled_sharp =
      _MaterialSymbolsData(0x1586, 'orthopedics_filled_sharp');
  static const orthopedics_filled =
      _MaterialSymbolsData(0x1587, 'orthopedics_filled');
  static const orthopedics_outlined =
      _MaterialSymbolsData(0x1588, 'orthopedics_outlined');
  static const orthopedics_sharp =
      _MaterialSymbolsData(0x1589, 'orthopedics_sharp');
  static const orthopedics = _MaterialSymbolsData(0x158a, 'orthopedics');
  static const other_admission_filled_outlined =
      _MaterialSymbolsData(0x158b, 'other_admission_filled_outlined');
  static const other_admission_filled_sharp =
      _MaterialSymbolsData(0x158c, 'other_admission_filled_sharp');
  static const other_admission_filled =
      _MaterialSymbolsData(0x158d, 'other_admission_filled');
  static const other_admission_outlined =
      _MaterialSymbolsData(0x158e, 'other_admission_outlined');
  static const other_admission_sharp =
      _MaterialSymbolsData(0x158f, 'other_admission_sharp');
  static const other_admission =
      _MaterialSymbolsData(0x1590, 'other_admission');
  static const other_houses_filled_outlined =
      _MaterialSymbolsData(0x1591, 'other_houses_filled_outlined');
  static const other_houses_filled_sharp =
      _MaterialSymbolsData(0x1592, 'other_houses_filled_sharp');
  static const other_houses_filled =
      _MaterialSymbolsData(0x1593, 'other_houses_filled');
  static const other_houses_outlined =
      _MaterialSymbolsData(0x1594, 'other_houses_outlined');
  static const other_houses_sharp =
      _MaterialSymbolsData(0x1595, 'other_houses_sharp');
  static const other_houses = _MaterialSymbolsData(0x1596, 'other_houses');
  static const outbound_filled_outlined =
      _MaterialSymbolsData(0x1597, 'outbound_filled_outlined');
  static const outbound_filled_sharp =
      _MaterialSymbolsData(0x1598, 'outbound_filled_sharp');
  static const outbound_filled =
      _MaterialSymbolsData(0x1599, 'outbound_filled');
  static const outbound_outlined =
      _MaterialSymbolsData(0x159a, 'outbound_outlined');
  static const outbound_sharp = _MaterialSymbolsData(0x159b, 'outbound_sharp');
  static const outbound = _MaterialSymbolsData(0x159c, 'outbound');
  static const outbox_filled_outlined =
      _MaterialSymbolsData(0x159d, 'outbox_filled_outlined');
  static const outbox_filled_sharp =
      _MaterialSymbolsData(0x159e, 'outbox_filled_sharp');
  static const outbox_filled = _MaterialSymbolsData(0x159f, 'outbox_filled');
  static const outbox_outlined =
      _MaterialSymbolsData(0x15a0, 'outbox_outlined');
  static const outbox_sharp = _MaterialSymbolsData(0x15a1, 'outbox_sharp');
  static const outbox = _MaterialSymbolsData(0x15a2, 'outbox');
  static const outdoor_garden_filled_outlined =
      _MaterialSymbolsData(0x15a3, 'outdoor_garden_filled_outlined');
  static const outdoor_garden_filled_sharp =
      _MaterialSymbolsData(0x15a4, 'outdoor_garden_filled_sharp');
  static const outdoor_garden_filled =
      _MaterialSymbolsData(0x15a5, 'outdoor_garden_filled');
  static const outdoor_garden_outlined =
      _MaterialSymbolsData(0x15a6, 'outdoor_garden_outlined');
  static const outdoor_garden_sharp =
      _MaterialSymbolsData(0x15a7, 'outdoor_garden_sharp');
  static const outdoor_garden = _MaterialSymbolsData(0x15a8, 'outdoor_garden');
  static const outdoor_grill_filled_outlined =
      _MaterialSymbolsData(0x15a9, 'outdoor_grill_filled_outlined');
  static const outdoor_grill_filled_sharp =
      _MaterialSymbolsData(0x15aa, 'outdoor_grill_filled_sharp');
  static const outdoor_grill_filled =
      _MaterialSymbolsData(0x15ab, 'outdoor_grill_filled');
  static const outdoor_grill_outlined =
      _MaterialSymbolsData(0x15ac, 'outdoor_grill_outlined');
  static const outdoor_grill_sharp =
      _MaterialSymbolsData(0x15ad, 'outdoor_grill_sharp');
  static const outdoor_grill = _MaterialSymbolsData(0x15ae, 'outdoor_grill');
  static const outgoing_mail_filled_outlined =
      _MaterialSymbolsData(0x15af, 'outgoing_mail_filled_outlined');
  static const outgoing_mail_filled_sharp =
      _MaterialSymbolsData(0x15b0, 'outgoing_mail_filled_sharp');
  static const outgoing_mail_filled =
      _MaterialSymbolsData(0x15b1, 'outgoing_mail_filled');
  static const outgoing_mail_outlined =
      _MaterialSymbolsData(0x15b2, 'outgoing_mail_outlined');
  static const outgoing_mail_sharp =
      _MaterialSymbolsData(0x15b3, 'outgoing_mail_sharp');
  static const outgoing_mail = _MaterialSymbolsData(0x15b4, 'outgoing_mail');
  static const outlet_filled_outlined =
      _MaterialSymbolsData(0x15b5, 'outlet_filled_outlined');
  static const outlet_filled_sharp =
      _MaterialSymbolsData(0x15b6, 'outlet_filled_sharp');
  static const outlet_filled = _MaterialSymbolsData(0x15b7, 'outlet_filled');
  static const outlet_outlined =
      _MaterialSymbolsData(0x15b8, 'outlet_outlined');
  static const outlet_sharp = _MaterialSymbolsData(0x15b9, 'outlet_sharp');
  static const outlet = _MaterialSymbolsData(0x15ba, 'outlet');
  static const outpatient_filled_outlined =
      _MaterialSymbolsData(0x15bb, 'outpatient_filled_outlined');
  static const outpatient_filled_sharp =
      _MaterialSymbolsData(0x15bc, 'outpatient_filled_sharp');
  static const outpatient_filled =
      _MaterialSymbolsData(0x15bd, 'outpatient_filled');
  static const outpatient_med_filled_outlined =
      _MaterialSymbolsData(0x15be, 'outpatient_med_filled_outlined');
  static const outpatient_med_filled_sharp =
      _MaterialSymbolsData(0x15bf, 'outpatient_med_filled_sharp');
  static const outpatient_med_filled =
      _MaterialSymbolsData(0x15c0, 'outpatient_med_filled');
  static const outpatient_med_outlined =
      _MaterialSymbolsData(0x15c1, 'outpatient_med_outlined');
  static const outpatient_med_sharp =
      _MaterialSymbolsData(0x15c2, 'outpatient_med_sharp');
  static const outpatient_med = _MaterialSymbolsData(0x15c3, 'outpatient_med');
  static const outpatient_outlined =
      _MaterialSymbolsData(0x15c4, 'outpatient_outlined');
  static const outpatient_sharp =
      _MaterialSymbolsData(0x15c5, 'outpatient_sharp');
  static const outpatient = _MaterialSymbolsData(0x15c6, 'outpatient');
  static const output_filled_outlined =
      _MaterialSymbolsData(0x15c7, 'output_filled_outlined');
  static const output_filled_sharp =
      _MaterialSymbolsData(0x15c8, 'output_filled_sharp');
  static const output_filled = _MaterialSymbolsData(0x15c9, 'output_filled');
  static const output_outlined =
      _MaterialSymbolsData(0x15ca, 'output_outlined');
  static const output_sharp = _MaterialSymbolsData(0x15cb, 'output_sharp');
  static const output = _MaterialSymbolsData(0x15cc, 'output');
  static const oven_gen_filled_outlined =
      _MaterialSymbolsData(0x15cd, 'oven_gen_filled_outlined');
  static const oven_gen_filled_sharp =
      _MaterialSymbolsData(0x15ce, 'oven_gen_filled_sharp');
  static const oven_gen_filled =
      _MaterialSymbolsData(0x15cf, 'oven_gen_filled');
  static const oven_gen_outlined =
      _MaterialSymbolsData(0x15d0, 'oven_gen_outlined');
  static const oven_gen_sharp = _MaterialSymbolsData(0x15d1, 'oven_gen_sharp');
  static const oven_gen = _MaterialSymbolsData(0x15d2, 'oven_gen');
  static const overview_filled_outlined =
      _MaterialSymbolsData(0x15d3, 'overview_filled_outlined');
  static const overview_filled_sharp =
      _MaterialSymbolsData(0x15d4, 'overview_filled_sharp');
  static const overview_filled =
      _MaterialSymbolsData(0x15d5, 'overview_filled');
  static const overview_outlined =
      _MaterialSymbolsData(0x15d6, 'overview_outlined');
  static const overview_sharp = _MaterialSymbolsData(0x15d7, 'overview_sharp');
  static const overview = _MaterialSymbolsData(0x15d8, 'overview');
  static const pacemaker_filled_outlined =
      _MaterialSymbolsData(0x15d9, 'pacemaker_filled_outlined');
  static const pacemaker_filled_sharp =
      _MaterialSymbolsData(0x15da, 'pacemaker_filled_sharp');
  static const pacemaker_filled =
      _MaterialSymbolsData(0x15db, 'pacemaker_filled');
  static const pacemaker_outlined =
      _MaterialSymbolsData(0x15dc, 'pacemaker_outlined');
  static const pacemaker_sharp =
      _MaterialSymbolsData(0x15dd, 'pacemaker_sharp');
  static const pacemaker = _MaterialSymbolsData(0x15de, 'pacemaker');
  static const package_filled_outlined =
      _MaterialSymbolsData(0x15df, 'package_filled_outlined');
  static const package_filled_sharp =
      _MaterialSymbolsData(0x15e0, 'package_filled_sharp');
  static const package_filled = _MaterialSymbolsData(0x15e1, 'package_filled');
  static const package_outlined =
      _MaterialSymbolsData(0x15e2, 'package_outlined');
  static const package_sharp = _MaterialSymbolsData(0x15e3, 'package_sharp');
  static const package = _MaterialSymbolsData(0x15e4, 'package');
  static const padding_filled_outlined =
      _MaterialSymbolsData(0x15e5, 'padding_filled_outlined');
  static const padding_filled_sharp =
      _MaterialSymbolsData(0x15e6, 'padding_filled_sharp');
  static const padding_filled = _MaterialSymbolsData(0x15e7, 'padding_filled');
  static const padding_outlined =
      _MaterialSymbolsData(0x15e8, 'padding_outlined');
  static const padding_sharp = _MaterialSymbolsData(0x15e9, 'padding_sharp');
  static const padding = _MaterialSymbolsData(0x15ea, 'padding');
  static const pages_filled_outlined =
      _MaterialSymbolsData(0x15eb, 'pages_filled_outlined');
  static const pages_filled_sharp =
      _MaterialSymbolsData(0x15ec, 'pages_filled_sharp');
  static const pages_filled = _MaterialSymbolsData(0x15ed, 'pages_filled');
  static const pages_outlined = _MaterialSymbolsData(0x15ee, 'pages_outlined');
  static const pages_sharp = _MaterialSymbolsData(0x15ef, 'pages_sharp');
  static const pages = _MaterialSymbolsData(0x15f0, 'pages');
  static const pageview_filled_outlined =
      _MaterialSymbolsData(0x15f1, 'pageview_filled_outlined');
  static const pageview_filled_sharp =
      _MaterialSymbolsData(0x15f2, 'pageview_filled_sharp');
  static const pageview_filled =
      _MaterialSymbolsData(0x15f3, 'pageview_filled');
  static const pageview_outlined =
      _MaterialSymbolsData(0x15f4, 'pageview_outlined');
  static const pageview_sharp = _MaterialSymbolsData(0x15f5, 'pageview_sharp');
  static const pageview = _MaterialSymbolsData(0x15f6, 'pageview');
  static const paid_filled_outlined =
      _MaterialSymbolsData(0x15f7, 'paid_filled_outlined');
  static const paid_filled_sharp =
      _MaterialSymbolsData(0x15f8, 'paid_filled_sharp');
  static const paid_filled = _MaterialSymbolsData(0x15f9, 'paid_filled');
  static const paid_outlined = _MaterialSymbolsData(0x15fa, 'paid_outlined');
  static const paid_sharp = _MaterialSymbolsData(0x15fb, 'paid_sharp');
  static const paid = _MaterialSymbolsData(0x15fc, 'paid');
  static const palette_filled_outlined =
      _MaterialSymbolsData(0x15fd, 'palette_filled_outlined');
  static const palette_filled_sharp =
      _MaterialSymbolsData(0x15fe, 'palette_filled_sharp');
  static const palette_filled = _MaterialSymbolsData(0x15ff, 'palette_filled');
  static const palette_outlined =
      _MaterialSymbolsData(0x1600, 'palette_outlined');
  static const palette_sharp = _MaterialSymbolsData(0x1601, 'palette_sharp');
  static const palette = _MaterialSymbolsData(0x1602, 'palette');
  static const pallet_filled_outlined =
      _MaterialSymbolsData(0x1603, 'pallet_filled_outlined');
  static const pallet_filled_sharp =
      _MaterialSymbolsData(0x1604, 'pallet_filled_sharp');
  static const pallet_filled = _MaterialSymbolsData(0x1605, 'pallet_filled');
  static const pallet_outlined =
      _MaterialSymbolsData(0x1606, 'pallet_outlined');
  static const pallet_sharp = _MaterialSymbolsData(0x1607, 'pallet_sharp');
  static const pallet = _MaterialSymbolsData(0x1608, 'pallet');
  static const pan_tool_alt_filled_outlined =
      _MaterialSymbolsData(0x1609, 'pan_tool_alt_filled_outlined');
  static const pan_tool_alt_filled_sharp =
      _MaterialSymbolsData(0x160a, 'pan_tool_alt_filled_sharp');
  static const pan_tool_alt_filled =
      _MaterialSymbolsData(0x160b, 'pan_tool_alt_filled');
  static const pan_tool_alt_outlined =
      _MaterialSymbolsData(0x160c, 'pan_tool_alt_outlined');
  static const pan_tool_alt_sharp =
      _MaterialSymbolsData(0x160d, 'pan_tool_alt_sharp');
  static const pan_tool_alt = _MaterialSymbolsData(0x160e, 'pan_tool_alt');
  static const pan_tool_filled_outlined =
      _MaterialSymbolsData(0x160f, 'pan_tool_filled_outlined');
  static const pan_tool_filled_sharp =
      _MaterialSymbolsData(0x1610, 'pan_tool_filled_sharp');
  static const pan_tool_filled =
      _MaterialSymbolsData(0x1611, 'pan_tool_filled');
  static const pan_tool_outlined =
      _MaterialSymbolsData(0x1612, 'pan_tool_outlined');
  static const pan_tool_sharp = _MaterialSymbolsData(0x1613, 'pan_tool_sharp');
  static const pan_tool = _MaterialSymbolsData(0x1614, 'pan_tool');
  static const panorama_filled_outlined =
      _MaterialSymbolsData(0x1615, 'panorama_filled_outlined');
  static const panorama_filled_sharp =
      _MaterialSymbolsData(0x1616, 'panorama_filled_sharp');
  static const panorama_filled =
      _MaterialSymbolsData(0x1617, 'panorama_filled');
  static const panorama_fish_eye_filled_outlined =
      _MaterialSymbolsData(0x1618, 'panorama_fish_eye_filled_outlined');
  static const panorama_fish_eye_filled_sharp =
      _MaterialSymbolsData(0x1619, 'panorama_fish_eye_filled_sharp');
  static const panorama_fish_eye_filled =
      _MaterialSymbolsData(0x161a, 'panorama_fish_eye_filled');
  static const panorama_fish_eye_outlined =
      _MaterialSymbolsData(0x161b, 'panorama_fish_eye_outlined');
  static const panorama_fish_eye_sharp =
      _MaterialSymbolsData(0x161c, 'panorama_fish_eye_sharp');
  static const panorama_fish_eye =
      _MaterialSymbolsData(0x161d, 'panorama_fish_eye');
  static const panorama_horizontal_filled_outlined =
      _MaterialSymbolsData(0x161e, 'panorama_horizontal_filled_outlined');
  static const panorama_horizontal_filled_sharp =
      _MaterialSymbolsData(0x161f, 'panorama_horizontal_filled_sharp');
  static const panorama_horizontal_filled =
      _MaterialSymbolsData(0x1620, 'panorama_horizontal_filled');
  static const panorama_horizontal_outlined =
      _MaterialSymbolsData(0x1621, 'panorama_horizontal_outlined');
  static const panorama_horizontal_sharp =
      _MaterialSymbolsData(0x1622, 'panorama_horizontal_sharp');
  static const panorama_horizontal =
      _MaterialSymbolsData(0x1623, 'panorama_horizontal');
  static const panorama_outlined =
      _MaterialSymbolsData(0x1624, 'panorama_outlined');
  static const panorama_photosphere_filled_outlined =
      _MaterialSymbolsData(0x1625, 'panorama_photosphere_filled_outlined');
  static const panorama_photosphere_filled_sharp =
      _MaterialSymbolsData(0x1626, 'panorama_photosphere_filled_sharp');
  static const panorama_photosphere_filled =
      _MaterialSymbolsData(0x1627, 'panorama_photosphere_filled');
  static const panorama_photosphere_outlined =
      _MaterialSymbolsData(0x1628, 'panorama_photosphere_outlined');
  static const panorama_photosphere_sharp =
      _MaterialSymbolsData(0x1629, 'panorama_photosphere_sharp');
  static const panorama_photosphere =
      _MaterialSymbolsData(0x162a, 'panorama_photosphere');
  static const panorama_sharp = _MaterialSymbolsData(0x162b, 'panorama_sharp');
  static const panorama_vertical_filled_outlined =
      _MaterialSymbolsData(0x162c, 'panorama_vertical_filled_outlined');
  static const panorama_vertical_filled_sharp =
      _MaterialSymbolsData(0x162d, 'panorama_vertical_filled_sharp');
  static const panorama_vertical_filled =
      _MaterialSymbolsData(0x162e, 'panorama_vertical_filled');
  static const panorama_vertical_outlined =
      _MaterialSymbolsData(0x162f, 'panorama_vertical_outlined');
  static const panorama_vertical_sharp =
      _MaterialSymbolsData(0x1630, 'panorama_vertical_sharp');
  static const panorama_vertical =
      _MaterialSymbolsData(0x1631, 'panorama_vertical');
  static const panorama_wide_angle_filled_outlined =
      _MaterialSymbolsData(0x1632, 'panorama_wide_angle_filled_outlined');
  static const panorama_wide_angle_filled_sharp =
      _MaterialSymbolsData(0x1633, 'panorama_wide_angle_filled_sharp');
  static const panorama_wide_angle_filled =
      _MaterialSymbolsData(0x1634, 'panorama_wide_angle_filled');
  static const panorama_wide_angle_outlined =
      _MaterialSymbolsData(0x1635, 'panorama_wide_angle_outlined');
  static const panorama_wide_angle_sharp =
      _MaterialSymbolsData(0x1636, 'panorama_wide_angle_sharp');
  static const panorama_wide_angle =
      _MaterialSymbolsData(0x1637, 'panorama_wide_angle');
  static const panorama = _MaterialSymbolsData(0x1638, 'panorama');
  static const paragliding_filled_outlined =
      _MaterialSymbolsData(0x1639, 'paragliding_filled_outlined');
  static const paragliding_filled_sharp =
      _MaterialSymbolsData(0x163a, 'paragliding_filled_sharp');
  static const paragliding_filled =
      _MaterialSymbolsData(0x163b, 'paragliding_filled');
  static const paragliding_outlined =
      _MaterialSymbolsData(0x163c, 'paragliding_outlined');
  static const paragliding_sharp =
      _MaterialSymbolsData(0x163d, 'paragliding_sharp');
  static const paragliding = _MaterialSymbolsData(0x163e, 'paragliding');
  static const park_filled_outlined =
      _MaterialSymbolsData(0x163f, 'park_filled_outlined');
  static const park_filled_sharp =
      _MaterialSymbolsData(0x1640, 'park_filled_sharp');
  static const park_filled = _MaterialSymbolsData(0x1641, 'park_filled');
  static const park_outlined = _MaterialSymbolsData(0x1642, 'park_outlined');
  static const park_sharp = _MaterialSymbolsData(0x1643, 'park_sharp');
  static const park = _MaterialSymbolsData(0x1644, 'park');
  static const partly_cloudy_day_filled_outlined =
      _MaterialSymbolsData(0x1645, 'partly_cloudy_day_filled_outlined');
  static const partly_cloudy_day_filled_sharp =
      _MaterialSymbolsData(0x1646, 'partly_cloudy_day_filled_sharp');
  static const partly_cloudy_day_filled =
      _MaterialSymbolsData(0x1647, 'partly_cloudy_day_filled');
  static const partly_cloudy_day_outlined =
      _MaterialSymbolsData(0x1648, 'partly_cloudy_day_outlined');
  static const partly_cloudy_day_sharp =
      _MaterialSymbolsData(0x1649, 'partly_cloudy_day_sharp');
  static const partly_cloudy_day =
      _MaterialSymbolsData(0x164a, 'partly_cloudy_day');
  static const partly_cloudy_night_filled_outlined =
      _MaterialSymbolsData(0x164b, 'partly_cloudy_night_filled_outlined');
  static const partly_cloudy_night_filled_sharp =
      _MaterialSymbolsData(0x164c, 'partly_cloudy_night_filled_sharp');
  static const partly_cloudy_night_filled =
      _MaterialSymbolsData(0x164d, 'partly_cloudy_night_filled');
  static const partly_cloudy_night_outlined =
      _MaterialSymbolsData(0x164e, 'partly_cloudy_night_outlined');
  static const partly_cloudy_night_sharp =
      _MaterialSymbolsData(0x164f, 'partly_cloudy_night_sharp');
  static const partly_cloudy_night =
      _MaterialSymbolsData(0x1650, 'partly_cloudy_night');
  static const party_mode_filled_outlined =
      _MaterialSymbolsData(0x1651, 'party_mode_filled_outlined');
  static const party_mode_filled_sharp =
      _MaterialSymbolsData(0x1652, 'party_mode_filled_sharp');
  static const party_mode_filled =
      _MaterialSymbolsData(0x1653, 'party_mode_filled');
  static const party_mode_outlined =
      _MaterialSymbolsData(0x1654, 'party_mode_outlined');
  static const party_mode_sharp =
      _MaterialSymbolsData(0x1655, 'party_mode_sharp');
  static const party_mode = _MaterialSymbolsData(0x1656, 'party_mode');
  static const password_filled_outlined =
      _MaterialSymbolsData(0x1657, 'password_filled_outlined');
  static const password_filled_sharp =
      _MaterialSymbolsData(0x1658, 'password_filled_sharp');
  static const password_filled =
      _MaterialSymbolsData(0x1659, 'password_filled');
  static const password_outlined =
      _MaterialSymbolsData(0x165a, 'password_outlined');
  static const password_sharp = _MaterialSymbolsData(0x165b, 'password_sharp');
  static const password = _MaterialSymbolsData(0x165c, 'password');
  static const patient_list_filled_outlined =
      _MaterialSymbolsData(0x165d, 'patient_list_filled_outlined');
  static const patient_list_filled_sharp =
      _MaterialSymbolsData(0x165e, 'patient_list_filled_sharp');
  static const patient_list_filled =
      _MaterialSymbolsData(0x165f, 'patient_list_filled');
  static const patient_list_outlined =
      _MaterialSymbolsData(0x1660, 'patient_list_outlined');
  static const patient_list_sharp =
      _MaterialSymbolsData(0x1661, 'patient_list_sharp');
  static const patient_list = _MaterialSymbolsData(0x1662, 'patient_list');
  static const pattern_filled_outlined =
      _MaterialSymbolsData(0x1663, 'pattern_filled_outlined');
  static const pattern_filled_sharp =
      _MaterialSymbolsData(0x1664, 'pattern_filled_sharp');
  static const pattern_filled = _MaterialSymbolsData(0x1665, 'pattern_filled');
  static const pattern_outlined =
      _MaterialSymbolsData(0x1666, 'pattern_outlined');
  static const pattern_sharp = _MaterialSymbolsData(0x1667, 'pattern_sharp');
  static const pattern = _MaterialSymbolsData(0x1668, 'pattern');
  static const pause_circle_filled_outlined =
      _MaterialSymbolsData(0x1669, 'pause_circle_filled_outlined');
  static const pause_circle_filled_sharp =
      _MaterialSymbolsData(0x166a, 'pause_circle_filled_sharp');
  static const pause_circle_filled =
      _MaterialSymbolsData(0x166b, 'pause_circle_filled');
  static const pause_circle_outlined =
      _MaterialSymbolsData(0x166c, 'pause_circle_outlined');
  static const pause_circle_sharp =
      _MaterialSymbolsData(0x166d, 'pause_circle_sharp');
  static const pause_circle = _MaterialSymbolsData(0x166e, 'pause_circle');
  static const pause_filled_outlined =
      _MaterialSymbolsData(0x166f, 'pause_filled_outlined');
  static const pause_filled_sharp =
      _MaterialSymbolsData(0x1670, 'pause_filled_sharp');
  static const pause_filled = _MaterialSymbolsData(0x1671, 'pause_filled');
  static const pause_outlined = _MaterialSymbolsData(0x1672, 'pause_outlined');
  static const pause_presentation_filled_outlined =
      _MaterialSymbolsData(0x1673, 'pause_presentation_filled_outlined');
  static const pause_presentation_filled_sharp =
      _MaterialSymbolsData(0x1674, 'pause_presentation_filled_sharp');
  static const pause_presentation_filled =
      _MaterialSymbolsData(0x1675, 'pause_presentation_filled');
  static const pause_presentation_outlined =
      _MaterialSymbolsData(0x1676, 'pause_presentation_outlined');
  static const pause_presentation_sharp =
      _MaterialSymbolsData(0x1677, 'pause_presentation_sharp');
  static const pause_presentation =
      _MaterialSymbolsData(0x1678, 'pause_presentation');
  static const pause_sharp = _MaterialSymbolsData(0x1679, 'pause_sharp');
  static const pause = _MaterialSymbolsData(0x167a, 'pause');
  static const payments_filled_outlined =
      _MaterialSymbolsData(0x167b, 'payments_filled_outlined');
  static const payments_filled_sharp =
      _MaterialSymbolsData(0x167c, 'payments_filled_sharp');
  static const payments_filled =
      _MaterialSymbolsData(0x167d, 'payments_filled');
  static const payments_outlined =
      _MaterialSymbolsData(0x167e, 'payments_outlined');
  static const payments_sharp = _MaterialSymbolsData(0x167f, 'payments_sharp');
  static const payments = _MaterialSymbolsData(0x1680, 'payments');
  static const pedal_bike_filled_outlined =
      _MaterialSymbolsData(0x1681, 'pedal_bike_filled_outlined');
  static const pedal_bike_filled_sharp =
      _MaterialSymbolsData(0x1682, 'pedal_bike_filled_sharp');
  static const pedal_bike_filled =
      _MaterialSymbolsData(0x1683, 'pedal_bike_filled');
  static const pedal_bike_outlined =
      _MaterialSymbolsData(0x1684, 'pedal_bike_outlined');
  static const pedal_bike_sharp =
      _MaterialSymbolsData(0x1685, 'pedal_bike_sharp');
  static const pedal_bike = _MaterialSymbolsData(0x1686, 'pedal_bike');
  static const pediatrics_filled_outlined =
      _MaterialSymbolsData(0x1687, 'pediatrics_filled_outlined');
  static const pediatrics_filled_sharp =
      _MaterialSymbolsData(0x1688, 'pediatrics_filled_sharp');
  static const pediatrics_filled =
      _MaterialSymbolsData(0x1689, 'pediatrics_filled');
  static const pediatrics_outlined =
      _MaterialSymbolsData(0x168a, 'pediatrics_outlined');
  static const pediatrics_sharp =
      _MaterialSymbolsData(0x168b, 'pediatrics_sharp');
  static const pediatrics = _MaterialSymbolsData(0x168c, 'pediatrics');
  static const pending_actions_filled_outlined =
      _MaterialSymbolsData(0x168d, 'pending_actions_filled_outlined');
  static const pending_actions_filled_sharp =
      _MaterialSymbolsData(0x168e, 'pending_actions_filled_sharp');
  static const pending_actions_filled =
      _MaterialSymbolsData(0x168f, 'pending_actions_filled');
  static const pending_actions_outlined =
      _MaterialSymbolsData(0x1690, 'pending_actions_outlined');
  static const pending_actions_sharp =
      _MaterialSymbolsData(0x1691, 'pending_actions_sharp');
  static const pending_actions =
      _MaterialSymbolsData(0x1692, 'pending_actions');
  static const pending_filled_outlined =
      _MaterialSymbolsData(0x1693, 'pending_filled_outlined');
  static const pending_filled_sharp =
      _MaterialSymbolsData(0x1694, 'pending_filled_sharp');
  static const pending_filled = _MaterialSymbolsData(0x1695, 'pending_filled');
  static const pending_outlined =
      _MaterialSymbolsData(0x1696, 'pending_outlined');
  static const pending_sharp = _MaterialSymbolsData(0x1697, 'pending_sharp');
  static const pending = _MaterialSymbolsData(0x1698, 'pending');
  static const pentagon_filled_outlined =
      _MaterialSymbolsData(0x1699, 'pentagon_filled_outlined');
  static const pentagon_filled_sharp =
      _MaterialSymbolsData(0x169a, 'pentagon_filled_sharp');
  static const pentagon_filled =
      _MaterialSymbolsData(0x169b, 'pentagon_filled');
  static const pentagon_outlined =
      _MaterialSymbolsData(0x169c, 'pentagon_outlined');
  static const pentagon_sharp = _MaterialSymbolsData(0x169d, 'pentagon_sharp');
  static const pentagon = _MaterialSymbolsData(0x169e, 'pentagon');
  static const percent_filled_outlined =
      _MaterialSymbolsData(0x169f, 'percent_filled_outlined');
  static const percent_filled_sharp =
      _MaterialSymbolsData(0x16a0, 'percent_filled_sharp');
  static const percent_filled = _MaterialSymbolsData(0x16a1, 'percent_filled');
  static const percent_outlined =
      _MaterialSymbolsData(0x16a2, 'percent_outlined');
  static const percent_sharp = _MaterialSymbolsData(0x16a3, 'percent_sharp');
  static const percent = _MaterialSymbolsData(0x16a4, 'percent');
  static const pergola_filled_outlined =
      _MaterialSymbolsData(0x16a5, 'pergola_filled_outlined');
  static const pergola_filled_sharp =
      _MaterialSymbolsData(0x16a6, 'pergola_filled_sharp');
  static const pergola_filled = _MaterialSymbolsData(0x16a7, 'pergola_filled');
  static const pergola_outlined =
      _MaterialSymbolsData(0x16a8, 'pergola_outlined');
  static const pergola_sharp = _MaterialSymbolsData(0x16a9, 'pergola_sharp');
  static const pergola = _MaterialSymbolsData(0x16aa, 'pergola');
  static const perm_camera_mic_filled_outlined =
      _MaterialSymbolsData(0x16ab, 'perm_camera_mic_filled_outlined');
  static const perm_camera_mic_filled_sharp =
      _MaterialSymbolsData(0x16ac, 'perm_camera_mic_filled_sharp');
  static const perm_camera_mic_filled =
      _MaterialSymbolsData(0x16ad, 'perm_camera_mic_filled');
  static const perm_camera_mic_outlined =
      _MaterialSymbolsData(0x16ae, 'perm_camera_mic_outlined');
  static const perm_camera_mic_sharp =
      _MaterialSymbolsData(0x16af, 'perm_camera_mic_sharp');
  static const perm_camera_mic =
      _MaterialSymbolsData(0x16b0, 'perm_camera_mic');
  static const perm_contact_calendar_filled_outlined =
      _MaterialSymbolsData(0x16b1, 'perm_contact_calendar_filled_outlined');
  static const perm_contact_calendar_filled_sharp =
      _MaterialSymbolsData(0x16b2, 'perm_contact_calendar_filled_sharp');
  static const perm_contact_calendar_filled =
      _MaterialSymbolsData(0x16b3, 'perm_contact_calendar_filled');
  static const perm_contact_calendar_outlined =
      _MaterialSymbolsData(0x16b4, 'perm_contact_calendar_outlined');
  static const perm_contact_calendar_sharp =
      _MaterialSymbolsData(0x16b5, 'perm_contact_calendar_sharp');
  static const perm_contact_calendar =
      _MaterialSymbolsData(0x16b6, 'perm_contact_calendar');
  static const perm_data_setting_filled_outlined =
      _MaterialSymbolsData(0x16b7, 'perm_data_setting_filled_outlined');
  static const perm_data_setting_filled_sharp =
      _MaterialSymbolsData(0x16b8, 'perm_data_setting_filled_sharp');
  static const perm_data_setting_filled =
      _MaterialSymbolsData(0x16b9, 'perm_data_setting_filled');
  static const perm_data_setting_outlined =
      _MaterialSymbolsData(0x16ba, 'perm_data_setting_outlined');
  static const perm_data_setting_sharp =
      _MaterialSymbolsData(0x16bb, 'perm_data_setting_sharp');
  static const perm_data_setting =
      _MaterialSymbolsData(0x16bc, 'perm_data_setting');
  static const perm_device_information_filled_outlined =
      _MaterialSymbolsData(0x16bd, 'perm_device_information_filled_outlined');
  static const perm_device_information_filled_sharp =
      _MaterialSymbolsData(0x16be, 'perm_device_information_filled_sharp');
  static const perm_device_information_filled =
      _MaterialSymbolsData(0x16bf, 'perm_device_information_filled');
  static const perm_device_information_outlined =
      _MaterialSymbolsData(0x16c0, 'perm_device_information_outlined');
  static const perm_device_information_sharp =
      _MaterialSymbolsData(0x16c1, 'perm_device_information_sharp');
  static const perm_device_information =
      _MaterialSymbolsData(0x16c2, 'perm_device_information');
  static const perm_media_filled_outlined =
      _MaterialSymbolsData(0x16c3, 'perm_media_filled_outlined');
  static const perm_media_filled_sharp =
      _MaterialSymbolsData(0x16c4, 'perm_media_filled_sharp');
  static const perm_media_filled =
      _MaterialSymbolsData(0x16c5, 'perm_media_filled');
  static const perm_media_outlined =
      _MaterialSymbolsData(0x16c6, 'perm_media_outlined');
  static const perm_media_sharp =
      _MaterialSymbolsData(0x16c7, 'perm_media_sharp');
  static const perm_media = _MaterialSymbolsData(0x16c8, 'perm_media');
  static const perm_phone_msg_filled_outlined =
      _MaterialSymbolsData(0x16c9, 'perm_phone_msg_filled_outlined');
  static const perm_phone_msg_filled_sharp =
      _MaterialSymbolsData(0x16ca, 'perm_phone_msg_filled_sharp');
  static const perm_phone_msg_filled =
      _MaterialSymbolsData(0x16cb, 'perm_phone_msg_filled');
  static const perm_phone_msg_outlined =
      _MaterialSymbolsData(0x16cc, 'perm_phone_msg_outlined');
  static const perm_phone_msg_sharp =
      _MaterialSymbolsData(0x16cd, 'perm_phone_msg_sharp');
  static const perm_phone_msg = _MaterialSymbolsData(0x16ce, 'perm_phone_msg');
  static const perm_scan_wifi_filled_outlined =
      _MaterialSymbolsData(0x16cf, 'perm_scan_wifi_filled_outlined');
  static const perm_scan_wifi_filled_sharp =
      _MaterialSymbolsData(0x16d0, 'perm_scan_wifi_filled_sharp');
  static const perm_scan_wifi_filled =
      _MaterialSymbolsData(0x16d1, 'perm_scan_wifi_filled');
  static const perm_scan_wifi_outlined =
      _MaterialSymbolsData(0x16d2, 'perm_scan_wifi_outlined');
  static const perm_scan_wifi_sharp =
      _MaterialSymbolsData(0x16d3, 'perm_scan_wifi_sharp');
  static const perm_scan_wifi = _MaterialSymbolsData(0x16d4, 'perm_scan_wifi');
  static const person_2_filled_outlined =
      _MaterialSymbolsData(0x16d5, 'person_2_filled_outlined');
  static const person_2_filled_sharp =
      _MaterialSymbolsData(0x16d6, 'person_2_filled_sharp');
  static const person_2_filled =
      _MaterialSymbolsData(0x16d7, 'person_2_filled');
  static const person_2_outlined =
      _MaterialSymbolsData(0x16d8, 'person_2_outlined');
  static const person_2_sharp = _MaterialSymbolsData(0x16d9, 'person_2_sharp');
  static const person_2 = _MaterialSymbolsData(0x16da, 'person_2');
  static const person_3_filled_outlined =
      _MaterialSymbolsData(0x16db, 'person_3_filled_outlined');
  static const person_3_filled_sharp =
      _MaterialSymbolsData(0x16dc, 'person_3_filled_sharp');
  static const person_3_filled =
      _MaterialSymbolsData(0x16dd, 'person_3_filled');
  static const person_3_outlined =
      _MaterialSymbolsData(0x16de, 'person_3_outlined');
  static const person_3_sharp = _MaterialSymbolsData(0x16df, 'person_3_sharp');
  static const person_3 = _MaterialSymbolsData(0x16e0, 'person_3');
  static const person_4_filled_outlined =
      _MaterialSymbolsData(0x16e1, 'person_4_filled_outlined');
  static const person_4_filled_sharp =
      _MaterialSymbolsData(0x16e2, 'person_4_filled_sharp');
  static const person_4_filled =
      _MaterialSymbolsData(0x16e3, 'person_4_filled');
  static const person_4_outlined =
      _MaterialSymbolsData(0x16e4, 'person_4_outlined');
  static const person_4_sharp = _MaterialSymbolsData(0x16e5, 'person_4_sharp');
  static const person_4 = _MaterialSymbolsData(0x16e6, 'person_4');
  static const person_add_disabled_filled_outlined =
      _MaterialSymbolsData(0x16e7, 'person_add_disabled_filled_outlined');
  static const person_add_disabled_filled_sharp =
      _MaterialSymbolsData(0x16e8, 'person_add_disabled_filled_sharp');
  static const person_add_disabled_filled =
      _MaterialSymbolsData(0x16e9, 'person_add_disabled_filled');
  static const person_add_disabled_outlined =
      _MaterialSymbolsData(0x16ea, 'person_add_disabled_outlined');
  static const person_add_disabled_sharp =
      _MaterialSymbolsData(0x16eb, 'person_add_disabled_sharp');
  static const person_add_disabled =
      _MaterialSymbolsData(0x16ec, 'person_add_disabled');
  static const person_add_filled_outlined =
      _MaterialSymbolsData(0x16ed, 'person_add_filled_outlined');
  static const person_add_filled_sharp =
      _MaterialSymbolsData(0x16ee, 'person_add_filled_sharp');
  static const person_add_filled =
      _MaterialSymbolsData(0x16ef, 'person_add_filled');
  static const person_add_outlined =
      _MaterialSymbolsData(0x16f0, 'person_add_outlined');
  static const person_add_sharp =
      _MaterialSymbolsData(0x16f1, 'person_add_sharp');
  static const person_add = _MaterialSymbolsData(0x16f2, 'person_add');
  static const person_filled_2_outlined =
      _MaterialSymbolsData(0x16f3, 'person_filled_2_outlined');
  static const person_filled_2_sharp =
      _MaterialSymbolsData(0x16f4, 'person_filled_2_sharp');
  static const person_filled_2 =
      _MaterialSymbolsData(0x16f5, 'person_filled_2');
  static const person_filled_filled_outlined =
      _MaterialSymbolsData(0x16f6, 'person_filled_filled_outlined');
  static const person_filled_filled_sharp =
      _MaterialSymbolsData(0x16f7, 'person_filled_filled_sharp');
  static const person_filled_filled =
      _MaterialSymbolsData(0x16f8, 'person_filled_filled');
  static const person_filled_outlined =
      _MaterialSymbolsData(0x16f9, 'person_filled_outlined');
  static const person_filled_sharp =
      _MaterialSymbolsData(0x16fa, 'person_filled_sharp');
  static const person_filled = _MaterialSymbolsData(0x16fb, 'person_filled');
  static const person_off_filled_outlined =
      _MaterialSymbolsData(0x16fc, 'person_off_filled_outlined');
  static const person_off_filled_sharp =
      _MaterialSymbolsData(0x16fd, 'person_off_filled_sharp');
  static const person_off_filled =
      _MaterialSymbolsData(0x16fe, 'person_off_filled');
  static const person_off_outlined =
      _MaterialSymbolsData(0x16ff, 'person_off_outlined');
  static const person_off_sharp =
      _MaterialSymbolsData(0x1700, 'person_off_sharp');
  static const person_off = _MaterialSymbolsData(0x1701, 'person_off');
  static const person_outlined =
      _MaterialSymbolsData(0x1702, 'person_outlined');
  static const person_pin_circle_filled_outlined =
      _MaterialSymbolsData(0x1703, 'person_pin_circle_filled_outlined');
  static const person_pin_circle_filled_sharp =
      _MaterialSymbolsData(0x1704, 'person_pin_circle_filled_sharp');
  static const person_pin_circle_filled =
      _MaterialSymbolsData(0x1705, 'person_pin_circle_filled');
  static const person_pin_circle_outlined =
      _MaterialSymbolsData(0x1706, 'person_pin_circle_outlined');
  static const person_pin_circle_sharp =
      _MaterialSymbolsData(0x1707, 'person_pin_circle_sharp');
  static const person_pin_circle =
      _MaterialSymbolsData(0x1708, 'person_pin_circle');
  static const person_pin_filled_outlined =
      _MaterialSymbolsData(0x1709, 'person_pin_filled_outlined');
  static const person_pin_filled_sharp =
      _MaterialSymbolsData(0x170a, 'person_pin_filled_sharp');
  static const person_pin_filled =
      _MaterialSymbolsData(0x170b, 'person_pin_filled');
  static const person_pin_outlined =
      _MaterialSymbolsData(0x170c, 'person_pin_outlined');
  static const person_pin_sharp =
      _MaterialSymbolsData(0x170d, 'person_pin_sharp');
  static const person_pin = _MaterialSymbolsData(0x170e, 'person_pin');
  static const person_remove_filled_outlined =
      _MaterialSymbolsData(0x170f, 'person_remove_filled_outlined');
  static const person_remove_filled_sharp =
      _MaterialSymbolsData(0x1710, 'person_remove_filled_sharp');
  static const person_remove_filled =
      _MaterialSymbolsData(0x1711, 'person_remove_filled');
  static const person_remove_outlined =
      _MaterialSymbolsData(0x1712, 'person_remove_outlined');
  static const person_remove_sharp =
      _MaterialSymbolsData(0x1713, 'person_remove_sharp');
  static const person_remove = _MaterialSymbolsData(0x1714, 'person_remove');
  static const person_search_filled_outlined =
      _MaterialSymbolsData(0x1715, 'person_search_filled_outlined');
  static const person_search_filled_sharp =
      _MaterialSymbolsData(0x1716, 'person_search_filled_sharp');
  static const person_search_filled =
      _MaterialSymbolsData(0x1717, 'person_search_filled');
  static const person_search_outlined =
      _MaterialSymbolsData(0x1718, 'person_search_outlined');
  static const person_search_sharp =
      _MaterialSymbolsData(0x1719, 'person_search_sharp');
  static const person_search = _MaterialSymbolsData(0x171a, 'person_search');
  static const person_sharp = _MaterialSymbolsData(0x171b, 'person_sharp');
  static const person = _MaterialSymbolsData(0x171c, 'person');
  static const personal_injury_filled_outlined =
      _MaterialSymbolsData(0x171d, 'personal_injury_filled_outlined');
  static const personal_injury_filled_sharp =
      _MaterialSymbolsData(0x171e, 'personal_injury_filled_sharp');
  static const personal_injury_filled =
      _MaterialSymbolsData(0x171f, 'personal_injury_filled');
  static const personal_injury_outlined =
      _MaterialSymbolsData(0x1720, 'personal_injury_outlined');
  static const personal_injury_sharp =
      _MaterialSymbolsData(0x1721, 'personal_injury_sharp');
  static const personal_injury =
      _MaterialSymbolsData(0x1722, 'personal_injury');
  static const pest_control_filled_outlined =
      _MaterialSymbolsData(0x1723, 'pest_control_filled_outlined');
  static const pest_control_filled_sharp =
      _MaterialSymbolsData(0x1724, 'pest_control_filled_sharp');
  static const pest_control_filled =
      _MaterialSymbolsData(0x1725, 'pest_control_filled');
  static const pest_control_outlined =
      _MaterialSymbolsData(0x1726, 'pest_control_outlined');
  static const pest_control_rodent_filled_outlined =
      _MaterialSymbolsData(0x1727, 'pest_control_rodent_filled_outlined');
  static const pest_control_rodent_filled_sharp =
      _MaterialSymbolsData(0x1728, 'pest_control_rodent_filled_sharp');
  static const pest_control_rodent_filled =
      _MaterialSymbolsData(0x1729, 'pest_control_rodent_filled');
  static const pest_control_rodent_outlined =
      _MaterialSymbolsData(0x172a, 'pest_control_rodent_outlined');
  static const pest_control_rodent_sharp =
      _MaterialSymbolsData(0x172b, 'pest_control_rodent_sharp');
  static const pest_control_rodent =
      _MaterialSymbolsData(0x172c, 'pest_control_rodent');
  static const pest_control_sharp =
      _MaterialSymbolsData(0x172d, 'pest_control_sharp');
  static const pest_control = _MaterialSymbolsData(0x172e, 'pest_control');
  static const pets_filled_outlined =
      _MaterialSymbolsData(0x172f, 'pets_filled_outlined');
  static const pets_filled_sharp =
      _MaterialSymbolsData(0x1730, 'pets_filled_sharp');
  static const pets_filled = _MaterialSymbolsData(0x1731, 'pets_filled');
  static const pets_outlined = _MaterialSymbolsData(0x1732, 'pets_outlined');
  static const pets_sharp = _MaterialSymbolsData(0x1733, 'pets_sharp');
  static const pets = _MaterialSymbolsData(0x1734, 'pets');
  static const phishing_filled_outlined =
      _MaterialSymbolsData(0x1735, 'phishing_filled_outlined');
  static const phishing_filled_sharp =
      _MaterialSymbolsData(0x1736, 'phishing_filled_sharp');
  static const phishing_filled =
      _MaterialSymbolsData(0x1737, 'phishing_filled');
  static const phishing_outlined =
      _MaterialSymbolsData(0x1738, 'phishing_outlined');
  static const phishing_sharp = _MaterialSymbolsData(0x1739, 'phishing_sharp');
  static const phishing = _MaterialSymbolsData(0x173a, 'phishing');
  static const phone_android_filled_outlined =
      _MaterialSymbolsData(0x173b, 'phone_android_filled_outlined');
  static const phone_android_filled_sharp =
      _MaterialSymbolsData(0x173c, 'phone_android_filled_sharp');
  static const phone_android_filled =
      _MaterialSymbolsData(0x173d, 'phone_android_filled');
  static const phone_android_outlined =
      _MaterialSymbolsData(0x173e, 'phone_android_outlined');
  static const phone_android_sharp =
      _MaterialSymbolsData(0x173f, 'phone_android_sharp');
  static const phone_android = _MaterialSymbolsData(0x1740, 'phone_android');
  static const phone_bluetooth_speaker_filled_outlined =
      _MaterialSymbolsData(0x1741, 'phone_bluetooth_speaker_filled_outlined');
  static const phone_bluetooth_speaker_filled_sharp =
      _MaterialSymbolsData(0x1742, 'phone_bluetooth_speaker_filled_sharp');
  static const phone_bluetooth_speaker_filled =
      _MaterialSymbolsData(0x1743, 'phone_bluetooth_speaker_filled');
  static const phone_bluetooth_speaker_outlined =
      _MaterialSymbolsData(0x1744, 'phone_bluetooth_speaker_outlined');
  static const phone_bluetooth_speaker_sharp =
      _MaterialSymbolsData(0x1745, 'phone_bluetooth_speaker_sharp');
  static const phone_bluetooth_speaker =
      _MaterialSymbolsData(0x1746, 'phone_bluetooth_speaker');
  static const phone_callback_filled_outlined =
      _MaterialSymbolsData(0x1747, 'phone_callback_filled_outlined');
  static const phone_callback_filled_sharp =
      _MaterialSymbolsData(0x1748, 'phone_callback_filled_sharp');
  static const phone_callback_filled =
      _MaterialSymbolsData(0x1749, 'phone_callback_filled');
  static const phone_callback_outlined =
      _MaterialSymbolsData(0x174a, 'phone_callback_outlined');
  static const phone_callback_sharp =
      _MaterialSymbolsData(0x174b, 'phone_callback_sharp');
  static const phone_callback = _MaterialSymbolsData(0x174c, 'phone_callback');
  static const phone_disabled_filled_outlined =
      _MaterialSymbolsData(0x174d, 'phone_disabled_filled_outlined');
  static const phone_disabled_filled_sharp =
      _MaterialSymbolsData(0x174e, 'phone_disabled_filled_sharp');
  static const phone_disabled_filled =
      _MaterialSymbolsData(0x174f, 'phone_disabled_filled');
  static const phone_disabled_outlined =
      _MaterialSymbolsData(0x1750, 'phone_disabled_outlined');
  static const phone_disabled_sharp =
      _MaterialSymbolsData(0x1751, 'phone_disabled_sharp');
  static const phone_disabled = _MaterialSymbolsData(0x1752, 'phone_disabled');
  static const phone_enabled_filled_outlined =
      _MaterialSymbolsData(0x1753, 'phone_enabled_filled_outlined');
  static const phone_enabled_filled_sharp =
      _MaterialSymbolsData(0x1754, 'phone_enabled_filled_sharp');
  static const phone_enabled_filled =
      _MaterialSymbolsData(0x1755, 'phone_enabled_filled');
  static const phone_enabled_outlined =
      _MaterialSymbolsData(0x1756, 'phone_enabled_outlined');
  static const phone_enabled_sharp =
      _MaterialSymbolsData(0x1757, 'phone_enabled_sharp');
  static const phone_enabled = _MaterialSymbolsData(0x1758, 'phone_enabled');
  static const phone_forwarded_filled_outlined =
      _MaterialSymbolsData(0x1759, 'phone_forwarded_filled_outlined');
  static const phone_forwarded_filled_sharp =
      _MaterialSymbolsData(0x175a, 'phone_forwarded_filled_sharp');
  static const phone_forwarded_filled =
      _MaterialSymbolsData(0x175b, 'phone_forwarded_filled');
  static const phone_forwarded_outlined =
      _MaterialSymbolsData(0x175c, 'phone_forwarded_outlined');
  static const phone_forwarded_sharp =
      _MaterialSymbolsData(0x175d, 'phone_forwarded_sharp');
  static const phone_forwarded =
      _MaterialSymbolsData(0x175e, 'phone_forwarded');
  static const phone_in_talk_filled_outlined =
      _MaterialSymbolsData(0x175f, 'phone_in_talk_filled_outlined');
  static const phone_in_talk_filled_sharp =
      _MaterialSymbolsData(0x1760, 'phone_in_talk_filled_sharp');
  static const phone_in_talk_filled =
      _MaterialSymbolsData(0x1761, 'phone_in_talk_filled');
  static const phone_in_talk_outlined =
      _MaterialSymbolsData(0x1762, 'phone_in_talk_outlined');
  static const phone_in_talk_sharp =
      _MaterialSymbolsData(0x1763, 'phone_in_talk_sharp');
  static const phone_in_talk_watchface_indicator_filled_outlined =
      _MaterialSymbolsData(
          0x1764, 'phone_in_talk_watchface_indicator_filled_outlined');
  static const phone_in_talk_watchface_indicator_filled_sharp =
      _MaterialSymbolsData(
          0x1765, 'phone_in_talk_watchface_indicator_filled_sharp');
  static const phone_in_talk_watchface_indicator_filled =
      _MaterialSymbolsData(0x1766, 'phone_in_talk_watchface_indicator_filled');
  static const phone_in_talk_watchface_indicator_outlined =
      _MaterialSymbolsData(
          0x1767, 'phone_in_talk_watchface_indicator_outlined');
  static const phone_in_talk_watchface_indicator_sharp =
      _MaterialSymbolsData(0x1768, 'phone_in_talk_watchface_indicator_sharp');
  static const phone_in_talk_watchface_indicator =
      _MaterialSymbolsData(0x1769, 'phone_in_talk_watchface_indicator');
  static const phone_in_talk = _MaterialSymbolsData(0x176a, 'phone_in_talk');
  static const phone_iphone_filled_outlined =
      _MaterialSymbolsData(0x176b, 'phone_iphone_filled_outlined');
  static const phone_iphone_filled_sharp =
      _MaterialSymbolsData(0x176c, 'phone_iphone_filled_sharp');
  static const phone_iphone_filled =
      _MaterialSymbolsData(0x176d, 'phone_iphone_filled');
  static const phone_iphone_outlined =
      _MaterialSymbolsData(0x176e, 'phone_iphone_outlined');
  static const phone_iphone_sharp =
      _MaterialSymbolsData(0x176f, 'phone_iphone_sharp');
  static const phone_iphone = _MaterialSymbolsData(0x1770, 'phone_iphone');
  static const phone_locked_filled_outlined =
      _MaterialSymbolsData(0x1771, 'phone_locked_filled_outlined');
  static const phone_locked_filled_sharp =
      _MaterialSymbolsData(0x1772, 'phone_locked_filled_sharp');
  static const phone_locked_filled =
      _MaterialSymbolsData(0x1773, 'phone_locked_filled');
  static const phone_locked_outlined =
      _MaterialSymbolsData(0x1774, 'phone_locked_outlined');
  static const phone_locked_sharp =
      _MaterialSymbolsData(0x1775, 'phone_locked_sharp');
  static const phone_locked = _MaterialSymbolsData(0x1776, 'phone_locked');
  static const phone_missed_filled_outlined =
      _MaterialSymbolsData(0x1777, 'phone_missed_filled_outlined');
  static const phone_missed_filled_sharp =
      _MaterialSymbolsData(0x1778, 'phone_missed_filled_sharp');
  static const phone_missed_filled =
      _MaterialSymbolsData(0x1779, 'phone_missed_filled');
  static const phone_missed_outlined =
      _MaterialSymbolsData(0x177a, 'phone_missed_outlined');
  static const phone_missed_sharp =
      _MaterialSymbolsData(0x177b, 'phone_missed_sharp');
  static const phone_missed = _MaterialSymbolsData(0x177c, 'phone_missed');
  static const phone_paused_filled_outlined =
      _MaterialSymbolsData(0x177d, 'phone_paused_filled_outlined');
  static const phone_paused_filled_sharp =
      _MaterialSymbolsData(0x177e, 'phone_paused_filled_sharp');
  static const phone_paused_filled =
      _MaterialSymbolsData(0x177f, 'phone_paused_filled');
  static const phone_paused_outlined =
      _MaterialSymbolsData(0x1780, 'phone_paused_outlined');
  static const phone_paused_sharp =
      _MaterialSymbolsData(0x1781, 'phone_paused_sharp');
  static const phone_paused = _MaterialSymbolsData(0x1782, 'phone_paused');
  static const phonelink_erase_filled_outlined =
      _MaterialSymbolsData(0x1783, 'phonelink_erase_filled_outlined');
  static const phonelink_erase_filled_sharp =
      _MaterialSymbolsData(0x1784, 'phonelink_erase_filled_sharp');
  static const phonelink_erase_filled =
      _MaterialSymbolsData(0x1785, 'phonelink_erase_filled');
  static const phonelink_erase_outlined =
      _MaterialSymbolsData(0x1786, 'phonelink_erase_outlined');
  static const phonelink_erase_sharp =
      _MaterialSymbolsData(0x1787, 'phonelink_erase_sharp');
  static const phonelink_erase =
      _MaterialSymbolsData(0x1788, 'phonelink_erase');
  static const phonelink_lock_filled_outlined =
      _MaterialSymbolsData(0x1789, 'phonelink_lock_filled_outlined');
  static const phonelink_lock_filled_sharp =
      _MaterialSymbolsData(0x178a, 'phonelink_lock_filled_sharp');
  static const phonelink_lock_filled =
      _MaterialSymbolsData(0x178b, 'phonelink_lock_filled');
  static const phonelink_lock_outlined =
      _MaterialSymbolsData(0x178c, 'phonelink_lock_outlined');
  static const phonelink_lock_sharp =
      _MaterialSymbolsData(0x178d, 'phonelink_lock_sharp');
  static const phonelink_lock = _MaterialSymbolsData(0x178e, 'phonelink_lock');
  static const phonelink_off_filled_outlined =
      _MaterialSymbolsData(0x178f, 'phonelink_off_filled_outlined');
  static const phonelink_off_filled_sharp =
      _MaterialSymbolsData(0x1790, 'phonelink_off_filled_sharp');
  static const phonelink_off_filled =
      _MaterialSymbolsData(0x1791, 'phonelink_off_filled');
  static const phonelink_off_outlined =
      _MaterialSymbolsData(0x1792, 'phonelink_off_outlined');
  static const phonelink_off_sharp =
      _MaterialSymbolsData(0x1793, 'phonelink_off_sharp');
  static const phonelink_off = _MaterialSymbolsData(0x1794, 'phonelink_off');
  static const phonelink_ring_filled_outlined =
      _MaterialSymbolsData(0x1795, 'phonelink_ring_filled_outlined');
  static const phonelink_ring_filled_sharp =
      _MaterialSymbolsData(0x1796, 'phonelink_ring_filled_sharp');
  static const phonelink_ring_filled =
      _MaterialSymbolsData(0x1797, 'phonelink_ring_filled');
  static const phonelink_ring_outlined =
      _MaterialSymbolsData(0x1798, 'phonelink_ring_outlined');
  static const phonelink_ring_sharp =
      _MaterialSymbolsData(0x1799, 'phonelink_ring_sharp');
  static const phonelink_ring = _MaterialSymbolsData(0x179a, 'phonelink_ring');
  static const phonelink_setup_filled_outlined =
      _MaterialSymbolsData(0x179b, 'phonelink_setup_filled_outlined');
  static const phonelink_setup_filled_sharp =
      _MaterialSymbolsData(0x179c, 'phonelink_setup_filled_sharp');
  static const phonelink_setup_filled =
      _MaterialSymbolsData(0x179d, 'phonelink_setup_filled');
  static const phonelink_setup_outlined =
      _MaterialSymbolsData(0x179e, 'phonelink_setup_outlined');
  static const phonelink_setup_sharp =
      _MaterialSymbolsData(0x179f, 'phonelink_setup_sharp');
  static const phonelink_setup =
      _MaterialSymbolsData(0x17a0, 'phonelink_setup');
  static const photo_album_filled_outlined =
      _MaterialSymbolsData(0x17a1, 'photo_album_filled_outlined');
  static const photo_album_filled_sharp =
      _MaterialSymbolsData(0x17a2, 'photo_album_filled_sharp');
  static const photo_album_filled =
      _MaterialSymbolsData(0x17a3, 'photo_album_filled');
  static const photo_album_outlined =
      _MaterialSymbolsData(0x17a4, 'photo_album_outlined');
  static const photo_album_sharp =
      _MaterialSymbolsData(0x17a5, 'photo_album_sharp');
  static const photo_album = _MaterialSymbolsData(0x17a6, 'photo_album');
  static const photo_camera_back_filled_outlined =
      _MaterialSymbolsData(0x17a7, 'photo_camera_back_filled_outlined');
  static const photo_camera_back_filled_sharp =
      _MaterialSymbolsData(0x17a8, 'photo_camera_back_filled_sharp');
  static const photo_camera_back_filled =
      _MaterialSymbolsData(0x17a9, 'photo_camera_back_filled');
  static const photo_camera_back_outlined =
      _MaterialSymbolsData(0x17aa, 'photo_camera_back_outlined');
  static const photo_camera_back_sharp =
      _MaterialSymbolsData(0x17ab, 'photo_camera_back_sharp');
  static const photo_camera_back =
      _MaterialSymbolsData(0x17ac, 'photo_camera_back');
  static const photo_camera_filled_outlined =
      _MaterialSymbolsData(0x17ad, 'photo_camera_filled_outlined');
  static const photo_camera_filled_sharp =
      _MaterialSymbolsData(0x17ae, 'photo_camera_filled_sharp');
  static const photo_camera_filled =
      _MaterialSymbolsData(0x17af, 'photo_camera_filled');
  static const photo_camera_front_filled_outlined =
      _MaterialSymbolsData(0x17b0, 'photo_camera_front_filled_outlined');
  static const photo_camera_front_filled_sharp =
      _MaterialSymbolsData(0x17b1, 'photo_camera_front_filled_sharp');
  static const photo_camera_front_filled =
      _MaterialSymbolsData(0x17b2, 'photo_camera_front_filled');
  static const photo_camera_front_outlined =
      _MaterialSymbolsData(0x17b3, 'photo_camera_front_outlined');
  static const photo_camera_front_sharp =
      _MaterialSymbolsData(0x17b4, 'photo_camera_front_sharp');
  static const photo_camera_front =
      _MaterialSymbolsData(0x17b5, 'photo_camera_front');
  static const photo_camera_outlined =
      _MaterialSymbolsData(0x17b6, 'photo_camera_outlined');
  static const photo_camera_sharp =
      _MaterialSymbolsData(0x17b7, 'photo_camera_sharp');
  static const photo_camera = _MaterialSymbolsData(0x17b8, 'photo_camera');
  static const photo_filled_outlined =
      _MaterialSymbolsData(0x17b9, 'photo_filled_outlined');
  static const photo_filled_sharp =
      _MaterialSymbolsData(0x17ba, 'photo_filled_sharp');
  static const photo_filled = _MaterialSymbolsData(0x17bb, 'photo_filled');
  static const photo_filter_filled_outlined =
      _MaterialSymbolsData(0x17bc, 'photo_filter_filled_outlined');
  static const photo_filter_filled_sharp =
      _MaterialSymbolsData(0x17bd, 'photo_filter_filled_sharp');
  static const photo_filter_filled =
      _MaterialSymbolsData(0x17be, 'photo_filter_filled');
  static const photo_filter_outlined =
      _MaterialSymbolsData(0x17bf, 'photo_filter_outlined');
  static const photo_filter_sharp =
      _MaterialSymbolsData(0x17c0, 'photo_filter_sharp');
  static const photo_filter = _MaterialSymbolsData(0x17c1, 'photo_filter');
  static const photo_frame_filled_outlined =
      _MaterialSymbolsData(0x17c2, 'photo_frame_filled_outlined');
  static const photo_frame_filled_sharp =
      _MaterialSymbolsData(0x17c3, 'photo_frame_filled_sharp');
  static const photo_frame_filled =
      _MaterialSymbolsData(0x17c4, 'photo_frame_filled');
  static const photo_frame_outlined =
      _MaterialSymbolsData(0x17c5, 'photo_frame_outlined');
  static const photo_frame_sharp =
      _MaterialSymbolsData(0x17c6, 'photo_frame_sharp');
  static const photo_frame = _MaterialSymbolsData(0x17c7, 'photo_frame');
  static const photo_library_filled_outlined =
      _MaterialSymbolsData(0x17c8, 'photo_library_filled_outlined');
  static const photo_library_filled_sharp =
      _MaterialSymbolsData(0x17c9, 'photo_library_filled_sharp');
  static const photo_library_filled =
      _MaterialSymbolsData(0x17ca, 'photo_library_filled');
  static const photo_library_outlined =
      _MaterialSymbolsData(0x17cb, 'photo_library_outlined');
  static const photo_library_sharp =
      _MaterialSymbolsData(0x17cc, 'photo_library_sharp');
  static const photo_library = _MaterialSymbolsData(0x17cd, 'photo_library');
  static const photo_outlined = _MaterialSymbolsData(0x17ce, 'photo_outlined');
  static const photo_sharp = _MaterialSymbolsData(0x17cf, 'photo_sharp');
  static const photo_size_select_large_filled_outlined =
      _MaterialSymbolsData(0x17d0, 'photo_size_select_large_filled_outlined');
  static const photo_size_select_large_filled_sharp =
      _MaterialSymbolsData(0x17d1, 'photo_size_select_large_filled_sharp');
  static const photo_size_select_large_filled =
      _MaterialSymbolsData(0x17d2, 'photo_size_select_large_filled');
  static const photo_size_select_large_outlined =
      _MaterialSymbolsData(0x17d3, 'photo_size_select_large_outlined');
  static const photo_size_select_large_sharp =
      _MaterialSymbolsData(0x17d4, 'photo_size_select_large_sharp');
  static const photo_size_select_large =
      _MaterialSymbolsData(0x17d5, 'photo_size_select_large');
  static const photo_size_select_small_filled_outlined =
      _MaterialSymbolsData(0x17d6, 'photo_size_select_small_filled_outlined');
  static const photo_size_select_small_filled_sharp =
      _MaterialSymbolsData(0x17d7, 'photo_size_select_small_filled_sharp');
  static const photo_size_select_small_filled =
      _MaterialSymbolsData(0x17d8, 'photo_size_select_small_filled');
  static const photo_size_select_small_outlined =
      _MaterialSymbolsData(0x17d9, 'photo_size_select_small_outlined');
  static const photo_size_select_small_sharp =
      _MaterialSymbolsData(0x17da, 'photo_size_select_small_sharp');
  static const photo_size_select_small =
      _MaterialSymbolsData(0x17db, 'photo_size_select_small');
  static const photo = _MaterialSymbolsData(0x17dc, 'photo');
  static const php_filled_outlined =
      _MaterialSymbolsData(0x17dd, 'php_filled_outlined');
  static const php_filled_sharp =
      _MaterialSymbolsData(0x17de, 'php_filled_sharp');
  static const php_filled = _MaterialSymbolsData(0x17df, 'php_filled');
  static const php_outlined = _MaterialSymbolsData(0x17e0, 'php_outlined');
  static const php_sharp = _MaterialSymbolsData(0x17e1, 'php_sharp');
  static const php = _MaterialSymbolsData(0x17e2, 'php');
  static const piano_filled_outlined =
      _MaterialSymbolsData(0x17e3, 'piano_filled_outlined');
  static const piano_filled_sharp =
      _MaterialSymbolsData(0x17e4, 'piano_filled_sharp');
  static const piano_filled = _MaterialSymbolsData(0x17e5, 'piano_filled');
  static const piano_off_filled_outlined =
      _MaterialSymbolsData(0x17e6, 'piano_off_filled_outlined');
  static const piano_off_filled_sharp =
      _MaterialSymbolsData(0x17e7, 'piano_off_filled_sharp');
  static const piano_off_filled =
      _MaterialSymbolsData(0x17e8, 'piano_off_filled');
  static const piano_off_outlined =
      _MaterialSymbolsData(0x17e9, 'piano_off_outlined');
  static const piano_off_sharp =
      _MaterialSymbolsData(0x17ea, 'piano_off_sharp');
  static const piano_off = _MaterialSymbolsData(0x17eb, 'piano_off');
  static const piano_outlined = _MaterialSymbolsData(0x17ec, 'piano_outlined');
  static const piano_sharp = _MaterialSymbolsData(0x17ed, 'piano_sharp');
  static const piano = _MaterialSymbolsData(0x17ee, 'piano');
  static const picture_as_pdf_filled_outlined =
      _MaterialSymbolsData(0x17ef, 'picture_as_pdf_filled_outlined');
  static const picture_as_pdf_filled_sharp =
      _MaterialSymbolsData(0x17f0, 'picture_as_pdf_filled_sharp');
  static const picture_as_pdf_filled =
      _MaterialSymbolsData(0x17f1, 'picture_as_pdf_filled');
  static const picture_as_pdf_outlined =
      _MaterialSymbolsData(0x17f2, 'picture_as_pdf_outlined');
  static const picture_as_pdf_sharp =
      _MaterialSymbolsData(0x17f3, 'picture_as_pdf_sharp');
  static const picture_as_pdf = _MaterialSymbolsData(0x17f4, 'picture_as_pdf');
  static const picture_in_picture_alt_filled_outlined =
      _MaterialSymbolsData(0x17f5, 'picture_in_picture_alt_filled_outlined');
  static const picture_in_picture_alt_filled_sharp =
      _MaterialSymbolsData(0x17f6, 'picture_in_picture_alt_filled_sharp');
  static const picture_in_picture_alt_filled =
      _MaterialSymbolsData(0x17f7, 'picture_in_picture_alt_filled');
  static const picture_in_picture_alt_outlined =
      _MaterialSymbolsData(0x17f8, 'picture_in_picture_alt_outlined');
  static const picture_in_picture_alt_sharp =
      _MaterialSymbolsData(0x17f9, 'picture_in_picture_alt_sharp');
  static const picture_in_picture_alt =
      _MaterialSymbolsData(0x17fa, 'picture_in_picture_alt');
  static const picture_in_picture_filled_outlined =
      _MaterialSymbolsData(0x17fb, 'picture_in_picture_filled_outlined');
  static const picture_in_picture_filled_sharp =
      _MaterialSymbolsData(0x17fc, 'picture_in_picture_filled_sharp');
  static const picture_in_picture_filled =
      _MaterialSymbolsData(0x17fd, 'picture_in_picture_filled');
  static const picture_in_picture_outlined =
      _MaterialSymbolsData(0x17fe, 'picture_in_picture_outlined');
  static const picture_in_picture_sharp =
      _MaterialSymbolsData(0x17ff, 'picture_in_picture_sharp');
  static const picture_in_picture =
      _MaterialSymbolsData(0x1800, 'picture_in_picture');
  static const pie_chart_filled_outlined =
      _MaterialSymbolsData(0x1801, 'pie_chart_filled_outlined');
  static const pie_chart_filled_sharp =
      _MaterialSymbolsData(0x1802, 'pie_chart_filled_sharp');
  static const pie_chart_filled =
      _MaterialSymbolsData(0x1803, 'pie_chart_filled');
  static const pie_chart_outlined =
      _MaterialSymbolsData(0x1804, 'pie_chart_outlined');
  static const pie_chart_sharp =
      _MaterialSymbolsData(0x1805, 'pie_chart_sharp');
  static const pie_chart = _MaterialSymbolsData(0x1806, 'pie_chart');
  static const pin_drop_filled_outlined =
      _MaterialSymbolsData(0x1807, 'pin_drop_filled_outlined');
  static const pin_drop_filled_sharp =
      _MaterialSymbolsData(0x1808, 'pin_drop_filled_sharp');
  static const pin_drop_filled =
      _MaterialSymbolsData(0x1809, 'pin_drop_filled');
  static const pin_drop_outlined =
      _MaterialSymbolsData(0x180a, 'pin_drop_outlined');
  static const pin_drop_sharp = _MaterialSymbolsData(0x180b, 'pin_drop_sharp');
  static const pin_drop = _MaterialSymbolsData(0x180c, 'pin_drop');
  static const pin_end_filled_outlined =
      _MaterialSymbolsData(0x180d, 'pin_end_filled_outlined');
  static const pin_end_filled_sharp =
      _MaterialSymbolsData(0x180e, 'pin_end_filled_sharp');
  static const pin_end_filled = _MaterialSymbolsData(0x180f, 'pin_end_filled');
  static const pin_end_outlined =
      _MaterialSymbolsData(0x1810, 'pin_end_outlined');
  static const pin_end_sharp = _MaterialSymbolsData(0x1811, 'pin_end_sharp');
  static const pin_end = _MaterialSymbolsData(0x1812, 'pin_end');
  static const pin_filled_outlined =
      _MaterialSymbolsData(0x1813, 'pin_filled_outlined');
  static const pin_filled_sharp =
      _MaterialSymbolsData(0x1814, 'pin_filled_sharp');
  static const pin_filled = _MaterialSymbolsData(0x1815, 'pin_filled');
  static const pin_invoke_filled_outlined =
      _MaterialSymbolsData(0x1816, 'pin_invoke_filled_outlined');
  static const pin_invoke_filled_sharp =
      _MaterialSymbolsData(0x1817, 'pin_invoke_filled_sharp');
  static const pin_invoke_filled =
      _MaterialSymbolsData(0x1818, 'pin_invoke_filled');
  static const pin_invoke_outlined =
      _MaterialSymbolsData(0x1819, 'pin_invoke_outlined');
  static const pin_invoke_sharp =
      _MaterialSymbolsData(0x181a, 'pin_invoke_sharp');
  static const pin_invoke = _MaterialSymbolsData(0x181b, 'pin_invoke');
  static const pin_outlined = _MaterialSymbolsData(0x181c, 'pin_outlined');
  static const pin_sharp = _MaterialSymbolsData(0x181d, 'pin_sharp');
  static const pin = _MaterialSymbolsData(0x181e, 'pin');
  static const pinch_filled_outlined =
      _MaterialSymbolsData(0x181f, 'pinch_filled_outlined');
  static const pinch_filled_sharp =
      _MaterialSymbolsData(0x1820, 'pinch_filled_sharp');
  static const pinch_filled = _MaterialSymbolsData(0x1821, 'pinch_filled');
  static const pinch_outlined = _MaterialSymbolsData(0x1822, 'pinch_outlined');
  static const pinch_sharp = _MaterialSymbolsData(0x1823, 'pinch_sharp');
  static const pinch_zoom_in_filled_outlined =
      _MaterialSymbolsData(0x1824, 'pinch_zoom_in_filled_outlined');
  static const pinch_zoom_in_filled_sharp =
      _MaterialSymbolsData(0x1825, 'pinch_zoom_in_filled_sharp');
  static const pinch_zoom_in_filled =
      _MaterialSymbolsData(0x1826, 'pinch_zoom_in_filled');
  static const pinch_zoom_in_outlined =
      _MaterialSymbolsData(0x1827, 'pinch_zoom_in_outlined');
  static const pinch_zoom_in_sharp =
      _MaterialSymbolsData(0x1828, 'pinch_zoom_in_sharp');
  static const pinch_zoom_in = _MaterialSymbolsData(0x1829, 'pinch_zoom_in');
  static const pinch_zoom_out_filled_outlined =
      _MaterialSymbolsData(0x182a, 'pinch_zoom_out_filled_outlined');
  static const pinch_zoom_out_filled_sharp =
      _MaterialSymbolsData(0x182b, 'pinch_zoom_out_filled_sharp');
  static const pinch_zoom_out_filled =
      _MaterialSymbolsData(0x182c, 'pinch_zoom_out_filled');
  static const pinch_zoom_out_outlined =
      _MaterialSymbolsData(0x182d, 'pinch_zoom_out_outlined');
  static const pinch_zoom_out_sharp =
      _MaterialSymbolsData(0x182e, 'pinch_zoom_out_sharp');
  static const pinch_zoom_out = _MaterialSymbolsData(0x182f, 'pinch_zoom_out');
  static const pinch = _MaterialSymbolsData(0x1830, 'pinch');
  static const pivot_table_chart_filled_outlined =
      _MaterialSymbolsData(0x1831, 'pivot_table_chart_filled_outlined');
  static const pivot_table_chart_filled_sharp =
      _MaterialSymbolsData(0x1832, 'pivot_table_chart_filled_sharp');
  static const pivot_table_chart_filled =
      _MaterialSymbolsData(0x1833, 'pivot_table_chart_filled');
  static const pivot_table_chart_outlined =
      _MaterialSymbolsData(0x1834, 'pivot_table_chart_outlined');
  static const pivot_table_chart_sharp =
      _MaterialSymbolsData(0x1835, 'pivot_table_chart_sharp');
  static const pivot_table_chart =
      _MaterialSymbolsData(0x1836, 'pivot_table_chart');
  static const place_item_filled_outlined =
      _MaterialSymbolsData(0x1837, 'place_item_filled_outlined');
  static const place_item_filled_sharp =
      _MaterialSymbolsData(0x1838, 'place_item_filled_sharp');
  static const place_item_filled =
      _MaterialSymbolsData(0x1839, 'place_item_filled');
  static const place_item_outlined =
      _MaterialSymbolsData(0x183a, 'place_item_outlined');
  static const place_item_sharp =
      _MaterialSymbolsData(0x183b, 'place_item_sharp');
  static const place_item = _MaterialSymbolsData(0x183c, 'place_item');
  static const plagiarism_filled_outlined =
      _MaterialSymbolsData(0x183d, 'plagiarism_filled_outlined');
  static const plagiarism_filled_sharp =
      _MaterialSymbolsData(0x183e, 'plagiarism_filled_sharp');
  static const plagiarism_filled =
      _MaterialSymbolsData(0x183f, 'plagiarism_filled');
  static const plagiarism_outlined =
      _MaterialSymbolsData(0x1840, 'plagiarism_outlined');
  static const plagiarism_sharp =
      _MaterialSymbolsData(0x1841, 'plagiarism_sharp');
  static const plagiarism = _MaterialSymbolsData(0x1842, 'plagiarism');
  static const play_arrow_filled_outlined =
      _MaterialSymbolsData(0x1843, 'play_arrow_filled_outlined');
  static const play_arrow_filled_sharp =
      _MaterialSymbolsData(0x1844, 'play_arrow_filled_sharp');
  static const play_arrow_filled =
      _MaterialSymbolsData(0x1845, 'play_arrow_filled');
  static const play_arrow_outlined =
      _MaterialSymbolsData(0x1846, 'play_arrow_outlined');
  static const play_arrow_sharp =
      _MaterialSymbolsData(0x1847, 'play_arrow_sharp');
  static const play_arrow = _MaterialSymbolsData(0x1848, 'play_arrow');
  static const play_circle_filled_outlined =
      _MaterialSymbolsData(0x1849, 'play_circle_filled_outlined');
  static const play_circle_filled_sharp =
      _MaterialSymbolsData(0x184a, 'play_circle_filled_sharp');
  static const play_circle_filled =
      _MaterialSymbolsData(0x184b, 'play_circle_filled');
  static const play_circle_outlined =
      _MaterialSymbolsData(0x184c, 'play_circle_outlined');
  static const play_circle_sharp =
      _MaterialSymbolsData(0x184d, 'play_circle_sharp');
  static const play_circle = _MaterialSymbolsData(0x184e, 'play_circle');
  static const play_disabled_filled_outlined =
      _MaterialSymbolsData(0x184f, 'play_disabled_filled_outlined');
  static const play_disabled_filled_sharp =
      _MaterialSymbolsData(0x1850, 'play_disabled_filled_sharp');
  static const play_disabled_filled =
      _MaterialSymbolsData(0x1851, 'play_disabled_filled');
  static const play_disabled_outlined =
      _MaterialSymbolsData(0x1852, 'play_disabled_outlined');
  static const play_disabled_sharp =
      _MaterialSymbolsData(0x1853, 'play_disabled_sharp');
  static const play_disabled = _MaterialSymbolsData(0x1854, 'play_disabled');
  static const play_for_work_filled_outlined =
      _MaterialSymbolsData(0x1855, 'play_for_work_filled_outlined');
  static const play_for_work_filled_sharp =
      _MaterialSymbolsData(0x1856, 'play_for_work_filled_sharp');
  static const play_for_work_filled =
      _MaterialSymbolsData(0x1857, 'play_for_work_filled');
  static const play_for_work_outlined =
      _MaterialSymbolsData(0x1858, 'play_for_work_outlined');
  static const play_for_work_sharp =
      _MaterialSymbolsData(0x1859, 'play_for_work_sharp');
  static const play_for_work = _MaterialSymbolsData(0x185a, 'play_for_work');
  static const play_lesson_filled_outlined =
      _MaterialSymbolsData(0x185b, 'play_lesson_filled_outlined');
  static const play_lesson_filled_sharp =
      _MaterialSymbolsData(0x185c, 'play_lesson_filled_sharp');
  static const play_lesson_filled =
      _MaterialSymbolsData(0x185d, 'play_lesson_filled');
  static const play_lesson_outlined =
      _MaterialSymbolsData(0x185e, 'play_lesson_outlined');
  static const play_lesson_sharp =
      _MaterialSymbolsData(0x185f, 'play_lesson_sharp');
  static const play_lesson = _MaterialSymbolsData(0x1860, 'play_lesson');
  static const play_pause_filled_outlined =
      _MaterialSymbolsData(0x1861, 'play_pause_filled_outlined');
  static const play_pause_filled_sharp =
      _MaterialSymbolsData(0x1862, 'play_pause_filled_sharp');
  static const play_pause_filled =
      _MaterialSymbolsData(0x1863, 'play_pause_filled');
  static const play_pause_outlined =
      _MaterialSymbolsData(0x1864, 'play_pause_outlined');
  static const play_pause_sharp =
      _MaterialSymbolsData(0x1865, 'play_pause_sharp');
  static const play_pause = _MaterialSymbolsData(0x1866, 'play_pause');
  static const playlist_add_check_circle_filled_outlined =
      _MaterialSymbolsData(0x1867, 'playlist_add_check_circle_filled_outlined');
  static const playlist_add_check_circle_filled_sharp =
      _MaterialSymbolsData(0x1868, 'playlist_add_check_circle_filled_sharp');
  static const playlist_add_check_circle_filled =
      _MaterialSymbolsData(0x1869, 'playlist_add_check_circle_filled');
  static const playlist_add_check_circle_outlined =
      _MaterialSymbolsData(0x186a, 'playlist_add_check_circle_outlined');
  static const playlist_add_check_circle_sharp =
      _MaterialSymbolsData(0x186b, 'playlist_add_check_circle_sharp');
  static const playlist_add_check_circle =
      _MaterialSymbolsData(0x186c, 'playlist_add_check_circle');
  static const playlist_add_check_filled_outlined =
      _MaterialSymbolsData(0x186d, 'playlist_add_check_filled_outlined');
  static const playlist_add_check_filled_sharp =
      _MaterialSymbolsData(0x186e, 'playlist_add_check_filled_sharp');
  static const playlist_add_check_filled =
      _MaterialSymbolsData(0x186f, 'playlist_add_check_filled');
  static const playlist_add_check_outlined =
      _MaterialSymbolsData(0x1870, 'playlist_add_check_outlined');
  static const playlist_add_check_sharp =
      _MaterialSymbolsData(0x1871, 'playlist_add_check_sharp');
  static const playlist_add_check =
      _MaterialSymbolsData(0x1872, 'playlist_add_check');
  static const playlist_add_circle_filled_outlined =
      _MaterialSymbolsData(0x1873, 'playlist_add_circle_filled_outlined');
  static const playlist_add_circle_filled_sharp =
      _MaterialSymbolsData(0x1874, 'playlist_add_circle_filled_sharp');
  static const playlist_add_circle_filled =
      _MaterialSymbolsData(0x1875, 'playlist_add_circle_filled');
  static const playlist_add_circle_outlined =
      _MaterialSymbolsData(0x1876, 'playlist_add_circle_outlined');
  static const playlist_add_circle_sharp =
      _MaterialSymbolsData(0x1877, 'playlist_add_circle_sharp');
  static const playlist_add_circle =
      _MaterialSymbolsData(0x1878, 'playlist_add_circle');
  static const playlist_add_filled_outlined =
      _MaterialSymbolsData(0x1879, 'playlist_add_filled_outlined');
  static const playlist_add_filled_sharp =
      _MaterialSymbolsData(0x187a, 'playlist_add_filled_sharp');
  static const playlist_add_filled =
      _MaterialSymbolsData(0x187b, 'playlist_add_filled');
  static const playlist_add_outlined =
      _MaterialSymbolsData(0x187c, 'playlist_add_outlined');
  static const playlist_add_sharp =
      _MaterialSymbolsData(0x187d, 'playlist_add_sharp');
  static const playlist_add = _MaterialSymbolsData(0x187e, 'playlist_add');
  static const playlist_play_filled_outlined =
      _MaterialSymbolsData(0x187f, 'playlist_play_filled_outlined');
  static const playlist_play_filled_sharp =
      _MaterialSymbolsData(0x1880, 'playlist_play_filled_sharp');
  static const playlist_play_filled =
      _MaterialSymbolsData(0x1881, 'playlist_play_filled');
  static const playlist_play_outlined =
      _MaterialSymbolsData(0x1882, 'playlist_play_outlined');
  static const playlist_play_sharp =
      _MaterialSymbolsData(0x1883, 'playlist_play_sharp');
  static const playlist_play = _MaterialSymbolsData(0x1884, 'playlist_play');
  static const playlist_remove_filled_outlined =
      _MaterialSymbolsData(0x1885, 'playlist_remove_filled_outlined');
  static const playlist_remove_filled_sharp =
      _MaterialSymbolsData(0x1886, 'playlist_remove_filled_sharp');
  static const playlist_remove_filled =
      _MaterialSymbolsData(0x1887, 'playlist_remove_filled');
  static const playlist_remove_outlined =
      _MaterialSymbolsData(0x1888, 'playlist_remove_outlined');
  static const playlist_remove_sharp =
      _MaterialSymbolsData(0x1889, 'playlist_remove_sharp');
  static const playlist_remove =
      _MaterialSymbolsData(0x188a, 'playlist_remove');
  static const plumbing_filled_outlined =
      _MaterialSymbolsData(0x188b, 'plumbing_filled_outlined');
  static const plumbing_filled_sharp =
      _MaterialSymbolsData(0x188c, 'plumbing_filled_sharp');
  static const plumbing_filled =
      _MaterialSymbolsData(0x188d, 'plumbing_filled');
  static const plumbing_outlined =
      _MaterialSymbolsData(0x188e, 'plumbing_outlined');
  static const plumbing_sharp = _MaterialSymbolsData(0x188f, 'plumbing_sharp');
  static const plumbing = _MaterialSymbolsData(0x1890, 'plumbing');
  static const podcasts_filled_outlined =
      _MaterialSymbolsData(0x1891, 'podcasts_filled_outlined');
  static const podcasts_filled_sharp =
      _MaterialSymbolsData(0x1892, 'podcasts_filled_sharp');
  static const podcasts_filled =
      _MaterialSymbolsData(0x1893, 'podcasts_filled');
  static const podcasts_outlined =
      _MaterialSymbolsData(0x1894, 'podcasts_outlined');
  static const podcasts_sharp = _MaterialSymbolsData(0x1895, 'podcasts_sharp');
  static const podcasts = _MaterialSymbolsData(0x1896, 'podcasts');
  static const podiatry_filled_outlined =
      _MaterialSymbolsData(0x1897, 'podiatry_filled_outlined');
  static const podiatry_filled_sharp =
      _MaterialSymbolsData(0x1898, 'podiatry_filled_sharp');
  static const podiatry_filled =
      _MaterialSymbolsData(0x1899, 'podiatry_filled');
  static const podiatry_outlined =
      _MaterialSymbolsData(0x189a, 'podiatry_outlined');
  static const podiatry_sharp = _MaterialSymbolsData(0x189b, 'podiatry_sharp');
  static const podiatry = _MaterialSymbolsData(0x189c, 'podiatry');
  static const point_of_sale_filled_outlined =
      _MaterialSymbolsData(0x189d, 'point_of_sale_filled_outlined');
  static const point_of_sale_filled_sharp =
      _MaterialSymbolsData(0x189e, 'point_of_sale_filled_sharp');
  static const point_of_sale_filled =
      _MaterialSymbolsData(0x189f, 'point_of_sale_filled');
  static const point_of_sale_outlined =
      _MaterialSymbolsData(0x18a0, 'point_of_sale_outlined');
  static const point_of_sale_sharp =
      _MaterialSymbolsData(0x18a1, 'point_of_sale_sharp');
  static const point_of_sale = _MaterialSymbolsData(0x18a2, 'point_of_sale');
  static const policy_filled_outlined =
      _MaterialSymbolsData(0x18a3, 'policy_filled_outlined');
  static const policy_filled_sharp =
      _MaterialSymbolsData(0x18a4, 'policy_filled_sharp');
  static const policy_filled = _MaterialSymbolsData(0x18a5, 'policy_filled');
  static const policy_outlined =
      _MaterialSymbolsData(0x18a6, 'policy_outlined');
  static const policy_sharp = _MaterialSymbolsData(0x18a7, 'policy_sharp');
  static const policy = _MaterialSymbolsData(0x18a8, 'policy');
  static const polyline_filled_outlined =
      _MaterialSymbolsData(0x18a9, 'polyline_filled_outlined');
  static const polyline_filled_sharp =
      _MaterialSymbolsData(0x18aa, 'polyline_filled_sharp');
  static const polyline_filled =
      _MaterialSymbolsData(0x18ab, 'polyline_filled');
  static const polyline_outlined =
      _MaterialSymbolsData(0x18ac, 'polyline_outlined');
  static const polyline_sharp = _MaterialSymbolsData(0x18ad, 'polyline_sharp');
  static const polyline = _MaterialSymbolsData(0x18ae, 'polyline');
  static const polymer_filled_outlined =
      _MaterialSymbolsData(0x18af, 'polymer_filled_outlined');
  static const polymer_filled_sharp =
      _MaterialSymbolsData(0x18b0, 'polymer_filled_sharp');
  static const polymer_filled = _MaterialSymbolsData(0x18b1, 'polymer_filled');
  static const polymer_outlined =
      _MaterialSymbolsData(0x18b2, 'polymer_outlined');
  static const polymer_sharp = _MaterialSymbolsData(0x18b3, 'polymer_sharp');
  static const polymer = _MaterialSymbolsData(0x18b4, 'polymer');
  static const pool_filled_outlined =
      _MaterialSymbolsData(0x18b5, 'pool_filled_outlined');
  static const pool_filled_sharp =
      _MaterialSymbolsData(0x18b6, 'pool_filled_sharp');
  static const pool_filled = _MaterialSymbolsData(0x18b7, 'pool_filled');
  static const pool_outlined = _MaterialSymbolsData(0x18b8, 'pool_outlined');
  static const pool_sharp = _MaterialSymbolsData(0x18b9, 'pool_sharp');
  static const pool = _MaterialSymbolsData(0x18ba, 'pool');
  static const portable_wifi_off_filled_outlined =
      _MaterialSymbolsData(0x18bb, 'portable_wifi_off_filled_outlined');
  static const portable_wifi_off_filled_sharp =
      _MaterialSymbolsData(0x18bc, 'portable_wifi_off_filled_sharp');
  static const portable_wifi_off_filled =
      _MaterialSymbolsData(0x18bd, 'portable_wifi_off_filled');
  static const portable_wifi_off_outlined =
      _MaterialSymbolsData(0x18be, 'portable_wifi_off_outlined');
  static const portable_wifi_off_sharp =
      _MaterialSymbolsData(0x18bf, 'portable_wifi_off_sharp');
  static const portable_wifi_off =
      _MaterialSymbolsData(0x18c0, 'portable_wifi_off');
  static const post_add_filled_outlined =
      _MaterialSymbolsData(0x18c1, 'post_add_filled_outlined');
  static const post_add_filled_sharp =
      _MaterialSymbolsData(0x18c2, 'post_add_filled_sharp');
  static const post_add_filled =
      _MaterialSymbolsData(0x18c3, 'post_add_filled');
  static const post_add_outlined =
      _MaterialSymbolsData(0x18c4, 'post_add_outlined');
  static const post_add_sharp = _MaterialSymbolsData(0x18c5, 'post_add_sharp');
  static const post_add = _MaterialSymbolsData(0x18c6, 'post_add');
  static const potted_plant_filled_outlined =
      _MaterialSymbolsData(0x18c7, 'potted_plant_filled_outlined');
  static const potted_plant_filled_sharp =
      _MaterialSymbolsData(0x18c8, 'potted_plant_filled_sharp');
  static const potted_plant_filled =
      _MaterialSymbolsData(0x18c9, 'potted_plant_filled');
  static const potted_plant_outlined =
      _MaterialSymbolsData(0x18ca, 'potted_plant_outlined');
  static const potted_plant_sharp =
      _MaterialSymbolsData(0x18cb, 'potted_plant_sharp');
  static const potted_plant = _MaterialSymbolsData(0x18cc, 'potted_plant');
  static const power_filled_outlined =
      _MaterialSymbolsData(0x18cd, 'power_filled_outlined');
  static const power_filled_sharp =
      _MaterialSymbolsData(0x18ce, 'power_filled_sharp');
  static const power_filled = _MaterialSymbolsData(0x18cf, 'power_filled');
  static const power_input_filled_outlined =
      _MaterialSymbolsData(0x18d0, 'power_input_filled_outlined');
  static const power_input_filled_sharp =
      _MaterialSymbolsData(0x18d1, 'power_input_filled_sharp');
  static const power_input_filled =
      _MaterialSymbolsData(0x18d2, 'power_input_filled');
  static const power_input_outlined =
      _MaterialSymbolsData(0x18d3, 'power_input_outlined');
  static const power_input_sharp =
      _MaterialSymbolsData(0x18d4, 'power_input_sharp');
  static const power_input = _MaterialSymbolsData(0x18d5, 'power_input');
  static const power_off_filled_outlined =
      _MaterialSymbolsData(0x18d6, 'power_off_filled_outlined');
  static const power_off_filled_sharp =
      _MaterialSymbolsData(0x18d7, 'power_off_filled_sharp');
  static const power_off_filled =
      _MaterialSymbolsData(0x18d8, 'power_off_filled');
  static const power_off_outlined =
      _MaterialSymbolsData(0x18d9, 'power_off_outlined');
  static const power_off_sharp =
      _MaterialSymbolsData(0x18da, 'power_off_sharp');
  static const power_off = _MaterialSymbolsData(0x18db, 'power_off');
  static const power_outlined = _MaterialSymbolsData(0x18dc, 'power_outlined');
  static const power_rounded_filled_outlined =
      _MaterialSymbolsData(0x18dd, 'power_rounded_filled_outlined');
  static const power_rounded_filled_sharp =
      _MaterialSymbolsData(0x18de, 'power_rounded_filled_sharp');
  static const power_rounded_filled =
      _MaterialSymbolsData(0x18df, 'power_rounded_filled');
  static const power_rounded_outlined =
      _MaterialSymbolsData(0x18e0, 'power_rounded_outlined');
  static const power_rounded_sharp =
      _MaterialSymbolsData(0x18e1, 'power_rounded_sharp');
  static const power_rounded = _MaterialSymbolsData(0x18e2, 'power_rounded');
  static const power_settings_new_filled_outlined =
      _MaterialSymbolsData(0x18e3, 'power_settings_new_filled_outlined');
  static const power_settings_new_filled_sharp =
      _MaterialSymbolsData(0x18e4, 'power_settings_new_filled_sharp');
  static const power_settings_new_filled =
      _MaterialSymbolsData(0x18e5, 'power_settings_new_filled');
  static const power_settings_new_outlined =
      _MaterialSymbolsData(0x18e6, 'power_settings_new_outlined');
  static const power_settings_new_sharp =
      _MaterialSymbolsData(0x18e7, 'power_settings_new_sharp');
  static const power_settings_new =
      _MaterialSymbolsData(0x18e8, 'power_settings_new');
  static const power_sharp = _MaterialSymbolsData(0x18e9, 'power_sharp');
  static const power = _MaterialSymbolsData(0x18ea, 'power');
  static const prayer_times_filled_outlined =
      _MaterialSymbolsData(0x18eb, 'prayer_times_filled_outlined');
  static const prayer_times_filled_sharp =
      _MaterialSymbolsData(0x18ec, 'prayer_times_filled_sharp');
  static const prayer_times_filled =
      _MaterialSymbolsData(0x18ed, 'prayer_times_filled');
  static const prayer_times_outlined =
      _MaterialSymbolsData(0x18ee, 'prayer_times_outlined');
  static const prayer_times_sharp =
      _MaterialSymbolsData(0x18ef, 'prayer_times_sharp');
  static const prayer_times = _MaterialSymbolsData(0x18f0, 'prayer_times');
  static const precision_manufacturing_filled_outlined =
      _MaterialSymbolsData(0x18f1, 'precision_manufacturing_filled_outlined');
  static const precision_manufacturing_filled_sharp =
      _MaterialSymbolsData(0x18f2, 'precision_manufacturing_filled_sharp');
  static const precision_manufacturing_filled =
      _MaterialSymbolsData(0x18f3, 'precision_manufacturing_filled');
  static const precision_manufacturing_outlined =
      _MaterialSymbolsData(0x18f4, 'precision_manufacturing_outlined');
  static const precision_manufacturing_sharp =
      _MaterialSymbolsData(0x18f5, 'precision_manufacturing_sharp');
  static const precision_manufacturing =
      _MaterialSymbolsData(0x18f6, 'precision_manufacturing');
  static const pregnant_woman_filled_outlined =
      _MaterialSymbolsData(0x18f7, 'pregnant_woman_filled_outlined');
  static const pregnant_woman_filled_sharp =
      _MaterialSymbolsData(0x18f8, 'pregnant_woman_filled_sharp');
  static const pregnant_woman_filled =
      _MaterialSymbolsData(0x18f9, 'pregnant_woman_filled');
  static const pregnant_woman_outlined =
      _MaterialSymbolsData(0x18fa, 'pregnant_woman_outlined');
  static const pregnant_woman_sharp =
      _MaterialSymbolsData(0x18fb, 'pregnant_woman_sharp');
  static const pregnant_woman = _MaterialSymbolsData(0x18fc, 'pregnant_woman');
  static const preliminary_filled_outlined =
      _MaterialSymbolsData(0x18fd, 'preliminary_filled_outlined');
  static const preliminary_filled_sharp =
      _MaterialSymbolsData(0x18fe, 'preliminary_filled_sharp');
  static const preliminary_filled =
      _MaterialSymbolsData(0x18ff, 'preliminary_filled');
  static const preliminary_outlined =
      _MaterialSymbolsData(0x1900, 'preliminary_outlined');
  static const preliminary_sharp =
      _MaterialSymbolsData(0x1901, 'preliminary_sharp');
  static const preliminary = _MaterialSymbolsData(0x1902, 'preliminary');
  static const prescriptions_filled_outlined =
      _MaterialSymbolsData(0x1903, 'prescriptions_filled_outlined');
  static const prescriptions_filled_sharp =
      _MaterialSymbolsData(0x1904, 'prescriptions_filled_sharp');
  static const prescriptions_filled =
      _MaterialSymbolsData(0x1905, 'prescriptions_filled');
  static const prescriptions_outlined =
      _MaterialSymbolsData(0x1906, 'prescriptions_outlined');
  static const prescriptions_sharp =
      _MaterialSymbolsData(0x1907, 'prescriptions_sharp');
  static const prescriptions = _MaterialSymbolsData(0x1908, 'prescriptions');
  static const present_to_all_filled_outlined =
      _MaterialSymbolsData(0x1909, 'present_to_all_filled_outlined');
  static const present_to_all_filled_sharp =
      _MaterialSymbolsData(0x190a, 'present_to_all_filled_sharp');
  static const present_to_all_filled =
      _MaterialSymbolsData(0x190b, 'present_to_all_filled');
  static const present_to_all_outlined =
      _MaterialSymbolsData(0x190c, 'present_to_all_outlined');
  static const present_to_all_sharp =
      _MaterialSymbolsData(0x190d, 'present_to_all_sharp');
  static const present_to_all = _MaterialSymbolsData(0x190e, 'present_to_all');
  static const preview_filled_outlined =
      _MaterialSymbolsData(0x190f, 'preview_filled_outlined');
  static const preview_filled_sharp =
      _MaterialSymbolsData(0x1910, 'preview_filled_sharp');
  static const preview_filled = _MaterialSymbolsData(0x1911, 'preview_filled');
  static const preview_outlined =
      _MaterialSymbolsData(0x1912, 'preview_outlined');
  static const preview_sharp = _MaterialSymbolsData(0x1913, 'preview_sharp');
  static const preview = _MaterialSymbolsData(0x1914, 'preview');
  static const price_change_filled_outlined =
      _MaterialSymbolsData(0x1915, 'price_change_filled_outlined');
  static const price_change_filled_sharp =
      _MaterialSymbolsData(0x1916, 'price_change_filled_sharp');
  static const price_change_filled =
      _MaterialSymbolsData(0x1917, 'price_change_filled');
  static const price_change_outlined =
      _MaterialSymbolsData(0x1918, 'price_change_outlined');
  static const price_change_sharp =
      _MaterialSymbolsData(0x1919, 'price_change_sharp');
  static const price_change = _MaterialSymbolsData(0x191a, 'price_change');
  static const price_check_filled_outlined =
      _MaterialSymbolsData(0x191b, 'price_check_filled_outlined');
  static const price_check_filled_sharp =
      _MaterialSymbolsData(0x191c, 'price_check_filled_sharp');
  static const price_check_filled =
      _MaterialSymbolsData(0x191d, 'price_check_filled');
  static const price_check_outlined =
      _MaterialSymbolsData(0x191e, 'price_check_outlined');
  static const price_check_sharp =
      _MaterialSymbolsData(0x191f, 'price_check_sharp');
  static const price_check = _MaterialSymbolsData(0x1920, 'price_check');
  static const print_disabled_filled_outlined =
      _MaterialSymbolsData(0x1921, 'print_disabled_filled_outlined');
  static const print_disabled_filled_sharp =
      _MaterialSymbolsData(0x1922, 'print_disabled_filled_sharp');
  static const print_disabled_filled =
      _MaterialSymbolsData(0x1923, 'print_disabled_filled');
  static const print_disabled_outlined =
      _MaterialSymbolsData(0x1924, 'print_disabled_outlined');
  static const print_disabled_sharp =
      _MaterialSymbolsData(0x1925, 'print_disabled_sharp');
  static const print_disabled = _MaterialSymbolsData(0x1926, 'print_disabled');
  static const print_filled_outlined =
      _MaterialSymbolsData(0x1927, 'print_filled_outlined');
  static const print_filled_sharp =
      _MaterialSymbolsData(0x1928, 'print_filled_sharp');
  static const print_filled = _MaterialSymbolsData(0x1929, 'print_filled');
  static const print_outlined = _MaterialSymbolsData(0x192a, 'print_outlined');
  static const print_sharp = _MaterialSymbolsData(0x192b, 'print_sharp');
  static const print = _MaterialSymbolsData(0x192c, 'print');
  static const priority_filled_outlined =
      _MaterialSymbolsData(0x192d, 'priority_filled_outlined');
  static const priority_filled_sharp =
      _MaterialSymbolsData(0x192e, 'priority_filled_sharp');
  static const priority_filled =
      _MaterialSymbolsData(0x192f, 'priority_filled');
  static const priority_high_filled_outlined =
      _MaterialSymbolsData(0x1930, 'priority_high_filled_outlined');
  static const priority_high_filled_sharp =
      _MaterialSymbolsData(0x1931, 'priority_high_filled_sharp');
  static const priority_high_filled =
      _MaterialSymbolsData(0x1932, 'priority_high_filled');
  static const priority_high_outlined =
      _MaterialSymbolsData(0x1933, 'priority_high_outlined');
  static const priority_high_sharp =
      _MaterialSymbolsData(0x1934, 'priority_high_sharp');
  static const priority_high = _MaterialSymbolsData(0x1935, 'priority_high');
  static const priority_outlined =
      _MaterialSymbolsData(0x1936, 'priority_outlined');
  static const priority_sharp = _MaterialSymbolsData(0x1937, 'priority_sharp');
  static const priority = _MaterialSymbolsData(0x1938, 'priority');
  static const privacy_filled_outlined =
      _MaterialSymbolsData(0x1939, 'privacy_filled_outlined');
  static const privacy_filled_sharp =
      _MaterialSymbolsData(0x193a, 'privacy_filled_sharp');
  static const privacy_filled = _MaterialSymbolsData(0x193b, 'privacy_filled');
  static const privacy_outlined =
      _MaterialSymbolsData(0x193c, 'privacy_outlined');
  static const privacy_sharp = _MaterialSymbolsData(0x193d, 'privacy_sharp');
  static const privacy_tip_filled_outlined =
      _MaterialSymbolsData(0x193e, 'privacy_tip_filled_outlined');
  static const privacy_tip_filled_sharp =
      _MaterialSymbolsData(0x193f, 'privacy_tip_filled_sharp');
  static const privacy_tip_filled =
      _MaterialSymbolsData(0x1940, 'privacy_tip_filled');
  static const privacy_tip_outlined =
      _MaterialSymbolsData(0x1941, 'privacy_tip_outlined');
  static const privacy_tip_sharp =
      _MaterialSymbolsData(0x1942, 'privacy_tip_sharp');
  static const privacy_tip = _MaterialSymbolsData(0x1943, 'privacy_tip');
  static const privacy = _MaterialSymbolsData(0x1944, 'privacy');
  static const private_connectivity_filled_outlined =
      _MaterialSymbolsData(0x1945, 'private_connectivity_filled_outlined');
  static const private_connectivity_filled_sharp =
      _MaterialSymbolsData(0x1946, 'private_connectivity_filled_sharp');
  static const private_connectivity_filled =
      _MaterialSymbolsData(0x1947, 'private_connectivity_filled');
  static const private_connectivity_outlined =
      _MaterialSymbolsData(0x1948, 'private_connectivity_outlined');
  static const private_connectivity_sharp =
      _MaterialSymbolsData(0x1949, 'private_connectivity_sharp');
  static const private_connectivity =
      _MaterialSymbolsData(0x194a, 'private_connectivity');
  static const problem_filled_outlined =
      _MaterialSymbolsData(0x194b, 'problem_filled_outlined');
  static const problem_filled_sharp =
      _MaterialSymbolsData(0x194c, 'problem_filled_sharp');
  static const problem_filled = _MaterialSymbolsData(0x194d, 'problem_filled');
  static const problem_outlined =
      _MaterialSymbolsData(0x194e, 'problem_outlined');
  static const problem_sharp = _MaterialSymbolsData(0x194f, 'problem_sharp');
  static const problem = _MaterialSymbolsData(0x1950, 'problem');
  static const process_chart_filled_outlined =
      _MaterialSymbolsData(0x1951, 'process_chart_filled_outlined');
  static const process_chart_filled_sharp =
      _MaterialSymbolsData(0x1952, 'process_chart_filled_sharp');
  static const process_chart_filled =
      _MaterialSymbolsData(0x1953, 'process_chart_filled');
  static const process_chart_outlined =
      _MaterialSymbolsData(0x1954, 'process_chart_outlined');
  static const process_chart_sharp =
      _MaterialSymbolsData(0x1955, 'process_chart_sharp');
  static const process_chart = _MaterialSymbolsData(0x1956, 'process_chart');
  static const production_quantity_limits_filled_outlined =
      _MaterialSymbolsData(
          0x1957, 'production_quantity_limits_filled_outlined');
  static const production_quantity_limits_filled_sharp =
      _MaterialSymbolsData(0x1958, 'production_quantity_limits_filled_sharp');
  static const production_quantity_limits_filled =
      _MaterialSymbolsData(0x1959, 'production_quantity_limits_filled');
  static const production_quantity_limits_outlined =
      _MaterialSymbolsData(0x195a, 'production_quantity_limits_outlined');
  static const production_quantity_limits_sharp =
      _MaterialSymbolsData(0x195b, 'production_quantity_limits_sharp');
  static const production_quantity_limits =
      _MaterialSymbolsData(0x195c, 'production_quantity_limits');
  static const productivity_filled_outlined =
      _MaterialSymbolsData(0x195d, 'productivity_filled_outlined');
  static const productivity_filled_sharp =
      _MaterialSymbolsData(0x195e, 'productivity_filled_sharp');
  static const productivity_filled =
      _MaterialSymbolsData(0x195f, 'productivity_filled');
  static const productivity_outlined =
      _MaterialSymbolsData(0x1960, 'productivity_outlined');
  static const productivity_sharp =
      _MaterialSymbolsData(0x1961, 'productivity_sharp');
  static const productivity = _MaterialSymbolsData(0x1962, 'productivity');
  static const propane_filled_outlined =
      _MaterialSymbolsData(0x1963, 'propane_filled_outlined');
  static const propane_filled_sharp =
      _MaterialSymbolsData(0x1964, 'propane_filled_sharp');
  static const propane_filled = _MaterialSymbolsData(0x1965, 'propane_filled');
  static const propane_outlined =
      _MaterialSymbolsData(0x1966, 'propane_outlined');
  static const propane_sharp = _MaterialSymbolsData(0x1967, 'propane_sharp');
  static const propane_tank_filled_outlined =
      _MaterialSymbolsData(0x1968, 'propane_tank_filled_outlined');
  static const propane_tank_filled_sharp =
      _MaterialSymbolsData(0x1969, 'propane_tank_filled_sharp');
  static const propane_tank_filled =
      _MaterialSymbolsData(0x196a, 'propane_tank_filled');
  static const propane_tank_outlined =
      _MaterialSymbolsData(0x196b, 'propane_tank_outlined');
  static const propane_tank_sharp =
      _MaterialSymbolsData(0x196c, 'propane_tank_sharp');
  static const propane_tank = _MaterialSymbolsData(0x196d, 'propane_tank');
  static const propane = _MaterialSymbolsData(0x196e, 'propane');
  static const psychiatry_filled_outlined =
      _MaterialSymbolsData(0x196f, 'psychiatry_filled_outlined');
  static const psychiatry_filled_sharp =
      _MaterialSymbolsData(0x1970, 'psychiatry_filled_sharp');
  static const psychiatry_filled =
      _MaterialSymbolsData(0x1971, 'psychiatry_filled');
  static const psychiatry_outlined =
      _MaterialSymbolsData(0x1972, 'psychiatry_outlined');
  static const psychiatry_sharp =
      _MaterialSymbolsData(0x1973, 'psychiatry_sharp');
  static const psychiatry = _MaterialSymbolsData(0x1974, 'psychiatry');
  static const psychology_alt_filled_outlined =
      _MaterialSymbolsData(0x1975, 'psychology_alt_filled_outlined');
  static const psychology_alt_filled_sharp =
      _MaterialSymbolsData(0x1976, 'psychology_alt_filled_sharp');
  static const psychology_alt_filled =
      _MaterialSymbolsData(0x1977, 'psychology_alt_filled');
  static const psychology_alt_outlined =
      _MaterialSymbolsData(0x1978, 'psychology_alt_outlined');
  static const psychology_alt_sharp =
      _MaterialSymbolsData(0x1979, 'psychology_alt_sharp');
  static const psychology_alt = _MaterialSymbolsData(0x197a, 'psychology_alt');
  static const psychology_filled_outlined =
      _MaterialSymbolsData(0x197b, 'psychology_filled_outlined');
  static const psychology_filled_sharp =
      _MaterialSymbolsData(0x197c, 'psychology_filled_sharp');
  static const psychology_filled =
      _MaterialSymbolsData(0x197d, 'psychology_filled');
  static const psychology_outlined =
      _MaterialSymbolsData(0x197e, 'psychology_outlined');
  static const psychology_sharp =
      _MaterialSymbolsData(0x197f, 'psychology_sharp');
  static const psychology = _MaterialSymbolsData(0x1980, 'psychology');
  static const public_filled_outlined =
      _MaterialSymbolsData(0x1981, 'public_filled_outlined');
  static const public_filled_sharp =
      _MaterialSymbolsData(0x1982, 'public_filled_sharp');
  static const public_filled = _MaterialSymbolsData(0x1983, 'public_filled');
  static const public_off_filled_outlined =
      _MaterialSymbolsData(0x1984, 'public_off_filled_outlined');
  static const public_off_filled_sharp =
      _MaterialSymbolsData(0x1985, 'public_off_filled_sharp');
  static const public_off_filled =
      _MaterialSymbolsData(0x1986, 'public_off_filled');
  static const public_off_outlined =
      _MaterialSymbolsData(0x1987, 'public_off_outlined');
  static const public_off_sharp =
      _MaterialSymbolsData(0x1988, 'public_off_sharp');
  static const public_off = _MaterialSymbolsData(0x1989, 'public_off');
  static const public_outlined =
      _MaterialSymbolsData(0x198a, 'public_outlined');
  static const public_sharp = _MaterialSymbolsData(0x198b, 'public_sharp');
  static const public = _MaterialSymbolsData(0x198c, 'public');
  static const publish_filled_outlined =
      _MaterialSymbolsData(0x198d, 'publish_filled_outlined');
  static const publish_filled_sharp =
      _MaterialSymbolsData(0x198e, 'publish_filled_sharp');
  static const publish_filled = _MaterialSymbolsData(0x198f, 'publish_filled');
  static const publish_outlined =
      _MaterialSymbolsData(0x1990, 'publish_outlined');
  static const publish_sharp = _MaterialSymbolsData(0x1991, 'publish_sharp');
  static const publish = _MaterialSymbolsData(0x1992, 'publish');
  static const published_with_changes_filled_outlined =
      _MaterialSymbolsData(0x1993, 'published_with_changes_filled_outlined');
  static const published_with_changes_filled_sharp =
      _MaterialSymbolsData(0x1994, 'published_with_changes_filled_sharp');
  static const published_with_changes_filled =
      _MaterialSymbolsData(0x1995, 'published_with_changes_filled');
  static const published_with_changes_outlined =
      _MaterialSymbolsData(0x1996, 'published_with_changes_outlined');
  static const published_with_changes_sharp =
      _MaterialSymbolsData(0x1997, 'published_with_changes_sharp');
  static const published_with_changes =
      _MaterialSymbolsData(0x1998, 'published_with_changes');
  static const pulmonology_filled_outlined =
      _MaterialSymbolsData(0x1999, 'pulmonology_filled_outlined');
  static const pulmonology_filled_sharp =
      _MaterialSymbolsData(0x199a, 'pulmonology_filled_sharp');
  static const pulmonology_filled =
      _MaterialSymbolsData(0x199b, 'pulmonology_filled');
  static const pulmonology_outlined =
      _MaterialSymbolsData(0x199c, 'pulmonology_outlined');
  static const pulmonology_sharp =
      _MaterialSymbolsData(0x199d, 'pulmonology_sharp');
  static const pulmonology = _MaterialSymbolsData(0x199e, 'pulmonology');
  static const punch_clock_filled_outlined =
      _MaterialSymbolsData(0x199f, 'punch_clock_filled_outlined');
  static const punch_clock_filled_sharp =
      _MaterialSymbolsData(0x19a0, 'punch_clock_filled_sharp');
  static const punch_clock_filled =
      _MaterialSymbolsData(0x19a1, 'punch_clock_filled');
  static const punch_clock_outlined =
      _MaterialSymbolsData(0x19a2, 'punch_clock_outlined');
  static const punch_clock_sharp =
      _MaterialSymbolsData(0x19a3, 'punch_clock_sharp');
  static const punch_clock = _MaterialSymbolsData(0x19a4, 'punch_clock');
  static const push_pin_filled_outlined =
      _MaterialSymbolsData(0x19a5, 'push_pin_filled_outlined');
  static const push_pin_filled_sharp =
      _MaterialSymbolsData(0x19a6, 'push_pin_filled_sharp');
  static const push_pin_filled =
      _MaterialSymbolsData(0x19a7, 'push_pin_filled');
  static const push_pin_outlined =
      _MaterialSymbolsData(0x19a8, 'push_pin_outlined');
  static const push_pin_sharp = _MaterialSymbolsData(0x19a9, 'push_pin_sharp');
  static const push_pin = _MaterialSymbolsData(0x19aa, 'push_pin');
  static const qr_code_2_filled_outlined =
      _MaterialSymbolsData(0x19ab, 'qr_code_2_filled_outlined');
  static const qr_code_2_filled_sharp =
      _MaterialSymbolsData(0x19ac, 'qr_code_2_filled_sharp');
  static const qr_code_2_filled =
      _MaterialSymbolsData(0x19ad, 'qr_code_2_filled');
  static const qr_code_2_outlined =
      _MaterialSymbolsData(0x19ae, 'qr_code_2_outlined');
  static const qr_code_2_sharp =
      _MaterialSymbolsData(0x19af, 'qr_code_2_sharp');
  static const qr_code_2 = _MaterialSymbolsData(0x19b0, 'qr_code_2');
  static const qr_code_filled_outlined =
      _MaterialSymbolsData(0x19b1, 'qr_code_filled_outlined');
  static const qr_code_filled_sharp =
      _MaterialSymbolsData(0x19b2, 'qr_code_filled_sharp');
  static const qr_code_filled = _MaterialSymbolsData(0x19b3, 'qr_code_filled');
  static const qr_code_outlined =
      _MaterialSymbolsData(0x19b4, 'qr_code_outlined');
  static const qr_code_scanner_filled_outlined =
      _MaterialSymbolsData(0x19b5, 'qr_code_scanner_filled_outlined');
  static const qr_code_scanner_filled_sharp =
      _MaterialSymbolsData(0x19b6, 'qr_code_scanner_filled_sharp');
  static const qr_code_scanner_filled =
      _MaterialSymbolsData(0x19b7, 'qr_code_scanner_filled');
  static const qr_code_scanner_outlined =
      _MaterialSymbolsData(0x19b8, 'qr_code_scanner_outlined');
  static const qr_code_scanner_sharp =
      _MaterialSymbolsData(0x19b9, 'qr_code_scanner_sharp');
  static const qr_code_scanner =
      _MaterialSymbolsData(0x19ba, 'qr_code_scanner');
  static const qr_code_sharp = _MaterialSymbolsData(0x19bb, 'qr_code_sharp');
  static const qr_code = _MaterialSymbolsData(0x19bc, 'qr_code');
  static const query_stats_filled_outlined =
      _MaterialSymbolsData(0x19bd, 'query_stats_filled_outlined');
  static const query_stats_filled_sharp =
      _MaterialSymbolsData(0x19be, 'query_stats_filled_sharp');
  static const query_stats_filled =
      _MaterialSymbolsData(0x19bf, 'query_stats_filled');
  static const query_stats_outlined =
      _MaterialSymbolsData(0x19c0, 'query_stats_outlined');
  static const query_stats_sharp =
      _MaterialSymbolsData(0x19c1, 'query_stats_sharp');
  static const query_stats = _MaterialSymbolsData(0x19c2, 'query_stats');
  static const question_mark_filled_outlined =
      _MaterialSymbolsData(0x19c3, 'question_mark_filled_outlined');
  static const question_mark_filled_sharp =
      _MaterialSymbolsData(0x19c4, 'question_mark_filled_sharp');
  static const question_mark_filled =
      _MaterialSymbolsData(0x19c5, 'question_mark_filled');
  static const question_mark_outlined =
      _MaterialSymbolsData(0x19c6, 'question_mark_outlined');
  static const question_mark_sharp =
      _MaterialSymbolsData(0x19c7, 'question_mark_sharp');
  static const question_mark = _MaterialSymbolsData(0x19c8, 'question_mark');
  static const queue_music_filled_outlined =
      _MaterialSymbolsData(0x19c9, 'queue_music_filled_outlined');
  static const queue_music_filled_sharp =
      _MaterialSymbolsData(0x19ca, 'queue_music_filled_sharp');
  static const queue_music_filled =
      _MaterialSymbolsData(0x19cb, 'queue_music_filled');
  static const queue_music_outlined =
      _MaterialSymbolsData(0x19cc, 'queue_music_outlined');
  static const queue_music_sharp =
      _MaterialSymbolsData(0x19cd, 'queue_music_sharp');
  static const queue_music = _MaterialSymbolsData(0x19ce, 'queue_music');
  static const queue_play_next_filled_outlined =
      _MaterialSymbolsData(0x19cf, 'queue_play_next_filled_outlined');
  static const queue_play_next_filled_sharp =
      _MaterialSymbolsData(0x19d0, 'queue_play_next_filled_sharp');
  static const queue_play_next_filled =
      _MaterialSymbolsData(0x19d1, 'queue_play_next_filled');
  static const queue_play_next_outlined =
      _MaterialSymbolsData(0x19d2, 'queue_play_next_outlined');
  static const queue_play_next_sharp =
      _MaterialSymbolsData(0x19d3, 'queue_play_next_sharp');
  static const queue_play_next =
      _MaterialSymbolsData(0x19d4, 'queue_play_next');
  static const quick_phrases_filled_outlined =
      _MaterialSymbolsData(0x19d5, 'quick_phrases_filled_outlined');
  static const quick_phrases_filled_sharp =
      _MaterialSymbolsData(0x19d6, 'quick_phrases_filled_sharp');
  static const quick_phrases_filled =
      _MaterialSymbolsData(0x19d7, 'quick_phrases_filled');
  static const quick_phrases_outlined =
      _MaterialSymbolsData(0x19d8, 'quick_phrases_outlined');
  static const quick_phrases_sharp =
      _MaterialSymbolsData(0x19d9, 'quick_phrases_sharp');
  static const quick_phrases = _MaterialSymbolsData(0x19da, 'quick_phrases');
  static const quick_reference_all_filled_outlined =
      _MaterialSymbolsData(0x19db, 'quick_reference_all_filled_outlined');
  static const quick_reference_all_filled_sharp =
      _MaterialSymbolsData(0x19dc, 'quick_reference_all_filled_sharp');
  static const quick_reference_all_filled =
      _MaterialSymbolsData(0x19dd, 'quick_reference_all_filled');
  static const quick_reference_all_outlined =
      _MaterialSymbolsData(0x19de, 'quick_reference_all_outlined');
  static const quick_reference_all_sharp =
      _MaterialSymbolsData(0x19df, 'quick_reference_all_sharp');
  static const quick_reference_all =
      _MaterialSymbolsData(0x19e0, 'quick_reference_all');
  static const quick_reference_filled_outlined =
      _MaterialSymbolsData(0x19e1, 'quick_reference_filled_outlined');
  static const quick_reference_filled_sharp =
      _MaterialSymbolsData(0x19e2, 'quick_reference_filled_sharp');
  static const quick_reference_filled =
      _MaterialSymbolsData(0x19e3, 'quick_reference_filled');
  static const quick_reference_outlined =
      _MaterialSymbolsData(0x19e4, 'quick_reference_outlined');
  static const quick_reference_sharp =
      _MaterialSymbolsData(0x19e5, 'quick_reference_sharp');
  static const quick_reference =
      _MaterialSymbolsData(0x19e6, 'quick_reference');
  static const quickreply_filled_outlined =
      _MaterialSymbolsData(0x19e7, 'quickreply_filled_outlined');
  static const quickreply_filled_sharp =
      _MaterialSymbolsData(0x19e8, 'quickreply_filled_sharp');
  static const quickreply_filled =
      _MaterialSymbolsData(0x19e9, 'quickreply_filled');
  static const quickreply_outlined =
      _MaterialSymbolsData(0x19ea, 'quickreply_outlined');
  static const quickreply_sharp =
      _MaterialSymbolsData(0x19eb, 'quickreply_sharp');
  static const quickreply = _MaterialSymbolsData(0x19ec, 'quickreply');
  static const quiet_time_active_filled_outlined =
      _MaterialSymbolsData(0x19ed, 'quiet_time_active_filled_outlined');
  static const quiet_time_active_filled_sharp =
      _MaterialSymbolsData(0x19ee, 'quiet_time_active_filled_sharp');
  static const quiet_time_active_filled =
      _MaterialSymbolsData(0x19ef, 'quiet_time_active_filled');
  static const quiet_time_active_outlined =
      _MaterialSymbolsData(0x19f0, 'quiet_time_active_outlined');
  static const quiet_time_active_sharp =
      _MaterialSymbolsData(0x19f1, 'quiet_time_active_sharp');
  static const quiet_time_active =
      _MaterialSymbolsData(0x19f2, 'quiet_time_active');
  static const quiet_time_filled_outlined =
      _MaterialSymbolsData(0x19f3, 'quiet_time_filled_outlined');
  static const quiet_time_filled_sharp =
      _MaterialSymbolsData(0x19f4, 'quiet_time_filled_sharp');
  static const quiet_time_filled =
      _MaterialSymbolsData(0x19f5, 'quiet_time_filled');
  static const quiet_time_outlined =
      _MaterialSymbolsData(0x19f6, 'quiet_time_outlined');
  static const quiet_time_sharp =
      _MaterialSymbolsData(0x19f7, 'quiet_time_sharp');
  static const quiet_time = _MaterialSymbolsData(0x19f8, 'quiet_time');
  static const quiz_filled_outlined =
      _MaterialSymbolsData(0x19f9, 'quiz_filled_outlined');
  static const quiz_filled_sharp =
      _MaterialSymbolsData(0x19fa, 'quiz_filled_sharp');
  static const quiz_filled = _MaterialSymbolsData(0x19fb, 'quiz_filled');
  static const quiz_outlined = _MaterialSymbolsData(0x19fc, 'quiz_outlined');
  static const quiz_sharp = _MaterialSymbolsData(0x19fd, 'quiz_sharp');
  static const quiz = _MaterialSymbolsData(0x19fe, 'quiz');
  static const r_mobiledata_filled_sharp =
      _MaterialSymbolsData(0x1a00, 'r_mobiledata_filled_sharp');
  static const r_mobiledata_filled_outlined =
      _MaterialSymbolsData(0x19ff, 'r_mobiledata_filled_outlined');
  static const r_mobiledata_filled =
      _MaterialSymbolsData(0x1a01, 'r_mobiledata_filled');
  static const r_mobiledata_outlined =
      _MaterialSymbolsData(0x1a02, 'r_mobiledata_outlined');
  static const r_mobiledata_sharp =
      _MaterialSymbolsData(0x1a03, 'r_mobiledata_sharp');
  static const r_mobiledata = _MaterialSymbolsData(0x1a04, 'r_mobiledata');
  static const radar_filled_outlined =
      _MaterialSymbolsData(0x1a05, 'radar_filled_outlined');
  static const radar_filled_sharp =
      _MaterialSymbolsData(0x1a06, 'radar_filled_sharp');
  static const radar_filled = _MaterialSymbolsData(0x1a07, 'radar_filled');
  static const radar_outlined = _MaterialSymbolsData(0x1a08, 'radar_outlined');
  static const radar_sharp = _MaterialSymbolsData(0x1a09, 'radar_sharp');
  static const radar = _MaterialSymbolsData(0x1a0a, 'radar');
  static const radio_button_checked_filled_outlined =
      _MaterialSymbolsData(0x1a0b, 'radio_button_checked_filled_outlined');
  static const radio_button_checked_filled_sharp =
      _MaterialSymbolsData(0x1a0c, 'radio_button_checked_filled_sharp');
  static const radio_button_checked_filled =
      _MaterialSymbolsData(0x1a0d, 'radio_button_checked_filled');
  static const radio_button_checked_outlined =
      _MaterialSymbolsData(0x1a0e, 'radio_button_checked_outlined');
  static const radio_button_checked_sharp =
      _MaterialSymbolsData(0x1a0f, 'radio_button_checked_sharp');
  static const radio_button_checked =
      _MaterialSymbolsData(0x1a10, 'radio_button_checked');
  static const radio_button_unchecked_filled_outlined =
      _MaterialSymbolsData(0x1a11, 'radio_button_unchecked_filled_outlined');
  static const radio_button_unchecked_filled_sharp =
      _MaterialSymbolsData(0x1a12, 'radio_button_unchecked_filled_sharp');
  static const radio_button_unchecked_filled =
      _MaterialSymbolsData(0x1a13, 'radio_button_unchecked_filled');
  static const radio_button_unchecked_outlined =
      _MaterialSymbolsData(0x1a14, 'radio_button_unchecked_outlined');
  static const radio_button_unchecked_sharp =
      _MaterialSymbolsData(0x1a15, 'radio_button_unchecked_sharp');
  static const radio_button_unchecked =
      _MaterialSymbolsData(0x1a16, 'radio_button_unchecked');
  static const radio_filled_outlined =
      _MaterialSymbolsData(0x1a17, 'radio_filled_outlined');
  static const radio_filled_sharp =
      _MaterialSymbolsData(0x1a18, 'radio_filled_sharp');
  static const radio_filled = _MaterialSymbolsData(0x1a19, 'radio_filled');
  static const radio_outlined = _MaterialSymbolsData(0x1a1a, 'radio_outlined');
  static const radio_sharp = _MaterialSymbolsData(0x1a1b, 'radio_sharp');
  static const radio = _MaterialSymbolsData(0x1a1c, 'radio');
  static const radiology_filled_outlined =
      _MaterialSymbolsData(0x1a1d, 'radiology_filled_outlined');
  static const radiology_filled_sharp =
      _MaterialSymbolsData(0x1a1e, 'radiology_filled_sharp');
  static const radiology_filled =
      _MaterialSymbolsData(0x1a1f, 'radiology_filled');
  static const radiology_outlined =
      _MaterialSymbolsData(0x1a20, 'radiology_outlined');
  static const radiology_sharp =
      _MaterialSymbolsData(0x1a21, 'radiology_sharp');
  static const radiology = _MaterialSymbolsData(0x1a22, 'radiology');
  static const railway_alert_filled_outlined =
      _MaterialSymbolsData(0x1a23, 'railway_alert_filled_outlined');
  static const railway_alert_filled_sharp =
      _MaterialSymbolsData(0x1a24, 'railway_alert_filled_sharp');
  static const railway_alert_filled =
      _MaterialSymbolsData(0x1a25, 'railway_alert_filled');
  static const railway_alert_outlined =
      _MaterialSymbolsData(0x1a26, 'railway_alert_outlined');
  static const railway_alert_sharp =
      _MaterialSymbolsData(0x1a27, 'railway_alert_sharp');
  static const railway_alert = _MaterialSymbolsData(0x1a28, 'railway_alert');
  static const rainy_filled_outlined =
      _MaterialSymbolsData(0x1a29, 'rainy_filled_outlined');
  static const rainy_filled_sharp =
      _MaterialSymbolsData(0x1a2a, 'rainy_filled_sharp');
  static const rainy_filled = _MaterialSymbolsData(0x1a2b, 'rainy_filled');
  static const rainy_outlined = _MaterialSymbolsData(0x1a2c, 'rainy_outlined');
  static const rainy_sharp = _MaterialSymbolsData(0x1a2d, 'rainy_sharp');
  static const rainy = _MaterialSymbolsData(0x1a2e, 'rainy');
  static const ramen_dining_filled_outlined =
      _MaterialSymbolsData(0x1a2f, 'ramen_dining_filled_outlined');
  static const ramen_dining_filled_sharp =
      _MaterialSymbolsData(0x1a30, 'ramen_dining_filled_sharp');
  static const ramen_dining_filled =
      _MaterialSymbolsData(0x1a31, 'ramen_dining_filled');
  static const ramen_dining_outlined =
      _MaterialSymbolsData(0x1a32, 'ramen_dining_outlined');
  static const ramen_dining_sharp =
      _MaterialSymbolsData(0x1a33, 'ramen_dining_sharp');
  static const ramen_dining = _MaterialSymbolsData(0x1a34, 'ramen_dining');
  static const ramp_left_filled_outlined =
      _MaterialSymbolsData(0x1a35, 'ramp_left_filled_outlined');
  static const ramp_left_filled_sharp =
      _MaterialSymbolsData(0x1a36, 'ramp_left_filled_sharp');
  static const ramp_left_filled =
      _MaterialSymbolsData(0x1a37, 'ramp_left_filled');
  static const ramp_left_outlined =
      _MaterialSymbolsData(0x1a38, 'ramp_left_outlined');
  static const ramp_left_sharp =
      _MaterialSymbolsData(0x1a39, 'ramp_left_sharp');
  static const ramp_left = _MaterialSymbolsData(0x1a3a, 'ramp_left');
  static const ramp_right_filled_outlined =
      _MaterialSymbolsData(0x1a3b, 'ramp_right_filled_outlined');
  static const ramp_right_filled_sharp =
      _MaterialSymbolsData(0x1a3c, 'ramp_right_filled_sharp');
  static const ramp_right_filled =
      _MaterialSymbolsData(0x1a3d, 'ramp_right_filled');
  static const ramp_right_outlined =
      _MaterialSymbolsData(0x1a3e, 'ramp_right_outlined');
  static const ramp_right_sharp =
      _MaterialSymbolsData(0x1a3f, 'ramp_right_sharp');
  static const ramp_right = _MaterialSymbolsData(0x1a40, 'ramp_right');
  static const range_hood_filled_outlined =
      _MaterialSymbolsData(0x1a41, 'range_hood_filled_outlined');
  static const range_hood_filled_sharp =
      _MaterialSymbolsData(0x1a42, 'range_hood_filled_sharp');
  static const range_hood_filled =
      _MaterialSymbolsData(0x1a43, 'range_hood_filled');
  static const range_hood_outlined =
      _MaterialSymbolsData(0x1a44, 'range_hood_outlined');
  static const range_hood_sharp =
      _MaterialSymbolsData(0x1a45, 'range_hood_sharp');
  static const range_hood = _MaterialSymbolsData(0x1a46, 'range_hood');
  static const rate_review_filled_outlined =
      _MaterialSymbolsData(0x1a47, 'rate_review_filled_outlined');
  static const rate_review_filled_sharp =
      _MaterialSymbolsData(0x1a48, 'rate_review_filled_sharp');
  static const rate_review_filled =
      _MaterialSymbolsData(0x1a49, 'rate_review_filled');
  static const rate_review_outlined =
      _MaterialSymbolsData(0x1a4a, 'rate_review_outlined');
  static const rate_review_sharp =
      _MaterialSymbolsData(0x1a4b, 'rate_review_sharp');
  static const rate_review = _MaterialSymbolsData(0x1a4c, 'rate_review');
  static const raw_off_filled_outlined =
      _MaterialSymbolsData(0x1a4d, 'raw_off_filled_outlined');
  static const raw_off_filled_sharp =
      _MaterialSymbolsData(0x1a4e, 'raw_off_filled_sharp');
  static const raw_off_filled = _MaterialSymbolsData(0x1a4f, 'raw_off_filled');
  static const raw_off_outlined =
      _MaterialSymbolsData(0x1a50, 'raw_off_outlined');
  static const raw_off_sharp = _MaterialSymbolsData(0x1a51, 'raw_off_sharp');
  static const raw_off = _MaterialSymbolsData(0x1a52, 'raw_off');
  static const raw_on_filled_outlined =
      _MaterialSymbolsData(0x1a53, 'raw_on_filled_outlined');
  static const raw_on_filled_sharp =
      _MaterialSymbolsData(0x1a54, 'raw_on_filled_sharp');
  static const raw_on_filled = _MaterialSymbolsData(0x1a55, 'raw_on_filled');
  static const raw_on_outlined =
      _MaterialSymbolsData(0x1a56, 'raw_on_outlined');
  static const raw_on_sharp = _MaterialSymbolsData(0x1a57, 'raw_on_sharp');
  static const raw_on = _MaterialSymbolsData(0x1a58, 'raw_on');
  static const read_more_filled_outlined =
      _MaterialSymbolsData(0x1a59, 'read_more_filled_outlined');
  static const read_more_filled_sharp =
      _MaterialSymbolsData(0x1a5a, 'read_more_filled_sharp');
  static const read_more_filled =
      _MaterialSymbolsData(0x1a5b, 'read_more_filled');
  static const read_more_outlined =
      _MaterialSymbolsData(0x1a5c, 'read_more_outlined');
  static const read_more_sharp =
      _MaterialSymbolsData(0x1a5d, 'read_more_sharp');
  static const read_more = _MaterialSymbolsData(0x1a5e, 'read_more');
  static const real_estate_agent_filled_outlined =
      _MaterialSymbolsData(0x1a5f, 'real_estate_agent_filled_outlined');
  static const real_estate_agent_filled_sharp =
      _MaterialSymbolsData(0x1a60, 'real_estate_agent_filled_sharp');
  static const real_estate_agent_filled =
      _MaterialSymbolsData(0x1a61, 'real_estate_agent_filled');
  static const real_estate_agent_outlined =
      _MaterialSymbolsData(0x1a62, 'real_estate_agent_outlined');
  static const real_estate_agent_sharp =
      _MaterialSymbolsData(0x1a63, 'real_estate_agent_sharp');
  static const real_estate_agent =
      _MaterialSymbolsData(0x1a64, 'real_estate_agent');
  static const rebase_edit_filled_outlined =
      _MaterialSymbolsData(0x1a65, 'rebase_edit_filled_outlined');
  static const rebase_edit_filled_sharp =
      _MaterialSymbolsData(0x1a66, 'rebase_edit_filled_sharp');
  static const rebase_edit_filled =
      _MaterialSymbolsData(0x1a67, 'rebase_edit_filled');
  static const rebase_edit_outlined =
      _MaterialSymbolsData(0x1a68, 'rebase_edit_outlined');
  static const rebase_edit_sharp =
      _MaterialSymbolsData(0x1a69, 'rebase_edit_sharp');
  static const rebase_edit = _MaterialSymbolsData(0x1a6a, 'rebase_edit');
  static const rebase_filled_outlined =
      _MaterialSymbolsData(0x1a6b, 'rebase_filled_outlined');
  static const rebase_filled_sharp =
      _MaterialSymbolsData(0x1a6c, 'rebase_filled_sharp');
  static const rebase_filled = _MaterialSymbolsData(0x1a6d, 'rebase_filled');
  static const rebase_outlined =
      _MaterialSymbolsData(0x1a6e, 'rebase_outlined');
  static const rebase_sharp = _MaterialSymbolsData(0x1a6f, 'rebase_sharp');
  static const rebase = _MaterialSymbolsData(0x1a70, 'rebase');
  static const receipt_filled_outlined =
      _MaterialSymbolsData(0x1a71, 'receipt_filled_outlined');
  static const receipt_filled_sharp =
      _MaterialSymbolsData(0x1a72, 'receipt_filled_sharp');
  static const receipt_filled = _MaterialSymbolsData(0x1a73, 'receipt_filled');
  static const receipt_long_filled_outlined =
      _MaterialSymbolsData(0x1a74, 'receipt_long_filled_outlined');
  static const receipt_long_filled_sharp =
      _MaterialSymbolsData(0x1a75, 'receipt_long_filled_sharp');
  static const receipt_long_filled =
      _MaterialSymbolsData(0x1a76, 'receipt_long_filled');
  static const receipt_long_outlined =
      _MaterialSymbolsData(0x1a77, 'receipt_long_outlined');
  static const receipt_long_sharp =
      _MaterialSymbolsData(0x1a78, 'receipt_long_sharp');
  static const receipt_long = _MaterialSymbolsData(0x1a79, 'receipt_long');
  static const receipt_outlined =
      _MaterialSymbolsData(0x1a7a, 'receipt_outlined');
  static const receipt_sharp = _MaterialSymbolsData(0x1a7b, 'receipt_sharp');
  static const receipt = _MaterialSymbolsData(0x1a7c, 'receipt');
  static const recent_actors_filled_outlined =
      _MaterialSymbolsData(0x1a7d, 'recent_actors_filled_outlined');
  static const recent_actors_filled_sharp =
      _MaterialSymbolsData(0x1a7e, 'recent_actors_filled_sharp');
  static const recent_actors_filled =
      _MaterialSymbolsData(0x1a7f, 'recent_actors_filled');
  static const recent_actors_outlined =
      _MaterialSymbolsData(0x1a80, 'recent_actors_outlined');
  static const recent_actors_sharp =
      _MaterialSymbolsData(0x1a81, 'recent_actors_sharp');
  static const recent_actors = _MaterialSymbolsData(0x1a82, 'recent_actors');
  static const recent_patient_filled_outlined =
      _MaterialSymbolsData(0x1a83, 'recent_patient_filled_outlined');
  static const recent_patient_filled_sharp =
      _MaterialSymbolsData(0x1a84, 'recent_patient_filled_sharp');
  static const recent_patient_filled =
      _MaterialSymbolsData(0x1a85, 'recent_patient_filled');
  static const recent_patient_outlined =
      _MaterialSymbolsData(0x1a86, 'recent_patient_outlined');
  static const recent_patient_sharp =
      _MaterialSymbolsData(0x1a87, 'recent_patient_sharp');
  static const recent_patient = _MaterialSymbolsData(0x1a88, 'recent_patient');
  static const recommend_filled_outlined =
      _MaterialSymbolsData(0x1a89, 'recommend_filled_outlined');
  static const recommend_filled_sharp =
      _MaterialSymbolsData(0x1a8a, 'recommend_filled_sharp');
  static const recommend_filled =
      _MaterialSymbolsData(0x1a8b, 'recommend_filled');
  static const recommend_outlined =
      _MaterialSymbolsData(0x1a8c, 'recommend_outlined');
  static const recommend_sharp =
      _MaterialSymbolsData(0x1a8d, 'recommend_sharp');
  static const recommend = _MaterialSymbolsData(0x1a8e, 'recommend');
  static const record_voice_over_filled_outlined =
      _MaterialSymbolsData(0x1a8f, 'record_voice_over_filled_outlined');
  static const record_voice_over_filled_sharp =
      _MaterialSymbolsData(0x1a90, 'record_voice_over_filled_sharp');
  static const record_voice_over_filled =
      _MaterialSymbolsData(0x1a91, 'record_voice_over_filled');
  static const record_voice_over_outlined =
      _MaterialSymbolsData(0x1a92, 'record_voice_over_outlined');
  static const record_voice_over_sharp =
      _MaterialSymbolsData(0x1a93, 'record_voice_over_sharp');
  static const record_voice_over =
      _MaterialSymbolsData(0x1a94, 'record_voice_over');
  static const rectangle_filled_outlined =
      _MaterialSymbolsData(0x1a95, 'rectangle_filled_outlined');
  static const rectangle_filled_sharp =
      _MaterialSymbolsData(0x1a96, 'rectangle_filled_sharp');
  static const rectangle_filled =
      _MaterialSymbolsData(0x1a97, 'rectangle_filled');
  static const rectangle_outlined =
      _MaterialSymbolsData(0x1a98, 'rectangle_outlined');
  static const rectangle_sharp =
      _MaterialSymbolsData(0x1a99, 'rectangle_sharp');
  static const rectangle = _MaterialSymbolsData(0x1a9a, 'rectangle');
  static const recycling_filled_outlined =
      _MaterialSymbolsData(0x1a9b, 'recycling_filled_outlined');
  static const recycling_filled_sharp =
      _MaterialSymbolsData(0x1a9c, 'recycling_filled_sharp');
  static const recycling_filled =
      _MaterialSymbolsData(0x1a9d, 'recycling_filled');
  static const recycling_outlined =
      _MaterialSymbolsData(0x1a9e, 'recycling_outlined');
  static const recycling_sharp =
      _MaterialSymbolsData(0x1a9f, 'recycling_sharp');
  static const recycling = _MaterialSymbolsData(0x1aa0, 'recycling');
  static const redeem_filled_outlined =
      _MaterialSymbolsData(0x1aa1, 'redeem_filled_outlined');
  static const redeem_filled_sharp =
      _MaterialSymbolsData(0x1aa2, 'redeem_filled_sharp');
  static const redeem_filled = _MaterialSymbolsData(0x1aa3, 'redeem_filled');
  static const redeem_outlined =
      _MaterialSymbolsData(0x1aa4, 'redeem_outlined');
  static const redeem_sharp = _MaterialSymbolsData(0x1aa5, 'redeem_sharp');
  static const redeem = _MaterialSymbolsData(0x1aa6, 'redeem');
  static const redo_filled_outlined =
      _MaterialSymbolsData(0x1aa7, 'redo_filled_outlined');
  static const redo_filled_sharp =
      _MaterialSymbolsData(0x1aa8, 'redo_filled_sharp');
  static const redo_filled = _MaterialSymbolsData(0x1aa9, 'redo_filled');
  static const redo_outlined = _MaterialSymbolsData(0x1aaa, 'redo_outlined');
  static const redo_sharp = _MaterialSymbolsData(0x1aab, 'redo_sharp');
  static const redo = _MaterialSymbolsData(0x1aac, 'redo');
  static const reduce_capacity_filled_outlined =
      _MaterialSymbolsData(0x1aad, 'reduce_capacity_filled_outlined');
  static const reduce_capacity_filled_sharp =
      _MaterialSymbolsData(0x1aae, 'reduce_capacity_filled_sharp');
  static const reduce_capacity_filled =
      _MaterialSymbolsData(0x1aaf, 'reduce_capacity_filled');
  static const reduce_capacity_outlined =
      _MaterialSymbolsData(0x1ab0, 'reduce_capacity_outlined');
  static const reduce_capacity_sharp =
      _MaterialSymbolsData(0x1ab1, 'reduce_capacity_sharp');
  static const reduce_capacity =
      _MaterialSymbolsData(0x1ab2, 'reduce_capacity');
  static const refresh_filled_outlined =
      _MaterialSymbolsData(0x1ab3, 'refresh_filled_outlined');
  static const refresh_filled_sharp =
      _MaterialSymbolsData(0x1ab4, 'refresh_filled_sharp');
  static const refresh_filled = _MaterialSymbolsData(0x1ab5, 'refresh_filled');
  static const refresh_outlined =
      _MaterialSymbolsData(0x1ab6, 'refresh_outlined');
  static const refresh_sharp = _MaterialSymbolsData(0x1ab7, 'refresh_sharp');
  static const refresh = _MaterialSymbolsData(0x1ab8, 'refresh');
  static const remember_me_filled_outlined =
      _MaterialSymbolsData(0x1ab9, 'remember_me_filled_outlined');
  static const remember_me_filled_sharp =
      _MaterialSymbolsData(0x1aba, 'remember_me_filled_sharp');
  static const remember_me_filled =
      _MaterialSymbolsData(0x1abb, 'remember_me_filled');
  static const remember_me_outlined =
      _MaterialSymbolsData(0x1abc, 'remember_me_outlined');
  static const remember_me_sharp =
      _MaterialSymbolsData(0x1abd, 'remember_me_sharp');
  static const remember_me = _MaterialSymbolsData(0x1abe, 'remember_me');
  static const remote_gen_filled_outlined =
      _MaterialSymbolsData(0x1abf, 'remote_gen_filled_outlined');
  static const remote_gen_filled_sharp =
      _MaterialSymbolsData(0x1ac0, 'remote_gen_filled_sharp');
  static const remote_gen_filled =
      _MaterialSymbolsData(0x1ac1, 'remote_gen_filled');
  static const remote_gen_outlined =
      _MaterialSymbolsData(0x1ac2, 'remote_gen_outlined');
  static const remote_gen_sharp =
      _MaterialSymbolsData(0x1ac3, 'remote_gen_sharp');
  static const remote_gen = _MaterialSymbolsData(0x1ac4, 'remote_gen');
  static const remove_done_filled_outlined =
      _MaterialSymbolsData(0x1ac5, 'remove_done_filled_outlined');
  static const remove_done_filled_sharp =
      _MaterialSymbolsData(0x1ac6, 'remove_done_filled_sharp');
  static const remove_done_filled =
      _MaterialSymbolsData(0x1ac7, 'remove_done_filled');
  static const remove_done_outlined =
      _MaterialSymbolsData(0x1ac8, 'remove_done_outlined');
  static const remove_done_sharp =
      _MaterialSymbolsData(0x1ac9, 'remove_done_sharp');
  static const remove_done = _MaterialSymbolsData(0x1aca, 'remove_done');
  static const remove_filled_outlined =
      _MaterialSymbolsData(0x1acb, 'remove_filled_outlined');
  static const remove_filled_sharp =
      _MaterialSymbolsData(0x1acc, 'remove_filled_sharp');
  static const remove_filled = _MaterialSymbolsData(0x1acd, 'remove_filled');
  static const remove_from_queue_filled_outlined =
      _MaterialSymbolsData(0x1ace, 'remove_from_queue_filled_outlined');
  static const remove_from_queue_filled_sharp =
      _MaterialSymbolsData(0x1acf, 'remove_from_queue_filled_sharp');
  static const remove_from_queue_filled =
      _MaterialSymbolsData(0x1ad0, 'remove_from_queue_filled');
  static const remove_from_queue_outlined =
      _MaterialSymbolsData(0x1ad1, 'remove_from_queue_outlined');
  static const remove_from_queue_sharp =
      _MaterialSymbolsData(0x1ad2, 'remove_from_queue_sharp');
  static const remove_from_queue =
      _MaterialSymbolsData(0x1ad3, 'remove_from_queue');
  static const remove_moderator_filled_outlined =
      _MaterialSymbolsData(0x1ad4, 'remove_moderator_filled_outlined');
  static const remove_moderator_filled_sharp =
      _MaterialSymbolsData(0x1ad5, 'remove_moderator_filled_sharp');
  static const remove_moderator_filled =
      _MaterialSymbolsData(0x1ad6, 'remove_moderator_filled');
  static const remove_moderator_outlined =
      _MaterialSymbolsData(0x1ad7, 'remove_moderator_outlined');
  static const remove_moderator_sharp =
      _MaterialSymbolsData(0x1ad8, 'remove_moderator_sharp');
  static const remove_moderator =
      _MaterialSymbolsData(0x1ad9, 'remove_moderator');
  static const remove_outlined =
      _MaterialSymbolsData(0x1ada, 'remove_outlined');
  static const remove_road_filled_outlined =
      _MaterialSymbolsData(0x1adb, 'remove_road_filled_outlined');
  static const remove_road_filled_sharp =
      _MaterialSymbolsData(0x1adc, 'remove_road_filled_sharp');
  static const remove_road_filled =
      _MaterialSymbolsData(0x1add, 'remove_road_filled');
  static const remove_road_outlined =
      _MaterialSymbolsData(0x1ade, 'remove_road_outlined');
  static const remove_road_sharp =
      _MaterialSymbolsData(0x1adf, 'remove_road_sharp');
  static const remove_road = _MaterialSymbolsData(0x1ae0, 'remove_road');
  static const remove_sharp = _MaterialSymbolsData(0x1ae1, 'remove_sharp');
  static const remove_shopping_cart_filled_outlined =
      _MaterialSymbolsData(0x1ae2, 'remove_shopping_cart_filled_outlined');
  static const remove_shopping_cart_filled_sharp =
      _MaterialSymbolsData(0x1ae3, 'remove_shopping_cart_filled_sharp');
  static const remove_shopping_cart_filled =
      _MaterialSymbolsData(0x1ae4, 'remove_shopping_cart_filled');
  static const remove_shopping_cart_outlined =
      _MaterialSymbolsData(0x1ae5, 'remove_shopping_cart_outlined');
  static const remove_shopping_cart_sharp =
      _MaterialSymbolsData(0x1ae6, 'remove_shopping_cart_sharp');
  static const remove_shopping_cart =
      _MaterialSymbolsData(0x1ae7, 'remove_shopping_cart');
  static const remove = _MaterialSymbolsData(0x1ae8, 'remove');
  static const reorder_filled_outlined =
      _MaterialSymbolsData(0x1ae9, 'reorder_filled_outlined');
  static const reorder_filled_sharp =
      _MaterialSymbolsData(0x1aea, 'reorder_filled_sharp');
  static const reorder_filled = _MaterialSymbolsData(0x1aeb, 'reorder_filled');
  static const reorder_outlined =
      _MaterialSymbolsData(0x1aec, 'reorder_outlined');
  static const reorder_sharp = _MaterialSymbolsData(0x1aed, 'reorder_sharp');
  static const reorder = _MaterialSymbolsData(0x1aee, 'reorder');
  static const repartition_filled_outlined =
      _MaterialSymbolsData(0x1aef, 'repartition_filled_outlined');
  static const repartition_filled_sharp =
      _MaterialSymbolsData(0x1af0, 'repartition_filled_sharp');
  static const repartition_filled =
      _MaterialSymbolsData(0x1af1, 'repartition_filled');
  static const repartition_outlined =
      _MaterialSymbolsData(0x1af2, 'repartition_outlined');
  static const repartition_sharp =
      _MaterialSymbolsData(0x1af3, 'repartition_sharp');
  static const repartition = _MaterialSymbolsData(0x1af4, 'repartition');
  static const repeat_filled_outlined =
      _MaterialSymbolsData(0x1af5, 'repeat_filled_outlined');
  static const repeat_filled_sharp =
      _MaterialSymbolsData(0x1af6, 'repeat_filled_sharp');
  static const repeat_filled = _MaterialSymbolsData(0x1af7, 'repeat_filled');
  static const repeat_on_filled_outlined =
      _MaterialSymbolsData(0x1af8, 'repeat_on_filled_outlined');
  static const repeat_on_filled_sharp =
      _MaterialSymbolsData(0x1af9, 'repeat_on_filled_sharp');
  static const repeat_on_filled =
      _MaterialSymbolsData(0x1afa, 'repeat_on_filled');
  static const repeat_on_outlined =
      _MaterialSymbolsData(0x1afb, 'repeat_on_outlined');
  static const repeat_on_sharp =
      _MaterialSymbolsData(0x1afc, 'repeat_on_sharp');
  static const repeat_on = _MaterialSymbolsData(0x1afd, 'repeat_on');
  static const repeat_one_filled_outlined =
      _MaterialSymbolsData(0x1afe, 'repeat_one_filled_outlined');
  static const repeat_one_filled_sharp =
      _MaterialSymbolsData(0x1aff, 'repeat_one_filled_sharp');
  static const repeat_one_filled =
      _MaterialSymbolsData(0x1b00, 'repeat_one_filled');
  static const repeat_one_on_filled_outlined =
      _MaterialSymbolsData(0x1b01, 'repeat_one_on_filled_outlined');
  static const repeat_one_on_filled_sharp =
      _MaterialSymbolsData(0x1b02, 'repeat_one_on_filled_sharp');
  static const repeat_one_on_filled =
      _MaterialSymbolsData(0x1b03, 'repeat_one_on_filled');
  static const repeat_one_on_outlined =
      _MaterialSymbolsData(0x1b04, 'repeat_one_on_outlined');
  static const repeat_one_on_sharp =
      _MaterialSymbolsData(0x1b05, 'repeat_one_on_sharp');
  static const repeat_one_on = _MaterialSymbolsData(0x1b06, 'repeat_one_on');
  static const repeat_one_outlined =
      _MaterialSymbolsData(0x1b07, 'repeat_one_outlined');
  static const repeat_one_sharp =
      _MaterialSymbolsData(0x1b08, 'repeat_one_sharp');
  static const repeat_one = _MaterialSymbolsData(0x1b09, 'repeat_one');
  static const repeat_outlined =
      _MaterialSymbolsData(0x1b0a, 'repeat_outlined');
  static const repeat_sharp = _MaterialSymbolsData(0x1b0b, 'repeat_sharp');
  static const repeat = _MaterialSymbolsData(0x1b0c, 'repeat');
  static const replay_10_filled_outlined =
      _MaterialSymbolsData(0x1b0d, 'replay_10_filled_outlined');
  static const replay_10_filled_sharp =
      _MaterialSymbolsData(0x1b0e, 'replay_10_filled_sharp');
  static const replay_10_filled =
      _MaterialSymbolsData(0x1b0f, 'replay_10_filled');
  static const replay_10_outlined =
      _MaterialSymbolsData(0x1b10, 'replay_10_outlined');
  static const replay_10_sharp =
      _MaterialSymbolsData(0x1b11, 'replay_10_sharp');
  static const replay_10 = _MaterialSymbolsData(0x1b12, 'replay_10');
  static const replay_30_filled_outlined =
      _MaterialSymbolsData(0x1b13, 'replay_30_filled_outlined');
  static const replay_30_filled_sharp =
      _MaterialSymbolsData(0x1b14, 'replay_30_filled_sharp');
  static const replay_30_filled =
      _MaterialSymbolsData(0x1b15, 'replay_30_filled');
  static const replay_30_outlined =
      _MaterialSymbolsData(0x1b16, 'replay_30_outlined');
  static const replay_30_sharp =
      _MaterialSymbolsData(0x1b17, 'replay_30_sharp');
  static const replay_30 = _MaterialSymbolsData(0x1b18, 'replay_30');
  static const replay_5_filled_outlined =
      _MaterialSymbolsData(0x1b19, 'replay_5_filled_outlined');
  static const replay_5_filled_sharp =
      _MaterialSymbolsData(0x1b1a, 'replay_5_filled_sharp');
  static const replay_5_filled =
      _MaterialSymbolsData(0x1b1b, 'replay_5_filled');
  static const replay_5_outlined =
      _MaterialSymbolsData(0x1b1c, 'replay_5_outlined');
  static const replay_5_sharp = _MaterialSymbolsData(0x1b1d, 'replay_5_sharp');
  static const replay_5 = _MaterialSymbolsData(0x1b1e, 'replay_5');
  static const replay_circle_filled_filled_outlined =
      _MaterialSymbolsData(0x1b1f, 'replay_circle_filled_filled_outlined');
  static const replay_circle_filled_filled_sharp =
      _MaterialSymbolsData(0x1b20, 'replay_circle_filled_filled_sharp');
  static const replay_circle_filled_filled =
      _MaterialSymbolsData(0x1b21, 'replay_circle_filled_filled');
  static const replay_circle_filled_outlined =
      _MaterialSymbolsData(0x1b22, 'replay_circle_filled_outlined');
  static const replay_circle_filled_sharp =
      _MaterialSymbolsData(0x1b23, 'replay_circle_filled_sharp');
  static const replay_circle_filled =
      _MaterialSymbolsData(0x1b24, 'replay_circle_filled');
  static const replay_filled_outlined =
      _MaterialSymbolsData(0x1b25, 'replay_filled_outlined');
  static const replay_filled_sharp =
      _MaterialSymbolsData(0x1b26, 'replay_filled_sharp');
  static const replay_filled = _MaterialSymbolsData(0x1b27, 'replay_filled');
  static const replay_outlined =
      _MaterialSymbolsData(0x1b28, 'replay_outlined');
  static const replay_sharp = _MaterialSymbolsData(0x1b29, 'replay_sharp');
  static const replay = _MaterialSymbolsData(0x1b2a, 'replay');
  static const reply_all_filled_outlined =
      _MaterialSymbolsData(0x1b2b, 'reply_all_filled_outlined');
  static const reply_all_filled_sharp =
      _MaterialSymbolsData(0x1b2c, 'reply_all_filled_sharp');
  static const reply_all_filled =
      _MaterialSymbolsData(0x1b2d, 'reply_all_filled');
  static const reply_all_outlined =
      _MaterialSymbolsData(0x1b2e, 'reply_all_outlined');
  static const reply_all_sharp =
      _MaterialSymbolsData(0x1b2f, 'reply_all_sharp');
  static const reply_all = _MaterialSymbolsData(0x1b30, 'reply_all');
  static const reply_filled_outlined =
      _MaterialSymbolsData(0x1b31, 'reply_filled_outlined');
  static const reply_filled_sharp =
      _MaterialSymbolsData(0x1b32, 'reply_filled_sharp');
  static const reply_filled = _MaterialSymbolsData(0x1b33, 'reply_filled');
  static const reply_outlined = _MaterialSymbolsData(0x1b34, 'reply_outlined');
  static const reply_sharp = _MaterialSymbolsData(0x1b35, 'reply_sharp');
  static const reply = _MaterialSymbolsData(0x1b36, 'reply');
  static const report_filled_outlined =
      _MaterialSymbolsData(0x1b37, 'report_filled_outlined');
  static const report_filled_sharp =
      _MaterialSymbolsData(0x1b38, 'report_filled_sharp');
  static const report_filled = _MaterialSymbolsData(0x1b39, 'report_filled');
  static const report_off_filled_outlined =
      _MaterialSymbolsData(0x1b3a, 'report_off_filled_outlined');
  static const report_off_filled_sharp =
      _MaterialSymbolsData(0x1b3b, 'report_off_filled_sharp');
  static const report_off_filled =
      _MaterialSymbolsData(0x1b3c, 'report_off_filled');
  static const report_off_outlined =
      _MaterialSymbolsData(0x1b3d, 'report_off_outlined');
  static const report_off_sharp =
      _MaterialSymbolsData(0x1b3e, 'report_off_sharp');
  static const report_off = _MaterialSymbolsData(0x1b3f, 'report_off');
  static const report_outlined =
      _MaterialSymbolsData(0x1b40, 'report_outlined');
  static const report_sharp = _MaterialSymbolsData(0x1b41, 'report_sharp');
  static const report = _MaterialSymbolsData(0x1b42, 'report');
  static const request_page_filled_outlined =
      _MaterialSymbolsData(0x1b43, 'request_page_filled_outlined');
  static const request_page_filled_sharp =
      _MaterialSymbolsData(0x1b44, 'request_page_filled_sharp');
  static const request_page_filled =
      _MaterialSymbolsData(0x1b45, 'request_page_filled');
  static const request_page_outlined =
      _MaterialSymbolsData(0x1b46, 'request_page_outlined');
  static const request_page_sharp =
      _MaterialSymbolsData(0x1b47, 'request_page_sharp');
  static const request_page = _MaterialSymbolsData(0x1b48, 'request_page');
  static const request_quote_filled_outlined =
      _MaterialSymbolsData(0x1b49, 'request_quote_filled_outlined');
  static const request_quote_filled_sharp =
      _MaterialSymbolsData(0x1b4a, 'request_quote_filled_sharp');
  static const request_quote_filled =
      _MaterialSymbolsData(0x1b4b, 'request_quote_filled');
  static const request_quote_outlined =
      _MaterialSymbolsData(0x1b4c, 'request_quote_outlined');
  static const request_quote_sharp =
      _MaterialSymbolsData(0x1b4d, 'request_quote_sharp');
  static const request_quote = _MaterialSymbolsData(0x1b4e, 'request_quote');
  static const reset_image_filled_outlined =
      _MaterialSymbolsData(0x1b4f, 'reset_image_filled_outlined');
  static const reset_image_filled_sharp =
      _MaterialSymbolsData(0x1b50, 'reset_image_filled_sharp');
  static const reset_image_filled =
      _MaterialSymbolsData(0x1b51, 'reset_image_filled');
  static const reset_image_outlined =
      _MaterialSymbolsData(0x1b52, 'reset_image_outlined');
  static const reset_image_sharp =
      _MaterialSymbolsData(0x1b53, 'reset_image_sharp');
  static const reset_image = _MaterialSymbolsData(0x1b54, 'reset_image');
  static const reset_tv_filled_outlined =
      _MaterialSymbolsData(0x1b55, 'reset_tv_filled_outlined');
  static const reset_tv_filled_sharp =
      _MaterialSymbolsData(0x1b56, 'reset_tv_filled_sharp');
  static const reset_tv_filled =
      _MaterialSymbolsData(0x1b57, 'reset_tv_filled');
  static const reset_tv_outlined =
      _MaterialSymbolsData(0x1b58, 'reset_tv_outlined');
  static const reset_tv_sharp = _MaterialSymbolsData(0x1b59, 'reset_tv_sharp');
  static const reset_tv = _MaterialSymbolsData(0x1b5a, 'reset_tv');
  static const restart_alt_filled_outlined =
      _MaterialSymbolsData(0x1b5b, 'restart_alt_filled_outlined');
  static const restart_alt_filled_sharp =
      _MaterialSymbolsData(0x1b5c, 'restart_alt_filled_sharp');
  static const restart_alt_filled =
      _MaterialSymbolsData(0x1b5d, 'restart_alt_filled');
  static const restart_alt_outlined =
      _MaterialSymbolsData(0x1b5e, 'restart_alt_outlined');
  static const restart_alt_sharp =
      _MaterialSymbolsData(0x1b5f, 'restart_alt_sharp');
  static const restart_alt = _MaterialSymbolsData(0x1b60, 'restart_alt');
  static const restaurant_filled_outlined =
      _MaterialSymbolsData(0x1b61, 'restaurant_filled_outlined');
  static const restaurant_filled_sharp =
      _MaterialSymbolsData(0x1b62, 'restaurant_filled_sharp');
  static const restaurant_filled =
      _MaterialSymbolsData(0x1b63, 'restaurant_filled');
  static const restaurant_menu_filled_outlined =
      _MaterialSymbolsData(0x1b64, 'restaurant_menu_filled_outlined');
  static const restaurant_menu_filled_sharp =
      _MaterialSymbolsData(0x1b65, 'restaurant_menu_filled_sharp');
  static const restaurant_menu_filled =
      _MaterialSymbolsData(0x1b66, 'restaurant_menu_filled');
  static const restaurant_menu_outlined =
      _MaterialSymbolsData(0x1b67, 'restaurant_menu_outlined');
  static const restaurant_menu_sharp =
      _MaterialSymbolsData(0x1b68, 'restaurant_menu_sharp');
  static const restaurant_menu =
      _MaterialSymbolsData(0x1b69, 'restaurant_menu');
  static const restaurant_outlined =
      _MaterialSymbolsData(0x1b6a, 'restaurant_outlined');
  static const restaurant_sharp =
      _MaterialSymbolsData(0x1b6b, 'restaurant_sharp');
  static const restaurant = _MaterialSymbolsData(0x1b6c, 'restaurant');
  static const restore_from_trash_filled_outlined =
      _MaterialSymbolsData(0x1b6d, 'restore_from_trash_filled_outlined');
  static const restore_from_trash_filled_sharp =
      _MaterialSymbolsData(0x1b6e, 'restore_from_trash_filled_sharp');
  static const restore_from_trash_filled =
      _MaterialSymbolsData(0x1b6f, 'restore_from_trash_filled');
  static const restore_from_trash_outlined =
      _MaterialSymbolsData(0x1b70, 'restore_from_trash_outlined');
  static const restore_from_trash_sharp =
      _MaterialSymbolsData(0x1b71, 'restore_from_trash_sharp');
  static const restore_from_trash =
      _MaterialSymbolsData(0x1b72, 'restore_from_trash');
  static const restore_page_filled_outlined =
      _MaterialSymbolsData(0x1b73, 'restore_page_filled_outlined');
  static const restore_page_filled_sharp =
      _MaterialSymbolsData(0x1b74, 'restore_page_filled_sharp');
  static const restore_page_filled =
      _MaterialSymbolsData(0x1b75, 'restore_page_filled');
  static const restore_page_outlined =
      _MaterialSymbolsData(0x1b76, 'restore_page_outlined');
  static const restore_page_sharp =
      _MaterialSymbolsData(0x1b77, 'restore_page_sharp');
  static const restore_page = _MaterialSymbolsData(0x1b78, 'restore_page');
  static const reviews_filled_outlined =
      _MaterialSymbolsData(0x1b79, 'reviews_filled_outlined');
  static const reviews_filled_sharp =
      _MaterialSymbolsData(0x1b7a, 'reviews_filled_sharp');
  static const reviews_filled = _MaterialSymbolsData(0x1b7b, 'reviews_filled');
  static const reviews_outlined =
      _MaterialSymbolsData(0x1b7c, 'reviews_outlined');
  static const reviews_sharp = _MaterialSymbolsData(0x1b7d, 'reviews_sharp');
  static const reviews = _MaterialSymbolsData(0x1b7e, 'reviews');
  static const rheumatology_filled_outlined =
      _MaterialSymbolsData(0x1b7f, 'rheumatology_filled_outlined');
  static const rheumatology_filled_sharp =
      _MaterialSymbolsData(0x1b80, 'rheumatology_filled_sharp');
  static const rheumatology_filled =
      _MaterialSymbolsData(0x1b81, 'rheumatology_filled');
  static const rheumatology_outlined =
      _MaterialSymbolsData(0x1b82, 'rheumatology_outlined');
  static const rheumatology_sharp =
      _MaterialSymbolsData(0x1b83, 'rheumatology_sharp');
  static const rheumatology = _MaterialSymbolsData(0x1b84, 'rheumatology');
  static const rib_cage_filled_outlined =
      _MaterialSymbolsData(0x1b85, 'rib_cage_filled_outlined');
  static const rib_cage_filled_sharp =
      _MaterialSymbolsData(0x1b86, 'rib_cage_filled_sharp');
  static const rib_cage_filled =
      _MaterialSymbolsData(0x1b87, 'rib_cage_filled');
  static const rib_cage_outlined =
      _MaterialSymbolsData(0x1b88, 'rib_cage_outlined');
  static const rib_cage_sharp = _MaterialSymbolsData(0x1b89, 'rib_cage_sharp');
  static const rib_cage = _MaterialSymbolsData(0x1b8a, 'rib_cage');
  static const rice_bowl_filled_outlined =
      _MaterialSymbolsData(0x1b8b, 'rice_bowl_filled_outlined');
  static const rice_bowl_filled_sharp =
      _MaterialSymbolsData(0x1b8c, 'rice_bowl_filled_sharp');
  static const rice_bowl_filled =
      _MaterialSymbolsData(0x1b8d, 'rice_bowl_filled');
  static const rice_bowl_outlined =
      _MaterialSymbolsData(0x1b8e, 'rice_bowl_outlined');
  static const rice_bowl_sharp =
      _MaterialSymbolsData(0x1b8f, 'rice_bowl_sharp');
  static const rice_bowl = _MaterialSymbolsData(0x1b90, 'rice_bowl');
  static const ring_volume_filled_outlined =
      _MaterialSymbolsData(0x1b91, 'ring_volume_filled_outlined');
  static const ring_volume_filled_sharp =
      _MaterialSymbolsData(0x1b92, 'ring_volume_filled_sharp');
  static const ring_volume_filled =
      _MaterialSymbolsData(0x1b93, 'ring_volume_filled');
  static const ring_volume_outlined =
      _MaterialSymbolsData(0x1b94, 'ring_volume_outlined');
  static const ring_volume_sharp =
      _MaterialSymbolsData(0x1b95, 'ring_volume_sharp');
  static const ring_volume = _MaterialSymbolsData(0x1b96, 'ring_volume');
  static const robot_filled_outlined =
      _MaterialSymbolsData(0x1b97, 'robot_filled_outlined');
  static const robot_filled_sharp =
      _MaterialSymbolsData(0x1b98, 'robot_filled_sharp');
  static const robot_filled = _MaterialSymbolsData(0x1b99, 'robot_filled');
  static const robot_outlined = _MaterialSymbolsData(0x1b9a, 'robot_outlined');
  static const robot_sharp = _MaterialSymbolsData(0x1b9b, 'robot_sharp');
  static const robot = _MaterialSymbolsData(0x1b9c, 'robot');
  static const rocket_filled_outlined =
      _MaterialSymbolsData(0x1b9d, 'rocket_filled_outlined');
  static const rocket_filled_sharp =
      _MaterialSymbolsData(0x1b9e, 'rocket_filled_sharp');
  static const rocket_filled = _MaterialSymbolsData(0x1b9f, 'rocket_filled');
  static const rocket_launch_filled_outlined =
      _MaterialSymbolsData(0x1ba0, 'rocket_launch_filled_outlined');
  static const rocket_launch_filled_sharp =
      _MaterialSymbolsData(0x1ba1, 'rocket_launch_filled_sharp');
  static const rocket_launch_filled =
      _MaterialSymbolsData(0x1ba2, 'rocket_launch_filled');
  static const rocket_launch_outlined =
      _MaterialSymbolsData(0x1ba3, 'rocket_launch_outlined');
  static const rocket_launch_sharp =
      _MaterialSymbolsData(0x1ba4, 'rocket_launch_sharp');
  static const rocket_launch = _MaterialSymbolsData(0x1ba5, 'rocket_launch');
  static const rocket_outlined =
      _MaterialSymbolsData(0x1ba6, 'rocket_outlined');
  static const rocket_sharp = _MaterialSymbolsData(0x1ba7, 'rocket_sharp');
  static const rocket = _MaterialSymbolsData(0x1ba8, 'rocket');
  static const roller_shades_closed_filled_outlined =
      _MaterialSymbolsData(0x1ba9, 'roller_shades_closed_filled_outlined');
  static const roller_shades_closed_filled_sharp =
      _MaterialSymbolsData(0x1baa, 'roller_shades_closed_filled_sharp');
  static const roller_shades_closed_filled =
      _MaterialSymbolsData(0x1bab, 'roller_shades_closed_filled');
  static const roller_shades_closed_outlined =
      _MaterialSymbolsData(0x1bac, 'roller_shades_closed_outlined');
  static const roller_shades_closed_sharp =
      _MaterialSymbolsData(0x1bad, 'roller_shades_closed_sharp');
  static const roller_shades_closed =
      _MaterialSymbolsData(0x1bae, 'roller_shades_closed');
  static const roller_shades_filled_outlined =
      _MaterialSymbolsData(0x1baf, 'roller_shades_filled_outlined');
  static const roller_shades_filled_sharp =
      _MaterialSymbolsData(0x1bb0, 'roller_shades_filled_sharp');
  static const roller_shades_filled =
      _MaterialSymbolsData(0x1bb1, 'roller_shades_filled');
  static const roller_shades_outlined =
      _MaterialSymbolsData(0x1bb2, 'roller_shades_outlined');
  static const roller_shades_sharp =
      _MaterialSymbolsData(0x1bb3, 'roller_shades_sharp');
  static const roller_shades = _MaterialSymbolsData(0x1bb4, 'roller_shades');
  static const roller_skating_filled_outlined =
      _MaterialSymbolsData(0x1bb5, 'roller_skating_filled_outlined');
  static const roller_skating_filled_sharp =
      _MaterialSymbolsData(0x1bb6, 'roller_skating_filled_sharp');
  static const roller_skating_filled =
      _MaterialSymbolsData(0x1bb7, 'roller_skating_filled');
  static const roller_skating_outlined =
      _MaterialSymbolsData(0x1bb8, 'roller_skating_outlined');
  static const roller_skating_sharp =
      _MaterialSymbolsData(0x1bb9, 'roller_skating_sharp');
  static const roller_skating = _MaterialSymbolsData(0x1bba, 'roller_skating');
  static const roofing_filled_outlined =
      _MaterialSymbolsData(0x1bbb, 'roofing_filled_outlined');
  static const roofing_filled_sharp =
      _MaterialSymbolsData(0x1bbc, 'roofing_filled_sharp');
  static const roofing_filled = _MaterialSymbolsData(0x1bbd, 'roofing_filled');
  static const roofing_outlined =
      _MaterialSymbolsData(0x1bbe, 'roofing_outlined');
  static const roofing_sharp = _MaterialSymbolsData(0x1bbf, 'roofing_sharp');
  static const roofing = _MaterialSymbolsData(0x1bc0, 'roofing');
  static const room_preferences_filled_outlined =
      _MaterialSymbolsData(0x1bc1, 'room_preferences_filled_outlined');
  static const room_preferences_filled_sharp =
      _MaterialSymbolsData(0x1bc2, 'room_preferences_filled_sharp');
  static const room_preferences_filled =
      _MaterialSymbolsData(0x1bc3, 'room_preferences_filled');
  static const room_preferences_outlined =
      _MaterialSymbolsData(0x1bc4, 'room_preferences_outlined');
  static const room_preferences_sharp =
      _MaterialSymbolsData(0x1bc5, 'room_preferences_sharp');
  static const room_preferences =
      _MaterialSymbolsData(0x1bc6, 'room_preferences');
  static const room_service_filled_outlined =
      _MaterialSymbolsData(0x1bc7, 'room_service_filled_outlined');
  static const room_service_filled_sharp =
      _MaterialSymbolsData(0x1bc8, 'room_service_filled_sharp');
  static const room_service_filled =
      _MaterialSymbolsData(0x1bc9, 'room_service_filled');
  static const room_service_outlined =
      _MaterialSymbolsData(0x1bca, 'room_service_outlined');
  static const room_service_sharp =
      _MaterialSymbolsData(0x1bcb, 'room_service_sharp');
  static const room_service = _MaterialSymbolsData(0x1bcc, 'room_service');
  static const rotate_90_degrees_ccw_filled_outlined =
      _MaterialSymbolsData(0x1bcd, 'rotate_90_degrees_ccw_filled_outlined');
  static const rotate_90_degrees_ccw_filled_sharp =
      _MaterialSymbolsData(0x1bce, 'rotate_90_degrees_ccw_filled_sharp');
  static const rotate_90_degrees_ccw_filled =
      _MaterialSymbolsData(0x1bcf, 'rotate_90_degrees_ccw_filled');
  static const rotate_90_degrees_ccw_outlined =
      _MaterialSymbolsData(0x1bd0, 'rotate_90_degrees_ccw_outlined');
  static const rotate_90_degrees_ccw_sharp =
      _MaterialSymbolsData(0x1bd1, 'rotate_90_degrees_ccw_sharp');
  static const rotate_90_degrees_ccw =
      _MaterialSymbolsData(0x1bd2, 'rotate_90_degrees_ccw');
  static const rotate_90_degrees_cw_filled_outlined =
      _MaterialSymbolsData(0x1bd3, 'rotate_90_degrees_cw_filled_outlined');
  static const rotate_90_degrees_cw_filled_sharp =
      _MaterialSymbolsData(0x1bd4, 'rotate_90_degrees_cw_filled_sharp');
  static const rotate_90_degrees_cw_filled =
      _MaterialSymbolsData(0x1bd5, 'rotate_90_degrees_cw_filled');
  static const rotate_90_degrees_cw_outlined =
      _MaterialSymbolsData(0x1bd6, 'rotate_90_degrees_cw_outlined');
  static const rotate_90_degrees_cw_sharp =
      _MaterialSymbolsData(0x1bd7, 'rotate_90_degrees_cw_sharp');
  static const rotate_90_degrees_cw =
      _MaterialSymbolsData(0x1bd8, 'rotate_90_degrees_cw');
  static const rotate_left_filled_outlined =
      _MaterialSymbolsData(0x1bd9, 'rotate_left_filled_outlined');
  static const rotate_left_filled_sharp =
      _MaterialSymbolsData(0x1bda, 'rotate_left_filled_sharp');
  static const rotate_left_filled =
      _MaterialSymbolsData(0x1bdb, 'rotate_left_filled');
  static const rotate_left_outlined =
      _MaterialSymbolsData(0x1bdc, 'rotate_left_outlined');
  static const rotate_left_sharp =
      _MaterialSymbolsData(0x1bdd, 'rotate_left_sharp');
  static const rotate_left = _MaterialSymbolsData(0x1bde, 'rotate_left');
  static const rotate_right_filled_outlined =
      _MaterialSymbolsData(0x1bdf, 'rotate_right_filled_outlined');
  static const rotate_right_filled_sharp =
      _MaterialSymbolsData(0x1be0, 'rotate_right_filled_sharp');
  static const rotate_right_filled =
      _MaterialSymbolsData(0x1be1, 'rotate_right_filled');
  static const rotate_right_outlined =
      _MaterialSymbolsData(0x1be2, 'rotate_right_outlined');
  static const rotate_right_sharp =
      _MaterialSymbolsData(0x1be3, 'rotate_right_sharp');
  static const rotate_right = _MaterialSymbolsData(0x1be4, 'rotate_right');
  static const roundabout_left_filled_outlined =
      _MaterialSymbolsData(0x1be5, 'roundabout_left_filled_outlined');
  static const roundabout_left_filled_sharp =
      _MaterialSymbolsData(0x1be6, 'roundabout_left_filled_sharp');
  static const roundabout_left_filled =
      _MaterialSymbolsData(0x1be7, 'roundabout_left_filled');
  static const roundabout_left_outlined =
      _MaterialSymbolsData(0x1be8, 'roundabout_left_outlined');
  static const roundabout_left_sharp =
      _MaterialSymbolsData(0x1be9, 'roundabout_left_sharp');
  static const roundabout_left =
      _MaterialSymbolsData(0x1bea, 'roundabout_left');
  static const roundabout_right_filled_outlined =
      _MaterialSymbolsData(0x1beb, 'roundabout_right_filled_outlined');
  static const roundabout_right_filled_sharp =
      _MaterialSymbolsData(0x1bec, 'roundabout_right_filled_sharp');
  static const roundabout_right_filled =
      _MaterialSymbolsData(0x1bed, 'roundabout_right_filled');
  static const roundabout_right_outlined =
      _MaterialSymbolsData(0x1bee, 'roundabout_right_outlined');
  static const roundabout_right_sharp =
      _MaterialSymbolsData(0x1bef, 'roundabout_right_sharp');
  static const roundabout_right =
      _MaterialSymbolsData(0x1bf0, 'roundabout_right');
  static const rounded_corner_filled_outlined =
      _MaterialSymbolsData(0x1bf1, 'rounded_corner_filled_outlined');
  static const rounded_corner_filled_sharp =
      _MaterialSymbolsData(0x1bf2, 'rounded_corner_filled_sharp');
  static const rounded_corner_filled =
      _MaterialSymbolsData(0x1bf3, 'rounded_corner_filled');
  static const rounded_corner_outlined =
      _MaterialSymbolsData(0x1bf4, 'rounded_corner_outlined');
  static const rounded_corner_sharp =
      _MaterialSymbolsData(0x1bf5, 'rounded_corner_sharp');
  static const rounded_corner = _MaterialSymbolsData(0x1bf6, 'rounded_corner');
  static const route_filled_outlined =
      _MaterialSymbolsData(0x1bf7, 'route_filled_outlined');
  static const route_filled_sharp =
      _MaterialSymbolsData(0x1bf8, 'route_filled_sharp');
  static const route_filled = _MaterialSymbolsData(0x1bf9, 'route_filled');
  static const route_outlined = _MaterialSymbolsData(0x1bfa, 'route_outlined');
  static const route_sharp = _MaterialSymbolsData(0x1bfb, 'route_sharp');
  static const route = _MaterialSymbolsData(0x1bfc, 'route');
  static const router_filled_outlined =
      _MaterialSymbolsData(0x1bfd, 'router_filled_outlined');
  static const router_filled_sharp =
      _MaterialSymbolsData(0x1bfe, 'router_filled_sharp');
  static const router_filled = _MaterialSymbolsData(0x1bff, 'router_filled');
  static const router_outlined =
      _MaterialSymbolsData(0x1c00, 'router_outlined');
  static const router_sharp = _MaterialSymbolsData(0x1c01, 'router_sharp');
  static const router = _MaterialSymbolsData(0x1c02, 'router');
  static const routine_filled_outlined =
      _MaterialSymbolsData(0x1c03, 'routine_filled_outlined');
  static const routine_filled_sharp =
      _MaterialSymbolsData(0x1c04, 'routine_filled_sharp');
  static const routine_filled = _MaterialSymbolsData(0x1c05, 'routine_filled');
  static const routine_outlined =
      _MaterialSymbolsData(0x1c06, 'routine_outlined');
  static const routine_sharp = _MaterialSymbolsData(0x1c07, 'routine_sharp');
  static const routine = _MaterialSymbolsData(0x1c08, 'routine');
  static const rowing_filled_outlined =
      _MaterialSymbolsData(0x1c09, 'rowing_filled_outlined');
  static const rowing_filled_sharp =
      _MaterialSymbolsData(0x1c0a, 'rowing_filled_sharp');
  static const rowing_filled = _MaterialSymbolsData(0x1c0b, 'rowing_filled');
  static const rowing_outlined =
      _MaterialSymbolsData(0x1c0c, 'rowing_outlined');
  static const rowing_sharp = _MaterialSymbolsData(0x1c0d, 'rowing_sharp');
  static const rowing = _MaterialSymbolsData(0x1c0e, 'rowing');
  static const rss_feed_filled_outlined =
      _MaterialSymbolsData(0x1c0f, 'rss_feed_filled_outlined');
  static const rss_feed_filled_sharp =
      _MaterialSymbolsData(0x1c10, 'rss_feed_filled_sharp');
  static const rss_feed_filled =
      _MaterialSymbolsData(0x1c11, 'rss_feed_filled');
  static const rss_feed_outlined =
      _MaterialSymbolsData(0x1c12, 'rss_feed_outlined');
  static const rss_feed_sharp = _MaterialSymbolsData(0x1c13, 'rss_feed_sharp');
  static const rss_feed = _MaterialSymbolsData(0x1c14, 'rss_feed');
  static const rsvp_filled_outlined =
      _MaterialSymbolsData(0x1c15, 'rsvp_filled_outlined');
  static const rsvp_filled_sharp =
      _MaterialSymbolsData(0x1c16, 'rsvp_filled_sharp');
  static const rsvp_filled = _MaterialSymbolsData(0x1c17, 'rsvp_filled');
  static const rsvp_outlined = _MaterialSymbolsData(0x1c18, 'rsvp_outlined');
  static const rsvp_sharp = _MaterialSymbolsData(0x1c19, 'rsvp_sharp');
  static const rsvp = _MaterialSymbolsData(0x1c1a, 'rsvp');
  static const rtt_filled_outlined =
      _MaterialSymbolsData(0x1c1b, 'rtt_filled_outlined');
  static const rtt_filled_sharp =
      _MaterialSymbolsData(0x1c1c, 'rtt_filled_sharp');
  static const rtt_filled = _MaterialSymbolsData(0x1c1d, 'rtt_filled');
  static const rtt_outlined = _MaterialSymbolsData(0x1c1e, 'rtt_outlined');
  static const rtt_sharp = _MaterialSymbolsData(0x1c1f, 'rtt_sharp');
  static const rtt = _MaterialSymbolsData(0x1c20, 'rtt');
  static const rule_filled_outlined =
      _MaterialSymbolsData(0x1c21, 'rule_filled_outlined');
  static const rule_filled_sharp =
      _MaterialSymbolsData(0x1c22, 'rule_filled_sharp');
  static const rule_filled = _MaterialSymbolsData(0x1c23, 'rule_filled');
  static const rule_folder_filled_outlined =
      _MaterialSymbolsData(0x1c24, 'rule_folder_filled_outlined');
  static const rule_folder_filled_sharp =
      _MaterialSymbolsData(0x1c25, 'rule_folder_filled_sharp');
  static const rule_folder_filled =
      _MaterialSymbolsData(0x1c26, 'rule_folder_filled');
  static const rule_folder_outlined =
      _MaterialSymbolsData(0x1c27, 'rule_folder_outlined');
  static const rule_folder_sharp =
      _MaterialSymbolsData(0x1c28, 'rule_folder_sharp');
  static const rule_folder = _MaterialSymbolsData(0x1c29, 'rule_folder');
  static const rule_outlined = _MaterialSymbolsData(0x1c2a, 'rule_outlined');
  static const rule_sharp = _MaterialSymbolsData(0x1c2b, 'rule_sharp');
  static const rule = _MaterialSymbolsData(0x1c2c, 'rule');
  static const run_circle_filled_outlined =
      _MaterialSymbolsData(0x1c2d, 'run_circle_filled_outlined');
  static const run_circle_filled_sharp =
      _MaterialSymbolsData(0x1c2e, 'run_circle_filled_sharp');
  static const run_circle_filled =
      _MaterialSymbolsData(0x1c2f, 'run_circle_filled');
  static const run_circle_outlined =
      _MaterialSymbolsData(0x1c30, 'run_circle_outlined');
  static const run_circle_sharp =
      _MaterialSymbolsData(0x1c31, 'run_circle_sharp');
  static const run_circle = _MaterialSymbolsData(0x1c32, 'run_circle');
  static const running_with_errors_filled_outlined =
      _MaterialSymbolsData(0x1c33, 'running_with_errors_filled_outlined');
  static const running_with_errors_filled_sharp =
      _MaterialSymbolsData(0x1c34, 'running_with_errors_filled_sharp');
  static const running_with_errors_filled =
      _MaterialSymbolsData(0x1c35, 'running_with_errors_filled');
  static const running_with_errors_outlined =
      _MaterialSymbolsData(0x1c36, 'running_with_errors_outlined');
  static const running_with_errors_sharp =
      _MaterialSymbolsData(0x1c37, 'running_with_errors_sharp');
  static const running_with_errors =
      _MaterialSymbolsData(0x1c38, 'running_with_errors');
  static const rv_hookup_filled_outlined =
      _MaterialSymbolsData(0x1c39, 'rv_hookup_filled_outlined');
  static const rv_hookup_filled_sharp =
      _MaterialSymbolsData(0x1c3a, 'rv_hookup_filled_sharp');
  static const rv_hookup_filled =
      _MaterialSymbolsData(0x1c3b, 'rv_hookup_filled');
  static const rv_hookup_outlined =
      _MaterialSymbolsData(0x1c3c, 'rv_hookup_outlined');
  static const rv_hookup_sharp =
      _MaterialSymbolsData(0x1c3d, 'rv_hookup_sharp');
  static const rv_hookup = _MaterialSymbolsData(0x1c3e, 'rv_hookup');
  static const safety_check_filled_outlined =
      _MaterialSymbolsData(0x1c3f, 'safety_check_filled_outlined');
  static const safety_check_filled_sharp =
      _MaterialSymbolsData(0x1c40, 'safety_check_filled_sharp');
  static const safety_check_filled =
      _MaterialSymbolsData(0x1c41, 'safety_check_filled');
  static const safety_check_outlined =
      _MaterialSymbolsData(0x1c42, 'safety_check_outlined');
  static const safety_check_sharp =
      _MaterialSymbolsData(0x1c43, 'safety_check_sharp');
  static const safety_check = _MaterialSymbolsData(0x1c44, 'safety_check');
  static const safety_divider_filled_outlined =
      _MaterialSymbolsData(0x1c45, 'safety_divider_filled_outlined');
  static const safety_divider_filled_sharp =
      _MaterialSymbolsData(0x1c46, 'safety_divider_filled_sharp');
  static const safety_divider_filled =
      _MaterialSymbolsData(0x1c47, 'safety_divider_filled');
  static const safety_divider_outlined =
      _MaterialSymbolsData(0x1c48, 'safety_divider_outlined');
  static const safety_divider_sharp =
      _MaterialSymbolsData(0x1c49, 'safety_divider_sharp');
  static const safety_divider = _MaterialSymbolsData(0x1c4a, 'safety_divider');
  static const sailing_filled_outlined =
      _MaterialSymbolsData(0x1c4b, 'sailing_filled_outlined');
  static const sailing_filled_sharp =
      _MaterialSymbolsData(0x1c4c, 'sailing_filled_sharp');
  static const sailing_filled = _MaterialSymbolsData(0x1c4d, 'sailing_filled');
  static const sailing_outlined =
      _MaterialSymbolsData(0x1c4e, 'sailing_outlined');
  static const sailing_sharp = _MaterialSymbolsData(0x1c4f, 'sailing_sharp');
  static const sailing = _MaterialSymbolsData(0x1c50, 'sailing');
  static const salinity_filled_outlined =
      _MaterialSymbolsData(0x1c51, 'salinity_filled_outlined');
  static const salinity_filled_sharp =
      _MaterialSymbolsData(0x1c52, 'salinity_filled_sharp');
  static const salinity_filled =
      _MaterialSymbolsData(0x1c53, 'salinity_filled');
  static const salinity_outlined =
      _MaterialSymbolsData(0x1c54, 'salinity_outlined');
  static const salinity_sharp = _MaterialSymbolsData(0x1c55, 'salinity_sharp');
  static const salinity = _MaterialSymbolsData(0x1c56, 'salinity');
  static const sanitizer_filled_outlined =
      _MaterialSymbolsData(0x1c57, 'sanitizer_filled_outlined');
  static const sanitizer_filled_sharp =
      _MaterialSymbolsData(0x1c58, 'sanitizer_filled_sharp');
  static const sanitizer_filled =
      _MaterialSymbolsData(0x1c59, 'sanitizer_filled');
  static const sanitizer_outlined =
      _MaterialSymbolsData(0x1c5a, 'sanitizer_outlined');
  static const sanitizer_sharp =
      _MaterialSymbolsData(0x1c5b, 'sanitizer_sharp');
  static const sanitizer = _MaterialSymbolsData(0x1c5c, 'sanitizer');
  static const satellite_alt_filled_outlined =
      _MaterialSymbolsData(0x1c5d, 'satellite_alt_filled_outlined');
  static const satellite_alt_filled_sharp =
      _MaterialSymbolsData(0x1c5e, 'satellite_alt_filled_sharp');
  static const satellite_alt_filled =
      _MaterialSymbolsData(0x1c5f, 'satellite_alt_filled');
  static const satellite_alt_outlined =
      _MaterialSymbolsData(0x1c60, 'satellite_alt_outlined');
  static const satellite_alt_sharp =
      _MaterialSymbolsData(0x1c61, 'satellite_alt_sharp');
  static const satellite_alt = _MaterialSymbolsData(0x1c62, 'satellite_alt');
  static const satellite_filled_outlined =
      _MaterialSymbolsData(0x1c63, 'satellite_filled_outlined');
  static const satellite_filled_sharp =
      _MaterialSymbolsData(0x1c64, 'satellite_filled_sharp');
  static const satellite_filled =
      _MaterialSymbolsData(0x1c65, 'satellite_filled');
  static const satellite_outlined =
      _MaterialSymbolsData(0x1c66, 'satellite_outlined');
  static const satellite_sharp =
      _MaterialSymbolsData(0x1c67, 'satellite_sharp');
  static const satellite = _MaterialSymbolsData(0x1c68, 'satellite');
  static const save_as_filled_outlined =
      _MaterialSymbolsData(0x1c69, 'save_as_filled_outlined');
  static const save_as_filled_sharp =
      _MaterialSymbolsData(0x1c6a, 'save_as_filled_sharp');
  static const save_as_filled = _MaterialSymbolsData(0x1c6b, 'save_as_filled');
  static const save_as_outlined =
      _MaterialSymbolsData(0x1c6c, 'save_as_outlined');
  static const save_as_sharp = _MaterialSymbolsData(0x1c6d, 'save_as_sharp');
  static const save_as = _MaterialSymbolsData(0x1c6e, 'save_as');
  static const save_filled_outlined =
      _MaterialSymbolsData(0x1c6f, 'save_filled_outlined');
  static const save_filled_sharp =
      _MaterialSymbolsData(0x1c70, 'save_filled_sharp');
  static const save_filled = _MaterialSymbolsData(0x1c71, 'save_filled');
  static const save_outlined = _MaterialSymbolsData(0x1c72, 'save_outlined');
  static const save_sharp = _MaterialSymbolsData(0x1c73, 'save_sharp');
  static const save = _MaterialSymbolsData(0x1c74, 'save');
  static const saved_search_filled_outlined =
      _MaterialSymbolsData(0x1c75, 'saved_search_filled_outlined');
  static const saved_search_filled_sharp =
      _MaterialSymbolsData(0x1c76, 'saved_search_filled_sharp');
  static const saved_search_filled =
      _MaterialSymbolsData(0x1c77, 'saved_search_filled');
  static const saved_search_outlined =
      _MaterialSymbolsData(0x1c78, 'saved_search_outlined');
  static const saved_search_sharp =
      _MaterialSymbolsData(0x1c79, 'saved_search_sharp');
  static const saved_search = _MaterialSymbolsData(0x1c7a, 'saved_search');
  static const savings_filled_outlined =
      _MaterialSymbolsData(0x1c7b, 'savings_filled_outlined');
  static const savings_filled_sharp =
      _MaterialSymbolsData(0x1c7c, 'savings_filled_sharp');
  static const savings_filled = _MaterialSymbolsData(0x1c7d, 'savings_filled');
  static const savings_outlined =
      _MaterialSymbolsData(0x1c7e, 'savings_outlined');
  static const savings_sharp = _MaterialSymbolsData(0x1c7f, 'savings_sharp');
  static const savings = _MaterialSymbolsData(0x1c80, 'savings');
  static const scale_filled_outlined =
      _MaterialSymbolsData(0x1c81, 'scale_filled_outlined');
  static const scale_filled_sharp =
      _MaterialSymbolsData(0x1c82, 'scale_filled_sharp');
  static const scale_filled = _MaterialSymbolsData(0x1c83, 'scale_filled');
  static const scale_outlined = _MaterialSymbolsData(0x1c84, 'scale_outlined');
  static const scale_sharp = _MaterialSymbolsData(0x1c85, 'scale_sharp');
  static const scale = _MaterialSymbolsData(0x1c86, 'scale');
  static const scanner_filled_outlined =
      _MaterialSymbolsData(0x1c87, 'scanner_filled_outlined');
  static const scanner_filled_sharp =
      _MaterialSymbolsData(0x1c88, 'scanner_filled_sharp');
  static const scanner_filled = _MaterialSymbolsData(0x1c89, 'scanner_filled');
  static const scanner_outlined =
      _MaterialSymbolsData(0x1c8a, 'scanner_outlined');
  static const scanner_sharp = _MaterialSymbolsData(0x1c8b, 'scanner_sharp');
  static const scanner = _MaterialSymbolsData(0x1c8c, 'scanner');
  static const scatter_plot_filled_outlined =
      _MaterialSymbolsData(0x1c8d, 'scatter_plot_filled_outlined');
  static const scatter_plot_filled_sharp =
      _MaterialSymbolsData(0x1c8e, 'scatter_plot_filled_sharp');
  static const scatter_plot_filled =
      _MaterialSymbolsData(0x1c8f, 'scatter_plot_filled');
  static const scatter_plot_outlined =
      _MaterialSymbolsData(0x1c90, 'scatter_plot_outlined');
  static const scatter_plot_sharp =
      _MaterialSymbolsData(0x1c91, 'scatter_plot_sharp');
  static const scatter_plot = _MaterialSymbolsData(0x1c92, 'scatter_plot');
  static const scene_filled_outlined =
      _MaterialSymbolsData(0x1c93, 'scene_filled_outlined');
  static const scene_filled_sharp =
      _MaterialSymbolsData(0x1c94, 'scene_filled_sharp');
  static const scene_filled = _MaterialSymbolsData(0x1c95, 'scene_filled');
  static const scene_outlined = _MaterialSymbolsData(0x1c96, 'scene_outlined');
  static const scene_sharp = _MaterialSymbolsData(0x1c97, 'scene_sharp');
  static const scene = _MaterialSymbolsData(0x1c98, 'scene');
  static const schedule_filled_outlined =
      _MaterialSymbolsData(0x1c99, 'schedule_filled_outlined');
  static const schedule_filled_sharp =
      _MaterialSymbolsData(0x1c9a, 'schedule_filled_sharp');
  static const schedule_filled =
      _MaterialSymbolsData(0x1c9b, 'schedule_filled');
  static const schedule_outlined =
      _MaterialSymbolsData(0x1c9c, 'schedule_outlined');
  static const schedule_send_filled_outlined =
      _MaterialSymbolsData(0x1c9d, 'schedule_send_filled_outlined');
  static const schedule_send_filled_sharp =
      _MaterialSymbolsData(0x1c9e, 'schedule_send_filled_sharp');
  static const schedule_send_filled =
      _MaterialSymbolsData(0x1c9f, 'schedule_send_filled');
  static const schedule_send_outlined =
      _MaterialSymbolsData(0x1ca0, 'schedule_send_outlined');
  static const schedule_send_sharp =
      _MaterialSymbolsData(0x1ca1, 'schedule_send_sharp');
  static const schedule_send = _MaterialSymbolsData(0x1ca2, 'schedule_send');
  static const schedule_sharp = _MaterialSymbolsData(0x1ca3, 'schedule_sharp');
  static const schedule = _MaterialSymbolsData(0x1ca4, 'schedule');
  static const schema_filled_outlined =
      _MaterialSymbolsData(0x1ca5, 'schema_filled_outlined');
  static const schema_filled_sharp =
      _MaterialSymbolsData(0x1ca6, 'schema_filled_sharp');
  static const schema_filled = _MaterialSymbolsData(0x1ca7, 'schema_filled');
  static const schema_outlined =
      _MaterialSymbolsData(0x1ca8, 'schema_outlined');
  static const schema_sharp = _MaterialSymbolsData(0x1ca9, 'schema_sharp');
  static const schema = _MaterialSymbolsData(0x1caa, 'schema');
  static const school_filled_outlined =
      _MaterialSymbolsData(0x1cab, 'school_filled_outlined');
  static const school_filled_sharp =
      _MaterialSymbolsData(0x1cac, 'school_filled_sharp');
  static const school_filled = _MaterialSymbolsData(0x1cad, 'school_filled');
  static const school_outlined =
      _MaterialSymbolsData(0x1cae, 'school_outlined');
  static const school_sharp = _MaterialSymbolsData(0x1caf, 'school_sharp');
  static const school = _MaterialSymbolsData(0x1cb0, 'school');
  static const science_filled_outlined =
      _MaterialSymbolsData(0x1cb1, 'science_filled_outlined');
  static const science_filled_sharp =
      _MaterialSymbolsData(0x1cb2, 'science_filled_sharp');
  static const science_filled = _MaterialSymbolsData(0x1cb3, 'science_filled');
  static const science_outlined =
      _MaterialSymbolsData(0x1cb4, 'science_outlined');
  static const science_sharp = _MaterialSymbolsData(0x1cb5, 'science_sharp');
  static const science = _MaterialSymbolsData(0x1cb6, 'science');
  static const score_filled_outlined =
      _MaterialSymbolsData(0x1cb7, 'score_filled_outlined');
  static const score_filled_sharp =
      _MaterialSymbolsData(0x1cb8, 'score_filled_sharp');
  static const score_filled = _MaterialSymbolsData(0x1cb9, 'score_filled');
  static const score_outlined = _MaterialSymbolsData(0x1cba, 'score_outlined');
  static const score_sharp = _MaterialSymbolsData(0x1cbb, 'score_sharp');
  static const score = _MaterialSymbolsData(0x1cbc, 'score');
  static const scoreboard_filled_outlined =
      _MaterialSymbolsData(0x1cbd, 'scoreboard_filled_outlined');
  static const scoreboard_filled_sharp =
      _MaterialSymbolsData(0x1cbe, 'scoreboard_filled_sharp');
  static const scoreboard_filled =
      _MaterialSymbolsData(0x1cbf, 'scoreboard_filled');
  static const scoreboard_outlined =
      _MaterialSymbolsData(0x1cc0, 'scoreboard_outlined');
  static const scoreboard_sharp =
      _MaterialSymbolsData(0x1cc1, 'scoreboard_sharp');
  static const scoreboard = _MaterialSymbolsData(0x1cc2, 'scoreboard');
  static const screen_lock_landscape_filled_outlined =
      _MaterialSymbolsData(0x1cc3, 'screen_lock_landscape_filled_outlined');
  static const screen_lock_landscape_filled_sharp =
      _MaterialSymbolsData(0x1cc4, 'screen_lock_landscape_filled_sharp');
  static const screen_lock_landscape_filled =
      _MaterialSymbolsData(0x1cc5, 'screen_lock_landscape_filled');
  static const screen_lock_landscape_outlined =
      _MaterialSymbolsData(0x1cc6, 'screen_lock_landscape_outlined');
  static const screen_lock_landscape_sharp =
      _MaterialSymbolsData(0x1cc7, 'screen_lock_landscape_sharp');
  static const screen_lock_landscape =
      _MaterialSymbolsData(0x1cc8, 'screen_lock_landscape');
  static const screen_lock_portrait_filled_outlined =
      _MaterialSymbolsData(0x1cc9, 'screen_lock_portrait_filled_outlined');
  static const screen_lock_portrait_filled_sharp =
      _MaterialSymbolsData(0x1cca, 'screen_lock_portrait_filled_sharp');
  static const screen_lock_portrait_filled =
      _MaterialSymbolsData(0x1ccb, 'screen_lock_portrait_filled');
  static const screen_lock_portrait_outlined =
      _MaterialSymbolsData(0x1ccc, 'screen_lock_portrait_outlined');
  static const screen_lock_portrait_sharp =
      _MaterialSymbolsData(0x1ccd, 'screen_lock_portrait_sharp');
  static const screen_lock_portrait =
      _MaterialSymbolsData(0x1cce, 'screen_lock_portrait');
  static const screen_lock_rotation_filled_outlined =
      _MaterialSymbolsData(0x1ccf, 'screen_lock_rotation_filled_outlined');
  static const screen_lock_rotation_filled_sharp =
      _MaterialSymbolsData(0x1cd0, 'screen_lock_rotation_filled_sharp');
  static const screen_lock_rotation_filled =
      _MaterialSymbolsData(0x1cd1, 'screen_lock_rotation_filled');
  static const screen_lock_rotation_outlined =
      _MaterialSymbolsData(0x1cd2, 'screen_lock_rotation_outlined');
  static const screen_lock_rotation_sharp =
      _MaterialSymbolsData(0x1cd3, 'screen_lock_rotation_sharp');
  static const screen_lock_rotation =
      _MaterialSymbolsData(0x1cd4, 'screen_lock_rotation');
  static const screen_rotation_alt_filled_outlined =
      _MaterialSymbolsData(0x1cd5, 'screen_rotation_alt_filled_outlined');
  static const screen_rotation_alt_filled_sharp =
      _MaterialSymbolsData(0x1cd6, 'screen_rotation_alt_filled_sharp');
  static const screen_rotation_alt_filled =
      _MaterialSymbolsData(0x1cd7, 'screen_rotation_alt_filled');
  static const screen_rotation_alt_outlined =
      _MaterialSymbolsData(0x1cd8, 'screen_rotation_alt_outlined');
  static const screen_rotation_alt_sharp =
      _MaterialSymbolsData(0x1cd9, 'screen_rotation_alt_sharp');
  static const screen_rotation_alt =
      _MaterialSymbolsData(0x1cda, 'screen_rotation_alt');
  static const screen_rotation_filled_outlined =
      _MaterialSymbolsData(0x1cdb, 'screen_rotation_filled_outlined');
  static const screen_rotation_filled_sharp =
      _MaterialSymbolsData(0x1cdc, 'screen_rotation_filled_sharp');
  static const screen_rotation_filled =
      _MaterialSymbolsData(0x1cdd, 'screen_rotation_filled');
  static const screen_rotation_outlined =
      _MaterialSymbolsData(0x1cde, 'screen_rotation_outlined');
  static const screen_rotation_sharp =
      _MaterialSymbolsData(0x1cdf, 'screen_rotation_sharp');
  static const screen_rotation =
      _MaterialSymbolsData(0x1ce0, 'screen_rotation');
  static const screen_search_desktop_filled_outlined =
      _MaterialSymbolsData(0x1ce1, 'screen_search_desktop_filled_outlined');
  static const screen_search_desktop_filled_sharp =
      _MaterialSymbolsData(0x1ce2, 'screen_search_desktop_filled_sharp');
  static const screen_search_desktop_filled =
      _MaterialSymbolsData(0x1ce3, 'screen_search_desktop_filled');
  static const screen_search_desktop_outlined =
      _MaterialSymbolsData(0x1ce4, 'screen_search_desktop_outlined');
  static const screen_search_desktop_sharp =
      _MaterialSymbolsData(0x1ce5, 'screen_search_desktop_sharp');
  static const screen_search_desktop =
      _MaterialSymbolsData(0x1ce6, 'screen_search_desktop');
  static const screen_share_filled_outlined =
      _MaterialSymbolsData(0x1ce7, 'screen_share_filled_outlined');
  static const screen_share_filled_sharp =
      _MaterialSymbolsData(0x1ce8, 'screen_share_filled_sharp');
  static const screen_share_filled =
      _MaterialSymbolsData(0x1ce9, 'screen_share_filled');
  static const screen_share_outlined =
      _MaterialSymbolsData(0x1cea, 'screen_share_outlined');
  static const screen_share_sharp =
      _MaterialSymbolsData(0x1ceb, 'screen_share_sharp');
  static const screen_share = _MaterialSymbolsData(0x1cec, 'screen_share');
  static const screenshot_filled_outlined =
      _MaterialSymbolsData(0x1ced, 'screenshot_filled_outlined');
  static const screenshot_filled_sharp =
      _MaterialSymbolsData(0x1cee, 'screenshot_filled_sharp');
  static const screenshot_filled =
      _MaterialSymbolsData(0x1cef, 'screenshot_filled');
  static const screenshot_monitor_filled_outlined =
      _MaterialSymbolsData(0x1cf0, 'screenshot_monitor_filled_outlined');
  static const screenshot_monitor_filled_sharp =
      _MaterialSymbolsData(0x1cf1, 'screenshot_monitor_filled_sharp');
  static const screenshot_monitor_filled =
      _MaterialSymbolsData(0x1cf2, 'screenshot_monitor_filled');
  static const screenshot_monitor_outlined =
      _MaterialSymbolsData(0x1cf3, 'screenshot_monitor_outlined');
  static const screenshot_monitor_sharp =
      _MaterialSymbolsData(0x1cf4, 'screenshot_monitor_sharp');
  static const screenshot_monitor =
      _MaterialSymbolsData(0x1cf5, 'screenshot_monitor');
  static const screenshot_outlined =
      _MaterialSymbolsData(0x1cf6, 'screenshot_outlined');
  static const screenshot_sharp =
      _MaterialSymbolsData(0x1cf7, 'screenshot_sharp');
  static const screenshot = _MaterialSymbolsData(0x1cf8, 'screenshot');
  static const scuba_diving_filled_outlined =
      _MaterialSymbolsData(0x1cf9, 'scuba_diving_filled_outlined');
  static const scuba_diving_filled_sharp =
      _MaterialSymbolsData(0x1cfa, 'scuba_diving_filled_sharp');
  static const scuba_diving_filled =
      _MaterialSymbolsData(0x1cfb, 'scuba_diving_filled');
  static const scuba_diving_outlined =
      _MaterialSymbolsData(0x1cfc, 'scuba_diving_outlined');
  static const scuba_diving_sharp =
      _MaterialSymbolsData(0x1cfd, 'scuba_diving_sharp');
  static const scuba_diving = _MaterialSymbolsData(0x1cfe, 'scuba_diving');
  static const sd_card_alert_filled_outlined =
      _MaterialSymbolsData(0x1cff, 'sd_card_alert_filled_outlined');
  static const sd_card_alert_filled_sharp =
      _MaterialSymbolsData(0x1d00, 'sd_card_alert_filled_sharp');
  static const sd_card_alert_filled =
      _MaterialSymbolsData(0x1d01, 'sd_card_alert_filled');
  static const sd_card_alert_outlined =
      _MaterialSymbolsData(0x1d02, 'sd_card_alert_outlined');
  static const sd_card_alert_sharp =
      _MaterialSymbolsData(0x1d03, 'sd_card_alert_sharp');
  static const sd_card_alert = _MaterialSymbolsData(0x1d04, 'sd_card_alert');
  static const sd_card_filled_outlined =
      _MaterialSymbolsData(0x1d05, 'sd_card_filled_outlined');
  static const sd_card_filled_sharp =
      _MaterialSymbolsData(0x1d06, 'sd_card_filled_sharp');
  static const sd_card_filled = _MaterialSymbolsData(0x1d07, 'sd_card_filled');
  static const sd_card_outlined =
      _MaterialSymbolsData(0x1d08, 'sd_card_outlined');
  static const sd_card_sharp = _MaterialSymbolsData(0x1d09, 'sd_card_sharp');
  static const sd_card = _MaterialSymbolsData(0x1d0a, 'sd_card');
  static const sd_filled_outlined =
      _MaterialSymbolsData(0x1d0b, 'sd_filled_outlined');
  static const sd_filled_sharp =
      _MaterialSymbolsData(0x1d0c, 'sd_filled_sharp');
  static const sd_filled = _MaterialSymbolsData(0x1d0d, 'sd_filled');
  static const sd_outlined = _MaterialSymbolsData(0x1d0e, 'sd_outlined');
  static const sd_sharp = _MaterialSymbolsData(0x1d0f, 'sd_sharp');
  static const sd = _MaterialSymbolsData(0x1d10, 'sd');
  static const search_check_filled_outlined =
      _MaterialSymbolsData(0x1d11, 'search_check_filled_outlined');
  static const search_check_filled_sharp =
      _MaterialSymbolsData(0x1d12, 'search_check_filled_sharp');
  static const search_check_filled =
      _MaterialSymbolsData(0x1d13, 'search_check_filled');
  static const search_check_outlined =
      _MaterialSymbolsData(0x1d14, 'search_check_outlined');
  static const search_check_sharp =
      _MaterialSymbolsData(0x1d15, 'search_check_sharp');
  static const search_check = _MaterialSymbolsData(0x1d16, 'search_check');
  static const search_filled_outlined =
      _MaterialSymbolsData(0x1d17, 'search_filled_outlined');
  static const search_filled_sharp =
      _MaterialSymbolsData(0x1d18, 'search_filled_sharp');
  static const search_filled = _MaterialSymbolsData(0x1d19, 'search_filled');
  static const search_off_filled_outlined =
      _MaterialSymbolsData(0x1d1a, 'search_off_filled_outlined');
  static const search_off_filled_sharp =
      _MaterialSymbolsData(0x1d1b, 'search_off_filled_sharp');
  static const search_off_filled =
      _MaterialSymbolsData(0x1d1c, 'search_off_filled');
  static const search_off_outlined =
      _MaterialSymbolsData(0x1d1d, 'search_off_outlined');
  static const search_off_sharp =
      _MaterialSymbolsData(0x1d1e, 'search_off_sharp');
  static const search_off = _MaterialSymbolsData(0x1d1f, 'search_off');
  static const search_outlined =
      _MaterialSymbolsData(0x1d20, 'search_outlined');
  static const search_sharp = _MaterialSymbolsData(0x1d21, 'search_sharp');
  static const search = _MaterialSymbolsData(0x1d22, 'search');
  static const security_filled_outlined =
      _MaterialSymbolsData(0x1d23, 'security_filled_outlined');
  static const security_filled_sharp =
      _MaterialSymbolsData(0x1d24, 'security_filled_sharp');
  static const security_filled =
      _MaterialSymbolsData(0x1d25, 'security_filled');
  static const security_outlined =
      _MaterialSymbolsData(0x1d26, 'security_outlined');
  static const security_sharp = _MaterialSymbolsData(0x1d27, 'security_sharp');
  static const security_update_good_filled_outlined =
      _MaterialSymbolsData(0x1d28, 'security_update_good_filled_outlined');
  static const security_update_good_filled_sharp =
      _MaterialSymbolsData(0x1d29, 'security_update_good_filled_sharp');
  static const security_update_good_filled =
      _MaterialSymbolsData(0x1d2a, 'security_update_good_filled');
  static const security_update_good_outlined =
      _MaterialSymbolsData(0x1d2b, 'security_update_good_outlined');
  static const security_update_good_sharp =
      _MaterialSymbolsData(0x1d2c, 'security_update_good_sharp');
  static const security_update_good =
      _MaterialSymbolsData(0x1d2d, 'security_update_good');
  static const security_update_warning_filled_outlined =
      _MaterialSymbolsData(0x1d2e, 'security_update_warning_filled_outlined');
  static const security_update_warning_filled_sharp =
      _MaterialSymbolsData(0x1d2f, 'security_update_warning_filled_sharp');
  static const security_update_warning_filled =
      _MaterialSymbolsData(0x1d30, 'security_update_warning_filled');
  static const security_update_warning_outlined =
      _MaterialSymbolsData(0x1d31, 'security_update_warning_outlined');
  static const security_update_warning_sharp =
      _MaterialSymbolsData(0x1d32, 'security_update_warning_sharp');
  static const security_update_warning =
      _MaterialSymbolsData(0x1d33, 'security_update_warning');
  static const security = _MaterialSymbolsData(0x1d34, 'security');
  static const segment_filled_outlined =
      _MaterialSymbolsData(0x1d35, 'segment_filled_outlined');
  static const segment_filled_sharp =
      _MaterialSymbolsData(0x1d36, 'segment_filled_sharp');
  static const segment_filled = _MaterialSymbolsData(0x1d37, 'segment_filled');
  static const segment_outlined =
      _MaterialSymbolsData(0x1d38, 'segment_outlined');
  static const segment_sharp = _MaterialSymbolsData(0x1d39, 'segment_sharp');
  static const segment = _MaterialSymbolsData(0x1d3a, 'segment');
  static const select_all_filled_outlined =
      _MaterialSymbolsData(0x1d3b, 'select_all_filled_outlined');
  static const select_all_filled_sharp =
      _MaterialSymbolsData(0x1d3c, 'select_all_filled_sharp');
  static const select_all_filled =
      _MaterialSymbolsData(0x1d3d, 'select_all_filled');
  static const select_all_outlined =
      _MaterialSymbolsData(0x1d3e, 'select_all_outlined');
  static const select_all_sharp =
      _MaterialSymbolsData(0x1d3f, 'select_all_sharp');
  static const select_all = _MaterialSymbolsData(0x1d40, 'select_all');
  static const select_check_box_filled_outlined =
      _MaterialSymbolsData(0x1d41, 'select_check_box_filled_outlined');
  static const select_check_box_filled_sharp =
      _MaterialSymbolsData(0x1d42, 'select_check_box_filled_sharp');
  static const select_check_box_filled =
      _MaterialSymbolsData(0x1d43, 'select_check_box_filled');
  static const select_check_box_outlined =
      _MaterialSymbolsData(0x1d44, 'select_check_box_outlined');
  static const select_check_box_sharp =
      _MaterialSymbolsData(0x1d45, 'select_check_box_sharp');
  static const select_check_box =
      _MaterialSymbolsData(0x1d46, 'select_check_box');
  static const self_care_filled_outlined =
      _MaterialSymbolsData(0x1d47, 'self_care_filled_outlined');
  static const self_care_filled_sharp =
      _MaterialSymbolsData(0x1d48, 'self_care_filled_sharp');
  static const self_care_filled =
      _MaterialSymbolsData(0x1d49, 'self_care_filled');
  static const self_care_outlined =
      _MaterialSymbolsData(0x1d4a, 'self_care_outlined');
  static const self_care_sharp =
      _MaterialSymbolsData(0x1d4b, 'self_care_sharp');
  static const self_care = _MaterialSymbolsData(0x1d4c, 'self_care');
  static const self_improvement_filled_outlined =
      _MaterialSymbolsData(0x1d4d, 'self_improvement_filled_outlined');
  static const self_improvement_filled_sharp =
      _MaterialSymbolsData(0x1d4e, 'self_improvement_filled_sharp');
  static const self_improvement_filled =
      _MaterialSymbolsData(0x1d4f, 'self_improvement_filled');
  static const self_improvement_outlined =
      _MaterialSymbolsData(0x1d50, 'self_improvement_outlined');
  static const self_improvement_sharp =
      _MaterialSymbolsData(0x1d51, 'self_improvement_sharp');
  static const self_improvement =
      _MaterialSymbolsData(0x1d52, 'self_improvement');
  static const sell_filled_outlined =
      _MaterialSymbolsData(0x1d53, 'sell_filled_outlined');
  static const sell_filled_sharp =
      _MaterialSymbolsData(0x1d54, 'sell_filled_sharp');
  static const sell_filled = _MaterialSymbolsData(0x1d55, 'sell_filled');
  static const sell_outlined = _MaterialSymbolsData(0x1d56, 'sell_outlined');
  static const sell_sharp = _MaterialSymbolsData(0x1d57, 'sell_sharp');
  static const sell = _MaterialSymbolsData(0x1d58, 'sell');
  static const send_and_archive_filled_outlined =
      _MaterialSymbolsData(0x1d59, 'send_and_archive_filled_outlined');
  static const send_and_archive_filled_sharp =
      _MaterialSymbolsData(0x1d5a, 'send_and_archive_filled_sharp');
  static const send_and_archive_filled =
      _MaterialSymbolsData(0x1d5b, 'send_and_archive_filled');
  static const send_and_archive_outlined =
      _MaterialSymbolsData(0x1d5c, 'send_and_archive_outlined');
  static const send_and_archive_sharp =
      _MaterialSymbolsData(0x1d5d, 'send_and_archive_sharp');
  static const send_and_archive =
      _MaterialSymbolsData(0x1d5e, 'send_and_archive');
  static const send_filled_outlined =
      _MaterialSymbolsData(0x1d5f, 'send_filled_outlined');
  static const send_filled_sharp =
      _MaterialSymbolsData(0x1d60, 'send_filled_sharp');
  static const send_filled = _MaterialSymbolsData(0x1d61, 'send_filled');
  static const send_outlined = _MaterialSymbolsData(0x1d62, 'send_outlined');
  static const send_sharp = _MaterialSymbolsData(0x1d63, 'send_sharp');
  static const send_time_extension_filled_outlined =
      _MaterialSymbolsData(0x1d64, 'send_time_extension_filled_outlined');
  static const send_time_extension_filled_sharp =
      _MaterialSymbolsData(0x1d65, 'send_time_extension_filled_sharp');
  static const send_time_extension_filled =
      _MaterialSymbolsData(0x1d66, 'send_time_extension_filled');
  static const send_time_extension_outlined =
      _MaterialSymbolsData(0x1d67, 'send_time_extension_outlined');
  static const send_time_extension_sharp =
      _MaterialSymbolsData(0x1d68, 'send_time_extension_sharp');
  static const send_time_extension =
      _MaterialSymbolsData(0x1d69, 'send_time_extension');
  static const send_to_mobile_filled_outlined =
      _MaterialSymbolsData(0x1d6a, 'send_to_mobile_filled_outlined');
  static const send_to_mobile_filled_sharp =
      _MaterialSymbolsData(0x1d6b, 'send_to_mobile_filled_sharp');
  static const send_to_mobile_filled =
      _MaterialSymbolsData(0x1d6c, 'send_to_mobile_filled');
  static const send_to_mobile_outlined =
      _MaterialSymbolsData(0x1d6d, 'send_to_mobile_outlined');
  static const send_to_mobile_sharp =
      _MaterialSymbolsData(0x1d6e, 'send_to_mobile_sharp');
  static const send_to_mobile = _MaterialSymbolsData(0x1d6f, 'send_to_mobile');
  static const send = _MaterialSymbolsData(0x1d70, 'send');
  static const sensor_door_filled_outlined =
      _MaterialSymbolsData(0x1d71, 'sensor_door_filled_outlined');
  static const sensor_door_filled_sharp =
      _MaterialSymbolsData(0x1d72, 'sensor_door_filled_sharp');
  static const sensor_door_filled =
      _MaterialSymbolsData(0x1d73, 'sensor_door_filled');
  static const sensor_door_outlined =
      _MaterialSymbolsData(0x1d74, 'sensor_door_outlined');
  static const sensor_door_sharp =
      _MaterialSymbolsData(0x1d75, 'sensor_door_sharp');
  static const sensor_door = _MaterialSymbolsData(0x1d76, 'sensor_door');
  static const sensor_occupied_filled_outlined =
      _MaterialSymbolsData(0x1d77, 'sensor_occupied_filled_outlined');
  static const sensor_occupied_filled_sharp =
      _MaterialSymbolsData(0x1d78, 'sensor_occupied_filled_sharp');
  static const sensor_occupied_filled =
      _MaterialSymbolsData(0x1d79, 'sensor_occupied_filled');
  static const sensor_occupied_outlined =
      _MaterialSymbolsData(0x1d7a, 'sensor_occupied_outlined');
  static const sensor_occupied_sharp =
      _MaterialSymbolsData(0x1d7b, 'sensor_occupied_sharp');
  static const sensor_occupied =
      _MaterialSymbolsData(0x1d7c, 'sensor_occupied');
  static const sensor_window_filled_outlined =
      _MaterialSymbolsData(0x1d7d, 'sensor_window_filled_outlined');
  static const sensor_window_filled_sharp =
      _MaterialSymbolsData(0x1d7e, 'sensor_window_filled_sharp');
  static const sensor_window_filled =
      _MaterialSymbolsData(0x1d7f, 'sensor_window_filled');
  static const sensor_window_outlined =
      _MaterialSymbolsData(0x1d80, 'sensor_window_outlined');
  static const sensor_window_sharp =
      _MaterialSymbolsData(0x1d81, 'sensor_window_sharp');
  static const sensor_window = _MaterialSymbolsData(0x1d82, 'sensor_window');
  static const sensors_filled_outlined =
      _MaterialSymbolsData(0x1d83, 'sensors_filled_outlined');
  static const sensors_filled_sharp =
      _MaterialSymbolsData(0x1d84, 'sensors_filled_sharp');
  static const sensors_filled = _MaterialSymbolsData(0x1d85, 'sensors_filled');
  static const sensors_off_filled_outlined =
      _MaterialSymbolsData(0x1d86, 'sensors_off_filled_outlined');
  static const sensors_off_filled_sharp =
      _MaterialSymbolsData(0x1d87, 'sensors_off_filled_sharp');
  static const sensors_off_filled =
      _MaterialSymbolsData(0x1d88, 'sensors_off_filled');
  static const sensors_off_outlined =
      _MaterialSymbolsData(0x1d89, 'sensors_off_outlined');
  static const sensors_off_sharp =
      _MaterialSymbolsData(0x1d8a, 'sensors_off_sharp');
  static const sensors_off = _MaterialSymbolsData(0x1d8b, 'sensors_off');
  static const sensors_outlined =
      _MaterialSymbolsData(0x1d8c, 'sensors_outlined');
  static const sensors_sharp = _MaterialSymbolsData(0x1d8d, 'sensors_sharp');
  static const sensors = _MaterialSymbolsData(0x1d8e, 'sensors');
  static const sentiment_dissatisfied_filled_outlined =
      _MaterialSymbolsData(0x1d8f, 'sentiment_dissatisfied_filled_outlined');
  static const sentiment_dissatisfied_filled_sharp =
      _MaterialSymbolsData(0x1d90, 'sentiment_dissatisfied_filled_sharp');
  static const sentiment_dissatisfied_filled =
      _MaterialSymbolsData(0x1d91, 'sentiment_dissatisfied_filled');
  static const sentiment_dissatisfied_outlined =
      _MaterialSymbolsData(0x1d92, 'sentiment_dissatisfied_outlined');
  static const sentiment_dissatisfied_sharp =
      _MaterialSymbolsData(0x1d93, 'sentiment_dissatisfied_sharp');
  static const sentiment_dissatisfied =
      _MaterialSymbolsData(0x1d94, 'sentiment_dissatisfied');
  static const sentiment_extremely_dissatisfied_filled_outlined =
      _MaterialSymbolsData(
          0x1d95, 'sentiment_extremely_dissatisfied_filled_outlined');
  static const sentiment_extremely_dissatisfied_filled_sharp =
      _MaterialSymbolsData(
          0x1d96, 'sentiment_extremely_dissatisfied_filled_sharp');
  static const sentiment_extremely_dissatisfied_filled =
      _MaterialSymbolsData(0x1d97, 'sentiment_extremely_dissatisfied_filled');
  static const sentiment_extremely_dissatisfied_outlined =
      _MaterialSymbolsData(0x1d98, 'sentiment_extremely_dissatisfied_outlined');
  static const sentiment_extremely_dissatisfied_sharp =
      _MaterialSymbolsData(0x1d99, 'sentiment_extremely_dissatisfied_sharp');
  static const sentiment_extremely_dissatisfied =
      _MaterialSymbolsData(0x1d9a, 'sentiment_extremely_dissatisfied');
  static const sentiment_neutral_filled_outlined =
      _MaterialSymbolsData(0x1d9b, 'sentiment_neutral_filled_outlined');
  static const sentiment_neutral_filled_sharp =
      _MaterialSymbolsData(0x1d9c, 'sentiment_neutral_filled_sharp');
  static const sentiment_neutral_filled =
      _MaterialSymbolsData(0x1d9d, 'sentiment_neutral_filled');
  static const sentiment_neutral_outlined =
      _MaterialSymbolsData(0x1d9e, 'sentiment_neutral_outlined');
  static const sentiment_neutral_sharp =
      _MaterialSymbolsData(0x1d9f, 'sentiment_neutral_sharp');
  static const sentiment_neutral =
      _MaterialSymbolsData(0x1da0, 'sentiment_neutral');
  static const sentiment_satisfied_filled_outlined =
      _MaterialSymbolsData(0x1da1, 'sentiment_satisfied_filled_outlined');
  static const sentiment_satisfied_filled_sharp =
      _MaterialSymbolsData(0x1da2, 'sentiment_satisfied_filled_sharp');
  static const sentiment_satisfied_filled =
      _MaterialSymbolsData(0x1da3, 'sentiment_satisfied_filled');
  static const sentiment_satisfied_outlined =
      _MaterialSymbolsData(0x1da4, 'sentiment_satisfied_outlined');
  static const sentiment_satisfied_sharp =
      _MaterialSymbolsData(0x1da5, 'sentiment_satisfied_sharp');
  static const sentiment_satisfied =
      _MaterialSymbolsData(0x1da6, 'sentiment_satisfied');
  static const sentiment_very_dissatisfied_filled_outlined =
      _MaterialSymbolsData(
          0x1da7, 'sentiment_very_dissatisfied_filled_outlined');
  static const sentiment_very_dissatisfied_filled_sharp =
      _MaterialSymbolsData(0x1da8, 'sentiment_very_dissatisfied_filled_sharp');
  static const sentiment_very_dissatisfied_filled =
      _MaterialSymbolsData(0x1da9, 'sentiment_very_dissatisfied_filled');
  static const sentiment_very_dissatisfied_outlined =
      _MaterialSymbolsData(0x1daa, 'sentiment_very_dissatisfied_outlined');
  static const sentiment_very_dissatisfied_sharp =
      _MaterialSymbolsData(0x1dab, 'sentiment_very_dissatisfied_sharp');
  static const sentiment_very_dissatisfied =
      _MaterialSymbolsData(0x1dac, 'sentiment_very_dissatisfied');
  static const sentiment_very_satisfied_filled_outlined =
      _MaterialSymbolsData(0x1dad, 'sentiment_very_satisfied_filled_outlined');
  static const sentiment_very_satisfied_filled_sharp =
      _MaterialSymbolsData(0x1dae, 'sentiment_very_satisfied_filled_sharp');
  static const sentiment_very_satisfied_filled =
      _MaterialSymbolsData(0x1daf, 'sentiment_very_satisfied_filled');
  static const sentiment_very_satisfied_outlined =
      _MaterialSymbolsData(0x1db0, 'sentiment_very_satisfied_outlined');
  static const sentiment_very_satisfied_sharp =
      _MaterialSymbolsData(0x1db1, 'sentiment_very_satisfied_sharp');
  static const sentiment_very_satisfied =
      _MaterialSymbolsData(0x1db2, 'sentiment_very_satisfied');
  static const set_meal_filled_outlined =
      _MaterialSymbolsData(0x1db3, 'set_meal_filled_outlined');
  static const set_meal_filled_sharp =
      _MaterialSymbolsData(0x1db4, 'set_meal_filled_sharp');
  static const set_meal_filled =
      _MaterialSymbolsData(0x1db5, 'set_meal_filled');
  static const set_meal_outlined =
      _MaterialSymbolsData(0x1db6, 'set_meal_outlined');
  static const set_meal_sharp = _MaterialSymbolsData(0x1db7, 'set_meal_sharp');
  static const set_meal = _MaterialSymbolsData(0x1db8, 'set_meal');
  static const settings_accessibility_filled_outlined =
      _MaterialSymbolsData(0x1db9, 'settings_accessibility_filled_outlined');
  static const settings_accessibility_filled_sharp =
      _MaterialSymbolsData(0x1dba, 'settings_accessibility_filled_sharp');
  static const settings_accessibility_filled =
      _MaterialSymbolsData(0x1dbb, 'settings_accessibility_filled');
  static const settings_accessibility_outlined =
      _MaterialSymbolsData(0x1dbc, 'settings_accessibility_outlined');
  static const settings_accessibility_sharp =
      _MaterialSymbolsData(0x1dbd, 'settings_accessibility_sharp');
  static const settings_accessibility =
      _MaterialSymbolsData(0x1dbe, 'settings_accessibility');
  static const settings_account_box_filled_outlined =
      _MaterialSymbolsData(0x1dbf, 'settings_account_box_filled_outlined');
  static const settings_account_box_filled_sharp =
      _MaterialSymbolsData(0x1dc0, 'settings_account_box_filled_sharp');
  static const settings_account_box_filled =
      _MaterialSymbolsData(0x1dc1, 'settings_account_box_filled');
  static const settings_account_box_outlined =
      _MaterialSymbolsData(0x1dc2, 'settings_account_box_outlined');
  static const settings_account_box_sharp =
      _MaterialSymbolsData(0x1dc3, 'settings_account_box_sharp');
  static const settings_account_box =
      _MaterialSymbolsData(0x1dc4, 'settings_account_box');
  static const settings_alert_filled_outlined =
      _MaterialSymbolsData(0x1dc5, 'settings_alert_filled_outlined');
  static const settings_alert_filled_sharp =
      _MaterialSymbolsData(0x1dc6, 'settings_alert_filled_sharp');
  static const settings_alert_filled =
      _MaterialSymbolsData(0x1dc7, 'settings_alert_filled');
  static const settings_alert_outlined =
      _MaterialSymbolsData(0x1dc8, 'settings_alert_outlined');
  static const settings_alert_sharp =
      _MaterialSymbolsData(0x1dc9, 'settings_alert_sharp');
  static const settings_alert = _MaterialSymbolsData(0x1dca, 'settings_alert');
  static const settings_applications_filled_outlined =
      _MaterialSymbolsData(0x1dcb, 'settings_applications_filled_outlined');
  static const settings_applications_filled_sharp =
      _MaterialSymbolsData(0x1dcc, 'settings_applications_filled_sharp');
  static const settings_applications_filled =
      _MaterialSymbolsData(0x1dcd, 'settings_applications_filled');
  static const settings_applications_outlined =
      _MaterialSymbolsData(0x1dce, 'settings_applications_outlined');
  static const settings_applications_sharp =
      _MaterialSymbolsData(0x1dcf, 'settings_applications_sharp');
  static const settings_applications =
      _MaterialSymbolsData(0x1dd0, 'settings_applications');
  static const settings_backup_restore_filled_outlined =
      _MaterialSymbolsData(0x1dd1, 'settings_backup_restore_filled_outlined');
  static const settings_backup_restore_filled_sharp =
      _MaterialSymbolsData(0x1dd2, 'settings_backup_restore_filled_sharp');
  static const settings_backup_restore_filled =
      _MaterialSymbolsData(0x1dd3, 'settings_backup_restore_filled');
  static const settings_backup_restore_outlined =
      _MaterialSymbolsData(0x1dd4, 'settings_backup_restore_outlined');
  static const settings_backup_restore_sharp =
      _MaterialSymbolsData(0x1dd5, 'settings_backup_restore_sharp');
  static const settings_backup_restore =
      _MaterialSymbolsData(0x1dd6, 'settings_backup_restore');
  static const settings_bluetooth_filled_outlined =
      _MaterialSymbolsData(0x1dd7, 'settings_bluetooth_filled_outlined');
  static const settings_bluetooth_filled_sharp =
      _MaterialSymbolsData(0x1dd8, 'settings_bluetooth_filled_sharp');
  static const settings_bluetooth_filled =
      _MaterialSymbolsData(0x1dd9, 'settings_bluetooth_filled');
  static const settings_bluetooth_outlined =
      _MaterialSymbolsData(0x1dda, 'settings_bluetooth_outlined');
  static const settings_bluetooth_sharp =
      _MaterialSymbolsData(0x1ddb, 'settings_bluetooth_sharp');
  static const settings_bluetooth =
      _MaterialSymbolsData(0x1ddc, 'settings_bluetooth');
  static const settings_brightness_filled_outlined =
      _MaterialSymbolsData(0x1ddd, 'settings_brightness_filled_outlined');
  static const settings_brightness_filled_sharp =
      _MaterialSymbolsData(0x1dde, 'settings_brightness_filled_sharp');
  static const settings_brightness_filled =
      _MaterialSymbolsData(0x1ddf, 'settings_brightness_filled');
  static const settings_brightness_outlined =
      _MaterialSymbolsData(0x1de0, 'settings_brightness_outlined');
  static const settings_brightness_sharp =
      _MaterialSymbolsData(0x1de1, 'settings_brightness_sharp');
  static const settings_brightness =
      _MaterialSymbolsData(0x1de2, 'settings_brightness');
  static const settings_cell_filled_outlined =
      _MaterialSymbolsData(0x1de3, 'settings_cell_filled_outlined');
  static const settings_cell_filled_sharp =
      _MaterialSymbolsData(0x1de4, 'settings_cell_filled_sharp');
  static const settings_cell_filled =
      _MaterialSymbolsData(0x1de5, 'settings_cell_filled');
  static const settings_cell_outlined =
      _MaterialSymbolsData(0x1de6, 'settings_cell_outlined');
  static const settings_cell_sharp =
      _MaterialSymbolsData(0x1de7, 'settings_cell_sharp');
  static const settings_cell = _MaterialSymbolsData(0x1de8, 'settings_cell');
  static const settings_ethernet_filled_outlined =
      _MaterialSymbolsData(0x1de9, 'settings_ethernet_filled_outlined');
  static const settings_ethernet_filled_sharp =
      _MaterialSymbolsData(0x1dea, 'settings_ethernet_filled_sharp');
  static const settings_ethernet_filled =
      _MaterialSymbolsData(0x1deb, 'settings_ethernet_filled');
  static const settings_ethernet_outlined =
      _MaterialSymbolsData(0x1dec, 'settings_ethernet_outlined');
  static const settings_ethernet_sharp =
      _MaterialSymbolsData(0x1ded, 'settings_ethernet_sharp');
  static const settings_ethernet =
      _MaterialSymbolsData(0x1dee, 'settings_ethernet');
  static const settings_filled_outlined =
      _MaterialSymbolsData(0x1def, 'settings_filled_outlined');
  static const settings_filled_sharp =
      _MaterialSymbolsData(0x1df0, 'settings_filled_sharp');
  static const settings_filled =
      _MaterialSymbolsData(0x1df1, 'settings_filled');
  static const settings_input_antenna_filled_outlined =
      _MaterialSymbolsData(0x1df2, 'settings_input_antenna_filled_outlined');
  static const settings_input_antenna_filled_sharp =
      _MaterialSymbolsData(0x1df3, 'settings_input_antenna_filled_sharp');
  static const settings_input_antenna_filled =
      _MaterialSymbolsData(0x1df4, 'settings_input_antenna_filled');
  static const settings_input_antenna_outlined =
      _MaterialSymbolsData(0x1df5, 'settings_input_antenna_outlined');
  static const settings_input_antenna_sharp =
      _MaterialSymbolsData(0x1df6, 'settings_input_antenna_sharp');
  static const settings_input_antenna =
      _MaterialSymbolsData(0x1df7, 'settings_input_antenna');
  static const settings_input_component_filled_outlined =
      _MaterialSymbolsData(0x1df8, 'settings_input_component_filled_outlined');
  static const settings_input_component_filled_sharp =
      _MaterialSymbolsData(0x1df9, 'settings_input_component_filled_sharp');
  static const settings_input_component_filled =
      _MaterialSymbolsData(0x1dfa, 'settings_input_component_filled');
  static const settings_input_component_outlined =
      _MaterialSymbolsData(0x1dfb, 'settings_input_component_outlined');
  static const settings_input_component_sharp =
      _MaterialSymbolsData(0x1dfc, 'settings_input_component_sharp');
  static const settings_input_component =
      _MaterialSymbolsData(0x1dfd, 'settings_input_component');
  static const settings_input_hdmi_filled_outlined =
      _MaterialSymbolsData(0x1dfe, 'settings_input_hdmi_filled_outlined');
  static const settings_input_hdmi_filled_sharp =
      _MaterialSymbolsData(0x1dff, 'settings_input_hdmi_filled_sharp');
  static const settings_input_hdmi_filled =
      _MaterialSymbolsData(0x1e00, 'settings_input_hdmi_filled');
  static const settings_input_hdmi_outlined =
      _MaterialSymbolsData(0x1e01, 'settings_input_hdmi_outlined');
  static const settings_input_hdmi_sharp =
      _MaterialSymbolsData(0x1e02, 'settings_input_hdmi_sharp');
  static const settings_input_hdmi =
      _MaterialSymbolsData(0x1e03, 'settings_input_hdmi');
  static const settings_input_svideo_filled_outlined =
      _MaterialSymbolsData(0x1e04, 'settings_input_svideo_filled_outlined');
  static const settings_input_svideo_filled_sharp =
      _MaterialSymbolsData(0x1e05, 'settings_input_svideo_filled_sharp');
  static const settings_input_svideo_filled =
      _MaterialSymbolsData(0x1e06, 'settings_input_svideo_filled');
  static const settings_input_svideo_outlined =
      _MaterialSymbolsData(0x1e07, 'settings_input_svideo_outlined');
  static const settings_input_svideo_sharp =
      _MaterialSymbolsData(0x1e08, 'settings_input_svideo_sharp');
  static const settings_input_svideo =
      _MaterialSymbolsData(0x1e09, 'settings_input_svideo');
  static const settings_motion_mode_filled_outlined =
      _MaterialSymbolsData(0x1e0a, 'settings_motion_mode_filled_outlined');
  static const settings_motion_mode_filled_sharp =
      _MaterialSymbolsData(0x1e0b, 'settings_motion_mode_filled_sharp');
  static const settings_motion_mode_filled =
      _MaterialSymbolsData(0x1e0c, 'settings_motion_mode_filled');
  static const settings_motion_mode_outlined =
      _MaterialSymbolsData(0x1e0d, 'settings_motion_mode_outlined');
  static const settings_motion_mode_sharp =
      _MaterialSymbolsData(0x1e0e, 'settings_motion_mode_sharp');
  static const settings_motion_mode =
      _MaterialSymbolsData(0x1e0f, 'settings_motion_mode');
  static const settings_night_sight_filled_outlined =
      _MaterialSymbolsData(0x1e10, 'settings_night_sight_filled_outlined');
  static const settings_night_sight_filled_sharp =
      _MaterialSymbolsData(0x1e11, 'settings_night_sight_filled_sharp');
  static const settings_night_sight_filled =
      _MaterialSymbolsData(0x1e12, 'settings_night_sight_filled');
  static const settings_night_sight_outlined =
      _MaterialSymbolsData(0x1e13, 'settings_night_sight_outlined');
  static const settings_night_sight_sharp =
      _MaterialSymbolsData(0x1e14, 'settings_night_sight_sharp');
  static const settings_night_sight =
      _MaterialSymbolsData(0x1e15, 'settings_night_sight');
  static const settings_outlined =
      _MaterialSymbolsData(0x1e16, 'settings_outlined');
  static const settings_overscan_filled_outlined =
      _MaterialSymbolsData(0x1e17, 'settings_overscan_filled_outlined');
  static const settings_overscan_filled_sharp =
      _MaterialSymbolsData(0x1e18, 'settings_overscan_filled_sharp');
  static const settings_overscan_filled =
      _MaterialSymbolsData(0x1e19, 'settings_overscan_filled');
  static const settings_overscan_outlined =
      _MaterialSymbolsData(0x1e1a, 'settings_overscan_outlined');
  static const settings_overscan_sharp =
      _MaterialSymbolsData(0x1e1b, 'settings_overscan_sharp');
  static const settings_overscan =
      _MaterialSymbolsData(0x1e1c, 'settings_overscan');
  static const settings_panorama_filled_outlined =
      _MaterialSymbolsData(0x1e1d, 'settings_panorama_filled_outlined');
  static const settings_panorama_filled_sharp =
      _MaterialSymbolsData(0x1e1e, 'settings_panorama_filled_sharp');
  static const settings_panorama_filled =
      _MaterialSymbolsData(0x1e1f, 'settings_panorama_filled');
  static const settings_panorama_outlined =
      _MaterialSymbolsData(0x1e20, 'settings_panorama_outlined');
  static const settings_panorama_sharp =
      _MaterialSymbolsData(0x1e21, 'settings_panorama_sharp');
  static const settings_panorama =
      _MaterialSymbolsData(0x1e22, 'settings_panorama');
  static const settings_phone_filled_outlined =
      _MaterialSymbolsData(0x1e23, 'settings_phone_filled_outlined');
  static const settings_phone_filled_sharp =
      _MaterialSymbolsData(0x1e24, 'settings_phone_filled_sharp');
  static const settings_phone_filled =
      _MaterialSymbolsData(0x1e25, 'settings_phone_filled');
  static const settings_phone_outlined =
      _MaterialSymbolsData(0x1e26, 'settings_phone_outlined');
  static const settings_phone_sharp =
      _MaterialSymbolsData(0x1e27, 'settings_phone_sharp');
  static const settings_phone = _MaterialSymbolsData(0x1e28, 'settings_phone');
  static const settings_photo_camera_filled_outlined =
      _MaterialSymbolsData(0x1e29, 'settings_photo_camera_filled_outlined');
  static const settings_photo_camera_filled_sharp =
      _MaterialSymbolsData(0x1e2a, 'settings_photo_camera_filled_sharp');
  static const settings_photo_camera_filled =
      _MaterialSymbolsData(0x1e2b, 'settings_photo_camera_filled');
  static const settings_photo_camera_outlined =
      _MaterialSymbolsData(0x1e2c, 'settings_photo_camera_outlined');
  static const settings_photo_camera_sharp =
      _MaterialSymbolsData(0x1e2d, 'settings_photo_camera_sharp');
  static const settings_photo_camera =
      _MaterialSymbolsData(0x1e2e, 'settings_photo_camera');
  static const settings_power_filled_outlined =
      _MaterialSymbolsData(0x1e2f, 'settings_power_filled_outlined');
  static const settings_power_filled_sharp =
      _MaterialSymbolsData(0x1e30, 'settings_power_filled_sharp');
  static const settings_power_filled =
      _MaterialSymbolsData(0x1e31, 'settings_power_filled');
  static const settings_power_outlined =
      _MaterialSymbolsData(0x1e32, 'settings_power_outlined');
  static const settings_power_sharp =
      _MaterialSymbolsData(0x1e33, 'settings_power_sharp');
  static const settings_power = _MaterialSymbolsData(0x1e34, 'settings_power');
  static const settings_remote_filled_outlined =
      _MaterialSymbolsData(0x1e35, 'settings_remote_filled_outlined');
  static const settings_remote_filled_sharp =
      _MaterialSymbolsData(0x1e36, 'settings_remote_filled_sharp');
  static const settings_remote_filled =
      _MaterialSymbolsData(0x1e37, 'settings_remote_filled');
  static const settings_remote_outlined =
      _MaterialSymbolsData(0x1e38, 'settings_remote_outlined');
  static const settings_remote_sharp =
      _MaterialSymbolsData(0x1e39, 'settings_remote_sharp');
  static const settings_remote =
      _MaterialSymbolsData(0x1e3a, 'settings_remote');
  static const settings_sharp = _MaterialSymbolsData(0x1e3b, 'settings_sharp');
  static const settings_suggest_filled_outlined =
      _MaterialSymbolsData(0x1e3c, 'settings_suggest_filled_outlined');
  static const settings_suggest_filled_sharp =
      _MaterialSymbolsData(0x1e3d, 'settings_suggest_filled_sharp');
  static const settings_suggest_filled =
      _MaterialSymbolsData(0x1e3e, 'settings_suggest_filled');
  static const settings_suggest_outlined =
      _MaterialSymbolsData(0x1e3f, 'settings_suggest_outlined');
  static const settings_suggest_sharp =
      _MaterialSymbolsData(0x1e40, 'settings_suggest_sharp');
  static const settings_suggest =
      _MaterialSymbolsData(0x1e41, 'settings_suggest');
  static const settings_system_daydream_filled_outlined =
      _MaterialSymbolsData(0x1e42, 'settings_system_daydream_filled_outlined');
  static const settings_system_daydream_filled_sharp =
      _MaterialSymbolsData(0x1e43, 'settings_system_daydream_filled_sharp');
  static const settings_system_daydream_filled =
      _MaterialSymbolsData(0x1e44, 'settings_system_daydream_filled');
  static const settings_system_daydream_outlined =
      _MaterialSymbolsData(0x1e45, 'settings_system_daydream_outlined');
  static const settings_system_daydream_sharp =
      _MaterialSymbolsData(0x1e46, 'settings_system_daydream_sharp');
  static const settings_system_daydream =
      _MaterialSymbolsData(0x1e47, 'settings_system_daydream');
  static const settings_voice_filled_outlined =
      _MaterialSymbolsData(0x1e48, 'settings_voice_filled_outlined');
  static const settings_voice_filled_sharp =
      _MaterialSymbolsData(0x1e49, 'settings_voice_filled_sharp');
  static const settings_voice_filled =
      _MaterialSymbolsData(0x1e4a, 'settings_voice_filled');
  static const settings_voice_outlined =
      _MaterialSymbolsData(0x1e4b, 'settings_voice_outlined');
  static const settings_voice_sharp =
      _MaterialSymbolsData(0x1e4c, 'settings_voice_sharp');
  static const settings_voice = _MaterialSymbolsData(0x1e4d, 'settings_voice');
  static const settings = _MaterialSymbolsData(0x1e4e, 'settings');
  static const settop_component_filled_outlined =
      _MaterialSymbolsData(0x1e4f, 'settop_component_filled_outlined');
  static const settop_component_filled_sharp =
      _MaterialSymbolsData(0x1e50, 'settop_component_filled_sharp');
  static const settop_component_filled =
      _MaterialSymbolsData(0x1e51, 'settop_component_filled');
  static const settop_component_outlined =
      _MaterialSymbolsData(0x1e52, 'settop_component_outlined');
  static const settop_component_sharp =
      _MaterialSymbolsData(0x1e53, 'settop_component_sharp');
  static const settop_component =
      _MaterialSymbolsData(0x1e54, 'settop_component');
  static const severe_cold_filled_outlined =
      _MaterialSymbolsData(0x1e55, 'severe_cold_filled_outlined');
  static const severe_cold_filled_sharp =
      _MaterialSymbolsData(0x1e56, 'severe_cold_filled_sharp');
  static const severe_cold_filled =
      _MaterialSymbolsData(0x1e57, 'severe_cold_filled');
  static const severe_cold_outlined =
      _MaterialSymbolsData(0x1e58, 'severe_cold_outlined');
  static const severe_cold_sharp =
      _MaterialSymbolsData(0x1e59, 'severe_cold_sharp');
  static const severe_cold = _MaterialSymbolsData(0x1e5a, 'severe_cold');
  static const shape_line_filled_outlined =
      _MaterialSymbolsData(0x1e5b, 'shape_line_filled_outlined');
  static const shape_line_filled_sharp =
      _MaterialSymbolsData(0x1e5c, 'shape_line_filled_sharp');
  static const shape_line_filled =
      _MaterialSymbolsData(0x1e5d, 'shape_line_filled');
  static const shape_line_outlined =
      _MaterialSymbolsData(0x1e5e, 'shape_line_outlined');
  static const shape_line_sharp =
      _MaterialSymbolsData(0x1e5f, 'shape_line_sharp');
  static const shape_line = _MaterialSymbolsData(0x1e60, 'shape_line');
  static const shapes_filled_outlined =
      _MaterialSymbolsData(0x1e61, 'shapes_filled_outlined');
  static const shapes_filled_sharp =
      _MaterialSymbolsData(0x1e62, 'shapes_filled_sharp');
  static const shapes_filled = _MaterialSymbolsData(0x1e63, 'shapes_filled');
  static const shapes_outlined =
      _MaterialSymbolsData(0x1e64, 'shapes_outlined');
  static const shapes_sharp = _MaterialSymbolsData(0x1e65, 'shapes_sharp');
  static const shapes = _MaterialSymbolsData(0x1e66, 'shapes');
  static const share_filled_outlined =
      _MaterialSymbolsData(0x1e67, 'share_filled_outlined');
  static const share_filled_sharp =
      _MaterialSymbolsData(0x1e68, 'share_filled_sharp');
  static const share_filled = _MaterialSymbolsData(0x1e69, 'share_filled');
  static const share_location_filled_outlined =
      _MaterialSymbolsData(0x1e6a, 'share_location_filled_outlined');
  static const share_location_filled_sharp =
      _MaterialSymbolsData(0x1e6b, 'share_location_filled_sharp');
  static const share_location_filled =
      _MaterialSymbolsData(0x1e6c, 'share_location_filled');
  static const share_location_outlined =
      _MaterialSymbolsData(0x1e6d, 'share_location_outlined');
  static const share_location_sharp =
      _MaterialSymbolsData(0x1e6e, 'share_location_sharp');
  static const share_location = _MaterialSymbolsData(0x1e6f, 'share_location');
  static const share_outlined = _MaterialSymbolsData(0x1e70, 'share_outlined');
  static const share_reviews_filled_outlined =
      _MaterialSymbolsData(0x1e71, 'share_reviews_filled_outlined');
  static const share_reviews_filled_sharp =
      _MaterialSymbolsData(0x1e72, 'share_reviews_filled_sharp');
  static const share_reviews_filled =
      _MaterialSymbolsData(0x1e73, 'share_reviews_filled');
  static const share_reviews_outlined =
      _MaterialSymbolsData(0x1e74, 'share_reviews_outlined');
  static const share_reviews_sharp =
      _MaterialSymbolsData(0x1e75, 'share_reviews_sharp');
  static const share_reviews = _MaterialSymbolsData(0x1e76, 'share_reviews');
  static const share_sharp = _MaterialSymbolsData(0x1e77, 'share_sharp');
  static const share = _MaterialSymbolsData(0x1e78, 'share');
  static const sheets_rtl_filled_outlined =
      _MaterialSymbolsData(0x1e79, 'sheets_rtl_filled_outlined');
  static const sheets_rtl_filled_sharp =
      _MaterialSymbolsData(0x1e7a, 'sheets_rtl_filled_sharp');
  static const sheets_rtl_filled =
      _MaterialSymbolsData(0x1e7b, 'sheets_rtl_filled');
  static const sheets_rtl_outlined =
      _MaterialSymbolsData(0x1e7c, 'sheets_rtl_outlined');
  static const sheets_rtl_sharp =
      _MaterialSymbolsData(0x1e7d, 'sheets_rtl_sharp');
  static const sheets_rtl = _MaterialSymbolsData(0x1e7e, 'sheets_rtl');
  static const shelves_filled_outlined =
      _MaterialSymbolsData(0x1e7f, 'shelves_filled_outlined');
  static const shelves_filled_sharp =
      _MaterialSymbolsData(0x1e80, 'shelves_filled_sharp');
  static const shelves_filled = _MaterialSymbolsData(0x1e81, 'shelves_filled');
  static const shelves_outlined =
      _MaterialSymbolsData(0x1e82, 'shelves_outlined');
  static const shelves_sharp = _MaterialSymbolsData(0x1e83, 'shelves_sharp');
  static const shelves = _MaterialSymbolsData(0x1e84, 'shelves');
  static const shield_filled_outlined =
      _MaterialSymbolsData(0x1e85, 'shield_filled_outlined');
  static const shield_filled_sharp =
      _MaterialSymbolsData(0x1e86, 'shield_filled_sharp');
  static const shield_filled = _MaterialSymbolsData(0x1e87, 'shield_filled');
  static const shield_moon_filled_outlined =
      _MaterialSymbolsData(0x1e88, 'shield_moon_filled_outlined');
  static const shield_moon_filled_sharp =
      _MaterialSymbolsData(0x1e89, 'shield_moon_filled_sharp');
  static const shield_moon_filled =
      _MaterialSymbolsData(0x1e8a, 'shield_moon_filled');
  static const shield_moon_outlined =
      _MaterialSymbolsData(0x1e8b, 'shield_moon_outlined');
  static const shield_moon_sharp =
      _MaterialSymbolsData(0x1e8c, 'shield_moon_sharp');
  static const shield_moon = _MaterialSymbolsData(0x1e8d, 'shield_moon');
  static const shield_outlined =
      _MaterialSymbolsData(0x1e8e, 'shield_outlined');
  static const shield_sharp = _MaterialSymbolsData(0x1e8f, 'shield_sharp');
  static const shield_with_heart_filled_outlined =
      _MaterialSymbolsData(0x1e90, 'shield_with_heart_filled_outlined');
  static const shield_with_heart_filled_sharp =
      _MaterialSymbolsData(0x1e91, 'shield_with_heart_filled_sharp');
  static const shield_with_heart_filled =
      _MaterialSymbolsData(0x1e92, 'shield_with_heart_filled');
  static const shield_with_heart_outlined =
      _MaterialSymbolsData(0x1e93, 'shield_with_heart_outlined');
  static const shield_with_heart_sharp =
      _MaterialSymbolsData(0x1e94, 'shield_with_heart_sharp');
  static const shield_with_heart =
      _MaterialSymbolsData(0x1e95, 'shield_with_heart');
  static const shield_with_house_filled_outlined =
      _MaterialSymbolsData(0x1e96, 'shield_with_house_filled_outlined');
  static const shield_with_house_filled_sharp =
      _MaterialSymbolsData(0x1e97, 'shield_with_house_filled_sharp');
  static const shield_with_house_filled =
      _MaterialSymbolsData(0x1e98, 'shield_with_house_filled');
  static const shield_with_house_outlined =
      _MaterialSymbolsData(0x1e99, 'shield_with_house_outlined');
  static const shield_with_house_sharp =
      _MaterialSymbolsData(0x1e9a, 'shield_with_house_sharp');
  static const shield_with_house =
      _MaterialSymbolsData(0x1e9b, 'shield_with_house');
  static const shield = _MaterialSymbolsData(0x1e9c, 'shield');
  static const shop_filled_outlined =
      _MaterialSymbolsData(0x1e9d, 'shop_filled_outlined');
  static const shop_filled_sharp =
      _MaterialSymbolsData(0x1e9e, 'shop_filled_sharp');
  static const shop_filled = _MaterialSymbolsData(0x1e9f, 'shop_filled');
  static const shop_outlined = _MaterialSymbolsData(0x1ea0, 'shop_outlined');
  static const shop_sharp = _MaterialSymbolsData(0x1ea1, 'shop_sharp');
  static const shop_two_filled_outlined =
      _MaterialSymbolsData(0x1ea2, 'shop_two_filled_outlined');
  static const shop_two_filled_sharp =
      _MaterialSymbolsData(0x1ea3, 'shop_two_filled_sharp');
  static const shop_two_filled =
      _MaterialSymbolsData(0x1ea4, 'shop_two_filled');
  static const shop_two_outlined =
      _MaterialSymbolsData(0x1ea5, 'shop_two_outlined');
  static const shop_two_sharp = _MaterialSymbolsData(0x1ea6, 'shop_two_sharp');
  static const shop_two = _MaterialSymbolsData(0x1ea7, 'shop_two');
  static const shop = _MaterialSymbolsData(0x1ea8, 'shop');
  static const shopping_bag_filled_outlined =
      _MaterialSymbolsData(0x1ea9, 'shopping_bag_filled_outlined');
  static const shopping_bag_filled_sharp =
      _MaterialSymbolsData(0x1eaa, 'shopping_bag_filled_sharp');
  static const shopping_bag_filled =
      _MaterialSymbolsData(0x1eab, 'shopping_bag_filled');
  static const shopping_bag_outlined =
      _MaterialSymbolsData(0x1eac, 'shopping_bag_outlined');
  static const shopping_bag_sharp =
      _MaterialSymbolsData(0x1ead, 'shopping_bag_sharp');
  static const shopping_bag = _MaterialSymbolsData(0x1eae, 'shopping_bag');
  static const shopping_basket_filled_outlined =
      _MaterialSymbolsData(0x1eaf, 'shopping_basket_filled_outlined');
  static const shopping_basket_filled_sharp =
      _MaterialSymbolsData(0x1eb0, 'shopping_basket_filled_sharp');
  static const shopping_basket_filled =
      _MaterialSymbolsData(0x1eb1, 'shopping_basket_filled');
  static const shopping_basket_outlined =
      _MaterialSymbolsData(0x1eb2, 'shopping_basket_outlined');
  static const shopping_basket_sharp =
      _MaterialSymbolsData(0x1eb3, 'shopping_basket_sharp');
  static const shopping_basket =
      _MaterialSymbolsData(0x1eb4, 'shopping_basket');
  static const shopping_cart_checkout_filled_outlined =
      _MaterialSymbolsData(0x1eb5, 'shopping_cart_checkout_filled_outlined');
  static const shopping_cart_checkout_filled_sharp =
      _MaterialSymbolsData(0x1eb6, 'shopping_cart_checkout_filled_sharp');
  static const shopping_cart_checkout_filled =
      _MaterialSymbolsData(0x1eb7, 'shopping_cart_checkout_filled');
  static const shopping_cart_checkout_outlined =
      _MaterialSymbolsData(0x1eb8, 'shopping_cart_checkout_outlined');
  static const shopping_cart_checkout_sharp =
      _MaterialSymbolsData(0x1eb9, 'shopping_cart_checkout_sharp');
  static const shopping_cart_checkout =
      _MaterialSymbolsData(0x1eba, 'shopping_cart_checkout');
  static const shopping_cart_filled_outlined =
      _MaterialSymbolsData(0x1ebb, 'shopping_cart_filled_outlined');
  static const shopping_cart_filled_sharp =
      _MaterialSymbolsData(0x1ebc, 'shopping_cart_filled_sharp');
  static const shopping_cart_filled =
      _MaterialSymbolsData(0x1ebd, 'shopping_cart_filled');
  static const shopping_cart_outlined =
      _MaterialSymbolsData(0x1ebe, 'shopping_cart_outlined');
  static const shopping_cart_sharp =
      _MaterialSymbolsData(0x1ebf, 'shopping_cart_sharp');
  static const shopping_cart = _MaterialSymbolsData(0x1ec0, 'shopping_cart');
  static const short_stay_filled_outlined =
      _MaterialSymbolsData(0x1ec1, 'short_stay_filled_outlined');
  static const short_stay_filled_sharp =
      _MaterialSymbolsData(0x1ec2, 'short_stay_filled_sharp');
  static const short_stay_filled =
      _MaterialSymbolsData(0x1ec3, 'short_stay_filled');
  static const short_stay_outlined =
      _MaterialSymbolsData(0x1ec4, 'short_stay_outlined');
  static const short_stay_sharp =
      _MaterialSymbolsData(0x1ec5, 'short_stay_sharp');
  static const short_stay = _MaterialSymbolsData(0x1ec6, 'short_stay');
  static const short_text_filled_outlined =
      _MaterialSymbolsData(0x1ec7, 'short_text_filled_outlined');
  static const short_text_filled_sharp =
      _MaterialSymbolsData(0x1ec8, 'short_text_filled_sharp');
  static const short_text_filled =
      _MaterialSymbolsData(0x1ec9, 'short_text_filled');
  static const short_text_outlined =
      _MaterialSymbolsData(0x1eca, 'short_text_outlined');
  static const short_text_sharp =
      _MaterialSymbolsData(0x1ecb, 'short_text_sharp');
  static const short_text = _MaterialSymbolsData(0x1ecc, 'short_text');
  static const show_chart_filled_outlined =
      _MaterialSymbolsData(0x1ecd, 'show_chart_filled_outlined');
  static const show_chart_filled_sharp =
      _MaterialSymbolsData(0x1ece, 'show_chart_filled_sharp');
  static const show_chart_filled =
      _MaterialSymbolsData(0x1ecf, 'show_chart_filled');
  static const show_chart_outlined =
      _MaterialSymbolsData(0x1ed0, 'show_chart_outlined');
  static const show_chart_sharp =
      _MaterialSymbolsData(0x1ed1, 'show_chart_sharp');
  static const show_chart = _MaterialSymbolsData(0x1ed2, 'show_chart');
  static const shower_filled_outlined =
      _MaterialSymbolsData(0x1ed3, 'shower_filled_outlined');
  static const shower_filled_sharp =
      _MaterialSymbolsData(0x1ed4, 'shower_filled_sharp');
  static const shower_filled = _MaterialSymbolsData(0x1ed5, 'shower_filled');
  static const shower_outlined =
      _MaterialSymbolsData(0x1ed6, 'shower_outlined');
  static const shower_sharp = _MaterialSymbolsData(0x1ed7, 'shower_sharp');
  static const shower = _MaterialSymbolsData(0x1ed8, 'shower');
  static const shuffle_filled_outlined =
      _MaterialSymbolsData(0x1ed9, 'shuffle_filled_outlined');
  static const shuffle_filled_sharp =
      _MaterialSymbolsData(0x1eda, 'shuffle_filled_sharp');
  static const shuffle_filled = _MaterialSymbolsData(0x1edb, 'shuffle_filled');
  static const shuffle_on_filled_outlined =
      _MaterialSymbolsData(0x1edc, 'shuffle_on_filled_outlined');
  static const shuffle_on_filled_sharp =
      _MaterialSymbolsData(0x1edd, 'shuffle_on_filled_sharp');
  static const shuffle_on_filled =
      _MaterialSymbolsData(0x1ede, 'shuffle_on_filled');
  static const shuffle_on_outlined =
      _MaterialSymbolsData(0x1edf, 'shuffle_on_outlined');
  static const shuffle_on_sharp =
      _MaterialSymbolsData(0x1ee0, 'shuffle_on_sharp');
  static const shuffle_on = _MaterialSymbolsData(0x1ee1, 'shuffle_on');
  static const shuffle_outlined =
      _MaterialSymbolsData(0x1ee2, 'shuffle_outlined');
  static const shuffle_sharp = _MaterialSymbolsData(0x1ee3, 'shuffle_sharp');
  static const shuffle = _MaterialSymbolsData(0x1ee4, 'shuffle');
  static const shutter_speed_filled_outlined =
      _MaterialSymbolsData(0x1ee5, 'shutter_speed_filled_outlined');
  static const shutter_speed_filled_sharp =
      _MaterialSymbolsData(0x1ee6, 'shutter_speed_filled_sharp');
  static const shutter_speed_filled =
      _MaterialSymbolsData(0x1ee7, 'shutter_speed_filled');
  static const shutter_speed_outlined =
      _MaterialSymbolsData(0x1ee8, 'shutter_speed_outlined');
  static const shutter_speed_sharp =
      _MaterialSymbolsData(0x1ee9, 'shutter_speed_sharp');
  static const shutter_speed = _MaterialSymbolsData(0x1eea, 'shutter_speed');
  static const sick_filled_outlined =
      _MaterialSymbolsData(0x1eeb, 'sick_filled_outlined');
  static const sick_filled_sharp =
      _MaterialSymbolsData(0x1eec, 'sick_filled_sharp');
  static const sick_filled = _MaterialSymbolsData(0x1eed, 'sick_filled');
  static const sick_outlined = _MaterialSymbolsData(0x1eee, 'sick_outlined');
  static const sick_sharp = _MaterialSymbolsData(0x1eef, 'sick_sharp');
  static const sick = _MaterialSymbolsData(0x1ef0, 'sick');
  static const sign_language_filled_outlined =
      _MaterialSymbolsData(0x1ef1, 'sign_language_filled_outlined');
  static const sign_language_filled_sharp =
      _MaterialSymbolsData(0x1ef2, 'sign_language_filled_sharp');
  static const sign_language_filled =
      _MaterialSymbolsData(0x1ef3, 'sign_language_filled');
  static const sign_language_outlined =
      _MaterialSymbolsData(0x1ef4, 'sign_language_outlined');
  static const sign_language_sharp =
      _MaterialSymbolsData(0x1ef5, 'sign_language_sharp');
  static const sign_language = _MaterialSymbolsData(0x1ef6, 'sign_language');
  static const signal_cellular_0_bar_filled_outlined =
      _MaterialSymbolsData(0x1ef7, 'signal_cellular_0_bar_filled_outlined');
  static const signal_cellular_0_bar_filled_sharp =
      _MaterialSymbolsData(0x1ef8, 'signal_cellular_0_bar_filled_sharp');
  static const signal_cellular_0_bar_filled =
      _MaterialSymbolsData(0x1ef9, 'signal_cellular_0_bar_filled');
  static const signal_cellular_0_bar_outlined =
      _MaterialSymbolsData(0x1efa, 'signal_cellular_0_bar_outlined');
  static const signal_cellular_0_bar_sharp =
      _MaterialSymbolsData(0x1efb, 'signal_cellular_0_bar_sharp');
  static const signal_cellular_0_bar =
      _MaterialSymbolsData(0x1efc, 'signal_cellular_0_bar');
  static const signal_cellular_1_bar_filled_outlined =
      _MaterialSymbolsData(0x1efd, 'signal_cellular_1_bar_filled_outlined');
  static const signal_cellular_1_bar_filled_sharp =
      _MaterialSymbolsData(0x1efe, 'signal_cellular_1_bar_filled_sharp');
  static const signal_cellular_1_bar_filled =
      _MaterialSymbolsData(0x1eff, 'signal_cellular_1_bar_filled');
  static const signal_cellular_1_bar_outlined =
      _MaterialSymbolsData(0x1f00, 'signal_cellular_1_bar_outlined');
  static const signal_cellular_1_bar_sharp =
      _MaterialSymbolsData(0x1f01, 'signal_cellular_1_bar_sharp');
  static const signal_cellular_1_bar =
      _MaterialSymbolsData(0x1f02, 'signal_cellular_1_bar');
  static const signal_cellular_2_bar_filled_outlined =
      _MaterialSymbolsData(0x1f03, 'signal_cellular_2_bar_filled_outlined');
  static const signal_cellular_2_bar_filled_sharp =
      _MaterialSymbolsData(0x1f04, 'signal_cellular_2_bar_filled_sharp');
  static const signal_cellular_2_bar_filled =
      _MaterialSymbolsData(0x1f05, 'signal_cellular_2_bar_filled');
  static const signal_cellular_2_bar_outlined =
      _MaterialSymbolsData(0x1f06, 'signal_cellular_2_bar_outlined');
  static const signal_cellular_2_bar_sharp =
      _MaterialSymbolsData(0x1f07, 'signal_cellular_2_bar_sharp');
  static const signal_cellular_2_bar =
      _MaterialSymbolsData(0x1f08, 'signal_cellular_2_bar');
  static const signal_cellular_3_bar_filled_outlined =
      _MaterialSymbolsData(0x1f09, 'signal_cellular_3_bar_filled_outlined');
  static const signal_cellular_3_bar_filled_sharp =
      _MaterialSymbolsData(0x1f0a, 'signal_cellular_3_bar_filled_sharp');
  static const signal_cellular_3_bar_filled =
      _MaterialSymbolsData(0x1f0b, 'signal_cellular_3_bar_filled');
  static const signal_cellular_3_bar_outlined =
      _MaterialSymbolsData(0x1f0c, 'signal_cellular_3_bar_outlined');
  static const signal_cellular_3_bar_sharp =
      _MaterialSymbolsData(0x1f0d, 'signal_cellular_3_bar_sharp');
  static const signal_cellular_3_bar =
      _MaterialSymbolsData(0x1f0e, 'signal_cellular_3_bar');
  static const signal_cellular_4_bar_filled_outlined =
      _MaterialSymbolsData(0x1f0f, 'signal_cellular_4_bar_filled_outlined');
  static const signal_cellular_4_bar_filled_sharp =
      _MaterialSymbolsData(0x1f10, 'signal_cellular_4_bar_filled_sharp');
  static const signal_cellular_4_bar_filled =
      _MaterialSymbolsData(0x1f11, 'signal_cellular_4_bar_filled');
  static const signal_cellular_4_bar_outlined =
      _MaterialSymbolsData(0x1f12, 'signal_cellular_4_bar_outlined');
  static const signal_cellular_4_bar_sharp =
      _MaterialSymbolsData(0x1f13, 'signal_cellular_4_bar_sharp');
  static const signal_cellular_4_bar =
      _MaterialSymbolsData(0x1f14, 'signal_cellular_4_bar');
  static const signal_cellular_alt_1_bar_filled_outlined =
      _MaterialSymbolsData(0x1f15, 'signal_cellular_alt_1_bar_filled_outlined');
  static const signal_cellular_alt_1_bar_filled_sharp =
      _MaterialSymbolsData(0x1f16, 'signal_cellular_alt_1_bar_filled_sharp');
  static const signal_cellular_alt_1_bar_filled =
      _MaterialSymbolsData(0x1f17, 'signal_cellular_alt_1_bar_filled');
  static const signal_cellular_alt_1_bar_outlined =
      _MaterialSymbolsData(0x1f18, 'signal_cellular_alt_1_bar_outlined');
  static const signal_cellular_alt_1_bar_sharp =
      _MaterialSymbolsData(0x1f19, 'signal_cellular_alt_1_bar_sharp');
  static const signal_cellular_alt_1_bar =
      _MaterialSymbolsData(0x1f1a, 'signal_cellular_alt_1_bar');
  static const signal_cellular_alt_2_bar_filled_outlined =
      _MaterialSymbolsData(0x1f1b, 'signal_cellular_alt_2_bar_filled_outlined');
  static const signal_cellular_alt_2_bar_filled_sharp =
      _MaterialSymbolsData(0x1f1c, 'signal_cellular_alt_2_bar_filled_sharp');
  static const signal_cellular_alt_2_bar_filled =
      _MaterialSymbolsData(0x1f1d, 'signal_cellular_alt_2_bar_filled');
  static const signal_cellular_alt_2_bar_outlined =
      _MaterialSymbolsData(0x1f1e, 'signal_cellular_alt_2_bar_outlined');
  static const signal_cellular_alt_2_bar_sharp =
      _MaterialSymbolsData(0x1f1f, 'signal_cellular_alt_2_bar_sharp');
  static const signal_cellular_alt_2_bar =
      _MaterialSymbolsData(0x1f20, 'signal_cellular_alt_2_bar');
  static const signal_cellular_alt_filled_outlined =
      _MaterialSymbolsData(0x1f21, 'signal_cellular_alt_filled_outlined');
  static const signal_cellular_alt_filled_sharp =
      _MaterialSymbolsData(0x1f22, 'signal_cellular_alt_filled_sharp');
  static const signal_cellular_alt_filled =
      _MaterialSymbolsData(0x1f23, 'signal_cellular_alt_filled');
  static const signal_cellular_alt_outlined =
      _MaterialSymbolsData(0x1f24, 'signal_cellular_alt_outlined');
  static const signal_cellular_alt_sharp =
      _MaterialSymbolsData(0x1f25, 'signal_cellular_alt_sharp');
  static const signal_cellular_alt =
      _MaterialSymbolsData(0x1f26, 'signal_cellular_alt');
  static const signal_cellular_connected_no_internet_0_bar_filled_outlined =
      _MaterialSymbolsData(0x1f27,
          'signal_cellular_connected_no_internet_0_bar_filled_outlined');
  static const signal_cellular_connected_no_internet_0_bar_filled_sharp =
      _MaterialSymbolsData(
          0x1f28, 'signal_cellular_connected_no_internet_0_bar_filled_sharp');
  static const signal_cellular_connected_no_internet_0_bar_filled =
      _MaterialSymbolsData(
          0x1f29, 'signal_cellular_connected_no_internet_0_bar_filled');
  static const signal_cellular_connected_no_internet_0_bar_outlined =
      _MaterialSymbolsData(
          0x1f2a, 'signal_cellular_connected_no_internet_0_bar_outlined');
  static const signal_cellular_connected_no_internet_0_bar_sharp =
      _MaterialSymbolsData(
          0x1f2b, 'signal_cellular_connected_no_internet_0_bar_sharp');
  static const signal_cellular_connected_no_internet_0_bar =
      _MaterialSymbolsData(
          0x1f2c, 'signal_cellular_connected_no_internet_0_bar');
  static const signal_cellular_connected_no_internet_4_bar_filled_outlined =
      _MaterialSymbolsData(0x1f2d,
          'signal_cellular_connected_no_internet_4_bar_filled_outlined');
  static const signal_cellular_connected_no_internet_4_bar_filled_sharp =
      _MaterialSymbolsData(
          0x1f2e, 'signal_cellular_connected_no_internet_4_bar_filled_sharp');
  static const signal_cellular_connected_no_internet_4_bar_filled =
      _MaterialSymbolsData(
          0x1f2f, 'signal_cellular_connected_no_internet_4_bar_filled');
  static const signal_cellular_connected_no_internet_4_bar_outlined =
      _MaterialSymbolsData(
          0x1f30, 'signal_cellular_connected_no_internet_4_bar_outlined');
  static const signal_cellular_connected_no_internet_4_bar_sharp =
      _MaterialSymbolsData(
          0x1f31, 'signal_cellular_connected_no_internet_4_bar_sharp');
  static const signal_cellular_connected_no_internet_4_bar =
      _MaterialSymbolsData(
          0x1f32, 'signal_cellular_connected_no_internet_4_bar');
  static const signal_cellular_nodata_filled_outlined =
      _MaterialSymbolsData(0x1f33, 'signal_cellular_nodata_filled_outlined');
  static const signal_cellular_nodata_filled_sharp =
      _MaterialSymbolsData(0x1f34, 'signal_cellular_nodata_filled_sharp');
  static const signal_cellular_nodata_filled =
      _MaterialSymbolsData(0x1f35, 'signal_cellular_nodata_filled');
  static const signal_cellular_nodata_outlined =
      _MaterialSymbolsData(0x1f36, 'signal_cellular_nodata_outlined');
  static const signal_cellular_nodata_sharp =
      _MaterialSymbolsData(0x1f37, 'signal_cellular_nodata_sharp');
  static const signal_cellular_nodata =
      _MaterialSymbolsData(0x1f38, 'signal_cellular_nodata');
  static const signal_cellular_null_filled_outlined =
      _MaterialSymbolsData(0x1f39, 'signal_cellular_null_filled_outlined');
  static const signal_cellular_null_filled_sharp =
      _MaterialSymbolsData(0x1f3a, 'signal_cellular_null_filled_sharp');
  static const signal_cellular_null_filled =
      _MaterialSymbolsData(0x1f3b, 'signal_cellular_null_filled');
  static const signal_cellular_null_outlined =
      _MaterialSymbolsData(0x1f3c, 'signal_cellular_null_outlined');
  static const signal_cellular_null_sharp =
      _MaterialSymbolsData(0x1f3d, 'signal_cellular_null_sharp');
  static const signal_cellular_null =
      _MaterialSymbolsData(0x1f3e, 'signal_cellular_null');
  static const signal_cellular_off_filled_outlined =
      _MaterialSymbolsData(0x1f3f, 'signal_cellular_off_filled_outlined');
  static const signal_cellular_off_filled_sharp =
      _MaterialSymbolsData(0x1f40, 'signal_cellular_off_filled_sharp');
  static const signal_cellular_off_filled =
      _MaterialSymbolsData(0x1f41, 'signal_cellular_off_filled');
  static const signal_cellular_off_outlined =
      _MaterialSymbolsData(0x1f42, 'signal_cellular_off_outlined');
  static const signal_cellular_off_sharp =
      _MaterialSymbolsData(0x1f43, 'signal_cellular_off_sharp');
  static const signal_cellular_off =
      _MaterialSymbolsData(0x1f44, 'signal_cellular_off');
  static const signal_disconnected_filled_outlined =
      _MaterialSymbolsData(0x1f45, 'signal_disconnected_filled_outlined');
  static const signal_disconnected_filled_sharp =
      _MaterialSymbolsData(0x1f46, 'signal_disconnected_filled_sharp');
  static const signal_disconnected_filled =
      _MaterialSymbolsData(0x1f47, 'signal_disconnected_filled');
  static const signal_disconnected_outlined =
      _MaterialSymbolsData(0x1f48, 'signal_disconnected_outlined');
  static const signal_disconnected_sharp =
      _MaterialSymbolsData(0x1f49, 'signal_disconnected_sharp');
  static const signal_disconnected =
      _MaterialSymbolsData(0x1f4a, 'signal_disconnected');
  static const signal_wifi_0_bar_filled_outlined =
      _MaterialSymbolsData(0x1f4b, 'signal_wifi_0_bar_filled_outlined');
  static const signal_wifi_0_bar_filled_sharp =
      _MaterialSymbolsData(0x1f4c, 'signal_wifi_0_bar_filled_sharp');
  static const signal_wifi_0_bar_filled =
      _MaterialSymbolsData(0x1f4d, 'signal_wifi_0_bar_filled');
  static const signal_wifi_0_bar_outlined =
      _MaterialSymbolsData(0x1f4e, 'signal_wifi_0_bar_outlined');
  static const signal_wifi_0_bar_sharp =
      _MaterialSymbolsData(0x1f4f, 'signal_wifi_0_bar_sharp');
  static const signal_wifi_0_bar =
      _MaterialSymbolsData(0x1f50, 'signal_wifi_0_bar');
  static const signal_wifi_4_bar_filled_outlined =
      _MaterialSymbolsData(0x1f51, 'signal_wifi_4_bar_filled_outlined');
  static const signal_wifi_4_bar_filled_sharp =
      _MaterialSymbolsData(0x1f52, 'signal_wifi_4_bar_filled_sharp');
  static const signal_wifi_4_bar_filled =
      _MaterialSymbolsData(0x1f53, 'signal_wifi_4_bar_filled');
  static const signal_wifi_4_bar_outlined =
      _MaterialSymbolsData(0x1f54, 'signal_wifi_4_bar_outlined');
  static const signal_wifi_4_bar_sharp =
      _MaterialSymbolsData(0x1f55, 'signal_wifi_4_bar_sharp');
  static const signal_wifi_4_bar =
      _MaterialSymbolsData(0x1f56, 'signal_wifi_4_bar');
  static const signal_wifi_bad_filled_outlined =
      _MaterialSymbolsData(0x1f57, 'signal_wifi_bad_filled_outlined');
  static const signal_wifi_bad_filled_sharp =
      _MaterialSymbolsData(0x1f58, 'signal_wifi_bad_filled_sharp');
  static const signal_wifi_bad_filled =
      _MaterialSymbolsData(0x1f59, 'signal_wifi_bad_filled');
  static const signal_wifi_bad_outlined =
      _MaterialSymbolsData(0x1f5a, 'signal_wifi_bad_outlined');
  static const signal_wifi_bad_sharp =
      _MaterialSymbolsData(0x1f5b, 'signal_wifi_bad_sharp');
  static const signal_wifi_bad =
      _MaterialSymbolsData(0x1f5c, 'signal_wifi_bad');
  static const signal_wifi_off_filled_outlined =
      _MaterialSymbolsData(0x1f5d, 'signal_wifi_off_filled_outlined');
  static const signal_wifi_off_filled_sharp =
      _MaterialSymbolsData(0x1f5e, 'signal_wifi_off_filled_sharp');
  static const signal_wifi_off_filled =
      _MaterialSymbolsData(0x1f5f, 'signal_wifi_off_filled');
  static const signal_wifi_off_outlined =
      _MaterialSymbolsData(0x1f60, 'signal_wifi_off_outlined');
  static const signal_wifi_off_sharp =
      _MaterialSymbolsData(0x1f61, 'signal_wifi_off_sharp');
  static const signal_wifi_off =
      _MaterialSymbolsData(0x1f62, 'signal_wifi_off');
  static const signal_wifi_statusbar_not_connected_filled_outlined =
      _MaterialSymbolsData(
          0x1f63, 'signal_wifi_statusbar_not_connected_filled_outlined');
  static const signal_wifi_statusbar_not_connected_filled_sharp =
      _MaterialSymbolsData(
          0x1f64, 'signal_wifi_statusbar_not_connected_filled_sharp');
  static const signal_wifi_statusbar_not_connected_filled =
      _MaterialSymbolsData(
          0x1f65, 'signal_wifi_statusbar_not_connected_filled');
  static const signal_wifi_statusbar_not_connected_outlined =
      _MaterialSymbolsData(
          0x1f66, 'signal_wifi_statusbar_not_connected_outlined');
  static const signal_wifi_statusbar_not_connected_sharp =
      _MaterialSymbolsData(0x1f67, 'signal_wifi_statusbar_not_connected_sharp');
  static const signal_wifi_statusbar_not_connected =
      _MaterialSymbolsData(0x1f68, 'signal_wifi_statusbar_not_connected');
  static const signal_wifi_statusbar_null_filled_outlined =
      _MaterialSymbolsData(
          0x1f69, 'signal_wifi_statusbar_null_filled_outlined');
  static const signal_wifi_statusbar_null_filled_sharp =
      _MaterialSymbolsData(0x1f6a, 'signal_wifi_statusbar_null_filled_sharp');
  static const signal_wifi_statusbar_null_filled =
      _MaterialSymbolsData(0x1f6b, 'signal_wifi_statusbar_null_filled');
  static const signal_wifi_statusbar_null_outlined =
      _MaterialSymbolsData(0x1f6c, 'signal_wifi_statusbar_null_outlined');
  static const signal_wifi_statusbar_null_sharp =
      _MaterialSymbolsData(0x1f6d, 'signal_wifi_statusbar_null_sharp');
  static const signal_wifi_statusbar_null =
      _MaterialSymbolsData(0x1f6e, 'signal_wifi_statusbar_null');
  static const signpost_filled_outlined =
      _MaterialSymbolsData(0x1f6f, 'signpost_filled_outlined');
  static const signpost_filled_sharp =
      _MaterialSymbolsData(0x1f70, 'signpost_filled_sharp');
  static const signpost_filled =
      _MaterialSymbolsData(0x1f71, 'signpost_filled');
  static const signpost_outlined =
      _MaterialSymbolsData(0x1f72, 'signpost_outlined');
  static const signpost_sharp = _MaterialSymbolsData(0x1f73, 'signpost_sharp');
  static const signpost = _MaterialSymbolsData(0x1f74, 'signpost');
  static const sim_card_download_filled_outlined =
      _MaterialSymbolsData(0x1f75, 'sim_card_download_filled_outlined');
  static const sim_card_download_filled_sharp =
      _MaterialSymbolsData(0x1f76, 'sim_card_download_filled_sharp');
  static const sim_card_download_filled =
      _MaterialSymbolsData(0x1f77, 'sim_card_download_filled');
  static const sim_card_download_outlined =
      _MaterialSymbolsData(0x1f78, 'sim_card_download_outlined');
  static const sim_card_download_sharp =
      _MaterialSymbolsData(0x1f79, 'sim_card_download_sharp');
  static const sim_card_download =
      _MaterialSymbolsData(0x1f7a, 'sim_card_download');
  static const sim_card_filled_outlined =
      _MaterialSymbolsData(0x1f7b, 'sim_card_filled_outlined');
  static const sim_card_filled_sharp =
      _MaterialSymbolsData(0x1f7c, 'sim_card_filled_sharp');
  static const sim_card_filled =
      _MaterialSymbolsData(0x1f7d, 'sim_card_filled');
  static const sim_card_outlined =
      _MaterialSymbolsData(0x1f7e, 'sim_card_outlined');
  static const sim_card_sharp = _MaterialSymbolsData(0x1f7f, 'sim_card_sharp');
  static const sim_card = _MaterialSymbolsData(0x1f80, 'sim_card');
  static const single_bed_filled_outlined =
      _MaterialSymbolsData(0x1f81, 'single_bed_filled_outlined');
  static const single_bed_filled_sharp =
      _MaterialSymbolsData(0x1f82, 'single_bed_filled_sharp');
  static const single_bed_filled =
      _MaterialSymbolsData(0x1f83, 'single_bed_filled');
  static const single_bed_outlined =
      _MaterialSymbolsData(0x1f84, 'single_bed_outlined');
  static const single_bed_sharp =
      _MaterialSymbolsData(0x1f85, 'single_bed_sharp');
  static const single_bed = _MaterialSymbolsData(0x1f86, 'single_bed');
  static const sip_filled_outlined =
      _MaterialSymbolsData(0x1f87, 'sip_filled_outlined');
  static const sip_filled_sharp =
      _MaterialSymbolsData(0x1f88, 'sip_filled_sharp');
  static const sip_filled = _MaterialSymbolsData(0x1f89, 'sip_filled');
  static const sip_outlined = _MaterialSymbolsData(0x1f8a, 'sip_outlined');
  static const sip_sharp = _MaterialSymbolsData(0x1f8b, 'sip_sharp');
  static const sip = _MaterialSymbolsData(0x1f8c, 'sip');
  static const skateboarding_filled_outlined =
      _MaterialSymbolsData(0x1f8d, 'skateboarding_filled_outlined');
  static const skateboarding_filled_sharp =
      _MaterialSymbolsData(0x1f8e, 'skateboarding_filled_sharp');
  static const skateboarding_filled =
      _MaterialSymbolsData(0x1f8f, 'skateboarding_filled');
  static const skateboarding_outlined =
      _MaterialSymbolsData(0x1f90, 'skateboarding_outlined');
  static const skateboarding_sharp =
      _MaterialSymbolsData(0x1f91, 'skateboarding_sharp');
  static const skateboarding = _MaterialSymbolsData(0x1f92, 'skateboarding');
  static const skeleton_filled_outlined =
      _MaterialSymbolsData(0x1f93, 'skeleton_filled_outlined');
  static const skeleton_filled_sharp =
      _MaterialSymbolsData(0x1f94, 'skeleton_filled_sharp');
  static const skeleton_filled =
      _MaterialSymbolsData(0x1f95, 'skeleton_filled');
  static const skeleton_outlined =
      _MaterialSymbolsData(0x1f96, 'skeleton_outlined');
  static const skeleton_sharp = _MaterialSymbolsData(0x1f97, 'skeleton_sharp');
  static const skeleton = _MaterialSymbolsData(0x1f98, 'skeleton');
  static const skip_next_filled_outlined =
      _MaterialSymbolsData(0x1f99, 'skip_next_filled_outlined');
  static const skip_next_filled_sharp =
      _MaterialSymbolsData(0x1f9a, 'skip_next_filled_sharp');
  static const skip_next_filled =
      _MaterialSymbolsData(0x1f9b, 'skip_next_filled');
  static const skip_next_outlined =
      _MaterialSymbolsData(0x1f9c, 'skip_next_outlined');
  static const skip_next_sharp =
      _MaterialSymbolsData(0x1f9d, 'skip_next_sharp');
  static const skip_next = _MaterialSymbolsData(0x1f9e, 'skip_next');
  static const skip_previous_filled_outlined =
      _MaterialSymbolsData(0x1f9f, 'skip_previous_filled_outlined');
  static const skip_previous_filled_sharp =
      _MaterialSymbolsData(0x1fa0, 'skip_previous_filled_sharp');
  static const skip_previous_filled =
      _MaterialSymbolsData(0x1fa1, 'skip_previous_filled');
  static const skip_previous_outlined =
      _MaterialSymbolsData(0x1fa2, 'skip_previous_outlined');
  static const skip_previous_sharp =
      _MaterialSymbolsData(0x1fa3, 'skip_previous_sharp');
  static const skip_previous = _MaterialSymbolsData(0x1fa4, 'skip_previous');
  static const skull_filled_outlined =
      _MaterialSymbolsData(0x1fa5, 'skull_filled_outlined');
  static const skull_filled_sharp =
      _MaterialSymbolsData(0x1fa6, 'skull_filled_sharp');
  static const skull_filled = _MaterialSymbolsData(0x1fa7, 'skull_filled');
  static const skull_outlined = _MaterialSymbolsData(0x1fa8, 'skull_outlined');
  static const skull_sharp = _MaterialSymbolsData(0x1fa9, 'skull_sharp');
  static const skull = _MaterialSymbolsData(0x1faa, 'skull');
  static const sledding_filled_outlined =
      _MaterialSymbolsData(0x1fab, 'sledding_filled_outlined');
  static const sledding_filled_sharp =
      _MaterialSymbolsData(0x1fac, 'sledding_filled_sharp');
  static const sledding_filled =
      _MaterialSymbolsData(0x1fad, 'sledding_filled');
  static const sledding_outlined =
      _MaterialSymbolsData(0x1fae, 'sledding_outlined');
  static const sledding_sharp = _MaterialSymbolsData(0x1faf, 'sledding_sharp');
  static const sledding = _MaterialSymbolsData(0x1fb0, 'sledding');
  static const slide_library_filled_outlined =
      _MaterialSymbolsData(0x1fb1, 'slide_library_filled_outlined');
  static const slide_library_filled_sharp =
      _MaterialSymbolsData(0x1fb2, 'slide_library_filled_sharp');
  static const slide_library_filled =
      _MaterialSymbolsData(0x1fb3, 'slide_library_filled');
  static const slide_library_outlined =
      _MaterialSymbolsData(0x1fb4, 'slide_library_outlined');
  static const slide_library_sharp =
      _MaterialSymbolsData(0x1fb5, 'slide_library_sharp');
  static const slide_library = _MaterialSymbolsData(0x1fb6, 'slide_library');
  static const slideshow_filled_outlined =
      _MaterialSymbolsData(0x1fb7, 'slideshow_filled_outlined');
  static const slideshow_filled_sharp =
      _MaterialSymbolsData(0x1fb8, 'slideshow_filled_sharp');
  static const slideshow_filled =
      _MaterialSymbolsData(0x1fb9, 'slideshow_filled');
  static const slideshow_outlined =
      _MaterialSymbolsData(0x1fba, 'slideshow_outlined');
  static const slideshow_sharp =
      _MaterialSymbolsData(0x1fbb, 'slideshow_sharp');
  static const slideshow = _MaterialSymbolsData(0x1fbc, 'slideshow');
  static const slow_motion_video_filled_outlined =
      _MaterialSymbolsData(0x1fbd, 'slow_motion_video_filled_outlined');
  static const slow_motion_video_filled_sharp =
      _MaterialSymbolsData(0x1fbe, 'slow_motion_video_filled_sharp');
  static const slow_motion_video_filled =
      _MaterialSymbolsData(0x1fbf, 'slow_motion_video_filled');
  static const slow_motion_video_outlined =
      _MaterialSymbolsData(0x1fc0, 'slow_motion_video_outlined');
  static const slow_motion_video_sharp =
      _MaterialSymbolsData(0x1fc1, 'slow_motion_video_sharp');
  static const slow_motion_video =
      _MaterialSymbolsData(0x1fc2, 'slow_motion_video');
  static const smart_button_filled_outlined =
      _MaterialSymbolsData(0x1fc3, 'smart_button_filled_outlined');
  static const smart_button_filled_sharp =
      _MaterialSymbolsData(0x1fc4, 'smart_button_filled_sharp');
  static const smart_button_filled =
      _MaterialSymbolsData(0x1fc5, 'smart_button_filled');
  static const smart_button_outlined =
      _MaterialSymbolsData(0x1fc6, 'smart_button_outlined');
  static const smart_button_sharp =
      _MaterialSymbolsData(0x1fc7, 'smart_button_sharp');
  static const smart_button = _MaterialSymbolsData(0x1fc8, 'smart_button');
  static const smart_display_filled_outlined =
      _MaterialSymbolsData(0x1fc9, 'smart_display_filled_outlined');
  static const smart_display_filled_sharp =
      _MaterialSymbolsData(0x1fca, 'smart_display_filled_sharp');
  static const smart_display_filled =
      _MaterialSymbolsData(0x1fcb, 'smart_display_filled');
  static const smart_display_outlined =
      _MaterialSymbolsData(0x1fcc, 'smart_display_outlined');
  static const smart_display_sharp =
      _MaterialSymbolsData(0x1fcd, 'smart_display_sharp');
  static const smart_display = _MaterialSymbolsData(0x1fce, 'smart_display');
  static const smart_outlet_filled_outlined =
      _MaterialSymbolsData(0x1fcf, 'smart_outlet_filled_outlined');
  static const smart_outlet_filled_sharp =
      _MaterialSymbolsData(0x1fd0, 'smart_outlet_filled_sharp');
  static const smart_outlet_filled =
      _MaterialSymbolsData(0x1fd1, 'smart_outlet_filled');
  static const smart_outlet_outlined =
      _MaterialSymbolsData(0x1fd2, 'smart_outlet_outlined');
  static const smart_outlet_sharp =
      _MaterialSymbolsData(0x1fd3, 'smart_outlet_sharp');
  static const smart_outlet = _MaterialSymbolsData(0x1fd4, 'smart_outlet');
  static const smart_screen_filled_outlined =
      _MaterialSymbolsData(0x1fd5, 'smart_screen_filled_outlined');
  static const smart_screen_filled_sharp =
      _MaterialSymbolsData(0x1fd6, 'smart_screen_filled_sharp');
  static const smart_screen_filled =
      _MaterialSymbolsData(0x1fd7, 'smart_screen_filled');
  static const smart_screen_outlined =
      _MaterialSymbolsData(0x1fd8, 'smart_screen_outlined');
  static const smart_screen_sharp =
      _MaterialSymbolsData(0x1fd9, 'smart_screen_sharp');
  static const smart_screen = _MaterialSymbolsData(0x1fda, 'smart_screen');
  static const smart_toy_filled_outlined =
      _MaterialSymbolsData(0x1fdb, 'smart_toy_filled_outlined');
  static const smart_toy_filled_sharp =
      _MaterialSymbolsData(0x1fdc, 'smart_toy_filled_sharp');
  static const smart_toy_filled =
      _MaterialSymbolsData(0x1fdd, 'smart_toy_filled');
  static const smart_toy_outlined =
      _MaterialSymbolsData(0x1fde, 'smart_toy_outlined');
  static const smart_toy_sharp =
      _MaterialSymbolsData(0x1fdf, 'smart_toy_sharp');
  static const smart_toy = _MaterialSymbolsData(0x1fe0, 'smart_toy');
  static const smartphone_filled_outlined =
      _MaterialSymbolsData(0x1fe1, 'smartphone_filled_outlined');
  static const smartphone_filled_sharp =
      _MaterialSymbolsData(0x1fe2, 'smartphone_filled_sharp');
  static const smartphone_filled =
      _MaterialSymbolsData(0x1fe3, 'smartphone_filled');
  static const smartphone_outlined =
      _MaterialSymbolsData(0x1fe4, 'smartphone_outlined');
  static const smartphone_sharp =
      _MaterialSymbolsData(0x1fe5, 'smartphone_sharp');
  static const smartphone = _MaterialSymbolsData(0x1fe6, 'smartphone');
  static const smoke_free_filled_outlined =
      _MaterialSymbolsData(0x1fe7, 'smoke_free_filled_outlined');
  static const smoke_free_filled_sharp =
      _MaterialSymbolsData(0x1fe8, 'smoke_free_filled_sharp');
  static const smoke_free_filled =
      _MaterialSymbolsData(0x1fe9, 'smoke_free_filled');
  static const smoke_free_outlined =
      _MaterialSymbolsData(0x1fea, 'smoke_free_outlined');
  static const smoke_free_sharp =
      _MaterialSymbolsData(0x1feb, 'smoke_free_sharp');
  static const smoke_free = _MaterialSymbolsData(0x1fec, 'smoke_free');
  static const smoking_rooms_filled_outlined =
      _MaterialSymbolsData(0x1fed, 'smoking_rooms_filled_outlined');
  static const smoking_rooms_filled_sharp =
      _MaterialSymbolsData(0x1fee, 'smoking_rooms_filled_sharp');
  static const smoking_rooms_filled =
      _MaterialSymbolsData(0x1fef, 'smoking_rooms_filled');
  static const smoking_rooms_outlined =
      _MaterialSymbolsData(0x1ff0, 'smoking_rooms_outlined');
  static const smoking_rooms_sharp =
      _MaterialSymbolsData(0x1ff1, 'smoking_rooms_sharp');
  static const smoking_rooms = _MaterialSymbolsData(0x1ff2, 'smoking_rooms');
  static const sms_failed_filled_outlined =
      _MaterialSymbolsData(0x1ff3, 'sms_failed_filled_outlined');
  static const sms_failed_filled_sharp =
      _MaterialSymbolsData(0x1ff4, 'sms_failed_filled_sharp');
  static const sms_failed_filled =
      _MaterialSymbolsData(0x1ff5, 'sms_failed_filled');
  static const sms_failed_outlined =
      _MaterialSymbolsData(0x1ff6, 'sms_failed_outlined');
  static const sms_failed_sharp =
      _MaterialSymbolsData(0x1ff7, 'sms_failed_sharp');
  static const sms_failed = _MaterialSymbolsData(0x1ff8, 'sms_failed');
  static const sms_filled_outlined =
      _MaterialSymbolsData(0x1ff9, 'sms_filled_outlined');
  static const sms_filled_sharp =
      _MaterialSymbolsData(0x1ffa, 'sms_filled_sharp');
  static const sms_filled = _MaterialSymbolsData(0x1ffb, 'sms_filled');
  static const sms_outlined = _MaterialSymbolsData(0x1ffc, 'sms_outlined');
  static const sms_sharp = _MaterialSymbolsData(0x1ffd, 'sms_sharp');
  static const sms = _MaterialSymbolsData(0x1ffe, 'sms');
  static const snippet_folder_filled_outlined =
      _MaterialSymbolsData(0x1fff, 'snippet_folder_filled_outlined');
  static const snippet_folder_filled_sharp =
      _MaterialSymbolsData(0x2000, 'snippet_folder_filled_sharp');
  static const snippet_folder_filled =
      _MaterialSymbolsData(0x2001, 'snippet_folder_filled');
  static const snippet_folder_outlined =
      _MaterialSymbolsData(0x2002, 'snippet_folder_outlined');
  static const snippet_folder_sharp =
      _MaterialSymbolsData(0x2003, 'snippet_folder_sharp');
  static const snippet_folder = _MaterialSymbolsData(0x2004, 'snippet_folder');
  static const snooze_filled_outlined =
      _MaterialSymbolsData(0x2005, 'snooze_filled_outlined');
  static const snooze_filled_sharp =
      _MaterialSymbolsData(0x2006, 'snooze_filled_sharp');
  static const snooze_filled = _MaterialSymbolsData(0x2007, 'snooze_filled');
  static const snooze_outlined =
      _MaterialSymbolsData(0x2008, 'snooze_outlined');
  static const snooze_sharp = _MaterialSymbolsData(0x2009, 'snooze_sharp');
  static const snooze = _MaterialSymbolsData(0x200a, 'snooze');
  static const snowboarding_filled_outlined =
      _MaterialSymbolsData(0x200b, 'snowboarding_filled_outlined');
  static const snowboarding_filled_sharp =
      _MaterialSymbolsData(0x200c, 'snowboarding_filled_sharp');
  static const snowboarding_filled =
      _MaterialSymbolsData(0x200d, 'snowboarding_filled');
  static const snowboarding_outlined =
      _MaterialSymbolsData(0x200e, 'snowboarding_outlined');
  static const snowboarding_sharp =
      _MaterialSymbolsData(0x200f, 'snowboarding_sharp');
  static const snowboarding = _MaterialSymbolsData(0x2010, 'snowboarding');
  static const snowing_filled_outlined =
      _MaterialSymbolsData(0x2011, 'snowing_filled_outlined');
  static const snowing_filled_sharp =
      _MaterialSymbolsData(0x2012, 'snowing_filled_sharp');
  static const snowing_filled = _MaterialSymbolsData(0x2013, 'snowing_filled');
  static const snowing_outlined =
      _MaterialSymbolsData(0x2014, 'snowing_outlined');
  static const snowing_sharp = _MaterialSymbolsData(0x2015, 'snowing_sharp');
  static const snowing = _MaterialSymbolsData(0x2016, 'snowing');
  static const snowmobile_filled_outlined =
      _MaterialSymbolsData(0x2017, 'snowmobile_filled_outlined');
  static const snowmobile_filled_sharp =
      _MaterialSymbolsData(0x2018, 'snowmobile_filled_sharp');
  static const snowmobile_filled =
      _MaterialSymbolsData(0x2019, 'snowmobile_filled');
  static const snowmobile_outlined =
      _MaterialSymbolsData(0x201a, 'snowmobile_outlined');
  static const snowmobile_sharp =
      _MaterialSymbolsData(0x201b, 'snowmobile_sharp');
  static const snowmobile = _MaterialSymbolsData(0x201c, 'snowmobile');
  static const snowshoeing_filled_outlined =
      _MaterialSymbolsData(0x201d, 'snowshoeing_filled_outlined');
  static const snowshoeing_filled_sharp =
      _MaterialSymbolsData(0x201e, 'snowshoeing_filled_sharp');
  static const snowshoeing_filled =
      _MaterialSymbolsData(0x201f, 'snowshoeing_filled');
  static const snowshoeing_outlined =
      _MaterialSymbolsData(0x2020, 'snowshoeing_outlined');
  static const snowshoeing_sharp =
      _MaterialSymbolsData(0x2021, 'snowshoeing_sharp');
  static const snowshoeing = _MaterialSymbolsData(0x2022, 'snowshoeing');
  static const soap_filled_outlined =
      _MaterialSymbolsData(0x2023, 'soap_filled_outlined');
  static const soap_filled_sharp =
      _MaterialSymbolsData(0x2024, 'soap_filled_sharp');
  static const soap_filled = _MaterialSymbolsData(0x2025, 'soap_filled');
  static const soap_outlined = _MaterialSymbolsData(0x2026, 'soap_outlined');
  static const soap_sharp = _MaterialSymbolsData(0x2027, 'soap_sharp');
  static const soap = _MaterialSymbolsData(0x2028, 'soap');
  static const social_distance_filled_outlined =
      _MaterialSymbolsData(0x2029, 'social_distance_filled_outlined');
  static const social_distance_filled_sharp =
      _MaterialSymbolsData(0x202a, 'social_distance_filled_sharp');
  static const social_distance_filled =
      _MaterialSymbolsData(0x202b, 'social_distance_filled');
  static const social_distance_outlined =
      _MaterialSymbolsData(0x202c, 'social_distance_outlined');
  static const social_distance_sharp =
      _MaterialSymbolsData(0x202d, 'social_distance_sharp');
  static const social_distance =
      _MaterialSymbolsData(0x202e, 'social_distance');
  static const solar_power_filled_outlined =
      _MaterialSymbolsData(0x202f, 'solar_power_filled_outlined');
  static const solar_power_filled_sharp =
      _MaterialSymbolsData(0x2030, 'solar_power_filled_sharp');
  static const solar_power_filled =
      _MaterialSymbolsData(0x2031, 'solar_power_filled');
  static const solar_power_outlined =
      _MaterialSymbolsData(0x2032, 'solar_power_outlined');
  static const solar_power_sharp =
      _MaterialSymbolsData(0x2033, 'solar_power_sharp');
  static const solar_power = _MaterialSymbolsData(0x2034, 'solar_power');
  static const sort_by_alpha_filled_outlined =
      _MaterialSymbolsData(0x2035, 'sort_by_alpha_filled_outlined');
  static const sort_by_alpha_filled_sharp =
      _MaterialSymbolsData(0x2036, 'sort_by_alpha_filled_sharp');
  static const sort_by_alpha_filled =
      _MaterialSymbolsData(0x2037, 'sort_by_alpha_filled');
  static const sort_by_alpha_outlined =
      _MaterialSymbolsData(0x2038, 'sort_by_alpha_outlined');
  static const sort_by_alpha_sharp =
      _MaterialSymbolsData(0x2039, 'sort_by_alpha_sharp');
  static const sort_by_alpha = _MaterialSymbolsData(0x203a, 'sort_by_alpha');
  static const sort_filled_outlined =
      _MaterialSymbolsData(0x203b, 'sort_filled_outlined');
  static const sort_filled_sharp =
      _MaterialSymbolsData(0x203c, 'sort_filled_sharp');
  static const sort_filled = _MaterialSymbolsData(0x203d, 'sort_filled');
  static const sort_outlined = _MaterialSymbolsData(0x203e, 'sort_outlined');
  static const sort_sharp = _MaterialSymbolsData(0x203f, 'sort_sharp');
  static const sort = _MaterialSymbolsData(0x2040, 'sort');
  static const sos_filled_outlined =
      _MaterialSymbolsData(0x2041, 'sos_filled_outlined');
  static const sos_filled_sharp =
      _MaterialSymbolsData(0x2042, 'sos_filled_sharp');
  static const sos_filled = _MaterialSymbolsData(0x2043, 'sos_filled');
  static const sos_outlined = _MaterialSymbolsData(0x2044, 'sos_outlined');
  static const sos_sharp = _MaterialSymbolsData(0x2045, 'sos_sharp');
  static const sos = _MaterialSymbolsData(0x2046, 'sos');
  static const sound_detection_dog_barking_filled_outlined =
      _MaterialSymbolsData(
          0x2047, 'sound_detection_dog_barking_filled_outlined');
  static const sound_detection_dog_barking_filled_sharp =
      _MaterialSymbolsData(0x2048, 'sound_detection_dog_barking_filled_sharp');
  static const sound_detection_dog_barking_filled =
      _MaterialSymbolsData(0x2049, 'sound_detection_dog_barking_filled');
  static const sound_detection_dog_barking_outlined =
      _MaterialSymbolsData(0x204a, 'sound_detection_dog_barking_outlined');
  static const sound_detection_dog_barking_sharp =
      _MaterialSymbolsData(0x204b, 'sound_detection_dog_barking_sharp');
  static const sound_detection_dog_barking =
      _MaterialSymbolsData(0x204c, 'sound_detection_dog_barking');
  static const sound_detection_glass_break_filled_outlined =
      _MaterialSymbolsData(
          0x204d, 'sound_detection_glass_break_filled_outlined');
  static const sound_detection_glass_break_filled_sharp =
      _MaterialSymbolsData(0x204e, 'sound_detection_glass_break_filled_sharp');
  static const sound_detection_glass_break_filled =
      _MaterialSymbolsData(0x204f, 'sound_detection_glass_break_filled');
  static const sound_detection_glass_break_outlined =
      _MaterialSymbolsData(0x2050, 'sound_detection_glass_break_outlined');
  static const sound_detection_glass_break_sharp =
      _MaterialSymbolsData(0x2051, 'sound_detection_glass_break_sharp');
  static const sound_detection_glass_break =
      _MaterialSymbolsData(0x2052, 'sound_detection_glass_break');
  static const sound_detection_loud_sound_filled_outlined =
      _MaterialSymbolsData(
          0x2053, 'sound_detection_loud_sound_filled_outlined');
  static const sound_detection_loud_sound_filled_sharp =
      _MaterialSymbolsData(0x2054, 'sound_detection_loud_sound_filled_sharp');
  static const sound_detection_loud_sound_filled =
      _MaterialSymbolsData(0x2055, 'sound_detection_loud_sound_filled');
  static const sound_detection_loud_sound_outlined =
      _MaterialSymbolsData(0x2056, 'sound_detection_loud_sound_outlined');
  static const sound_detection_loud_sound_sharp =
      _MaterialSymbolsData(0x2057, 'sound_detection_loud_sound_sharp');
  static const sound_detection_loud_sound =
      _MaterialSymbolsData(0x2058, 'sound_detection_loud_sound');
  static const soup_kitchen_filled_outlined =
      _MaterialSymbolsData(0x2059, 'soup_kitchen_filled_outlined');
  static const soup_kitchen_filled_sharp =
      _MaterialSymbolsData(0x205a, 'soup_kitchen_filled_sharp');
  static const soup_kitchen_filled =
      _MaterialSymbolsData(0x205b, 'soup_kitchen_filled');
  static const soup_kitchen_outlined =
      _MaterialSymbolsData(0x205c, 'soup_kitchen_outlined');
  static const soup_kitchen_sharp =
      _MaterialSymbolsData(0x205d, 'soup_kitchen_sharp');
  static const soup_kitchen = _MaterialSymbolsData(0x205e, 'soup_kitchen');
  static const source_notes_filled_outlined =
      _MaterialSymbolsData(0x205f, 'source_notes_filled_outlined');
  static const source_notes_filled_sharp =
      _MaterialSymbolsData(0x2060, 'source_notes_filled_sharp');
  static const source_notes_filled =
      _MaterialSymbolsData(0x2061, 'source_notes_filled');
  static const source_notes_outlined =
      _MaterialSymbolsData(0x2062, 'source_notes_outlined');
  static const source_notes_sharp =
      _MaterialSymbolsData(0x2063, 'source_notes_sharp');
  static const source_notes = _MaterialSymbolsData(0x2064, 'source_notes');
  static const south_america_filled_outlined =
      _MaterialSymbolsData(0x2065, 'south_america_filled_outlined');
  static const south_america_filled_sharp =
      _MaterialSymbolsData(0x2066, 'south_america_filled_sharp');
  static const south_america_filled =
      _MaterialSymbolsData(0x2067, 'south_america_filled');
  static const south_america_outlined =
      _MaterialSymbolsData(0x2068, 'south_america_outlined');
  static const south_america_sharp =
      _MaterialSymbolsData(0x2069, 'south_america_sharp');
  static const south_america = _MaterialSymbolsData(0x206a, 'south_america');
  static const south_east_filled_outlined =
      _MaterialSymbolsData(0x206b, 'south_east_filled_outlined');
  static const south_east_filled_sharp =
      _MaterialSymbolsData(0x206c, 'south_east_filled_sharp');
  static const south_east_filled =
      _MaterialSymbolsData(0x206d, 'south_east_filled');
  static const south_east_outlined =
      _MaterialSymbolsData(0x206e, 'south_east_outlined');
  static const south_east_sharp =
      _MaterialSymbolsData(0x206f, 'south_east_sharp');
  static const south_east = _MaterialSymbolsData(0x2070, 'south_east');
  static const south_filled_outlined =
      _MaterialSymbolsData(0x2071, 'south_filled_outlined');
  static const south_filled_sharp =
      _MaterialSymbolsData(0x2072, 'south_filled_sharp');
  static const south_filled = _MaterialSymbolsData(0x2073, 'south_filled');
  static const south_outlined = _MaterialSymbolsData(0x2074, 'south_outlined');
  static const south_sharp = _MaterialSymbolsData(0x2075, 'south_sharp');
  static const south_west_filled_outlined =
      _MaterialSymbolsData(0x2076, 'south_west_filled_outlined');
  static const south_west_filled_sharp =
      _MaterialSymbolsData(0x2077, 'south_west_filled_sharp');
  static const south_west_filled =
      _MaterialSymbolsData(0x2078, 'south_west_filled');
  static const south_west_outlined =
      _MaterialSymbolsData(0x2079, 'south_west_outlined');
  static const south_west_sharp =
      _MaterialSymbolsData(0x207a, 'south_west_sharp');
  static const south_west = _MaterialSymbolsData(0x207b, 'south_west');
  static const south = _MaterialSymbolsData(0x207c, 'south');
  static const spa_filled_outlined =
      _MaterialSymbolsData(0x207d, 'spa_filled_outlined');
  static const spa_filled_sharp =
      _MaterialSymbolsData(0x207e, 'spa_filled_sharp');
  static const spa_filled = _MaterialSymbolsData(0x207f, 'spa_filled');
  static const spa_outlined = _MaterialSymbolsData(0x2080, 'spa_outlined');
  static const spa_sharp = _MaterialSymbolsData(0x2081, 'spa_sharp');
  static const spa = _MaterialSymbolsData(0x2082, 'spa');
  static const space_bar_filled_outlined =
      _MaterialSymbolsData(0x2083, 'space_bar_filled_outlined');
  static const space_bar_filled_sharp =
      _MaterialSymbolsData(0x2084, 'space_bar_filled_sharp');
  static const space_bar_filled =
      _MaterialSymbolsData(0x2085, 'space_bar_filled');
  static const space_bar_outlined =
      _MaterialSymbolsData(0x2086, 'space_bar_outlined');
  static const space_bar_sharp =
      _MaterialSymbolsData(0x2087, 'space_bar_sharp');
  static const space_bar = _MaterialSymbolsData(0x2088, 'space_bar');
  static const space_dashboard_filled_outlined =
      _MaterialSymbolsData(0x2089, 'space_dashboard_filled_outlined');
  static const space_dashboard_filled_sharp =
      _MaterialSymbolsData(0x208a, 'space_dashboard_filled_sharp');
  static const space_dashboard_filled =
      _MaterialSymbolsData(0x208b, 'space_dashboard_filled');
  static const space_dashboard_outlined =
      _MaterialSymbolsData(0x208c, 'space_dashboard_outlined');
  static const space_dashboard_sharp =
      _MaterialSymbolsData(0x208d, 'space_dashboard_sharp');
  static const space_dashboard =
      _MaterialSymbolsData(0x208e, 'space_dashboard');
  static const spatial_audio_filled_outlined =
      _MaterialSymbolsData(0x208f, 'spatial_audio_filled_outlined');
  static const spatial_audio_filled_sharp =
      _MaterialSymbolsData(0x2090, 'spatial_audio_filled_sharp');
  static const spatial_audio_filled =
      _MaterialSymbolsData(0x2091, 'spatial_audio_filled');
  static const spatial_audio_off_filled_outlined =
      _MaterialSymbolsData(0x2092, 'spatial_audio_off_filled_outlined');
  static const spatial_audio_off_filled_sharp =
      _MaterialSymbolsData(0x2093, 'spatial_audio_off_filled_sharp');
  static const spatial_audio_off_filled =
      _MaterialSymbolsData(0x2094, 'spatial_audio_off_filled');
  static const spatial_audio_off_outlined =
      _MaterialSymbolsData(0x2095, 'spatial_audio_off_outlined');
  static const spatial_audio_off_sharp =
      _MaterialSymbolsData(0x2096, 'spatial_audio_off_sharp');
  static const spatial_audio_off =
      _MaterialSymbolsData(0x2097, 'spatial_audio_off');
  static const spatial_audio_outlined =
      _MaterialSymbolsData(0x2098, 'spatial_audio_outlined');
  static const spatial_audio_sharp =
      _MaterialSymbolsData(0x2099, 'spatial_audio_sharp');
  static const spatial_audio = _MaterialSymbolsData(0x209a, 'spatial_audio');
  static const spatial_tracking_filled_outlined =
      _MaterialSymbolsData(0x209b, 'spatial_tracking_filled_outlined');
  static const spatial_tracking_filled_sharp =
      _MaterialSymbolsData(0x209c, 'spatial_tracking_filled_sharp');
  static const spatial_tracking_filled =
      _MaterialSymbolsData(0x209d, 'spatial_tracking_filled');
  static const spatial_tracking_outlined =
      _MaterialSymbolsData(0x209e, 'spatial_tracking_outlined');
  static const spatial_tracking_sharp =
      _MaterialSymbolsData(0x209f, 'spatial_tracking_sharp');
  static const spatial_tracking =
      _MaterialSymbolsData(0x20a0, 'spatial_tracking');
  static const speaker_filled_outlined =
      _MaterialSymbolsData(0x20a1, 'speaker_filled_outlined');
  static const speaker_filled_sharp =
      _MaterialSymbolsData(0x20a2, 'speaker_filled_sharp');
  static const speaker_filled = _MaterialSymbolsData(0x20a3, 'speaker_filled');
  static const speaker_group_filled_outlined =
      _MaterialSymbolsData(0x20a4, 'speaker_group_filled_outlined');
  static const speaker_group_filled_sharp =
      _MaterialSymbolsData(0x20a5, 'speaker_group_filled_sharp');
  static const speaker_group_filled =
      _MaterialSymbolsData(0x20a6, 'speaker_group_filled');
  static const speaker_group_outlined =
      _MaterialSymbolsData(0x20a7, 'speaker_group_outlined');
  static const speaker_group_sharp =
      _MaterialSymbolsData(0x20a8, 'speaker_group_sharp');
  static const speaker_group = _MaterialSymbolsData(0x20a9, 'speaker_group');
  static const speaker_notes_filled_outlined =
      _MaterialSymbolsData(0x20aa, 'speaker_notes_filled_outlined');
  static const speaker_notes_filled_sharp =
      _MaterialSymbolsData(0x20ab, 'speaker_notes_filled_sharp');
  static const speaker_notes_filled =
      _MaterialSymbolsData(0x20ac, 'speaker_notes_filled');
  static const speaker_notes_off_filled_outlined =
      _MaterialSymbolsData(0x20ad, 'speaker_notes_off_filled_outlined');
  static const speaker_notes_off_filled_sharp =
      _MaterialSymbolsData(0x20ae, 'speaker_notes_off_filled_sharp');
  static const speaker_notes_off_filled =
      _MaterialSymbolsData(0x20af, 'speaker_notes_off_filled');
  static const speaker_notes_off_outlined =
      _MaterialSymbolsData(0x20b0, 'speaker_notes_off_outlined');
  static const speaker_notes_off_sharp =
      _MaterialSymbolsData(0x20b1, 'speaker_notes_off_sharp');
  static const speaker_notes_off =
      _MaterialSymbolsData(0x20b2, 'speaker_notes_off');
  static const speaker_notes_outlined =
      _MaterialSymbolsData(0x20b3, 'speaker_notes_outlined');
  static const speaker_notes_sharp =
      _MaterialSymbolsData(0x20b4, 'speaker_notes_sharp');
  static const speaker_notes = _MaterialSymbolsData(0x20b5, 'speaker_notes');
  static const speaker_outlined =
      _MaterialSymbolsData(0x20b6, 'speaker_outlined');
  static const speaker_phone_filled_outlined =
      _MaterialSymbolsData(0x20b7, 'speaker_phone_filled_outlined');
  static const speaker_phone_filled_sharp =
      _MaterialSymbolsData(0x20b8, 'speaker_phone_filled_sharp');
  static const speaker_phone_filled =
      _MaterialSymbolsData(0x20b9, 'speaker_phone_filled');
  static const speaker_phone_outlined =
      _MaterialSymbolsData(0x20ba, 'speaker_phone_outlined');
  static const speaker_phone_sharp =
      _MaterialSymbolsData(0x20bb, 'speaker_phone_sharp');
  static const speaker_phone = _MaterialSymbolsData(0x20bc, 'speaker_phone');
  static const speaker_sharp = _MaterialSymbolsData(0x20bd, 'speaker_sharp');
  static const speaker = _MaterialSymbolsData(0x20be, 'speaker');
  static const specific_gravity_filled_outlined =
      _MaterialSymbolsData(0x20bf, 'specific_gravity_filled_outlined');
  static const specific_gravity_filled_sharp =
      _MaterialSymbolsData(0x20c0, 'specific_gravity_filled_sharp');
  static const specific_gravity_filled =
      _MaterialSymbolsData(0x20c1, 'specific_gravity_filled');
  static const specific_gravity_outlined =
      _MaterialSymbolsData(0x20c2, 'specific_gravity_outlined');
  static const specific_gravity_sharp =
      _MaterialSymbolsData(0x20c3, 'specific_gravity_sharp');
  static const specific_gravity =
      _MaterialSymbolsData(0x20c4, 'specific_gravity');
  static const speech_to_text_filled_outlined =
      _MaterialSymbolsData(0x20c5, 'speech_to_text_filled_outlined');
  static const speech_to_text_filled_sharp =
      _MaterialSymbolsData(0x20c6, 'speech_to_text_filled_sharp');
  static const speech_to_text_filled =
      _MaterialSymbolsData(0x20c7, 'speech_to_text_filled');
  static const speech_to_text_outlined =
      _MaterialSymbolsData(0x20c8, 'speech_to_text_outlined');
  static const speech_to_text_sharp =
      _MaterialSymbolsData(0x20c9, 'speech_to_text_sharp');
  static const speech_to_text = _MaterialSymbolsData(0x20ca, 'speech_to_text');
  static const speed_filled_outlined =
      _MaterialSymbolsData(0x20cb, 'speed_filled_outlined');
  static const speed_filled_sharp =
      _MaterialSymbolsData(0x20cc, 'speed_filled_sharp');
  static const speed_filled = _MaterialSymbolsData(0x20cd, 'speed_filled');
  static const speed_outlined = _MaterialSymbolsData(0x20ce, 'speed_outlined');
  static const speed_sharp = _MaterialSymbolsData(0x20cf, 'speed_sharp');
  static const speed = _MaterialSymbolsData(0x20d0, 'speed');
  static const spellcheck_filled_outlined =
      _MaterialSymbolsData(0x20d1, 'spellcheck_filled_outlined');
  static const spellcheck_filled_sharp =
      _MaterialSymbolsData(0x20d2, 'spellcheck_filled_sharp');
  static const spellcheck_filled =
      _MaterialSymbolsData(0x20d3, 'spellcheck_filled');
  static const spellcheck_outlined =
      _MaterialSymbolsData(0x20d4, 'spellcheck_outlined');
  static const spellcheck_sharp =
      _MaterialSymbolsData(0x20d5, 'spellcheck_sharp');
  static const spellcheck = _MaterialSymbolsData(0x20d6, 'spellcheck');
  static const splitscreen_filled_outlined =
      _MaterialSymbolsData(0x20d7, 'splitscreen_filled_outlined');
  static const splitscreen_filled_sharp =
      _MaterialSymbolsData(0x20d8, 'splitscreen_filled_sharp');
  static const splitscreen_filled =
      _MaterialSymbolsData(0x20d9, 'splitscreen_filled');
  static const splitscreen_outlined =
      _MaterialSymbolsData(0x20da, 'splitscreen_outlined');
  static const splitscreen_sharp =
      _MaterialSymbolsData(0x20db, 'splitscreen_sharp');
  static const splitscreen = _MaterialSymbolsData(0x20dc, 'splitscreen');
  static const spoke_filled_outlined =
      _MaterialSymbolsData(0x20dd, 'spoke_filled_outlined');
  static const spoke_filled_sharp =
      _MaterialSymbolsData(0x20de, 'spoke_filled_sharp');
  static const spoke_filled = _MaterialSymbolsData(0x20df, 'spoke_filled');
  static const spoke_outlined = _MaterialSymbolsData(0x20e0, 'spoke_outlined');
  static const spoke_sharp = _MaterialSymbolsData(0x20e1, 'spoke_sharp');
  static const spoke = _MaterialSymbolsData(0x20e2, 'spoke');
  static const sports_bar_filled_outlined =
      _MaterialSymbolsData(0x20e3, 'sports_bar_filled_outlined');
  static const sports_bar_filled_sharp =
      _MaterialSymbolsData(0x20e4, 'sports_bar_filled_sharp');
  static const sports_bar_filled =
      _MaterialSymbolsData(0x20e5, 'sports_bar_filled');
  static const sports_bar_outlined =
      _MaterialSymbolsData(0x20e6, 'sports_bar_outlined');
  static const sports_bar_sharp =
      _MaterialSymbolsData(0x20e7, 'sports_bar_sharp');
  static const sports_bar = _MaterialSymbolsData(0x20e8, 'sports_bar');
  static const sports_baseball_filled_outlined =
      _MaterialSymbolsData(0x20e9, 'sports_baseball_filled_outlined');
  static const sports_baseball_filled_sharp =
      _MaterialSymbolsData(0x20ea, 'sports_baseball_filled_sharp');
  static const sports_baseball_filled =
      _MaterialSymbolsData(0x20eb, 'sports_baseball_filled');
  static const sports_baseball_outlined =
      _MaterialSymbolsData(0x20ec, 'sports_baseball_outlined');
  static const sports_baseball_sharp =
      _MaterialSymbolsData(0x20ed, 'sports_baseball_sharp');
  static const sports_baseball =
      _MaterialSymbolsData(0x20ee, 'sports_baseball');
  static const sports_basketball_filled_outlined =
      _MaterialSymbolsData(0x20ef, 'sports_basketball_filled_outlined');
  static const sports_basketball_filled_sharp =
      _MaterialSymbolsData(0x20f0, 'sports_basketball_filled_sharp');
  static const sports_basketball_filled =
      _MaterialSymbolsData(0x20f1, 'sports_basketball_filled');
  static const sports_basketball_outlined =
      _MaterialSymbolsData(0x20f2, 'sports_basketball_outlined');
  static const sports_basketball_sharp =
      _MaterialSymbolsData(0x20f3, 'sports_basketball_sharp');
  static const sports_basketball =
      _MaterialSymbolsData(0x20f4, 'sports_basketball');
  static const sports_cricket_filled_outlined =
      _MaterialSymbolsData(0x20f5, 'sports_cricket_filled_outlined');
  static const sports_cricket_filled_sharp =
      _MaterialSymbolsData(0x20f6, 'sports_cricket_filled_sharp');
  static const sports_cricket_filled =
      _MaterialSymbolsData(0x20f7, 'sports_cricket_filled');
  static const sports_cricket_outlined =
      _MaterialSymbolsData(0x20f8, 'sports_cricket_outlined');
  static const sports_cricket_sharp =
      _MaterialSymbolsData(0x20f9, 'sports_cricket_sharp');
  static const sports_cricket = _MaterialSymbolsData(0x20fa, 'sports_cricket');
  static const sports_esports_filled_outlined =
      _MaterialSymbolsData(0x20fb, 'sports_esports_filled_outlined');
  static const sports_esports_filled_sharp =
      _MaterialSymbolsData(0x20fc, 'sports_esports_filled_sharp');
  static const sports_esports_filled =
      _MaterialSymbolsData(0x20fd, 'sports_esports_filled');
  static const sports_esports_outlined =
      _MaterialSymbolsData(0x20fe, 'sports_esports_outlined');
  static const sports_esports_sharp =
      _MaterialSymbolsData(0x20ff, 'sports_esports_sharp');
  static const sports_esports = _MaterialSymbolsData(0x2100, 'sports_esports');
  static const sports_filled_outlined =
      _MaterialSymbolsData(0x2101, 'sports_filled_outlined');
  static const sports_filled_sharp =
      _MaterialSymbolsData(0x2102, 'sports_filled_sharp');
  static const sports_filled = _MaterialSymbolsData(0x213, 'sports_filled');
  static const sports_football_filled_outlined =
      _MaterialSymbolsData(0x214, 'sports_football_filled_outlined');
  static const sports_football_filled_sharp =
      _MaterialSymbolsData(0x215, 'sports_football_filled_sharp');
  static const sports_football_filled =
      _MaterialSymbolsData(0x216, 'sports_football_filled');
  static const sports_football_outlined =
      _MaterialSymbolsData(0x217, 'sports_football_outlined');
  static const sports_football_sharp =
      _MaterialSymbolsData(0x218, 'sports_football_sharp');
  static const sports_football = _MaterialSymbolsData(0x219, 'sports_football');
  static const sports_golf_filled_outlined =
      _MaterialSymbolsData(0x21a, 'sports_golf_filled_outlined');
  static const sports_golf_filled_sharp =
      _MaterialSymbolsData(0x21b, 'sports_golf_filled_sharp');
  static const sports_golf_filled =
      _MaterialSymbolsData(0x21c, 'sports_golf_filled');
  static const sports_golf_outlined =
      _MaterialSymbolsData(0x21d, 'sports_golf_outlined');
  static const sports_golf_sharp =
      _MaterialSymbolsData(0x21e, 'sports_golf_sharp');
  static const sports_golf = _MaterialSymbolsData(0x21f, 'sports_golf');
  static const sports_gymnastics_filled_outlined =
      _MaterialSymbolsData(0x2110, 'sports_gymnastics_filled_outlined');
  static const sports_gymnastics_filled_sharp =
      _MaterialSymbolsData(0x2111, 'sports_gymnastics_filled_sharp');
  static const sports_gymnastics_filled =
      _MaterialSymbolsData(0x2112, 'sports_gymnastics_filled');
  static const sports_gymnastics_outlined =
      _MaterialSymbolsData(0x2113, 'sports_gymnastics_outlined');
  static const sports_gymnastics_sharp =
      _MaterialSymbolsData(0x2114, 'sports_gymnastics_sharp');
  static const sports_gymnastics =
      _MaterialSymbolsData(0x2115, 'sports_gymnastics');
  static const sports_handball_filled_outlined =
      _MaterialSymbolsData(0x2116, 'sports_handball_filled_outlined');
  static const sports_handball_filled_sharp =
      _MaterialSymbolsData(0x2117, 'sports_handball_filled_sharp');
  static const sports_handball_filled =
      _MaterialSymbolsData(0x2118, 'sports_handball_filled');
  static const sports_handball_outlined =
      _MaterialSymbolsData(0x2119, 'sports_handball_outlined');
  static const sports_handball_sharp =
      _MaterialSymbolsData(0x211a, 'sports_handball_sharp');
  static const sports_handball =
      _MaterialSymbolsData(0x211b, 'sports_handball');
  static const sports_hockey_filled_outlined =
      _MaterialSymbolsData(0x211c, 'sports_hockey_filled_outlined');
  static const sports_hockey_filled_sharp =
      _MaterialSymbolsData(0x211d, 'sports_hockey_filled_sharp');
  static const sports_hockey_filled =
      _MaterialSymbolsData(0x211e, 'sports_hockey_filled');
  static const sports_hockey_outlined =
      _MaterialSymbolsData(0x211f, 'sports_hockey_outlined');
  static const sports_hockey_sharp =
      _MaterialSymbolsData(0x2120, 'sports_hockey_sharp');
  static const sports_hockey = _MaterialSymbolsData(0x2121, 'sports_hockey');
  static const sports_kabaddi_filled_outlined =
      _MaterialSymbolsData(0x2122, 'sports_kabaddi_filled_outlined');
  static const sports_kabaddi_filled_sharp =
      _MaterialSymbolsData(0x2123, 'sports_kabaddi_filled_sharp');
  static const sports_kabaddi_filled =
      _MaterialSymbolsData(0x2124, 'sports_kabaddi_filled');
  static const sports_kabaddi_outlined =
      _MaterialSymbolsData(0x2125, 'sports_kabaddi_outlined');
  static const sports_kabaddi_sharp =
      _MaterialSymbolsData(0x2126, 'sports_kabaddi_sharp');
  static const sports_kabaddi = _MaterialSymbolsData(0x2127, 'sports_kabaddi');
  static const sports_martial_arts_filled_outlined =
      _MaterialSymbolsData(0x2128, 'sports_martial_arts_filled_outlined');
  static const sports_martial_arts_filled_sharp =
      _MaterialSymbolsData(0x2129, 'sports_martial_arts_filled_sharp');
  static const sports_martial_arts_filled =
      _MaterialSymbolsData(0x212a, 'sports_martial_arts_filled');
  static const sports_martial_arts_outlined =
      _MaterialSymbolsData(0x212b, 'sports_martial_arts_outlined');
  static const sports_martial_arts_sharp =
      _MaterialSymbolsData(0x212c, 'sports_martial_arts_sharp');
  static const sports_martial_arts =
      _MaterialSymbolsData(0x212d, 'sports_martial_arts');
  static const sports_mma_filled_outlined =
      _MaterialSymbolsData(0x212e, 'sports_mma_filled_outlined');
  static const sports_mma_filled_sharp =
      _MaterialSymbolsData(0x212f, 'sports_mma_filled_sharp');
  static const sports_mma_filled =
      _MaterialSymbolsData(0x2130, 'sports_mma_filled');
  static const sports_mma_outlined =
      _MaterialSymbolsData(0x2131, 'sports_mma_outlined');
  static const sports_mma_sharp =
      _MaterialSymbolsData(0x2132, 'sports_mma_sharp');
  static const sports_mma = _MaterialSymbolsData(0x2133, 'sports_mma');
  static const sports_motorsports_filled_outlined =
      _MaterialSymbolsData(0x2134, 'sports_motorsports_filled_outlined');
  static const sports_motorsports_filled_sharp =
      _MaterialSymbolsData(0x2135, 'sports_motorsports_filled_sharp');
  static const sports_motorsports_filled =
      _MaterialSymbolsData(0x2136, 'sports_motorsports_filled');
  static const sports_motorsports_outlined =
      _MaterialSymbolsData(0x2137, 'sports_motorsports_outlined');
  static const sports_motorsports_sharp =
      _MaterialSymbolsData(0x2138, 'sports_motorsports_sharp');
  static const sports_motorsports =
      _MaterialSymbolsData(0x2139, 'sports_motorsports');
  static const sports_outlined =
      _MaterialSymbolsData(0x213a, 'sports_outlined');
  static const sports_rugby_filled_outlined =
      _MaterialSymbolsData(0x213b, 'sports_rugby_filled_outlined');
  static const sports_rugby_filled_sharp =
      _MaterialSymbolsData(0x213c, 'sports_rugby_filled_sharp');
  static const sports_rugby_filled =
      _MaterialSymbolsData(0x213d, 'sports_rugby_filled');
  static const sports_rugby_outlined =
      _MaterialSymbolsData(0x213e, 'sports_rugby_outlined');
  static const sports_rugby_sharp =
      _MaterialSymbolsData(0x213f, 'sports_rugby_sharp');
  static const sports_rugby = _MaterialSymbolsData(0x2140, 'sports_rugby');
  static const sports_score_filled_outlined =
      _MaterialSymbolsData(0x2141, 'sports_score_filled_outlined');
  static const sports_score_filled_sharp =
      _MaterialSymbolsData(0x2142, 'sports_score_filled_sharp');
  static const sports_score_filled =
      _MaterialSymbolsData(0x2143, 'sports_score_filled');
  static const sports_score_outlined =
      _MaterialSymbolsData(0x2144, 'sports_score_outlined');
  static const sports_score_sharp =
      _MaterialSymbolsData(0x2145, 'sports_score_sharp');
  static const sports_score = _MaterialSymbolsData(0x2146, 'sports_score');
  static const sports_sharp = _MaterialSymbolsData(0x2147, 'sports_sharp');
  static const sports_soccer_filled_outlined =
      _MaterialSymbolsData(0x2148, 'sports_soccer_filled_outlined');
  static const sports_soccer_filled_sharp =
      _MaterialSymbolsData(0x2149, 'sports_soccer_filled_sharp');
  static const sports_soccer_filled =
      _MaterialSymbolsData(0x214a, 'sports_soccer_filled');
  static const sports_soccer_outlined =
      _MaterialSymbolsData(0x214b, 'sports_soccer_outlined');
  static const sports_soccer_sharp =
      _MaterialSymbolsData(0x214c, 'sports_soccer_sharp');
  static const sports_soccer = _MaterialSymbolsData(0x214d, 'sports_soccer');
  static const sports_tennis_filled_outlined =
      _MaterialSymbolsData(0x214e, 'sports_tennis_filled_outlined');
  static const sports_tennis_filled_sharp =
      _MaterialSymbolsData(0x214f, 'sports_tennis_filled_sharp');
  static const sports_tennis_filled =
      _MaterialSymbolsData(0x2150, 'sports_tennis_filled');
  static const sports_tennis_outlined =
      _MaterialSymbolsData(0x2151, 'sports_tennis_outlined');
  static const sports_tennis_sharp =
      _MaterialSymbolsData(0x2152, 'sports_tennis_sharp');
  static const sports_tennis = _MaterialSymbolsData(0x2153, 'sports_tennis');
  static const sports_volleyball_filled_outlined =
      _MaterialSymbolsData(0x2154, 'sports_volleyball_filled_outlined');
  static const sports_volleyball_filled_sharp =
      _MaterialSymbolsData(0x2155, 'sports_volleyball_filled_sharp');
  static const sports_volleyball_filled =
      _MaterialSymbolsData(0x2156, 'sports_volleyball_filled');
  static const sports_volleyball_outlined =
      _MaterialSymbolsData(0x2157, 'sports_volleyball_outlined');
  static const sports_volleyball_sharp =
      _MaterialSymbolsData(0x2158, 'sports_volleyball_sharp');
  static const sports_volleyball =
      _MaterialSymbolsData(0x2159, 'sports_volleyball');
  static const sports = _MaterialSymbolsData(0x215a, 'sports');
  static const sprinkler_filled_outlined =
      _MaterialSymbolsData(0x215b, 'sprinkler_filled_outlined');
  static const sprinkler_filled_sharp =
      _MaterialSymbolsData(0x215c, 'sprinkler_filled_sharp');
  static const sprinkler_filled =
      _MaterialSymbolsData(0x215d, 'sprinkler_filled');
  static const sprinkler_outlined =
      _MaterialSymbolsData(0x215e, 'sprinkler_outlined');
  static const sprinkler_sharp =
      _MaterialSymbolsData(0x215f, 'sprinkler_sharp');
  static const sprinkler = _MaterialSymbolsData(0x2160, 'sprinkler');
  static const sprint_filled_outlined =
      _MaterialSymbolsData(0x2161, 'sprint_filled_outlined');
  static const sprint_filled_sharp =
      _MaterialSymbolsData(0x2162, 'sprint_filled_sharp');
  static const sprint_filled = _MaterialSymbolsData(0x2163, 'sprint_filled');
  static const sprint_outlined =
      _MaterialSymbolsData(0x2164, 'sprint_outlined');
  static const sprint_sharp = _MaterialSymbolsData(0x2165, 'sprint_sharp');
  static const sprint = _MaterialSymbolsData(0x2166, 'sprint');
  static const square_filled_outlined =
      _MaterialSymbolsData(0x2167, 'square_filled_outlined');
  static const square_filled_sharp =
      _MaterialSymbolsData(0x2168, 'square_filled_sharp');
  static const square_filled = _MaterialSymbolsData(0x2169, 'square_filled');
  static const square_foot_filled_outlined =
      _MaterialSymbolsData(0x216a, 'square_foot_filled_outlined');
  static const square_foot_filled_sharp =
      _MaterialSymbolsData(0x216b, 'square_foot_filled_sharp');
  static const square_foot_filled =
      _MaterialSymbolsData(0x216c, 'square_foot_filled');
  static const square_foot_outlined =
      _MaterialSymbolsData(0x216d, 'square_foot_outlined');
  static const square_foot_sharp =
      _MaterialSymbolsData(0x216e, 'square_foot_sharp');
  static const square_foot = _MaterialSymbolsData(0x216f, 'square_foot');
  static const square_outlined =
      _MaterialSymbolsData(0x2170, 'square_outlined');
  static const square_sharp = _MaterialSymbolsData(0x2171, 'square_sharp');
  static const square = _MaterialSymbolsData(0x2172, 'square');
  static const ssid_chart_filled_outlined =
      _MaterialSymbolsData(0x2173, 'ssid_chart_filled_outlined');
  static const ssid_chart_filled_sharp =
      _MaterialSymbolsData(0x2174, 'ssid_chart_filled_sharp');
  static const ssid_chart_filled =
      _MaterialSymbolsData(0x2175, 'ssid_chart_filled');
  static const ssid_chart_outlined =
      _MaterialSymbolsData(0x2176, 'ssid_chart_outlined');
  static const ssid_chart_sharp =
      _MaterialSymbolsData(0x2177, 'ssid_chart_sharp');
  static const ssid_chart = _MaterialSymbolsData(0x2178, 'ssid_chart');
  static const stacked_bar_chart_filled_outlined =
      _MaterialSymbolsData(0x2179, 'stacked_bar_chart_filled_outlined');
  static const stacked_bar_chart_filled_sharp =
      _MaterialSymbolsData(0x217a, 'stacked_bar_chart_filled_sharp');
  static const stacked_bar_chart_filled =
      _MaterialSymbolsData(0x217b, 'stacked_bar_chart_filled');
  static const stacked_bar_chart_outlined =
      _MaterialSymbolsData(0x217c, 'stacked_bar_chart_outlined');
  static const stacked_bar_chart_sharp =
      _MaterialSymbolsData(0x217d, 'stacked_bar_chart_sharp');
  static const stacked_bar_chart =
      _MaterialSymbolsData(0x217e, 'stacked_bar_chart');
  static const stacked_line_chart_filled_outlined =
      _MaterialSymbolsData(0x217f, 'stacked_line_chart_filled_outlined');
  static const stacked_line_chart_filled_sharp =
      _MaterialSymbolsData(0x2180, 'stacked_line_chart_filled_sharp');
  static const stacked_line_chart_filled =
      _MaterialSymbolsData(0x2181, 'stacked_line_chart_filled');
  static const stacked_line_chart_outlined =
      _MaterialSymbolsData(0x2182, 'stacked_line_chart_outlined');
  static const stacked_line_chart_sharp =
      _MaterialSymbolsData(0x2183, 'stacked_line_chart_sharp');
  static const stacked_line_chart =
      _MaterialSymbolsData(0x2184, 'stacked_line_chart');
  static const stadia_controller_filled_outlined =
      _MaterialSymbolsData(0x2185, 'stadia_controller_filled_outlined');
  static const stadia_controller_filled_sharp =
      _MaterialSymbolsData(0x2186, 'stadia_controller_filled_sharp');
  static const stadia_controller_filled =
      _MaterialSymbolsData(0x2187, 'stadia_controller_filled');
  static const stadia_controller_outlined =
      _MaterialSymbolsData(0x2188, 'stadia_controller_outlined');
  static const stadia_controller_sharp =
      _MaterialSymbolsData(0x2189, 'stadia_controller_sharp');
  static const stadia_controller =
      _MaterialSymbolsData(0x218a, 'stadia_controller');
  static const stadium_filled_outlined =
      _MaterialSymbolsData(0x218b, 'stadium_filled_outlined');
  static const stadium_filled_sharp =
      _MaterialSymbolsData(0x218c, 'stadium_filled_sharp');
  static const stadium_filled = _MaterialSymbolsData(0x218d, 'stadium_filled');
  static const stadium_outlined =
      _MaterialSymbolsData(0x218e, 'stadium_outlined');
  static const stadium_sharp = _MaterialSymbolsData(0x218f, 'stadium_sharp');
  static const stadium = _MaterialSymbolsData(0x2190, 'stadium');
  static const stairs_filled_outlined =
      _MaterialSymbolsData(0x2191, 'stairs_filled_outlined');
  static const stairs_filled_sharp =
      _MaterialSymbolsData(0x2192, 'stairs_filled_sharp');
  static const stairs_filled = _MaterialSymbolsData(0x2193, 'stairs_filled');
  static const stairs_outlined =
      _MaterialSymbolsData(0x2194, 'stairs_outlined');
  static const stairs_sharp = _MaterialSymbolsData(0x2195, 'stairs_sharp');
  static const stairs = _MaterialSymbolsData(0x2196, 'stairs');
  static const star_filled_outlined =
      _MaterialSymbolsData(0x2197, 'star_filled_outlined');
  static const star_filled_sharp =
      _MaterialSymbolsData(0x2198, 'star_filled_sharp');
  static const star_filled = _MaterialSymbolsData(0x2199, 'star_filled');
  static const star_half_filled_outlined =
      _MaterialSymbolsData(0x219a, 'star_half_filled_outlined');
  static const star_half_filled_sharp =
      _MaterialSymbolsData(0x219b, 'star_half_filled_sharp');
  static const star_half_filled =
      _MaterialSymbolsData(0x219c, 'star_half_filled');
  static const star_half_outlined =
      _MaterialSymbolsData(0x219d, 'star_half_outlined');
  static const star_half_sharp =
      _MaterialSymbolsData(0x219e, 'star_half_sharp');
  static const star_half = _MaterialSymbolsData(0x219f, 'star_half');
  static const star_outlined = _MaterialSymbolsData(0x21a0, 'star_outlined');
  static const star_rate_filled_outlined =
      _MaterialSymbolsData(0x21a1, 'star_rate_filled_outlined');
  static const star_rate_filled_sharp =
      _MaterialSymbolsData(0x21a2, 'star_rate_filled_sharp');
  static const star_rate_filled =
      _MaterialSymbolsData(0x21a3, 'star_rate_filled');
  static const star_rate_half_filled_outlined =
      _MaterialSymbolsData(0x21a4, 'star_rate_half_filled_outlined');
  static const star_rate_half_filled_sharp =
      _MaterialSymbolsData(0x21a5, 'star_rate_half_filled_sharp');
  static const star_rate_half_filled =
      _MaterialSymbolsData(0x21a6, 'star_rate_half_filled');
  static const star_rate_half_outlined =
      _MaterialSymbolsData(0x21a7, 'star_rate_half_outlined');
  static const star_rate_half_sharp =
      _MaterialSymbolsData(0x21a8, 'star_rate_half_sharp');
  static const star_rate_half = _MaterialSymbolsData(0x21a9, 'star_rate_half');
  static const star_rate_outlined =
      _MaterialSymbolsData(0x21aa, 'star_rate_outlined');
  static const star_rate_sharp =
      _MaterialSymbolsData(0x21ab, 'star_rate_sharp');
  static const star_rate = _MaterialSymbolsData(0x21ac, 'star_rate');
  static const star_sharp = _MaterialSymbolsData(0x21ad, 'star_sharp');
  static const star = _MaterialSymbolsData(0x21ae, 'star');
  static const stars_filled_outlined =
      _MaterialSymbolsData(0x21af, 'stars_filled_outlined');
  static const stars_filled_sharp =
      _MaterialSymbolsData(0x21b0, 'stars_filled_sharp');
  static const stars_filled = _MaterialSymbolsData(0x21b1, 'stars_filled');
  static const stars_outlined = _MaterialSymbolsData(0x21b2, 'stars_outlined');
  static const stars_sharp = _MaterialSymbolsData(0x21b3, 'stars_sharp');
  static const stars = _MaterialSymbolsData(0x21b4, 'stars');
  static const start_filled_outlined =
      _MaterialSymbolsData(0x21b5, 'start_filled_outlined');
  static const start_filled_sharp =
      _MaterialSymbolsData(0x21b6, 'start_filled_sharp');
  static const start_filled = _MaterialSymbolsData(0x21b7, 'start_filled');
  static const start_outlined = _MaterialSymbolsData(0x21b8, 'start_outlined');
  static const start_sharp = _MaterialSymbolsData(0x21b9, 'start_sharp');
  static const start = _MaterialSymbolsData(0x21ba, 'start');
  static const stay_current_landscape_filled_outlined =
      _MaterialSymbolsData(0x21bb, 'stay_current_landscape_filled_outlined');
  static const stay_current_landscape_filled_sharp =
      _MaterialSymbolsData(0x21bc, 'stay_current_landscape_filled_sharp');
  static const stay_current_landscape_filled =
      _MaterialSymbolsData(0x21bd, 'stay_current_landscape_filled');
  static const stay_current_landscape_outlined =
      _MaterialSymbolsData(0x21be, 'stay_current_landscape_outlined');
  static const stay_current_landscape_sharp =
      _MaterialSymbolsData(0x21bf, 'stay_current_landscape_sharp');
  static const stay_current_landscape =
      _MaterialSymbolsData(0x21c0, 'stay_current_landscape');
  static const stay_current_portrait_filled_outlined =
      _MaterialSymbolsData(0x21c1, 'stay_current_portrait_filled_outlined');
  static const stay_current_portrait_filled_sharp =
      _MaterialSymbolsData(0x21c2, 'stay_current_portrait_filled_sharp');
  static const stay_current_portrait_filled =
      _MaterialSymbolsData(0x21c3, 'stay_current_portrait_filled');
  static const stay_current_portrait_outlined =
      _MaterialSymbolsData(0x21c4, 'stay_current_portrait_outlined');
  static const stay_current_portrait_sharp =
      _MaterialSymbolsData(0x21c5, 'stay_current_portrait_sharp');
  static const stay_current_portrait =
      _MaterialSymbolsData(0x21c6, 'stay_current_portrait');
  static const stay_primary_landscape_filled_outlined =
      _MaterialSymbolsData(0x21c7, 'stay_primary_landscape_filled_outlined');
  static const stay_primary_landscape_filled_sharp =
      _MaterialSymbolsData(0x21c8, 'stay_primary_landscape_filled_sharp');
  static const stay_primary_landscape_filled =
      _MaterialSymbolsData(0x21c9, 'stay_primary_landscape_filled');
  static const stay_primary_landscape_outlined =
      _MaterialSymbolsData(0x21ca, 'stay_primary_landscape_outlined');
  static const stay_primary_landscape_sharp =
      _MaterialSymbolsData(0x21cb, 'stay_primary_landscape_sharp');
  static const stay_primary_landscape =
      _MaterialSymbolsData(0x21cc, 'stay_primary_landscape');
  static const stay_primary_portrait_filled_outlined =
      _MaterialSymbolsData(0x21cd, 'stay_primary_portrait_filled_outlined');
  static const stay_primary_portrait_filled_sharp =
      _MaterialSymbolsData(0x21ce, 'stay_primary_portrait_filled_sharp');
  static const stay_primary_portrait_filled =
      _MaterialSymbolsData(0x21cf, 'stay_primary_portrait_filled');
  static const stay_primary_portrait_outlined =
      _MaterialSymbolsData(0x21d0, 'stay_primary_portrait_outlined');
  static const stay_primary_portrait_sharp =
      _MaterialSymbolsData(0x21d1, 'stay_primary_portrait_sharp');
  static const stay_primary_portrait =
      _MaterialSymbolsData(0x21d2, 'stay_primary_portrait');
  static const stethoscope_arrow_filled_outlined =
      _MaterialSymbolsData(0x21d3, 'stethoscope_arrow_filled_outlined');
  static const stethoscope_arrow_filled_sharp =
      _MaterialSymbolsData(0x21d4, 'stethoscope_arrow_filled_sharp');
  static const stethoscope_arrow_filled =
      _MaterialSymbolsData(0x21d5, 'stethoscope_arrow_filled');
  static const stethoscope_arrow_outlined =
      _MaterialSymbolsData(0x21d6, 'stethoscope_arrow_outlined');
  static const stethoscope_arrow_sharp =
      _MaterialSymbolsData(0x21d7, 'stethoscope_arrow_sharp');
  static const stethoscope_arrow =
      _MaterialSymbolsData(0x21d8, 'stethoscope_arrow');
  static const stethoscope_check_filled_outlined =
      _MaterialSymbolsData(0x21d9, 'stethoscope_check_filled_outlined');
  static const stethoscope_check_filled_sharp =
      _MaterialSymbolsData(0x21da, 'stethoscope_check_filled_sharp');
  static const stethoscope_check_filled =
      _MaterialSymbolsData(0x21db, 'stethoscope_check_filled');
  static const stethoscope_check_outlined =
      _MaterialSymbolsData(0x21dc, 'stethoscope_check_outlined');
  static const stethoscope_check_sharp =
      _MaterialSymbolsData(0x21dd, 'stethoscope_check_sharp');
  static const stethoscope_check =
      _MaterialSymbolsData(0x21de, 'stethoscope_check');
  static const stethoscope_filled_outlined =
      _MaterialSymbolsData(0x21df, 'stethoscope_filled_outlined');
  static const stethoscope_filled_sharp =
      _MaterialSymbolsData(0x21e0, 'stethoscope_filled_sharp');
  static const stethoscope_filled =
      _MaterialSymbolsData(0x21e1, 'stethoscope_filled');
  static const stethoscope_outlined =
      _MaterialSymbolsData(0x21e2, 'stethoscope_outlined');
  static const stethoscope_sharp =
      _MaterialSymbolsData(0x21e3, 'stethoscope_sharp');
  static const stethoscope = _MaterialSymbolsData(0x21e4, 'stethoscope');
  static const sticky_note_2_filled_outlined =
      _MaterialSymbolsData(0x21e5, 'sticky_note_2_filled_outlined');
  static const sticky_note_2_filled_sharp =
      _MaterialSymbolsData(0x21e6, 'sticky_note_2_filled_sharp');
  static const sticky_note_2_filled =
      _MaterialSymbolsData(0x21e7, 'sticky_note_2_filled');
  static const sticky_note_2_outlined =
      _MaterialSymbolsData(0x21e8, 'sticky_note_2_outlined');
  static const sticky_note_2_sharp =
      _MaterialSymbolsData(0x21e9, 'sticky_note_2_sharp');
  static const sticky_note_2 = _MaterialSymbolsData(0x21ea, 'sticky_note_2');
  static const stop_circle_filled_outlined =
      _MaterialSymbolsData(0x21eb, 'stop_circle_filled_outlined');
  static const stop_circle_filled_sharp =
      _MaterialSymbolsData(0x21ec, 'stop_circle_filled_sharp');
  static const stop_circle_filled =
      _MaterialSymbolsData(0x21ed, 'stop_circle_filled');
  static const stop_circle_outlined =
      _MaterialSymbolsData(0x21ee, 'stop_circle_outlined');
  static const stop_circle_sharp =
      _MaterialSymbolsData(0x21ef, 'stop_circle_sharp');
  static const stop_circle = _MaterialSymbolsData(0x21f0, 'stop_circle');
  static const stop_filled_outlined =
      _MaterialSymbolsData(0x21f1, 'stop_filled_outlined');
  static const stop_filled_sharp =
      _MaterialSymbolsData(0x21f2, 'stop_filled_sharp');
  static const stop_filled = _MaterialSymbolsData(0x21f3, 'stop_filled');
  static const stop_outlined = _MaterialSymbolsData(0x21f4, 'stop_outlined');
  static const stop_screen_share_filled_outlined =
      _MaterialSymbolsData(0x21f5, 'stop_screen_share_filled_outlined');
  static const stop_screen_share_filled_sharp =
      _MaterialSymbolsData(0x21f6, 'stop_screen_share_filled_sharp');
  static const stop_screen_share_filled =
      _MaterialSymbolsData(0x21f7, 'stop_screen_share_filled');
  static const stop_screen_share_outlined =
      _MaterialSymbolsData(0x21f8, 'stop_screen_share_outlined');
  static const stop_screen_share_sharp =
      _MaterialSymbolsData(0x21f9, 'stop_screen_share_sharp');
  static const stop_screen_share =
      _MaterialSymbolsData(0x21fa, 'stop_screen_share');
  static const stop_sharp = _MaterialSymbolsData(0x21fb, 'stop_sharp');
  static const stop = _MaterialSymbolsData(0x21fc, 'stop');
  static const storage_filled_outlined =
      _MaterialSymbolsData(0x21fd, 'storage_filled_outlined');
  static const storage_filled_sharp =
      _MaterialSymbolsData(0x21fe, 'storage_filled_sharp');
  static const storage_filled = _MaterialSymbolsData(0x21ff, 'storage_filled');
  static const storage_outlined =
      _MaterialSymbolsData(0x2200, 'storage_outlined');
  static const storage_sharp = _MaterialSymbolsData(0x2201, 'storage_sharp');
  static const storage = _MaterialSymbolsData(0x2202, 'storage');
  static const store_filled_outlined =
      _MaterialSymbolsData(0x2203, 'store_filled_outlined');
  static const store_filled_sharp =
      _MaterialSymbolsData(0x2204, 'store_filled_sharp');
  static const store_filled = _MaterialSymbolsData(0x2205, 'store_filled');
  static const store_outlined = _MaterialSymbolsData(0x2206, 'store_outlined');
  static const store_sharp = _MaterialSymbolsData(0x2207, 'store_sharp');
  static const store = _MaterialSymbolsData(0x2208, 'store');
  static const storefront_filled_outlined =
      _MaterialSymbolsData(0x2209, 'storefront_filled_outlined');
  static const storefront_filled_sharp =
      _MaterialSymbolsData(0x220a, 'storefront_filled_sharp');
  static const storefront_filled =
      _MaterialSymbolsData(0x220b, 'storefront_filled');
  static const storefront_outlined =
      _MaterialSymbolsData(0x220c, 'storefront_outlined');
  static const storefront_sharp =
      _MaterialSymbolsData(0x220d, 'storefront_sharp');
  static const storefront = _MaterialSymbolsData(0x220e, 'storefront');
  static const storm_filled_outlined =
      _MaterialSymbolsData(0x220f, 'storm_filled_outlined');
  static const storm_filled_sharp =
      _MaterialSymbolsData(0x2210, 'storm_filled_sharp');
  static const storm_filled = _MaterialSymbolsData(0x2211, 'storm_filled');
  static const storm_outlined = _MaterialSymbolsData(0x2212, 'storm_outlined');
  static const storm_sharp = _MaterialSymbolsData(0x2213, 'storm_sharp');
  static const storm = _MaterialSymbolsData(0x2214, 'storm');
  static const straight_filled_outlined =
      _MaterialSymbolsData(0x2215, 'straight_filled_outlined');
  static const straight_filled_sharp =
      _MaterialSymbolsData(0x2216, 'straight_filled_sharp');
  static const straight_filled =
      _MaterialSymbolsData(0x2217, 'straight_filled');
  static const straight_outlined =
      _MaterialSymbolsData(0x2218, 'straight_outlined');
  static const straight_sharp = _MaterialSymbolsData(0x2219, 'straight_sharp');
  static const straight = _MaterialSymbolsData(0x221a, 'straight');
  static const straighten_filled_outlined =
      _MaterialSymbolsData(0x221b, 'straighten_filled_outlined');
  static const straighten_filled_sharp =
      _MaterialSymbolsData(0x221c, 'straighten_filled_sharp');
  static const straighten_filled =
      _MaterialSymbolsData(0x221d, 'straighten_filled');
  static const straighten_outlined =
      _MaterialSymbolsData(0x221e, 'straighten_outlined');
  static const straighten_sharp =
      _MaterialSymbolsData(0x221f, 'straighten_sharp');
  static const straighten = _MaterialSymbolsData(0x2220, 'straighten');
  static const stream_filled_outlined =
      _MaterialSymbolsData(0x2221, 'stream_filled_outlined');
  static const stream_filled_sharp =
      _MaterialSymbolsData(0x2222, 'stream_filled_sharp');
  static const stream_filled = _MaterialSymbolsData(0x2223, 'stream_filled');
  static const stream_outlined =
      _MaterialSymbolsData(0x2224, 'stream_outlined');
  static const stream_sharp = _MaterialSymbolsData(0x2225, 'stream_sharp');
  static const stream = _MaterialSymbolsData(0x2226, 'stream');
  static const streetview_filled_outlined =
      _MaterialSymbolsData(0x2227, 'streetview_filled_outlined');
  static const streetview_filled_sharp =
      _MaterialSymbolsData(0x2228, 'streetview_filled_sharp');
  static const streetview_filled =
      _MaterialSymbolsData(0x2229, 'streetview_filled');
  static const streetview_outlined =
      _MaterialSymbolsData(0x222a, 'streetview_outlined');
  static const streetview_sharp =
      _MaterialSymbolsData(0x222b, 'streetview_sharp');
  static const streetview = _MaterialSymbolsData(0x222c, 'streetview');
  static const strikethrough_s_filled_outlined =
      _MaterialSymbolsData(0x222d, 'strikethrough_s_filled_outlined');
  static const strikethrough_s_filled_sharp =
      _MaterialSymbolsData(0x222e, 'strikethrough_s_filled_sharp');
  static const strikethrough_s_filled =
      _MaterialSymbolsData(0x222f, 'strikethrough_s_filled');
  static const strikethrough_s_outlined =
      _MaterialSymbolsData(0x2230, 'strikethrough_s_outlined');
  static const strikethrough_s_sharp =
      _MaterialSymbolsData(0x2231, 'strikethrough_s_sharp');
  static const strikethrough_s =
      _MaterialSymbolsData(0x2232, 'strikethrough_s');
  static const stroller_filled_outlined =
      _MaterialSymbolsData(0x2233, 'stroller_filled_outlined');
  static const stroller_filled_sharp =
      _MaterialSymbolsData(0x2234, 'stroller_filled_sharp');
  static const stroller_filled =
      _MaterialSymbolsData(0x2235, 'stroller_filled');
  static const stroller_outlined =
      _MaterialSymbolsData(0x2236, 'stroller_outlined');
  static const stroller_sharp = _MaterialSymbolsData(0x2237, 'stroller_sharp');
  static const stroller = _MaterialSymbolsData(0x2238, 'stroller');
  static const style_filled_outlined =
      _MaterialSymbolsData(0x2239, 'style_filled_outlined');
  static const style_filled_sharp =
      _MaterialSymbolsData(0x223a, 'style_filled_sharp');
  static const style_filled = _MaterialSymbolsData(0x223b, 'style_filled');
  static const style_outlined = _MaterialSymbolsData(0x223c, 'style_outlined');
  static const style_sharp = _MaterialSymbolsData(0x223d, 'style_sharp');
  static const style = _MaterialSymbolsData(0x223e, 'style');
  static const styler_filled_outlined =
      _MaterialSymbolsData(0x223f, 'styler_filled_outlined');
  static const styler_filled_sharp =
      _MaterialSymbolsData(0x2240, 'styler_filled_sharp');
  static const styler_filled = _MaterialSymbolsData(0x2241, 'styler_filled');
  static const styler_outlined =
      _MaterialSymbolsData(0x2242, 'styler_outlined');
  static const styler_sharp = _MaterialSymbolsData(0x2243, 'styler_sharp');
  static const styler = _MaterialSymbolsData(0x2244, 'styler');
  static const subdirectory_arrow_left_filled_outlined =
      _MaterialSymbolsData(0x2245, 'subdirectory_arrow_left_filled_outlined');
  static const subdirectory_arrow_left_filled_sharp =
      _MaterialSymbolsData(0x2246, 'subdirectory_arrow_left_filled_sharp');
  static const subdirectory_arrow_left_filled =
      _MaterialSymbolsData(0x2247, 'subdirectory_arrow_left_filled');
  static const subdirectory_arrow_left_outlined =
      _MaterialSymbolsData(0x2248, 'subdirectory_arrow_left_outlined');
  static const subdirectory_arrow_left_sharp =
      _MaterialSymbolsData(0x2249, 'subdirectory_arrow_left_sharp');
  static const subdirectory_arrow_left =
      _MaterialSymbolsData(0x224a, 'subdirectory_arrow_left');
  static const subdirectory_arrow_right_filled_outlined =
      _MaterialSymbolsData(0x224b, 'subdirectory_arrow_right_filled_outlined');
  static const subdirectory_arrow_right_filled_sharp =
      _MaterialSymbolsData(0x224c, 'subdirectory_arrow_right_filled_sharp');
  static const subdirectory_arrow_right_filled =
      _MaterialSymbolsData(0x224d, 'subdirectory_arrow_right_filled');
  static const subdirectory_arrow_right_outlined =
      _MaterialSymbolsData(0x224e, 'subdirectory_arrow_right_outlined');
  static const subdirectory_arrow_right_sharp =
      _MaterialSymbolsData(0x224f, 'subdirectory_arrow_right_sharp');
  static const subdirectory_arrow_right =
      _MaterialSymbolsData(0x2250, 'subdirectory_arrow_right');
  static const subject_filled_outlined =
      _MaterialSymbolsData(0x2251, 'subject_filled_outlined');
  static const subject_filled_sharp =
      _MaterialSymbolsData(0x2252, 'subject_filled_sharp');
  static const subject_filled = _MaterialSymbolsData(0x2253, 'subject_filled');
  static const subject_outlined =
      _MaterialSymbolsData(0x2254, 'subject_outlined');
  static const subject_sharp = _MaterialSymbolsData(0x2255, 'subject_sharp');
  static const subject = _MaterialSymbolsData(0x2256, 'subject');
  static const subscript_filled_outlined =
      _MaterialSymbolsData(0x2257, 'subscript_filled_outlined');
  static const subscript_filled_sharp =
      _MaterialSymbolsData(0x2258, 'subscript_filled_sharp');
  static const subscript_filled =
      _MaterialSymbolsData(0x2259, 'subscript_filled');
  static const subscript_outlined =
      _MaterialSymbolsData(0x225a, 'subscript_outlined');
  static const subscript_sharp =
      _MaterialSymbolsData(0x225b, 'subscript_sharp');
  static const subscript = _MaterialSymbolsData(0x225c, 'subscript');
  static const subscriptions_filled_outlined =
      _MaterialSymbolsData(0x225d, 'subscriptions_filled_outlined');
  static const subscriptions_filled_sharp =
      _MaterialSymbolsData(0x225e, 'subscriptions_filled_sharp');
  static const subscriptions_filled =
      _MaterialSymbolsData(0x225f, 'subscriptions_filled');
  static const subscriptions_outlined =
      _MaterialSymbolsData(0x2260, 'subscriptions_outlined');
  static const subscriptions_sharp =
      _MaterialSymbolsData(0x2261, 'subscriptions_sharp');
  static const subscriptions = _MaterialSymbolsData(0x2262, 'subscriptions');
  static const subtitles_filled_outlined =
      _MaterialSymbolsData(0x2263, 'subtitles_filled_outlined');
  static const subtitles_filled_sharp =
      _MaterialSymbolsData(0x2264, 'subtitles_filled_sharp');
  static const subtitles_filled =
      _MaterialSymbolsData(0x2265, 'subtitles_filled');
  static const subtitles_off_filled_outlined =
      _MaterialSymbolsData(0x2266, 'subtitles_off_filled_outlined');
  static const subtitles_off_filled_sharp =
      _MaterialSymbolsData(0x2267, 'subtitles_off_filled_sharp');
  static const subtitles_off_filled =
      _MaterialSymbolsData(0x2268, 'subtitles_off_filled');
  static const subtitles_off_outlined =
      _MaterialSymbolsData(0x2269, 'subtitles_off_outlined');
  static const subtitles_off_sharp =
      _MaterialSymbolsData(0x226a, 'subtitles_off_sharp');
  static const subtitles_off = _MaterialSymbolsData(0x226b, 'subtitles_off');
  static const subtitles_outlined =
      _MaterialSymbolsData(0x226c, 'subtitles_outlined');
  static const subtitles_sharp =
      _MaterialSymbolsData(0x226d, 'subtitles_sharp');
  static const subtitles = _MaterialSymbolsData(0x226e, 'subtitles');
  static const subway_filled_outlined =
      _MaterialSymbolsData(0x226f, 'subway_filled_outlined');
  static const subway_filled_sharp =
      _MaterialSymbolsData(0x2270, 'subway_filled_sharp');
  static const subway_filled = _MaterialSymbolsData(0x2271, 'subway_filled');
  static const subway_outlined =
      _MaterialSymbolsData(0x2272, 'subway_outlined');
  static const subway_sharp = _MaterialSymbolsData(0x2273, 'subway_sharp');
  static const subway = _MaterialSymbolsData(0x2274, 'subway');
  static const summarize_filled_outlined =
      _MaterialSymbolsData(0x2275, 'summarize_filled_outlined');
  static const summarize_filled_sharp =
      _MaterialSymbolsData(0x2276, 'summarize_filled_sharp');
  static const summarize_filled =
      _MaterialSymbolsData(0x2277, 'summarize_filled');
  static const summarize_outlined =
      _MaterialSymbolsData(0x2278, 'summarize_outlined');
  static const summarize_sharp =
      _MaterialSymbolsData(0x2279, 'summarize_sharp');
  static const summarize = _MaterialSymbolsData(0x227a, 'summarize');
  static const sunny_filled_outlined =
      _MaterialSymbolsData(0x227b, 'sunny_filled_outlined');
  static const sunny_filled_sharp =
      _MaterialSymbolsData(0x227c, 'sunny_filled_sharp');
  static const sunny_filled = _MaterialSymbolsData(0x227d, 'sunny_filled');
  static const sunny_outlined = _MaterialSymbolsData(0x227e, 'sunny_outlined');
  static const sunny_sharp = _MaterialSymbolsData(0x227f, 'sunny_sharp');
  static const sunny_snowing_filled_outlined =
      _MaterialSymbolsData(0x2280, 'sunny_snowing_filled_outlined');
  static const sunny_snowing_filled_sharp =
      _MaterialSymbolsData(0x2281, 'sunny_snowing_filled_sharp');
  static const sunny_snowing_filled =
      _MaterialSymbolsData(0x2282, 'sunny_snowing_filled');
  static const sunny_snowing_outlined =
      _MaterialSymbolsData(0x2283, 'sunny_snowing_outlined');
  static const sunny_snowing_sharp =
      _MaterialSymbolsData(0x2284, 'sunny_snowing_sharp');
  static const sunny_snowing = _MaterialSymbolsData(0x2285, 'sunny_snowing');
  static const sunny = _MaterialSymbolsData(0x2286, 'sunny');
  static const superscript_filled_outlined =
      _MaterialSymbolsData(0x2287, 'superscript_filled_outlined');
  static const superscript_filled_sharp =
      _MaterialSymbolsData(0x2288, 'superscript_filled_sharp');
  static const superscript_filled =
      _MaterialSymbolsData(0x2289, 'superscript_filled');
  static const superscript_outlined =
      _MaterialSymbolsData(0x228a, 'superscript_outlined');
  static const superscript_sharp =
      _MaterialSymbolsData(0x228b, 'superscript_sharp');
  static const superscript = _MaterialSymbolsData(0x228c, 'superscript');
  static const supervised_user_circle_filled_outlined =
      _MaterialSymbolsData(0x228d, 'supervised_user_circle_filled_outlined');
  static const supervised_user_circle_filled_sharp =
      _MaterialSymbolsData(0x228e, 'supervised_user_circle_filled_sharp');
  static const supervised_user_circle_filled =
      _MaterialSymbolsData(0x228f, 'supervised_user_circle_filled');
  static const supervised_user_circle_outlined =
      _MaterialSymbolsData(0x2290, 'supervised_user_circle_outlined');
  static const supervised_user_circle_sharp =
      _MaterialSymbolsData(0x2291, 'supervised_user_circle_sharp');
  static const supervised_user_circle =
      _MaterialSymbolsData(0x2292, 'supervised_user_circle');
  static const supervisor_account_filled_outlined =
      _MaterialSymbolsData(0x2293, 'supervisor_account_filled_outlined');
  static const supervisor_account_filled_sharp =
      _MaterialSymbolsData(0x2294, 'supervisor_account_filled_sharp');
  static const supervisor_account_filled =
      _MaterialSymbolsData(0x2295, 'supervisor_account_filled');
  static const supervisor_account_outlined =
      _MaterialSymbolsData(0x2296, 'supervisor_account_outlined');
  static const supervisor_account_sharp =
      _MaterialSymbolsData(0x2297, 'supervisor_account_sharp');
  static const supervisor_account =
      _MaterialSymbolsData(0x2298, 'supervisor_account');
  static const support_agent_filled_outlined =
      _MaterialSymbolsData(0x2299, 'support_agent_filled_outlined');
  static const support_agent_filled_sharp =
      _MaterialSymbolsData(0x229a, 'support_agent_filled_sharp');
  static const support_agent_filled =
      _MaterialSymbolsData(0x229b, 'support_agent_filled');
  static const support_agent_outlined =
      _MaterialSymbolsData(0x229c, 'support_agent_outlined');
  static const support_agent_sharp =
      _MaterialSymbolsData(0x229d, 'support_agent_sharp');
  static const support_agent = _MaterialSymbolsData(0x229e, 'support_agent');
  static const support_filled_outlined =
      _MaterialSymbolsData(0x229f, 'support_filled_outlined');
  static const support_filled_sharp =
      _MaterialSymbolsData(0x22a0, 'support_filled_sharp');
  static const support_filled = _MaterialSymbolsData(0x22a1, 'support_filled');
  static const support_outlined =
      _MaterialSymbolsData(0x22a2, 'support_outlined');
  static const support_sharp = _MaterialSymbolsData(0x22a3, 'support_sharp');
  static const support = _MaterialSymbolsData(0x22a4, 'support');
  static const surfing_filled_outlined =
      _MaterialSymbolsData(0x22a5, 'surfing_filled_outlined');
  static const surfing_filled_sharp =
      _MaterialSymbolsData(0x22a6, 'surfing_filled_sharp');
  static const surfing_filled = _MaterialSymbolsData(0x22a7, 'surfing_filled');
  static const surfing_outlined =
      _MaterialSymbolsData(0x22a8, 'surfing_outlined');
  static const surfing_sharp = _MaterialSymbolsData(0x22a9, 'surfing_sharp');
  static const surfing = _MaterialSymbolsData(0x22aa, 'surfing');
  static const surround_sound_filled_outlined =
      _MaterialSymbolsData(0x22ab, 'surround_sound_filled_outlined');
  static const surround_sound_filled_sharp =
      _MaterialSymbolsData(0x22ac, 'surround_sound_filled_sharp');
  static const surround_sound_filled =
      _MaterialSymbolsData(0x22ad, 'surround_sound_filled');
  static const surround_sound_outlined =
      _MaterialSymbolsData(0x22ae, 'surround_sound_outlined');
  static const surround_sound_sharp =
      _MaterialSymbolsData(0x22af, 'surround_sound_sharp');
  static const surround_sound = _MaterialSymbolsData(0x22b0, 'surround_sound');
  static const swap_calls_filled_outlined =
      _MaterialSymbolsData(0x22b1, 'swap_calls_filled_outlined');
  static const swap_calls_filled_sharp =
      _MaterialSymbolsData(0x22b2, 'swap_calls_filled_sharp');
  static const swap_calls_filled =
      _MaterialSymbolsData(0x22b3, 'swap_calls_filled');
  static const swap_calls_outlined =
      _MaterialSymbolsData(0x22b4, 'swap_calls_outlined');
  static const swap_calls_sharp =
      _MaterialSymbolsData(0x22b5, 'swap_calls_sharp');
  static const swap_calls = _MaterialSymbolsData(0x22b6, 'swap_calls');
  static const swap_horiz_filled_outlined =
      _MaterialSymbolsData(0x22b7, 'swap_horiz_filled_outlined');
  static const swap_horiz_filled_sharp =
      _MaterialSymbolsData(0x22b8, 'swap_horiz_filled_sharp');
  static const swap_horiz_filled =
      _MaterialSymbolsData(0x22b9, 'swap_horiz_filled');
  static const swap_horiz_outlined =
      _MaterialSymbolsData(0x22ba, 'swap_horiz_outlined');
  static const swap_horiz_sharp =
      _MaterialSymbolsData(0x22bb, 'swap_horiz_sharp');
  static const swap_horiz = _MaterialSymbolsData(0x22bc, 'swap_horiz');
  static const swap_horizontal_circle_filled_outlined =
      _MaterialSymbolsData(0x22bd, 'swap_horizontal_circle_filled_outlined');
  static const swap_horizontal_circle_filled_sharp =
      _MaterialSymbolsData(0x22be, 'swap_horizontal_circle_filled_sharp');
  static const swap_horizontal_circle_filled =
      _MaterialSymbolsData(0x22bf, 'swap_horizontal_circle_filled');
  static const swap_horizontal_circle_outlined =
      _MaterialSymbolsData(0x22c0, 'swap_horizontal_circle_outlined');
  static const swap_horizontal_circle_sharp =
      _MaterialSymbolsData(0x22c1, 'swap_horizontal_circle_sharp');
  static const swap_horizontal_circle =
      _MaterialSymbolsData(0x22c2, 'swap_horizontal_circle');
  static const swap_vert_filled_outlined =
      _MaterialSymbolsData(0x22c3, 'swap_vert_filled_outlined');
  static const swap_vert_filled_sharp =
      _MaterialSymbolsData(0x22c4, 'swap_vert_filled_sharp');
  static const swap_vert_filled =
      _MaterialSymbolsData(0x22c5, 'swap_vert_filled');
  static const swap_vert_outlined =
      _MaterialSymbolsData(0x22c6, 'swap_vert_outlined');
  static const swap_vert_sharp =
      _MaterialSymbolsData(0x22c7, 'swap_vert_sharp');
  static const swap_vert = _MaterialSymbolsData(0x22c8, 'swap_vert');
  static const swap_vertical_circle_filled_outlined =
      _MaterialSymbolsData(0x22c9, 'swap_vertical_circle_filled_outlined');
  static const swap_vertical_circle_filled_sharp =
      _MaterialSymbolsData(0x22ca, 'swap_vertical_circle_filled_sharp');
  static const swap_vertical_circle_filled =
      _MaterialSymbolsData(0x22cb, 'swap_vertical_circle_filled');
  static const swap_vertical_circle_outlined =
      _MaterialSymbolsData(0x22cc, 'swap_vertical_circle_outlined');
  static const swap_vertical_circle_sharp =
      _MaterialSymbolsData(0x22cd, 'swap_vertical_circle_sharp');
  static const swap_vertical_circle =
      _MaterialSymbolsData(0x22ce, 'swap_vertical_circle');
  static const swipe_down_alt_filled_outlined =
      _MaterialSymbolsData(0x22cf, 'swipe_down_alt_filled_outlined');
  static const swipe_down_alt_filled_sharp =
      _MaterialSymbolsData(0x22d0, 'swipe_down_alt_filled_sharp');
  static const swipe_down_alt_filled =
      _MaterialSymbolsData(0x22d1, 'swipe_down_alt_filled');
  static const swipe_down_alt_outlined =
      _MaterialSymbolsData(0x22d2, 'swipe_down_alt_outlined');
  static const swipe_down_alt_sharp =
      _MaterialSymbolsData(0x22d3, 'swipe_down_alt_sharp');
  static const swipe_down_alt = _MaterialSymbolsData(0x22d4, 'swipe_down_alt');
  static const swipe_down_filled_outlined =
      _MaterialSymbolsData(0x22d5, 'swipe_down_filled_outlined');
  static const swipe_down_filled_sharp =
      _MaterialSymbolsData(0x22d6, 'swipe_down_filled_sharp');
  static const swipe_down_filled =
      _MaterialSymbolsData(0x22d7, 'swipe_down_filled');
  static const swipe_down_outlined =
      _MaterialSymbolsData(0x22d8, 'swipe_down_outlined');
  static const swipe_down_sharp =
      _MaterialSymbolsData(0x22d9, 'swipe_down_sharp');
  static const swipe_down = _MaterialSymbolsData(0x22da, 'swipe_down');
  static const swipe_filled_outlined =
      _MaterialSymbolsData(0x22db, 'swipe_filled_outlined');
  static const swipe_filled_sharp =
      _MaterialSymbolsData(0x22dc, 'swipe_filled_sharp');
  static const swipe_filled = _MaterialSymbolsData(0x22dd, 'swipe_filled');
  static const swipe_left_alt_filled_outlined =
      _MaterialSymbolsData(0x22de, 'swipe_left_alt_filled_outlined');
  static const swipe_left_alt_filled_sharp =
      _MaterialSymbolsData(0x22df, 'swipe_left_alt_filled_sharp');
  static const swipe_left_alt_filled =
      _MaterialSymbolsData(0x22e0, 'swipe_left_alt_filled');
  static const swipe_left_alt_outlined =
      _MaterialSymbolsData(0x22e1, 'swipe_left_alt_outlined');
  static const swipe_left_alt_sharp =
      _MaterialSymbolsData(0x22e2, 'swipe_left_alt_sharp');
  static const swipe_left_alt = _MaterialSymbolsData(0x22e3, 'swipe_left_alt');
  static const swipe_left_filled_outlined =
      _MaterialSymbolsData(0x22e4, 'swipe_left_filled_outlined');
  static const swipe_left_filled_sharp =
      _MaterialSymbolsData(0x22e5, 'swipe_left_filled_sharp');
  static const swipe_left_filled =
      _MaterialSymbolsData(0x22e6, 'swipe_left_filled');
  static const swipe_left_outlined =
      _MaterialSymbolsData(0x22e7, 'swipe_left_outlined');
  static const swipe_left_sharp =
      _MaterialSymbolsData(0x22e8, 'swipe_left_sharp');
  static const swipe_left = _MaterialSymbolsData(0x22e9, 'swipe_left');
  static const swipe_outlined = _MaterialSymbolsData(0x22ea, 'swipe_outlined');
  static const swipe_right_alt_filled_outlined =
      _MaterialSymbolsData(0x22eb, 'swipe_right_alt_filled_outlined');
  static const swipe_right_alt_filled_sharp =
      _MaterialSymbolsData(0x22ec, 'swipe_right_alt_filled_sharp');
  static const swipe_right_alt_filled =
      _MaterialSymbolsData(0x22ed, 'swipe_right_alt_filled');
  static const swipe_right_alt_outlined =
      _MaterialSymbolsData(0x22ee, 'swipe_right_alt_outlined');
  static const swipe_right_alt_sharp =
      _MaterialSymbolsData(0x22ef, 'swipe_right_alt_sharp');
  static const swipe_right_alt =
      _MaterialSymbolsData(0x22f0, 'swipe_right_alt');
  static const swipe_right_filled_outlined =
      _MaterialSymbolsData(0x22f1, 'swipe_right_filled_outlined');
  static const swipe_right_filled_sharp =
      _MaterialSymbolsData(0x22f2, 'swipe_right_filled_sharp');
  static const swipe_right_filled =
      _MaterialSymbolsData(0x22f3, 'swipe_right_filled');
  static const swipe_right_outlined =
      _MaterialSymbolsData(0x22f4, 'swipe_right_outlined');
  static const swipe_right_sharp =
      _MaterialSymbolsData(0x22f5, 'swipe_right_sharp');
  static const swipe_right = _MaterialSymbolsData(0x22f6, 'swipe_right');
  static const swipe_sharp = _MaterialSymbolsData(0x22f7, 'swipe_sharp');
  static const swipe_up_alt_filled_outlined =
      _MaterialSymbolsData(0x22f8, 'swipe_up_alt_filled_outlined');
  static const swipe_up_alt_filled_sharp =
      _MaterialSymbolsData(0x22f9, 'swipe_up_alt_filled_sharp');
  static const swipe_up_alt_filled =
      _MaterialSymbolsData(0x22fa, 'swipe_up_alt_filled');
  static const swipe_up_alt_outlined =
      _MaterialSymbolsData(0x22fb, 'swipe_up_alt_outlined');
  static const swipe_up_alt_sharp =
      _MaterialSymbolsData(0x22fc, 'swipe_up_alt_sharp');
  static const swipe_up_alt = _MaterialSymbolsData(0x22fd, 'swipe_up_alt');
  static const swipe_up_filled_outlined =
      _MaterialSymbolsData(0x22fe, 'swipe_up_filled_outlined');
  static const swipe_up_filled_sharp =
      _MaterialSymbolsData(0x22ff, 'swipe_up_filled_sharp');
  static const swipe_up_filled =
      _MaterialSymbolsData(0x2300, 'swipe_up_filled');
  static const swipe_up_outlined =
      _MaterialSymbolsData(0x2301, 'swipe_up_outlined');
  static const swipe_up_sharp = _MaterialSymbolsData(0x2302, 'swipe_up_sharp');
  static const swipe_up = _MaterialSymbolsData(0x2303, 'swipe_up');
  static const swipe_vertical_filled_outlined =
      _MaterialSymbolsData(0x2304, 'swipe_vertical_filled_outlined');
  static const swipe_vertical_filled_sharp =
      _MaterialSymbolsData(0x2305, 'swipe_vertical_filled_sharp');
  static const swipe_vertical_filled =
      _MaterialSymbolsData(0x2306, 'swipe_vertical_filled');
  static const swipe_vertical_outlined =
      _MaterialSymbolsData(0x2307, 'swipe_vertical_outlined');
  static const swipe_vertical_sharp =
      _MaterialSymbolsData(0x2308, 'swipe_vertical_sharp');
  static const swipe_vertical = _MaterialSymbolsData(0x2309, 'swipe_vertical');
  static const swipe = _MaterialSymbolsData(0x230a, 'swipe');
  static const switch_access_shortcut_add_filled_outlined =
      _MaterialSymbolsData(
          0x230b, 'switch_access_shortcut_add_filled_outlined');
  static const switch_access_shortcut_add_filled_sharp =
      _MaterialSymbolsData(0x230c, 'switch_access_shortcut_add_filled_sharp');
  static const switch_access_shortcut_add_filled =
      _MaterialSymbolsData(0x230d, 'switch_access_shortcut_add_filled');
  static const switch_access_shortcut_add_outlined =
      _MaterialSymbolsData(0x230e, 'switch_access_shortcut_add_outlined');
  static const switch_access_shortcut_add_sharp =
      _MaterialSymbolsData(0x230f, 'switch_access_shortcut_add_sharp');
  static const switch_access_shortcut_add =
      _MaterialSymbolsData(0x2310, 'switch_access_shortcut_add');
  static const switch_access_shortcut_filled_outlined =
      _MaterialSymbolsData(0x2311, 'switch_access_shortcut_filled_outlined');
  static const switch_access_shortcut_filled_sharp =
      _MaterialSymbolsData(0x2312, 'switch_access_shortcut_filled_sharp');
  static const switch_access_shortcut_filled =
      _MaterialSymbolsData(0x2313, 'switch_access_shortcut_filled');
  static const switch_access_shortcut_outlined =
      _MaterialSymbolsData(0x2314, 'switch_access_shortcut_outlined');
  static const switch_access_shortcut_sharp =
      _MaterialSymbolsData(0x2315, 'switch_access_shortcut_sharp');
  static const switch_access_shortcut =
      _MaterialSymbolsData(0x2316, 'switch_access_shortcut');
  static const switch_account_filled_outlined =
      _MaterialSymbolsData(0x2317, 'switch_account_filled_outlined');
  static const switch_account_filled_sharp =
      _MaterialSymbolsData(0x2318, 'switch_account_filled_sharp');
  static const switch_account_filled =
      _MaterialSymbolsData(0x2319, 'switch_account_filled');
  static const switch_account_outlined =
      _MaterialSymbolsData(0x231a, 'switch_account_outlined');
  static const switch_account_sharp =
      _MaterialSymbolsData(0x231b, 'switch_account_sharp');
  static const switch_account = _MaterialSymbolsData(0x231c, 'switch_account');
  static const switch_camera_filled_outlined =
      _MaterialSymbolsData(0x231d, 'switch_camera_filled_outlined');
  static const switch_camera_filled_sharp =
      _MaterialSymbolsData(0x231e, 'switch_camera_filled_sharp');
  static const switch_camera_filled =
      _MaterialSymbolsData(0x231f, 'switch_camera_filled');
  static const switch_camera_outlined =
      _MaterialSymbolsData(0x2320, 'switch_camera_outlined');
  static const switch_camera_sharp =
      _MaterialSymbolsData(0x2321, 'switch_camera_sharp');
  static const switch_camera = _MaterialSymbolsData(0x2322, 'switch_camera');
  static const switch_filled_outlined =
      _MaterialSymbolsData(0x2323, 'switch_filled_outlined');
  static const switch_filled_sharp =
      _MaterialSymbolsData(0x2324, 'switch_filled_sharp');
  static const switch_filled = _MaterialSymbolsData(0x2325, 'switch_filled');
  static const switch_left_filled_outlined =
      _MaterialSymbolsData(0x2326, 'switch_left_filled_outlined');
  static const switch_left_filled_sharp =
      _MaterialSymbolsData(0x2327, 'switch_left_filled_sharp');
  static const switch_left_filled =
      _MaterialSymbolsData(0x2328, 'switch_left_filled');
  static const switch_left_outlined =
      _MaterialSymbolsData(0x2329, 'switch_left_outlined');
  static const switch_left_sharp =
      _MaterialSymbolsData(0x232a, 'switch_left_sharp');
  static const switch_left = _MaterialSymbolsData(0x232b, 'switch_left');
  static const switch_outlined =
      _MaterialSymbolsData(0x232c, 'switch_outlined');
  static const switch_right_filled_outlined =
      _MaterialSymbolsData(0x232d, 'switch_right_filled_outlined');
  static const switch_right_filled_sharp =
      _MaterialSymbolsData(0x232e, 'switch_right_filled_sharp');
  static const switch_right_filled =
      _MaterialSymbolsData(0x232f, 'switch_right_filled');
  static const switch_right_outlined =
      _MaterialSymbolsData(0x2330, 'switch_right_outlined');
  static const switch_right_sharp =
      _MaterialSymbolsData(0x2331, 'switch_right_sharp');
  static const switch_right = _MaterialSymbolsData(0x2332, 'switch_right');
  static const switch_sharp = _MaterialSymbolsData(0x2333, 'switch_sharp');
  static const switch_video_filled_outlined =
      _MaterialSymbolsData(0x2334, 'switch_video_filled_outlined');
  static const switch_video_filled_sharp =
      _MaterialSymbolsData(0x2335, 'switch_video_filled_sharp');
  static const switch_video_filled =
      _MaterialSymbolsData(0x2336, 'switch_video_filled');
  static const switch_video_outlined =
      _MaterialSymbolsData(0x2337, 'switch_video_outlined');
  static const switch_video_sharp =
      _MaterialSymbolsData(0x2338, 'switch_video_sharp');
  static const switch_video = _MaterialSymbolsData(0x2339, 'switch_video');
  static const toggle_switch = _MaterialSymbolsData(0x233a, 'switch');
  static const swords_filled_outlined =
      _MaterialSymbolsData(0x233b, 'swords_filled_outlined');
  static const swords_filled_sharp =
      _MaterialSymbolsData(0x233c, 'swords_filled_sharp');
  static const swords_filled = _MaterialSymbolsData(0x233d, 'swords_filled');
  static const swords_outlined =
      _MaterialSymbolsData(0x233e, 'swords_outlined');
  static const swords_sharp = _MaterialSymbolsData(0x233f, 'swords_sharp');
  static const swords = _MaterialSymbolsData(0x2340, 'swords');
  static const synagogue_filled_outlined =
      _MaterialSymbolsData(0x2341, 'synagogue_filled_outlined');
  static const synagogue_filled_sharp =
      _MaterialSymbolsData(0x2342, 'synagogue_filled_sharp');
  static const synagogue_filled =
      _MaterialSymbolsData(0x2343, 'synagogue_filled');
  static const synagogue_outlined =
      _MaterialSymbolsData(0x2344, 'synagogue_outlined');
  static const synagogue_sharp =
      _MaterialSymbolsData(0x2345, 'synagogue_sharp');
  static const synagogue = _MaterialSymbolsData(0x2346, 'synagogue');
  static const sync_alt_filled_outlined =
      _MaterialSymbolsData(0x2347, 'sync_alt_filled_outlined');
  static const sync_alt_filled_sharp =
      _MaterialSymbolsData(0x2348, 'sync_alt_filled_sharp');
  static const sync_alt_filled =
      _MaterialSymbolsData(0x2349, 'sync_alt_filled');
  static const sync_alt_outlined =
      _MaterialSymbolsData(0x234a, 'sync_alt_outlined');
  static const sync_alt_sharp = _MaterialSymbolsData(0x234b, 'sync_alt_sharp');
  static const sync_alt = _MaterialSymbolsData(0x234c, 'sync_alt');
  static const sync_disabled_filled_outlined =
      _MaterialSymbolsData(0x234d, 'sync_disabled_filled_outlined');
  static const sync_disabled_filled_sharp =
      _MaterialSymbolsData(0x234e, 'sync_disabled_filled_sharp');
  static const sync_disabled_filled =
      _MaterialSymbolsData(0x234f, 'sync_disabled_filled');
  static const sync_disabled_outlined =
      _MaterialSymbolsData(0x2350, 'sync_disabled_outlined');
  static const sync_disabled_sharp =
      _MaterialSymbolsData(0x2351, 'sync_disabled_sharp');
  static const sync_disabled = _MaterialSymbolsData(0x2352, 'sync_disabled');
  static const sync_filled_outlined =
      _MaterialSymbolsData(0x2353, 'sync_filled_outlined');
  static const sync_filled_sharp =
      _MaterialSymbolsData(0x2354, 'sync_filled_sharp');
  static const sync_filled = _MaterialSymbolsData(0x2355, 'sync_filled');
  static const sync_lock_filled_outlined =
      _MaterialSymbolsData(0x2356, 'sync_lock_filled_outlined');
  static const sync_lock_filled_sharp =
      _MaterialSymbolsData(0x2357, 'sync_lock_filled_sharp');
  static const sync_lock_filled =
      _MaterialSymbolsData(0x2358, 'sync_lock_filled');
  static const sync_lock_outlined =
      _MaterialSymbolsData(0x2359, 'sync_lock_outlined');
  static const sync_lock_sharp =
      _MaterialSymbolsData(0x235a, 'sync_lock_sharp');
  static const sync_lock = _MaterialSymbolsData(0x235b, 'sync_lock');
  static const sync_outlined = _MaterialSymbolsData(0x235c, 'sync_outlined');
  static const sync_problem_filled_outlined =
      _MaterialSymbolsData(0x235d, 'sync_problem_filled_outlined');
  static const sync_problem_filled_sharp =
      _MaterialSymbolsData(0x235e, 'sync_problem_filled_sharp');
  static const sync_problem_filled =
      _MaterialSymbolsData(0x235f, 'sync_problem_filled');
  static const sync_problem_outlined =
      _MaterialSymbolsData(0x2360, 'sync_problem_outlined');
  static const sync_problem_sharp =
      _MaterialSymbolsData(0x2361, 'sync_problem_sharp');
  static const sync_problem = _MaterialSymbolsData(0x2362, 'sync_problem');
  static const sync_saved_locally_filled_outlined =
      _MaterialSymbolsData(0x2363, 'sync_saved_locally_filled_outlined');
  static const sync_saved_locally_filled_sharp =
      _MaterialSymbolsData(0x2364, 'sync_saved_locally_filled_sharp');
  static const sync_saved_locally_filled =
      _MaterialSymbolsData(0x2365, 'sync_saved_locally_filled');
  static const sync_saved_locally_outlined =
      _MaterialSymbolsData(0x2366, 'sync_saved_locally_outlined');
  static const sync_saved_locally_sharp =
      _MaterialSymbolsData(0x2367, 'sync_saved_locally_sharp');
  static const sync_saved_locally =
      _MaterialSymbolsData(0x2368, 'sync_saved_locally');
  static const sync_sharp = _MaterialSymbolsData(0x2369, 'sync_sharp');
  static const sync = _MaterialSymbolsData(0x236a, 'sync');
  static const syringe_filled_outlined =
      _MaterialSymbolsData(0x236b, 'syringe_filled_outlined');
  static const syringe_filled_sharp =
      _MaterialSymbolsData(0x236c, 'syringe_filled_sharp');
  static const syringe_filled = _MaterialSymbolsData(0x236d, 'syringe_filled');
  static const syringe_outlined =
      _MaterialSymbolsData(0x236e, 'syringe_outlined');
  static const syringe_sharp = _MaterialSymbolsData(0x236f, 'syringe_sharp');
  static const syringe = _MaterialSymbolsData(0x2370, 'syringe');
  static const system_update_alt_filled_outlined =
      _MaterialSymbolsData(0x2371, 'system_update_alt_filled_outlined');
  static const system_update_alt_filled_sharp =
      _MaterialSymbolsData(0x2372, 'system_update_alt_filled_sharp');
  static const system_update_alt_filled =
      _MaterialSymbolsData(0x2373, 'system_update_alt_filled');
  static const system_update_alt_outlined =
      _MaterialSymbolsData(0x2374, 'system_update_alt_outlined');
  static const system_update_alt_sharp =
      _MaterialSymbolsData(0x2375, 'system_update_alt_sharp');
  static const system_update_alt =
      _MaterialSymbolsData(0x2376, 'system_update_alt');
  static const system_update_filled_outlined =
      _MaterialSymbolsData(0x2377, 'system_update_filled_outlined');
  static const system_update_filled_sharp =
      _MaterialSymbolsData(0x2378, 'system_update_filled_sharp');
  static const system_update_filled =
      _MaterialSymbolsData(0x2379, 'system_update_filled');
  static const system_update_outlined =
      _MaterialSymbolsData(0x237a, 'system_update_outlined');
  static const system_update_sharp =
      _MaterialSymbolsData(0x237b, 'system_update_sharp');
  static const system_update = _MaterialSymbolsData(0x237c, 'system_update');
  static const tab_filled_outlined =
      _MaterialSymbolsData(0x237d, 'tab_filled_outlined');
  static const tab_filled_sharp =
      _MaterialSymbolsData(0x237e, 'tab_filled_sharp');
  static const tab_filled = _MaterialSymbolsData(0x237f, 'tab_filled');
  static const tab_outlined = _MaterialSymbolsData(0x2380, 'tab_outlined');
  static const tab_sharp = _MaterialSymbolsData(0x2381, 'tab_sharp');
  static const tab_unselected_filled_outlined =
      _MaterialSymbolsData(0x2382, 'tab_unselected_filled_outlined');
  static const tab_unselected_filled_sharp =
      _MaterialSymbolsData(0x2383, 'tab_unselected_filled_sharp');
  static const tab_unselected_filled =
      _MaterialSymbolsData(0x2384, 'tab_unselected_filled');
  static const tab_unselected_outlined =
      _MaterialSymbolsData(0x2385, 'tab_unselected_outlined');
  static const tab_unselected_sharp =
      _MaterialSymbolsData(0x2386, 'tab_unselected_sharp');
  static const tab_unselected = _MaterialSymbolsData(0x2387, 'tab_unselected');
  static const tab = _MaterialSymbolsData(0x2388, 'tab');
  static const table_bar_filled_outlined =
      _MaterialSymbolsData(0x2389, 'table_bar_filled_outlined');
  static const table_bar_filled_sharp =
      _MaterialSymbolsData(0x238a, 'table_bar_filled_sharp');
  static const table_bar_filled =
      _MaterialSymbolsData(0x238b, 'table_bar_filled');
  static const table_bar_outlined =
      _MaterialSymbolsData(0x238c, 'table_bar_outlined');
  static const table_bar_sharp =
      _MaterialSymbolsData(0x238d, 'table_bar_sharp');
  static const table_bar = _MaterialSymbolsData(0x238e, 'table_bar');
  static const table_chart_filled_outlined =
      _MaterialSymbolsData(0x238f, 'table_chart_filled_outlined');
  static const table_chart_filled_sharp =
      _MaterialSymbolsData(0x2390, 'table_chart_filled_sharp');
  static const table_chart_filled =
      _MaterialSymbolsData(0x2391, 'table_chart_filled');
  static const table_chart_outlined =
      _MaterialSymbolsData(0x2392, 'table_chart_outlined');
  static const table_chart_sharp =
      _MaterialSymbolsData(0x2393, 'table_chart_sharp');
  static const table_chart = _MaterialSymbolsData(0x2394, 'table_chart');
  static const table_filled_outlined =
      _MaterialSymbolsData(0x2395, 'table_filled_outlined');
  static const table_filled_sharp =
      _MaterialSymbolsData(0x2396, 'table_filled_sharp');
  static const table_filled = _MaterialSymbolsData(0x2397, 'table_filled');
  static const table_lamp_filled_outlined =
      _MaterialSymbolsData(0x2398, 'table_lamp_filled_outlined');
  static const table_lamp_filled_sharp =
      _MaterialSymbolsData(0x2399, 'table_lamp_filled_sharp');
  static const table_lamp_filled =
      _MaterialSymbolsData(0x239a, 'table_lamp_filled');
  static const table_lamp_outlined =
      _MaterialSymbolsData(0x239b, 'table_lamp_outlined');
  static const table_lamp_sharp =
      _MaterialSymbolsData(0x239c, 'table_lamp_sharp');
  static const table_lamp = _MaterialSymbolsData(0x239d, 'table_lamp');
  static const table_outlined = _MaterialSymbolsData(0x239e, 'table_outlined');
  static const table_restaurant_filled_outlined =
      _MaterialSymbolsData(0x239f, 'table_restaurant_filled_outlined');
  static const table_restaurant_filled_sharp =
      _MaterialSymbolsData(0x23a0, 'table_restaurant_filled_sharp');
  static const table_restaurant_filled =
      _MaterialSymbolsData(0x23a1, 'table_restaurant_filled');
  static const table_restaurant_outlined =
      _MaterialSymbolsData(0x23a2, 'table_restaurant_outlined');
  static const table_restaurant_sharp =
      _MaterialSymbolsData(0x23a3, 'table_restaurant_sharp');
  static const table_restaurant =
      _MaterialSymbolsData(0x23a4, 'table_restaurant');
  static const table_rows_filled_outlined =
      _MaterialSymbolsData(0x23a5, 'table_rows_filled_outlined');
  static const table_rows_filled_sharp =
      _MaterialSymbolsData(0x23a6, 'table_rows_filled_sharp');
  static const table_rows_filled =
      _MaterialSymbolsData(0x23a7, 'table_rows_filled');
  static const table_rows_outlined =
      _MaterialSymbolsData(0x23a8, 'table_rows_outlined');
  static const table_rows_sharp =
      _MaterialSymbolsData(0x23a9, 'table_rows_sharp');
  static const table_rows = _MaterialSymbolsData(0x23aa, 'table_rows');
  static const table_sharp = _MaterialSymbolsData(0x23ab, 'table_sharp');
  static const table_view_filled_outlined =
      _MaterialSymbolsData(0x23ac, 'table_view_filled_outlined');
  static const table_view_filled_sharp =
      _MaterialSymbolsData(0x23ad, 'table_view_filled_sharp');
  static const table_view_filled =
      _MaterialSymbolsData(0x23ae, 'table_view_filled');
  static const table_view_outlined =
      _MaterialSymbolsData(0x23af, 'table_view_outlined');
  static const table_view_sharp =
      _MaterialSymbolsData(0x23b0, 'table_view_sharp');
  static const table_view = _MaterialSymbolsData(0x23b1, 'table_view');
  static const table = _MaterialSymbolsData(0x23b2, 'table');
  static const tablet_android_filled_outlined =
      _MaterialSymbolsData(0x23b3, 'tablet_android_filled_outlined');
  static const tablet_android_filled_sharp =
      _MaterialSymbolsData(0x23b4, 'tablet_android_filled_sharp');
  static const tablet_android_filled =
      _MaterialSymbolsData(0x23b5, 'tablet_android_filled');
  static const tablet_android_outlined =
      _MaterialSymbolsData(0x23b6, 'tablet_android_outlined');
  static const tablet_android_sharp =
      _MaterialSymbolsData(0x23b7, 'tablet_android_sharp');
  static const tablet_android = _MaterialSymbolsData(0x23b8, 'tablet_android');
  static const tablet_filled_outlined =
      _MaterialSymbolsData(0x23b9, 'tablet_filled_outlined');
  static const tablet_filled_sharp =
      _MaterialSymbolsData(0x23ba, 'tablet_filled_sharp');
  static const tablet_filled = _MaterialSymbolsData(0x23bb, 'tablet_filled');
  static const tablet_mac_filled_outlined =
      _MaterialSymbolsData(0x23bc, 'tablet_mac_filled_outlined');
  static const tablet_mac_filled_sharp =
      _MaterialSymbolsData(0x23bd, 'tablet_mac_filled_sharp');
  static const tablet_mac_filled =
      _MaterialSymbolsData(0x23be, 'tablet_mac_filled');
  static const tablet_mac_outlined =
      _MaterialSymbolsData(0x23bf, 'tablet_mac_outlined');
  static const tablet_mac_sharp =
      _MaterialSymbolsData(0x23c0, 'tablet_mac_sharp');
  static const tablet_mac = _MaterialSymbolsData(0x23c1, 'tablet_mac');
  static const tablet_outlined =
      _MaterialSymbolsData(0x23c2, 'tablet_outlined');
  static const tablet_sharp = _MaterialSymbolsData(0x23c3, 'tablet_sharp');
  static const tablet = _MaterialSymbolsData(0x23c4, 'tablet');
  static const tag_filled_outlined =
      _MaterialSymbolsData(0x23c5, 'tag_filled_outlined');
  static const tag_filled_sharp =
      _MaterialSymbolsData(0x23c6, 'tag_filled_sharp');
  static const tag_filled = _MaterialSymbolsData(0x23c7, 'tag_filled');
  static const tag_outlined = _MaterialSymbolsData(0x23c8, 'tag_outlined');
  static const tag_sharp = _MaterialSymbolsData(0x23c9, 'tag_sharp');
  static const tag = _MaterialSymbolsData(0x23ca, 'tag');
  static const takeout_dining_filled_outlined =
      _MaterialSymbolsData(0x23cb, 'takeout_dining_filled_outlined');
  static const takeout_dining_filled_sharp =
      _MaterialSymbolsData(0x23cc, 'takeout_dining_filled_sharp');
  static const takeout_dining_filled =
      _MaterialSymbolsData(0x23cd, 'takeout_dining_filled');
  static const takeout_dining_outlined =
      _MaterialSymbolsData(0x23ce, 'takeout_dining_outlined');
  static const takeout_dining_sharp =
      _MaterialSymbolsData(0x23cf, 'takeout_dining_sharp');
  static const takeout_dining = _MaterialSymbolsData(0x23d0, 'takeout_dining');
  static const tamper_detection_off_filled_outlined =
      _MaterialSymbolsData(0x23d1, 'tamper_detection_off_filled_outlined');
  static const tamper_detection_off_filled_sharp =
      _MaterialSymbolsData(0x23d2, 'tamper_detection_off_filled_sharp');
  static const tamper_detection_off_filled =
      _MaterialSymbolsData(0x23d3, 'tamper_detection_off_filled');
  static const tamper_detection_off_outlined =
      _MaterialSymbolsData(0x23d4, 'tamper_detection_off_outlined');
  static const tamper_detection_off_sharp =
      _MaterialSymbolsData(0x23d5, 'tamper_detection_off_sharp');
  static const tamper_detection_off =
      _MaterialSymbolsData(0x23d6, 'tamper_detection_off');
  static const tamper_detection_on_filled_outlined =
      _MaterialSymbolsData(0x23d7, 'tamper_detection_on_filled_outlined');
  static const tamper_detection_on_filled_sharp =
      _MaterialSymbolsData(0x23d8, 'tamper_detection_on_filled_sharp');
  static const tamper_detection_on_filled =
      _MaterialSymbolsData(0x23d9, 'tamper_detection_on_filled');
  static const tamper_detection_on_outlined =
      _MaterialSymbolsData(0x23da, 'tamper_detection_on_outlined');
  static const tamper_detection_on_sharp =
      _MaterialSymbolsData(0x23db, 'tamper_detection_on_sharp');
  static const tamper_detection_on =
      _MaterialSymbolsData(0x23dc, 'tamper_detection_on');
  static const tap_and_play_filled_outlined =
      _MaterialSymbolsData(0x23dd, 'tap_and_play_filled_outlined');
  static const tap_and_play_filled_sharp =
      _MaterialSymbolsData(0x23de, 'tap_and_play_filled_sharp');
  static const tap_and_play_filled =
      _MaterialSymbolsData(0x23df, 'tap_and_play_filled');
  static const tap_and_play_outlined =
      _MaterialSymbolsData(0x23e0, 'tap_and_play_outlined');
  static const tap_and_play_sharp =
      _MaterialSymbolsData(0x23e1, 'tap_and_play_sharp');
  static const tap_and_play = _MaterialSymbolsData(0x23e2, 'tap_and_play');
  static const tapas_filled_outlined =
      _MaterialSymbolsData(0x23e3, 'tapas_filled_outlined');
  static const tapas_filled_sharp =
      _MaterialSymbolsData(0x23e4, 'tapas_filled_sharp');
  static const tapas_filled = _MaterialSymbolsData(0x23e5, 'tapas_filled');
  static const tapas_outlined = _MaterialSymbolsData(0x23e6, 'tapas_outlined');
  static const tapas_sharp = _MaterialSymbolsData(0x23e7, 'tapas_sharp');
  static const tapas = _MaterialSymbolsData(0x23e8, 'tapas');
  static const task_alt_filled_outlined =
      _MaterialSymbolsData(0x23e9, 'task_alt_filled_outlined');
  static const task_alt_filled_sharp =
      _MaterialSymbolsData(0x23ea, 'task_alt_filled_sharp');
  static const task_alt_filled =
      _MaterialSymbolsData(0x23eb, 'task_alt_filled');
  static const task_alt_outlined =
      _MaterialSymbolsData(0x23ec, 'task_alt_outlined');
  static const task_alt_sharp = _MaterialSymbolsData(0x23ed, 'task_alt_sharp');
  static const task_alt = _MaterialSymbolsData(0x23ee, 'task_alt');
  static const task_filled_outlined =
      _MaterialSymbolsData(0x23ef, 'task_filled_outlined');
  static const task_filled_sharp =
      _MaterialSymbolsData(0x23f0, 'task_filled_sharp');
  static const task_filled = _MaterialSymbolsData(0x23f1, 'task_filled');
  static const task_outlined = _MaterialSymbolsData(0x23f2, 'task_outlined');
  static const task_sharp = _MaterialSymbolsData(0x23f3, 'task_sharp');
  static const task = _MaterialSymbolsData(0x23f4, 'task');
  static const taxi_alert_filled_outlined =
      _MaterialSymbolsData(0x23f5, 'taxi_alert_filled_outlined');
  static const taxi_alert_filled_sharp =
      _MaterialSymbolsData(0x23f6, 'taxi_alert_filled_sharp');
  static const taxi_alert_filled =
      _MaterialSymbolsData(0x23f7, 'taxi_alert_filled');
  static const taxi_alert_outlined =
      _MaterialSymbolsData(0x23f8, 'taxi_alert_outlined');
  static const taxi_alert_sharp =
      _MaterialSymbolsData(0x23f9, 'taxi_alert_sharp');
  static const taxi_alert = _MaterialSymbolsData(0x23fa, 'taxi_alert');
  static const team_dashboard_filled_outlined =
      _MaterialSymbolsData(0x23fb, 'team_dashboard_filled_outlined');
  static const team_dashboard_filled_sharp =
      _MaterialSymbolsData(0x23fc, 'team_dashboard_filled_sharp');
  static const team_dashboard_filled =
      _MaterialSymbolsData(0x23fd, 'team_dashboard_filled');
  static const team_dashboard_outlined =
      _MaterialSymbolsData(0x23fe, 'team_dashboard_outlined');
  static const team_dashboard_sharp =
      _MaterialSymbolsData(0x23ff, 'team_dashboard_sharp');
  static const team_dashboard = _MaterialSymbolsData(0x2400, 'team_dashboard');
  static const temp_preferences_custom_filled_outlined =
      _MaterialSymbolsData(0x2401, 'temp_preferences_custom_filled_outlined');
  static const temp_preferences_custom_filled_sharp =
      _MaterialSymbolsData(0x2402, 'temp_preferences_custom_filled_sharp');
  static const temp_preferences_custom_filled =
      _MaterialSymbolsData(0x2403, 'temp_preferences_custom_filled');
  static const temp_preferences_custom_outlined =
      _MaterialSymbolsData(0x2404, 'temp_preferences_custom_outlined');
  static const temp_preferences_custom_sharp =
      _MaterialSymbolsData(0x2405, 'temp_preferences_custom_sharp');
  static const temp_preferences_custom =
      _MaterialSymbolsData(0x2406, 'temp_preferences_custom');
  static const temp_preferences_eco_filled_outlined =
      _MaterialSymbolsData(0x2407, 'temp_preferences_eco_filled_outlined');
  static const temp_preferences_eco_filled_sharp =
      _MaterialSymbolsData(0x2408, 'temp_preferences_eco_filled_sharp');
  static const temp_preferences_eco_filled =
      _MaterialSymbolsData(0x2409, 'temp_preferences_eco_filled');
  static const temp_preferences_eco_outlined =
      _MaterialSymbolsData(0x240a, 'temp_preferences_eco_outlined');
  static const temp_preferences_eco_sharp =
      _MaterialSymbolsData(0x240b, 'temp_preferences_eco_sharp');
  static const temp_preferences_eco =
      _MaterialSymbolsData(0x240c, 'temp_preferences_eco');
  static const temple_buddhist_filled_outlined =
      _MaterialSymbolsData(0x240d, 'temple_buddhist_filled_outlined');
  static const temple_buddhist_filled_sharp =
      _MaterialSymbolsData(0x240e, 'temple_buddhist_filled_sharp');
  static const temple_buddhist_filled =
      _MaterialSymbolsData(0x240f, 'temple_buddhist_filled');
  static const temple_buddhist_outlined =
      _MaterialSymbolsData(0x2410, 'temple_buddhist_outlined');
  static const temple_buddhist_sharp =
      _MaterialSymbolsData(0x2411, 'temple_buddhist_sharp');
  static const temple_buddhist =
      _MaterialSymbolsData(0x2412, 'temple_buddhist');
  static const temple_hindu_filled_outlined =
      _MaterialSymbolsData(0x2413, 'temple_hindu_filled_outlined');
  static const temple_hindu_filled_sharp =
      _MaterialSymbolsData(0x2414, 'temple_hindu_filled_sharp');
  static const temple_hindu_filled =
      _MaterialSymbolsData(0x2415, 'temple_hindu_filled');
  static const temple_hindu_outlined =
      _MaterialSymbolsData(0x2416, 'temple_hindu_outlined');
  static const temple_hindu_sharp =
      _MaterialSymbolsData(0x2417, 'temple_hindu_sharp');
  static const temple_hindu = _MaterialSymbolsData(0x2418, 'temple_hindu');
  static const tenancy_filled_outlined =
      _MaterialSymbolsData(0x2419, 'tenancy_filled_outlined');
  static const tenancy_filled_sharp =
      _MaterialSymbolsData(0x241a, 'tenancy_filled_sharp');
  static const tenancy_filled = _MaterialSymbolsData(0x241b, 'tenancy_filled');
  static const tenancy_outlined =
      _MaterialSymbolsData(0x241c, 'tenancy_outlined');
  static const tenancy_sharp = _MaterialSymbolsData(0x241d, 'tenancy_sharp');
  static const tenancy = _MaterialSymbolsData(0x241e, 'tenancy');
  static const terminal_filled_outlined =
      _MaterialSymbolsData(0x241f, 'terminal_filled_outlined');
  static const terminal_filled_sharp =
      _MaterialSymbolsData(0x2420, 'terminal_filled_sharp');
  static const terminal_filled =
      _MaterialSymbolsData(0x2421, 'terminal_filled');
  static const terminal_outlined =
      _MaterialSymbolsData(0x2422, 'terminal_outlined');
  static const terminal_sharp = _MaterialSymbolsData(0x2423, 'terminal_sharp');
  static const terminal = _MaterialSymbolsData(0x2424, 'terminal');
  static const text_decrease_filled_outlined =
      _MaterialSymbolsData(0x2425, 'text_decrease_filled_outlined');
  static const text_decrease_filled_sharp =
      _MaterialSymbolsData(0x2426, 'text_decrease_filled_sharp');
  static const text_decrease_filled =
      _MaterialSymbolsData(0x2427, 'text_decrease_filled');
  static const text_decrease_outlined =
      _MaterialSymbolsData(0x2428, 'text_decrease_outlined');
  static const text_decrease_sharp =
      _MaterialSymbolsData(0x2429, 'text_decrease_sharp');
  static const text_decrease = _MaterialSymbolsData(0x242a, 'text_decrease');
  static const text_fields_filled_outlined =
      _MaterialSymbolsData(0x242b, 'text_fields_filled_outlined');
  static const text_fields_filled_sharp =
      _MaterialSymbolsData(0x242c, 'text_fields_filled_sharp');
  static const text_fields_filled =
      _MaterialSymbolsData(0x242d, 'text_fields_filled');
  static const text_fields_outlined =
      _MaterialSymbolsData(0x242e, 'text_fields_outlined');
  static const text_fields_sharp =
      _MaterialSymbolsData(0x242f, 'text_fields_sharp');
  static const text_fields = _MaterialSymbolsData(0x2430, 'text_fields');
  static const text_format_filled_outlined =
      _MaterialSymbolsData(0x2431, 'text_format_filled_outlined');
  static const text_format_filled_sharp =
      _MaterialSymbolsData(0x2432, 'text_format_filled_sharp');
  static const text_format_filled =
      _MaterialSymbolsData(0x2433, 'text_format_filled');
  static const text_format_outlined =
      _MaterialSymbolsData(0x2434, 'text_format_outlined');
  static const text_format_sharp =
      _MaterialSymbolsData(0x2435, 'text_format_sharp');
  static const text_format = _MaterialSymbolsData(0x2436, 'text_format');
  static const text_increase_filled_outlined =
      _MaterialSymbolsData(0x2437, 'text_increase_filled_outlined');
  static const text_increase_filled_sharp =
      _MaterialSymbolsData(0x2438, 'text_increase_filled_sharp');
  static const text_increase_filled =
      _MaterialSymbolsData(0x2439, 'text_increase_filled');
  static const text_increase_outlined =
      _MaterialSymbolsData(0x243a, 'text_increase_outlined');
  static const text_increase_sharp =
      _MaterialSymbolsData(0x243b, 'text_increase_sharp');
  static const text_increase = _MaterialSymbolsData(0x243c, 'text_increase');
  static const text_rotate_up_filled_outlined =
      _MaterialSymbolsData(0x243d, 'text_rotate_up_filled_outlined');
  static const text_rotate_up_filled_sharp =
      _MaterialSymbolsData(0x243e, 'text_rotate_up_filled_sharp');
  static const text_rotate_up_filled =
      _MaterialSymbolsData(0x243f, 'text_rotate_up_filled');
  static const text_rotate_up_outlined =
      _MaterialSymbolsData(0x2440, 'text_rotate_up_outlined');
  static const text_rotate_up_sharp =
      _MaterialSymbolsData(0x2441, 'text_rotate_up_sharp');
  static const text_rotate_up = _MaterialSymbolsData(0x2442, 'text_rotate_up');
  static const text_rotate_vertical_filled_outlined =
      _MaterialSymbolsData(0x2443, 'text_rotate_vertical_filled_outlined');
  static const text_rotate_vertical_filled_sharp =
      _MaterialSymbolsData(0x2444, 'text_rotate_vertical_filled_sharp');
  static const text_rotate_vertical_filled =
      _MaterialSymbolsData(0x2445, 'text_rotate_vertical_filled');
  static const text_rotate_vertical_outlined =
      _MaterialSymbolsData(0x2446, 'text_rotate_vertical_outlined');
  static const text_rotate_vertical_sharp =
      _MaterialSymbolsData(0x2447, 'text_rotate_vertical_sharp');
  static const text_rotate_vertical =
      _MaterialSymbolsData(0x2448, 'text_rotate_vertical');
  static const text_rotation_angledown_filled_outlined =
      _MaterialSymbolsData(0x2449, 'text_rotation_angledown_filled_outlined');
  static const text_rotation_angledown_filled_sharp =
      _MaterialSymbolsData(0x244a, 'text_rotation_angledown_filled_sharp');
  static const text_rotation_angledown_filled =
      _MaterialSymbolsData(0x244b, 'text_rotation_angledown_filled');
  static const text_rotation_angledown_outlined =
      _MaterialSymbolsData(0x244c, 'text_rotation_angledown_outlined');
  static const text_rotation_angledown_sharp =
      _MaterialSymbolsData(0x244d, 'text_rotation_angledown_sharp');
  static const text_rotation_angledown =
      _MaterialSymbolsData(0x244e, 'text_rotation_angledown');
  static const text_rotation_angleup_filled_outlined =
      _MaterialSymbolsData(0x244f, 'text_rotation_angleup_filled_outlined');
  static const text_rotation_angleup_filled_sharp =
      _MaterialSymbolsData(0x2450, 'text_rotation_angleup_filled_sharp');
  static const text_rotation_angleup_filled =
      _MaterialSymbolsData(0x2451, 'text_rotation_angleup_filled');
  static const text_rotation_angleup_outlined =
      _MaterialSymbolsData(0x2452, 'text_rotation_angleup_outlined');
  static const text_rotation_angleup_sharp =
      _MaterialSymbolsData(0x2453, 'text_rotation_angleup_sharp');
  static const text_rotation_angleup =
      _MaterialSymbolsData(0x2454, 'text_rotation_angleup');
  static const text_rotation_down_filled_outlined =
      _MaterialSymbolsData(0x2455, 'text_rotation_down_filled_outlined');
  static const text_rotation_down_filled_sharp =
      _MaterialSymbolsData(0x2456, 'text_rotation_down_filled_sharp');
  static const text_rotation_down_filled =
      _MaterialSymbolsData(0x2457, 'text_rotation_down_filled');
  static const text_rotation_down_outlined =
      _MaterialSymbolsData(0x2458, 'text_rotation_down_outlined');
  static const text_rotation_down_sharp =
      _MaterialSymbolsData(0x2459, 'text_rotation_down_sharp');
  static const text_rotation_down =
      _MaterialSymbolsData(0x245a, 'text_rotation_down');
  static const text_rotation_none_filled_outlined =
      _MaterialSymbolsData(0x245b, 'text_rotation_none_filled_outlined');
  static const text_rotation_none_filled_sharp =
      _MaterialSymbolsData(0x245c, 'text_rotation_none_filled_sharp');
  static const text_rotation_none_filled =
      _MaterialSymbolsData(0x245d, 'text_rotation_none_filled');
  static const text_rotation_none_outlined =
      _MaterialSymbolsData(0x245e, 'text_rotation_none_outlined');
  static const text_rotation_none_sharp =
      _MaterialSymbolsData(0x245f, 'text_rotation_none_sharp');
  static const text_rotation_none =
      _MaterialSymbolsData(0x2460, 'text_rotation_none');
  static const text_snippet_filled_outlined =
      _MaterialSymbolsData(0x2461, 'text_snippet_filled_outlined');
  static const text_snippet_filled_sharp =
      _MaterialSymbolsData(0x2462, 'text_snippet_filled_sharp');
  static const text_snippet_filled =
      _MaterialSymbolsData(0x2463, 'text_snippet_filled');
  static const text_snippet_outlined =
      _MaterialSymbolsData(0x2464, 'text_snippet_outlined');
  static const text_snippet_sharp =
      _MaterialSymbolsData(0x2465, 'text_snippet_sharp');
  static const text_snippet = _MaterialSymbolsData(0x2466, 'text_snippet');
  static const text_to_speech_filled_outlined =
      _MaterialSymbolsData(0x2467, 'text_to_speech_filled_outlined');
  static const text_to_speech_filled_sharp =
      _MaterialSymbolsData(0x2468, 'text_to_speech_filled_sharp');
  static const text_to_speech_filled =
      _MaterialSymbolsData(0x2469, 'text_to_speech_filled');
  static const text_to_speech_outlined =
      _MaterialSymbolsData(0x246a, 'text_to_speech_outlined');
  static const text_to_speech_sharp =
      _MaterialSymbolsData(0x246b, 'text_to_speech_sharp');
  static const text_to_speech = _MaterialSymbolsData(0x246c, 'text_to_speech');
  static const texture_filled_outlined =
      _MaterialSymbolsData(0x246d, 'texture_filled_outlined');
  static const texture_filled_sharp =
      _MaterialSymbolsData(0x246e, 'texture_filled_sharp');
  static const texture_filled = _MaterialSymbolsData(0x246f, 'texture_filled');
  static const texture_outlined =
      _MaterialSymbolsData(0x2470, 'texture_outlined');
  static const texture_sharp = _MaterialSymbolsData(0x2471, 'texture_sharp');
  static const texture = _MaterialSymbolsData(0x2472, 'texture');
  static const theater_comedy_filled_outlined =
      _MaterialSymbolsData(0x2473, 'theater_comedy_filled_outlined');
  static const theater_comedy_filled_sharp =
      _MaterialSymbolsData(0x2474, 'theater_comedy_filled_sharp');
  static const theater_comedy_filled =
      _MaterialSymbolsData(0x2475, 'theater_comedy_filled');
  static const theater_comedy_outlined =
      _MaterialSymbolsData(0x2476, 'theater_comedy_outlined');
  static const theater_comedy_sharp =
      _MaterialSymbolsData(0x2477, 'theater_comedy_sharp');
  static const theater_comedy = _MaterialSymbolsData(0x2478, 'theater_comedy');
  static const theaters_filled_outlined =
      _MaterialSymbolsData(0x2479, 'theaters_filled_outlined');
  static const theaters_filled_sharp =
      _MaterialSymbolsData(0x247a, 'theaters_filled_sharp');
  static const theaters_filled =
      _MaterialSymbolsData(0x247b, 'theaters_filled');
  static const theaters_outlined =
      _MaterialSymbolsData(0x247c, 'theaters_outlined');
  static const theaters_sharp = _MaterialSymbolsData(0x247d, 'theaters_sharp');
  static const theaters = _MaterialSymbolsData(0x247e, 'theaters');
  static const thermometer_filled_outlined =
      _MaterialSymbolsData(0x247f, 'thermometer_filled_outlined');
  static const thermometer_filled_sharp =
      _MaterialSymbolsData(0x2480, 'thermometer_filled_sharp');
  static const thermometer_filled =
      _MaterialSymbolsData(0x2481, 'thermometer_filled');
  static const thermometer_outlined =
      _MaterialSymbolsData(0x2482, 'thermometer_outlined');
  static const thermometer_sharp =
      _MaterialSymbolsData(0x2483, 'thermometer_sharp');
  static const thermometer = _MaterialSymbolsData(0x2484, 'thermometer');
  static const thermostat_auto_filled_outlined =
      _MaterialSymbolsData(0x2485, 'thermostat_auto_filled_outlined');
  static const thermostat_auto_filled_sharp =
      _MaterialSymbolsData(0x2486, 'thermostat_auto_filled_sharp');
  static const thermostat_auto_filled =
      _MaterialSymbolsData(0x2487, 'thermostat_auto_filled');
  static const thermostat_auto_outlined =
      _MaterialSymbolsData(0x2488, 'thermostat_auto_outlined');
  static const thermostat_auto_sharp =
      _MaterialSymbolsData(0x2489, 'thermostat_auto_sharp');
  static const thermostat_auto =
      _MaterialSymbolsData(0x248a, 'thermostat_auto');
  static const thermostat_carbon_filled_outlined =
      _MaterialSymbolsData(0x248b, 'thermostat_carbon_filled_outlined');
  static const thermostat_carbon_filled_sharp =
      _MaterialSymbolsData(0x248c, 'thermostat_carbon_filled_sharp');
  static const thermostat_carbon_filled =
      _MaterialSymbolsData(0x248d, 'thermostat_carbon_filled');
  static const thermostat_carbon_outlined =
      _MaterialSymbolsData(0x248e, 'thermostat_carbon_outlined');
  static const thermostat_carbon_sharp =
      _MaterialSymbolsData(0x248f, 'thermostat_carbon_sharp');
  static const thermostat_carbon =
      _MaterialSymbolsData(0x2490, 'thermostat_carbon');
  static const thermostat_filled_outlined =
      _MaterialSymbolsData(0x2491, 'thermostat_filled_outlined');
  static const thermostat_filled_sharp =
      _MaterialSymbolsData(0x2492, 'thermostat_filled_sharp');
  static const thermostat_filled =
      _MaterialSymbolsData(0x2493, 'thermostat_filled');
  static const thermostat_outlined =
      _MaterialSymbolsData(0x2494, 'thermostat_outlined');
  static const thermostat_sharp =
      _MaterialSymbolsData(0x2495, 'thermostat_sharp');
  static const thermostat = _MaterialSymbolsData(0x2496, 'thermostat');
  static const thumb_down_filled_outlined =
      _MaterialSymbolsData(0x2497, 'thumb_down_filled_outlined');
  static const thumb_down_filled_sharp =
      _MaterialSymbolsData(0x2498, 'thumb_down_filled_sharp');
  static const thumb_down_filled =
      _MaterialSymbolsData(0x2499, 'thumb_down_filled');
  static const thumb_down_off_filled_outlined =
      _MaterialSymbolsData(0x249a, 'thumb_down_off_filled_outlined');
  static const thumb_down_off_filled_sharp =
      _MaterialSymbolsData(0x249b, 'thumb_down_off_filled_sharp');
  static const thumb_down_off_filled =
      _MaterialSymbolsData(0x249c, 'thumb_down_off_filled');
  static const thumb_down_off_outlined =
      _MaterialSymbolsData(0x249d, 'thumb_down_off_outlined');
  static const thumb_down_off_sharp =
      _MaterialSymbolsData(0x249e, 'thumb_down_off_sharp');
  static const thumb_down_off = _MaterialSymbolsData(0x249f, 'thumb_down_off');
  static const thumb_down_outlined =
      _MaterialSymbolsData(0x24a0, 'thumb_down_outlined');
  static const thumb_down_sharp =
      _MaterialSymbolsData(0x24a1, 'thumb_down_sharp');
  static const thumb_down = _MaterialSymbolsData(0x24a2, 'thumb_down');
  static const thumb_up_filled_outlined =
      _MaterialSymbolsData(0x24a3, 'thumb_up_filled_outlined');
  static const thumb_up_filled_sharp =
      _MaterialSymbolsData(0x24a4, 'thumb_up_filled_sharp');
  static const thumb_up_filled =
      _MaterialSymbolsData(0x24a5, 'thumb_up_filled');
  static const thumb_up_off_filled_outlined =
      _MaterialSymbolsData(0x24a6, 'thumb_up_off_filled_outlined');
  static const thumb_up_off_filled_sharp =
      _MaterialSymbolsData(0x24a7, 'thumb_up_off_filled_sharp');
  static const thumb_up_off_filled =
      _MaterialSymbolsData(0x24a8, 'thumb_up_off_filled');
  static const thumb_up_off_outlined =
      _MaterialSymbolsData(0x24a9, 'thumb_up_off_outlined');
  static const thumb_up_off_sharp =
      _MaterialSymbolsData(0x24aa, 'thumb_up_off_sharp');
  static const thumb_up_off = _MaterialSymbolsData(0x24ab, 'thumb_up_off');
  static const thumb_up_outlined =
      _MaterialSymbolsData(0x24ac, 'thumb_up_outlined');
  static const thumb_up_sharp = _MaterialSymbolsData(0x24ad, 'thumb_up_sharp');
  static const thumb_up = _MaterialSymbolsData(0x24ae, 'thumb_up');
  static const thumbs_up_down_filled_outlined =
      _MaterialSymbolsData(0x24af, 'thumbs_up_down_filled_outlined');
  static const thumbs_up_down_filled_sharp =
      _MaterialSymbolsData(0x24b0, 'thumbs_up_down_filled_sharp');
  static const thumbs_up_down_filled =
      _MaterialSymbolsData(0x24b1, 'thumbs_up_down_filled');
  static const thumbs_up_down_outlined =
      _MaterialSymbolsData(0x24b2, 'thumbs_up_down_outlined');
  static const thumbs_up_down_sharp =
      _MaterialSymbolsData(0x24b3, 'thumbs_up_down_sharp');
  static const thumbs_up_down = _MaterialSymbolsData(0x24b4, 'thumbs_up_down');
  static const thunderstorm_filled_outlined =
      _MaterialSymbolsData(0x24b5, 'thunderstorm_filled_outlined');
  static const thunderstorm_filled_sharp =
      _MaterialSymbolsData(0x24b6, 'thunderstorm_filled_sharp');
  static const thunderstorm_filled =
      _MaterialSymbolsData(0x24b7, 'thunderstorm_filled');
  static const thunderstorm_outlined =
      _MaterialSymbolsData(0x24b8, 'thunderstorm_outlined');
  static const thunderstorm_sharp =
      _MaterialSymbolsData(0x24b9, 'thunderstorm_sharp');
  static const thunderstorm = _MaterialSymbolsData(0x24ba, 'thunderstorm');
  static const tibia_alt_filled_outlined =
      _MaterialSymbolsData(0x24bb, 'tibia_alt_filled_outlined');
  static const tibia_alt_filled_sharp =
      _MaterialSymbolsData(0x24bc, 'tibia_alt_filled_sharp');
  static const tibia_alt_filled =
      _MaterialSymbolsData(0x24bd, 'tibia_alt_filled');
  static const tibia_alt_outlined =
      _MaterialSymbolsData(0x24be, 'tibia_alt_outlined');
  static const tibia_alt_sharp =
      _MaterialSymbolsData(0x24bf, 'tibia_alt_sharp');
  static const tibia_alt = _MaterialSymbolsData(0x24c0, 'tibia_alt');
  static const tibia_filled_outlined =
      _MaterialSymbolsData(0x24c1, 'tibia_filled_outlined');
  static const tibia_filled_sharp =
      _MaterialSymbolsData(0x24c2, 'tibia_filled_sharp');
  static const tibia_filled = _MaterialSymbolsData(0x24c3, 'tibia_filled');
  static const tibia_outlined = _MaterialSymbolsData(0x24c4, 'tibia_outlined');
  static const tibia_sharp = _MaterialSymbolsData(0x24c5, 'tibia_sharp');
  static const tibia = _MaterialSymbolsData(0x24c6, 'tibia');
  static const time_auto_filled_outlined =
      _MaterialSymbolsData(0x24c7, 'time_auto_filled_outlined');
  static const time_auto_filled_sharp =
      _MaterialSymbolsData(0x24c8, 'time_auto_filled_sharp');
  static const time_auto_filled =
      _MaterialSymbolsData(0x24c9, 'time_auto_filled');
  static const time_auto_outlined =
      _MaterialSymbolsData(0x24ca, 'time_auto_outlined');
  static const time_auto_sharp =
      _MaterialSymbolsData(0x24cb, 'time_auto_sharp');
  static const time_auto = _MaterialSymbolsData(0x24cc, 'time_auto');
  static const timelapse_filled_outlined =
      _MaterialSymbolsData(0x24cd, 'timelapse_filled_outlined');
  static const timelapse_filled_sharp =
      _MaterialSymbolsData(0x24ce, 'timelapse_filled_sharp');
  static const timelapse_filled =
      _MaterialSymbolsData(0x24cf, 'timelapse_filled');
  static const timelapse_outlined =
      _MaterialSymbolsData(0x24d0, 'timelapse_outlined');
  static const timelapse_sharp =
      _MaterialSymbolsData(0x24d1, 'timelapse_sharp');
  static const timelapse = _MaterialSymbolsData(0x24d2, 'timelapse');
  static const timeline_filled_outlined =
      _MaterialSymbolsData(0x24d3, 'timeline_filled_outlined');
  static const timeline_filled_sharp =
      _MaterialSymbolsData(0x24d4, 'timeline_filled_sharp');
  static const timeline_filled =
      _MaterialSymbolsData(0x24d5, 'timeline_filled');
  static const timeline_outlined =
      _MaterialSymbolsData(0x24d6, 'timeline_outlined');
  static const timeline_sharp = _MaterialSymbolsData(0x24d7, 'timeline_sharp');
  static const timeline = _MaterialSymbolsData(0x24d8, 'timeline');
  static const timer_10_alt_1_filled_outlined =
      _MaterialSymbolsData(0x24d9, 'timer_10_alt_1_filled_outlined');
  static const timer_10_alt_1_filled_sharp =
      _MaterialSymbolsData(0x24da, 'timer_10_alt_1_filled_sharp');
  static const timer_10_alt_1_filled =
      _MaterialSymbolsData(0x24db, 'timer_10_alt_1_filled');
  static const timer_10_alt_1_outlined =
      _MaterialSymbolsData(0x24dc, 'timer_10_alt_1_outlined');
  static const timer_10_alt_1_sharp =
      _MaterialSymbolsData(0x24dd, 'timer_10_alt_1_sharp');
  static const timer_10_alt_1 = _MaterialSymbolsData(0x24de, 'timer_10_alt_1');
  static const timer_10_filled_outlined =
      _MaterialSymbolsData(0x24df, 'timer_10_filled_outlined');
  static const timer_10_filled_sharp =
      _MaterialSymbolsData(0x24e0, 'timer_10_filled_sharp');
  static const timer_10_filled =
      _MaterialSymbolsData(0x24e1, 'timer_10_filled');
  static const timer_10_outlined =
      _MaterialSymbolsData(0x24e2, 'timer_10_outlined');
  static const timer_10_select_filled_outlined =
      _MaterialSymbolsData(0x24e3, 'timer_10_select_filled_outlined');
  static const timer_10_select_filled_sharp =
      _MaterialSymbolsData(0x24e4, 'timer_10_select_filled_sharp');
  static const timer_10_select_filled =
      _MaterialSymbolsData(0x24e5, 'timer_10_select_filled');
  static const timer_10_select_outlined =
      _MaterialSymbolsData(0x24e6, 'timer_10_select_outlined');
  static const timer_10_select_sharp =
      _MaterialSymbolsData(0x24e7, 'timer_10_select_sharp');
  static const timer_10_select =
      _MaterialSymbolsData(0x24e8, 'timer_10_select');
  static const timer_10_sharp = _MaterialSymbolsData(0x24e9, 'timer_10_sharp');
  static const timer_10 = _MaterialSymbolsData(0x24ea, 'timer_10');
  static const timer_3_alt_1_filled_outlined =
      _MaterialSymbolsData(0x24eb, 'timer_3_alt_1_filled_outlined');
  static const timer_3_alt_1_filled_sharp =
      _MaterialSymbolsData(0x24ec, 'timer_3_alt_1_filled_sharp');
  static const timer_3_alt_1_filled =
      _MaterialSymbolsData(0x24ed, 'timer_3_alt_1_filled');
  static const timer_3_alt_1_outlined =
      _MaterialSymbolsData(0x24ee, 'timer_3_alt_1_outlined');
  static const timer_3_alt_1_sharp =
      _MaterialSymbolsData(0x24ef, 'timer_3_alt_1_sharp');
  static const timer_3_alt_1 = _MaterialSymbolsData(0x24f0, 'timer_3_alt_1');
  static const timer_3_filled_outlined =
      _MaterialSymbolsData(0x24f1, 'timer_3_filled_outlined');
  static const timer_3_filled_sharp =
      _MaterialSymbolsData(0x24f2, 'timer_3_filled_sharp');
  static const timer_3_filled = _MaterialSymbolsData(0x24f3, 'timer_3_filled');
  static const timer_3_outlined =
      _MaterialSymbolsData(0x24f4, 'timer_3_outlined');
  static const timer_3_select_filled_outlined =
      _MaterialSymbolsData(0x24f5, 'timer_3_select_filled_outlined');
  static const timer_3_select_filled_sharp =
      _MaterialSymbolsData(0x24f6, 'timer_3_select_filled_sharp');
  static const timer_3_select_filled =
      _MaterialSymbolsData(0x24f7, 'timer_3_select_filled');
  static const timer_3_select_outlined =
      _MaterialSymbolsData(0x24f8, 'timer_3_select_outlined');
  static const timer_3_select_sharp =
      _MaterialSymbolsData(0x24f9, 'timer_3_select_sharp');
  static const timer_3_select = _MaterialSymbolsData(0x24fa, 'timer_3_select');
  static const timer_3_sharp = _MaterialSymbolsData(0x24fb, 'timer_3_sharp');
  static const timer_3 = _MaterialSymbolsData(0x24fc, 'timer_3');
  static const timer_filled_outlined =
      _MaterialSymbolsData(0x24fd, 'timer_filled_outlined');
  static const timer_filled_sharp =
      _MaterialSymbolsData(0x24fe, 'timer_filled_sharp');
  static const timer_filled = _MaterialSymbolsData(0x24ff, 'timer_filled');
  static const timer_off_filled_outlined =
      _MaterialSymbolsData(0x2500, 'timer_off_filled_outlined');
  static const timer_off_filled_sharp =
      _MaterialSymbolsData(0x2501, 'timer_off_filled_sharp');
  static const timer_off_filled =
      _MaterialSymbolsData(0x2502, 'timer_off_filled');
  static const timer_off_outlined =
      _MaterialSymbolsData(0x2503, 'timer_off_outlined');
  static const timer_off_sharp =
      _MaterialSymbolsData(0x2504, 'timer_off_sharp');
  static const timer_off = _MaterialSymbolsData(0x2505, 'timer_off');
  static const timer_outlined = _MaterialSymbolsData(0x2506, 'timer_outlined');
  static const timer_sharp = _MaterialSymbolsData(0x2507, 'timer_sharp');
  static const timer = _MaterialSymbolsData(0x2508, 'timer');
  static const tips_and_updates_filled_outlined =
      _MaterialSymbolsData(0x2509, 'tips_and_updates_filled_outlined');
  static const tips_and_updates_filled_sharp =
      _MaterialSymbolsData(0x250a, 'tips_and_updates_filled_sharp');
  static const tips_and_updates_filled =
      _MaterialSymbolsData(0x250b, 'tips_and_updates_filled');
  static const tips_and_updates_outlined =
      _MaterialSymbolsData(0x250c, 'tips_and_updates_outlined');
  static const tips_and_updates_sharp =
      _MaterialSymbolsData(0x250d, 'tips_and_updates_sharp');
  static const tips_and_updates =
      _MaterialSymbolsData(0x250e, 'tips_and_updates');
  static const tire_repair_filled_outlined =
      _MaterialSymbolsData(0x250f, 'tire_repair_filled_outlined');
  static const tire_repair_filled_sharp =
      _MaterialSymbolsData(0x2510, 'tire_repair_filled_sharp');
  static const tire_repair_filled =
      _MaterialSymbolsData(0x2511, 'tire_repair_filled');
  static const tire_repair_outlined =
      _MaterialSymbolsData(0x2512, 'tire_repair_outlined');
  static const tire_repair_sharp =
      _MaterialSymbolsData(0x2513, 'tire_repair_sharp');
  static const tire_repair = _MaterialSymbolsData(0x2514, 'tire_repair');
  static const title_filled_outlined =
      _MaterialSymbolsData(0x2515, 'title_filled_outlined');
  static const title_filled_sharp =
      _MaterialSymbolsData(0x2516, 'title_filled_sharp');
  static const title_filled = _MaterialSymbolsData(0x2517, 'title_filled');
  static const title_outlined = _MaterialSymbolsData(0x2518, 'title_outlined');
  static const title_sharp = _MaterialSymbolsData(0x2519, 'title_sharp');
  static const title = _MaterialSymbolsData(0x251a, 'title');
  static const toc_filled_outlined =
      _MaterialSymbolsData(0x251b, 'toc_filled_outlined');
  static const toc_filled_sharp =
      _MaterialSymbolsData(0x251c, 'toc_filled_sharp');
  static const toc_filled = _MaterialSymbolsData(0x251d, 'toc_filled');
  static const toc_outlined = _MaterialSymbolsData(0x251e, 'toc_outlined');
  static const toc_sharp = _MaterialSymbolsData(0x251f, 'toc_sharp');
  static const toc = _MaterialSymbolsData(0x2520, 'toc');
  static const today_filled_outlined =
      _MaterialSymbolsData(0x2521, 'today_filled_outlined');
  static const today_filled_sharp =
      _MaterialSymbolsData(0x2522, 'today_filled_sharp');
  static const today_filled = _MaterialSymbolsData(0x2523, 'today_filled');
  static const today_outlined = _MaterialSymbolsData(0x2524, 'today_outlined');
  static const today_sharp = _MaterialSymbolsData(0x2525, 'today_sharp');
  static const today = _MaterialSymbolsData(0x2526, 'today');
  static const toggle_off_filled_outlined =
      _MaterialSymbolsData(0x2527, 'toggle_off_filled_outlined');
  static const toggle_off_filled_sharp =
      _MaterialSymbolsData(0x2528, 'toggle_off_filled_sharp');
  static const toggle_off_filled =
      _MaterialSymbolsData(0x2529, 'toggle_off_filled');
  static const toggle_off_outlined =
      _MaterialSymbolsData(0x252a, 'toggle_off_outlined');
  static const toggle_off_sharp =
      _MaterialSymbolsData(0x252b, 'toggle_off_sharp');
  static const toggle_off = _MaterialSymbolsData(0x252c, 'toggle_off');
  static const toggle_on_filled_outlined =
      _MaterialSymbolsData(0x252d, 'toggle_on_filled_outlined');
  static const toggle_on_filled_sharp =
      _MaterialSymbolsData(0x252e, 'toggle_on_filled_sharp');
  static const toggle_on_filled =
      _MaterialSymbolsData(0x252f, 'toggle_on_filled');
  static const toggle_on_outlined =
      _MaterialSymbolsData(0x2530, 'toggle_on_outlined');
  static const toggle_on_sharp =
      _MaterialSymbolsData(0x2531, 'toggle_on_sharp');
  static const toggle_on = _MaterialSymbolsData(0x2532, 'toggle_on');
  static const token_filled_outlined =
      _MaterialSymbolsData(0x2533, 'token_filled_outlined');
  static const token_filled_sharp =
      _MaterialSymbolsData(0x2534, 'token_filled_sharp');
  static const token_filled = _MaterialSymbolsData(0x2535, 'token_filled');
  static const token_outlined = _MaterialSymbolsData(0x2536, 'token_outlined');
  static const token_sharp = _MaterialSymbolsData(0x2537, 'token_sharp');
  static const token = _MaterialSymbolsData(0x2538, 'token');
  static const toll_filled_outlined =
      _MaterialSymbolsData(0x2539, 'toll_filled_outlined');
  static const toll_filled_sharp =
      _MaterialSymbolsData(0x253a, 'toll_filled_sharp');
  static const toll_filled = _MaterialSymbolsData(0x253b, 'toll_filled');
  static const toll_outlined = _MaterialSymbolsData(0x253c, 'toll_outlined');
  static const toll_sharp = _MaterialSymbolsData(0x253d, 'toll_sharp');
  static const toll = _MaterialSymbolsData(0x253e, 'toll');
  static const tonality_filled_outlined =
      _MaterialSymbolsData(0x253f, 'tonality_filled_outlined');
  static const tonality_filled_sharp =
      _MaterialSymbolsData(0x2540, 'tonality_filled_sharp');
  static const tonality_filled =
      _MaterialSymbolsData(0x2541, 'tonality_filled');
  static const tonality_outlined =
      _MaterialSymbolsData(0x2542, 'tonality_outlined');
  static const tonality_sharp = _MaterialSymbolsData(0x2543, 'tonality_sharp');
  static const tonality = _MaterialSymbolsData(0x2544, 'tonality');
  static const tools_flat_head_filled_outlined =
      _MaterialSymbolsData(0x2545, 'tools_flat_head_filled_outlined');
  static const tools_flat_head_filled_sharp =
      _MaterialSymbolsData(0x2546, 'tools_flat_head_filled_sharp');
  static const tools_flat_head_filled =
      _MaterialSymbolsData(0x2547, 'tools_flat_head_filled');
  static const tools_flat_head_outlined =
      _MaterialSymbolsData(0x2548, 'tools_flat_head_outlined');
  static const tools_flat_head_sharp =
      _MaterialSymbolsData(0x2549, 'tools_flat_head_sharp');
  static const tools_flat_head =
      _MaterialSymbolsData(0x254a, 'tools_flat_head');
  static const tools_installation_kit_filled_outlined =
      _MaterialSymbolsData(0x254b, 'tools_installation_kit_filled_outlined');
  static const tools_installation_kit_filled_sharp =
      _MaterialSymbolsData(0x254c, 'tools_installation_kit_filled_sharp');
  static const tools_installation_kit_filled =
      _MaterialSymbolsData(0x254d, 'tools_installation_kit_filled');
  static const tools_installation_kit_outlined =
      _MaterialSymbolsData(0x254e, 'tools_installation_kit_outlined');
  static const tools_installation_kit_sharp =
      _MaterialSymbolsData(0x254f, 'tools_installation_kit_sharp');
  static const tools_installation_kit =
      _MaterialSymbolsData(0x2550, 'tools_installation_kit');
  static const tools_ladder_filled_outlined =
      _MaterialSymbolsData(0x2551, 'tools_ladder_filled_outlined');
  static const tools_ladder_filled_sharp =
      _MaterialSymbolsData(0x2552, 'tools_ladder_filled_sharp');
  static const tools_ladder_filled =
      _MaterialSymbolsData(0x2553, 'tools_ladder_filled');
  static const tools_ladder_outlined =
      _MaterialSymbolsData(0x2554, 'tools_ladder_outlined');
  static const tools_ladder_sharp =
      _MaterialSymbolsData(0x2555, 'tools_ladder_sharp');
  static const tools_ladder = _MaterialSymbolsData(0x2556, 'tools_ladder');
  static const tools_level_filled_outlined =
      _MaterialSymbolsData(0x2557, 'tools_level_filled_outlined');
  static const tools_level_filled_sharp =
      _MaterialSymbolsData(0x2558, 'tools_level_filled_sharp');
  static const tools_level_filled =
      _MaterialSymbolsData(0x2559, 'tools_level_filled');
  static const tools_level_outlined =
      _MaterialSymbolsData(0x255a, 'tools_level_outlined');
  static const tools_level_sharp =
      _MaterialSymbolsData(0x255b, 'tools_level_sharp');
  static const tools_level = _MaterialSymbolsData(0x255c, 'tools_level');
  static const tools_phillips_filled_outlined =
      _MaterialSymbolsData(0x255d, 'tools_phillips_filled_outlined');
  static const tools_phillips_filled_sharp =
      _MaterialSymbolsData(0x255e, 'tools_phillips_filled_sharp');
  static const tools_phillips_filled =
      _MaterialSymbolsData(0x255f, 'tools_phillips_filled');
  static const tools_phillips_outlined =
      _MaterialSymbolsData(0x2560, 'tools_phillips_outlined');
  static const tools_phillips_sharp =
      _MaterialSymbolsData(0x2561, 'tools_phillips_sharp');
  static const tools_phillips = _MaterialSymbolsData(0x2562, 'tools_phillips');
  static const tools_pliers_wire_stripper_filled_outlined =
      _MaterialSymbolsData(
          0x2563, 'tools_pliers_wire_stripper_filled_outlined');
  static const tools_pliers_wire_stripper_filled_sharp =
      _MaterialSymbolsData(0x2564, 'tools_pliers_wire_stripper_filled_sharp');
  static const tools_pliers_wire_stripper_filled =
      _MaterialSymbolsData(0x2565, 'tools_pliers_wire_stripper_filled');
  static const tools_pliers_wire_stripper_outlined =
      _MaterialSymbolsData(0x2566, 'tools_pliers_wire_stripper_outlined');
  static const tools_pliers_wire_stripper_sharp =
      _MaterialSymbolsData(0x2567, 'tools_pliers_wire_stripper_sharp');
  static const tools_pliers_wire_stripper =
      _MaterialSymbolsData(0x2568, 'tools_pliers_wire_stripper');
  static const tools_power_drill_filled_outlined =
      _MaterialSymbolsData(0x2569, 'tools_power_drill_filled_outlined');
  static const tools_power_drill_filled_sharp =
      _MaterialSymbolsData(0x256a, 'tools_power_drill_filled_sharp');
  static const tools_power_drill_filled =
      _MaterialSymbolsData(0x256b, 'tools_power_drill_filled');
  static const tools_power_drill_outlined =
      _MaterialSymbolsData(0x256c, 'tools_power_drill_outlined');
  static const tools_power_drill_sharp =
      _MaterialSymbolsData(0x256d, 'tools_power_drill_sharp');
  static const tools_power_drill =
      _MaterialSymbolsData(0x256e, 'tools_power_drill');
  static const tools_wrench_filled_outlined =
      _MaterialSymbolsData(0x256f, 'tools_wrench_filled_outlined');
  static const tools_wrench_filled_sharp =
      _MaterialSymbolsData(0x2570, 'tools_wrench_filled_sharp');
  static const tools_wrench_filled =
      _MaterialSymbolsData(0x2571, 'tools_wrench_filled');
  static const tools_wrench_outlined =
      _MaterialSymbolsData(0x2572, 'tools_wrench_outlined');
  static const tools_wrench_sharp =
      _MaterialSymbolsData(0x2573, 'tools_wrench_sharp');
  static const tools_wrench = _MaterialSymbolsData(0x2574, 'tools_wrench');
  static const topic_filled_outlined =
      _MaterialSymbolsData(0x2575, 'topic_filled_outlined');
  static const topic_filled_sharp =
      _MaterialSymbolsData(0x2576, 'topic_filled_sharp');
  static const topic_filled = _MaterialSymbolsData(0x2577, 'topic_filled');
  static const topic_outlined = _MaterialSymbolsData(0x2578, 'topic_outlined');
  static const topic_sharp = _MaterialSymbolsData(0x2579, 'topic_sharp');
  static const topic = _MaterialSymbolsData(0x257a, 'topic');
  static const tornado_filled_outlined =
      _MaterialSymbolsData(0x257b, 'tornado_filled_outlined');
  static const tornado_filled_sharp =
      _MaterialSymbolsData(0x257c, 'tornado_filled_sharp');
  static const tornado_filled = _MaterialSymbolsData(0x257d, 'tornado_filled');
  static const tornado_outlined =
      _MaterialSymbolsData(0x257e, 'tornado_outlined');
  static const tornado_sharp = _MaterialSymbolsData(0x257f, 'tornado_sharp');
  static const tornado = _MaterialSymbolsData(0x2580, 'tornado');
  static const total_dissolved_solids_filled_outlined =
      _MaterialSymbolsData(0x2581, 'total_dissolved_solids_filled_outlined');
  static const total_dissolved_solids_filled_sharp =
      _MaterialSymbolsData(0x2582, 'total_dissolved_solids_filled_sharp');
  static const total_dissolved_solids_filled =
      _MaterialSymbolsData(0x2583, 'total_dissolved_solids_filled');
  static const total_dissolved_solids_outlined =
      _MaterialSymbolsData(0x2584, 'total_dissolved_solids_outlined');
  static const total_dissolved_solids_sharp =
      _MaterialSymbolsData(0x2585, 'total_dissolved_solids_sharp');
  static const total_dissolved_solids =
      _MaterialSymbolsData(0x2586, 'total_dissolved_solids');
  static const touch_app_filled_outlined =
      _MaterialSymbolsData(0x2587, 'touch_app_filled_outlined');
  static const touch_app_filled_sharp =
      _MaterialSymbolsData(0x2588, 'touch_app_filled_sharp');
  static const touch_app_filled =
      _MaterialSymbolsData(0x2589, 'touch_app_filled');
  static const touch_app_outlined =
      _MaterialSymbolsData(0x258a, 'touch_app_outlined');
  static const touch_app_sharp =
      _MaterialSymbolsData(0x258b, 'touch_app_sharp');
  static const touch_app = _MaterialSymbolsData(0x258c, 'touch_app');
  static const tour_filled_outlined =
      _MaterialSymbolsData(0x258d, 'tour_filled_outlined');
  static const tour_filled_sharp =
      _MaterialSymbolsData(0x258e, 'tour_filled_sharp');
  static const tour_filled = _MaterialSymbolsData(0x258f, 'tour_filled');
  static const tour_outlined = _MaterialSymbolsData(0x2590, 'tour_outlined');
  static const tour_sharp = _MaterialSymbolsData(0x2591, 'tour_sharp');
  static const tour = _MaterialSymbolsData(0x2592, 'tour');
  static const toys_fan_filled_outlined =
      _MaterialSymbolsData(0x2593, 'toys_fan_filled_outlined');
  static const toys_fan_filled_sharp =
      _MaterialSymbolsData(0x2594, 'toys_fan_filled_sharp');
  static const toys_fan_filled =
      _MaterialSymbolsData(0x2595, 'toys_fan_filled');
  static const toys_fan_outlined =
      _MaterialSymbolsData(0x2596, 'toys_fan_outlined');
  static const toys_fan_sharp = _MaterialSymbolsData(0x2597, 'toys_fan_sharp');
  static const toys_fan = _MaterialSymbolsData(0x2598, 'toys_fan');
  static const toys_filled_outlined =
      _MaterialSymbolsData(0x2599, 'toys_filled_outlined');
  static const toys_filled_sharp =
      _MaterialSymbolsData(0x259a, 'toys_filled_sharp');
  static const toys_filled = _MaterialSymbolsData(0x259b, 'toys_filled');
  static const toys_outlined = _MaterialSymbolsData(0x259c, 'toys_outlined');
  static const toys_sharp = _MaterialSymbolsData(0x259d, 'toys_sharp');
  static const toys = _MaterialSymbolsData(0x259e, 'toys');
  static const track_changes_filled_outlined =
      _MaterialSymbolsData(0x259f, 'track_changes_filled_outlined');
  static const track_changes_filled_sharp =
      _MaterialSymbolsData(0x25a0, 'track_changes_filled_sharp');
  static const track_changes_filled =
      _MaterialSymbolsData(0x25a1, 'track_changes_filled');
  static const track_changes_outlined =
      _MaterialSymbolsData(0x25a2, 'track_changes_outlined');
  static const track_changes_sharp =
      _MaterialSymbolsData(0x25a3, 'track_changes_sharp');
  static const track_changes = _MaterialSymbolsData(0x25a4, 'track_changes');
  static const traffic_filled_outlined =
      _MaterialSymbolsData(0x25a5, 'traffic_filled_outlined');
  static const traffic_filled_sharp =
      _MaterialSymbolsData(0x25a6, 'traffic_filled_sharp');
  static const traffic_filled = _MaterialSymbolsData(0x25a7, 'traffic_filled');
  static const traffic_outlined =
      _MaterialSymbolsData(0x25a8, 'traffic_outlined');
  static const traffic_sharp = _MaterialSymbolsData(0x25a9, 'traffic_sharp');
  static const traffic = _MaterialSymbolsData(0x25aa, 'traffic');
  static const trail_length_filled_outlined =
      _MaterialSymbolsData(0x25ab, 'trail_length_filled_outlined');
  static const trail_length_filled_sharp =
      _MaterialSymbolsData(0x25ac, 'trail_length_filled_sharp');
  static const trail_length_filled =
      _MaterialSymbolsData(0x25ad, 'trail_length_filled');
  static const trail_length_medium_filled_outlined =
      _MaterialSymbolsData(0x25ae, 'trail_length_medium_filled_outlined');
  static const trail_length_medium_filled_sharp =
      _MaterialSymbolsData(0x25af, 'trail_length_medium_filled_sharp');
  static const trail_length_medium_filled =
      _MaterialSymbolsData(0x25b0, 'trail_length_medium_filled');
  static const trail_length_medium_outlined =
      _MaterialSymbolsData(0x25b1, 'trail_length_medium_outlined');
  static const trail_length_medium_sharp =
      _MaterialSymbolsData(0x25b2, 'trail_length_medium_sharp');
  static const trail_length_medium =
      _MaterialSymbolsData(0x25b3, 'trail_length_medium');
  static const trail_length_outlined =
      _MaterialSymbolsData(0x25b4, 'trail_length_outlined');
  static const trail_length_sharp =
      _MaterialSymbolsData(0x25b5, 'trail_length_sharp');
  static const trail_length_short_filled_outlined =
      _MaterialSymbolsData(0x25b6, 'trail_length_short_filled_outlined');
  static const trail_length_short_filled_sharp =
      _MaterialSymbolsData(0x25b7, 'trail_length_short_filled_sharp');
  static const trail_length_short_filled =
      _MaterialSymbolsData(0x25b8, 'trail_length_short_filled');
  static const trail_length_short_outlined =
      _MaterialSymbolsData(0x25b9, 'trail_length_short_outlined');
  static const trail_length_short_sharp =
      _MaterialSymbolsData(0x25ba, 'trail_length_short_sharp');
  static const trail_length_short =
      _MaterialSymbolsData(0x25bb, 'trail_length_short');
  static const trail_length = _MaterialSymbolsData(0x25bc, 'trail_length');
  static const train_filled_outlined =
      _MaterialSymbolsData(0x25bd, 'train_filled_outlined');
  static const train_filled_sharp =
      _MaterialSymbolsData(0x25be, 'train_filled_sharp');
  static const train_filled = _MaterialSymbolsData(0x25bf, 'train_filled');
  static const train_outlined = _MaterialSymbolsData(0x25c0, 'train_outlined');
  static const train_sharp = _MaterialSymbolsData(0x25c1, 'train_sharp');
  static const train = _MaterialSymbolsData(0x25c2, 'train');
  static const tram_filled_outlined =
      _MaterialSymbolsData(0x25c3, 'tram_filled_outlined');
  static const tram_filled_sharp =
      _MaterialSymbolsData(0x25c4, 'tram_filled_sharp');
  static const tram_filled = _MaterialSymbolsData(0x25c5, 'tram_filled');
  static const tram_outlined = _MaterialSymbolsData(0x25c6, 'tram_outlined');
  static const tram_sharp = _MaterialSymbolsData(0x25c7, 'tram_sharp');
  static const tram = _MaterialSymbolsData(0x25c8, 'tram');
  static const transcribe_filled_outlined =
      _MaterialSymbolsData(0x25c9, 'transcribe_filled_outlined');
  static const transcribe_filled_sharp =
      _MaterialSymbolsData(0x25ca, 'transcribe_filled_sharp');
  static const transcribe_filled =
      _MaterialSymbolsData(0x25cb, 'transcribe_filled');
  static const transcribe_outlined =
      _MaterialSymbolsData(0x25cc, 'transcribe_outlined');
  static const transcribe_sharp =
      _MaterialSymbolsData(0x25cd, 'transcribe_sharp');
  static const transcribe = _MaterialSymbolsData(0x25ce, 'transcribe');
  static const transfer_within_a_station_filled_outlined =
      _MaterialSymbolsData(0x25cf, 'transfer_within_a_station_filled_outlined');
  static const transfer_within_a_station_filled_sharp =
      _MaterialSymbolsData(0x25d0, 'transfer_within_a_station_filled_sharp');
  static const transfer_within_a_station_filled =
      _MaterialSymbolsData(0x25d1, 'transfer_within_a_station_filled');
  static const transfer_within_a_station_outlined =
      _MaterialSymbolsData(0x25d2, 'transfer_within_a_station_outlined');
  static const transfer_within_a_station_sharp =
      _MaterialSymbolsData(0x25d3, 'transfer_within_a_station_sharp');
  static const transfer_within_a_station =
      _MaterialSymbolsData(0x25d4, 'transfer_within_a_station');
  static const transform_filled_outlined =
      _MaterialSymbolsData(0x25d5, 'transform_filled_outlined');
  static const transform_filled_sharp =
      _MaterialSymbolsData(0x25d6, 'transform_filled_sharp');
  static const transform_filled =
      _MaterialSymbolsData(0x25d7, 'transform_filled');
  static const transform_outlined =
      _MaterialSymbolsData(0x25d8, 'transform_outlined');
  static const transform_sharp =
      _MaterialSymbolsData(0x25d9, 'transform_sharp');
  static const transform = _MaterialSymbolsData(0x25da, 'transform');
  static const transgender_filled_outlined =
      _MaterialSymbolsData(0x25db, 'transgender_filled_outlined');
  static const transgender_filled_sharp =
      _MaterialSymbolsData(0x25dc, 'transgender_filled_sharp');
  static const transgender_filled =
      _MaterialSymbolsData(0x25dd, 'transgender_filled');
  static const transgender_outlined =
      _MaterialSymbolsData(0x25de, 'transgender_outlined');
  static const transgender_sharp =
      _MaterialSymbolsData(0x25df, 'transgender_sharp');
  static const transgender = _MaterialSymbolsData(0x25e0, 'transgender');
  static const transit_enterexit_filled_outlined =
      _MaterialSymbolsData(0x25e1, 'transit_enterexit_filled_outlined');
  static const transit_enterexit_filled_sharp =
      _MaterialSymbolsData(0x25e2, 'transit_enterexit_filled_sharp');
  static const transit_enterexit_filled =
      _MaterialSymbolsData(0x25e3, 'transit_enterexit_filled');
  static const transit_enterexit_outlined =
      _MaterialSymbolsData(0x25e4, 'transit_enterexit_outlined');
  static const transit_enterexit_sharp =
      _MaterialSymbolsData(0x25e5, 'transit_enterexit_sharp');
  static const transit_enterexit =
      _MaterialSymbolsData(0x25e6, 'transit_enterexit');
  static const translate_filled_outlined =
      _MaterialSymbolsData(0x25e7, 'translate_filled_outlined');
  static const translate_filled_sharp =
      _MaterialSymbolsData(0x25e8, 'translate_filled_sharp');
  static const translate_filled =
      _MaterialSymbolsData(0x25e9, 'translate_filled');
  static const translate_outlined =
      _MaterialSymbolsData(0x25ea, 'translate_outlined');
  static const translate_sharp =
      _MaterialSymbolsData(0x25eb, 'translate_sharp');
  static const translate = _MaterialSymbolsData(0x25ec, 'translate');
  static const transportation_filled_outlined =
      _MaterialSymbolsData(0x25ed, 'transportation_filled_outlined');
  static const transportation_filled_sharp =
      _MaterialSymbolsData(0x25ee, 'transportation_filled_sharp');
  static const transportation_filled =
      _MaterialSymbolsData(0x25ef, 'transportation_filled');
  static const transportation_outlined =
      _MaterialSymbolsData(0x25f0, 'transportation_outlined');
  static const transportation_sharp =
      _MaterialSymbolsData(0x25f1, 'transportation_sharp');
  static const transportation = _MaterialSymbolsData(0x25f2, 'transportation');
  static const travel_explore_filled_outlined =
      _MaterialSymbolsData(0x25f3, 'travel_explore_filled_outlined');
  static const travel_explore_filled_sharp =
      _MaterialSymbolsData(0x25f4, 'travel_explore_filled_sharp');
  static const travel_explore_filled =
      _MaterialSymbolsData(0x25f5, 'travel_explore_filled');
  static const travel_explore_outlined =
      _MaterialSymbolsData(0x25f6, 'travel_explore_outlined');
  static const travel_explore_sharp =
      _MaterialSymbolsData(0x25f7, 'travel_explore_sharp');
  static const travel_explore = _MaterialSymbolsData(0x25f8, 'travel_explore');
  static const trending_down_filled_outlined =
      _MaterialSymbolsData(0x25f9, 'trending_down_filled_outlined');
  static const trending_down_filled_sharp =
      _MaterialSymbolsData(0x25fa, 'trending_down_filled_sharp');
  static const trending_down_filled =
      _MaterialSymbolsData(0x25fb, 'trending_down_filled');
  static const trending_down_outlined =
      _MaterialSymbolsData(0x25fc, 'trending_down_outlined');
  static const trending_down_sharp =
      _MaterialSymbolsData(0x25fd, 'trending_down_sharp');
  static const trending_down = _MaterialSymbolsData(0x25fe, 'trending_down');
  static const trending_flat_filled_outlined =
      _MaterialSymbolsData(0x25ff, 'trending_flat_filled_outlined');
  static const trending_flat_filled_sharp =
      _MaterialSymbolsData(0x2600, 'trending_flat_filled_sharp');
  static const trending_flat_filled =
      _MaterialSymbolsData(0x2601, 'trending_flat_filled');
  static const trending_flat_outlined =
      _MaterialSymbolsData(0x2602, 'trending_flat_outlined');
  static const trending_flat_sharp =
      _MaterialSymbolsData(0x2603, 'trending_flat_sharp');
  static const trending_flat = _MaterialSymbolsData(0x2604, 'trending_flat');
  static const trending_up_filled_outlined =
      _MaterialSymbolsData(0x2605, 'trending_up_filled_outlined');
  static const trending_up_filled_sharp =
      _MaterialSymbolsData(0x2606, 'trending_up_filled_sharp');
  static const trending_up_filled =
      _MaterialSymbolsData(0x2607, 'trending_up_filled');
  static const trending_up_outlined =
      _MaterialSymbolsData(0x2608, 'trending_up_outlined');
  static const trending_up_sharp =
      _MaterialSymbolsData(0x2609, 'trending_up_sharp');
  static const trending_up = _MaterialSymbolsData(0x260a, 'trending_up');
  static const trip_origin_filled_outlined =
      _MaterialSymbolsData(0x260b, 'trip_origin_filled_outlined');
  static const trip_origin_filled_sharp =
      _MaterialSymbolsData(0x260c, 'trip_origin_filled_sharp');
  static const trip_origin_filled =
      _MaterialSymbolsData(0x260d, 'trip_origin_filled');
  static const trip_origin_outlined =
      _MaterialSymbolsData(0x260e, 'trip_origin_outlined');
  static const trip_origin_sharp =
      _MaterialSymbolsData(0x260f, 'trip_origin_sharp');
  static const trip_origin = _MaterialSymbolsData(0x2610, 'trip_origin');
  static const trolley_filled_outlined =
      _MaterialSymbolsData(0x2611, 'trolley_filled_outlined');
  static const trolley_filled_sharp =
      _MaterialSymbolsData(0x2612, 'trolley_filled_sharp');
  static const trolley_filled = _MaterialSymbolsData(0x2613, 'trolley_filled');
  static const trolley_outlined =
      _MaterialSymbolsData(0x2614, 'trolley_outlined');
  static const trolley_sharp = _MaterialSymbolsData(0x2615, 'trolley_sharp');
  static const trolley = _MaterialSymbolsData(0x2616, 'trolley');
  static const tsunami_filled_outlined =
      _MaterialSymbolsData(0x2617, 'tsunami_filled_outlined');
  static const tsunami_filled_sharp =
      _MaterialSymbolsData(0x2618, 'tsunami_filled_sharp');
  static const tsunami_filled = _MaterialSymbolsData(0x2619, 'tsunami_filled');
  static const tsunami_outlined =
      _MaterialSymbolsData(0x261a, 'tsunami_outlined');
  static const tsunami_sharp = _MaterialSymbolsData(0x261b, 'tsunami_sharp');
  static const tsunami = _MaterialSymbolsData(0x261c, 'tsunami');
  static const tty_filled_outlined =
      _MaterialSymbolsData(0x261d, 'tty_filled_outlined');
  static const tty_filled_sharp =
      _MaterialSymbolsData(0x261e, 'tty_filled_sharp');
  static const tty_filled = _MaterialSymbolsData(0x261f, 'tty_filled');
  static const tty_outlined = _MaterialSymbolsData(0x2620, 'tty_outlined');
  static const tty_sharp = _MaterialSymbolsData(0x2621, 'tty_sharp');
  static const tty = _MaterialSymbolsData(0x2622, 'tty');
  static const tune_filled_outlined =
      _MaterialSymbolsData(0x2623, 'tune_filled_outlined');
  static const tune_filled_sharp =
      _MaterialSymbolsData(0x2624, 'tune_filled_sharp');
  static const tune_filled = _MaterialSymbolsData(0x2625, 'tune_filled');
  static const tune_outlined = _MaterialSymbolsData(0x2626, 'tune_outlined');
  static const tune_sharp = _MaterialSymbolsData(0x2627, 'tune_sharp');
  static const tune = _MaterialSymbolsData(0x2628, 'tune');
  static const turn_left_filled_outlined =
      _MaterialSymbolsData(0x2629, 'turn_left_filled_outlined');
  static const turn_left_filled_sharp =
      _MaterialSymbolsData(0x262a, 'turn_left_filled_sharp');
  static const turn_left_filled =
      _MaterialSymbolsData(0x262b, 'turn_left_filled');
  static const turn_left_outlined =
      _MaterialSymbolsData(0x262c, 'turn_left_outlined');
  static const turn_left_sharp =
      _MaterialSymbolsData(0x262d, 'turn_left_sharp');
  static const turn_left = _MaterialSymbolsData(0x262e, 'turn_left');
  static const turn_right_filled_outlined =
      _MaterialSymbolsData(0x262f, 'turn_right_filled_outlined');
  static const turn_right_filled_sharp =
      _MaterialSymbolsData(0x2630, 'turn_right_filled_sharp');
  static const turn_right_filled =
      _MaterialSymbolsData(0x2631, 'turn_right_filled');
  static const turn_right_outlined =
      _MaterialSymbolsData(0x2632, 'turn_right_outlined');
  static const turn_right_sharp =
      _MaterialSymbolsData(0x2633, 'turn_right_sharp');
  static const turn_right = _MaterialSymbolsData(0x2634, 'turn_right');
  static const turn_sharp_left_filled_outlined =
      _MaterialSymbolsData(0x2635, 'turn_sharp_left_filled_outlined');
  static const turn_sharp_left_filled_sharp =
      _MaterialSymbolsData(0x2636, 'turn_sharp_left_filled_sharp');
  static const turn_sharp_left_filled =
      _MaterialSymbolsData(0x2637, 'turn_sharp_left_filled');
  static const turn_sharp_left_outlined =
      _MaterialSymbolsData(0x2638, 'turn_sharp_left_outlined');
  static const turn_sharp_left_sharp =
      _MaterialSymbolsData(0x2639, 'turn_sharp_left_sharp');
  static const turn_sharp_left =
      _MaterialSymbolsData(0x263a, 'turn_sharp_left');
  static const turn_sharp_right_filled_outlined =
      _MaterialSymbolsData(0x263b, 'turn_sharp_right_filled_outlined');
  static const turn_sharp_right_filled_sharp =
      _MaterialSymbolsData(0x263c, 'turn_sharp_right_filled_sharp');
  static const turn_sharp_right_filled =
      _MaterialSymbolsData(0x263d, 'turn_sharp_right_filled');
  static const turn_sharp_right_outlined =
      _MaterialSymbolsData(0x263e, 'turn_sharp_right_outlined');
  static const turn_sharp_right_sharp =
      _MaterialSymbolsData(0x263f, 'turn_sharp_right_sharp');
  static const turn_sharp_right =
      _MaterialSymbolsData(0x2640, 'turn_sharp_right');
  static const turn_slight_left_filled_outlined =
      _MaterialSymbolsData(0x2641, 'turn_slight_left_filled_outlined');
  static const turn_slight_left_filled_sharp =
      _MaterialSymbolsData(0x2642, 'turn_slight_left_filled_sharp');
  static const turn_slight_left_filled =
      _MaterialSymbolsData(0x2643, 'turn_slight_left_filled');
  static const turn_slight_left_outlined =
      _MaterialSymbolsData(0x2644, 'turn_slight_left_outlined');
  static const turn_slight_left_sharp =
      _MaterialSymbolsData(0x2645, 'turn_slight_left_sharp');
  static const turn_slight_left =
      _MaterialSymbolsData(0x2646, 'turn_slight_left');
  static const turn_slight_right_filled_outlined =
      _MaterialSymbolsData(0x2647, 'turn_slight_right_filled_outlined');
  static const turn_slight_right_filled_sharp =
      _MaterialSymbolsData(0x2648, 'turn_slight_right_filled_sharp');
  static const turn_slight_right_filled =
      _MaterialSymbolsData(0x2649, 'turn_slight_right_filled');
  static const turn_slight_right_outlined =
      _MaterialSymbolsData(0x264a, 'turn_slight_right_outlined');
  static const turn_slight_right_sharp =
      _MaterialSymbolsData(0x264b, 'turn_slight_right_sharp');
  static const turn_slight_right =
      _MaterialSymbolsData(0x264c, 'turn_slight_right');
  static const tv_filled_outlined =
      _MaterialSymbolsData(0x264d, 'tv_filled_outlined');
  static const tv_filled_sharp =
      _MaterialSymbolsData(0x264e, 'tv_filled_sharp');
  static const tv_filled = _MaterialSymbolsData(0x264f, 'tv_filled');
  static const tv_gen_filled_outlined =
      _MaterialSymbolsData(0x2650, 'tv_gen_filled_outlined');
  static const tv_gen_filled_sharp =
      _MaterialSymbolsData(0x2651, 'tv_gen_filled_sharp');
  static const tv_gen_filled = _MaterialSymbolsData(0x2652, 'tv_gen_filled');
  static const tv_gen_outlined =
      _MaterialSymbolsData(0x2653, 'tv_gen_outlined');
  static const tv_gen_sharp = _MaterialSymbolsData(0x2654, 'tv_gen_sharp');
  static const tv_gen = _MaterialSymbolsData(0x2655, 'tv_gen');
  static const tv_off_filled_outlined =
      _MaterialSymbolsData(0x2656, 'tv_off_filled_outlined');
  static const tv_off_filled_sharp =
      _MaterialSymbolsData(0x2657, 'tv_off_filled_sharp');
  static const tv_off_filled = _MaterialSymbolsData(0x2658, 'tv_off_filled');
  static const tv_off_outlined =
      _MaterialSymbolsData(0x2659, 'tv_off_outlined');
  static const tv_off_sharp = _MaterialSymbolsData(0x265a, 'tv_off_sharp');
  static const tv_off = _MaterialSymbolsData(0x265b, 'tv_off');
  static const tv_outlined = _MaterialSymbolsData(0x265c, 'tv_outlined');
  static const tv_sharp = _MaterialSymbolsData(0x265d, 'tv_sharp');
  static const tv_with_assistant_filled_outlined =
      _MaterialSymbolsData(0x265e, 'tv_with_assistant_filled_outlined');
  static const tv_with_assistant_filled_sharp =
      _MaterialSymbolsData(0x265f, 'tv_with_assistant_filled_sharp');
  static const tv_with_assistant_filled =
      _MaterialSymbolsData(0x2660, 'tv_with_assistant_filled');
  static const tv_with_assistant_outlined =
      _MaterialSymbolsData(0x2661, 'tv_with_assistant_outlined');
  static const tv_with_assistant_sharp =
      _MaterialSymbolsData(0x2662, 'tv_with_assistant_sharp');
  static const tv_with_assistant =
      _MaterialSymbolsData(0x2663, 'tv_with_assistant');
  static const tv = _MaterialSymbolsData(0x2664, 'tv');
  static const two_wheeler_filled_outlined =
      _MaterialSymbolsData(0x2665, 'two_wheeler_filled_outlined');
  static const two_wheeler_filled_sharp =
      _MaterialSymbolsData(0x2666, 'two_wheeler_filled_sharp');
  static const two_wheeler_filled =
      _MaterialSymbolsData(0x2667, 'two_wheeler_filled');
  static const two_wheeler_outlined =
      _MaterialSymbolsData(0x2668, 'two_wheeler_outlined');
  static const two_wheeler_sharp =
      _MaterialSymbolsData(0x2669, 'two_wheeler_sharp');
  static const two_wheeler = _MaterialSymbolsData(0x266a, 'two_wheeler');
  static const type_specimen_filled_outlined =
      _MaterialSymbolsData(0x266b, 'type_specimen_filled_outlined');
  static const type_specimen_filled_sharp =
      _MaterialSymbolsData(0x266c, 'type_specimen_filled_sharp');
  static const type_specimen_filled =
      _MaterialSymbolsData(0x266d, 'type_specimen_filled');
  static const type_specimen_outlined =
      _MaterialSymbolsData(0x266e, 'type_specimen_outlined');
  static const type_specimen_sharp =
      _MaterialSymbolsData(0x266f, 'type_specimen_sharp');
  static const type_specimen = _MaterialSymbolsData(0x2670, 'type_specimen');
  static const u_turn_left_filled_outlined =
      _MaterialSymbolsData(0x2671, 'u_turn_left_filled_outlined');
  static const u_turn_left_filled_sharp =
      _MaterialSymbolsData(0x2672, 'u_turn_left_filled_sharp');
  static const u_turn_left_filled =
      _MaterialSymbolsData(0x2673, 'u_turn_left_filled');
  static const u_turn_left_outlined =
      _MaterialSymbolsData(0x2674, 'u_turn_left_outlined');
  static const u_turn_left_sharp =
      _MaterialSymbolsData(0x2675, 'u_turn_left_sharp');
  static const u_turn_left = _MaterialSymbolsData(0x2676, 'u_turn_left');
  static const u_turn_right_filled_outlined =
      _MaterialSymbolsData(0x2677, 'u_turn_right_filled_outlined');
  static const u_turn_right_filled_sharp =
      _MaterialSymbolsData(0x2678, 'u_turn_right_filled_sharp');
  static const u_turn_right_filled =
      _MaterialSymbolsData(0x2679, 'u_turn_right_filled');
  static const u_turn_right_outlined =
      _MaterialSymbolsData(0x267a, 'u_turn_right_outlined');
  static const u_turn_right_sharp =
      _MaterialSymbolsData(0x267b, 'u_turn_right_sharp');
  static const u_turn_right = _MaterialSymbolsData(0x267c, 'u_turn_right');
  static const ulna_radius_alt_filled_outlined =
      _MaterialSymbolsData(0x267d, 'ulna_radius_alt_filled_outlined');
  static const ulna_radius_alt_filled_sharp =
      _MaterialSymbolsData(0x267e, 'ulna_radius_alt_filled_sharp');
  static const ulna_radius_alt_filled =
      _MaterialSymbolsData(0x267f, 'ulna_radius_alt_filled');
  static const ulna_radius_alt_outlined =
      _MaterialSymbolsData(0x2680, 'ulna_radius_alt_outlined');
  static const ulna_radius_alt_sharp =
      _MaterialSymbolsData(0x2681, 'ulna_radius_alt_sharp');
  static const ulna_radius_alt =
      _MaterialSymbolsData(0x2682, 'ulna_radius_alt');
  static const ulna_radius_filled_outlined =
      _MaterialSymbolsData(0x2683, 'ulna_radius_filled_outlined');
  static const ulna_radius_filled_sharp =
      _MaterialSymbolsData(0x2684, 'ulna_radius_filled_sharp');
  static const ulna_radius_filled =
      _MaterialSymbolsData(0x2685, 'ulna_radius_filled');
  static const ulna_radius_outlined =
      _MaterialSymbolsData(0x2686, 'ulna_radius_outlined');
  static const ulna_radius_sharp =
      _MaterialSymbolsData(0x2687, 'ulna_radius_sharp');
  static const ulna_radius = _MaterialSymbolsData(0x2688, 'ulna_radius');
  static const umbrella_filled_outlined =
      _MaterialSymbolsData(0x2689, 'umbrella_filled_outlined');
  static const umbrella_filled_sharp =
      _MaterialSymbolsData(0x268a, 'umbrella_filled_sharp');
  static const umbrella_filled =
      _MaterialSymbolsData(0x268b, 'umbrella_filled');
  static const umbrella_outlined =
      _MaterialSymbolsData(0x268c, 'umbrella_outlined');
  static const umbrella_sharp = _MaterialSymbolsData(0x268d, 'umbrella_sharp');
  static const umbrella = _MaterialSymbolsData(0x268e, 'umbrella');
  static const unarchive_filled_outlined =
      _MaterialSymbolsData(0x268f, 'unarchive_filled_outlined');
  static const unarchive_filled_sharp =
      _MaterialSymbolsData(0x2690, 'unarchive_filled_sharp');
  static const unarchive_filled =
      _MaterialSymbolsData(0x2691, 'unarchive_filled');
  static const unarchive_outlined =
      _MaterialSymbolsData(0x2692, 'unarchive_outlined');
  static const unarchive_sharp =
      _MaterialSymbolsData(0x2693, 'unarchive_sharp');
  static const unarchive = _MaterialSymbolsData(0x2694, 'unarchive');
  static const undo_filled_outlined =
      _MaterialSymbolsData(0x2695, 'undo_filled_outlined');
  static const undo_filled_sharp =
      _MaterialSymbolsData(0x2696, 'undo_filled_sharp');
  static const undo_filled = _MaterialSymbolsData(0x2697, 'undo_filled');
  static const undo_outlined = _MaterialSymbolsData(0x2698, 'undo_outlined');
  static const undo_sharp = _MaterialSymbolsData(0x2699, 'undo_sharp');
  static const undo = _MaterialSymbolsData(0x269a, 'undo');
  static const unfold_less_double_filled_outlined =
      _MaterialSymbolsData(0x269b, 'unfold_less_double_filled_outlined');
  static const unfold_less_double_filled_sharp =
      _MaterialSymbolsData(0x269c, 'unfold_less_double_filled_sharp');
  static const unfold_less_double_filled =
      _MaterialSymbolsData(0x269d, 'unfold_less_double_filled');
  static const unfold_less_double_outlined =
      _MaterialSymbolsData(0x269e, 'unfold_less_double_outlined');
  static const unfold_less_double_sharp =
      _MaterialSymbolsData(0x269f, 'unfold_less_double_sharp');
  static const unfold_less_double =
      _MaterialSymbolsData(0x26a0, 'unfold_less_double');
  static const unfold_less_filled_outlined =
      _MaterialSymbolsData(0x26a1, 'unfold_less_filled_outlined');
  static const unfold_less_filled_sharp =
      _MaterialSymbolsData(0x26a2, 'unfold_less_filled_sharp');
  static const unfold_less_filled =
      _MaterialSymbolsData(0x26a3, 'unfold_less_filled');
  static const unfold_less_outlined =
      _MaterialSymbolsData(0x26a4, 'unfold_less_outlined');
  static const unfold_less_sharp =
      _MaterialSymbolsData(0x26a5, 'unfold_less_sharp');
  static const unfold_less = _MaterialSymbolsData(0x26a6, 'unfold_less');
  static const unfold_more_double_filled_outlined =
      _MaterialSymbolsData(0x26a7, 'unfold_more_double_filled_outlined');
  static const unfold_more_double_filled_sharp =
      _MaterialSymbolsData(0x26a8, 'unfold_more_double_filled_sharp');
  static const unfold_more_double_filled =
      _MaterialSymbolsData(0x26a9, 'unfold_more_double_filled');
  static const unfold_more_double_outlined =
      _MaterialSymbolsData(0x26aa, 'unfold_more_double_outlined');
  static const unfold_more_double_sharp =
      _MaterialSymbolsData(0x26ab, 'unfold_more_double_sharp');
  static const unfold_more_double =
      _MaterialSymbolsData(0x26ac, 'unfold_more_double');
  static const unfold_more_filled_outlined =
      _MaterialSymbolsData(0x26ad, 'unfold_more_filled_outlined');
  static const unfold_more_filled_sharp =
      _MaterialSymbolsData(0x26ae, 'unfold_more_filled_sharp');
  static const unfold_more_filled =
      _MaterialSymbolsData(0x26af, 'unfold_more_filled');
  static const unfold_more_outlined =
      _MaterialSymbolsData(0x26b0, 'unfold_more_outlined');
  static const unfold_more_sharp =
      _MaterialSymbolsData(0x26b1, 'unfold_more_sharp');
  static const unfold_more = _MaterialSymbolsData(0x26b2, 'unfold_more');
  static const unknown_document_filled_outlined =
      _MaterialSymbolsData(0x26b3, 'unknown_document_filled_outlined');
  static const unknown_document_filled_sharp =
      _MaterialSymbolsData(0x26b4, 'unknown_document_filled_sharp');
  static const unknown_document_filled =
      _MaterialSymbolsData(0x26b5, 'unknown_document_filled');
  static const unknown_document_outlined =
      _MaterialSymbolsData(0x26b6, 'unknown_document_outlined');
  static const unknown_document_sharp =
      _MaterialSymbolsData(0x26b7, 'unknown_document_sharp');
  static const unknown_document =
      _MaterialSymbolsData(0x26b8, 'unknown_document');
  static const unknown_med_filled_outlined =
      _MaterialSymbolsData(0x26b9, 'unknown_med_filled_outlined');
  static const unknown_med_filled_sharp =
      _MaterialSymbolsData(0x26ba, 'unknown_med_filled_sharp');
  static const unknown_med_filled =
      _MaterialSymbolsData(0x26bb, 'unknown_med_filled');
  static const unknown_med_outlined =
      _MaterialSymbolsData(0x26bc, 'unknown_med_outlined');
  static const unknown_med_sharp =
      _MaterialSymbolsData(0x26bd, 'unknown_med_sharp');
  static const unknown_med = _MaterialSymbolsData(0x26be, 'unknown_med');
  static const unpublished_filled_outlined =
      _MaterialSymbolsData(0x26bf, 'unpublished_filled_outlined');
  static const unpublished_filled_sharp =
      _MaterialSymbolsData(0x26c0, 'unpublished_filled_sharp');
  static const unpublished_filled =
      _MaterialSymbolsData(0x26c1, 'unpublished_filled');
  static const unpublished_outlined =
      _MaterialSymbolsData(0x26c2, 'unpublished_outlined');
  static const unpublished_sharp =
      _MaterialSymbolsData(0x26c3, 'unpublished_sharp');
  static const unpublished = _MaterialSymbolsData(0x26c4, 'unpublished');
  static const unsubscribe_filled_outlined =
      _MaterialSymbolsData(0x26c5, 'unsubscribe_filled_outlined');
  static const unsubscribe_filled_sharp =
      _MaterialSymbolsData(0x26c6, 'unsubscribe_filled_sharp');
  static const unsubscribe_filled =
      _MaterialSymbolsData(0x26c7, 'unsubscribe_filled');
  static const unsubscribe_outlined =
      _MaterialSymbolsData(0x26c8, 'unsubscribe_outlined');
  static const unsubscribe_sharp =
      _MaterialSymbolsData(0x26c9, 'unsubscribe_sharp');
  static const unsubscribe = _MaterialSymbolsData(0x26ca, 'unsubscribe');
  static const upcoming_filled_outlined =
      _MaterialSymbolsData(0x26cb, 'upcoming_filled_outlined');
  static const upcoming_filled_sharp =
      _MaterialSymbolsData(0x26cc, 'upcoming_filled_sharp');
  static const upcoming_filled =
      _MaterialSymbolsData(0x26cd, 'upcoming_filled');
  static const upcoming_outlined =
      _MaterialSymbolsData(0x26ce, 'upcoming_outlined');
  static const upcoming_sharp = _MaterialSymbolsData(0x26cf, 'upcoming_sharp');
  static const upcoming = _MaterialSymbolsData(0x26d0, 'upcoming');
  static const update_disabled_filled_outlined =
      _MaterialSymbolsData(0x26d1, 'update_disabled_filled_outlined');
  static const update_disabled_filled_sharp =
      _MaterialSymbolsData(0x26d2, 'update_disabled_filled_sharp');
  static const update_disabled_filled =
      _MaterialSymbolsData(0x26d3, 'update_disabled_filled');
  static const update_disabled_outlined =
      _MaterialSymbolsData(0x26d4, 'update_disabled_outlined');
  static const update_disabled_sharp =
      _MaterialSymbolsData(0x26d5, 'update_disabled_sharp');
  static const update_disabled =
      _MaterialSymbolsData(0x26d6, 'update_disabled');
  static const update_filled_outlined =
      _MaterialSymbolsData(0x26d7, 'update_filled_outlined');
  static const update_filled_sharp =
      _MaterialSymbolsData(0x26d8, 'update_filled_sharp');
  static const update_filled = _MaterialSymbolsData(0x26d9, 'update_filled');
  static const update_outlined =
      _MaterialSymbolsData(0x26da, 'update_outlined');
  static const update_sharp = _MaterialSymbolsData(0x26db, 'update_sharp');
  static const update = _MaterialSymbolsData(0x26dc, 'update');
  static const upgrade_filled_outlined =
      _MaterialSymbolsData(0x26dd, 'upgrade_filled_outlined');
  static const upgrade_filled_sharp =
      _MaterialSymbolsData(0x26de, 'upgrade_filled_sharp');
  static const upgrade_filled = _MaterialSymbolsData(0x26df, 'upgrade_filled');
  static const upgrade_outlined =
      _MaterialSymbolsData(0x26e0, 'upgrade_outlined');
  static const upgrade_sharp = _MaterialSymbolsData(0x26e1, 'upgrade_sharp');
  static const upgrade = _MaterialSymbolsData(0x26e2, 'upgrade');
  static const upload_file_filled_outlined =
      _MaterialSymbolsData(0x26e3, 'upload_file_filled_outlined');
  static const upload_file_filled_sharp =
      _MaterialSymbolsData(0x26e4, 'upload_file_filled_sharp');
  static const upload_file_filled =
      _MaterialSymbolsData(0x26e5, 'upload_file_filled');
  static const upload_file_outlined =
      _MaterialSymbolsData(0x26e6, 'upload_file_outlined');
  static const upload_file_sharp =
      _MaterialSymbolsData(0x26e7, 'upload_file_sharp');
  static const upload_file = _MaterialSymbolsData(0x26e8, 'upload_file');
  static const upload_filled_outlined =
      _MaterialSymbolsData(0x26e9, 'upload_filled_outlined');
  static const upload_filled_sharp =
      _MaterialSymbolsData(0x26ea, 'upload_filled_sharp');
  static const upload_filled = _MaterialSymbolsData(0x26eb, 'upload_filled');
  static const upload_outlined =
      _MaterialSymbolsData(0x26ec, 'upload_outlined');
  static const upload_sharp = _MaterialSymbolsData(0x26ed, 'upload_sharp');
  static const upload = _MaterialSymbolsData(0x26ee, 'upload');
  static const urology_filled_outlined =
      _MaterialSymbolsData(0x26ef, 'urology_filled_outlined');
  static const urology_filled_sharp =
      _MaterialSymbolsData(0x26f0, 'urology_filled_sharp');
  static const urology_filled = _MaterialSymbolsData(0x26f1, 'urology_filled');
  static const urology_outlined =
      _MaterialSymbolsData(0x26f2, 'urology_outlined');
  static const urology_sharp = _MaterialSymbolsData(0x26f3, 'urology_sharp');
  static const urology = _MaterialSymbolsData(0x26f4, 'urology');
  static const usb_filled_outlined =
      _MaterialSymbolsData(0x26f5, 'usb_filled_outlined');
  static const usb_filled_sharp =
      _MaterialSymbolsData(0x26f6, 'usb_filled_sharp');
  static const usb_filled = _MaterialSymbolsData(0x26f7, 'usb_filled');
  static const usb_off_filled_outlined =
      _MaterialSymbolsData(0x26f8, 'usb_off_filled_outlined');
  static const usb_off_filled_sharp =
      _MaterialSymbolsData(0x26f9, 'usb_off_filled_sharp');
  static const usb_off_filled = _MaterialSymbolsData(0x26fa, 'usb_off_filled');
  static const usb_off_outlined =
      _MaterialSymbolsData(0x26fb, 'usb_off_outlined');
  static const usb_off_sharp = _MaterialSymbolsData(0x26fc, 'usb_off_sharp');
  static const usb_off = _MaterialSymbolsData(0x26fd, 'usb_off');
  static const usb_outlined = _MaterialSymbolsData(0x26fe, 'usb_outlined');
  static const usb_sharp = _MaterialSymbolsData(0x26ff, 'usb_sharp');
  static const usb = _MaterialSymbolsData(0x2700, 'usb');
  static const vaccines_filled_outlined =
      _MaterialSymbolsData(0x2701, 'vaccines_filled_outlined');
  static const vaccines_filled_sharp =
      _MaterialSymbolsData(0x2702, 'vaccines_filled_sharp');
  static const vaccines_filled =
      _MaterialSymbolsData(0x2703, 'vaccines_filled');
  static const vaccines_outlined =
      _MaterialSymbolsData(0x2704, 'vaccines_outlined');
  static const vaccines_sharp = _MaterialSymbolsData(0x2705, 'vaccines_sharp');
  static const vaccines = _MaterialSymbolsData(0x2706, 'vaccines');
  static const valve_filled_outlined =
      _MaterialSymbolsData(0x2707, 'valve_filled_outlined');
  static const valve_filled_sharp =
      _MaterialSymbolsData(0x2708, 'valve_filled_sharp');
  static const valve_filled = _MaterialSymbolsData(0x2709, 'valve_filled');
  static const valve_outlined = _MaterialSymbolsData(0x270a, 'valve_outlined');
  static const valve_sharp = _MaterialSymbolsData(0x270b, 'valve_sharp');
  static const valve = _MaterialSymbolsData(0x270c, 'valve');
  static const vape_free_filled_outlined =
      _MaterialSymbolsData(0x270d, 'vape_free_filled_outlined');
  static const vape_free_filled_sharp =
      _MaterialSymbolsData(0x270e, 'vape_free_filled_sharp');
  static const vape_free_filled =
      _MaterialSymbolsData(0x270f, 'vape_free_filled');
  static const vape_free_outlined =
      _MaterialSymbolsData(0x2710, 'vape_free_outlined');
  static const vape_free_sharp =
      _MaterialSymbolsData(0x2711, 'vape_free_sharp');
  static const vape_free = _MaterialSymbolsData(0x2712, 'vape_free');
  static const vaping_rooms_filled_outlined =
      _MaterialSymbolsData(0x2713, 'vaping_rooms_filled_outlined');
  static const vaping_rooms_filled_sharp =
      _MaterialSymbolsData(0x2714, 'vaping_rooms_filled_sharp');
  static const vaping_rooms_filled =
      _MaterialSymbolsData(0x2715, 'vaping_rooms_filled');
  static const vaping_rooms_outlined =
      _MaterialSymbolsData(0x2716, 'vaping_rooms_outlined');
  static const vaping_rooms_sharp =
      _MaterialSymbolsData(0x2717, 'vaping_rooms_sharp');
  static const vaping_rooms = _MaterialSymbolsData(0x2718, 'vaping_rooms');
  static const variables_filled_outlined =
      _MaterialSymbolsData(0x2719, 'variables_filled_outlined');
  static const variables_filled_sharp =
      _MaterialSymbolsData(0x271a, 'variables_filled_sharp');
  static const variables_filled =
      _MaterialSymbolsData(0x271b, 'variables_filled');
  static const variables_outlined =
      _MaterialSymbolsData(0x271c, 'variables_outlined');
  static const variables_sharp =
      _MaterialSymbolsData(0x271d, 'variables_sharp');
  static const variables = _MaterialSymbolsData(0x271e, 'variables');
  static const ventilator_filled_outlined =
      _MaterialSymbolsData(0x271f, 'ventilator_filled_outlined');
  static const ventilator_filled_sharp =
      _MaterialSymbolsData(0x2720, 'ventilator_filled_sharp');
  static const ventilator_filled =
      _MaterialSymbolsData(0x2721, 'ventilator_filled');
  static const ventilator_outlined =
      _MaterialSymbolsData(0x2722, 'ventilator_outlined');
  static const ventilator_sharp =
      _MaterialSymbolsData(0x2723, 'ventilator_sharp');
  static const ventilator = _MaterialSymbolsData(0x2724, 'ventilator');
  static const verified_filled_outlined =
      _MaterialSymbolsData(0x2725, 'verified_filled_outlined');
  static const verified_filled_sharp =
      _MaterialSymbolsData(0x2726, 'verified_filled_sharp');
  static const verified_filled =
      _MaterialSymbolsData(0x2727, 'verified_filled');
  static const verified_outlined =
      _MaterialSymbolsData(0x2728, 'verified_outlined');
  static const verified_sharp = _MaterialSymbolsData(0x2729, 'verified_sharp');
  static const verified_user_filled_outlined =
      _MaterialSymbolsData(0x272a, 'verified_user_filled_outlined');
  static const verified_user_filled_sharp =
      _MaterialSymbolsData(0x272b, 'verified_user_filled_sharp');
  static const verified_user_filled =
      _MaterialSymbolsData(0x272c, 'verified_user_filled');
  static const verified_user_outlined =
      _MaterialSymbolsData(0x272d, 'verified_user_outlined');
  static const verified_user_sharp =
      _MaterialSymbolsData(0x272e, 'verified_user_sharp');
  static const verified_user = _MaterialSymbolsData(0x272f, 'verified_user');
  static const verified = _MaterialSymbolsData(0x2730, 'verified');
  static const vertical_align_bottom_filled_outlined =
      _MaterialSymbolsData(0x2731, 'vertical_align_bottom_filled_outlined');
  static const vertical_align_bottom_filled_sharp =
      _MaterialSymbolsData(0x2732, 'vertical_align_bottom_filled_sharp');
  static const vertical_align_bottom_filled =
      _MaterialSymbolsData(0x2733, 'vertical_align_bottom_filled');
  static const vertical_align_bottom_outlined =
      _MaterialSymbolsData(0x2734, 'vertical_align_bottom_outlined');
  static const vertical_align_bottom_sharp =
      _MaterialSymbolsData(0x2735, 'vertical_align_bottom_sharp');
  static const vertical_align_bottom =
      _MaterialSymbolsData(0x2736, 'vertical_align_bottom');
  static const vertical_align_center_filled_outlined =
      _MaterialSymbolsData(0x2737, 'vertical_align_center_filled_outlined');
  static const vertical_align_center_filled_sharp =
      _MaterialSymbolsData(0x2738, 'vertical_align_center_filled_sharp');
  static const vertical_align_center_filled =
      _MaterialSymbolsData(0x2739, 'vertical_align_center_filled');
  static const vertical_align_center_outlined =
      _MaterialSymbolsData(0x273a, 'vertical_align_center_outlined');
  static const vertical_align_center_sharp =
      _MaterialSymbolsData(0x273b, 'vertical_align_center_sharp');
  static const vertical_align_center =
      _MaterialSymbolsData(0x273c, 'vertical_align_center');
  static const vertical_align_top_filled_outlined =
      _MaterialSymbolsData(0x273d, 'vertical_align_top_filled_outlined');
  static const vertical_align_top_filled_sharp =
      _MaterialSymbolsData(0x273e, 'vertical_align_top_filled_sharp');
  static const vertical_align_top_filled =
      _MaterialSymbolsData(0x273f, 'vertical_align_top_filled');
  static const vertical_align_top_outlined =
      _MaterialSymbolsData(0x2740, 'vertical_align_top_outlined');
  static const vertical_align_top_sharp =
      _MaterialSymbolsData(0x2741, 'vertical_align_top_sharp');
  static const vertical_align_top =
      _MaterialSymbolsData(0x2742, 'vertical_align_top');
  static const vertical_distribute_filled_outlined =
      _MaterialSymbolsData(0x2743, 'vertical_distribute_filled_outlined');
  static const vertical_distribute_filled_sharp =
      _MaterialSymbolsData(0x2744, 'vertical_distribute_filled_sharp');
  static const vertical_distribute_filled =
      _MaterialSymbolsData(0x2745, 'vertical_distribute_filled');
  static const vertical_distribute_outlined =
      _MaterialSymbolsData(0x2746, 'vertical_distribute_outlined');
  static const vertical_distribute_sharp =
      _MaterialSymbolsData(0x2747, 'vertical_distribute_sharp');
  static const vertical_distribute =
      _MaterialSymbolsData(0x2748, 'vertical_distribute');
  static const vertical_shades_closed_filled_outlined =
      _MaterialSymbolsData(0x2749, 'vertical_shades_closed_filled_outlined');
  static const vertical_shades_closed_filled_sharp =
      _MaterialSymbolsData(0x274a, 'vertical_shades_closed_filled_sharp');
  static const vertical_shades_closed_filled =
      _MaterialSymbolsData(0x274b, 'vertical_shades_closed_filled');
  static const vertical_shades_closed_outlined =
      _MaterialSymbolsData(0x274c, 'vertical_shades_closed_outlined');
  static const vertical_shades_closed_sharp =
      _MaterialSymbolsData(0x274d, 'vertical_shades_closed_sharp');
  static const vertical_shades_closed =
      _MaterialSymbolsData(0x274e, 'vertical_shades_closed');
  static const vertical_shades_filled_outlined =
      _MaterialSymbolsData(0x274f, 'vertical_shades_filled_outlined');
  static const vertical_shades_filled_sharp =
      _MaterialSymbolsData(0x2750, 'vertical_shades_filled_sharp');
  static const vertical_shades_filled =
      _MaterialSymbolsData(0x2751, 'vertical_shades_filled');
  static const vertical_shades_outlined =
      _MaterialSymbolsData(0x2752, 'vertical_shades_outlined');
  static const vertical_shades_sharp =
      _MaterialSymbolsData(0x2753, 'vertical_shades_sharp');
  static const vertical_shades =
      _MaterialSymbolsData(0x2754, 'vertical_shades');
  static const vertical_split_filled_outlined =
      _MaterialSymbolsData(0x2755, 'vertical_split_filled_outlined');
  static const vertical_split_filled_sharp =
      _MaterialSymbolsData(0x2756, 'vertical_split_filled_sharp');
  static const vertical_split_filled =
      _MaterialSymbolsData(0x2757, 'vertical_split_filled');
  static const vertical_split_outlined =
      _MaterialSymbolsData(0x2758, 'vertical_split_outlined');
  static const vertical_split_sharp =
      _MaterialSymbolsData(0x2759, 'vertical_split_sharp');
  static const vertical_split = _MaterialSymbolsData(0x275a, 'vertical_split');
  static const vibration_filled_outlined =
      _MaterialSymbolsData(0x275b, 'vibration_filled_outlined');
  static const vibration_filled_sharp =
      _MaterialSymbolsData(0x275c, 'vibration_filled_sharp');
  static const vibration_filled =
      _MaterialSymbolsData(0x275d, 'vibration_filled');
  static const vibration_outlined =
      _MaterialSymbolsData(0x275e, 'vibration_outlined');
  static const vibration_sharp =
      _MaterialSymbolsData(0x275f, 'vibration_sharp');
  static const vibration = _MaterialSymbolsData(0x2760, 'vibration');
  static const video_call_filled_outlined =
      _MaterialSymbolsData(0x2761, 'video_call_filled_outlined');
  static const video_call_filled_sharp =
      _MaterialSymbolsData(0x2762, 'video_call_filled_sharp');
  static const video_call_filled =
      _MaterialSymbolsData(0x2763, 'video_call_filled');
  static const video_call_outlined =
      _MaterialSymbolsData(0x2764, 'video_call_outlined');
  static const video_call_sharp =
      _MaterialSymbolsData(0x2765, 'video_call_sharp');
  static const video_call = _MaterialSymbolsData(0x2766, 'video_call');
  static const video_camera_back_filled_outlined =
      _MaterialSymbolsData(0x2767, 'video_camera_back_filled_outlined');
  static const video_camera_back_filled_sharp =
      _MaterialSymbolsData(0x2768, 'video_camera_back_filled_sharp');
  static const video_camera_back_filled =
      _MaterialSymbolsData(0x2769, 'video_camera_back_filled');
  static const video_camera_back_outlined =
      _MaterialSymbolsData(0x276a, 'video_camera_back_outlined');
  static const video_camera_back_sharp =
      _MaterialSymbolsData(0x276b, 'video_camera_back_sharp');
  static const video_camera_back =
      _MaterialSymbolsData(0x276c, 'video_camera_back');
  static const video_camera_front_filled_outlined =
      _MaterialSymbolsData(0x276d, 'video_camera_front_filled_outlined');
  static const video_camera_front_filled_sharp =
      _MaterialSymbolsData(0x276e, 'video_camera_front_filled_sharp');
  static const video_camera_front_filled =
      _MaterialSymbolsData(0x276f, 'video_camera_front_filled');
  static const video_camera_front_off_filled_outlined =
      _MaterialSymbolsData(0x2770, 'video_camera_front_off_filled_outlined');
  static const video_camera_front_off_filled_sharp =
      _MaterialSymbolsData(0x2771, 'video_camera_front_off_filled_sharp');
  static const video_camera_front_off_filled =
      _MaterialSymbolsData(0x2772, 'video_camera_front_off_filled');
  static const video_camera_front_off_outlined =
      _MaterialSymbolsData(0x2773, 'video_camera_front_off_outlined');
  static const video_camera_front_off_sharp =
      _MaterialSymbolsData(0x2774, 'video_camera_front_off_sharp');
  static const video_camera_front_off =
      _MaterialSymbolsData(0x2775, 'video_camera_front_off');
  static const video_camera_front_outlined =
      _MaterialSymbolsData(0x2776, 'video_camera_front_outlined');
  static const video_camera_front_sharp =
      _MaterialSymbolsData(0x2777, 'video_camera_front_sharp');
  static const video_camera_front =
      _MaterialSymbolsData(0x2778, 'video_camera_front');
  static const video_chat_filled_outlined =
      _MaterialSymbolsData(0x2779, 'video_chat_filled_outlined');
  static const video_chat_filled_sharp =
      _MaterialSymbolsData(0x277a, 'video_chat_filled_sharp');
  static const video_chat_filled =
      _MaterialSymbolsData(0x277b, 'video_chat_filled');
  static const video_chat_outlined =
      _MaterialSymbolsData(0x277c, 'video_chat_outlined');
  static const video_chat_sharp =
      _MaterialSymbolsData(0x277d, 'video_chat_sharp');
  static const video_chat = _MaterialSymbolsData(0x277e, 'video_chat');
  static const video_file_filled_outlined =
      _MaterialSymbolsData(0x277f, 'video_file_filled_outlined');
  static const video_file_filled_sharp =
      _MaterialSymbolsData(0x2780, 'video_file_filled_sharp');
  static const video_file_filled =
      _MaterialSymbolsData(0x2781, 'video_file_filled');
  static const video_file_outlined =
      _MaterialSymbolsData(0x2782, 'video_file_outlined');
  static const video_file_sharp =
      _MaterialSymbolsData(0x2783, 'video_file_sharp');
  static const video_file = _MaterialSymbolsData(0x2784, 'video_file');
  static const video_label_filled_outlined =
      _MaterialSymbolsData(0x2785, 'video_label_filled_outlined');
  static const video_label_filled_sharp =
      _MaterialSymbolsData(0x2786, 'video_label_filled_sharp');
  static const video_label_filled =
      _MaterialSymbolsData(0x2787, 'video_label_filled');
  static const video_label_outlined =
      _MaterialSymbolsData(0x2788, 'video_label_outlined');
  static const video_label_sharp =
      _MaterialSymbolsData(0x2789, 'video_label_sharp');
  static const video_label = _MaterialSymbolsData(0x278a, 'video_label');
  static const video_library_filled_outlined =
      _MaterialSymbolsData(0x278b, 'video_library_filled_outlined');
  static const video_library_filled_sharp =
      _MaterialSymbolsData(0x278c, 'video_library_filled_sharp');
  static const video_library_filled =
      _MaterialSymbolsData(0x278d, 'video_library_filled');
  static const video_library_outlined =
      _MaterialSymbolsData(0x278e, 'video_library_outlined');
  static const video_library_sharp =
      _MaterialSymbolsData(0x278f, 'video_library_sharp');
  static const video_library = _MaterialSymbolsData(0x2790, 'video_library');
  static const video_settings_filled_outlined =
      _MaterialSymbolsData(0x2791, 'video_settings_filled_outlined');
  static const video_settings_filled_sharp =
      _MaterialSymbolsData(0x2792, 'video_settings_filled_sharp');
  static const video_settings_filled =
      _MaterialSymbolsData(0x2793, 'video_settings_filled');
  static const video_settings_outlined =
      _MaterialSymbolsData(0x2794, 'video_settings_outlined');
  static const video_settings_sharp =
      _MaterialSymbolsData(0x2795, 'video_settings_sharp');
  static const video_settings = _MaterialSymbolsData(0x2796, 'video_settings');
  static const video_stable_filled_outlined =
      _MaterialSymbolsData(0x2797, 'video_stable_filled_outlined');
  static const video_stable_filled_sharp =
      _MaterialSymbolsData(0x2798, 'video_stable_filled_sharp');
  static const video_stable_filled =
      _MaterialSymbolsData(0x2799, 'video_stable_filled');
  static const video_stable_outlined =
      _MaterialSymbolsData(0x279a, 'video_stable_outlined');
  static const video_stable_sharp =
      _MaterialSymbolsData(0x279b, 'video_stable_sharp');
  static const video_stable = _MaterialSymbolsData(0x279c, 'video_stable');
  static const videocam_filled_outlined =
      _MaterialSymbolsData(0x279d, 'videocam_filled_outlined');
  static const videocam_filled_sharp =
      _MaterialSymbolsData(0x279e, 'videocam_filled_sharp');
  static const videocam_filled =
      _MaterialSymbolsData(0x279f, 'videocam_filled');
  static const videocam_off_filled_outlined =
      _MaterialSymbolsData(0x27a0, 'videocam_off_filled_outlined');
  static const videocam_off_filled_sharp =
      _MaterialSymbolsData(0x27a1, 'videocam_off_filled_sharp');
  static const videocam_off_filled =
      _MaterialSymbolsData(0x27a2, 'videocam_off_filled');
  static const videocam_off_outlined =
      _MaterialSymbolsData(0x27a3, 'videocam_off_outlined');
  static const videocam_off_sharp =
      _MaterialSymbolsData(0x27a4, 'videocam_off_sharp');
  static const videocam_off = _MaterialSymbolsData(0x27a5, 'videocam_off');
  static const videocam_outlined =
      _MaterialSymbolsData(0x27a6, 'videocam_outlined');
  static const videocam_sharp = _MaterialSymbolsData(0x27a7, 'videocam_sharp');
  static const videocam = _MaterialSymbolsData(0x27a8, 'videocam');
  static const videogame_asset_filled_outlined =
      _MaterialSymbolsData(0x27a9, 'videogame_asset_filled_outlined');
  static const videogame_asset_filled_sharp =
      _MaterialSymbolsData(0x27aa, 'videogame_asset_filled_sharp');
  static const videogame_asset_filled =
      _MaterialSymbolsData(0x27ab, 'videogame_asset_filled');
  static const videogame_asset_off_filled_outlined =
      _MaterialSymbolsData(0x27ac, 'videogame_asset_off_filled_outlined');
  static const videogame_asset_off_filled_sharp =
      _MaterialSymbolsData(0x27ad, 'videogame_asset_off_filled_sharp');
  static const videogame_asset_off_filled =
      _MaterialSymbolsData(0x27ae, 'videogame_asset_off_filled');
  static const videogame_asset_off_outlined =
      _MaterialSymbolsData(0x27af, 'videogame_asset_off_outlined');
  static const videogame_asset_off_sharp =
      _MaterialSymbolsData(0x27b0, 'videogame_asset_off_sharp');
  static const videogame_asset_off =
      _MaterialSymbolsData(0x27b1, 'videogame_asset_off');
  static const videogame_asset_outlined =
      _MaterialSymbolsData(0x27b2, 'videogame_asset_outlined');
  static const videogame_asset_sharp =
      _MaterialSymbolsData(0x27b3, 'videogame_asset_sharp');
  static const videogame_asset =
      _MaterialSymbolsData(0x27b4, 'videogame_asset');
  static const view_agenda_filled_outlined =
      _MaterialSymbolsData(0x27b5, 'view_agenda_filled_outlined');
  static const view_agenda_filled_sharp =
      _MaterialSymbolsData(0x27b6, 'view_agenda_filled_sharp');
  static const view_agenda_filled =
      _MaterialSymbolsData(0x27b7, 'view_agenda_filled');
  static const view_agenda_outlined =
      _MaterialSymbolsData(0x27b8, 'view_agenda_outlined');
  static const view_agenda_sharp =
      _MaterialSymbolsData(0x27b9, 'view_agenda_sharp');
  static const view_agenda = _MaterialSymbolsData(0x27ba, 'view_agenda');
  static const view_array_filled_outlined =
      _MaterialSymbolsData(0x27bb, 'view_array_filled_outlined');
  static const view_array_filled_sharp =
      _MaterialSymbolsData(0x27bc, 'view_array_filled_sharp');
  static const view_array_filled =
      _MaterialSymbolsData(0x27bd, 'view_array_filled');
  static const view_array_outlined =
      _MaterialSymbolsData(0x27be, 'view_array_outlined');
  static const view_array_sharp =
      _MaterialSymbolsData(0x27bf, 'view_array_sharp');
  static const view_array = _MaterialSymbolsData(0x27c0, 'view_array');
  static const view_carousel_filled_outlined =
      _MaterialSymbolsData(0x27c1, 'view_carousel_filled_outlined');
  static const view_carousel_filled_sharp =
      _MaterialSymbolsData(0x27c2, 'view_carousel_filled_sharp');
  static const view_carousel_filled =
      _MaterialSymbolsData(0x27c3, 'view_carousel_filled');
  static const view_carousel_outlined =
      _MaterialSymbolsData(0x27c4, 'view_carousel_outlined');
  static const view_carousel_sharp =
      _MaterialSymbolsData(0x27c5, 'view_carousel_sharp');
  static const view_carousel = _MaterialSymbolsData(0x27c6, 'view_carousel');
  static const view_column_2_filled_outlined =
      _MaterialSymbolsData(0x27c7, 'view_column_2_filled_outlined');
  static const view_column_2_filled_sharp =
      _MaterialSymbolsData(0x27c8, 'view_column_2_filled_sharp');
  static const view_column_2_filled =
      _MaterialSymbolsData(0x27c9, 'view_column_2_filled');
  static const view_column_2_outlined =
      _MaterialSymbolsData(0x27ca, 'view_column_2_outlined');
  static const view_column_2_sharp =
      _MaterialSymbolsData(0x27cb, 'view_column_2_sharp');
  static const view_column_2 = _MaterialSymbolsData(0x27cc, 'view_column_2');
  static const view_column_filled_outlined =
      _MaterialSymbolsData(0x27cd, 'view_column_filled_outlined');
  static const view_column_filled_sharp =
      _MaterialSymbolsData(0x27ce, 'view_column_filled_sharp');
  static const view_column_filled =
      _MaterialSymbolsData(0x27cf, 'view_column_filled');
  static const view_column_outlined =
      _MaterialSymbolsData(0x27d0, 'view_column_outlined');
  static const view_column_sharp =
      _MaterialSymbolsData(0x27d1, 'view_column_sharp');
  static const view_column = _MaterialSymbolsData(0x27d2, 'view_column');
  static const view_comfy_alt_filled_outlined =
      _MaterialSymbolsData(0x27d3, 'view_comfy_alt_filled_outlined');
  static const view_comfy_alt_filled_sharp =
      _MaterialSymbolsData(0x27d4, 'view_comfy_alt_filled_sharp');
  static const view_comfy_alt_filled =
      _MaterialSymbolsData(0x27d5, 'view_comfy_alt_filled');
  static const view_comfy_alt_outlined =
      _MaterialSymbolsData(0x27d6, 'view_comfy_alt_outlined');
  static const view_comfy_alt_sharp =
      _MaterialSymbolsData(0x27d7, 'view_comfy_alt_sharp');
  static const view_comfy_alt = _MaterialSymbolsData(0x27d8, 'view_comfy_alt');
  static const view_comfy_filled_outlined =
      _MaterialSymbolsData(0x27d9, 'view_comfy_filled_outlined');
  static const view_comfy_filled_sharp =
      _MaterialSymbolsData(0x27da, 'view_comfy_filled_sharp');
  static const view_comfy_filled =
      _MaterialSymbolsData(0x27db, 'view_comfy_filled');
  static const view_comfy_outlined =
      _MaterialSymbolsData(0x27dc, 'view_comfy_outlined');
  static const view_comfy_sharp =
      _MaterialSymbolsData(0x27dd, 'view_comfy_sharp');
  static const view_comfy = _MaterialSymbolsData(0x27de, 'view_comfy');
  static const view_compact_alt_filled_outlined =
      _MaterialSymbolsData(0x27df, 'view_compact_alt_filled_outlined');
  static const view_compact_alt_filled_sharp =
      _MaterialSymbolsData(0x27e0, 'view_compact_alt_filled_sharp');
  static const view_compact_alt_filled =
      _MaterialSymbolsData(0x27e1, 'view_compact_alt_filled');
  static const view_compact_alt_outlined =
      _MaterialSymbolsData(0x27e2, 'view_compact_alt_outlined');
  static const view_compact_alt_sharp =
      _MaterialSymbolsData(0x27e3, 'view_compact_alt_sharp');
  static const view_compact_alt =
      _MaterialSymbolsData(0x27e4, 'view_compact_alt');
  static const view_compact_filled_outlined =
      _MaterialSymbolsData(0x27e5, 'view_compact_filled_outlined');
  static const view_compact_filled_sharp =
      _MaterialSymbolsData(0x27e6, 'view_compact_filled_sharp');
  static const view_compact_filled =
      _MaterialSymbolsData(0x27e7, 'view_compact_filled');
  static const view_compact_outlined =
      _MaterialSymbolsData(0x27e8, 'view_compact_outlined');
  static const view_compact_sharp =
      _MaterialSymbolsData(0x27e9, 'view_compact_sharp');
  static const view_compact = _MaterialSymbolsData(0x27ea, 'view_compact');
  static const view_cozy_filled_outlined =
      _MaterialSymbolsData(0x27eb, 'view_cozy_filled_outlined');
  static const view_cozy_filled_sharp =
      _MaterialSymbolsData(0x27ec, 'view_cozy_filled_sharp');
  static const view_cozy_filled =
      _MaterialSymbolsData(0x27ed, 'view_cozy_filled');
  static const view_cozy_outlined =
      _MaterialSymbolsData(0x27ee, 'view_cozy_outlined');
  static const view_cozy_sharp =
      _MaterialSymbolsData(0x27ef, 'view_cozy_sharp');
  static const view_cozy = _MaterialSymbolsData(0x27f0, 'view_cozy');
  static const view_day_filled_outlined =
      _MaterialSymbolsData(0x27f1, 'view_day_filled_outlined');
  static const view_day_filled_sharp =
      _MaterialSymbolsData(0x27f2, 'view_day_filled_sharp');
  static const view_day_filled =
      _MaterialSymbolsData(0x27f3, 'view_day_filled');
  static const view_day_outlined =
      _MaterialSymbolsData(0x27f4, 'view_day_outlined');
  static const view_day_sharp = _MaterialSymbolsData(0x27f5, 'view_day_sharp');
  static const view_day = _MaterialSymbolsData(0x27f6, 'view_day');
  static const view_headline_filled_outlined =
      _MaterialSymbolsData(0x27f7, 'view_headline_filled_outlined');
  static const view_headline_filled_sharp =
      _MaterialSymbolsData(0x27f8, 'view_headline_filled_sharp');
  static const view_headline_filled =
      _MaterialSymbolsData(0x27f9, 'view_headline_filled');
  static const view_headline_outlined =
      _MaterialSymbolsData(0x27fa, 'view_headline_outlined');
  static const view_headline_sharp =
      _MaterialSymbolsData(0x27fb, 'view_headline_sharp');
  static const view_headline = _MaterialSymbolsData(0x27fc, 'view_headline');
  static const view_in_ar_filled_outlined =
      _MaterialSymbolsData(0x27fd, 'view_in_ar_filled_outlined');
  static const view_in_ar_filled_sharp =
      _MaterialSymbolsData(0x27fe, 'view_in_ar_filled_sharp');
  static const view_in_ar_filled =
      _MaterialSymbolsData(0x27ff, 'view_in_ar_filled');
  static const view_in_ar_new_filled_outlined =
      _MaterialSymbolsData(0x2800, 'view_in_ar_new_filled_outlined');
  static const view_in_ar_new_filled_sharp =
      _MaterialSymbolsData(0x2801, 'view_in_ar_new_filled_sharp');
  static const view_in_ar_new_filled =
      _MaterialSymbolsData(0x2802, 'view_in_ar_new_filled');
  static const view_in_ar_new_outlined =
      _MaterialSymbolsData(0x2803, 'view_in_ar_new_outlined');
  static const view_in_ar_new_sharp =
      _MaterialSymbolsData(0x2804, 'view_in_ar_new_sharp');
  static const view_in_ar_new = _MaterialSymbolsData(0x2805, 'view_in_ar_new');
  static const view_in_ar_outlined =
      _MaterialSymbolsData(0x2806, 'view_in_ar_outlined');
  static const view_in_ar_sharp =
      _MaterialSymbolsData(0x2807, 'view_in_ar_sharp');
  static const view_in_ar = _MaterialSymbolsData(0x2808, 'view_in_ar');
  static const view_kanban_filled_outlined =
      _MaterialSymbolsData(0x2809, 'view_kanban_filled_outlined');
  static const view_kanban_filled_sharp =
      _MaterialSymbolsData(0x280a, 'view_kanban_filled_sharp');
  static const view_kanban_filled =
      _MaterialSymbolsData(0x280b, 'view_kanban_filled');
  static const view_kanban_outlined =
      _MaterialSymbolsData(0x280c, 'view_kanban_outlined');
  static const view_kanban_sharp =
      _MaterialSymbolsData(0x280d, 'view_kanban_sharp');
  static const view_kanban = _MaterialSymbolsData(0x280e, 'view_kanban');
  static const view_list_filled_outlined =
      _MaterialSymbolsData(0x280f, 'view_list_filled_outlined');
  static const view_list_filled_sharp =
      _MaterialSymbolsData(0x2810, 'view_list_filled_sharp');
  static const view_list_filled =
      _MaterialSymbolsData(0x2811, 'view_list_filled');
  static const view_list_outlined =
      _MaterialSymbolsData(0x2812, 'view_list_outlined');
  static const view_list_sharp =
      _MaterialSymbolsData(0x2813, 'view_list_sharp');
  static const view_list = _MaterialSymbolsData(0x2814, 'view_list');
  static const view_module_filled_outlined =
      _MaterialSymbolsData(0x2815, 'view_module_filled_outlined');
  static const view_module_filled_sharp =
      _MaterialSymbolsData(0x2816, 'view_module_filled_sharp');
  static const view_module_filled =
      _MaterialSymbolsData(0x2817, 'view_module_filled');
  static const view_module_outlined =
      _MaterialSymbolsData(0x2818, 'view_module_outlined');
  static const view_module_sharp =
      _MaterialSymbolsData(0x2819, 'view_module_sharp');
  static const view_module = _MaterialSymbolsData(0x281a, 'view_module');
  static const view_quilt_filled_outlined =
      _MaterialSymbolsData(0x281b, 'view_quilt_filled_outlined');
  static const view_quilt_filled_sharp =
      _MaterialSymbolsData(0x281c, 'view_quilt_filled_sharp');
  static const view_quilt_filled =
      _MaterialSymbolsData(0x281d, 'view_quilt_filled');
  static const view_quilt_outlined =
      _MaterialSymbolsData(0x281e, 'view_quilt_outlined');
  static const view_quilt_sharp =
      _MaterialSymbolsData(0x281f, 'view_quilt_sharp');
  static const view_quilt = _MaterialSymbolsData(0x2820, 'view_quilt');
  static const view_sidebar_filled_outlined =
      _MaterialSymbolsData(0x2821, 'view_sidebar_filled_outlined');
  static const view_sidebar_filled_sharp =
      _MaterialSymbolsData(0x2822, 'view_sidebar_filled_sharp');
  static const view_sidebar_filled =
      _MaterialSymbolsData(0x2823, 'view_sidebar_filled');
  static const view_sidebar_outlined =
      _MaterialSymbolsData(0x2824, 'view_sidebar_outlined');
  static const view_sidebar_sharp =
      _MaterialSymbolsData(0x2825, 'view_sidebar_sharp');
  static const view_sidebar = _MaterialSymbolsData(0x2826, 'view_sidebar');
  static const view_stream_filled_outlined =
      _MaterialSymbolsData(0x2827, 'view_stream_filled_outlined');
  static const view_stream_filled_sharp =
      _MaterialSymbolsData(0x2828, 'view_stream_filled_sharp');
  static const view_stream_filled =
      _MaterialSymbolsData(0x2829, 'view_stream_filled');
  static const view_stream_outlined =
      _MaterialSymbolsData(0x282a, 'view_stream_outlined');
  static const view_stream_sharp =
      _MaterialSymbolsData(0x282b, 'view_stream_sharp');
  static const view_stream = _MaterialSymbolsData(0x282c, 'view_stream');
  static const view_timeline_filled_outlined =
      _MaterialSymbolsData(0x282d, 'view_timeline_filled_outlined');
  static const view_timeline_filled_sharp =
      _MaterialSymbolsData(0x282e, 'view_timeline_filled_sharp');
  static const view_timeline_filled =
      _MaterialSymbolsData(0x282f, 'view_timeline_filled');
  static const view_timeline_outlined =
      _MaterialSymbolsData(0x2830, 'view_timeline_outlined');
  static const view_timeline_sharp =
      _MaterialSymbolsData(0x2831, 'view_timeline_sharp');
  static const view_timeline = _MaterialSymbolsData(0x2832, 'view_timeline');
  static const view_week_filled_outlined =
      _MaterialSymbolsData(0x2833, 'view_week_filled_outlined');
  static const view_week_filled_sharp =
      _MaterialSymbolsData(0x2834, 'view_week_filled_sharp');
  static const view_week_filled =
      _MaterialSymbolsData(0x2835, 'view_week_filled');
  static const view_week_outlined =
      _MaterialSymbolsData(0x2836, 'view_week_outlined');
  static const view_week_sharp =
      _MaterialSymbolsData(0x2837, 'view_week_sharp');
  static const view_week = _MaterialSymbolsData(0x2838, 'view_week');
  static const vignette_filled_outlined =
      _MaterialSymbolsData(0x2839, 'vignette_filled_outlined');
  static const vignette_filled_sharp =
      _MaterialSymbolsData(0x283a, 'vignette_filled_sharp');
  static const vignette_filled =
      _MaterialSymbolsData(0x283b, 'vignette_filled');
  static const vignette_outlined =
      _MaterialSymbolsData(0x283c, 'vignette_outlined');
  static const vignette_sharp = _MaterialSymbolsData(0x283d, 'vignette_sharp');
  static const vignette = _MaterialSymbolsData(0x283e, 'vignette');
  static const villa_filled_outlined =
      _MaterialSymbolsData(0x283f, 'villa_filled_outlined');
  static const villa_filled_sharp =
      _MaterialSymbolsData(0x2840, 'villa_filled_sharp');
  static const villa_filled = _MaterialSymbolsData(0x2841, 'villa_filled');
  static const villa_outlined = _MaterialSymbolsData(0x2842, 'villa_outlined');
  static const villa_sharp = _MaterialSymbolsData(0x2843, 'villa_sharp');
  static const villa = _MaterialSymbolsData(0x2844, 'villa');
  static const visibility_filled_outlined =
      _MaterialSymbolsData(0x2845, 'visibility_filled_outlined');
  static const visibility_filled_sharp =
      _MaterialSymbolsData(0x2846, 'visibility_filled_sharp');
  static const visibility_filled =
      _MaterialSymbolsData(0x2847, 'visibility_filled');
  static const visibility_off_filled_outlined =
      _MaterialSymbolsData(0x2848, 'visibility_off_filled_outlined');
  static const visibility_off_filled_sharp =
      _MaterialSymbolsData(0x2849, 'visibility_off_filled_sharp');
  static const visibility_off_filled =
      _MaterialSymbolsData(0x284a, 'visibility_off_filled');
  static const visibility_off_outlined =
      _MaterialSymbolsData(0x284b, 'visibility_off_outlined');
  static const visibility_off_sharp =
      _MaterialSymbolsData(0x284c, 'visibility_off_sharp');
  static const visibility_off = _MaterialSymbolsData(0x284d, 'visibility_off');
  static const visibility_outlined =
      _MaterialSymbolsData(0x284e, 'visibility_outlined');
  static const visibility_sharp =
      _MaterialSymbolsData(0x284f, 'visibility_sharp');
  static const visibility = _MaterialSymbolsData(0x2850, 'visibility');
  static const vital_signs_filled_outlined =
      _MaterialSymbolsData(0x2851, 'vital_signs_filled_outlined');
  static const vital_signs_filled_sharp =
      _MaterialSymbolsData(0x2852, 'vital_signs_filled_sharp');
  static const vital_signs_filled =
      _MaterialSymbolsData(0x2853, 'vital_signs_filled');
  static const vital_signs_outlined =
      _MaterialSymbolsData(0x2854, 'vital_signs_outlined');
  static const vital_signs_sharp =
      _MaterialSymbolsData(0x2855, 'vital_signs_sharp');
  static const vital_signs = _MaterialSymbolsData(0x2856, 'vital_signs');
  static const vitals_filled_outlined =
      _MaterialSymbolsData(0x2857, 'vitals_filled_outlined');
  static const vitals_filled_sharp =
      _MaterialSymbolsData(0x2858, 'vitals_filled_sharp');
  static const vitals_filled = _MaterialSymbolsData(0x2859, 'vitals_filled');
  static const vitals_outlined =
      _MaterialSymbolsData(0x285a, 'vitals_outlined');
  static const vitals_sharp = _MaterialSymbolsData(0x285b, 'vitals_sharp');
  static const vitals = _MaterialSymbolsData(0x285c, 'vitals');
  static const voice_chat_filled_outlined =
      _MaterialSymbolsData(0x285d, 'voice_chat_filled_outlined');
  static const voice_chat_filled_sharp =
      _MaterialSymbolsData(0x285e, 'voice_chat_filled_sharp');
  static const voice_chat_filled =
      _MaterialSymbolsData(0x285f, 'voice_chat_filled');
  static const voice_chat_outlined =
      _MaterialSymbolsData(0x2860, 'voice_chat_outlined');
  static const voice_chat_sharp =
      _MaterialSymbolsData(0x2861, 'voice_chat_sharp');
  static const voice_chat = _MaterialSymbolsData(0x2862, 'voice_chat');
  static const voice_over_off_filled_outlined =
      _MaterialSymbolsData(0x2863, 'voice_over_off_filled_outlined');
  static const voice_over_off_filled_sharp =
      _MaterialSymbolsData(0x2864, 'voice_over_off_filled_sharp');
  static const voice_over_off_filled =
      _MaterialSymbolsData(0x2865, 'voice_over_off_filled');
  static const voice_over_off_outlined =
      _MaterialSymbolsData(0x2866, 'voice_over_off_outlined');
  static const voice_over_off_sharp =
      _MaterialSymbolsData(0x2867, 'voice_over_off_sharp');
  static const voice_over_off = _MaterialSymbolsData(0x2868, 'voice_over_off');
  static const voicemail_filled_outlined =
      _MaterialSymbolsData(0x2869, 'voicemail_filled_outlined');
  static const voicemail_filled_sharp =
      _MaterialSymbolsData(0x286a, 'voicemail_filled_sharp');
  static const voicemail_filled =
      _MaterialSymbolsData(0x286b, 'voicemail_filled');
  static const voicemail_outlined =
      _MaterialSymbolsData(0x286c, 'voicemail_outlined');
  static const voicemail_sharp =
      _MaterialSymbolsData(0x286d, 'voicemail_sharp');
  static const voicemail = _MaterialSymbolsData(0x286e, 'voicemail');
  static const volcano_filled_outlined =
      _MaterialSymbolsData(0x286f, 'volcano_filled_outlined');
  static const volcano_filled_sharp =
      _MaterialSymbolsData(0x2870, 'volcano_filled_sharp');
  static const volcano_filled = _MaterialSymbolsData(0x2871, 'volcano_filled');
  static const volcano_outlined =
      _MaterialSymbolsData(0x2872, 'volcano_outlined');
  static const volcano_sharp = _MaterialSymbolsData(0x2873, 'volcano_sharp');
  static const volcano = _MaterialSymbolsData(0x2874, 'volcano');
  static const volume_down_alt_filled_outlined =
      _MaterialSymbolsData(0x2875, 'volume_down_alt_filled_outlined');
  static const volume_down_alt_filled_sharp =
      _MaterialSymbolsData(0x2876, 'volume_down_alt_filled_sharp');
  static const volume_down_alt_filled =
      _MaterialSymbolsData(0x2877, 'volume_down_alt_filled');
  static const volume_down_alt_outlined =
      _MaterialSymbolsData(0x2878, 'volume_down_alt_outlined');
  static const volume_down_alt_sharp =
      _MaterialSymbolsData(0x2879, 'volume_down_alt_sharp');
  static const volume_down_alt =
      _MaterialSymbolsData(0x287a, 'volume_down_alt');
  static const volume_down_filled_outlined =
      _MaterialSymbolsData(0x287b, 'volume_down_filled_outlined');
  static const volume_down_filled_sharp =
      _MaterialSymbolsData(0x287c, 'volume_down_filled_sharp');
  static const volume_down_filled =
      _MaterialSymbolsData(0x287d, 'volume_down_filled');
  static const volume_down_outlined =
      _MaterialSymbolsData(0x287e, 'volume_down_outlined');
  static const volume_down_sharp =
      _MaterialSymbolsData(0x287f, 'volume_down_sharp');
  static const volume_down = _MaterialSymbolsData(0x2880, 'volume_down');
  static const volume_mute_filled_outlined =
      _MaterialSymbolsData(0x2881, 'volume_mute_filled_outlined');
  static const volume_mute_filled_sharp =
      _MaterialSymbolsData(0x2882, 'volume_mute_filled_sharp');
  static const volume_mute_filled =
      _MaterialSymbolsData(0x2883, 'volume_mute_filled');
  static const volume_mute_outlined =
      _MaterialSymbolsData(0x2884, 'volume_mute_outlined');
  static const volume_mute_sharp =
      _MaterialSymbolsData(0x2885, 'volume_mute_sharp');
  static const volume_mute = _MaterialSymbolsData(0x2886, 'volume_mute');
  static const volume_off_filled_outlined =
      _MaterialSymbolsData(0x2887, 'volume_off_filled_outlined');
  static const volume_off_filled_sharp =
      _MaterialSymbolsData(0x2888, 'volume_off_filled_sharp');
  static const volume_off_filled =
      _MaterialSymbolsData(0x2889, 'volume_off_filled');
  static const volume_off_outlined =
      _MaterialSymbolsData(0x288a, 'volume_off_outlined');
  static const volume_off_sharp =
      _MaterialSymbolsData(0x288b, 'volume_off_sharp');
  static const volume_off = _MaterialSymbolsData(0x288c, 'volume_off');
  static const volume_up_filled_outlined =
      _MaterialSymbolsData(0x288d, 'volume_up_filled_outlined');
  static const volume_up_filled_sharp =
      _MaterialSymbolsData(0x288e, 'volume_up_filled_sharp');
  static const volume_up_filled =
      _MaterialSymbolsData(0x288f, 'volume_up_filled');
  static const volume_up_outlined =
      _MaterialSymbolsData(0x2890, 'volume_up_outlined');
  static const volume_up_sharp =
      _MaterialSymbolsData(0x2891, 'volume_up_sharp');
  static const volume_up = _MaterialSymbolsData(0x2892, 'volume_up');
  static const volunteer_activism_filled_outlined =
      _MaterialSymbolsData(0x2893, 'volunteer_activism_filled_outlined');
  static const volunteer_activism_filled_sharp =
      _MaterialSymbolsData(0x2894, 'volunteer_activism_filled_sharp');
  static const volunteer_activism_filled =
      _MaterialSymbolsData(0x2895, 'volunteer_activism_filled');
  static const volunteer_activism_outlined =
      _MaterialSymbolsData(0x2896, 'volunteer_activism_outlined');
  static const volunteer_activism_sharp =
      _MaterialSymbolsData(0x2897, 'volunteer_activism_sharp');
  static const volunteer_activism =
      _MaterialSymbolsData(0x2898, 'volunteer_activism');
  static const voting_chip_filled_outlined =
      _MaterialSymbolsData(0x2899, 'voting_chip_filled_outlined');
  static const voting_chip_filled_sharp =
      _MaterialSymbolsData(0x289a, 'voting_chip_filled_sharp');
  static const voting_chip_filled =
      _MaterialSymbolsData(0x289b, 'voting_chip_filled');
  static const voting_chip_outlined =
      _MaterialSymbolsData(0x289c, 'voting_chip_outlined');
  static const voting_chip_sharp =
      _MaterialSymbolsData(0x289d, 'voting_chip_sharp');
  static const voting_chip = _MaterialSymbolsData(0x289e, 'voting_chip');
  static const vpn_key_filled_outlined =
      _MaterialSymbolsData(0x289f, 'vpn_key_filled_outlined');
  static const vpn_key_filled_sharp =
      _MaterialSymbolsData(0x28a0, 'vpn_key_filled_sharp');
  static const vpn_key_filled = _MaterialSymbolsData(0x28a1, 'vpn_key_filled');
  static const vpn_key_off_filled_outlined =
      _MaterialSymbolsData(0x28a2, 'vpn_key_off_filled_outlined');
  static const vpn_key_off_filled_sharp =
      _MaterialSymbolsData(0x28a3, 'vpn_key_off_filled_sharp');
  static const vpn_key_off_filled =
      _MaterialSymbolsData(0x28a4, 'vpn_key_off_filled');
  static const vpn_key_off_outlined =
      _MaterialSymbolsData(0x28a5, 'vpn_key_off_outlined');
  static const vpn_key_off_sharp =
      _MaterialSymbolsData(0x28a6, 'vpn_key_off_sharp');
  static const vpn_key_off = _MaterialSymbolsData(0x28a7, 'vpn_key_off');
  static const vpn_key_outlined =
      _MaterialSymbolsData(0x28a8, 'vpn_key_outlined');
  static const vpn_key_sharp = _MaterialSymbolsData(0x28a9, 'vpn_key_sharp');
  static const vpn_key = _MaterialSymbolsData(0x28aa, 'vpn_key');
  static const vpn_lock_filled_outlined =
      _MaterialSymbolsData(0x28ab, 'vpn_lock_filled_outlined');
  static const vpn_lock_filled_sharp =
      _MaterialSymbolsData(0x28ac, 'vpn_lock_filled_sharp');
  static const vpn_lock_filled =
      _MaterialSymbolsData(0x28ad, 'vpn_lock_filled');
  static const vpn_lock_outlined =
      _MaterialSymbolsData(0x28ae, 'vpn_lock_outlined');
  static const vpn_lock_sharp = _MaterialSymbolsData(0x28af, 'vpn_lock_sharp');
  static const vpn_lock = _MaterialSymbolsData(0x28b0, 'vpn_lock');
  static const vrpano_filled_outlined =
      _MaterialSymbolsData(0x28b1, 'vrpano_filled_outlined');
  static const vrpano_filled_sharp =
      _MaterialSymbolsData(0x28b2, 'vrpano_filled_sharp');
  static const vrpano_filled = _MaterialSymbolsData(0x28b3, 'vrpano_filled');
  static const vrpano_outlined =
      _MaterialSymbolsData(0x28b4, 'vrpano_outlined');
  static const vrpano_sharp = _MaterialSymbolsData(0x28b5, 'vrpano_sharp');
  static const vrpano = _MaterialSymbolsData(0x28b6, 'vrpano');
  static const wall_lamp_filled_outlined =
      _MaterialSymbolsData(0x28b7, 'wall_lamp_filled_outlined');
  static const wall_lamp_filled_sharp =
      _MaterialSymbolsData(0x28b8, 'wall_lamp_filled_sharp');
  static const wall_lamp_filled =
      _MaterialSymbolsData(0x28b9, 'wall_lamp_filled');
  static const wall_lamp_outlined =
      _MaterialSymbolsData(0x28ba, 'wall_lamp_outlined');
  static const wall_lamp_sharp =
      _MaterialSymbolsData(0x28bb, 'wall_lamp_sharp');
  static const wall_lamp = _MaterialSymbolsData(0x28bc, 'wall_lamp');
  static const wallet_filled_outlined =
      _MaterialSymbolsData(0x28bd, 'wallet_filled_outlined');
  static const wallet_filled_sharp =
      _MaterialSymbolsData(0x28be, 'wallet_filled_sharp');
  static const wallet_filled = _MaterialSymbolsData(0x28bf, 'wallet_filled');
  static const wallet_outlined =
      _MaterialSymbolsData(0x28c0, 'wallet_outlined');
  static const wallet_sharp = _MaterialSymbolsData(0x28c1, 'wallet_sharp');
  static const wallet = _MaterialSymbolsData(0x28c2, 'wallet');
  static const wallpaper_filled_outlined =
      _MaterialSymbolsData(0x28c3, 'wallpaper_filled_outlined');
  static const wallpaper_filled_sharp =
      _MaterialSymbolsData(0x28c4, 'wallpaper_filled_sharp');
  static const wallpaper_filled =
      _MaterialSymbolsData(0x28c5, 'wallpaper_filled');
  static const wallpaper_outlined =
      _MaterialSymbolsData(0x28c6, 'wallpaper_outlined');
  static const wallpaper_sharp =
      _MaterialSymbolsData(0x28c7, 'wallpaper_sharp');
  static const wallpaper = _MaterialSymbolsData(0x28c8, 'wallpaper');
  static const ward_filled_outlined =
      _MaterialSymbolsData(0x28c9, 'ward_filled_outlined');
  static const ward_filled_sharp =
      _MaterialSymbolsData(0x28ca, 'ward_filled_sharp');
  static const ward_filled = _MaterialSymbolsData(0x28cb, 'ward_filled');
  static const ward_outlined = _MaterialSymbolsData(0x28cc, 'ward_outlined');
  static const ward_sharp = _MaterialSymbolsData(0x28cd, 'ward_sharp');
  static const ward = _MaterialSymbolsData(0x28ce, 'ward');
  static const warehouse_filled_outlined =
      _MaterialSymbolsData(0x28cf, 'warehouse_filled_outlined');
  static const warehouse_filled_sharp =
      _MaterialSymbolsData(0x28d0, 'warehouse_filled_sharp');
  static const warehouse_filled =
      _MaterialSymbolsData(0x28d1, 'warehouse_filled');
  static const warehouse_outlined =
      _MaterialSymbolsData(0x28d2, 'warehouse_outlined');
  static const warehouse_sharp =
      _MaterialSymbolsData(0x28d3, 'warehouse_sharp');
  static const warehouse = _MaterialSymbolsData(0x28d4, 'warehouse');
  static const warning_filled_outlined =
      _MaterialSymbolsData(0x28d5, 'warning_filled_outlined');
  static const warning_filled_sharp =
      _MaterialSymbolsData(0x28d6, 'warning_filled_sharp');
  static const warning_filled = _MaterialSymbolsData(0x28d7, 'warning_filled');
  static const warning_outlined =
      _MaterialSymbolsData(0x28d8, 'warning_outlined');
  static const warning_sharp = _MaterialSymbolsData(0x28d9, 'warning_sharp');
  static const warning = _MaterialSymbolsData(0x28da, 'warning');
  static const wash_filled_outlined =
      _MaterialSymbolsData(0x28db, 'wash_filled_outlined');
  static const wash_filled_sharp =
      _MaterialSymbolsData(0x28dc, 'wash_filled_sharp');
  static const wash_filled = _MaterialSymbolsData(0x28dd, 'wash_filled');
  static const wash_outlined = _MaterialSymbolsData(0x28de, 'wash_outlined');
  static const wash_sharp = _MaterialSymbolsData(0x28df, 'wash_sharp');
  static const wash = _MaterialSymbolsData(0x28e0, 'wash');
  static const watch_filled_outlined =
      _MaterialSymbolsData(0x28e1, 'watch_filled_outlined');
  static const watch_filled_sharp =
      _MaterialSymbolsData(0x28e2, 'watch_filled_sharp');
  static const watch_filled = _MaterialSymbolsData(0x28e3, 'watch_filled');
  static const watch_off_filled_outlined =
      _MaterialSymbolsData(0x28e4, 'watch_off_filled_outlined');
  static const watch_off_filled_sharp =
      _MaterialSymbolsData(0x28e5, 'watch_off_filled_sharp');
  static const watch_off_filled =
      _MaterialSymbolsData(0x28e6, 'watch_off_filled');
  static const watch_off_outlined =
      _MaterialSymbolsData(0x28e7, 'watch_off_outlined');
  static const watch_off_sharp =
      _MaterialSymbolsData(0x28e8, 'watch_off_sharp');
  static const watch_off = _MaterialSymbolsData(0x28e9, 'watch_off');
  static const watch_outlined = _MaterialSymbolsData(0x28ea, 'watch_outlined');
  static const watch_sharp = _MaterialSymbolsData(0x28eb, 'watch_sharp');
  static const watch = _MaterialSymbolsData(0x28ec, 'watch');
  static const water_damage_filled_outlined =
      _MaterialSymbolsData(0x28ed, 'water_damage_filled_outlined');
  static const water_damage_filled_sharp =
      _MaterialSymbolsData(0x28ee, 'water_damage_filled_sharp');
  static const water_damage_filled =
      _MaterialSymbolsData(0x28ef, 'water_damage_filled');
  static const water_damage_outlined =
      _MaterialSymbolsData(0x28f0, 'water_damage_outlined');
  static const water_damage_sharp =
      _MaterialSymbolsData(0x28f1, 'water_damage_sharp');
  static const water_damage = _MaterialSymbolsData(0x28f2, 'water_damage');
  static const water_do_filled_outlined =
      _MaterialSymbolsData(0x28f3, 'water_do_filled_outlined');
  static const water_do_filled_sharp =
      _MaterialSymbolsData(0x28f4, 'water_do_filled_sharp');
  static const water_do_filled =
      _MaterialSymbolsData(0x28f5, 'water_do_filled');
  static const water_do_outlined =
      _MaterialSymbolsData(0x28f6, 'water_do_outlined');
  static const water_do_sharp = _MaterialSymbolsData(0x28f7, 'water_do_sharp');
  static const water_do = _MaterialSymbolsData(0x28f8, 'water_do');
  static const water_drop_filled_outlined =
      _MaterialSymbolsData(0x28f9, 'water_drop_filled_outlined');
  static const water_drop_filled_sharp =
      _MaterialSymbolsData(0x28fa, 'water_drop_filled_sharp');
  static const water_drop_filled =
      _MaterialSymbolsData(0x28fb, 'water_drop_filled');
  static const water_drop_outlined =
      _MaterialSymbolsData(0x28fc, 'water_drop_outlined');
  static const water_drop_sharp =
      _MaterialSymbolsData(0x28fd, 'water_drop_sharp');
  static const water_drop = _MaterialSymbolsData(0x28fe, 'water_drop');
  static const water_ec_filled_outlined =
      _MaterialSymbolsData(0x28ff, 'water_ec_filled_outlined');
  static const water_ec_filled_sharp =
      _MaterialSymbolsData(0x2900, 'water_ec_filled_sharp');
  static const water_ec_filled =
      _MaterialSymbolsData(0x2901, 'water_ec_filled');
  static const water_ec_outlined =
      _MaterialSymbolsData(0x2902, 'water_ec_outlined');
  static const water_ec_sharp = _MaterialSymbolsData(0x2903, 'water_ec_sharp');
  static const water_ec = _MaterialSymbolsData(0x2904, 'water_ec');
  static const water_filled_outlined =
      _MaterialSymbolsData(0x2905, 'water_filled_outlined');
  static const water_filled_sharp =
      _MaterialSymbolsData(0x2906, 'water_filled_sharp');
  static const water_filled = _MaterialSymbolsData(0x2907, 'water_filled');
  static const water_heater_filled_outlined =
      _MaterialSymbolsData(0x2908, 'water_heater_filled_outlined');
  static const water_heater_filled_sharp =
      _MaterialSymbolsData(0x2909, 'water_heater_filled_sharp');
  static const water_heater_filled =
      _MaterialSymbolsData(0x290a, 'water_heater_filled');
  static const water_heater_outlined =
      _MaterialSymbolsData(0x290b, 'water_heater_outlined');
  static const water_heater_sharp =
      _MaterialSymbolsData(0x290c, 'water_heater_sharp');
  static const water_heater = _MaterialSymbolsData(0x290d, 'water_heater');
  static const water_lux_filled_outlined =
      _MaterialSymbolsData(0x290e, 'water_lux_filled_outlined');
  static const water_lux_filled_sharp =
      _MaterialSymbolsData(0x290f, 'water_lux_filled_sharp');
  static const water_lux_filled =
      _MaterialSymbolsData(0x2910, 'water_lux_filled');
  static const water_lux_outlined =
      _MaterialSymbolsData(0x2911, 'water_lux_outlined');
  static const water_lux_sharp =
      _MaterialSymbolsData(0x2912, 'water_lux_sharp');
  static const water_lux = _MaterialSymbolsData(0x2913, 'water_lux');
  static const water_orp_filled_outlined =
      _MaterialSymbolsData(0x2914, 'water_orp_filled_outlined');
  static const water_orp_filled_sharp =
      _MaterialSymbolsData(0x2915, 'water_orp_filled_sharp');
  static const water_orp_filled =
      _MaterialSymbolsData(0x2916, 'water_orp_filled');
  static const water_orp_outlined =
      _MaterialSymbolsData(0x2917, 'water_orp_outlined');
  static const water_orp_sharp =
      _MaterialSymbolsData(0x2918, 'water_orp_sharp');
  static const water_orp = _MaterialSymbolsData(0x2919, 'water_orp');
  static const water_outlined = _MaterialSymbolsData(0x291a, 'water_outlined');
  static const water_ph_filled_outlined =
      _MaterialSymbolsData(0x291b, 'water_ph_filled_outlined');
  static const water_ph_filled_sharp =
      _MaterialSymbolsData(0x291c, 'water_ph_filled_sharp');
  static const water_ph_filled =
      _MaterialSymbolsData(0x291d, 'water_ph_filled');
  static const water_ph_outlined =
      _MaterialSymbolsData(0x291e, 'water_ph_outlined');
  static const water_ph_sharp = _MaterialSymbolsData(0x291f, 'water_ph_sharp');
  static const water_ph = _MaterialSymbolsData(0x2920, 'water_ph');
  static const water_sharp = _MaterialSymbolsData(0x2921, 'water_sharp');
  static const water_voc_filled_outlined =
      _MaterialSymbolsData(0x2922, 'water_voc_filled_outlined');
  static const water_voc_filled_sharp =
      _MaterialSymbolsData(0x2923, 'water_voc_filled_sharp');
  static const water_voc_filled =
      _MaterialSymbolsData(0x2924, 'water_voc_filled');
  static const water_voc_outlined =
      _MaterialSymbolsData(0x2925, 'water_voc_outlined');
  static const water_voc_sharp =
      _MaterialSymbolsData(0x2926, 'water_voc_sharp');
  static const water_voc = _MaterialSymbolsData(0x2927, 'water_voc');
  static const water = _MaterialSymbolsData(0x2928, 'water');
  static const waterfall_chart_filled_outlined =
      _MaterialSymbolsData(0x2929, 'waterfall_chart_filled_outlined');
  static const waterfall_chart_filled_sharp =
      _MaterialSymbolsData(0x292a, 'waterfall_chart_filled_sharp');
  static const waterfall_chart_filled =
      _MaterialSymbolsData(0x292b, 'waterfall_chart_filled');
  static const waterfall_chart_outlined =
      _MaterialSymbolsData(0x292c, 'waterfall_chart_outlined');
  static const waterfall_chart_sharp =
      _MaterialSymbolsData(0x292d, 'waterfall_chart_sharp');
  static const waterfall_chart =
      _MaterialSymbolsData(0x292e, 'waterfall_chart');
  static const waves_filled_outlined =
      _MaterialSymbolsData(0x292f, 'waves_filled_outlined');
  static const waves_filled_sharp =
      _MaterialSymbolsData(0x2930, 'waves_filled_sharp');
  static const waves_filled = _MaterialSymbolsData(0x2931, 'waves_filled');
  static const waves_outlined = _MaterialSymbolsData(0x2932, 'waves_outlined');
  static const waves_sharp = _MaterialSymbolsData(0x2933, 'waves_sharp');
  static const waves = _MaterialSymbolsData(0x2934, 'waves');
  static const waving_hand_filled_outlined =
      _MaterialSymbolsData(0x2935, 'waving_hand_filled_outlined');
  static const waving_hand_filled_sharp =
      _MaterialSymbolsData(0x2936, 'waving_hand_filled_sharp');
  static const waving_hand_filled =
      _MaterialSymbolsData(0x2937, 'waving_hand_filled');
  static const waving_hand_outlined =
      _MaterialSymbolsData(0x2938, 'waving_hand_outlined');
  static const waving_hand_sharp =
      _MaterialSymbolsData(0x2939, 'waving_hand_sharp');
  static const waving_hand = _MaterialSymbolsData(0x293a, 'waving_hand');
  static const wb_auto_filled_outlined =
      _MaterialSymbolsData(0x293b, 'wb_auto_filled_outlined');
  static const wb_auto_filled_sharp =
      _MaterialSymbolsData(0x293c, 'wb_auto_filled_sharp');
  static const wb_auto_filled = _MaterialSymbolsData(0x293d, 'wb_auto_filled');
  static const wb_auto_outlined =
      _MaterialSymbolsData(0x293e, 'wb_auto_outlined');
  static const wb_auto_sharp = _MaterialSymbolsData(0x293f, 'wb_auto_sharp');
  static const wb_auto = _MaterialSymbolsData(0x2940, 'wb_auto');
  static const wb_incandescent_filled_outlined =
      _MaterialSymbolsData(0x2941, 'wb_incandescent_filled_outlined');
  static const wb_incandescent_filled_sharp =
      _MaterialSymbolsData(0x2942, 'wb_incandescent_filled_sharp');
  static const wb_incandescent_filled =
      _MaterialSymbolsData(0x2943, 'wb_incandescent_filled');
  static const wb_incandescent_outlined =
      _MaterialSymbolsData(0x2944, 'wb_incandescent_outlined');
  static const wb_incandescent_sharp =
      _MaterialSymbolsData(0x2945, 'wb_incandescent_sharp');
  static const wb_incandescent =
      _MaterialSymbolsData(0x2946, 'wb_incandescent');
  static const wb_iridescent_filled_outlined =
      _MaterialSymbolsData(0x2947, 'wb_iridescent_filled_outlined');
  static const wb_iridescent_filled_sharp =
      _MaterialSymbolsData(0x2948, 'wb_iridescent_filled_sharp');
  static const wb_iridescent_filled =
      _MaterialSymbolsData(0x2949, 'wb_iridescent_filled');
  static const wb_iridescent_outlined =
      _MaterialSymbolsData(0x294a, 'wb_iridescent_outlined');
  static const wb_iridescent_sharp =
      _MaterialSymbolsData(0x294b, 'wb_iridescent_sharp');
  static const wb_iridescent = _MaterialSymbolsData(0x294c, 'wb_iridescent');
  static const wb_shade_filled_outlined =
      _MaterialSymbolsData(0x294d, 'wb_shade_filled_outlined');
  static const wb_shade_filled_sharp =
      _MaterialSymbolsData(0x294e, 'wb_shade_filled_sharp');
  static const wb_shade_filled =
      _MaterialSymbolsData(0x294f, 'wb_shade_filled');
  static const wb_shade_outlined =
      _MaterialSymbolsData(0x2950, 'wb_shade_outlined');
  static const wb_shade_sharp = _MaterialSymbolsData(0x2951, 'wb_shade_sharp');
  static const wb_shade = _MaterialSymbolsData(0x2952, 'wb_shade');
  static const wb_sunny_filled_outlined =
      _MaterialSymbolsData(0x2953, 'wb_sunny_filled_outlined');
  static const wb_sunny_filled_sharp =
      _MaterialSymbolsData(0x2954, 'wb_sunny_filled_sharp');
  static const wb_sunny_filled =
      _MaterialSymbolsData(0x2955, 'wb_sunny_filled');
  static const wb_sunny_outlined =
      _MaterialSymbolsData(0x2956, 'wb_sunny_outlined');
  static const wb_sunny_sharp = _MaterialSymbolsData(0x2957, 'wb_sunny_sharp');
  static const wb_sunny = _MaterialSymbolsData(0x2958, 'wb_sunny');
  static const wb_twilight_filled_outlined =
      _MaterialSymbolsData(0x2959, 'wb_twilight_filled_outlined');
  static const wb_twilight_filled_sharp =
      _MaterialSymbolsData(0x295a, 'wb_twilight_filled_sharp');
  static const wb_twilight_filled =
      _MaterialSymbolsData(0x295b, 'wb_twilight_filled');
  static const wb_twilight_outlined =
      _MaterialSymbolsData(0x295c, 'wb_twilight_outlined');
  static const wb_twilight_sharp =
      _MaterialSymbolsData(0x295d, 'wb_twilight_sharp');
  static const wb_twilight = _MaterialSymbolsData(0x295e, 'wb_twilight');
  static const wc_filled_outlined =
      _MaterialSymbolsData(0x295f, 'wc_filled_outlined');
  static const wc_filled_sharp =
      _MaterialSymbolsData(0x2960, 'wc_filled_sharp');
  static const wc_filled = _MaterialSymbolsData(0x2961, 'wc_filled');
  static const wc_outlined = _MaterialSymbolsData(0x2962, 'wc_outlined');
  static const wc_sharp = _MaterialSymbolsData(0x2963, 'wc_sharp');
  static const wc = _MaterialSymbolsData(0x2964, 'wc');
  static const weather_snowy_filled_outlined =
      _MaterialSymbolsData(0x2965, 'weather_snowy_filled_outlined');
  static const weather_snowy_filled_sharp =
      _MaterialSymbolsData(0x2966, 'weather_snowy_filled_sharp');
  static const weather_snowy_filled =
      _MaterialSymbolsData(0x2967, 'weather_snowy_filled');
  static const weather_snowy_outlined =
      _MaterialSymbolsData(0x2968, 'weather_snowy_outlined');
  static const weather_snowy_sharp =
      _MaterialSymbolsData(0x2969, 'weather_snowy_sharp');
  static const weather_snowy = _MaterialSymbolsData(0x296a, 'weather_snowy');
  static const web_asset_filled_outlined =
      _MaterialSymbolsData(0x296b, 'web_asset_filled_outlined');
  static const web_asset_filled_sharp =
      _MaterialSymbolsData(0x296c, 'web_asset_filled_sharp');
  static const web_asset_filled =
      _MaterialSymbolsData(0x296d, 'web_asset_filled');
  static const web_asset_off_filled_outlined =
      _MaterialSymbolsData(0x296e, 'web_asset_off_filled_outlined');
  static const web_asset_off_filled_sharp =
      _MaterialSymbolsData(0x296f, 'web_asset_off_filled_sharp');
  static const web_asset_off_filled =
      _MaterialSymbolsData(0x2970, 'web_asset_off_filled');
  static const web_asset_off_outlined =
      _MaterialSymbolsData(0x2971, 'web_asset_off_outlined');
  static const web_asset_off_sharp =
      _MaterialSymbolsData(0x2972, 'web_asset_off_sharp');
  static const web_asset_off = _MaterialSymbolsData(0x2973, 'web_asset_off');
  static const web_asset_outlined =
      _MaterialSymbolsData(0x2974, 'web_asset_outlined');
  static const web_asset_sharp =
      _MaterialSymbolsData(0x2975, 'web_asset_sharp');
  static const web_asset = _MaterialSymbolsData(0x2976, 'web_asset');
  static const web_filled_outlined =
      _MaterialSymbolsData(0x2977, 'web_filled_outlined');
  static const web_filled_sharp =
      _MaterialSymbolsData(0x2978, 'web_filled_sharp');
  static const web_filled = _MaterialSymbolsData(0x2979, 'web_filled');
  static const web_outlined = _MaterialSymbolsData(0x297a, 'web_outlined');
  static const web_sharp = _MaterialSymbolsData(0x297b, 'web_sharp');
  static const web_stories_filled_outlined =
      _MaterialSymbolsData(0x297c, 'web_stories_filled_outlined');
  static const web_stories_filled_sharp =
      _MaterialSymbolsData(0x297d, 'web_stories_filled_sharp');
  static const web_stories_filled =
      _MaterialSymbolsData(0x297e, 'web_stories_filled');
  static const web_stories_outlined =
      _MaterialSymbolsData(0x297f, 'web_stories_outlined');
  static const web_stories_sharp =
      _MaterialSymbolsData(0x2980, 'web_stories_sharp');
  static const web_stories = _MaterialSymbolsData(0x2981, 'web_stories');
  static const web = _MaterialSymbolsData(0x2982, 'web');
  static const webhook_filled_outlined =
      _MaterialSymbolsData(0x2983, 'webhook_filled_outlined');
  static const webhook_filled_sharp =
      _MaterialSymbolsData(0x2984, 'webhook_filled_sharp');
  static const webhook_filled = _MaterialSymbolsData(0x2985, 'webhook_filled');
  static const webhook_outlined =
      _MaterialSymbolsData(0x2986, 'webhook_outlined');
  static const webhook_sharp = _MaterialSymbolsData(0x2987, 'webhook_sharp');
  static const webhook = _MaterialSymbolsData(0x2988, 'webhook');
  static const weekend_filled_outlined =
      _MaterialSymbolsData(0x2989, 'weekend_filled_outlined');
  static const weekend_filled_sharp =
      _MaterialSymbolsData(0x298a, 'weekend_filled_sharp');
  static const weekend_filled = _MaterialSymbolsData(0x298b, 'weekend_filled');
  static const weekend_outlined =
      _MaterialSymbolsData(0x298c, 'weekend_outlined');
  static const weekend_sharp = _MaterialSymbolsData(0x298d, 'weekend_sharp');
  static const weekend = _MaterialSymbolsData(0x298e, 'weekend');
  static const weight_filled_outlined =
      _MaterialSymbolsData(0x298f, 'weight_filled_outlined');
  static const weight_filled_sharp =
      _MaterialSymbolsData(0x2990, 'weight_filled_sharp');
  static const weight_filled = _MaterialSymbolsData(0x2991, 'weight_filled');
  static const weight_outlined =
      _MaterialSymbolsData(0x2992, 'weight_outlined');
  static const weight_sharp = _MaterialSymbolsData(0x2993, 'weight_sharp');
  static const weight = _MaterialSymbolsData(0x2994, 'weight');
  static const west_filled_outlined =
      _MaterialSymbolsData(0x2995, 'west_filled_outlined');
  static const west_filled_sharp =
      _MaterialSymbolsData(0x2996, 'west_filled_sharp');
  static const west_filled = _MaterialSymbolsData(0x2997, 'west_filled');
  static const west_outlined = _MaterialSymbolsData(0x2998, 'west_outlined');
  static const west_sharp = _MaterialSymbolsData(0x2999, 'west_sharp');
  static const west = _MaterialSymbolsData(0x299a, 'west');
  static const whatshot_filled_outlined =
      _MaterialSymbolsData(0x299b, 'whatshot_filled_outlined');
  static const whatshot_filled_sharp =
      _MaterialSymbolsData(0x299c, 'whatshot_filled_sharp');
  static const whatshot_filled =
      _MaterialSymbolsData(0x299d, 'whatshot_filled');
  static const whatshot_outlined =
      _MaterialSymbolsData(0x299e, 'whatshot_outlined');
  static const whatshot_sharp = _MaterialSymbolsData(0x299f, 'whatshot_sharp');
  static const whatshot = _MaterialSymbolsData(0x29a0, 'whatshot');
  static const wheelchair_pickup_filled_outlined =
      _MaterialSymbolsData(0x29a1, 'wheelchair_pickup_filled_outlined');
  static const wheelchair_pickup_filled_sharp =
      _MaterialSymbolsData(0x29a2, 'wheelchair_pickup_filled_sharp');
  static const wheelchair_pickup_filled =
      _MaterialSymbolsData(0x29a3, 'wheelchair_pickup_filled');
  static const wheelchair_pickup_outlined =
      _MaterialSymbolsData(0x29a4, 'wheelchair_pickup_outlined');
  static const wheelchair_pickup_sharp =
      _MaterialSymbolsData(0x29a5, 'wheelchair_pickup_sharp');
  static const wheelchair_pickup =
      _MaterialSymbolsData(0x29a6, 'wheelchair_pickup');
  static const where_to_vote_filled_outlined =
      _MaterialSymbolsData(0x29a7, 'where_to_vote_filled_outlined');
  static const where_to_vote_filled_sharp =
      _MaterialSymbolsData(0x29a8, 'where_to_vote_filled_sharp');
  static const where_to_vote_filled =
      _MaterialSymbolsData(0x29a9, 'where_to_vote_filled');
  static const where_to_vote_outlined =
      _MaterialSymbolsData(0x29aa, 'where_to_vote_outlined');
  static const where_to_vote_sharp =
      _MaterialSymbolsData(0x29ab, 'where_to_vote_sharp');
  static const where_to_vote = _MaterialSymbolsData(0x29ac, 'where_to_vote');
  static const widgets_filled_outlined =
      _MaterialSymbolsData(0x29ad, 'widgets_filled_outlined');
  static const widgets_filled_sharp =
      _MaterialSymbolsData(0x29ae, 'widgets_filled_sharp');
  static const widgets_filled = _MaterialSymbolsData(0x29af, 'widgets_filled');
  static const widgets_outlined =
      _MaterialSymbolsData(0x29b0, 'widgets_outlined');
  static const widgets_sharp = _MaterialSymbolsData(0x29b1, 'widgets_sharp');
  static const widgets = _MaterialSymbolsData(0x29b2, 'widgets');
  static const width_full_filled_outlined =
      _MaterialSymbolsData(0x29b3, 'width_full_filled_outlined');
  static const width_full_filled_sharp =
      _MaterialSymbolsData(0x29b4, 'width_full_filled_sharp');
  static const width_full_filled =
      _MaterialSymbolsData(0x29b5, 'width_full_filled');
  static const width_full_outlined =
      _MaterialSymbolsData(0x29b6, 'width_full_outlined');
  static const width_full_sharp =
      _MaterialSymbolsData(0x29b7, 'width_full_sharp');
  static const width_full = _MaterialSymbolsData(0x29b8, 'width_full');
  static const width_normal_filled_outlined =
      _MaterialSymbolsData(0x29b9, 'width_normal_filled_outlined');
  static const width_normal_filled_sharp =
      _MaterialSymbolsData(0x29ba, 'width_normal_filled_sharp');
  static const width_normal_filled =
      _MaterialSymbolsData(0x29bb, 'width_normal_filled');
  static const width_normal_outlined =
      _MaterialSymbolsData(0x29bc, 'width_normal_outlined');
  static const width_normal_sharp =
      _MaterialSymbolsData(0x29bd, 'width_normal_sharp');
  static const width_normal = _MaterialSymbolsData(0x29be, 'width_normal');
  static const width_wide_filled_outlined =
      _MaterialSymbolsData(0x29bf, 'width_wide_filled_outlined');
  static const width_wide_filled_sharp =
      _MaterialSymbolsData(0x29c0, 'width_wide_filled_sharp');
  static const width_wide_filled =
      _MaterialSymbolsData(0x29c1, 'width_wide_filled');
  static const width_wide_outlined =
      _MaterialSymbolsData(0x29c2, 'width_wide_outlined');
  static const width_wide_sharp =
      _MaterialSymbolsData(0x29c3, 'width_wide_sharp');
  static const width_wide = _MaterialSymbolsData(0x29c4, 'width_wide');
  static const wifi_1_bar_filled_outlined =
      _MaterialSymbolsData(0x29c5, 'wifi_1_bar_filled_outlined');
  static const wifi_1_bar_filled_sharp =
      _MaterialSymbolsData(0x29c6, 'wifi_1_bar_filled_sharp');
  static const wifi_1_bar_filled =
      _MaterialSymbolsData(0x29c7, 'wifi_1_bar_filled');
  static const wifi_1_bar_outlined =
      _MaterialSymbolsData(0x29c8, 'wifi_1_bar_outlined');
  static const wifi_1_bar_sharp =
      _MaterialSymbolsData(0x29c9, 'wifi_1_bar_sharp');
  static const wifi_1_bar = _MaterialSymbolsData(0x29ca, 'wifi_1_bar');
  static const wifi_2_bar_filled_outlined =
      _MaterialSymbolsData(0x29cb, 'wifi_2_bar_filled_outlined');
  static const wifi_2_bar_filled_sharp =
      _MaterialSymbolsData(0x29cc, 'wifi_2_bar_filled_sharp');
  static const wifi_2_bar_filled =
      _MaterialSymbolsData(0x29cd, 'wifi_2_bar_filled');
  static const wifi_2_bar_outlined =
      _MaterialSymbolsData(0x29ce, 'wifi_2_bar_outlined');
  static const wifi_2_bar_sharp =
      _MaterialSymbolsData(0x29cf, 'wifi_2_bar_sharp');
  static const wifi_2_bar = _MaterialSymbolsData(0x29d0, 'wifi_2_bar');
  static const wifi_calling_1_filled_outlined =
      _MaterialSymbolsData(0x29d1, 'wifi_calling_1_filled_outlined');
  static const wifi_calling_1_filled_sharp =
      _MaterialSymbolsData(0x29d2, 'wifi_calling_1_filled_sharp');
  static const wifi_calling_1_filled =
      _MaterialSymbolsData(0x29d3, 'wifi_calling_1_filled');
  static const wifi_calling_1_outlined =
      _MaterialSymbolsData(0x29d4, 'wifi_calling_1_outlined');
  static const wifi_calling_1_sharp =
      _MaterialSymbolsData(0x29d5, 'wifi_calling_1_sharp');
  static const wifi_calling_1 = _MaterialSymbolsData(0x29d6, 'wifi_calling_1');
  static const wifi_calling_2_filled_outlined =
      _MaterialSymbolsData(0x29d7, 'wifi_calling_2_filled_outlined');
  static const wifi_calling_2_filled_sharp =
      _MaterialSymbolsData(0x29d8, 'wifi_calling_2_filled_sharp');
  static const wifi_calling_2_filled =
      _MaterialSymbolsData(0x29d9, 'wifi_calling_2_filled');
  static const wifi_calling_2_outlined =
      _MaterialSymbolsData(0x29da, 'wifi_calling_2_outlined');
  static const wifi_calling_2_sharp =
      _MaterialSymbolsData(0x29db, 'wifi_calling_2_sharp');
  static const wifi_calling_2 = _MaterialSymbolsData(0x29dc, 'wifi_calling_2');
  static const wifi_calling_3_filled_outlined =
      _MaterialSymbolsData(0x29dd, 'wifi_calling_3_filled_outlined');
  static const wifi_calling_3_filled_sharp =
      _MaterialSymbolsData(0x29de, 'wifi_calling_3_filled_sharp');
  static const wifi_calling_3_filled =
      _MaterialSymbolsData(0x29df, 'wifi_calling_3_filled');
  static const wifi_calling_3_outlined =
      _MaterialSymbolsData(0x29e0, 'wifi_calling_3_outlined');
  static const wifi_calling_3_sharp =
      _MaterialSymbolsData(0x29e1, 'wifi_calling_3_sharp');
  static const wifi_calling_3 = _MaterialSymbolsData(0x29e2, 'wifi_calling_3');
  static const wifi_calling_filled_outlined =
      _MaterialSymbolsData(0x29e3, 'wifi_calling_filled_outlined');
  static const wifi_calling_filled_sharp =
      _MaterialSymbolsData(0x29e4, 'wifi_calling_filled_sharp');
  static const wifi_calling_filled =
      _MaterialSymbolsData(0x29e5, 'wifi_calling_filled');
  static const wifi_calling_outlined =
      _MaterialSymbolsData(0x29e6, 'wifi_calling_outlined');
  static const wifi_calling_sharp =
      _MaterialSymbolsData(0x29e7, 'wifi_calling_sharp');
  static const wifi_calling = _MaterialSymbolsData(0x29e8, 'wifi_calling');
  static const wifi_channel_filled_outlined =
      _MaterialSymbolsData(0x29e9, 'wifi_channel_filled_outlined');
  static const wifi_channel_filled_sharp =
      _MaterialSymbolsData(0x29ea, 'wifi_channel_filled_sharp');
  static const wifi_channel_filled =
      _MaterialSymbolsData(0x29eb, 'wifi_channel_filled');
  static const wifi_channel_outlined =
      _MaterialSymbolsData(0x29ec, 'wifi_channel_outlined');
  static const wifi_channel_sharp =
      _MaterialSymbolsData(0x29ed, 'wifi_channel_sharp');
  static const wifi_channel = _MaterialSymbolsData(0x29ee, 'wifi_channel');
  static const wifi_filled_outlined =
      _MaterialSymbolsData(0x29ef, 'wifi_filled_outlined');
  static const wifi_filled_sharp =
      _MaterialSymbolsData(0x29f0, 'wifi_filled_sharp');
  static const wifi_filled = _MaterialSymbolsData(0x29f1, 'wifi_filled');
  static const wifi_find_filled_outlined =
      _MaterialSymbolsData(0x29f2, 'wifi_find_filled_outlined');
  static const wifi_find_filled_sharp =
      _MaterialSymbolsData(0x29f3, 'wifi_find_filled_sharp');
  static const wifi_find_filled =
      _MaterialSymbolsData(0x29f4, 'wifi_find_filled');
  static const wifi_find_outlined =
      _MaterialSymbolsData(0x29f5, 'wifi_find_outlined');
  static const wifi_find_sharp =
      _MaterialSymbolsData(0x29f6, 'wifi_find_sharp');
  static const wifi_find = _MaterialSymbolsData(0x29f7, 'wifi_find');
  static const wifi_lock_filled_outlined =
      _MaterialSymbolsData(0x29f8, 'wifi_lock_filled_outlined');
  static const wifi_lock_filled_sharp =
      _MaterialSymbolsData(0x29f9, 'wifi_lock_filled_sharp');
  static const wifi_lock_filled =
      _MaterialSymbolsData(0x29fa, 'wifi_lock_filled');
  static const wifi_lock_outlined =
      _MaterialSymbolsData(0x29fb, 'wifi_lock_outlined');
  static const wifi_lock_sharp =
      _MaterialSymbolsData(0x29fc, 'wifi_lock_sharp');
  static const wifi_lock = _MaterialSymbolsData(0x29fd, 'wifi_lock');
  static const wifi_off_filled_outlined =
      _MaterialSymbolsData(0x29fe, 'wifi_off_filled_outlined');
  static const wifi_off_filled_sharp =
      _MaterialSymbolsData(0x29ff, 'wifi_off_filled_sharp');
  static const wifi_off_filled =
      _MaterialSymbolsData(0x2a00, 'wifi_off_filled');
  static const wifi_off_outlined =
      _MaterialSymbolsData(0x2a01, 'wifi_off_outlined');
  static const wifi_off_sharp = _MaterialSymbolsData(0x2a02, 'wifi_off_sharp');
  static const wifi_off = _MaterialSymbolsData(0x2a03, 'wifi_off');
  static const wifi_outlined = _MaterialSymbolsData(0x2a04, 'wifi_outlined');
  static const wifi_password_filled_outlined =
      _MaterialSymbolsData(0x2a05, 'wifi_password_filled_outlined');
  static const wifi_password_filled_sharp =
      _MaterialSymbolsData(0x2a06, 'wifi_password_filled_sharp');
  static const wifi_password_filled =
      _MaterialSymbolsData(0x2a07, 'wifi_password_filled');
  static const wifi_password_outlined =
      _MaterialSymbolsData(0x2a08, 'wifi_password_outlined');
  static const wifi_password_sharp =
      _MaterialSymbolsData(0x2a09, 'wifi_password_sharp');
  static const wifi_password = _MaterialSymbolsData(0x2a0a, 'wifi_password');
  static const wifi_protected_setup_filled_outlined =
      _MaterialSymbolsData(0x2a0b, 'wifi_protected_setup_filled_outlined');
  static const wifi_protected_setup_filled_sharp =
      _MaterialSymbolsData(0x2a0c, 'wifi_protected_setup_filled_sharp');
  static const wifi_protected_setup_filled =
      _MaterialSymbolsData(0x2a0d, 'wifi_protected_setup_filled');
  static const wifi_protected_setup_outlined =
      _MaterialSymbolsData(0x2a0e, 'wifi_protected_setup_outlined');
  static const wifi_protected_setup_sharp =
      _MaterialSymbolsData(0x2a0f, 'wifi_protected_setup_sharp');
  static const wifi_protected_setup =
      _MaterialSymbolsData(0x2a10, 'wifi_protected_setup');
  static const wifi_sharp = _MaterialSymbolsData(0x2a11, 'wifi_sharp');
  static const wifi_tethering_error_filled_outlined =
      _MaterialSymbolsData(0x2a12, 'wifi_tethering_error_filled_outlined');
  static const wifi_tethering_error_filled_sharp =
      _MaterialSymbolsData(0x2a13, 'wifi_tethering_error_filled_sharp');
  static const wifi_tethering_error_filled =
      _MaterialSymbolsData(0x2a14, 'wifi_tethering_error_filled');
  static const wifi_tethering_error_outlined =
      _MaterialSymbolsData(0x2a15, 'wifi_tethering_error_outlined');
  static const wifi_tethering_error_sharp =
      _MaterialSymbolsData(0x2a16, 'wifi_tethering_error_sharp');
  static const wifi_tethering_error =
      _MaterialSymbolsData(0x2a17, 'wifi_tethering_error');
  static const wifi_tethering_filled_outlined =
      _MaterialSymbolsData(0x2a18, 'wifi_tethering_filled_outlined');
  static const wifi_tethering_filled_sharp =
      _MaterialSymbolsData(0x2a19, 'wifi_tethering_filled_sharp');
  static const wifi_tethering_filled =
      _MaterialSymbolsData(0x2a1a, 'wifi_tethering_filled');
  static const wifi_tethering_off_filled_outlined =
      _MaterialSymbolsData(0x2a1b, 'wifi_tethering_off_filled_outlined');
  static const wifi_tethering_off_filled_sharp =
      _MaterialSymbolsData(0x2a1c, 'wifi_tethering_off_filled_sharp');
  static const wifi_tethering_off_filled =
      _MaterialSymbolsData(0x2a1d, 'wifi_tethering_off_filled');
  static const wifi_tethering_off_outlined =
      _MaterialSymbolsData(0x2a1e, 'wifi_tethering_off_outlined');
  static const wifi_tethering_off_sharp =
      _MaterialSymbolsData(0x2a1f, 'wifi_tethering_off_sharp');
  static const wifi_tethering_off =
      _MaterialSymbolsData(0x2a20, 'wifi_tethering_off');
  static const wifi_tethering_outlined =
      _MaterialSymbolsData(0x2a21, 'wifi_tethering_outlined');
  static const wifi_tethering_sharp =
      _MaterialSymbolsData(0x2a22, 'wifi_tethering_sharp');
  static const wifi_tethering = _MaterialSymbolsData(0x2a23, 'wifi_tethering');
  static const wifi = _MaterialSymbolsData(0x2a24, 'wifi');
  static const wind_power_filled_outlined =
      _MaterialSymbolsData(0x2a25, 'wind_power_filled_outlined');
  static const wind_power_filled_sharp =
      _MaterialSymbolsData(0x2a26, 'wind_power_filled_sharp');
  static const wind_power_filled =
      _MaterialSymbolsData(0x2a27, 'wind_power_filled');
  static const wind_power_outlined =
      _MaterialSymbolsData(0x2a28, 'wind_power_outlined');
  static const wind_power_sharp =
      _MaterialSymbolsData(0x2a29, 'wind_power_sharp');
  static const wind_power = _MaterialSymbolsData(0x2a2a, 'wind_power');
  static const window_closed_filled_outlined =
      _MaterialSymbolsData(0x2a2b, 'window_closed_filled_outlined');
  static const window_closed_filled_sharp =
      _MaterialSymbolsData(0x2a2c, 'window_closed_filled_sharp');
  static const window_closed_filled =
      _MaterialSymbolsData(0x2a2d, 'window_closed_filled');
  static const window_closed_outlined =
      _MaterialSymbolsData(0x2a2e, 'window_closed_outlined');
  static const window_closed_sharp =
      _MaterialSymbolsData(0x2a2f, 'window_closed_sharp');
  static const window_closed = _MaterialSymbolsData(0x2a30, 'window_closed');
  static const window_filled_outlined =
      _MaterialSymbolsData(0x2a31, 'window_filled_outlined');
  static const window_filled_sharp =
      _MaterialSymbolsData(0x2a32, 'window_filled_sharp');
  static const window_filled = _MaterialSymbolsData(0x2a33, 'window_filled');
  static const window_open_filled_outlined =
      _MaterialSymbolsData(0x2a34, 'window_open_filled_outlined');
  static const window_open_filled_sharp =
      _MaterialSymbolsData(0x2a35, 'window_open_filled_sharp');
  static const window_open_filled =
      _MaterialSymbolsData(0x2a36, 'window_open_filled');
  static const window_open_outlined =
      _MaterialSymbolsData(0x2a37, 'window_open_outlined');
  static const window_open_sharp =
      _MaterialSymbolsData(0x2a38, 'window_open_sharp');
  static const window_open = _MaterialSymbolsData(0x2a39, 'window_open');
  static const window_outlined =
      _MaterialSymbolsData(0x2a3a, 'window_outlined');
  static const window_sensor_filled_outlined =
      _MaterialSymbolsData(0x2a3b, 'window_sensor_filled_outlined');
  static const window_sensor_filled_sharp =
      _MaterialSymbolsData(0x2a3c, 'window_sensor_filled_sharp');
  static const window_sensor_filled =
      _MaterialSymbolsData(0x2a3d, 'window_sensor_filled');
  static const window_sensor_outlined =
      _MaterialSymbolsData(0x2a3e, 'window_sensor_outlined');
  static const window_sensor_sharp =
      _MaterialSymbolsData(0x2a3f, 'window_sensor_sharp');
  static const window_sensor = _MaterialSymbolsData(0x2a40, 'window_sensor');
  static const window_sharp = _MaterialSymbolsData(0x2a41, 'window_sharp');
  static const window = _MaterialSymbolsData(0x2a42, 'window');
  static const wine_bar_filled_outlined =
      _MaterialSymbolsData(0x2a43, 'wine_bar_filled_outlined');
  static const wine_bar_filled_sharp =
      _MaterialSymbolsData(0x2a44, 'wine_bar_filled_sharp');
  static const wine_bar_filled =
      _MaterialSymbolsData(0x2a45, 'wine_bar_filled');
  static const wine_bar_outlined =
      _MaterialSymbolsData(0x2a46, 'wine_bar_outlined');
  static const wine_bar_sharp = _MaterialSymbolsData(0x2a47, 'wine_bar_sharp');
  static const wine_bar = _MaterialSymbolsData(0x2a48, 'wine_bar');
  static const woman_2_filled_outlined =
      _MaterialSymbolsData(0x2a49, 'woman_2_filled_outlined');
  static const woman_2_filled_sharp =
      _MaterialSymbolsData(0x2a4a, 'woman_2_filled_sharp');
  static const woman_2_filled = _MaterialSymbolsData(0x2a4b, 'woman_2_filled');
  static const woman_2_outlined =
      _MaterialSymbolsData(0x2a4c, 'woman_2_outlined');
  static const woman_2_sharp = _MaterialSymbolsData(0x2a4d, 'woman_2_sharp');
  static const woman_2 = _MaterialSymbolsData(0x2a4e, 'woman_2');
  static const woman_filled_outlined =
      _MaterialSymbolsData(0x2a4f, 'woman_filled_outlined');
  static const woman_filled_sharp =
      _MaterialSymbolsData(0x2a50, 'woman_filled_sharp');
  static const woman_filled = _MaterialSymbolsData(0x2a51, 'woman_filled');
  static const woman_outlined = _MaterialSymbolsData(0x2a52, 'woman_outlined');
  static const woman_sharp = _MaterialSymbolsData(0x2a53, 'woman_sharp');
  static const woman = _MaterialSymbolsData(0x2a54, 'woman');
  static const work_filled_outlined =
      _MaterialSymbolsData(0x2a55, 'work_filled_outlined');
  static const work_filled_sharp =
      _MaterialSymbolsData(0x2a56, 'work_filled_sharp');
  static const work_filled = _MaterialSymbolsData(0x2a57, 'work_filled');
  static const work_history_filled_outlined =
      _MaterialSymbolsData(0x2a58, 'work_history_filled_outlined');
  static const work_history_filled_sharp =
      _MaterialSymbolsData(0x2a59, 'work_history_filled_sharp');
  static const work_history_filled =
      _MaterialSymbolsData(0x2a5a, 'work_history_filled');
  static const work_history_outlined =
      _MaterialSymbolsData(0x2a5b, 'work_history_outlined');
  static const work_history_sharp =
      _MaterialSymbolsData(0x2a5c, 'work_history_sharp');
  static const work_history = _MaterialSymbolsData(0x2a5d, 'work_history');
  static const work_outlined = _MaterialSymbolsData(0x2a5e, 'work_outlined');
  static const work_sharp = _MaterialSymbolsData(0x2a5f, 'work_sharp');
  static const work = _MaterialSymbolsData(0x2a60, 'work');
  static const workspace_premium_filled_outlined =
      _MaterialSymbolsData(0x2a61, 'workspace_premium_filled_outlined');
  static const workspace_premium_filled_sharp =
      _MaterialSymbolsData(0x2a62, 'workspace_premium_filled_sharp');
  static const workspace_premium_filled =
      _MaterialSymbolsData(0x2a63, 'workspace_premium_filled');
  static const workspace_premium_outlined =
      _MaterialSymbolsData(0x2a64, 'workspace_premium_outlined');
  static const workspace_premium_sharp =
      _MaterialSymbolsData(0x2a65, 'workspace_premium_sharp');
  static const workspace_premium =
      _MaterialSymbolsData(0x2a66, 'workspace_premium');
  static const workspaces_filled_outlined =
      _MaterialSymbolsData(0x2a67, 'workspaces_filled_outlined');
  static const workspaces_filled_sharp =
      _MaterialSymbolsData(0x2a68, 'workspaces_filled_sharp');
  static const workspaces_filled =
      _MaterialSymbolsData(0x2a69, 'workspaces_filled');
  static const workspaces_outlined =
      _MaterialSymbolsData(0x2a6a, 'workspaces_outlined');
  static const workspaces_sharp =
      _MaterialSymbolsData(0x2a6b, 'workspaces_sharp');
  static const workspaces = _MaterialSymbolsData(0x2a6c, 'workspaces');
  static const wounds_injuries_filled_outlined =
      _MaterialSymbolsData(0x2a6d, 'wounds_injuries_filled_outlined');
  static const wounds_injuries_filled_sharp =
      _MaterialSymbolsData(0x2a6e, 'wounds_injuries_filled_sharp');
  static const wounds_injuries_filled =
      _MaterialSymbolsData(0x2a6f, 'wounds_injuries_filled');
  static const wounds_injuries_outlined =
      _MaterialSymbolsData(0x2a70, 'wounds_injuries_outlined');
  static const wounds_injuries_sharp =
      _MaterialSymbolsData(0x2a71, 'wounds_injuries_sharp');
  static const wounds_injuries =
      _MaterialSymbolsData(0x2a72, 'wounds_injuries');
  static const wrap_text_filled_outlined =
      _MaterialSymbolsData(0x2a73, 'wrap_text_filled_outlined');
  static const wrap_text_filled_sharp =
      _MaterialSymbolsData(0x2a74, 'wrap_text_filled_sharp');
  static const wrap_text_filled =
      _MaterialSymbolsData(0x2a75, 'wrap_text_filled');
  static const wrap_text_outlined =
      _MaterialSymbolsData(0x2a76, 'wrap_text_outlined');
  static const wrap_text_sharp =
      _MaterialSymbolsData(0x2a77, 'wrap_text_sharp');
  static const wrap_text = _MaterialSymbolsData(0x2a78, 'wrap_text');
  static const wrong_location_filled_outlined =
      _MaterialSymbolsData(0x2a79, 'wrong_location_filled_outlined');
  static const wrong_location_filled_sharp =
      _MaterialSymbolsData(0x2a7a, 'wrong_location_filled_sharp');
  static const wrong_location_filled =
      _MaterialSymbolsData(0x2a7b, 'wrong_location_filled');
  static const wrong_location_outlined =
      _MaterialSymbolsData(0x2a7c, 'wrong_location_outlined');
  static const wrong_location_sharp =
      _MaterialSymbolsData(0x2a7d, 'wrong_location_sharp');
  static const wrong_location = _MaterialSymbolsData(0x2a7e, 'wrong_location');
  static const wysiwyg_filled_outlined =
      _MaterialSymbolsData(0x2a7f, 'wysiwyg_filled_outlined');
  static const wysiwyg_filled_sharp =
      _MaterialSymbolsData(0x2a80, 'wysiwyg_filled_sharp');
  static const wysiwyg_filled = _MaterialSymbolsData(0x2a81, 'wysiwyg_filled');
  static const wysiwyg_outlined =
      _MaterialSymbolsData(0x2a82, 'wysiwyg_outlined');
  static const wysiwyg_sharp = _MaterialSymbolsData(0x2a83, 'wysiwyg_sharp');
  static const wysiwyg = _MaterialSymbolsData(0x2a84, 'wysiwyg');
  static const yard_filled_outlined =
      _MaterialSymbolsData(0x2a85, 'yard_filled_outlined');
  static const yard_filled_sharp =
      _MaterialSymbolsData(0x2a86, 'yard_filled_sharp');
  static const yard_filled = _MaterialSymbolsData(0x2a87, 'yard_filled');
  static const yard_outlined = _MaterialSymbolsData(0x2a88, 'yard_outlined');
  static const yard_sharp = _MaterialSymbolsData(0x2a89, 'yard_sharp');
  static const yard = _MaterialSymbolsData(0x2a8a, 'yard');
  static const youtube_activity_filled_outlined =
      _MaterialSymbolsData(0x2a8b, 'youtube_activity_filled_outlined');
  static const youtube_activity_filled_sharp =
      _MaterialSymbolsData(0x2a8c, 'youtube_activity_filled_sharp');
  static const youtube_activity_filled =
      _MaterialSymbolsData(0x2a8d, 'youtube_activity_filled');
  static const youtube_activity_outlined =
      _MaterialSymbolsData(0x2a8e, 'youtube_activity_outlined');
  static const youtube_activity_sharp =
      _MaterialSymbolsData(0x2a8f, 'youtube_activity_sharp');
  static const youtube_activity =
      _MaterialSymbolsData(0x2a90, 'youtube_activity');
  static const youtube_searched_for_filled_outlined =
      _MaterialSymbolsData(0x2a91, 'youtube_searched_for_filled_outlined');
  static const youtube_searched_for_filled_sharp =
      _MaterialSymbolsData(0x2a92, 'youtube_searched_for_filled_sharp');
  static const youtube_searched_for_filled =
      _MaterialSymbolsData(0x2a93, 'youtube_searched_for_filled');
  static const youtube_searched_for_outlined =
      _MaterialSymbolsData(0x2a94, 'youtube_searched_for_outlined');
  static const youtube_searched_for_sharp =
      _MaterialSymbolsData(0x2a95, 'youtube_searched_for_sharp');
  static const youtube_searched_for =
      _MaterialSymbolsData(0x2a96, 'youtube_searched_for');
  static const zone_person_alert_filled_outlined =
      _MaterialSymbolsData(0x2a97, 'zone_person_alert_filled_outlined');
  static const zone_person_alert_filled_sharp =
      _MaterialSymbolsData(0x2a98, 'zone_person_alert_filled_sharp');
  static const zone_person_alert_filled =
      _MaterialSymbolsData(0x2a99, 'zone_person_alert_filled');
  static const zone_person_alert_outlined =
      _MaterialSymbolsData(0x2a9a, 'zone_person_alert_outlined');
  static const zone_person_alert_sharp =
      _MaterialSymbolsData(0x2a9b, 'zone_person_alert_sharp');
  static const zone_person_alert =
      _MaterialSymbolsData(0x2a9c, 'zone_person_alert');
  static const zone_person_idle_filled_outlined =
      _MaterialSymbolsData(0x2a9d, 'zone_person_idle_filled_outlined');
  static const zone_person_idle_filled_sharp =
      _MaterialSymbolsData(0x2a9e, 'zone_person_idle_filled_sharp');
  static const zone_person_idle_filled =
      _MaterialSymbolsData(0x2a9f, 'zone_person_idle_filled');
  static const zone_person_idle_outlined =
      _MaterialSymbolsData(0x2aa0, 'zone_person_idle_outlined');
  static const zone_person_idle_sharp =
      _MaterialSymbolsData(0x2aa1, 'zone_person_idle_sharp');
  static const zone_person_idle =
      _MaterialSymbolsData(0x2aa2, 'zone_person_idle');
  static const zone_person_urgent_filled_outlined =
      _MaterialSymbolsData(0x2aa3, 'zone_person_urgent_filled_outlined');
  static const zone_person_urgent_filled_sharp =
      _MaterialSymbolsData(0x2aa4, 'zone_person_urgent_filled_sharp');
  static const zone_person_urgent_filled =
      _MaterialSymbolsData(0x2aa5, 'zone_person_urgent_filled');
  static const zone_person_urgent_outlined =
      _MaterialSymbolsData(0x2aa6, 'zone_person_urgent_outlined');
  static const zone_person_urgent_sharp =
      _MaterialSymbolsData(0x2aa7, 'zone_person_urgent_sharp');
  static const zone_person_urgent =
      _MaterialSymbolsData(0x2aa8, 'zone_person_urgent');
  static const zoom_in_filled_outlined =
      _MaterialSymbolsData(0x2aa9, 'zoom_in_filled_outlined');
  static const zoom_in_filled_sharp =
      _MaterialSymbolsData(0x2aaa, 'zoom_in_filled_sharp');
  static const zoom_in_filled = _MaterialSymbolsData(0x2aab, 'zoom_in_filled');
  static const zoom_in_map_filled_outlined =
      _MaterialSymbolsData(0x2aac, 'zoom_in_map_filled_outlined');
  static const zoom_in_map_filled_sharp =
      _MaterialSymbolsData(0x2aad, 'zoom_in_map_filled_sharp');
  static const zoom_in_map_filled =
      _MaterialSymbolsData(0x2aae, 'zoom_in_map_filled');
  static const zoom_in_map_outlined =
      _MaterialSymbolsData(0x2aaf, 'zoom_in_map_outlined');
  static const zoom_in_map_sharp =
      _MaterialSymbolsData(0x2ab0, 'zoom_in_map_sharp');
  static const zoom_in_map = _MaterialSymbolsData(0x2ab1, 'zoom_in_map');
  static const zoom_in_outlined =
      _MaterialSymbolsData(0x2ab2, 'zoom_in_outlined');
  static const zoom_in_sharp = _MaterialSymbolsData(0x2ab3, 'zoom_in_sharp');
  static const zoom_in = _MaterialSymbolsData(0x2ab4, 'zoom_in');
  static const zoom_out_filled_outlined =
      _MaterialSymbolsData(0x2ab5, 'zoom_out_filled_outlined');
  static const zoom_out_filled_sharp =
      _MaterialSymbolsData(0x2ab6, 'zoom_out_filled_sharp');
  static const zoom_out_filled =
      _MaterialSymbolsData(0x2ab7, 'zoom_out_filled');
  static const zoom_out_map_filled_outlined =
      _MaterialSymbolsData(0x2ab8, 'zoom_out_map_filled_outlined');
  static const zoom_out_map_filled_sharp =
      _MaterialSymbolsData(0x2ab9, 'zoom_out_map_filled_sharp');
  static const zoom_out_map_filled =
      _MaterialSymbolsData(0x2aba, 'zoom_out_map_filled');
  static const zoom_out_map_outlined =
      _MaterialSymbolsData(0x2abb, 'zoom_out_map_outlined');
  static const zoom_out_map_sharp =
      _MaterialSymbolsData(0x2abc, 'zoom_out_map_sharp');
  static const zoom_out_map = _MaterialSymbolsData(0x2abd, 'zoom_out_map');
  static const zoom_out_outlined =
      _MaterialSymbolsData(0x2abe, 'zoom_out_outlined');
  static const zoom_out_sharp = _MaterialSymbolsData(0x2abf, 'zoom_out_sharp');
  static const zoom_out = _MaterialSymbolsData(0x2ac0, 'zoom_out');

  static const all = <String, _MaterialSymbolsData>{
    'one_two_three': one_two_three,
    'three_sixty': three_sixty,
    'ten_k_filled_outlined': ten_k_filled_outlined,
    'ten_k_filled_sharp': ten_k_filled_sharp,
    'ten_k_filled': ten_k_filled,
    'ten_k_outlined': ten_k_outlined,
    'ten_k_sharp': ten_k_sharp,
    'ten_k': ten_k,
    'ten_mp_filled_outlined': ten_mp_filled_outlined,
    'ten_mp_filled_sharp': ten_mp_filled_sharp,
    'ten_mp_filled': ten_mp_filled,
    'ten_mp_outlined': ten_mp_outlined,
    'ten_mp_sharp': ten_mp_sharp,
    'ten_mp': ten_mp,
    'eleven_mp_filled_outlined': eleven_mp_filled_outlined,
    'eleven_mp_filled_sharp': eleven_mp_filled_sharp,
    'eleven_mp_filled': eleven_mp_filled,
    'eleven_mp_outlined': eleven_mp_outlined,
    'eleven_mp_sharp': eleven_mp_sharp,
    'eleven_mp': eleven_mp,
    'one_two_three_filled_outlined': one_two_three_filled_outlined,
    'one_two_three_filled_sharp': one_two_three_filled_sharp,
    'one_two_three_filled': one_two_three_filled,
    'one_two_three_outlined': one_two_three_outlined,
    'one_two_three_sharp': one_two_three_sharp,
    'twelve_mp_filled_outlined': twelve_mp_filled_outlined,
    'twelve_mp_filled_sharp': twelve_mp_filled_sharp,
    'twelve_mp_filled': twelve_mp_filled,
    'twelve_mp_outlined': twelve_mp_outlined,
    'twelve_mp_sharp': twelve_mp_sharp,
    'twelve_mp': twelve_mp,
    'thirteen_mp_filled_outlined': thirteen_mp_filled_outlined,
    'thirteen_mp_filled_sharp': thirteen_mp_filled_sharp,
    'thirteen_mp_filled': thirteen_mp_filled,
    'thirteen_mp_outlined': thirteen_mp_outlined,
    'thirteen_mp_sharp': thirteen_mp_sharp,
    'thirteen_mp': thirteen_mp,
    'fourteen_mp_filled_outlined': fourteen_mp_filled_outlined,
    'fourteen_mp_filled_sharp': fourteen_mp_filled_sharp,
    'fourteen_mp_filled': fourteen_mp_filled,
    'fourteen_mp_outlined': fourteen_mp_outlined,
    'fourteen_mp_sharp': fourteen_mp_sharp,
    'fourteen_mp': fourteen_mp,
    'fifteen_mp_filled_outlined': fifteen_mp_filled_outlined,
    'fifteen_mp_filled_sharp': fifteen_mp_filled_sharp,
    'fifteen_mp_filled': fifteen_mp_filled,
    'fifteen_mp_outlined': fifteen_mp_outlined,
    'fifteen_mp_sharp': fifteen_mp_sharp,
    'fifteen_mp': fifteen_mp,
    'sixteen_mp_filled_outlined': sixteen_mp_filled_outlined,
    'sixteen_mp_filled_sharp': sixteen_mp_filled_sharp,
    'sixteen_mp_filled': sixteen_mp_filled,
    'sixteen_mp_outlined': sixteen_mp_outlined,
    'sixteen_mp_sharp': sixteen_mp_sharp,
    'sixteen_mp': sixteen_mp,
    'seventeen_mp_filled_outlined': seventeen_mp_filled_outlined,
    'seventeen_mp_filled_sharp': seventeen_mp_filled_sharp,
    'seventeen_mp_filled': seventeen_mp_filled,
    'seventeen_mp_outlined': seventeen_mp_outlined,
    'seventeen_mp_sharp': seventeen_mp_sharp,
    'seventeen_mp': seventeen_mp,
    'eighteen_up_rating_filled_outlined': eighteen_up_rating_filled_outlined,
    'eighteen_up_rating_filled_sharp': eighteen_up_rating_filled_sharp,
    'eighteen_up_rating_filled': eighteen_up_rating_filled,
    'eighteen_up_rating_outlined': eighteen_up_rating_outlined,
    'eighteen_up_rating_sharp': eighteen_up_rating_sharp,
    'eighteen_up_rating': eighteen_up_rating,
    'eighteenmp_filled_outlined': eighteenmp_filled_outlined,
    'eighteenmp_filled_sharp': eighteenmp_filled_sharp,
    'eighteenmp_filled': eighteenmp_filled,
    'eighteenmp_outlined': eighteenmp_outlined,
    'eighteenmp_sharp': eighteenmp_sharp,
    'eighteenmp': eighteenmp,
    'nineteenmp_filled_outlined': nineteenmp_filled_outlined,
    'nineteenmp_filled_sharp': nineteenmp_filled_sharp,
    'nineteenmp_filled': nineteenmp_filled,
    'nineteenmp_outlined': nineteenmp_outlined,
    'nineteenmp_sharp': nineteenmp_sharp,
    'nineteenmp': nineteenmp,
    'onek_filled_outlined': onek_filled_outlined,
    'onek_filled_sharp': onek_filled_sharp,
    'onek_filled': onek_filled,
    'onek_outlined': onek_outlined,
    'onek_plus_filled_outlined': onek_plus_filled_outlined,
    'onek_plus_filled_sharp': onek_plus_filled_sharp,
    'onek_plus_filled': onek_plus_filled,
    'onek_plus_outlined': onek_plus_outlined,
    'onek_plus_sharp': onek_plus_sharp,
    'onek_plus': onek_plus,
    'onek_sharp': onek_sharp,
    'onek': onek,
    'onex_mobiledata_filled_outlined': onex_mobiledata_filled_outlined,
    'onex_mobiledata_filled_sharp': onex_mobiledata_filled_sharp,
    'onex_mobiledata_filled': onex_mobiledata_filled,
    'onex_mobiledata_outlined': onex_mobiledata_outlined,
    'onex_mobiledata_sharp': onex_mobiledata_sharp,
    'onex_mobiledata': onex_mobiledata,
    'twentymp_filled_outlined': twentymp_filled_outlined,
    'twentymp_filled_sharp': twentymp_filled_sharp,
    'twentymp_filled': twentymp_filled,
    'twentymp_outlined': twentymp_outlined,
    'twentymp_sharp': twentymp_sharp,
    'twentymp': twentymp,
    'twentyonemp_filled_outlined': twentyonemp_filled_outlined,
    'twentyonemp_filled_sharp': twentyonemp_filled_sharp,
    'twentyonemp_filled': twentyonemp_filled,
    'twentyonemp_outlined': twentyonemp_outlined,
    'twentyonemp_sharp': twentyonemp_sharp,
    'twentyonemp': twentyonemp,
    'twentytwomp_filled_outlined': twentytwomp_filled_outlined,
    'twentytwomp_filled_sharp': twentytwomp_filled_sharp,
    'twentytwomp_filled': twentytwomp_filled,
    'twentytwomp_outlined': twentytwomp_outlined,
    'twentytwomp_sharp': twentytwomp_sharp,
    'twentytwomp': twentytwomp,
    'twentythreemp_filled_outlined': twentythreemp_filled_outlined,
    'twentythreemp_filled_sharp': twentythreemp_filled_sharp,
    'twentythreemp_filled': twentythreemp_filled,
    'twentythreemp_outlined': twentythreemp_outlined,
    'twentythreemp_sharp': twentythreemp_sharp,
    'twentythreemp': twentythreemp,
    'twentyfourmp_filled_outlined': twentyfourmp_filled_outlined,
    'twentyfourmp_filled_sharp': twentyfourmp_filled_sharp,
    'twentyfourmp_filled': twentyfourmp_filled,
    'twentyfourmp_outlined': twentyfourmp_outlined,
    'twentyfourmp_sharp': twentyfourmp_sharp,
    'twentyfourmp': twentyfourmp,
    'twok_filled_outlined': twok_filled_outlined,
    'twok_filled_sharp': twok_filled_sharp,
    'twok_filled': twok_filled,
    'twok_outlined': twok_outlined,
    'twok_plus_filled_outlined': twok_plus_filled_outlined,
    'twok_plus_filled_sharp': twok_plus_filled_sharp,
    'twok_plus_filled': twok_plus_filled,
    'twok_plus_outlined': twok_plus_outlined,
    'twok_plus_sharp': twok_plus_sharp,
    'twok_plus': twok_plus,
    'twok_sharp': twok_sharp,
    'twok': twok,
    'twomp_filled_outlined': twomp_filled_outlined,
    'twomp_filled_sharp': twomp_filled_sharp,
    'twomp_filled': twomp_filled,
    'twomp_outlined': twomp_outlined,
    'twomp_sharp': twomp_sharp,
    'twomp': twomp,
    'thirtyfps_filled_outlined': thirtyfps_filled_outlined,
    'thirtyfps_filled_sharp': thirtyfps_filled_sharp,
    'thirtyfps_filled': thirtyfps_filled,
    'thirtyfps_outlined': thirtyfps_outlined,
    'thirtyfps_select_filled_outlined': thirtyfps_select_filled_outlined,
    'thirtyfps_select_filled_sharp': thirtyfps_select_filled_sharp,
    'thirtyfps_select_filled': thirtyfps_select_filled,
    'thirtyfps_select_outlined': thirtyfps_select_outlined,
    'thirtyfps_select_sharp': thirtyfps_select_sharp,
    'thirtyfps_select': thirtyfps_select,
    'thirtyfps_sharp': thirtyfps_sharp,
    'thirtyfps': thirtyfps,
    'three_sixty_filled_outlined': three_sixty_filled_outlined,
    'three_sixty_filled_sharp': three_sixty_filled_sharp,
    'three_sixty_filled': three_sixty_filled,
    'three_sixty_outlined': three_sixty_outlined,
    'three_sixty_sharp': three_sixty_sharp,
    'threed_rotation_filled_outlined': threed_rotation_filled_outlined,
    'threed_rotation_filled_sharp': threed_rotation_filled_sharp,
    'threed_rotation_filled': threed_rotation_filled,
    'threed_rotation_outlined': threed_rotation_outlined,
    'threed_rotation_sharp': threed_rotation_sharp,
    'threed_rotation': threed_rotation,
    'threeg_mobiledata_filled_outlined': threeg_mobiledata_filled_outlined,
    'threeg_mobiledata_filled_sharp': threeg_mobiledata_filled_sharp,
    'threeg_mobiledata_filled': threeg_mobiledata_filled,
    'threeg_mobiledata_outlined': threeg_mobiledata_outlined,
    'threeg_mobiledata_sharp': threeg_mobiledata_sharp,
    'threeg_mobiledata': threeg_mobiledata,
    'threek_filled_outlined': threek_filled_outlined,
    'threek_filled_sharp': threek_filled_sharp,
    'threek_filled': threek_filled,
    'threek_outlined': threek_outlined,
    'threek_plus_filled_outlined': threek_plus_filled_outlined,
    'threek_plus_filled_sharp': threek_plus_filled_sharp,
    'threek_plus_filled': threek_plus_filled,
    'threek_plus_outlined': threek_plus_outlined,
    'threek_plus_sharp': threek_plus_sharp,
    'threek_plus': threek_plus,
    'threek_sharp': threek_sharp,
    'threek': threek,
    'threemp_filled_outlined': threemp_filled_outlined,
    'threemp_filled_sharp': threemp_filled_sharp,
    'threemp_filled': threemp_filled,
    'threemp_outlined': threemp_outlined,
    'threemp_sharp': threemp_sharp,
    'threemp': threemp,
    'threep_filled_outlined': threep_filled_outlined,
    'threep_filled_sharp': threep_filled_sharp,
    'threep_filled': threep_filled,
    'threep_outlined': threep_outlined,
    'threep_sharp': threep_sharp,
    'threep': threep,
    'fourg_mobiledata_filled_outlined': fourg_mobiledata_filled_outlined,
    'fourg_mobiledata_filled_sharp': fourg_mobiledata_filled_sharp,
    'fourg_mobiledata_filled': fourg_mobiledata_filled,
    'fourg_mobiledata_outlined': fourg_mobiledata_outlined,
    'fourg_mobiledata_sharp': fourg_mobiledata_sharp,
    'fourg_mobiledata': fourg_mobiledata,
    'fourg_plus_mobiledata_filled_outlined':
        fourg_plus_mobiledata_filled_outlined,
    'fourg_plus_mobiledata_filled_sharp': fourg_plus_mobiledata_filled_sharp,
    'fourg_plus_mobiledata_filled': fourg_plus_mobiledata_filled,
    'fourg_plus_mobiledata_outlined': fourg_plus_mobiledata_outlined,
    'fourg_plus_mobiledata_sharp': fourg_plus_mobiledata_sharp,
    'fourg_plus_mobiledata': fourg_plus_mobiledata,
    'fourk_filled_outlined': fourk_filled_outlined,
    'fourk_filled_sharp': fourk_filled_sharp,
    'fourk_filled': fourk_filled,
    'fourk_outlined': fourk_outlined,
    'fourk_plus_filled_outlined': fourk_plus_filled_outlined,
    'fourk_plus_filled_sharp': fourk_plus_filled_sharp,
    'fourk_plus_filled': fourk_plus_filled,
    'fourk_plus_outlined': fourk_plus_outlined,
    'fourk_plus_sharp': fourk_plus_sharp,
    'fourk_plus': fourk_plus,
    'fourk_sharp': fourk_sharp,
    'fourk': fourk,
    'fourmp_filled_outlined': fourmp_filled_outlined,
    'fourmp_filled_sharp': fourmp_filled_sharp,
    'fourmp_filled': fourmp_filled,
    'fourmp_outlined': fourmp_outlined,
    'fourmp_sharp': fourmp_sharp,
    'fourmp': fourmp,
    'fiveg_filled_outlined': fiveg_filled_outlined,
    'fiveg_filled_sharp': fiveg_filled_sharp,
    'fiveg_filled': fiveg_filled,
    'fiveg_outlined': fiveg_outlined,
    'fiveg_sharp': fiveg_sharp,
    'fiveg': fiveg,
    'fivek_filled_outlined': fivek_filled_outlined,
    'fivek_filled_sharp': fivek_filled_sharp,
    'fivek_filled': fivek_filled,
    'fivek_outlined': fivek_outlined,
    'fivek_plus_filled_outlined': fivek_plus_filled_outlined,
    'fivek_plus_filled_sharp': fivek_plus_filled_sharp,
    'fivek_plus_filled': fivek_plus_filled,
    'fivek_plus_outlined': fivek_plus_outlined,
    'fivek_plus_sharp': fivek_plus_sharp,
    'fivek_plus': fivek_plus,
    'fivek_sharp': fivek_sharp,
    'fivek': fivek,
    'fivemp_filled_outlined': fivemp_filled_outlined,
    'fivemp_filled_sharp': fivemp_filled_sharp,
    'fivemp_filled': fivemp_filled,
    'fivemp_outlined': fivemp_outlined,
    'fivemp_sharp': fivemp_sharp,
    'fivemp': fivemp,
    'six_ft_apart_filled_outlined': six_ft_apart_filled_outlined,
    'six_ft_apart_filled_sharp': six_ft_apart_filled_sharp,
    'six_ft_apart_filled': six_ft_apart_filled,
    'six_ft_apart_outlined': six_ft_apart_outlined,
    'six_ft_apart_sharp': six_ft_apart_sharp,
    'six_ft_apart': six_ft_apart,
    'sixtyfps_filled_outlined': sixtyfps_filled_outlined,
    'sixtyfps_filled_sharp': sixtyfps_filled_sharp,
    'sixtyfps_filled': sixtyfps_filled,
    'sixtyfps_outlined': sixtyfps_outlined,
    'sixtyfps_select_filled_outlined': sixtyfps_select_filled_outlined,
    'sixtyfps_select_filled_sharp': sixtyfps_select_filled_sharp,
    'sixtyfps_select_filled': sixtyfps_select_filled,
    'sixtyfps_select_outlined': sixtyfps_select_outlined,
    'sixtyfps_select_sharp': sixtyfps_select_sharp,
    'sixtyfps_select': sixtyfps_select,
    'sixtyfps_sharp': sixtyfps_sharp,
    'sixtyfps': sixtyfps,
    'sixk_filled_outlined': sixk_filled_outlined,
    'sixk_filled_sharp': sixk_filled_sharp,
    'sixk_filled': sixk_filled,
    'sixk_outlined': sixk_outlined,
    'sixk_plus_filled_outlined': sixk_plus_filled_outlined,
    'sixk_plus_filled_sharp': sixk_plus_filled_sharp,
    'sixk_plus_filled': sixk_plus_filled,
    'sixk_plus_outlined': sixk_plus_outlined,
    'sixk_plus_sharp': sixk_plus_sharp,
    'sixk_plus': sixk_plus,
    'sixk_sharp': sixk_sharp,
    'sixk': sixk,
    'sixmp_filled_outlined': sixmp_filled_outlined,
    'sixmp_filled_sharp': sixmp_filled_sharp,
    'sixmp_filled': sixmp_filled,
    'sixmp_outlined': sixmp_outlined,
    'sixmp_sharp': sixmp_sharp,
    'sixmp': sixmp,
    'sevenk_filled_outlined': sevenk_filled_outlined,
    'sevenk_filled_sharp': sevenk_filled_sharp,
    'sevenk_filled': sevenk_filled,
    'sevenk_outlined': sevenk_outlined,
    'sevenk_plus_filled_outlined': sevenk_plus_filled_outlined,
    'sevenk_plus_filled_sharp': sevenk_plus_filled_sharp,
    'sevenk_plus_filled': sevenk_plus_filled,
    'sevenk_plus_outlined': sevenk_plus_outlined,
    'sevenk_plus_sharp': sevenk_plus_sharp,
    'sevenk_plus': sevenk_plus,
    'sevenk_sharp': sevenk_sharp,
    'sevenk': sevenk,
    'sevenmp_filled_outlined': sevenmp_filled_outlined,
    'sevenmp_filled_sharp': sevenmp_filled_sharp,
    'sevenmp_filled': sevenmp_filled,
    'sevenmp_outlined': sevenmp_outlined,
    'sevenmp_sharp': sevenmp_sharp,
    'sevenmp': sevenmp,
    'eightk_filled_outlined': eightk_filled_outlined,
    'eightk_filled_sharp': eightk_filled_sharp,
    'eightk_filled': eightk_filled,
    'eightk_outlined': eightk_outlined,
    'eightk_plus_filled_outlined': eightk_plus_filled_outlined,
    'eightk_plus_filled_sharp': eightk_plus_filled_sharp,
    'eightk_plus_filled': eightk_plus_filled,
    'eightk_plus_outlined': eightk_plus_outlined,
    'eightk_plus_sharp': eightk_plus_sharp,
    'eightk_plus': eightk_plus,
    'eightk_sharp': eightk_sharp,
    'eightk': eightk,
    'eightmp_filled_outlined': eightmp_filled_outlined,
    'eightmp_filled_sharp': eightmp_filled_sharp,
    'eightmp_filled': eightmp_filled,
    'eightmp_outlined': eightmp_outlined,
    'eightmp_sharp': eightmp_sharp,
    'eightmp': eightmp,
    'ninek_filled_outlined': ninek_filled_outlined,
    'ninek_filled_sharp': ninek_filled_sharp,
    'ninek_filled': ninek_filled,
    'ninek_outlined': ninek_outlined,
    'ninek_plus_filled_outlined': ninek_plus_filled_outlined,
    'ninek_plus_filled_sharp': ninek_plus_filled_sharp,
    'ninek_plus_filled': ninek_plus_filled,
    'ninek_plus_outlined': ninek_plus_outlined,
    'ninek_plus_sharp': ninek_plus_sharp,
    'ninek_plus': ninek_plus,
    'ninek_sharp': ninek_sharp,
    'ninek': ninek,
    'ninemp_filled_outlined': ninemp_filled_outlined,
    'ninemp_filled_sharp': ninemp_filled_sharp,
    'ninemp_filled': ninemp_filled,
    'ninemp_outlined': ninemp_outlined,
    'ninemp_sharp': ninemp_sharp,
    'ninemp': ninemp,
    'abc_filled_outlined': abc_filled_outlined,
    'abc_filled_sharp': abc_filled_sharp,
    'abc_filled': abc_filled,
    'abc_outlined': abc_outlined,
    'abc_sharp': abc_sharp,
    'abc': abc,
    'ac_unit_filled_outlined': ac_unit_filled_outlined,
    'ac_unit_filled_sharp': ac_unit_filled_sharp,
    'ac_unit_filled': ac_unit_filled,
    'ac_unit_outlined': ac_unit_outlined,
    'ac_unit_sharp': ac_unit_sharp,
    'ac_unit': ac_unit,
    'accessibility_filled_outlined': accessibility_filled_outlined,
    'accessibility_filled_sharp': accessibility_filled_sharp,
    'accessibility_filled': accessibility_filled,
    'accessibility_new_filled_outlined': accessibility_new_filled_outlined,
    'accessibility_new_filled_sharp': accessibility_new_filled_sharp,
    'accessibility_new_filled': accessibility_new_filled,
    'accessibility_new_outlined': accessibility_new_outlined,
    'accessibility_new_sharp': accessibility_new_sharp,
    'accessibility_new': accessibility_new,
    'accessibility_outlined': accessibility_outlined,
    'accessibility_sharp': accessibility_sharp,
    'accessibility': accessibility,
    'accessible_filled_outlined': accessible_filled_outlined,
    'accessible_filled_sharp': accessible_filled_sharp,
    'accessible_filled': accessible_filled,
    'accessible_forward_filled_outlined': accessible_forward_filled_outlined,
    'accessible_forward_filled_sharp': accessible_forward_filled_sharp,
    'accessible_forward_filled': accessible_forward_filled,
    'accessible_forward_outlined': accessible_forward_outlined,
    'accessible_forward_sharp': accessible_forward_sharp,
    'accessible_forward': accessible_forward,
    'accessible_outlined': accessible_outlined,
    'accessible_sharp': accessible_sharp,
    'accessible': accessible,
    'account_balance_filled_outlined': account_balance_filled_outlined,
    'account_balance_filled_sharp': account_balance_filled_sharp,
    'account_balance_filled': account_balance_filled,
    'account_balance_outlined': account_balance_outlined,
    'account_balance_sharp': account_balance_sharp,
    'account_balance_wallet_filled_outlined':
        account_balance_wallet_filled_outlined,
    'account_balance_wallet_filled_sharp': account_balance_wallet_filled_sharp,
    'account_balance_wallet_filled': account_balance_wallet_filled,
    'account_balance_wallet_outlined': account_balance_wallet_outlined,
    'account_balance_wallet_sharp': account_balance_wallet_sharp,
    'account_balance_wallet': account_balance_wallet,
    'account_balance': account_balance,
    'account_box_filled_outlined': account_box_filled_outlined,
    'account_box_filled_sharp': account_box_filled_sharp,
    'account_box_filled': account_box_filled,
    'account_box_outlined': account_box_outlined,
    'account_box_sharp': account_box_sharp,
    'account_box': account_box,
    'account_circle_filled_outlined': account_circle_filled_outlined,
    'account_circle_filled_sharp': account_circle_filled_sharp,
    'account_circle_filled': account_circle_filled,
    'account_circle_outlined': account_circle_outlined,
    'account_circle_sharp': account_circle_sharp,
    'account_circle': account_circle,
    'account_tree_filled_outlined': account_tree_filled_outlined,
    'account_tree_filled_sharp': account_tree_filled_sharp,
    'account_tree_filled': account_tree_filled,
    'account_tree_outlined': account_tree_outlined,
    'account_tree_sharp': account_tree_sharp,
    'account_tree': account_tree,
    'activity_zone_filled_outlined': activity_zone_filled_outlined,
    'activity_zone_filled_sharp': activity_zone_filled_sharp,
    'activity_zone_filled': activity_zone_filled,
    'activity_zone_outlined': activity_zone_outlined,
    'activity_zone_sharp': activity_zone_sharp,
    'activity_zone': activity_zone,
    'acute_filled_outlined': acute_filled_outlined,
    'acute_filled_sharp': acute_filled_sharp,
    'acute_filled': acute_filled,
    'acute_outlined': acute_outlined,
    'acute_sharp': acute_sharp,
    'acute': acute,
    'ad_units_filled_outlined': ad_units_filled_outlined,
    'ad_units_filled_sharp': ad_units_filled_sharp,
    'ad_units_filled': ad_units_filled,
    'ad_units_outlined': ad_units_outlined,
    'ad_units_sharp': ad_units_sharp,
    'ad_units': ad_units,
    'adb_filled_outlined': adb_filled_outlined,
    'adb_filled_sharp': adb_filled_sharp,
    'adb_filled': adb_filled,
    'adb_outlined': adb_outlined,
    'adb_sharp': adb_sharp,
    'adb': adb,
    'add_a_photo_filled_outlined': add_a_photo_filled_outlined,
    'add_a_photo_filled_sharp': add_a_photo_filled_sharp,
    'add_a_photo_filled': add_a_photo_filled,
    'add_a_photo_outlined': add_a_photo_outlined,
    'add_a_photo_sharp': add_a_photo_sharp,
    'add_a_photo': add_a_photo,
    'add_alert_filled_outlined': add_alert_filled_outlined,
    'add_alert_filled_sharp': add_alert_filled_sharp,
    'add_alert_filled': add_alert_filled,
    'add_alert_outlined': add_alert_outlined,
    'add_alert_sharp': add_alert_sharp,
    'add_alert': add_alert,
    'add_box_filled_outlined': add_box_filled_outlined,
    'add_box_filled_sharp': add_box_filled_sharp,
    'add_box_filled': add_box_filled,
    'add_box_outlined': add_box_outlined,
    'add_box_sharp': add_box_sharp,
    'add_box': add_box,
    'add_business_filled_outlined': add_business_filled_outlined,
    'add_business_filled_sharp': add_business_filled_sharp,
    'add_business_filled': add_business_filled,
    'add_business_outlined': add_business_outlined,
    'add_business_sharp': add_business_sharp,
    'add_business': add_business,
    'add_call_filled_outlined': add_call_filled_outlined,
    'add_call_filled_sharp': add_call_filled_sharp,
    'add_call_filled': add_call_filled,
    'add_call_outlined': add_call_outlined,
    'add_call_sharp': add_call_sharp,
    'add_call': add_call,
    'add_card_filled_outlined': add_card_filled_outlined,
    'add_card_filled_sharp': add_card_filled_sharp,
    'add_card_filled': add_card_filled,
    'add_card_outlined': add_card_outlined,
    'add_card_sharp': add_card_sharp,
    'add_card': add_card,
    'add_chart_filled_outlined': add_chart_filled_outlined,
    'add_chart_filled_sharp': add_chart_filled_sharp,
    'add_chart_filled': add_chart_filled,
    'add_chart_outlined': add_chart_outlined,
    'add_chart_sharp': add_chart_sharp,
    'add_chart': add_chart,
    'add_circle_filled_outlined': add_circle_filled_outlined,
    'add_circle_filled_sharp': add_circle_filled_sharp,
    'add_circle_filled': add_circle_filled,
    'add_circle_outlined': add_circle_outlined,
    'add_circle_sharp': add_circle_sharp,
    'add_circle': add_circle,
    'add_comment_filled_outlined': add_comment_filled_outlined,
    'add_comment_filled_sharp': add_comment_filled_sharp,
    'add_comment_filled': add_comment_filled,
    'add_comment_outlined': add_comment_outlined,
    'add_comment_sharp': add_comment_sharp,
    'add_comment': add_comment,
    'add_filled_outlined': add_filled_outlined,
    'add_filled_sharp': add_filled_sharp,
    'add_filled': add_filled,
    'add_home_filled_outlined': add_home_filled_outlined,
    'add_home_filled_sharp': add_home_filled_sharp,
    'add_home_filled': add_home_filled,
    'add_home_outlined': add_home_outlined,
    'add_home_sharp': add_home_sharp,
    'add_home_work_filled_outlined': add_home_work_filled_outlined,
    'add_home_work_filled_sharp': add_home_work_filled_sharp,
    'add_home_work_filled': add_home_work_filled,
    'add_home_work_outlined': add_home_work_outlined,
    'add_home_work_sharp': add_home_work_sharp,
    'add_home_work': add_home_work,
    'add_home': add_home,
    'add_link_filled_outlined': add_link_filled_outlined,
    'add_link_filled_sharp': add_link_filled_sharp,
    'add_link_filled': add_link_filled,
    'add_link_outlined': add_link_outlined,
    'add_link_sharp': add_link_sharp,
    'add_link': add_link,
    'add_location_alt_filled_outlined': add_location_alt_filled_outlined,
    'add_location_alt_filled_sharp': add_location_alt_filled_sharp,
    'add_location_alt_filled': add_location_alt_filled,
    'add_location_alt_outlined': add_location_alt_outlined,
    'add_location_alt_sharp': add_location_alt_sharp,
    'add_location_alt': add_location_alt,
    'add_location_filled_outlined': add_location_filled_outlined,
    'add_location_filled_sharp': add_location_filled_sharp,
    'add_location_filled': add_location_filled,
    'add_location_outlined': add_location_outlined,
    'add_location_sharp': add_location_sharp,
    'add_location': add_location,
    'add_moderator_filled_outlined': add_moderator_filled_outlined,
    'add_moderator_filled_sharp': add_moderator_filled_sharp,
    'add_moderator_filled': add_moderator_filled,
    'add_moderator_outlined': add_moderator_outlined,
    'add_moderator_sharp': add_moderator_sharp,
    'add_moderator': add_moderator,
    'add_notes_filled_outlined': add_notes_filled_outlined,
    'add_notes_filled_sharp': add_notes_filled_sharp,
    'add_notes_filled': add_notes_filled,
    'add_notes_outlined': add_notes_outlined,
    'add_notes_sharp': add_notes_sharp,
    'add_notes': add_notes,
    'add_outlined': add_outlined,
    'add_photo_alternate_filled_outlined': add_photo_alternate_filled_outlined,
    'add_photo_alternate_filled_sharp': add_photo_alternate_filled_sharp,
    'add_photo_alternate_filled': add_photo_alternate_filled,
    'add_photo_alternate_outlined': add_photo_alternate_outlined,
    'add_photo_alternate_sharp': add_photo_alternate_sharp,
    'add_photo_alternate': add_photo_alternate,
    'add_reaction_filled_outlined': add_reaction_filled_outlined,
    'add_reaction_filled_sharp': add_reaction_filled_sharp,
    'add_reaction_filled': add_reaction_filled,
    'add_reaction_outlined': add_reaction_outlined,
    'add_reaction_sharp': add_reaction_sharp,
    'add_reaction': add_reaction,
    'add_road_filled_outlined': add_road_filled_outlined,
    'add_road_filled_sharp': add_road_filled_sharp,
    'add_road_filled': add_road_filled,
    'add_road_outlined': add_road_outlined,
    'add_road_sharp': add_road_sharp,
    'add_road': add_road,
    'add_sharp': add_sharp,
    'add_shopping_cart_filled_outlined': add_shopping_cart_filled_outlined,
    'add_shopping_cart_filled_sharp': add_shopping_cart_filled_sharp,
    'add_shopping_cart_filled': add_shopping_cart_filled,
    'add_shopping_cart_outlined': add_shopping_cart_outlined,
    'add_shopping_cart_sharp': add_shopping_cart_sharp,
    'add_shopping_cart': add_shopping_cart,
    'add_task_filled_outlined': add_task_filled_outlined,
    'add_task_filled_sharp': add_task_filled_sharp,
    'add_task_filled': add_task_filled,
    'add_task_outlined': add_task_outlined,
    'add_task_sharp': add_task_sharp,
    'add_task': add_task,
    'add_to_drive_filled_outlined': add_to_drive_filled_outlined,
    'add_to_drive_filled_sharp': add_to_drive_filled_sharp,
    'add_to_drive_filled': add_to_drive_filled,
    'add_to_drive_outlined': add_to_drive_outlined,
    'add_to_drive_sharp': add_to_drive_sharp,
    'add_to_drive': add_to_drive,
    'add_to_home_screen_filled_outlined': add_to_home_screen_filled_outlined,
    'add_to_home_screen_filled_sharp': add_to_home_screen_filled_sharp,
    'add_to_home_screen_filled': add_to_home_screen_filled,
    'add_to_home_screen_outlined': add_to_home_screen_outlined,
    'add_to_home_screen_sharp': add_to_home_screen_sharp,
    'add_to_home_screen': add_to_home_screen,
    'add_to_photos_filled_outlined': add_to_photos_filled_outlined,
    'add_to_photos_filled_sharp': add_to_photos_filled_sharp,
    'add_to_photos_filled': add_to_photos_filled,
    'add_to_photos_outlined': add_to_photos_outlined,
    'add_to_photos_sharp': add_to_photos_sharp,
    'add_to_photos': add_to_photos,
    'add_to_queue_filled_outlined': add_to_queue_filled_outlined,
    'add_to_queue_filled_sharp': add_to_queue_filled_sharp,
    'add_to_queue_filled': add_to_queue_filled,
    'add_to_queue_outlined': add_to_queue_outlined,
    'add_to_queue_sharp': add_to_queue_sharp,
    'add_to_queue': add_to_queue,
    'add': add,
    'adf_scanner_filled_outlined': adf_scanner_filled_outlined,
    'adf_scanner_filled_sharp': adf_scanner_filled_sharp,
    'adf_scanner_filled': adf_scanner_filled,
    'adf_scanner_outlined': adf_scanner_outlined,
    'adf_scanner_sharp': adf_scanner_sharp,
    'adf_scanner': adf_scanner,
    'adjust_filled_outlined': adjust_filled_outlined,
    'adjust_filled_sharp': adjust_filled_sharp,
    'adjust_filled': adjust_filled,
    'adjust_outlined': adjust_outlined,
    'adjust_sharp': adjust_sharp,
    'adjust': adjust,
    'admin_meds_filled_outlined': admin_meds_filled_outlined,
    'admin_meds_filled_sharp': admin_meds_filled_sharp,
    'admin_meds_filled': admin_meds_filled,
    'admin_meds_outlined': admin_meds_outlined,
    'admin_meds_sharp': admin_meds_sharp,
    'admin_meds': admin_meds,
    'admin_panel_settings_filled_outlined':
        admin_panel_settings_filled_outlined,
    'admin_panel_settings_filled_sharp': admin_panel_settings_filled_sharp,
    'admin_panel_settings_filled': admin_panel_settings_filled,
    'admin_panel_settings_outlined': admin_panel_settings_outlined,
    'admin_panel_settings_sharp': admin_panel_settings_sharp,
    'admin_panel_settings': admin_panel_settings,
    'ads_click_filled_outlined': ads_click_filled_outlined,
    'ads_click_filled_sharp': ads_click_filled_sharp,
    'ads_click_filled': ads_click_filled,
    'ads_click_outlined': ads_click_outlined,
    'ads_click_sharp': ads_click_sharp,
    'ads_click': ads_click,
    'agender_filled_outlined': agender_filled_outlined,
    'agender_filled_sharp': agender_filled_sharp,
    'agender_filled': agender_filled,
    'agender_outlined': agender_outlined,
    'agender_sharp': agender_sharp,
    'agender': agender,
    'agriculture_filled_outlined': agriculture_filled_outlined,
    'agriculture_filled_sharp': agriculture_filled_sharp,
    'agriculture_filled': agriculture_filled,
    'agriculture_outlined': agriculture_outlined,
    'agriculture_sharp': agriculture_sharp,
    'agriculture': agriculture,
    'air_filled_outlined': air_filled_outlined,
    'air_filled_sharp': air_filled_sharp,
    'air_filled': air_filled,
    'air_freshener_filled_outlined': air_freshener_filled_outlined,
    'air_freshener_filled_sharp': air_freshener_filled_sharp,
    'air_freshener_filled': air_freshener_filled,
    'air_freshener_outlined': air_freshener_outlined,
    'air_freshener_sharp': air_freshener_sharp,
    'air_freshener': air_freshener,
    'air_outlined': air_outlined,
    'air_purifier_gen_filled_outlined': air_purifier_gen_filled_outlined,
    'air_purifier_gen_filled_sharp': air_purifier_gen_filled_sharp,
    'air_purifier_gen_filled': air_purifier_gen_filled,
    'air_purifier_gen_outlined': air_purifier_gen_outlined,
    'air_purifier_gen_sharp': air_purifier_gen_sharp,
    'air_purifier_gen': air_purifier_gen,
    'air_sharp': air_sharp,
    'air': air,
    'airline_seat_flat_angled_filled_outlined':
        airline_seat_flat_angled_filled_outlined,
    'airline_seat_flat_angled_filled_sharp':
        airline_seat_flat_angled_filled_sharp,
    'airline_seat_flat_angled_filled': airline_seat_flat_angled_filled,
    'airline_seat_flat_angled_outlined': airline_seat_flat_angled_outlined,
    'airline_seat_flat_angled_sharp': airline_seat_flat_angled_sharp,
    'airline_seat_flat_angled': airline_seat_flat_angled,
    'airline_seat_flat_filled_outlined': airline_seat_flat_filled_outlined,
    'airline_seat_flat_filled_sharp': airline_seat_flat_filled_sharp,
    'airline_seat_flat_filled': airline_seat_flat_filled,
    'airline_seat_flat_outlined': airline_seat_flat_outlined,
    'airline_seat_flat_sharp': airline_seat_flat_sharp,
    'airline_seat_flat': airline_seat_flat,
    'airline_seat_individual_suite_filled_outlined':
        airline_seat_individual_suite_filled_outlined,
    'airline_seat_individual_suite_filled_sharp':
        airline_seat_individual_suite_filled_sharp,
    'airline_seat_individual_suite_filled':
        airline_seat_individual_suite_filled,
    'airline_seat_individual_suite_outlined':
        airline_seat_individual_suite_outlined,
    'airline_seat_individual_suite_sharp': airline_seat_individual_suite_sharp,
    'airline_seat_individual_suite': airline_seat_individual_suite,
    'airline_seat_legroom_extra_filled_outlined':
        airline_seat_legroom_extra_filled_outlined,
    'airline_seat_legroom_extra_filled_sharp':
        airline_seat_legroom_extra_filled_sharp,
    'airline_seat_legroom_extra_filled': airline_seat_legroom_extra_filled,
    'airline_seat_legroom_extra_outlined': airline_seat_legroom_extra_outlined,
    'airline_seat_legroom_extra_sharp': airline_seat_legroom_extra_sharp,
    'airline_seat_legroom_extra': airline_seat_legroom_extra,
    'airline_seat_legroom_normal_filled_outlined':
        airline_seat_legroom_normal_filled_outlined,
    'airline_seat_legroom_normal_filled_sharp':
        airline_seat_legroom_normal_filled_sharp,
    'airline_seat_legroom_normal_filled': airline_seat_legroom_normal_filled,
    'airline_seat_legroom_normal_outlined':
        airline_seat_legroom_normal_outlined,
    'airline_seat_legroom_normal_sharp': airline_seat_legroom_normal_sharp,
    'airline_seat_legroom_normal': airline_seat_legroom_normal,
    'airline_seat_legroom_reduced_filled_outlined':
        airline_seat_legroom_reduced_filled_outlined,
    'airline_seat_legroom_reduced_filled_sharp':
        airline_seat_legroom_reduced_filled_sharp,
    'airline_seat_legroom_reduced_filled': airline_seat_legroom_reduced_filled,
    'airline_seat_legroom_reduced_outlined':
        airline_seat_legroom_reduced_outlined,
    'airline_seat_legroom_reduced_sharp': airline_seat_legroom_reduced_sharp,
    'airline_seat_legroom_reduced': airline_seat_legroom_reduced,
    'airline_seat_recline_extra_filled_outlined':
        airline_seat_recline_extra_filled_outlined,
    'airline_seat_recline_extra_filled_sharp':
        airline_seat_recline_extra_filled_sharp,
    'airline_seat_recline_extra_filled': airline_seat_recline_extra_filled,
    'airline_seat_recline_extra_outlined': airline_seat_recline_extra_outlined,
    'airline_seat_recline_extra_sharp': airline_seat_recline_extra_sharp,
    'airline_seat_recline_extra': airline_seat_recline_extra,
    'airline_seat_recline_normal_filled_outlined':
        airline_seat_recline_normal_filled_outlined,
    'airline_seat_recline_normal_filled_sharp':
        airline_seat_recline_normal_filled_sharp,
    'airline_seat_recline_normal_filled': airline_seat_recline_normal_filled,
    'airline_seat_recline_normal_outlined':
        airline_seat_recline_normal_outlined,
    'airline_seat_recline_normal_sharp': airline_seat_recline_normal_sharp,
    'airline_seat_recline_normal': airline_seat_recline_normal,
    'airline_stops_filled_outlined': airline_stops_filled_outlined,
    'airline_stops_filled_sharp': airline_stops_filled_sharp,
    'airline_stops_filled': airline_stops_filled,
    'airline_stops_outlined': airline_stops_outlined,
    'airline_stops_sharp': airline_stops_sharp,
    'airline_stops': airline_stops,
    'airlines_filled_outlined': airlines_filled_outlined,
    'airlines_filled_sharp': airlines_filled_sharp,
    'airlines_filled': airlines_filled,
    'airlines_outlined': airlines_outlined,
    'airlines_sharp': airlines_sharp,
    'airlines': airlines,
    'airplane_ticket_filled_outlined': airplane_ticket_filled_outlined,
    'airplane_ticket_filled_sharp': airplane_ticket_filled_sharp,
    'airplane_ticket_filled': airplane_ticket_filled,
    'airplane_ticket_outlined': airplane_ticket_outlined,
    'airplane_ticket_sharp': airplane_ticket_sharp,
    'airplane_ticket': airplane_ticket,
    'airplanemode_active_filled_outlined': airplanemode_active_filled_outlined,
    'airplanemode_active_filled_sharp': airplanemode_active_filled_sharp,
    'airplanemode_active_filled': airplanemode_active_filled,
    'airplanemode_active_outlined': airplanemode_active_outlined,
    'airplanemode_active_sharp': airplanemode_active_sharp,
    'airplanemode_active': airplanemode_active,
    'airplanemode_inactive_filled_outlined':
        airplanemode_inactive_filled_outlined,
    'airplanemode_inactive_filled_sharp': airplanemode_inactive_filled_sharp,
    'airplanemode_inactive_filled': airplanemode_inactive_filled,
    'airplanemode_inactive_outlined': airplanemode_inactive_outlined,
    'airplanemode_inactive_sharp': airplanemode_inactive_sharp,
    'airplanemode_inactive': airplanemode_inactive,
    'airplay_filled_outlined': airplay_filled_outlined,
    'airplay_filled_sharp': airplay_filled_sharp,
    'airplay_filled': airplay_filled,
    'airplay_outlined': airplay_outlined,
    'airplay_sharp': airplay_sharp,
    'airplay': airplay,
    'airport_shuttle_filled_outlined': airport_shuttle_filled_outlined,
    'airport_shuttle_filled_sharp': airport_shuttle_filled_sharp,
    'airport_shuttle_filled': airport_shuttle_filled,
    'airport_shuttle_outlined': airport_shuttle_outlined,
    'airport_shuttle_sharp': airport_shuttle_sharp,
    'airport_shuttle': airport_shuttle,
    'airware_filled_outlined': airware_filled_outlined,
    'airware_filled_sharp': airware_filled_sharp,
    'airware_filled': airware_filled,
    'airware_outlined': airware_outlined,
    'airware_sharp': airware_sharp,
    'airware': airware,
    'airwave_filled_outlined': airwave_filled_outlined,
    'airwave_filled_sharp': airwave_filled_sharp,
    'airwave_filled': airwave_filled,
    'airwave_outlined': airwave_outlined,
    'airwave_sharp': airwave_sharp,
    'airwave': airwave,
    'alarm_add_filled_outlined': alarm_add_filled_outlined,
    'alarm_add_filled_sharp': alarm_add_filled_sharp,
    'alarm_add_filled': alarm_add_filled,
    'alarm_add_outlined': alarm_add_outlined,
    'alarm_add_sharp': alarm_add_sharp,
    'alarm_add': alarm_add,
    'alarm_filled_outlined': alarm_filled_outlined,
    'alarm_filled_sharp': alarm_filled_sharp,
    'alarm_filled': alarm_filled,
    'alarm_off_filled_outlined': alarm_off_filled_outlined,
    'alarm_off_filled_sharp': alarm_off_filled_sharp,
    'alarm_off_filled': alarm_off_filled,
    'alarm_off_outlined': alarm_off_outlined,
    'alarm_off_sharp': alarm_off_sharp,
    'alarm_off': alarm_off,
    'alarm_on_filled_outlined': alarm_on_filled_outlined,
    'alarm_on_filled_sharp': alarm_on_filled_sharp,
    'alarm_on_filled': alarm_on_filled,
    'alarm_on_outlined': alarm_on_outlined,
    'alarm_on_sharp': alarm_on_sharp,
    'alarm_on': alarm_on,
    'alarm_outlined': alarm_outlined,
    'alarm_sharp': alarm_sharp,
    'alarm': alarm,
    'album_filled_outlined': album_filled_outlined,
    'album_filled_sharp': album_filled_sharp,
    'album_filled': album_filled,
    'album_outlined': album_outlined,
    'album_sharp': album_sharp,
    'album': album,
    'align_horizontal_center_filled_outlined':
        align_horizontal_center_filled_outlined,
    'align_horizontal_center_filled_sharp':
        align_horizontal_center_filled_sharp,
    'align_horizontal_center_filled': align_horizontal_center_filled,
    'align_horizontal_center_outlined': align_horizontal_center_outlined,
    'align_horizontal_center_sharp': align_horizontal_center_sharp,
    'align_horizontal_center': align_horizontal_center,
    'align_horizontal_left_filled_outlined':
        align_horizontal_left_filled_outlined,
    'align_horizontal_left_filled_sharp': align_horizontal_left_filled_sharp,
    'align_horizontal_left_filled': align_horizontal_left_filled,
    'align_horizontal_left_outlined': align_horizontal_left_outlined,
    'align_horizontal_left_sharp': align_horizontal_left_sharp,
    'align_horizontal_left': align_horizontal_left,
    'align_horizontal_right_filled_outlined':
        align_horizontal_right_filled_outlined,
    'align_horizontal_right_filled_sharp': align_horizontal_right_filled_sharp,
    'align_horizontal_right_filled': align_horizontal_right_filled,
    'align_horizontal_right_outlined': align_horizontal_right_outlined,
    'align_horizontal_right_sharp': align_horizontal_right_sharp,
    'align_horizontal_right': align_horizontal_right,
    'align_vertical_bottom_filled_outlined':
        align_vertical_bottom_filled_outlined,
    'align_vertical_bottom_filled_sharp': align_vertical_bottom_filled_sharp,
    'align_vertical_bottom_filled': align_vertical_bottom_filled,
    'align_vertical_bottom_outlined': align_vertical_bottom_outlined,
    'align_vertical_bottom_sharp': align_vertical_bottom_sharp,
    'align_vertical_bottom': align_vertical_bottom,
    'align_vertical_center_filled_outlined':
        align_vertical_center_filled_outlined,
    'align_vertical_center_filled_sharp': align_vertical_center_filled_sharp,
    'align_vertical_center_filled': align_vertical_center_filled,
    'align_vertical_center_outlined': align_vertical_center_outlined,
    'align_vertical_center_sharp': align_vertical_center_sharp,
    'align_vertical_center': align_vertical_center,
    'align_vertical_top_filled_outlined': align_vertical_top_filled_outlined,
    'align_vertical_top_filled_sharp': align_vertical_top_filled_sharp,
    'align_vertical_top_filled': align_vertical_top_filled,
    'align_vertical_top_outlined': align_vertical_top_outlined,
    'align_vertical_top_sharp': align_vertical_top_sharp,
    'align_vertical_top': align_vertical_top,
    'all_inbox_filled_outlined': all_inbox_filled_outlined,
    'all_inbox_filled_sharp': all_inbox_filled_sharp,
    'all_inbox_filled': all_inbox_filled,
    'all_inbox_outlined': all_inbox_outlined,
    'all_inbox_sharp': all_inbox_sharp,
    'all_inbox': all_inbox,
    'all_inclusive_filled_outlined': all_inclusive_filled_outlined,
    'all_inclusive_filled_sharp': all_inclusive_filled_sharp,
    'all_inclusive_filled': all_inclusive_filled,
    'all_inclusive_outlined': all_inclusive_outlined,
    'all_inclusive_sharp': all_inclusive_sharp,
    'all_inclusive': all_inclusive,
    'all_out_filled_outlined': all_out_filled_outlined,
    'all_out_filled_sharp': all_out_filled_sharp,
    'all_out_filled': all_out_filled,
    'all_out_outlined': all_out_outlined,
    'all_out_sharp': all_out_sharp,
    'all_out': all_out,
    'allergies_filled_outlined': allergies_filled_outlined,
    'allergies_filled_sharp': allergies_filled_sharp,
    'allergies_filled': allergies_filled,
    'allergies_outlined': allergies_outlined,
    'allergies_sharp': allergies_sharp,
    'allergies': allergies,
    'alt_route_filled_outlined': alt_route_filled_outlined,
    'alt_route_filled_sharp': alt_route_filled_sharp,
    'alt_route_filled': alt_route_filled,
    'alt_route_outlined': alt_route_outlined,
    'alt_route_sharp': alt_route_sharp,
    'alt_route': alt_route,
    'alternate_email_filled_outlined': alternate_email_filled_outlined,
    'alternate_email_filled_sharp': alternate_email_filled_sharp,
    'alternate_email_filled': alternate_email_filled,
    'alternate_email_outlined': alternate_email_outlined,
    'alternate_email_sharp': alternate_email_sharp,
    'alternate_email': alternate_email,
    'altitude_filled_outlined': altitude_filled_outlined,
    'altitude_filled_sharp': altitude_filled_sharp,
    'altitude_filled': altitude_filled,
    'altitude_outlined': altitude_outlined,
    'altitude_sharp': altitude_sharp,
    'altitude': altitude,
    'amend_filled_outlined': amend_filled_outlined,
    'amend_filled_sharp': amend_filled_sharp,
    'amend_filled': amend_filled,
    'amend_outlined': amend_outlined,
    'amend_sharp': amend_sharp,
    'amend': amend,
    'amp_stories_filled_outlined': amp_stories_filled_outlined,
    'amp_stories_filled_sharp': amp_stories_filled_sharp,
    'amp_stories_filled': amp_stories_filled,
    'amp_stories_outlined': amp_stories_outlined,
    'amp_stories_sharp': amp_stories_sharp,
    'amp_stories': amp_stories,
    'analytics_filled_outlined': analytics_filled_outlined,
    'analytics_filled_sharp': analytics_filled_sharp,
    'analytics_filled': analytics_filled,
    'analytics_outlined': analytics_outlined,
    'analytics_sharp': analytics_sharp,
    'analytics': analytics,
    'anchor_filled_outlined': anchor_filled_outlined,
    'anchor_filled_sharp': anchor_filled_sharp,
    'anchor_filled': anchor_filled,
    'anchor_outlined': anchor_outlined,
    'anchor_sharp': anchor_sharp,
    'anchor': anchor,
    'android_filled_outlined': android_filled_outlined,
    'android_filled_sharp': android_filled_sharp,
    'android_filled': android_filled,
    'android_outlined': android_outlined,
    'android_sharp': android_sharp,
    'android': android,
    'animation_filled_outlined': animation_filled_outlined,
    'animation_filled_sharp': animation_filled_sharp,
    'animation_filled': animation_filled,
    'animation_outlined': animation_outlined,
    'animation_sharp': animation_sharp,
    'animation': animation,
    'aod_filled_outlined': aod_filled_outlined,
    'aod_filled_sharp': aod_filled_sharp,
    'aod_filled': aod_filled,
    'aod_outlined': aod_outlined,
    'aod_sharp': aod_sharp,
    'aod_tablet_filled_outlined': aod_tablet_filled_outlined,
    'aod_tablet_filled_sharp': aod_tablet_filled_sharp,
    'aod_tablet_filled': aod_tablet_filled,
    'aod_tablet_outlined': aod_tablet_outlined,
    'aod_tablet_sharp': aod_tablet_sharp,
    'aod_tablet': aod_tablet,
    'aod': aod,
    'apartment_filled_outlined': apartment_filled_outlined,
    'apartment_filled_sharp': apartment_filled_sharp,
    'apartment_filled': apartment_filled,
    'apartment_outlined': apartment_outlined,
    'apartment_sharp': apartment_sharp,
    'apartment': apartment,
    'api_filled_outlined': api_filled_outlined,
    'api_filled_sharp': api_filled_sharp,
    'api_filled': api_filled,
    'api_outlined': api_outlined,
    'api_sharp': api_sharp,
    'api': api,
    'apk_document_filled_outlined': apk_document_filled_outlined,
    'apk_document_filled_sharp': apk_document_filled_sharp,
    'apk_document_filled': apk_document_filled,
    'apk_document_outlined': apk_document_outlined,
    'apk_document_sharp': apk_document_sharp,
    'apk_document': apk_document,
    'apk_install_filled_outlined': apk_install_filled_outlined,
    'apk_install_filled_sharp': apk_install_filled_sharp,
    'apk_install_filled': apk_install_filled,
    'apk_install_outlined': apk_install_outlined,
    'apk_install_sharp': apk_install_sharp,
    'apk_install': apk_install,
    'app_blocking_filled_outlined': app_blocking_filled_outlined,
    'app_blocking_filled_sharp': app_blocking_filled_sharp,
    'app_blocking_filled': app_blocking_filled,
    'app_blocking_outlined': app_blocking_outlined,
    'app_blocking_sharp': app_blocking_sharp,
    'app_blocking': app_blocking,
    'app_registration_filled_outlined': app_registration_filled_outlined,
    'app_registration_filled_sharp': app_registration_filled_sharp,
    'app_registration_filled': app_registration_filled,
    'app_registration_outlined': app_registration_outlined,
    'app_registration_sharp': app_registration_sharp,
    'app_registration': app_registration,
    'app_shortcut_filled_outlined': app_shortcut_filled_outlined,
    'app_shortcut_filled_sharp': app_shortcut_filled_sharp,
    'app_shortcut_filled': app_shortcut_filled,
    'app_shortcut_outlined': app_shortcut_outlined,
    'app_shortcut_sharp': app_shortcut_sharp,
    'app_shortcut': app_shortcut,
    'approval_delegation_filled_outlined': approval_delegation_filled_outlined,
    'approval_delegation_filled_sharp': approval_delegation_filled_sharp,
    'approval_delegation_filled': approval_delegation_filled,
    'approval_delegation_outlined': approval_delegation_outlined,
    'approval_delegation_sharp': approval_delegation_sharp,
    'approval_delegation': approval_delegation,
    'approval_filled_outlined': approval_filled_outlined,
    'approval_filled_sharp': approval_filled_sharp,
    'approval_filled': approval_filled,
    'approval_outlined': approval_outlined,
    'approval_sharp': approval_sharp,
    'approval': approval,
    'apps_filled_outlined': apps_filled_outlined,
    'apps_filled_sharp': apps_filled_sharp,
    'apps_filled': apps_filled,
    'apps_outage_filled_outlined': apps_outage_filled_outlined,
    'apps_outage_filled_sharp': apps_outage_filled_sharp,
    'apps_outage_filled': apps_outage_filled,
    'apps_outage_outlined': apps_outage_outlined,
    'apps_outage_sharp': apps_outage_sharp,
    'apps_outage': apps_outage,
    'apps_outlined': apps_outlined,
    'apps_sharp': apps_sharp,
    'apps': apps,
    'architecture_filled_outlined': architecture_filled_outlined,
    'architecture_filled_sharp': architecture_filled_sharp,
    'architecture_filled': architecture_filled,
    'architecture_outlined': architecture_outlined,
    'architecture_sharp': architecture_sharp,
    'architecture': architecture,
    'archive_filled_outlined': archive_filled_outlined,
    'archive_filled_sharp': archive_filled_sharp,
    'archive_filled': archive_filled,
    'archive_outlined': archive_outlined,
    'archive_sharp': archive_sharp,
    'archive': archive,
    'area_chart_filled_outlined': area_chart_filled_outlined,
    'area_chart_filled_sharp': area_chart_filled_sharp,
    'area_chart_filled': area_chart_filled,
    'area_chart_outlined': area_chart_outlined,
    'area_chart_sharp': area_chart_sharp,
    'area_chart': area_chart,
    'arming_countdown_filled_outlined': arming_countdown_filled_outlined,
    'arming_countdown_filled_sharp': arming_countdown_filled_sharp,
    'arming_countdown_filled': arming_countdown_filled,
    'arming_countdown_outlined': arming_countdown_outlined,
    'arming_countdown_sharp': arming_countdown_sharp,
    'arming_countdown': arming_countdown,
    'arrow_back_filled_outlined': arrow_back_filled_outlined,
    'arrow_back_filled_sharp': arrow_back_filled_sharp,
    'arrow_back_filled': arrow_back_filled,
    'arrow_back_ios_filled_outlined': arrow_back_ios_filled_outlined,
    'arrow_back_ios_filled_sharp': arrow_back_ios_filled_sharp,
    'arrow_back_ios_filled': arrow_back_ios_filled,
    'arrow_back_ios_new_filled_outlined': arrow_back_ios_new_filled_outlined,
    'arrow_back_ios_new_filled_sharp': arrow_back_ios_new_filled_sharp,
    'arrow_back_ios_new_filled': arrow_back_ios_new_filled,
    'arrow_back_ios_new_outlined': arrow_back_ios_new_outlined,
    'arrow_back_ios_new_sharp': arrow_back_ios_new_sharp,
    'arrow_back_ios_new': arrow_back_ios_new,
    'arrow_back_ios_outlined': arrow_back_ios_outlined,
    'arrow_back_ios_sharp': arrow_back_ios_sharp,
    'arrow_back_ios': arrow_back_ios,
    'arrow_back_outlined': arrow_back_outlined,
    'arrow_back_sharp': arrow_back_sharp,
    'arrow_back': arrow_back,
    'arrow_circle_down_filled_outlined': arrow_circle_down_filled_outlined,
    'arrow_circle_down_filled_sharp': arrow_circle_down_filled_sharp,
    'arrow_circle_down_filled': arrow_circle_down_filled,
    'arrow_circle_down_outlined': arrow_circle_down_outlined,
    'arrow_circle_down_sharp': arrow_circle_down_sharp,
    'arrow_circle_down': arrow_circle_down,
    'arrow_circle_left_filled_outlined': arrow_circle_left_filled_outlined,
    'arrow_circle_left_filled_sharp': arrow_circle_left_filled_sharp,
    'arrow_circle_left_filled': arrow_circle_left_filled,
    'arrow_circle_left_outlined': arrow_circle_left_outlined,
    'arrow_circle_left_sharp': arrow_circle_left_sharp,
    'arrow_circle_left': arrow_circle_left,
    'arrow_circle_right_filled_outlined': arrow_circle_right_filled_outlined,
    'arrow_circle_right_filled_sharp': arrow_circle_right_filled_sharp,
    'arrow_circle_right_filled': arrow_circle_right_filled,
    'arrow_circle_right_outlined': arrow_circle_right_outlined,
    'arrow_circle_right_sharp': arrow_circle_right_sharp,
    'arrow_circle_right': arrow_circle_right,
    'arrow_circle_up_filled_outlined': arrow_circle_up_filled_outlined,
    'arrow_circle_up_filled_sharp': arrow_circle_up_filled_sharp,
    'arrow_circle_up_filled': arrow_circle_up_filled,
    'arrow_circle_up_outlined': arrow_circle_up_outlined,
    'arrow_circle_up_sharp': arrow_circle_up_sharp,
    'arrow_circle_up': arrow_circle_up,
    'arrow_downward_filled_outlined': arrow_downward_filled_outlined,
    'arrow_downward_filled_sharp': arrow_downward_filled_sharp,
    'arrow_downward_filled': arrow_downward_filled,
    'arrow_downward_outlined': arrow_downward_outlined,
    'arrow_downward_sharp': arrow_downward_sharp,
    'arrow_downward': arrow_downward,
    'arrow_drop_down_circle_filled_outlined':
        arrow_drop_down_circle_filled_outlined,
    'arrow_drop_down_circle_filled_sharp': arrow_drop_down_circle_filled_sharp,
    'arrow_drop_down_circle_filled': arrow_drop_down_circle_filled,
    'arrow_drop_down_circle_outlined': arrow_drop_down_circle_outlined,
    'arrow_drop_down_circle_sharp': arrow_drop_down_circle_sharp,
    'arrow_drop_down_circle': arrow_drop_down_circle,
    'arrow_drop_down_filled_outlined': arrow_drop_down_filled_outlined,
    'arrow_drop_down_filled_sharp': arrow_drop_down_filled_sharp,
    'arrow_drop_down_filled': arrow_drop_down_filled,
    'arrow_drop_down_outlined': arrow_drop_down_outlined,
    'arrow_drop_down_sharp': arrow_drop_down_sharp,
    'arrow_drop_down': arrow_drop_down,
    'arrow_drop_up_filled_outlined': arrow_drop_up_filled_outlined,
    'arrow_drop_up_filled_sharp': arrow_drop_up_filled_sharp,
    'arrow_drop_up_filled': arrow_drop_up_filled,
    'arrow_drop_up_outlined': arrow_drop_up_outlined,
    'arrow_drop_up_sharp': arrow_drop_up_sharp,
    'arrow_drop_up': arrow_drop_up,
    'arrow_forward_filled_outlined': arrow_forward_filled_outlined,
    'arrow_forward_filled_sharp': arrow_forward_filled_sharp,
    'arrow_forward_filled': arrow_forward_filled,
    'arrow_forward_ios_filled_outlined': arrow_forward_ios_filled_outlined,
    'arrow_forward_ios_filled_sharp': arrow_forward_ios_filled_sharp,
    'arrow_forward_ios_filled': arrow_forward_ios_filled,
    'arrow_forward_ios_outlined': arrow_forward_ios_outlined,
    'arrow_forward_ios_sharp': arrow_forward_ios_sharp,
    'arrow_forward_ios': arrow_forward_ios,
    'arrow_forward_outlined': arrow_forward_outlined,
    'arrow_forward_sharp': arrow_forward_sharp,
    'arrow_forward': arrow_forward,
    'arrow_insert_filled_outlined': arrow_insert_filled_outlined,
    'arrow_insert_filled_sharp': arrow_insert_filled_sharp,
    'arrow_insert_filled': arrow_insert_filled,
    'arrow_insert_outlined': arrow_insert_outlined,
    'arrow_insert_sharp': arrow_insert_sharp,
    'arrow_insert': arrow_insert,
    'arrow_left_filled_outlined': arrow_left_filled_outlined,
    'arrow_left_filled_sharp': arrow_left_filled_sharp,
    'arrow_left_filled': arrow_left_filled,
    'arrow_left_outlined': arrow_left_outlined,
    'arrow_left_sharp': arrow_left_sharp,
    'arrow_left': arrow_left,
    'arrow_outward_filled_outlined': arrow_outward_filled_outlined,
    'arrow_outward_filled_sharp': arrow_outward_filled_sharp,
    'arrow_outward_filled': arrow_outward_filled,
    'arrow_outward_outlined': arrow_outward_outlined,
    'arrow_outward_sharp': arrow_outward_sharp,
    'arrow_outward': arrow_outward,
    'arrow_right_alt_filled_outlined': arrow_right_alt_filled_outlined,
    'arrow_right_alt_filled_sharp': arrow_right_alt_filled_sharp,
    'arrow_right_alt_filled': arrow_right_alt_filled,
    'arrow_right_alt_outlined': arrow_right_alt_outlined,
    'arrow_right_alt_sharp': arrow_right_alt_sharp,
    'arrow_right_alt': arrow_right_alt,
    'arrow_right_filled_outlined': arrow_right_filled_outlined,
    'arrow_right_filled_sharp': arrow_right_filled_sharp,
    'arrow_right_filled': arrow_right_filled,
    'arrow_right_outlined': arrow_right_outlined,
    'arrow_right_sharp': arrow_right_sharp,
    'arrow_right': arrow_right,
    'arrow_selector_tool_filled_outlined': arrow_selector_tool_filled_outlined,
    'arrow_selector_tool_filled_sharp': arrow_selector_tool_filled_sharp,
    'arrow_selector_tool_filled': arrow_selector_tool_filled,
    'arrow_selector_tool_outlined': arrow_selector_tool_outlined,
    'arrow_selector_tool_sharp': arrow_selector_tool_sharp,
    'arrow_selector_tool': arrow_selector_tool,
    'arrow_upward_filled_outlined': arrow_upward_filled_outlined,
    'arrow_upward_filled_sharp': arrow_upward_filled_sharp,
    'arrow_upward_filled': arrow_upward_filled,
    'arrow_upward_outlined': arrow_upward_outlined,
    'arrow_upward_sharp': arrow_upward_sharp,
    'arrow_upward': arrow_upward,
    'arrows_more_down_filled_outlined': arrows_more_down_filled_outlined,
    'arrows_more_down_filled_sharp': arrows_more_down_filled_sharp,
    'arrows_more_down_filled': arrows_more_down_filled,
    'arrows_more_down_outlined': arrows_more_down_outlined,
    'arrows_more_down_sharp': arrows_more_down_sharp,
    'arrows_more_down': arrows_more_down,
    'arrows_more_up_filled_outlined': arrows_more_up_filled_outlined,
    'arrows_more_up_filled_sharp': arrows_more_up_filled_sharp,
    'arrows_more_up_filled': arrows_more_up_filled,
    'arrows_more_up_outlined': arrows_more_up_outlined,
    'arrows_more_up_sharp': arrows_more_up_sharp,
    'arrows_more_up': arrows_more_up,
    'art_track_filled_outlined': art_track_filled_outlined,
    'art_track_filled_sharp': art_track_filled_sharp,
    'art_track_filled': art_track_filled,
    'art_track_outlined': art_track_outlined,
    'art_track_sharp': art_track_sharp,
    'art_track': art_track,
    'article_filled_outlined': article_filled_outlined,
    'article_filled_sharp': article_filled_sharp,
    'article_filled': article_filled,
    'article_outlined': article_outlined,
    'article_sharp': article_sharp,
    'article': article,
    'aspect_ratio_filled_outlined': aspect_ratio_filled_outlined,
    'aspect_ratio_filled_sharp': aspect_ratio_filled_sharp,
    'aspect_ratio_filled': aspect_ratio_filled,
    'aspect_ratio_outlined': aspect_ratio_outlined,
    'aspect_ratio_sharp': aspect_ratio_sharp,
    'aspect_ratio': aspect_ratio,
    'assignment_add_filled_outlined': assignment_add_filled_outlined,
    'assignment_add_filled_sharp': assignment_add_filled_sharp,
    'assignment_add_filled': assignment_add_filled,
    'assignment_add_outlined': assignment_add_outlined,
    'assignment_add_sharp': assignment_add_sharp,
    'assignment_add': assignment_add,
    'assignment_filled_outlined': assignment_filled_outlined,
    'assignment_filled_sharp': assignment_filled_sharp,
    'assignment_filled': assignment_filled,
    'assignment_ind_filled_outlined': assignment_ind_filled_outlined,
    'assignment_ind_filled_sharp': assignment_ind_filled_sharp,
    'assignment_ind_filled': assignment_ind_filled,
    'assignment_ind_outlined': assignment_ind_outlined,
    'assignment_ind_sharp': assignment_ind_sharp,
    'assignment_ind': assignment_ind,
    'assignment_late_filled_outlined': assignment_late_filled_outlined,
    'assignment_late_filled_sharp': assignment_late_filled_sharp,
    'assignment_late_filled': assignment_late_filled,
    'assignment_late_outlined': assignment_late_outlined,
    'assignment_late_sharp': assignment_late_sharp,
    'assignment_late': assignment_late,
    'assignment_outlined': assignment_outlined,
    'assignment_return_filled_outlined': assignment_return_filled_outlined,
    'assignment_return_filled_sharp': assignment_return_filled_sharp,
    'assignment_return_filled': assignment_return_filled,
    'assignment_return_outlined': assignment_return_outlined,
    'assignment_return_sharp': assignment_return_sharp,
    'assignment_return': assignment_return,
    'assignment_returned_filled_outlined': assignment_returned_filled_outlined,
    'assignment_returned_filled_sharp': assignment_returned_filled_sharp,
    'assignment_returned_filled': assignment_returned_filled,
    'assignment_returned_outlined': assignment_returned_outlined,
    'assignment_returned_sharp': assignment_returned_sharp,
    'assignment_returned': assignment_returned,
    'assignment_sharp': assignment_sharp,
    'assignment_turned_in_filled_outlined':
        assignment_turned_in_filled_outlined,
    'assignment_turned_in_filled_sharp': assignment_turned_in_filled_sharp,
    'assignment_turned_in_filled': assignment_turned_in_filled,
    'assignment_turned_in_outlined': assignment_turned_in_outlined,
    'assignment_turned_in_sharp': assignment_turned_in_sharp,
    'assignment_turned_in': assignment_turned_in,
    'assignment': assignment,
    'assist_walker_filled_outlined': assist_walker_filled_outlined,
    'assist_walker_filled_sharp': assist_walker_filled_sharp,
    'assist_walker_filled': assist_walker_filled,
    'assist_walker_outlined': assist_walker_outlined,
    'assist_walker_sharp': assist_walker_sharp,
    'assist_walker': assist_walker,
    'assistant_direction_filled_outlined': assistant_direction_filled_outlined,
    'assistant_direction_filled_sharp': assistant_direction_filled_sharp,
    'assistant_direction_filled': assistant_direction_filled,
    'assistant_direction_outlined': assistant_direction_outlined,
    'assistant_direction_sharp': assistant_direction_sharp,
    'assistant_direction': assistant_direction,
    'assistant_filled_outlined': assistant_filled_outlined,
    'assistant_filled_sharp': assistant_filled_sharp,
    'assistant_filled': assistant_filled,
    'assistant_navigation_filled_outlined':
        assistant_navigation_filled_outlined,
    'assistant_navigation_filled_sharp': assistant_navigation_filled_sharp,
    'assistant_navigation_filled': assistant_navigation_filled,
    'assistant_navigation_outlined': assistant_navigation_outlined,
    'assistant_navigation_sharp': assistant_navigation_sharp,
    'assistant_navigation': assistant_navigation,
    'assistant_outlined': assistant_outlined,
    'assistant_sharp': assistant_sharp,
    'assistant': assistant,
    'assured_workload_filled_outlined': assured_workload_filled_outlined,
    'assured_workload_filled_sharp': assured_workload_filled_sharp,
    'assured_workload_filled': assured_workload_filled,
    'assured_workload_outlined': assured_workload_outlined,
    'assured_workload_sharp': assured_workload_sharp,
    'assured_workload': assured_workload,
    'astrophotography_auto_filled_outlined':
        astrophotography_auto_filled_outlined,
    'astrophotography_auto_filled_sharp': astrophotography_auto_filled_sharp,
    'astrophotography_auto_filled': astrophotography_auto_filled,
    'astrophotography_auto_outlined': astrophotography_auto_outlined,
    'astrophotography_auto_sharp': astrophotography_auto_sharp,
    'astrophotography_auto': astrophotography_auto,
    'astrophotography_off_filled_outlined':
        astrophotography_off_filled_outlined,
    'astrophotography_off_filled_sharp': astrophotography_off_filled_sharp,
    'astrophotography_off_filled': astrophotography_off_filled,
    'astrophotography_off_outlined': astrophotography_off_outlined,
    'astrophotography_off_sharp': astrophotography_off_sharp,
    'astrophotography_off': astrophotography_off,
    'atm_filled_outlined': atm_filled_outlined,
    'atm_filled_sharp': atm_filled_sharp,
    'atm_filled': atm_filled,
    'atm_outlined': atm_outlined,
    'atm_sharp': atm_sharp,
    'atm': atm,
    'atr_filled_outlined': atr_filled_outlined,
    'atr_filled_sharp': atr_filled_sharp,
    'atr_filled': atr_filled,
    'atr_outlined': atr_outlined,
    'atr_sharp': atr_sharp,
    'atr': atr,
    'attach_email_filled_outlined': attach_email_filled_outlined,
    'attach_email_filled_sharp': attach_email_filled_sharp,
    'attach_email_filled': attach_email_filled,
    'attach_email_outlined': attach_email_outlined,
    'attach_email_sharp': attach_email_sharp,
    'attach_email': attach_email,
    'attach_file_add_filled_outlined': attach_file_add_filled_outlined,
    'attach_file_add_filled_sharp': attach_file_add_filled_sharp,
    'attach_file_add_filled': attach_file_add_filled,
    'attach_file_add_outlined': attach_file_add_outlined,
    'attach_file_add_sharp': attach_file_add_sharp,
    'attach_file_add': attach_file_add,
    'attach_file_filled_outlined': attach_file_filled_outlined,
    'attach_file_filled_sharp': attach_file_filled_sharp,
    'attach_file_filled': attach_file_filled,
    'attach_file_outlined': attach_file_outlined,
    'attach_file_sharp': attach_file_sharp,
    'attach_file': attach_file,
    'attach_money_filled_outlined': attach_money_filled_outlined,
    'attach_money_filled_sharp': attach_money_filled_sharp,
    'attach_money_filled': attach_money_filled,
    'attach_money_outlined': attach_money_outlined,
    'attach_money_sharp': attach_money_sharp,
    'attach_money': attach_money,
    'attachment_filled_outlined': attachment_filled_outlined,
    'attachment_filled_sharp': attachment_filled_sharp,
    'attachment_filled': attachment_filled,
    'attachment_outlined': attachment_outlined,
    'attachment_sharp': attachment_sharp,
    'attachment': attachment,
    'attractions_filled_outlined': attractions_filled_outlined,
    'attractions_filled_sharp': attractions_filled_sharp,
    'attractions_filled': attractions_filled,
    'attractions_outlined': attractions_outlined,
    'attractions_sharp': attractions_sharp,
    'attractions': attractions,
    'attribution_filled_outlined': attribution_filled_outlined,
    'attribution_filled_sharp': attribution_filled_sharp,
    'attribution_filled': attribution_filled,
    'attribution_outlined': attribution_outlined,
    'attribution_sharp': attribution_sharp,
    'attribution': attribution,
    'audio_file_filled_outlined': audio_file_filled_outlined,
    'audio_file_filled_sharp': audio_file_filled_sharp,
    'audio_file_filled': audio_file_filled,
    'audio_file_outlined': audio_file_outlined,
    'audio_file_sharp': audio_file_sharp,
    'audio_file': audio_file,
    'auto_activity_zone_filled_outlined': auto_activity_zone_filled_outlined,
    'auto_activity_zone_filled_sharp': auto_activity_zone_filled_sharp,
    'auto_activity_zone_filled': auto_activity_zone_filled,
    'auto_activity_zone_outlined': auto_activity_zone_outlined,
    'auto_activity_zone_sharp': auto_activity_zone_sharp,
    'auto_activity_zone': auto_activity_zone,
    'auto_awesome_filled_outlined': auto_awesome_filled_outlined,
    'auto_awesome_filled_sharp': auto_awesome_filled_sharp,
    'auto_awesome_filled': auto_awesome_filled,
    'auto_awesome_mosaic_filled_outlined': auto_awesome_mosaic_filled_outlined,
    'auto_awesome_mosaic_filled_sharp': auto_awesome_mosaic_filled_sharp,
    'auto_awesome_mosaic_filled': auto_awesome_mosaic_filled,
    'auto_awesome_mosaic_outlined': auto_awesome_mosaic_outlined,
    'auto_awesome_mosaic_sharp': auto_awesome_mosaic_sharp,
    'auto_awesome_mosaic': auto_awesome_mosaic,
    'auto_awesome_motion_filled_outlined': auto_awesome_motion_filled_outlined,
    'auto_awesome_motion_filled_sharp': auto_awesome_motion_filled_sharp,
    'auto_awesome_motion_filled': auto_awesome_motion_filled,
    'auto_awesome_motion_outlined': auto_awesome_motion_outlined,
    'auto_awesome_motion_sharp': auto_awesome_motion_sharp,
    'auto_awesome_motion': auto_awesome_motion,
    'auto_awesome_outlined': auto_awesome_outlined,
    'auto_awesome_sharp': auto_awesome_sharp,
    'auto_awesome': auto_awesome,
    'auto_delete_filled_outlined': auto_delete_filled_outlined,
    'auto_delete_filled_sharp': auto_delete_filled_sharp,
    'auto_delete_filled': auto_delete_filled,
    'auto_delete_outlined': auto_delete_outlined,
    'auto_delete_sharp': auto_delete_sharp,
    'auto_delete': auto_delete,
    'auto_detect_voice_filled_outlined': auto_detect_voice_filled_outlined,
    'auto_detect_voice_filled_sharp': auto_detect_voice_filled_sharp,
    'auto_detect_voice_filled': auto_detect_voice_filled,
    'auto_detect_voice_outlined': auto_detect_voice_outlined,
    'auto_detect_voice_sharp': auto_detect_voice_sharp,
    'auto_detect_voice': auto_detect_voice,
    'auto_fix_filled_outlined': auto_fix_filled_outlined,
    'auto_fix_filled_sharp': auto_fix_filled_sharp,
    'auto_fix_filled': auto_fix_filled,
    'auto_fix_high_filled_outlined': auto_fix_high_filled_outlined,
    'auto_fix_high_filled_sharp': auto_fix_high_filled_sharp,
    'auto_fix_high_filled': auto_fix_high_filled,
    'auto_fix_high_outlined': auto_fix_high_outlined,
    'auto_fix_high_sharp': auto_fix_high_sharp,
    'auto_fix_high': auto_fix_high,
    'auto_fix_normal_filled_outlined': auto_fix_normal_filled_outlined,
    'auto_fix_normal_filled_sharp': auto_fix_normal_filled_sharp,
    'auto_fix_normal_filled': auto_fix_normal_filled,
    'auto_fix_normal_outlined': auto_fix_normal_outlined,
    'auto_fix_normal_sharp': auto_fix_normal_sharp,
    'auto_fix_normal': auto_fix_normal,
    'auto_fix_off_filled_outlined': auto_fix_off_filled_outlined,
    'auto_fix_off_filled_sharp': auto_fix_off_filled_sharp,
    'auto_fix_off_filled': auto_fix_off_filled,
    'auto_fix_off_outlined': auto_fix_off_outlined,
    'auto_fix_off_sharp': auto_fix_off_sharp,
    'auto_fix_off': auto_fix_off,
    'auto_fix_outlined': auto_fix_outlined,
    'auto_fix_sharp': auto_fix_sharp,
    'auto_fix': auto_fix,
    'auto_graph_filled_outlined': auto_graph_filled_outlined,
    'auto_graph_filled_sharp': auto_graph_filled_sharp,
    'auto_graph_filled': auto_graph_filled,
    'auto_graph_outlined': auto_graph_outlined,
    'auto_graph_sharp': auto_graph_sharp,
    'auto_graph': auto_graph,
    'auto_mode_filled_outlined': auto_mode_filled_outlined,
    'auto_mode_filled_sharp': auto_mode_filled_sharp,
    'auto_mode_filled': auto_mode_filled,
    'auto_mode_outlined': auto_mode_outlined,
    'auto_mode_sharp': auto_mode_sharp,
    'auto_mode': auto_mode,
    'auto_read_pause_filled_outlined': auto_read_pause_filled_outlined,
    'auto_read_pause_filled_sharp': auto_read_pause_filled_sharp,
    'auto_read_pause_filled': auto_read_pause_filled,
    'auto_read_pause_outlined': auto_read_pause_outlined,
    'auto_read_pause_sharp': auto_read_pause_sharp,
    'auto_read_pause': auto_read_pause,
    'auto_read_play_filled_outlined': auto_read_play_filled_outlined,
    'auto_read_play_filled_sharp': auto_read_play_filled_sharp,
    'auto_read_play_filled': auto_read_play_filled,
    'auto_read_play_outlined': auto_read_play_outlined,
    'auto_read_play_sharp': auto_read_play_sharp,
    'auto_read_play': auto_read_play,
    'auto_schedule_filled_outlined': auto_schedule_filled_outlined,
    'auto_schedule_filled_sharp': auto_schedule_filled_sharp,
    'auto_schedule_filled': auto_schedule_filled,
    'auto_schedule_outlined': auto_schedule_outlined,
    'auto_schedule_sharp': auto_schedule_sharp,
    'auto_schedule': auto_schedule,
    'auto_stories_filled_outlined': auto_stories_filled_outlined,
    'auto_stories_filled_sharp': auto_stories_filled_sharp,
    'auto_stories_filled': auto_stories_filled,
    'auto_stories_outlined': auto_stories_outlined,
    'auto_stories_sharp': auto_stories_sharp,
    'auto_stories': auto_stories,
    'autofps_select_filled_outlined': autofps_select_filled_outlined,
    'autofps_select_filled_sharp': autofps_select_filled_sharp,
    'autofps_select_filled': autofps_select_filled,
    'autofps_select_outlined': autofps_select_outlined,
    'autofps_select_sharp': autofps_select_sharp,
    'autofps_select': autofps_select,
    'autopay_filled_outlined': autopay_filled_outlined,
    'autopay_filled_sharp': autopay_filled_sharp,
    'autopay_filled': autopay_filled,
    'autopay_outlined': autopay_outlined,
    'autopay_sharp': autopay_sharp,
    'autopay': autopay,
    'autorenew_filled_outlined': autorenew_filled_outlined,
    'autorenew_filled_sharp': autorenew_filled_sharp,
    'autorenew_filled': autorenew_filled,
    'autorenew_outlined': autorenew_outlined,
    'autorenew_sharp': autorenew_sharp,
    'autorenew': autorenew,
    'av_timer_filled_outlined': av_timer_filled_outlined,
    'av_timer_filled_sharp': av_timer_filled_sharp,
    'av_timer_filled': av_timer_filled,
    'av_timer_outlined': av_timer_outlined,
    'av_timer_sharp': av_timer_sharp,
    'av_timer': av_timer,
    'avg_time_filled_outlined': avg_time_filled_outlined,
    'avg_time_filled_sharp': avg_time_filled_sharp,
    'avg_time_filled': avg_time_filled,
    'avg_time_outlined': avg_time_outlined,
    'avg_time_sharp': avg_time_sharp,
    'avg_time': avg_time,
    'baby_changing_station_filled_outlined':
        baby_changing_station_filled_outlined,
    'baby_changing_station_filled_sharp': baby_changing_station_filled_sharp,
    'baby_changing_station_filled': baby_changing_station_filled,
    'baby_changing_station_outlined': baby_changing_station_outlined,
    'baby_changing_station_sharp': baby_changing_station_sharp,
    'baby_changing_station': baby_changing_station,
    'back_hand_filled_outlined': back_hand_filled_outlined,
    'back_hand_filled_sharp': back_hand_filled_sharp,
    'back_hand_filled': back_hand_filled,
    'back_hand_outlined': back_hand_outlined,
    'back_hand_sharp': back_hand_sharp,
    'back_hand': back_hand,
    'background_replace_filled_outlined': background_replace_filled_outlined,
    'background_replace_filled_sharp': background_replace_filled_sharp,
    'background_replace_filled': background_replace_filled,
    'background_replace_outlined': background_replace_outlined,
    'background_replace_sharp': background_replace_sharp,
    'background_replace': background_replace,
    'backpack_filled_outlined': backpack_filled_outlined,
    'backpack_filled_sharp': backpack_filled_sharp,
    'backpack_filled': backpack_filled,
    'backpack_outlined': backpack_outlined,
    'backpack_sharp': backpack_sharp,
    'backpack': backpack,
    'backspace_filled_outlined': backspace_filled_outlined,
    'backspace_filled_sharp': backspace_filled_sharp,
    'backspace_filled': backspace_filled,
    'backspace_outlined': backspace_outlined,
    'backspace_sharp': backspace_sharp,
    'backspace': backspace,
    'backup_filled_outlined': backup_filled_outlined,
    'backup_filled_sharp': backup_filled_sharp,
    'backup_filled': backup_filled,
    'backup_outlined': backup_outlined,
    'backup_sharp': backup_sharp,
    'backup_table_filled_outlined': backup_table_filled_outlined,
    'backup_table_filled_sharp': backup_table_filled_sharp,
    'backup_table_filled': backup_table_filled,
    'backup_table_outlined': backup_table_outlined,
    'backup_table_sharp': backup_table_sharp,
    'backup_table': backup_table,
    'backup': backup,
    'badge_critical_battery_filled_outlined':
        badge_critical_battery_filled_outlined,
    'badge_critical_battery_filled_sharp': badge_critical_battery_filled_sharp,
    'badge_critical_battery_filled': badge_critical_battery_filled,
    'badge_critical_battery_outlined': badge_critical_battery_outlined,
    'badge_critical_battery_sharp': badge_critical_battery_sharp,
    'badge_critical_battery': badge_critical_battery,
    'badge_filled_outlined': badge_filled_outlined,
    'badge_filled_sharp': badge_filled_sharp,
    'badge_filled': badge_filled,
    'badge_outlined': badge_outlined,
    'badge_sharp': badge_sharp,
    'badge': badge,
    'bakery_dining_filled_outlined': bakery_dining_filled_outlined,
    'bakery_dining_filled_sharp': bakery_dining_filled_sharp,
    'bakery_dining_filled': bakery_dining_filled,
    'bakery_dining_outlined': bakery_dining_outlined,
    'bakery_dining_sharp': bakery_dining_sharp,
    'bakery_dining': bakery_dining,
    'balance_filled_outlined': balance_filled_outlined,
    'balance_filled_sharp': balance_filled_sharp,
    'balance_filled': balance_filled,
    'balance_outlined': balance_outlined,
    'balance_sharp': balance_sharp,
    'balance': balance,
    'balcony_filled_outlined': balcony_filled_outlined,
    'balcony_filled_sharp': balcony_filled_sharp,
    'balcony_filled': balcony_filled,
    'balcony_outlined': balcony_outlined,
    'balcony_sharp': balcony_sharp,
    'balcony': balcony,
    'ballot_filled_outlined': ballot_filled_outlined,
    'ballot_filled_sharp': ballot_filled_sharp,
    'ballot_filled': ballot_filled,
    'ballot_outlined': ballot_outlined,
    'ballot_sharp': ballot_sharp,
    'ballot': ballot,
    'bar_chart_filled_outlined': bar_chart_filled_outlined,
    'bar_chart_filled_sharp': bar_chart_filled_sharp,
    'bar_chart_filled': bar_chart_filled,
    'bar_chart_outlined': bar_chart_outlined,
    'bar_chart_sharp': bar_chart_sharp,
    'bar_chart': bar_chart,
    'barcode_filled_outlined': barcode_filled_outlined,
    'barcode_filled_sharp': barcode_filled_sharp,
    'barcode_filled': barcode_filled,
    'barcode_outlined': barcode_outlined,
    'barcode_reader_filled_outlined': barcode_reader_filled_outlined,
    'barcode_reader_filled_sharp': barcode_reader_filled_sharp,
    'barcode_reader_filled': barcode_reader_filled,
    'barcode_reader_outlined': barcode_reader_outlined,
    'barcode_reader_sharp': barcode_reader_sharp,
    'barcode_reader': barcode_reader,
    'barcode_scanner_filled_outlined': barcode_scanner_filled_outlined,
    'barcode_scanner_filled_sharp': barcode_scanner_filled_sharp,
    'barcode_scanner_filled': barcode_scanner_filled,
    'barcode_scanner_outlined': barcode_scanner_outlined,
    'barcode_scanner_sharp': barcode_scanner_sharp,
    'barcode_scanner': barcode_scanner,
    'barcode_sharp': barcode_sharp,
    'barcode': barcode,
    'barefoot_filled_outlined': barefoot_filled_outlined,
    'barefoot_filled_sharp': barefoot_filled_sharp,
    'barefoot_filled': barefoot_filled,
    'barefoot_outlined': barefoot_outlined,
    'barefoot_sharp': barefoot_sharp,
    'barefoot': barefoot,
    'batch_prediction_filled_outlined': batch_prediction_filled_outlined,
    'batch_prediction_filled_sharp': batch_prediction_filled_sharp,
    'batch_prediction_filled': batch_prediction_filled,
    'batch_prediction_outlined': batch_prediction_outlined,
    'batch_prediction_sharp': batch_prediction_sharp,
    'batch_prediction': batch_prediction,
    'bathroom_filled_outlined': bathroom_filled_outlined,
    'bathroom_filled_sharp': bathroom_filled_sharp,
    'bathroom_filled': bathroom_filled,
    'bathroom_outlined': bathroom_outlined,
    'bathroom_sharp': bathroom_sharp,
    'bathroom': bathroom,
    'bathtub_filled_outlined': bathtub_filled_outlined,
    'bathtub_filled_sharp': bathtub_filled_sharp,
    'bathtub_filled': bathtub_filled,
    'bathtub_outlined': bathtub_outlined,
    'bathtub_sharp': bathtub_sharp,
    'bathtub': bathtub,
    'battery_0_bar_filled_outlined': battery_0_bar_filled_outlined,
    'battery_0_bar_filled_sharp': battery_0_bar_filled_sharp,
    'battery_0_bar_filled': battery_0_bar_filled,
    'battery_0_bar_outlined': battery_0_bar_outlined,
    'battery_0_bar_sharp': battery_0_bar_sharp,
    'battery_0_bar': battery_0_bar,
    'battery_1_bar_filled_outlined': battery_1_bar_filled_outlined,
    'battery_1_bar_filled_sharp': battery_1_bar_filled_sharp,
    'battery_1_bar_filled': battery_1_bar_filled,
    'battery_1_bar_outlined': battery_1_bar_outlined,
    'battery_1_bar_sharp': battery_1_bar_sharp,
    'battery_1_bar': battery_1_bar,
    'battery_2_bar_filled_outlined': battery_2_bar_filled_outlined,
    'battery_2_bar_filled_sharp': battery_2_bar_filled_sharp,
    'battery_2_bar_filled': battery_2_bar_filled,
    'battery_2_bar_outlined': battery_2_bar_outlined,
    'battery_2_bar_sharp': battery_2_bar_sharp,
    'battery_2_bar': battery_2_bar,
    'battery_20_filled_outlined': battery_20_filled_outlined,
    'battery_20_filled_sharp': battery_20_filled_sharp,
    'battery_20_filled': battery_20_filled,
    'battery_20_outlined': battery_20_outlined,
    'battery_20_sharp': battery_20_sharp,
    'battery_20': battery_20,
    'battery_3_bar_filled_outlined': battery_3_bar_filled_outlined,
    'battery_3_bar_filled_sharp': battery_3_bar_filled_sharp,
    'battery_3_bar_filled': battery_3_bar_filled,
    'battery_3_bar_outlined': battery_3_bar_outlined,
    'battery_3_bar_sharp': battery_3_bar_sharp,
    'battery_3_bar': battery_3_bar,
    'battery_30_filled_outlined': battery_30_filled_outlined,
    'battery_30_filled_sharp': battery_30_filled_sharp,
    'battery_30_filled': battery_30_filled,
    'battery_30_outlined': battery_30_outlined,
    'battery_30_sharp': battery_30_sharp,
    'battery_30': battery_30,
    'battery_4_bar_filled_outlined': battery_4_bar_filled_outlined,
    'battery_4_bar_filled_sharp': battery_4_bar_filled_sharp,
    'battery_4_bar_filled': battery_4_bar_filled,
    'battery_4_bar_outlined': battery_4_bar_outlined,
    'battery_4_bar_sharp': battery_4_bar_sharp,
    'battery_4_bar': battery_4_bar,
    'battery_5_bar_filled_outlined': battery_5_bar_filled_outlined,
    'battery_5_bar_filled_sharp': battery_5_bar_filled_sharp,
    'battery_5_bar_filled': battery_5_bar_filled,
    'battery_5_bar_outlined': battery_5_bar_outlined,
    'battery_5_bar_sharp': battery_5_bar_sharp,
    'battery_5_bar': battery_5_bar,
    'battery_50_filled_outlined': battery_50_filled_outlined,
    'battery_50_filled_sharp': battery_50_filled_sharp,
    'battery_50_filled': battery_50_filled,
    'battery_50_outlined': battery_50_outlined,
    'battery_50_sharp': battery_50_sharp,
    'battery_50': battery_50,
    'battery_6_bar_filled_outlined': battery_6_bar_filled_outlined,
    'battery_6_bar_filled_sharp': battery_6_bar_filled_sharp,
    'battery_6_bar_filled': battery_6_bar_filled,
    'battery_6_bar_outlined': battery_6_bar_outlined,
    'battery_6_bar_sharp': battery_6_bar_sharp,
    'battery_6_bar': battery_6_bar,
    'battery_60_filled_outlined': battery_60_filled_outlined,
    'battery_60_filled_sharp': battery_60_filled_sharp,
    'battery_60_filled': battery_60_filled,
    'battery_60_outlined': battery_60_outlined,
    'battery_60_sharp': battery_60_sharp,
    'battery_60': battery_60,
    'battery_80_filled_outlined': battery_80_filled_outlined,
    'battery_80_filled_sharp': battery_80_filled_sharp,
    'battery_80_filled': battery_80_filled,
    'battery_80_outlined': battery_80_outlined,
    'battery_80_sharp': battery_80_sharp,
    'battery_80': battery_80,
    'battery_90_filled_outlined': battery_90_filled_outlined,
    'battery_90_filled_sharp': battery_90_filled_sharp,
    'battery_90_filled': battery_90_filled,
    'battery_90_outlined': battery_90_outlined,
    'battery_90_sharp': battery_90_sharp,
    'battery_90': battery_90,
    'battery_alert_filled_outlined': battery_alert_filled_outlined,
    'battery_alert_filled_sharp': battery_alert_filled_sharp,
    'battery_alert_filled': battery_alert_filled,
    'battery_alert_outlined': battery_alert_outlined,
    'battery_alert_sharp': battery_alert_sharp,
    'battery_alert': battery_alert,
    'battery_charging_20_filled_outlined': battery_charging_20_filled_outlined,
    'battery_charging_20_filled_sharp': battery_charging_20_filled_sharp,
    'battery_charging_20_filled': battery_charging_20_filled,
    'battery_charging_20_outlined': battery_charging_20_outlined,
    'battery_charging_20_sharp': battery_charging_20_sharp,
    'battery_charging_20': battery_charging_20,
    'battery_charging_30_filled_outlined': battery_charging_30_filled_outlined,
    'battery_charging_30_filled_sharp': battery_charging_30_filled_sharp,
    'battery_charging_30_filled': battery_charging_30_filled,
    'battery_charging_30_outlined': battery_charging_30_outlined,
    'battery_charging_30_sharp': battery_charging_30_sharp,
    'battery_charging_30': battery_charging_30,
    'battery_charging_50_filled_outlined': battery_charging_50_filled_outlined,
    'battery_charging_50_filled_sharp': battery_charging_50_filled_sharp,
    'battery_charging_50_filled': battery_charging_50_filled,
    'battery_charging_50_outlined': battery_charging_50_outlined,
    'battery_charging_50_sharp': battery_charging_50_sharp,
    'battery_charging_50': battery_charging_50,
    'battery_charging_60_filled_outlined': battery_charging_60_filled_outlined,
    'battery_charging_60_filled_sharp': battery_charging_60_filled_sharp,
    'battery_charging_60_filled': battery_charging_60_filled,
    'battery_charging_60_outlined': battery_charging_60_outlined,
    'battery_charging_60_sharp': battery_charging_60_sharp,
    'battery_charging_60': battery_charging_60,
    'battery_charging_80_filled_outlined': battery_charging_80_filled_outlined,
    'battery_charging_80_filled_sharp': battery_charging_80_filled_sharp,
    'battery_charging_80_filled': battery_charging_80_filled,
    'battery_charging_80_outlined': battery_charging_80_outlined,
    'battery_charging_80_sharp': battery_charging_80_sharp,
    'battery_charging_80': battery_charging_80,
    'battery_charging_90_filled_outlined': battery_charging_90_filled_outlined,
    'battery_charging_90_filled_sharp': battery_charging_90_filled_sharp,
    'battery_charging_90_filled': battery_charging_90_filled,
    'battery_charging_90_outlined': battery_charging_90_outlined,
    'battery_charging_90_sharp': battery_charging_90_sharp,
    'battery_charging_90': battery_charging_90,
    'battery_charging_full_filled_outlined':
        battery_charging_full_filled_outlined,
    'battery_charging_full_filled_sharp': battery_charging_full_filled_sharp,
    'battery_charging_full_filled': battery_charging_full_filled,
    'battery_charging_full_outlined': battery_charging_full_outlined,
    'battery_charging_full_sharp': battery_charging_full_sharp,
    'battery_charging_full': battery_charging_full,
    'battery_full_alt_filled_outlined': battery_full_alt_filled_outlined,
    'battery_full_alt_filled_sharp': battery_full_alt_filled_sharp,
    'battery_full_alt_filled': battery_full_alt_filled,
    'battery_full_alt_outlined': battery_full_alt_outlined,
    'battery_full_alt_sharp': battery_full_alt_sharp,
    'battery_full_alt': battery_full_alt,
    'battery_full_filled_outlined': battery_full_filled_outlined,
    'battery_full_filled_sharp': battery_full_filled_sharp,
    'battery_full_filled': battery_full_filled,
    'battery_full_outlined': battery_full_outlined,
    'battery_full_sharp': battery_full_sharp,
    'battery_full': battery_full,
    'battery_horiz_000_filled_outlined': battery_horiz_000_filled_outlined,
    'battery_horiz_000_filled_sharp': battery_horiz_000_filled_sharp,
    'battery_horiz_000_filled': battery_horiz_000_filled,
    'battery_horiz_000_outlined': battery_horiz_000_outlined,
    'battery_horiz_000_sharp': battery_horiz_000_sharp,
    'battery_horiz_000': battery_horiz_000,
    'battery_horiz_050_filled_outlined': battery_horiz_050_filled_outlined,
    'battery_horiz_050_filled_sharp': battery_horiz_050_filled_sharp,
    'battery_horiz_050_filled': battery_horiz_050_filled,
    'battery_horiz_050_outlined': battery_horiz_050_outlined,
    'battery_horiz_050_sharp': battery_horiz_050_sharp,
    'battery_horiz_050': battery_horiz_050,
    'battery_horiz_075_filled_outlined': battery_horiz_075_filled_outlined,
    'battery_horiz_075_filled_sharp': battery_horiz_075_filled_sharp,
    'battery_horiz_075_filled': battery_horiz_075_filled,
    'battery_horiz_075_outlined': battery_horiz_075_outlined,
    'battery_horiz_075_sharp': battery_horiz_075_sharp,
    'battery_horiz_075': battery_horiz_075,
    'battery_low_filled_outlined': battery_low_filled_outlined,
    'battery_low_filled_sharp': battery_low_filled_sharp,
    'battery_low_filled': battery_low_filled,
    'battery_low_outlined': battery_low_outlined,
    'battery_low_sharp': battery_low_sharp,
    'battery_low': battery_low,
    'battery_profile_filled_outlined': battery_profile_filled_outlined,
    'battery_profile_filled_sharp': battery_profile_filled_sharp,
    'battery_profile_filled': battery_profile_filled,
    'battery_profile_outlined': battery_profile_outlined,
    'battery_profile_sharp': battery_profile_sharp,
    'battery_profile': battery_profile,
    'battery_saver_filled_outlined': battery_saver_filled_outlined,
    'battery_saver_filled_sharp': battery_saver_filled_sharp,
    'battery_saver_filled': battery_saver_filled,
    'battery_saver_outlined': battery_saver_outlined,
    'battery_saver_sharp': battery_saver_sharp,
    'battery_saver': battery_saver,
    'battery_unknown_filled_outlined': battery_unknown_filled_outlined,
    'battery_unknown_filled_sharp': battery_unknown_filled_sharp,
    'battery_unknown_filled': battery_unknown_filled,
    'battery_unknown_outlined': battery_unknown_outlined,
    'battery_unknown_sharp': battery_unknown_sharp,
    'battery_unknown': battery_unknown,
    'battery_vert_005_filled_outlined': battery_vert_005_filled_outlined,
    'battery_vert_005_filled_sharp': battery_vert_005_filled_sharp,
    'battery_vert_005_filled': battery_vert_005_filled,
    'battery_vert_005_outlined': battery_vert_005_outlined,
    'battery_vert_005_sharp': battery_vert_005_sharp,
    'battery_vert_005': battery_vert_005,
    'battery_vert_020_filled_outlined': battery_vert_020_filled_outlined,
    'battery_vert_020_filled_sharp': battery_vert_020_filled_sharp,
    'battery_vert_020_filled': battery_vert_020_filled,
    'battery_vert_020_outlined': battery_vert_020_outlined,
    'battery_vert_020_sharp': battery_vert_020_sharp,
    'battery_vert_020': battery_vert_020,
    'battery_vert_050_filled_outlined': battery_vert_050_filled_outlined,
    'battery_vert_050_filled_sharp': battery_vert_050_filled_sharp,
    'battery_vert_050_filled': battery_vert_050_filled,
    'battery_vert_050_outlined': battery_vert_050_outlined,
    'battery_vert_050_sharp': battery_vert_050_sharp,
    'battery_vert_050': battery_vert_050,
    'battery_very_low_filled_outlined': battery_very_low_filled_outlined,
    'battery_very_low_filled_sharp': battery_very_low_filled_sharp,
    'battery_very_low_filled': battery_very_low_filled,
    'battery_very_low_outlined': battery_very_low_outlined,
    'battery_very_low_sharp': battery_very_low_sharp,
    'battery_very_low': battery_very_low,
    'beach_access_filled_outlined': beach_access_filled_outlined,
    'beach_access_filled_sharp': beach_access_filled_sharp,
    'beach_access_filled': beach_access_filled,
    'beach_access_outlined': beach_access_outlined,
    'beach_access_sharp': beach_access_sharp,
    'beach_access': beach_access,
    'bed_filled_outlined': bed_filled_outlined,
    'bed_filled_sharp': bed_filled_sharp,
    'bed_filled': bed_filled,
    'bed_outlined': bed_outlined,
    'bed_sharp': bed_sharp,
    'bed': bed,
    'bedroom_baby_filled_outlined': bedroom_baby_filled_outlined,
    'bedroom_baby_filled_sharp': bedroom_baby_filled_sharp,
    'bedroom_baby_filled': bedroom_baby_filled,
    'bedroom_baby_outlined': bedroom_baby_outlined,
    'bedroom_baby_sharp': bedroom_baby_sharp,
    'bedroom_baby': bedroom_baby,
    'bedroom_child_filled_outlined': bedroom_child_filled_outlined,
    'bedroom_child_filled_sharp': bedroom_child_filled_sharp,
    'bedroom_child_filled': bedroom_child_filled,
    'bedroom_child_outlined': bedroom_child_outlined,
    'bedroom_child_sharp': bedroom_child_sharp,
    'bedroom_child': bedroom_child,
    'bedroom_parent_filled_outlined': bedroom_parent_filled_outlined,
    'bedroom_parent_filled_sharp': bedroom_parent_filled_sharp,
    'bedroom_parent_filled': bedroom_parent_filled,
    'bedroom_parent_outlined': bedroom_parent_outlined,
    'bedroom_parent_sharp': bedroom_parent_sharp,
    'bedroom_parent': bedroom_parent,
    'bedtime_filled_outlined': bedtime_filled_outlined,
    'bedtime_filled_sharp': bedtime_filled_sharp,
    'bedtime_filled': bedtime_filled,
    'bedtime_off_filled_outlined': bedtime_off_filled_outlined,
    'bedtime_off_filled_sharp': bedtime_off_filled_sharp,
    'bedtime_off_filled': bedtime_off_filled,
    'bedtime_off_outlined': bedtime_off_outlined,
    'bedtime_off_sharp': bedtime_off_sharp,
    'bedtime_off': bedtime_off,
    'bedtime_outlined': bedtime_outlined,
    'bedtime_sharp': bedtime_sharp,
    'bedtime': bedtime,
    'beenhere_filled_outlined': beenhere_filled_outlined,
    'beenhere_filled_sharp': beenhere_filled_sharp,
    'beenhere_filled': beenhere_filled,
    'beenhere_outlined': beenhere_outlined,
    'beenhere_sharp': beenhere_sharp,
    'beenhere': beenhere,
    'bento_filled_outlined': bento_filled_outlined,
    'bento_filled_sharp': bento_filled_sharp,
    'bento_filled': bento_filled,
    'bento_outlined': bento_outlined,
    'bento_sharp': bento_sharp,
    'bento': bento,
    'bike_scooter_filled_outlined': bike_scooter_filled_outlined,
    'bike_scooter_filled_sharp': bike_scooter_filled_sharp,
    'bike_scooter_filled': bike_scooter_filled,
    'bike_scooter_outlined': bike_scooter_outlined,
    'bike_scooter_sharp': bike_scooter_sharp,
    'bike_scooter': bike_scooter,
    'biotech_filled_outlined': biotech_filled_outlined,
    'biotech_filled_sharp': biotech_filled_sharp,
    'biotech_filled': biotech_filled,
    'biotech_outlined': biotech_outlined,
    'biotech_sharp': biotech_sharp,
    'biotech': biotech,
    'blanket_filled_outlined': blanket_filled_outlined,
    'blanket_filled_sharp': blanket_filled_sharp,
    'blanket_filled': blanket_filled,
    'blanket_outlined': blanket_outlined,
    'blanket_sharp': blanket_sharp,
    'blanket': blanket,
    'blender_filled_outlined': blender_filled_outlined,
    'blender_filled_sharp': blender_filled_sharp,
    'blender_filled': blender_filled,
    'blender_outlined': blender_outlined,
    'blender_sharp': blender_sharp,
    'blender': blender,
    'blind_filled_outlined': blind_filled_outlined,
    'blind_filled_sharp': blind_filled_sharp,
    'blind_filled': blind_filled,
    'blind_outlined': blind_outlined,
    'blind_sharp': blind_sharp,
    'blind': blind,
    'blinds_closed_filled_outlined': blinds_closed_filled_outlined,
    'blinds_closed_filled_sharp': blinds_closed_filled_sharp,
    'blinds_closed_filled': blinds_closed_filled,
    'blinds_closed_outlined': blinds_closed_outlined,
    'blinds_closed_sharp': blinds_closed_sharp,
    'blinds_closed': blinds_closed,
    'blinds_filled_outlined': blinds_filled_outlined,
    'blinds_filled_sharp': blinds_filled_sharp,
    'blinds_filled': blinds_filled,
    'blinds_outlined': blinds_outlined,
    'blinds_sharp': blinds_sharp,
    'blinds': blinds,
    'block_filled_outlined': block_filled_outlined,
    'block_filled_sharp': block_filled_sharp,
    'block_filled': block_filled,
    'block_outlined': block_outlined,
    'block_sharp': block_sharp,
    'block': block,
    'bloodtype_filled_outlined': bloodtype_filled_outlined,
    'bloodtype_filled_sharp': bloodtype_filled_sharp,
    'bloodtype_filled': bloodtype_filled,
    'bloodtype_outlined': bloodtype_outlined,
    'bloodtype_sharp': bloodtype_sharp,
    'bloodtype': bloodtype,
    'bluetooth_connected_filled_outlined': bluetooth_connected_filled_outlined,
    'bluetooth_connected_filled_sharp': bluetooth_connected_filled_sharp,
    'bluetooth_connected_filled': bluetooth_connected_filled,
    'bluetooth_connected_outlined': bluetooth_connected_outlined,
    'bluetooth_connected_sharp': bluetooth_connected_sharp,
    'bluetooth_connected': bluetooth_connected,
    'bluetooth_disabled_filled_outlined': bluetooth_disabled_filled_outlined,
    'bluetooth_disabled_filled_sharp': bluetooth_disabled_filled_sharp,
    'bluetooth_disabled_filled': bluetooth_disabled_filled,
    'bluetooth_disabled_outlined': bluetooth_disabled_outlined,
    'bluetooth_disabled_sharp': bluetooth_disabled_sharp,
    'bluetooth_disabled': bluetooth_disabled,
    'bluetooth_drive_filled_outlined': bluetooth_drive_filled_outlined,
    'bluetooth_drive_filled_sharp': bluetooth_drive_filled_sharp,
    'bluetooth_drive_filled': bluetooth_drive_filled,
    'bluetooth_drive_outlined': bluetooth_drive_outlined,
    'bluetooth_drive_sharp': bluetooth_drive_sharp,
    'bluetooth_drive': bluetooth_drive,
    'bluetooth_filled_outlined': bluetooth_filled_outlined,
    'bluetooth_filled_sharp': bluetooth_filled_sharp,
    'bluetooth_filled': bluetooth_filled,
    'bluetooth_outlined': bluetooth_outlined,
    'bluetooth_searching_filled_outlined': bluetooth_searching_filled_outlined,
    'bluetooth_searching_filled_sharp': bluetooth_searching_filled_sharp,
    'bluetooth_searching_filled': bluetooth_searching_filled,
    'bluetooth_searching_outlined': bluetooth_searching_outlined,
    'bluetooth_searching_sharp': bluetooth_searching_sharp,
    'bluetooth_searching': bluetooth_searching,
    'bluetooth_sharp': bluetooth_sharp,
    'bluetooth': bluetooth,
    'blur_circular_filled_outlined': blur_circular_filled_outlined,
    'blur_circular_filled_sharp': blur_circular_filled_sharp,
    'blur_circular_filled': blur_circular_filled,
    'blur_circular_outlined': blur_circular_outlined,
    'blur_circular_sharp': blur_circular_sharp,
    'blur_circular': blur_circular,
    'blur_linear_filled_outlined': blur_linear_filled_outlined,
    'blur_linear_filled_sharp': blur_linear_filled_sharp,
    'blur_linear_filled': blur_linear_filled,
    'blur_linear_outlined': blur_linear_outlined,
    'blur_linear_sharp': blur_linear_sharp,
    'blur_linear': blur_linear,
    'blur_medium_filled_outlined': blur_medium_filled_outlined,
    'blur_medium_filled_sharp': blur_medium_filled_sharp,
    'blur_medium_filled': blur_medium_filled,
    'blur_medium_outlined': blur_medium_outlined,
    'blur_medium_sharp': blur_medium_sharp,
    'blur_medium': blur_medium,
    'blur_off_filled_outlined': blur_off_filled_outlined,
    'blur_off_filled_sharp': blur_off_filled_sharp,
    'blur_off_filled': blur_off_filled,
    'blur_off_outlined': blur_off_outlined,
    'blur_off_sharp': blur_off_sharp,
    'blur_off': blur_off,
    'blur_on_filled_outlined': blur_on_filled_outlined,
    'blur_on_filled_sharp': blur_on_filled_sharp,
    'blur_on_filled': blur_on_filled,
    'blur_on_outlined': blur_on_outlined,
    'blur_on_sharp': blur_on_sharp,
    'blur_on': blur_on,
    'blur_short_filled_outlined': blur_short_filled_outlined,
    'blur_short_filled_sharp': blur_short_filled_sharp,
    'blur_short_filled': blur_short_filled,
    'blur_short_outlined': blur_short_outlined,
    'blur_short_sharp': blur_short_sharp,
    'blur_short': blur_short,
    'body_fat_filled_outlined': body_fat_filled_outlined,
    'body_fat_filled_sharp': body_fat_filled_sharp,
    'body_fat_filled': body_fat_filled,
    'body_fat_outlined': body_fat_outlined,
    'body_fat_sharp': body_fat_sharp,
    'body_fat': body_fat,
    'bolt_filled_outlined': bolt_filled_outlined,
    'bolt_filled_sharp': bolt_filled_sharp,
    'bolt_filled': bolt_filled,
    'bolt_outlined': bolt_outlined,
    'bolt_sharp': bolt_sharp,
    'bolt': bolt,
    'book_filled_outlined': book_filled_outlined,
    'book_filled_sharp': book_filled_sharp,
    'book_filled': book_filled,
    'book_online_filled_outlined': book_online_filled_outlined,
    'book_online_filled_sharp': book_online_filled_sharp,
    'book_online_filled': book_online_filled,
    'book_online_outlined': book_online_outlined,
    'book_online_sharp': book_online_sharp,
    'book_online': book_online,
    'book_outlined': book_outlined,
    'book_sharp': book_sharp,
    'book': book,
    'bookmark_add_filled_outlined': bookmark_add_filled_outlined,
    'bookmark_add_filled_sharp': bookmark_add_filled_sharp,
    'bookmark_add_filled': bookmark_add_filled,
    'bookmark_add_outlined': bookmark_add_outlined,
    'bookmark_add_sharp': bookmark_add_sharp,
    'bookmark_add': bookmark_add,
    'bookmark_added_filled_outlined': bookmark_added_filled_outlined,
    'bookmark_added_filled_sharp': bookmark_added_filled_sharp,
    'bookmark_added_filled': bookmark_added_filled,
    'bookmark_added_outlined': bookmark_added_outlined,
    'bookmark_added_sharp': bookmark_added_sharp,
    'bookmark_added': bookmark_added,
    'bookmark_filled_outlined': bookmark_filled_outlined,
    'bookmark_filled_sharp': bookmark_filled_sharp,
    'bookmark_filled': bookmark_filled,
    'bookmark_outlined': bookmark_outlined,
    'bookmark_remove_filled_outlined': bookmark_remove_filled_outlined,
    'bookmark_remove_filled_sharp': bookmark_remove_filled_sharp,
    'bookmark_remove_filled': bookmark_remove_filled,
    'bookmark_remove_outlined': bookmark_remove_outlined,
    'bookmark_remove_sharp': bookmark_remove_sharp,
    'bookmark_remove': bookmark_remove,
    'bookmark_sharp': bookmark_sharp,
    'bookmark': bookmark,
    'bookmarks_filled_outlined': bookmarks_filled_outlined,
    'bookmarks_filled_sharp': bookmarks_filled_sharp,
    'bookmarks_filled': bookmarks_filled,
    'bookmarks_outlined': bookmarks_outlined,
    'bookmarks_sharp': bookmarks_sharp,
    'bookmarks': bookmarks,
    'border_all_filled_outlined': border_all_filled_outlined,
    'border_all_filled_sharp': border_all_filled_sharp,
    'border_all_filled': border_all_filled,
    'border_all_outlined': border_all_outlined,
    'border_all_sharp': border_all_sharp,
    'border_all': border_all,
    'border_bottom_filled_outlined': border_bottom_filled_outlined,
    'border_bottom_filled_sharp': border_bottom_filled_sharp,
    'border_bottom_filled': border_bottom_filled,
    'border_bottom_outlined': border_bottom_outlined,
    'border_bottom_sharp': border_bottom_sharp,
    'border_bottom': border_bottom,
    'border_clear_filled_outlined': border_clear_filled_outlined,
    'border_clear_filled_sharp': border_clear_filled_sharp,
    'border_clear_filled': border_clear_filled,
    'border_clear_outlined': border_clear_outlined,
    'border_clear_sharp': border_clear_sharp,
    'border_clear': border_clear,
    'border_color_filled_outlined': border_color_filled_outlined,
    'border_color_filled_sharp': border_color_filled_sharp,
    'border_color_filled': border_color_filled,
    'border_color_outlined': border_color_outlined,
    'border_color_sharp': border_color_sharp,
    'border_color': border_color,
    'border_horizontal_filled_outlined': border_horizontal_filled_outlined,
    'border_horizontal_filled_sharp': border_horizontal_filled_sharp,
    'border_horizontal_filled': border_horizontal_filled,
    'border_horizontal_outlined': border_horizontal_outlined,
    'border_horizontal_sharp': border_horizontal_sharp,
    'border_horizontal': border_horizontal,
    'border_inner_filled_outlined': border_inner_filled_outlined,
    'border_inner_filled_sharp': border_inner_filled_sharp,
    'border_inner_filled': border_inner_filled,
    'border_inner_outlined': border_inner_outlined,
    'border_inner_sharp': border_inner_sharp,
    'border_inner': border_inner,
    'border_left_filled_outlined': border_left_filled_outlined,
    'border_left_filled_sharp': border_left_filled_sharp,
    'border_left_filled': border_left_filled,
    'border_left_outlined': border_left_outlined,
    'border_left_sharp': border_left_sharp,
    'border_left': border_left,
    'border_outer_filled_outlined': border_outer_filled_outlined,
    'border_outer_filled_sharp': border_outer_filled_sharp,
    'border_outer_filled': border_outer_filled,
    'border_outer_outlined': border_outer_outlined,
    'border_outer_sharp': border_outer_sharp,
    'border_outer': border_outer,
    'border_right_filled_outlined': border_right_filled_outlined,
    'border_right_filled_sharp': border_right_filled_sharp,
    'border_right_filled': border_right_filled,
    'border_right_outlined': border_right_outlined,
    'border_right_sharp': border_right_sharp,
    'border_right': border_right,
    'border_style_filled_outlined': border_style_filled_outlined,
    'border_style_filled_sharp': border_style_filled_sharp,
    'border_style_filled': border_style_filled,
    'border_style_outlined': border_style_outlined,
    'border_style_sharp': border_style_sharp,
    'border_style': border_style,
    'border_top_filled_outlined': border_top_filled_outlined,
    'border_top_filled_sharp': border_top_filled_sharp,
    'border_top_filled': border_top_filled,
    'border_top_outlined': border_top_outlined,
    'border_top_sharp': border_top_sharp,
    'border_top': border_top,
    'border_vertical_filled_outlined': border_vertical_filled_outlined,
    'border_vertical_filled_sharp': border_vertical_filled_sharp,
    'border_vertical_filled': border_vertical_filled,
    'border_vertical_outlined': border_vertical_outlined,
    'border_vertical_sharp': border_vertical_sharp,
    'border_vertical': border_vertical,
    'boy_filled_outlined': boy_filled_outlined,
    'boy_filled_sharp': boy_filled_sharp,
    'boy_filled': boy_filled,
    'boy_outlined': boy_outlined,
    'boy_sharp': boy_sharp,
    'boy': boy,
    'branding_watermark_filled_outlined': branding_watermark_filled_outlined,
    'branding_watermark_filled_sharp': branding_watermark_filled_sharp,
    'branding_watermark_filled': branding_watermark_filled,
    'branding_watermark_outlined': branding_watermark_outlined,
    'branding_watermark_sharp': branding_watermark_sharp,
    'branding_watermark': branding_watermark,
    'breakfast_dining_filled_outlined': breakfast_dining_filled_outlined,
    'breakfast_dining_filled_sharp': breakfast_dining_filled_sharp,
    'breakfast_dining_filled': breakfast_dining_filled,
    'breakfast_dining_outlined': breakfast_dining_outlined,
    'breakfast_dining_sharp': breakfast_dining_sharp,
    'breakfast_dining': breakfast_dining,
    'breaking_news_alt_1_filled_outlined': breaking_news_alt_1_filled_outlined,
    'breaking_news_alt_1_filled_sharp': breaking_news_alt_1_filled_sharp,
    'breaking_news_alt_1_filled': breaking_news_alt_1_filled,
    'breaking_news_alt_1_outlined': breaking_news_alt_1_outlined,
    'breaking_news_alt_1_sharp': breaking_news_alt_1_sharp,
    'breaking_news_alt_1': breaking_news_alt_1,
    'breastfeeding_filled_outlined': breastfeeding_filled_outlined,
    'breastfeeding_filled_sharp': breastfeeding_filled_sharp,
    'breastfeeding_filled': breastfeeding_filled,
    'breastfeeding_outlined': breastfeeding_outlined,
    'breastfeeding_sharp': breastfeeding_sharp,
    'breastfeeding': breastfeeding,
    'brightness_1_filled_outlined': brightness_1_filled_outlined,
    'brightness_1_filled_sharp': brightness_1_filled_sharp,
    'brightness_1_filled': brightness_1_filled,
    'brightness_1_outlined': brightness_1_outlined,
    'brightness_1_sharp': brightness_1_sharp,
    'brightness_1': brightness_1,
    'brightness_2_filled_outlined': brightness_2_filled_outlined,
    'brightness_2_filled_sharp': brightness_2_filled_sharp,
    'brightness_2_filled': brightness_2_filled,
    'brightness_2_outlined': brightness_2_outlined,
    'brightness_2_sharp': brightness_2_sharp,
    'brightness_2': brightness_2,
    'brightness_3_filled_outlined': brightness_3_filled_outlined,
    'brightness_3_filled_sharp': brightness_3_filled_sharp,
    'brightness_3_filled': brightness_3_filled,
    'brightness_3_outlined': brightness_3_outlined,
    'brightness_3_sharp': brightness_3_sharp,
    'brightness_3': brightness_3,
    'brightness_4_filled_outlined': brightness_4_filled_outlined,
    'brightness_4_filled_sharp': brightness_4_filled_sharp,
    'brightness_4_filled': brightness_4_filled,
    'brightness_4_outlined': brightness_4_outlined,
    'brightness_4_sharp': brightness_4_sharp,
    'brightness_4': brightness_4,
    'brightness_5_filled_outlined': brightness_5_filled_outlined,
    'brightness_5_filled_sharp': brightness_5_filled_sharp,
    'brightness_5_filled': brightness_5_filled,
    'brightness_5_outlined': brightness_5_outlined,
    'brightness_5_sharp': brightness_5_sharp,
    'brightness_5': brightness_5,
    'brightness_6_filled_outlined': brightness_6_filled_outlined,
    'brightness_6_filled_sharp': brightness_6_filled_sharp,
    'brightness_6_filled': brightness_6_filled,
    'brightness_6_outlined': brightness_6_outlined,
    'brightness_6_sharp': brightness_6_sharp,
    'brightness_6': brightness_6,
    'brightness_7_filled_outlined': brightness_7_filled_outlined,
    'brightness_7_filled_sharp': brightness_7_filled_sharp,
    'brightness_7_filled': brightness_7_filled,
    'brightness_7_outlined': brightness_7_outlined,
    'brightness_7_sharp': brightness_7_sharp,
    'brightness_7': brightness_7,
    'brightness_auto_filled_outlined': brightness_auto_filled_outlined,
    'brightness_auto_filled_sharp': brightness_auto_filled_sharp,
    'brightness_auto_filled': brightness_auto_filled,
    'brightness_auto_outlined': brightness_auto_outlined,
    'brightness_auto_sharp': brightness_auto_sharp,
    'brightness_auto': brightness_auto,
    'brightness_high_filled_outlined': brightness_high_filled_outlined,
    'brightness_high_filled_sharp': brightness_high_filled_sharp,
    'brightness_high_filled': brightness_high_filled,
    'brightness_high_outlined': brightness_high_outlined,
    'brightness_high_sharp': brightness_high_sharp,
    'brightness_high': brightness_high,
    'brightness_low_filled_outlined': brightness_low_filled_outlined,
    'brightness_low_filled_sharp': brightness_low_filled_sharp,
    'brightness_low_filled': brightness_low_filled,
    'brightness_low_outlined': brightness_low_outlined,
    'brightness_low_sharp': brightness_low_sharp,
    'brightness_low': brightness_low,
    'brightness_medium_filled_outlined': brightness_medium_filled_outlined,
    'brightness_medium_filled_sharp': brightness_medium_filled_sharp,
    'brightness_medium_filled': brightness_medium_filled,
    'brightness_medium_outlined': brightness_medium_outlined,
    'brightness_medium_sharp': brightness_medium_sharp,
    'brightness_medium': brightness_medium,
    'bring_your_own_ip_filled_outlined': bring_your_own_ip_filled_outlined,
    'bring_your_own_ip_filled_sharp': bring_your_own_ip_filled_sharp,
    'bring_your_own_ip_filled': bring_your_own_ip_filled,
    'bring_your_own_ip_outlined': bring_your_own_ip_outlined,
    'bring_your_own_ip_sharp': bring_your_own_ip_sharp,
    'bring_your_own_ip': bring_your_own_ip,
    'broadcast_on_home_filled_outlined': broadcast_on_home_filled_outlined,
    'broadcast_on_home_filled_sharp': broadcast_on_home_filled_sharp,
    'broadcast_on_home_filled': broadcast_on_home_filled,
    'broadcast_on_home_outlined': broadcast_on_home_outlined,
    'broadcast_on_home_sharp': broadcast_on_home_sharp,
    'broadcast_on_home': broadcast_on_home,
    'broadcast_on_personal_filled_outlined':
        broadcast_on_personal_filled_outlined,
    'broadcast_on_personal_filled_sharp': broadcast_on_personal_filled_sharp,
    'broadcast_on_personal_filled': broadcast_on_personal_filled,
    'broadcast_on_personal_outlined': broadcast_on_personal_outlined,
    'broadcast_on_personal_sharp': broadcast_on_personal_sharp,
    'broadcast_on_personal': broadcast_on_personal,
    'broken_image_filled_outlined': broken_image_filled_outlined,
    'broken_image_filled_sharp': broken_image_filled_sharp,
    'broken_image_filled': broken_image_filled,
    'broken_image_outlined': broken_image_outlined,
    'broken_image_sharp': broken_image_sharp,
    'broken_image': broken_image,
    'browse_activity_filled_outlined': browse_activity_filled_outlined,
    'browse_activity_filled_sharp': browse_activity_filled_sharp,
    'browse_activity_filled': browse_activity_filled,
    'browse_activity_outlined': browse_activity_outlined,
    'browse_activity_sharp': browse_activity_sharp,
    'browse_activity': browse_activity,
    'browse_gallery_filled_outlined': browse_gallery_filled_outlined,
    'browse_gallery_filled_sharp': browse_gallery_filled_sharp,
    'browse_gallery_filled': browse_gallery_filled,
    'browse_gallery_outlined': browse_gallery_outlined,
    'browse_gallery_sharp': browse_gallery_sharp,
    'browse_gallery': browse_gallery,
    'browser_updated_filled_outlined': browser_updated_filled_outlined,
    'browser_updated_filled_sharp': browser_updated_filled_sharp,
    'browser_updated_filled': browser_updated_filled,
    'browser_updated_outlined': browser_updated_outlined,
    'browser_updated_sharp': browser_updated_sharp,
    'browser_updated': browser_updated,
    'brunch_dining_filled_outlined': brunch_dining_filled_outlined,
    'brunch_dining_filled_sharp': brunch_dining_filled_sharp,
    'brunch_dining_filled': brunch_dining_filled,
    'brunch_dining_outlined': brunch_dining_outlined,
    'brunch_dining_sharp': brunch_dining_sharp,
    'brunch_dining': brunch_dining,
    'brush_filled_outlined': brush_filled_outlined,
    'brush_filled_sharp': brush_filled_sharp,
    'brush_filled': brush_filled,
    'brush_outlined': brush_outlined,
    'brush_sharp': brush_sharp,
    'brush': brush,
    'bubble_chart_filled_outlined': bubble_chart_filled_outlined,
    'bubble_chart_filled_sharp': bubble_chart_filled_sharp,
    'bubble_chart_filled': bubble_chart_filled,
    'bubble_chart_outlined': bubble_chart_outlined,
    'bubble_chart_sharp': bubble_chart_sharp,
    'bubble_chart': bubble_chart,
    'bug_report_filled_outlined': bug_report_filled_outlined,
    'bug_report_filled_sharp': bug_report_filled_sharp,
    'bug_report_filled': bug_report_filled,
    'bug_report_outlined': bug_report_outlined,
    'bug_report_sharp': bug_report_sharp,
    'bug_report': bug_report,
    'build_circle_filled_outlined': build_circle_filled_outlined,
    'build_circle_filled_sharp': build_circle_filled_sharp,
    'build_circle_filled': build_circle_filled,
    'build_circle_outlined': build_circle_outlined,
    'build_circle_sharp': build_circle_sharp,
    'build_circle': build_circle,
    'build_filled_outlined': build_filled_outlined,
    'build_filled_sharp': build_filled_sharp,
    'build_filled': build_filled,
    'build_outlined': build_outlined,
    'build_sharp': build_sharp,
    'build': build,
    'bungalow_filled_outlined': bungalow_filled_outlined,
    'bungalow_filled_sharp': bungalow_filled_sharp,
    'bungalow_filled': bungalow_filled,
    'bungalow_outlined': bungalow_outlined,
    'bungalow_sharp': bungalow_sharp,
    'bungalow': bungalow,
    'burst_mode_filled_outlined': burst_mode_filled_outlined,
    'burst_mode_filled_sharp': burst_mode_filled_sharp,
    'burst_mode_filled': burst_mode_filled,
    'burst_mode_outlined': burst_mode_outlined,
    'burst_mode_sharp': burst_mode_sharp,
    'burst_mode': burst_mode,
    'bus_alert_filled_outlined': bus_alert_filled_outlined,
    'bus_alert_filled_sharp': bus_alert_filled_sharp,
    'bus_alert_filled': bus_alert_filled,
    'bus_alert_outlined': bus_alert_outlined,
    'bus_alert_sharp': bus_alert_sharp,
    'bus_alert': bus_alert,
    'business_center_filled_outlined': business_center_filled_outlined,
    'business_center_filled_sharp': business_center_filled_sharp,
    'business_center_filled': business_center_filled,
    'business_center_outlined': business_center_outlined,
    'business_center_sharp': business_center_sharp,
    'business_center': business_center,
    'business_chip_filled_outlined': business_chip_filled_outlined,
    'business_chip_filled_sharp': business_chip_filled_sharp,
    'business_chip_filled': business_chip_filled,
    'business_chip_outlined': business_chip_outlined,
    'business_chip_sharp': business_chip_sharp,
    'business_chip': business_chip,
    'cabin_filled_outlined': cabin_filled_outlined,
    'cabin_filled_sharp': cabin_filled_sharp,
    'cabin_filled': cabin_filled,
    'cabin_outlined': cabin_outlined,
    'cabin_sharp': cabin_sharp,
    'cabin': cabin,
    'cable_filled_outlined': cable_filled_outlined,
    'cable_filled_sharp': cable_filled_sharp,
    'cable_filled': cable_filled,
    'cable_outlined': cable_outlined,
    'cable_sharp': cable_sharp,
    'cable': cable,
    'cached_filled_outlined': cached_filled_outlined,
    'cached_filled_sharp': cached_filled_sharp,
    'cached_filled': cached_filled,
    'cached_outlined': cached_outlined,
    'cached_sharp': cached_sharp,
    'cached': cached,
    'cake_add_filled_outlined': cake_add_filled_outlined,
    'cake_add_filled_sharp': cake_add_filled_sharp,
    'cake_add_filled': cake_add_filled,
    'cake_add_outlined': cake_add_outlined,
    'cake_add_sharp': cake_add_sharp,
    'cake_add': cake_add,
    'cake_filled_outlined': cake_filled_outlined,
    'cake_filled_sharp': cake_filled_sharp,
    'cake_filled': cake_filled,
    'cake_outlined': cake_outlined,
    'cake_sharp': cake_sharp,
    'cake': cake,
    'calculate_filled_outlined': calculate_filled_outlined,
    'calculate_filled_sharp': calculate_filled_sharp,
    'calculate_filled': calculate_filled,
    'calculate_outlined': calculate_outlined,
    'calculate_sharp': calculate_sharp,
    'calculate': calculate,
    'calendar_add_on_filled_outlined': calendar_add_on_filled_outlined,
    'calendar_add_on_filled_sharp': calendar_add_on_filled_sharp,
    'calendar_add_on_filled': calendar_add_on_filled,
    'calendar_add_on_outlined': calendar_add_on_outlined,
    'calendar_add_on_sharp': calendar_add_on_sharp,
    'calendar_add_on': calendar_add_on,
    'calendar_apps_script_filled_outlined':
        calendar_apps_script_filled_outlined,
    'calendar_apps_script_filled_sharp': calendar_apps_script_filled_sharp,
    'calendar_apps_script_filled': calendar_apps_script_filled,
    'calendar_apps_script_outlined': calendar_apps_script_outlined,
    'calendar_apps_script_sharp': calendar_apps_script_sharp,
    'calendar_apps_script': calendar_apps_script,
    'calendar_month_filled_outlined': calendar_month_filled_outlined,
    'calendar_month_filled_sharp': calendar_month_filled_sharp,
    'calendar_month_filled': calendar_month_filled,
    'calendar_month_outlined': calendar_month_outlined,
    'calendar_month_sharp': calendar_month_sharp,
    'calendar_month': calendar_month,
    'calendar_today_filled_outlined': calendar_today_filled_outlined,
    'calendar_today_filled_sharp': calendar_today_filled_sharp,
    'calendar_today_filled': calendar_today_filled,
    'calendar_today_outlined': calendar_today_outlined,
    'calendar_today_sharp': calendar_today_sharp,
    'calendar_today': calendar_today,
    'calendar_view_day_filled_outlined': calendar_view_day_filled_outlined,
    'calendar_view_day_filled_sharp': calendar_view_day_filled_sharp,
    'calendar_view_day_filled': calendar_view_day_filled,
    'calendar_view_day_outlined': calendar_view_day_outlined,
    'calendar_view_day_sharp': calendar_view_day_sharp,
    'calendar_view_day': calendar_view_day,
    'calendar_view_month_filled_outlined': calendar_view_month_filled_outlined,
    'calendar_view_month_filled_sharp': calendar_view_month_filled_sharp,
    'calendar_view_month_filled': calendar_view_month_filled,
    'calendar_view_month_outlined': calendar_view_month_outlined,
    'calendar_view_month_sharp': calendar_view_month_sharp,
    'calendar_view_month': calendar_view_month,
    'calendar_view_week_filled_outlined': calendar_view_week_filled_outlined,
    'calendar_view_week_filled_sharp': calendar_view_week_filled_sharp,
    'calendar_view_week_filled': calendar_view_week_filled,
    'calendar_view_week_outlined': calendar_view_week_outlined,
    'calendar_view_week_sharp': calendar_view_week_sharp,
    'calendar_view_week': calendar_view_week,
    'call_end_filled_outlined': call_end_filled_outlined,
    'call_end_filled_sharp': call_end_filled_sharp,
    'call_end_filled': call_end_filled,
    'call_end_outlined': call_end_outlined,
    'call_end_sharp': call_end_sharp,
    'call_end': call_end,
    'call_filled_outlined': call_filled_outlined,
    'call_filled_sharp': call_filled_sharp,
    'call_filled': call_filled,
    'call_made_filled_outlined': call_made_filled_outlined,
    'call_made_filled_sharp': call_made_filled_sharp,
    'call_made_filled': call_made_filled,
    'call_made_outlined': call_made_outlined,
    'call_made_sharp': call_made_sharp,
    'call_made': call_made,
    'call_merge_filled_outlined': call_merge_filled_outlined,
    'call_merge_filled_sharp': call_merge_filled_sharp,
    'call_merge_filled': call_merge_filled,
    'call_merge_outlined': call_merge_outlined,
    'call_merge_sharp': call_merge_sharp,
    'call_merge': call_merge,
    'call_missed_filled_outlined': call_missed_filled_outlined,
    'call_missed_filled_sharp': call_missed_filled_sharp,
    'call_missed_filled': call_missed_filled,
    'call_missed_outgoing_filled_outlined':
        call_missed_outgoing_filled_outlined,
    'call_missed_outgoing_filled_sharp': call_missed_outgoing_filled_sharp,
    'call_missed_outgoing_filled': call_missed_outgoing_filled,
    'call_missed_outgoing_outlined': call_missed_outgoing_outlined,
    'call_missed_outgoing_sharp': call_missed_outgoing_sharp,
    'call_missed_outgoing': call_missed_outgoing,
    'call_missed_outlined': call_missed_outlined,
    'call_missed_sharp': call_missed_sharp,
    'call_missed': call_missed,
    'call_outlined': call_outlined,
    'call_received_filled_outlined': call_received_filled_outlined,
    'call_received_filled_sharp': call_received_filled_sharp,
    'call_received_filled': call_received_filled,
    'call_received_outlined': call_received_outlined,
    'call_received_sharp': call_received_sharp,
    'call_received': call_received,
    'call_sharp': call_sharp,
    'call_split_filled_outlined': call_split_filled_outlined,
    'call_split_filled_sharp': call_split_filled_sharp,
    'call_split_filled': call_split_filled,
    'call_split_outlined': call_split_outlined,
    'call_split_sharp': call_split_sharp,
    'call_split': call_split,
    'call_to_action_filled_outlined': call_to_action_filled_outlined,
    'call_to_action_filled_sharp': call_to_action_filled_sharp,
    'call_to_action_filled': call_to_action_filled,
    'call_to_action_outlined': call_to_action_outlined,
    'call_to_action_sharp': call_to_action_sharp,
    'call_to_action': call_to_action,
    'call': call,
    'camera_enhance_filled_outlined': camera_enhance_filled_outlined,
    'camera_enhance_filled_sharp': camera_enhance_filled_sharp,
    'camera_enhance_filled': camera_enhance_filled,
    'camera_enhance_outlined': camera_enhance_outlined,
    'camera_enhance_sharp': camera_enhance_sharp,
    'camera_enhance': camera_enhance,
    'camera_filled_outlined': camera_filled_outlined,
    'camera_filled_sharp': camera_filled_sharp,
    'camera_filled': camera_filled,
    'camera_front_filled_outlined': camera_front_filled_outlined,
    'camera_front_filled_sharp': camera_front_filled_sharp,
    'camera_front_filled': camera_front_filled,
    'camera_front_outlined': camera_front_outlined,
    'camera_front_sharp': camera_front_sharp,
    'camera_front': camera_front,
    'camera_indoor_filled_outlined': camera_indoor_filled_outlined,
    'camera_indoor_filled_sharp': camera_indoor_filled_sharp,
    'camera_indoor_filled': camera_indoor_filled,
    'camera_indoor_outlined': camera_indoor_outlined,
    'camera_indoor_sharp': camera_indoor_sharp,
    'camera_indoor': camera_indoor,
    'camera_outdoor_filled_outlined': camera_outdoor_filled_outlined,
    'camera_outdoor_filled_sharp': camera_outdoor_filled_sharp,
    'camera_outdoor_filled': camera_outdoor_filled,
    'camera_outdoor_outlined': camera_outdoor_outlined,
    'camera_outdoor_sharp': camera_outdoor_sharp,
    'camera_outdoor': camera_outdoor,
    'camera_outlined': camera_outlined,
    'camera_rear_filled_outlined': camera_rear_filled_outlined,
    'camera_rear_filled_sharp': camera_rear_filled_sharp,
    'camera_rear_filled': camera_rear_filled,
    'camera_rear_outlined': camera_rear_outlined,
    'camera_rear_sharp': camera_rear_sharp,
    'camera_rear': camera_rear,
    'camera_roll_filled_outlined': camera_roll_filled_outlined,
    'camera_roll_filled_sharp': camera_roll_filled_sharp,
    'camera_roll_filled': camera_roll_filled,
    'camera_roll_outlined': camera_roll_outlined,
    'camera_roll_sharp': camera_roll_sharp,
    'camera_roll': camera_roll,
    'camera_sharp': camera_sharp,
    'camera': camera,
    'cameraswitch_filled_outlined': cameraswitch_filled_outlined,
    'cameraswitch_filled_sharp': cameraswitch_filled_sharp,
    'cameraswitch_filled': cameraswitch_filled,
    'cameraswitch_outlined': cameraswitch_outlined,
    'cameraswitch_sharp': cameraswitch_sharp,
    'cameraswitch': cameraswitch,
    'campaign_filled_outlined': campaign_filled_outlined,
    'campaign_filled_sharp': campaign_filled_sharp,
    'campaign_filled': campaign_filled,
    'campaign_outlined': campaign_outlined,
    'campaign_sharp': campaign_sharp,
    'campaign': campaign,
    'camping_filled_outlined': camping_filled_outlined,
    'camping_filled_sharp': camping_filled_sharp,
    'camping_filled': camping_filled,
    'camping_outlined': camping_outlined,
    'camping_sharp': camping_sharp,
    'camping': camping,
    'cancel_filled_outlined': cancel_filled_outlined,
    'cancel_filled_sharp': cancel_filled_sharp,
    'cancel_filled': cancel_filled,
    'cancel_outlined': cancel_outlined,
    'cancel_presentation_filled_outlined': cancel_presentation_filled_outlined,
    'cancel_presentation_filled_sharp': cancel_presentation_filled_sharp,
    'cancel_presentation_filled': cancel_presentation_filled,
    'cancel_presentation_outlined': cancel_presentation_outlined,
    'cancel_presentation_sharp': cancel_presentation_sharp,
    'cancel_presentation': cancel_presentation,
    'cancel_schedule_send_filled_outlined':
        cancel_schedule_send_filled_outlined,
    'cancel_schedule_send_filled_sharp': cancel_schedule_send_filled_sharp,
    'cancel_schedule_send_filled': cancel_schedule_send_filled,
    'cancel_schedule_send_outlined': cancel_schedule_send_outlined,
    'cancel_schedule_send_sharp': cancel_schedule_send_sharp,
    'cancel_schedule_send': cancel_schedule_send,
    'cancel_sharp': cancel_sharp,
    'cancel': cancel,
    'candlestick_chart_filled_outlined': candlestick_chart_filled_outlined,
    'candlestick_chart_filled_sharp': candlestick_chart_filled_sharp,
    'candlestick_chart_filled': candlestick_chart_filled,
    'candlestick_chart_outlined': candlestick_chart_outlined,
    'candlestick_chart_sharp': candlestick_chart_sharp,
    'candlestick_chart': candlestick_chart,
    'car_crash_filled_outlined': car_crash_filled_outlined,
    'car_crash_filled_sharp': car_crash_filled_sharp,
    'car_crash_filled': car_crash_filled,
    'car_crash_outlined': car_crash_outlined,
    'car_crash_sharp': car_crash_sharp,
    'car_crash': car_crash,
    'car_rental_filled_outlined': car_rental_filled_outlined,
    'car_rental_filled_sharp': car_rental_filled_sharp,
    'car_rental_filled': car_rental_filled,
    'car_rental_outlined': car_rental_outlined,
    'car_rental_sharp': car_rental_sharp,
    'car_rental': car_rental,
    'car_repair_filled_outlined': car_repair_filled_outlined,
    'car_repair_filled_sharp': car_repair_filled_sharp,
    'car_repair_filled': car_repair_filled,
    'car_repair_outlined': car_repair_outlined,
    'car_repair_sharp': car_repair_sharp,
    'car_repair': car_repair,
    'card_membership_filled_outlined': card_membership_filled_outlined,
    'card_membership_filled_sharp': card_membership_filled_sharp,
    'card_membership_filled': card_membership_filled,
    'card_membership_outlined': card_membership_outlined,
    'card_membership_sharp': card_membership_sharp,
    'card_membership': card_membership,
    'card_travel_filled_outlined': card_travel_filled_outlined,
    'card_travel_filled_sharp': card_travel_filled_sharp,
    'card_travel_filled': card_travel_filled,
    'card_travel_outlined': card_travel_outlined,
    'card_travel_sharp': card_travel_sharp,
    'card_travel': card_travel,
    'carpenter_filled_outlined': carpenter_filled_outlined,
    'carpenter_filled_sharp': carpenter_filled_sharp,
    'carpenter_filled': carpenter_filled,
    'carpenter_outlined': carpenter_outlined,
    'carpenter_sharp': carpenter_sharp,
    'carpenter': carpenter,
    'cases_filled_outlined': cases_filled_outlined,
    'cases_filled_sharp': cases_filled_sharp,
    'cases_filled': cases_filled,
    'cases_outlined': cases_outlined,
    'cases_sharp': cases_sharp,
    'cases': cases,
    'casino_filled_outlined': casino_filled_outlined,
    'casino_filled_sharp': casino_filled_sharp,
    'casino_filled': casino_filled,
    'casino_outlined': casino_outlined,
    'casino_sharp': casino_sharp,
    'casino': casino,
    'cast_connected_filled_outlined': cast_connected_filled_outlined,
    'cast_connected_filled_sharp': cast_connected_filled_sharp,
    'cast_connected_filled': cast_connected_filled,
    'cast_connected_outlined': cast_connected_outlined,
    'cast_connected_sharp': cast_connected_sharp,
    'cast_connected': cast_connected,
    'cast_filled_outlined': cast_filled_outlined,
    'cast_filled_sharp': cast_filled_sharp,
    'cast_filled': cast_filled,
    'cast_for_education_filled_outlined': cast_for_education_filled_outlined,
    'cast_for_education_filled_sharp': cast_for_education_filled_sharp,
    'cast_for_education_filled': cast_for_education_filled,
    'cast_for_education_outlined': cast_for_education_outlined,
    'cast_for_education_sharp': cast_for_education_sharp,
    'cast_for_education': cast_for_education,
    'cast_outlined': cast_outlined,
    'cast_sharp': cast_sharp,
    'cast': cast,
    'castle_filled_outlined': castle_filled_outlined,
    'castle_filled_sharp': castle_filled_sharp,
    'castle_filled': castle_filled,
    'castle_outlined': castle_outlined,
    'castle_sharp': castle_sharp,
    'castle': castle,
    'category_filled_outlined': category_filled_outlined,
    'category_filled_sharp': category_filled_sharp,
    'category_filled': category_filled,
    'category_outlined': category_outlined,
    'category_sharp': category_sharp,
    'category': category,
    'celebration_filled_outlined': celebration_filled_outlined,
    'celebration_filled_sharp': celebration_filled_sharp,
    'celebration_filled': celebration_filled,
    'celebration_outlined': celebration_outlined,
    'celebration_sharp': celebration_sharp,
    'celebration': celebration,
    'cell_merge_filled_outlined': cell_merge_filled_outlined,
    'cell_merge_filled_sharp': cell_merge_filled_sharp,
    'cell_merge_filled': cell_merge_filled,
    'cell_merge_outlined': cell_merge_outlined,
    'cell_merge_sharp': cell_merge_sharp,
    'cell_merge': cell_merge,
    'cell_tower_filled_outlined': cell_tower_filled_outlined,
    'cell_tower_filled_sharp': cell_tower_filled_sharp,
    'cell_tower_filled': cell_tower_filled,
    'cell_tower_outlined': cell_tower_outlined,
    'cell_tower_sharp': cell_tower_sharp,
    'cell_tower': cell_tower,
    'cell_wifi_filled_outlined': cell_wifi_filled_outlined,
    'cell_wifi_filled_sharp': cell_wifi_filled_sharp,
    'cell_wifi_filled': cell_wifi_filled,
    'cell_wifi_outlined': cell_wifi_outlined,
    'cell_wifi_sharp': cell_wifi_sharp,
    'cell_wifi': cell_wifi,
    'center_focus_strong_filled_outlined': center_focus_strong_filled_outlined,
    'center_focus_strong_filled_sharp': center_focus_strong_filled_sharp,
    'center_focus_strong_filled': center_focus_strong_filled,
    'center_focus_strong_outlined': center_focus_strong_outlined,
    'center_focus_strong_sharp': center_focus_strong_sharp,
    'center_focus_strong': center_focus_strong,
    'center_focus_weak_filled_outlined': center_focus_weak_filled_outlined,
    'center_focus_weak_filled_sharp': center_focus_weak_filled_sharp,
    'center_focus_weak_filled': center_focus_weak_filled,
    'center_focus_weak_outlined': center_focus_weak_outlined,
    'center_focus_weak_sharp': center_focus_weak_sharp,
    'center_focus_weak': center_focus_weak,
    'chair_alt_filled_outlined': chair_alt_filled_outlined,
    'chair_alt_filled_sharp': chair_alt_filled_sharp,
    'chair_alt_filled': chair_alt_filled,
    'chair_alt_outlined': chair_alt_outlined,
    'chair_alt_sharp': chair_alt_sharp,
    'chair_alt': chair_alt,
    'chair_filled_outlined': chair_filled_outlined,
    'chair_filled_sharp': chair_filled_sharp,
    'chair_filled': chair_filled,
    'chair_outlined': chair_outlined,
    'chair_sharp': chair_sharp,
    'chair': chair,
    'chalet_filled_outlined': chalet_filled_outlined,
    'chalet_filled_sharp': chalet_filled_sharp,
    'chalet_filled': chalet_filled,
    'chalet_outlined': chalet_outlined,
    'chalet_sharp': chalet_sharp,
    'chalet': chalet,
    'change_circle_filled_outlined': change_circle_filled_outlined,
    'change_circle_filled_sharp': change_circle_filled_sharp,
    'change_circle_filled': change_circle_filled,
    'change_circle_outlined': change_circle_outlined,
    'change_circle_sharp': change_circle_sharp,
    'change_circle': change_circle,
    'change_history_filled_outlined': change_history_filled_outlined,
    'change_history_filled_sharp': change_history_filled_sharp,
    'change_history_filled': change_history_filled,
    'change_history_outlined': change_history_outlined,
    'change_history_sharp': change_history_sharp,
    'change_history': change_history,
    'charger_filled_outlined': charger_filled_outlined,
    'charger_filled_sharp': charger_filled_sharp,
    'charger_filled': charger_filled,
    'charger_outlined': charger_outlined,
    'charger_sharp': charger_sharp,
    'charger': charger,
    'charging_station_filled_outlined': charging_station_filled_outlined,
    'charging_station_filled_sharp': charging_station_filled_sharp,
    'charging_station_filled': charging_station_filled,
    'charging_station_outlined': charging_station_outlined,
    'charging_station_sharp': charging_station_sharp,
    'charging_station': charging_station,
    'chart_data_filled_outlined': chart_data_filled_outlined,
    'chart_data_filled_sharp': chart_data_filled_sharp,
    'chart_data_filled': chart_data_filled,
    'chart_data_outlined': chart_data_outlined,
    'chart_data_sharp': chart_data_sharp,
    'chart_data': chart_data,
    'chat_add_on_filled_outlined': chat_add_on_filled_outlined,
    'chat_add_on_filled_sharp': chat_add_on_filled_sharp,
    'chat_add_on_filled': chat_add_on_filled,
    'chat_add_on_outlined': chat_add_on_outlined,
    'chat_add_on_sharp': chat_add_on_sharp,
    'chat_add_on': chat_add_on,
    'chat_apps_script_filled_outlined': chat_apps_script_filled_outlined,
    'chat_apps_script_filled_sharp': chat_apps_script_filled_sharp,
    'chat_apps_script_filled': chat_apps_script_filled,
    'chat_apps_script_outlined': chat_apps_script_outlined,
    'chat_apps_script_sharp': chat_apps_script_sharp,
    'chat_apps_script': chat_apps_script,
    'chat_bubble_filled_outlined': chat_bubble_filled_outlined,
    'chat_bubble_filled_sharp': chat_bubble_filled_sharp,
    'chat_bubble_filled': chat_bubble_filled,
    'chat_bubble_outlined': chat_bubble_outlined,
    'chat_bubble_sharp': chat_bubble_sharp,
    'chat_bubble': chat_bubble,
    'chat_filled_outlined': chat_filled_outlined,
    'chat_filled_sharp': chat_filled_sharp,
    'chat_filled': chat_filled,
    'chat_outlined': chat_outlined,
    'chat_sharp': chat_sharp,
    'chat': chat,
    'check_box_filled_outlined': check_box_filled_outlined,
    'check_box_filled_sharp': check_box_filled_sharp,
    'check_box_filled': check_box_filled,
    'check_box_outline_blank_filled_outlined':
        check_box_outline_blank_filled_outlined,
    'check_box_outline_blank_filled_sharp':
        check_box_outline_blank_filled_sharp,
    'check_box_outline_blank_filled': check_box_outline_blank_filled,
    'check_box_outline_blank_outlined': check_box_outline_blank_outlined,
    'check_box_outline_blank_sharp': check_box_outline_blank_sharp,
    'check_box_outline_blank': check_box_outline_blank,
    'check_box_outlined': check_box_outlined,
    'check_box_sharp': check_box_sharp,
    'check_box': check_box,
    'check_circle_filled_outlined': check_circle_filled_outlined,
    'check_circle_filled_sharp': check_circle_filled_sharp,
    'check_circle_filled': check_circle_filled,
    'check_circle_outlined': check_circle_outlined,
    'check_circle_sharp': check_circle_sharp,
    'check_circle': check_circle,
    'check_filled_outlined': check_filled_outlined,
    'check_filled_sharp': check_filled_sharp,
    'check_filled': check_filled,
    'check_indeterminate_small_filled_outlined':
        check_indeterminate_small_filled_outlined,
    'check_indeterminate_small_filled_sharp':
        check_indeterminate_small_filled_sharp,
    'check_indeterminate_small_filled': check_indeterminate_small_filled,
    'check_indeterminate_small_outlined': check_indeterminate_small_outlined,
    'check_indeterminate_small_sharp': check_indeterminate_small_sharp,
    'check_indeterminate_small': check_indeterminate_small,
    'check_outlined': check_outlined,
    'check_sharp': check_sharp,
    'check_small_filled_outlined': check_small_filled_outlined,
    'check_small_filled_sharp': check_small_filled_sharp,
    'check_small_filled': check_small_filled,
    'check_small_outlined': check_small_outlined,
    'check_small_sharp': check_small_sharp,
    'check_small': check_small,
    'check': check,
    'checklist_filled_outlined': checklist_filled_outlined,
    'checklist_filled_sharp': checklist_filled_sharp,
    'checklist_filled': checklist_filled,
    'checklist_outlined': checklist_outlined,
    'checklist_rtl_filled_outlined': checklist_rtl_filled_outlined,
    'checklist_rtl_filled_sharp': checklist_rtl_filled_sharp,
    'checklist_rtl_filled': checklist_rtl_filled,
    'checklist_rtl_outlined': checklist_rtl_outlined,
    'checklist_rtl_sharp': checklist_rtl_sharp,
    'checklist_rtl': checklist_rtl,
    'checklist_sharp': checklist_sharp,
    'checklist': checklist,
    'checkroom_filled_outlined': checkroom_filled_outlined,
    'checkroom_filled_sharp': checkroom_filled_sharp,
    'checkroom_filled': checkroom_filled,
    'checkroom_outlined': checkroom_outlined,
    'checkroom_sharp': checkroom_sharp,
    'checkroom': checkroom,
    'chevron_left_filled_outlined': chevron_left_filled_outlined,
    'chevron_left_filled_sharp': chevron_left_filled_sharp,
    'chevron_left_filled': chevron_left_filled,
    'chevron_left_outlined': chevron_left_outlined,
    'chevron_left_sharp': chevron_left_sharp,
    'chevron_left': chevron_left,
    'chevron_right_filled_outlined': chevron_right_filled_outlined,
    'chevron_right_filled_sharp': chevron_right_filled_sharp,
    'chevron_right_filled': chevron_right_filled,
    'chevron_right_outlined': chevron_right_outlined,
    'chevron_right_sharp': chevron_right_sharp,
    'chevron_right': chevron_right,
    'child_care_filled_outlined': child_care_filled_outlined,
    'child_care_filled_sharp': child_care_filled_sharp,
    'child_care_filled': child_care_filled,
    'child_care_outlined': child_care_outlined,
    'child_care_sharp': child_care_sharp,
    'child_care': child_care,
    'child_friendly_filled_outlined': child_friendly_filled_outlined,
    'child_friendly_filled_sharp': child_friendly_filled_sharp,
    'child_friendly_filled': child_friendly_filled,
    'child_friendly_outlined': child_friendly_outlined,
    'child_friendly_sharp': child_friendly_sharp,
    'child_friendly': child_friendly,
    'chip_extraction_filled_outlined': chip_extraction_filled_outlined,
    'chip_extraction_filled_sharp': chip_extraction_filled_sharp,
    'chip_extraction_filled': chip_extraction_filled,
    'chip_extraction_outlined': chip_extraction_outlined,
    'chip_extraction_sharp': chip_extraction_sharp,
    'chip_extraction': chip_extraction,
    'chrome_reader_mode_filled_outlined': chrome_reader_mode_filled_outlined,
    'chrome_reader_mode_filled_sharp': chrome_reader_mode_filled_sharp,
    'chrome_reader_mode_filled': chrome_reader_mode_filled,
    'chrome_reader_mode_outlined': chrome_reader_mode_outlined,
    'chrome_reader_mode_sharp': chrome_reader_mode_sharp,
    'chrome_reader_mode': chrome_reader_mode,
    'chromecast_2_filled_outlined': chromecast_2_filled_outlined,
    'chromecast_2_filled_sharp': chromecast_2_filled_sharp,
    'chromecast_2_filled': chromecast_2_filled,
    'chromecast_2_outlined': chromecast_2_outlined,
    'chromecast_2_sharp': chromecast_2_sharp,
    'chromecast_2': chromecast_2,
    'chromecast_device_filled_outlined': chromecast_device_filled_outlined,
    'chromecast_device_filled_sharp': chromecast_device_filled_sharp,
    'chromecast_device_filled': chromecast_device_filled,
    'chromecast_device_outlined': chromecast_device_outlined,
    'chromecast_device_sharp': chromecast_device_sharp,
    'chromecast_device': chromecast_device,
    'church_filled_outlined': church_filled_outlined,
    'church_filled_sharp': church_filled_sharp,
    'church_filled': church_filled,
    'church_outlined': church_outlined,
    'church_sharp': church_sharp,
    'church': church,
    'cinematic_blur_filled_outlined': cinematic_blur_filled_outlined,
    'cinematic_blur_filled_sharp': cinematic_blur_filled_sharp,
    'cinematic_blur_filled': cinematic_blur_filled,
    'cinematic_blur_outlined': cinematic_blur_outlined,
    'cinematic_blur_sharp': cinematic_blur_sharp,
    'cinematic_blur': cinematic_blur,
    'circle_filled_outlined': circle_filled_outlined,
    'circle_filled_sharp': circle_filled_sharp,
    'circle_filled': circle_filled,
    'circle_notifications_filled_outlined':
        circle_notifications_filled_outlined,
    'circle_notifications_filled_sharp': circle_notifications_filled_sharp,
    'circle_notifications_filled': circle_notifications_filled,
    'circle_notifications_outlined': circle_notifications_outlined,
    'circle_notifications_sharp': circle_notifications_sharp,
    'circle_notifications': circle_notifications,
    'circle_outlined': circle_outlined,
    'circle_sharp': circle_sharp,
    'circle': circle,
    'clarify_filled_outlined': clarify_filled_outlined,
    'clarify_filled_sharp': clarify_filled_sharp,
    'clarify_filled': clarify_filled,
    'clarify_outlined': clarify_outlined,
    'clarify_sharp': clarify_sharp,
    'clarify': clarify,
    'clean_hands_filled_outlined': clean_hands_filled_outlined,
    'clean_hands_filled_sharp': clean_hands_filled_sharp,
    'clean_hands_filled': clean_hands_filled,
    'clean_hands_outlined': clean_hands_outlined,
    'clean_hands_sharp': clean_hands_sharp,
    'clean_hands': clean_hands,
    'cleaning_bucket_filled_outlined': cleaning_bucket_filled_outlined,
    'cleaning_bucket_filled_sharp': cleaning_bucket_filled_sharp,
    'cleaning_bucket_filled': cleaning_bucket_filled,
    'cleaning_bucket_outlined': cleaning_bucket_outlined,
    'cleaning_bucket_sharp': cleaning_bucket_sharp,
    'cleaning_bucket': cleaning_bucket,
    'cleaning_services_filled_outlined': cleaning_services_filled_outlined,
    'cleaning_services_filled_sharp': cleaning_services_filled_sharp,
    'cleaning_services_filled': cleaning_services_filled,
    'cleaning_services_outlined': cleaning_services_outlined,
    'cleaning_services_sharp': cleaning_services_sharp,
    'cleaning_services': cleaning_services,
    'clear_all_filled_outlined': clear_all_filled_outlined,
    'clear_all_filled_sharp': clear_all_filled_sharp,
    'clear_all_filled': clear_all_filled,
    'clear_all_outlined': clear_all_outlined,
    'clear_all_sharp': clear_all_sharp,
    'clear_all': clear_all,
    'clear_day_filled_outlined': clear_day_filled_outlined,
    'clear_day_filled_sharp': clear_day_filled_sharp,
    'clear_day_filled': clear_day_filled,
    'clear_day_outlined': clear_day_outlined,
    'clear_day_sharp': clear_day_sharp,
    'clear_day': clear_day,
    'clear_night_filled_outlined': clear_night_filled_outlined,
    'clear_night_filled_sharp': clear_night_filled_sharp,
    'clear_night_filled': clear_night_filled,
    'clear_night_outlined': clear_night_outlined,
    'clear_night_sharp': clear_night_sharp,
    'clear_night': clear_night,
    'climate_mini_split_filled_outlined': climate_mini_split_filled_outlined,
    'climate_mini_split_filled_sharp': climate_mini_split_filled_sharp,
    'climate_mini_split_filled': climate_mini_split_filled,
    'climate_mini_split_outlined': climate_mini_split_outlined,
    'climate_mini_split_sharp': climate_mini_split_sharp,
    'climate_mini_split': climate_mini_split,
    'clinical_notes_filled_outlined': clinical_notes_filled_outlined,
    'clinical_notes_filled_sharp': clinical_notes_filled_sharp,
    'clinical_notes_filled': clinical_notes_filled,
    'clinical_notes_outlined': clinical_notes_outlined,
    'clinical_notes_sharp': clinical_notes_sharp,
    'clinical_notes': clinical_notes,
    'close_filled_outlined': close_filled_outlined,
    'close_filled_sharp': close_filled_sharp,
    'close_filled': close_filled,
    'close_fullscreen_filled_outlined': close_fullscreen_filled_outlined,
    'close_fullscreen_filled_sharp': close_fullscreen_filled_sharp,
    'close_fullscreen_filled': close_fullscreen_filled,
    'close_fullscreen_outlined': close_fullscreen_outlined,
    'close_fullscreen_sharp': close_fullscreen_sharp,
    'close_fullscreen': close_fullscreen,
    'close_outlined': close_outlined,
    'close_sharp': close_sharp,
    'close': close,
    'closed_caption_disabled_filled_outlined':
        closed_caption_disabled_filled_outlined,
    'closed_caption_disabled_filled_sharp':
        closed_caption_disabled_filled_sharp,
    'closed_caption_disabled_filled': closed_caption_disabled_filled,
    'closed_caption_disabled_outlined': closed_caption_disabled_outlined,
    'closed_caption_disabled_sharp': closed_caption_disabled_sharp,
    'closed_caption_disabled': closed_caption_disabled,
    'closed_caption_filled_outlined': closed_caption_filled_outlined,
    'closed_caption_filled_sharp': closed_caption_filled_sharp,
    'closed_caption_filled': closed_caption_filled,
    'closed_caption_outlined': closed_caption_outlined,
    'closed_caption_sharp': closed_caption_sharp,
    'closed_caption': closed_caption,
    'cloud_circle_filled_outlined': cloud_circle_filled_outlined,
    'cloud_circle_filled_sharp': cloud_circle_filled_sharp,
    'cloud_circle_filled': cloud_circle_filled,
    'cloud_circle_outlined': cloud_circle_outlined,
    'cloud_circle_sharp': cloud_circle_sharp,
    'cloud_circle': cloud_circle,
    'cloud_done_filled_outlined': cloud_done_filled_outlined,
    'cloud_done_filled_sharp': cloud_done_filled_sharp,
    'cloud_done_filled': cloud_done_filled,
    'cloud_done_outlined': cloud_done_outlined,
    'cloud_done_sharp': cloud_done_sharp,
    'cloud_done': cloud_done,
    'cloud_download_filled_outlined': cloud_download_filled_outlined,
    'cloud_download_filled_sharp': cloud_download_filled_sharp,
    'cloud_download_filled': cloud_download_filled,
    'cloud_download_outlined': cloud_download_outlined,
    'cloud_download_sharp': cloud_download_sharp,
    'cloud_download': cloud_download,
    'cloud_filled_outlined': cloud_filled_outlined,
    'cloud_filled_sharp': cloud_filled_sharp,
    'cloud_filled': cloud_filled,
    'cloud_off_filled_outlined': cloud_off_filled_outlined,
    'cloud_off_filled_sharp': cloud_off_filled_sharp,
    'cloud_off_filled': cloud_off_filled,
    'cloud_off_outlined': cloud_off_outlined,
    'cloud_off_sharp': cloud_off_sharp,
    'cloud_off': cloud_off,
    'cloud_outlined': cloud_outlined,
    'cloud_queue_filled_outlined': cloud_queue_filled_outlined,
    'cloud_queue_filled_sharp': cloud_queue_filled_sharp,
    'cloud_queue_filled': cloud_queue_filled,
    'cloud_queue_outlined': cloud_queue_outlined,
    'cloud_queue_sharp': cloud_queue_sharp,
    'cloud_queue': cloud_queue,
    'cloud_sharp': cloud_sharp,
    'cloud_sync_filled_outlined': cloud_sync_filled_outlined,
    'cloud_sync_filled_sharp': cloud_sync_filled_sharp,
    'cloud_sync_filled': cloud_sync_filled,
    'cloud_sync_outlined': cloud_sync_outlined,
    'cloud_sync_sharp': cloud_sync_sharp,
    'cloud_sync': cloud_sync,
    'cloud_upload_filled_outlined': cloud_upload_filled_outlined,
    'cloud_upload_filled_sharp': cloud_upload_filled_sharp,
    'cloud_upload_filled': cloud_upload_filled,
    'cloud_upload_outlined': cloud_upload_outlined,
    'cloud_upload_sharp': cloud_upload_sharp,
    'cloud_upload': cloud_upload,
    'cloud': cloud,
    'cloudy_filled_2_outlined': cloudy_filled_2_outlined,
    'cloudy_filled_2_sharp': cloudy_filled_2_sharp,
    'cloudy_filled_2': cloudy_filled_2,
    'cloudy_filled_filled_outlined': cloudy_filled_filled_outlined,
    'cloudy_filled_filled_sharp': cloudy_filled_filled_sharp,
    'cloudy_filled_filled': cloudy_filled_filled,
    'cloudy_filled_outlined': cloudy_filled_outlined,
    'cloudy_filled_sharp': cloudy_filled_sharp,
    'cloudy_filled': cloudy_filled,
    'cloudy_outlined': cloudy_outlined,
    'cloudy_sharp': cloudy_sharp,
    'cloudy_snowing_filled_outlined': cloudy_snowing_filled_outlined,
    'cloudy_snowing_filled_sharp': cloudy_snowing_filled_sharp,
    'cloudy_snowing_filled': cloudy_snowing_filled,
    'cloudy_snowing_outlined': cloudy_snowing_outlined,
    'cloudy_snowing_sharp': cloudy_snowing_sharp,
    'cloudy_snowing': cloudy_snowing,
    'cloudy': cloudy,
    'co_present_filled_outlined': co_present_filled_outlined,
    'co_present_filled_sharp': co_present_filled_sharp,
    'co_present_filled': co_present_filled,
    'co_present_outlined': co_present_outlined,
    'co_present_sharp': co_present_sharp,
    'co_present': co_present,
    'co2_filled_outlined': co2_filled_outlined,
    'co2_filled_sharp': co2_filled_sharp,
    'co2_filled': co2_filled,
    'co2_outlined': co2_outlined,
    'co2_sharp': co2_sharp,
    'co2': co2,
    'code_blocks_filled_outlined': code_blocks_filled_outlined,
    'code_blocks_filled_sharp': code_blocks_filled_sharp,
    'code_blocks_filled': code_blocks_filled,
    'code_blocks_outlined': code_blocks_outlined,
    'code_blocks_sharp': code_blocks_sharp,
    'code_blocks': code_blocks,
    'code_filled_outlined': code_filled_outlined,
    'code_filled_sharp': code_filled_sharp,
    'code_filled': code_filled,
    'code_off_filled_outlined': code_off_filled_outlined,
    'code_off_filled_sharp': code_off_filled_sharp,
    'code_off_filled': code_off_filled,
    'code_off_outlined': code_off_outlined,
    'code_off_sharp': code_off_sharp,
    'code_off': code_off,
    'code_outlined': code_outlined,
    'code_sharp': code_sharp,
    'code': code,
    'coffee_filled_outlined': coffee_filled_outlined,
    'coffee_filled_sharp': coffee_filled_sharp,
    'coffee_filled': coffee_filled,
    'coffee_maker_filled_outlined': coffee_maker_filled_outlined,
    'coffee_maker_filled_sharp': coffee_maker_filled_sharp,
    'coffee_maker_filled': coffee_maker_filled,
    'coffee_maker_outlined': coffee_maker_outlined,
    'coffee_maker_sharp': coffee_maker_sharp,
    'coffee_maker': coffee_maker,
    'coffee_outlined': coffee_outlined,
    'coffee_sharp': coffee_sharp,
    'coffee': coffee,
    'cognition_filled_outlined': cognition_filled_outlined,
    'cognition_filled_sharp': cognition_filled_sharp,
    'cognition_filled': cognition_filled,
    'cognition_outlined': cognition_outlined,
    'cognition_sharp': cognition_sharp,
    'cognition': cognition,
    'collections_bookmark_filled_outlined':
        collections_bookmark_filled_outlined,
    'collections_bookmark_filled_sharp': collections_bookmark_filled_sharp,
    'collections_bookmark_filled': collections_bookmark_filled,
    'collections_bookmark_outlined': collections_bookmark_outlined,
    'collections_bookmark_sharp': collections_bookmark_sharp,
    'collections_bookmark': collections_bookmark,
    'colorize_filled_outlined': colorize_filled_outlined,
    'colorize_filled_sharp': colorize_filled_sharp,
    'colorize_filled': colorize_filled,
    'colorize_outlined': colorize_outlined,
    'colorize_sharp': colorize_sharp,
    'colorize': colorize,
    'comment_bank_filled_outlined': comment_bank_filled_outlined,
    'comment_bank_filled_sharp': comment_bank_filled_sharp,
    'comment_bank_filled': comment_bank_filled,
    'comment_bank_outlined': comment_bank_outlined,
    'comment_bank_sharp': comment_bank_sharp,
    'comment_bank': comment_bank,
    'comment_filled_outlined': comment_filled_outlined,
    'comment_filled_sharp': comment_filled_sharp,
    'comment_filled': comment_filled,
    'comment_outlined': comment_outlined,
    'comment_sharp': comment_sharp,
    'comment': comment,
    'comments_disabled_filled_outlined': comments_disabled_filled_outlined,
    'comments_disabled_filled_sharp': comments_disabled_filled_sharp,
    'comments_disabled_filled': comments_disabled_filled,
    'comments_disabled_outlined': comments_disabled_outlined,
    'comments_disabled_sharp': comments_disabled_sharp,
    'comments_disabled': comments_disabled,
    'commit_filled_outlined': commit_filled_outlined,
    'commit_filled_sharp': commit_filled_sharp,
    'commit_filled': commit_filled,
    'commit_outlined': commit_outlined,
    'commit_sharp': commit_sharp,
    'commit': commit,
    'communication_filled_outlined': communication_filled_outlined,
    'communication_filled_sharp': communication_filled_sharp,
    'communication_filled': communication_filled,
    'communication_outlined': communication_outlined,
    'communication_sharp': communication_sharp,
    'communication': communication,
    'commute_filled_outlined': commute_filled_outlined,
    'commute_filled_sharp': commute_filled_sharp,
    'commute_filled': commute_filled,
    'commute_outlined': commute_outlined,
    'commute_sharp': commute_sharp,
    'commute': commute,
    'compare_arrows_filled_outlined': compare_arrows_filled_outlined,
    'compare_arrows_filled_sharp': compare_arrows_filled_sharp,
    'compare_arrows_filled': compare_arrows_filled,
    'compare_arrows_outlined': compare_arrows_outlined,
    'compare_arrows_sharp': compare_arrows_sharp,
    'compare_arrows': compare_arrows,
    'compare_filled_outlined': compare_filled_outlined,
    'compare_filled_sharp': compare_filled_sharp,
    'compare_filled': compare_filled,
    'compare_outlined': compare_outlined,
    'compare_sharp': compare_sharp,
    'compare': compare,
    'compass_calibration_filled_outlined': compass_calibration_filled_outlined,
    'compass_calibration_filled_sharp': compass_calibration_filled_sharp,
    'compass_calibration_filled': compass_calibration_filled,
    'compass_calibration_outlined': compass_calibration_outlined,
    'compass_calibration_sharp': compass_calibration_sharp,
    'compass_calibration': compass_calibration,
    'component_exchange_filled_outlined': component_exchange_filled_outlined,
    'component_exchange_filled_sharp': component_exchange_filled_sharp,
    'component_exchange_filled': component_exchange_filled,
    'component_exchange_outlined': component_exchange_outlined,
    'component_exchange_sharp': component_exchange_sharp,
    'component_exchange': component_exchange,
    'compost_filled_outlined': compost_filled_outlined,
    'compost_filled_sharp': compost_filled_sharp,
    'compost_filled': compost_filled,
    'compost_outlined': compost_outlined,
    'compost_sharp': compost_sharp,
    'compost': compost,
    'compress_filled_outlined': compress_filled_outlined,
    'compress_filled_sharp': compress_filled_sharp,
    'compress_filled': compress_filled,
    'compress_outlined': compress_outlined,
    'compress_sharp': compress_sharp,
    'compress': compress,
    'computer_filled_outlined': computer_filled_outlined,
    'computer_filled_sharp': computer_filled_sharp,
    'computer_filled': computer_filled,
    'computer_outlined': computer_outlined,
    'computer_sharp': computer_sharp,
    'computer': computer,
    'conditions_filled_outlined': conditions_filled_outlined,
    'conditions_filled_sharp': conditions_filled_sharp,
    'conditions_filled': conditions_filled,
    'conditions_outlined': conditions_outlined,
    'conditions_sharp': conditions_sharp,
    'conditions': conditions,
    'confirmation_number_filled_outlined': confirmation_number_filled_outlined,
    'confirmation_number_filled_sharp': confirmation_number_filled_sharp,
    'confirmation_number_filled': confirmation_number_filled,
    'confirmation_number_outlined': confirmation_number_outlined,
    'confirmation_number_sharp': confirmation_number_sharp,
    'confirmation_number': confirmation_number,
    'connect_without_contact_filled_outlined':
        connect_without_contact_filled_outlined,
    'connect_without_contact_filled_sharp':
        connect_without_contact_filled_sharp,
    'connect_without_contact_filled': connect_without_contact_filled,
    'connect_without_contact_outlined': connect_without_contact_outlined,
    'connect_without_contact_sharp': connect_without_contact_sharp,
    'connect_without_contact': connect_without_contact,
    'connected_tv_filled_outlined': connected_tv_filled_outlined,
    'connected_tv_filled_sharp': connected_tv_filled_sharp,
    'connected_tv_filled': connected_tv_filled,
    'connected_tv_outlined': connected_tv_outlined,
    'connected_tv_sharp': connected_tv_sharp,
    'connected_tv': connected_tv,
    'connecting_airports_filled_outlined': connecting_airports_filled_outlined,
    'connecting_airports_filled_sharp': connecting_airports_filled_sharp,
    'connecting_airports_filled': connecting_airports_filled,
    'connecting_airports_outlined': connecting_airports_outlined,
    'connecting_airports_sharp': connecting_airports_sharp,
    'connecting_airports': connecting_airports,
    'construction_filled_outlined': construction_filled_outlined,
    'construction_filled_sharp': construction_filled_sharp,
    'construction_filled': construction_filled,
    'construction_outlined': construction_outlined,
    'construction_sharp': construction_sharp,
    'construction': construction,
    'contact_emergency_filled_outlined': contact_emergency_filled_outlined,
    'contact_emergency_filled_sharp': contact_emergency_filled_sharp,
    'contact_emergency_filled': contact_emergency_filled,
    'contact_emergency_outlined': contact_emergency_outlined,
    'contact_emergency_sharp': contact_emergency_sharp,
    'contact_emergency': contact_emergency,
    'contact_mail_filled_outlined': contact_mail_filled_outlined,
    'contact_mail_filled_sharp': contact_mail_filled_sharp,
    'contact_mail_filled': contact_mail_filled,
    'contact_mail_outlined': contact_mail_outlined,
    'contact_mail_sharp': contact_mail_sharp,
    'contact_mail': contact_mail,
    'contact_page_filled_outlined': contact_page_filled_outlined,
    'contact_page_filled_sharp': contact_page_filled_sharp,
    'contact_page_filled': contact_page_filled,
    'contact_page_outlined': contact_page_outlined,
    'contact_page_sharp': contact_page_sharp,
    'contact_page': contact_page,
    'contact_phone_filled_outlined': contact_phone_filled_outlined,
    'contact_phone_filled_sharp': contact_phone_filled_sharp,
    'contact_phone_filled': contact_phone_filled,
    'contact_phone_outlined': contact_phone_outlined,
    'contact_phone_sharp': contact_phone_sharp,
    'contact_phone': contact_phone,
    'contact_support_filled_outlined': contact_support_filled_outlined,
    'contact_support_filled_sharp': contact_support_filled_sharp,
    'contact_support_filled': contact_support_filled,
    'contact_support_outlined': contact_support_outlined,
    'contact_support_sharp': contact_support_sharp,
    'contact_support': contact_support,
    'contactless_filled_outlined': contactless_filled_outlined,
    'contactless_filled_sharp': contactless_filled_sharp,
    'contactless_filled': contactless_filled,
    'contactless_off_filled_outlined': contactless_off_filled_outlined,
    'contactless_off_filled_sharp': contactless_off_filled_sharp,
    'contactless_off_filled': contactless_off_filled,
    'contactless_off_outlined': contactless_off_outlined,
    'contactless_off_sharp': contactless_off_sharp,
    'contactless_off': contactless_off,
    'contactless_outlined': contactless_outlined,
    'contactless_sharp': contactless_sharp,
    'contactless': contactless,
    'contacts_filled_outlined': contacts_filled_outlined,
    'contacts_filled_sharp': contacts_filled_sharp,
    'contacts_filled': contacts_filled,
    'contacts_outlined': contacts_outlined,
    'contacts_sharp': contacts_sharp,
    'contacts': contacts,
    'content_copy_filled_outlined': content_copy_filled_outlined,
    'content_copy_filled_sharp': content_copy_filled_sharp,
    'content_copy_filled': content_copy_filled,
    'content_copy_outlined': content_copy_outlined,
    'content_copy_sharp': content_copy_sharp,
    'content_copy': content_copy,
    'content_cut_filled_outlined': content_cut_filled_outlined,
    'content_cut_filled_sharp': content_cut_filled_sharp,
    'content_cut_filled': content_cut_filled,
    'content_cut_outlined': content_cut_outlined,
    'content_cut_sharp': content_cut_sharp,
    'content_cut': content_cut,
    'content_paste_filled_outlined': content_paste_filled_outlined,
    'content_paste_filled_sharp': content_paste_filled_sharp,
    'content_paste_filled': content_paste_filled,
    'content_paste_go_filled_outlined': content_paste_go_filled_outlined,
    'content_paste_go_filled_sharp': content_paste_go_filled_sharp,
    'content_paste_go_filled': content_paste_go_filled,
    'content_paste_go_outlined': content_paste_go_outlined,
    'content_paste_go_sharp': content_paste_go_sharp,
    'content_paste_go': content_paste_go,
    'content_paste_off_filled_outlined': content_paste_off_filled_outlined,
    'content_paste_off_filled_sharp': content_paste_off_filled_sharp,
    'content_paste_off_filled': content_paste_off_filled,
    'content_paste_off_outlined': content_paste_off_outlined,
    'content_paste_off_sharp': content_paste_off_sharp,
    'content_paste_off': content_paste_off,
    'content_paste_outlined': content_paste_outlined,
    'content_paste_search_filled_outlined':
        content_paste_search_filled_outlined,
    'content_paste_search_filled_sharp': content_paste_search_filled_sharp,
    'content_paste_search_filled': content_paste_search_filled,
    'content_paste_search_outlined': content_paste_search_outlined,
    'content_paste_search_sharp': content_paste_search_sharp,
    'content_paste_search': content_paste_search,
    'content_paste_sharp': content_paste_sharp,
    'content_paste': content_paste,
    'contrast_filled_outlined': contrast_filled_outlined,
    'contrast_filled_sharp': contrast_filled_sharp,
    'contrast_filled': contrast_filled,
    'contrast_outlined': contrast_outlined,
    'contrast_sharp': contrast_sharp,
    'contrast': contrast,
    'control_camera_filled_outlined': control_camera_filled_outlined,
    'control_camera_filled_sharp': control_camera_filled_sharp,
    'control_camera_filled': control_camera_filled,
    'control_camera_outlined': control_camera_outlined,
    'control_camera_sharp': control_camera_sharp,
    'control_camera': control_camera,
    'control_point_duplicate_filled_outlined':
        control_point_duplicate_filled_outlined,
    'control_point_duplicate_filled_sharp':
        control_point_duplicate_filled_sharp,
    'control_point_duplicate_filled': control_point_duplicate_filled,
    'control_point_duplicate_outlined': control_point_duplicate_outlined,
    'control_point_duplicate_sharp': control_point_duplicate_sharp,
    'control_point_duplicate': control_point_duplicate,
    'controller_gen_filled_outlined': controller_gen_filled_outlined,
    'controller_gen_filled_sharp': controller_gen_filled_sharp,
    'controller_gen_filled': controller_gen_filled,
    'controller_gen_outlined': controller_gen_outlined,
    'controller_gen_sharp': controller_gen_sharp,
    'controller_gen': controller_gen,
    'conversion_path_filled_outlined': conversion_path_filled_outlined,
    'conversion_path_filled_sharp': conversion_path_filled_sharp,
    'conversion_path_filled': conversion_path_filled,
    'conversion_path_outlined': conversion_path_outlined,
    'conversion_path_sharp': conversion_path_sharp,
    'conversion_path': conversion_path,
    'conveyor_belt_filled_outlined': conveyor_belt_filled_outlined,
    'conveyor_belt_filled_sharp': conveyor_belt_filled_sharp,
    'conveyor_belt_filled': conveyor_belt_filled,
    'conveyor_belt_outlined': conveyor_belt_outlined,
    'conveyor_belt_sharp': conveyor_belt_sharp,
    'conveyor_belt': conveyor_belt,
    'cookie_filled_outlined': cookie_filled_outlined,
    'cookie_filled_sharp': cookie_filled_sharp,
    'cookie_filled': cookie_filled,
    'cookie_outlined': cookie_outlined,
    'cookie_sharp': cookie_sharp,
    'cookie': cookie,
    'cooking_filled_outlined': cooking_filled_outlined,
    'cooking_filled_sharp': cooking_filled_sharp,
    'cooking_filled': cooking_filled,
    'cooking_outlined': cooking_outlined,
    'cooking_sharp': cooking_sharp,
    'cooking': cooking,
    'cool_to_dry_filled_outlined': cool_to_dry_filled_outlined,
    'cool_to_dry_filled_sharp': cool_to_dry_filled_sharp,
    'cool_to_dry_filled': cool_to_dry_filled,
    'cool_to_dry_outlined': cool_to_dry_outlined,
    'cool_to_dry_sharp': cool_to_dry_sharp,
    'cool_to_dry': cool_to_dry,
    'copy_all_filled_outlined': copy_all_filled_outlined,
    'copy_all_filled_sharp': copy_all_filled_sharp,
    'copy_all_filled': copy_all_filled,
    'copy_all_outlined': copy_all_outlined,
    'copy_all_sharp': copy_all_sharp,
    'copy_all': copy_all,
    'copyright_filled_outlined': copyright_filled_outlined,
    'copyright_filled_sharp': copyright_filled_sharp,
    'copyright_filled': copyright_filled,
    'copyright_outlined': copyright_outlined,
    'copyright_sharp': copyright_sharp,
    'copyright': copyright,
    'coronavirus_filled_outlined': coronavirus_filled_outlined,
    'coronavirus_filled_sharp': coronavirus_filled_sharp,
    'coronavirus_filled': coronavirus_filled,
    'coronavirus_outlined': coronavirus_outlined,
    'coronavirus_sharp': coronavirus_sharp,
    'coronavirus': coronavirus,
    'corporate_fare_filled_outlined': corporate_fare_filled_outlined,
    'corporate_fare_filled_sharp': corporate_fare_filled_sharp,
    'corporate_fare_filled': corporate_fare_filled,
    'corporate_fare_outlined': corporate_fare_outlined,
    'corporate_fare_sharp': corporate_fare_sharp,
    'corporate_fare': corporate_fare,
    'cottage_filled_outlined': cottage_filled_outlined,
    'cottage_filled_sharp': cottage_filled_sharp,
    'cottage_filled': cottage_filled,
    'cottage_outlined': cottage_outlined,
    'cottage_sharp': cottage_sharp,
    'cottage': cottage,
    'countertops_filled_outlined': countertops_filled_outlined,
    'countertops_filled_sharp': countertops_filled_sharp,
    'countertops_filled': countertops_filled,
    'countertops_outlined': countertops_outlined,
    'countertops_sharp': countertops_sharp,
    'countertops': countertops,
    'create_new_folder_filled_outlined': create_new_folder_filled_outlined,
    'create_new_folder_filled_sharp': create_new_folder_filled_sharp,
    'create_new_folder_filled': create_new_folder_filled,
    'create_new_folder_outlined': create_new_folder_outlined,
    'create_new_folder_sharp': create_new_folder_sharp,
    'create_new_folder': create_new_folder,
    'credit_card_filled_outlined': credit_card_filled_outlined,
    'credit_card_filled_sharp': credit_card_filled_sharp,
    'credit_card_filled': credit_card_filled,
    'credit_card_off_filled_outlined': credit_card_off_filled_outlined,
    'credit_card_off_filled_sharp': credit_card_off_filled_sharp,
    'credit_card_off_filled': credit_card_off_filled,
    'credit_card_off_outlined': credit_card_off_outlined,
    'credit_card_off_sharp': credit_card_off_sharp,
    'credit_card_off': credit_card_off,
    'credit_card_outlined': credit_card_outlined,
    'credit_card_sharp': credit_card_sharp,
    'credit_card': credit_card,
    'credit_score_filled_outlined': credit_score_filled_outlined,
    'credit_score_filled_sharp': credit_score_filled_sharp,
    'credit_score_filled': credit_score_filled,
    'credit_score_outlined': credit_score_outlined,
    'credit_score_sharp': credit_score_sharp,
    'credit_score': credit_score,
    'crib_filled_outlined': crib_filled_outlined,
    'crib_filled_sharp': crib_filled_sharp,
    'crib_filled': crib_filled,
    'crib_outlined': crib_outlined,
    'crib_sharp': crib_sharp,
    'crib': crib,
    'crisis_alert_filled_outlined': crisis_alert_filled_outlined,
    'crisis_alert_filled_sharp': crisis_alert_filled_sharp,
    'crisis_alert_filled': crisis_alert_filled,
    'crisis_alert_outlined': crisis_alert_outlined,
    'crisis_alert_sharp': crisis_alert_sharp,
    'crisis_alert': crisis_alert,
    'crop_16_9_filled_outlined': crop_16_9_filled_outlined,
    'crop_16_9_filled_sharp': crop_16_9_filled_sharp,
    'crop_16_9_filled': crop_16_9_filled,
    'crop_16_9_outlined': crop_16_9_outlined,
    'crop_16_9_sharp': crop_16_9_sharp,
    'crop_16_9': crop_16_9,
    'crop_3_2_filled_outlined': crop_3_2_filled_outlined,
    'crop_3_2_filled_sharp': crop_3_2_filled_sharp,
    'crop_3_2_filled': crop_3_2_filled,
    'crop_3_2_outlined': crop_3_2_outlined,
    'crop_3_2_sharp': crop_3_2_sharp,
    'crop_3_2': crop_3_2,
    'crop_5_4_filled_outlined': crop_5_4_filled_outlined,
    'crop_5_4_filled_sharp': crop_5_4_filled_sharp,
    'crop_5_4_filled': crop_5_4_filled,
    'crop_5_4_outlined': crop_5_4_outlined,
    'crop_5_4_sharp': crop_5_4_sharp,
    'crop_5_4': crop_5_4,
    'crop_7_5_filled_outlined': crop_7_5_filled_outlined,
    'crop_7_5_filled_sharp': crop_7_5_filled_sharp,
    'crop_7_5_filled': crop_7_5_filled,
    'crop_7_5_outlined': crop_7_5_outlined,
    'crop_7_5_sharp': crop_7_5_sharp,
    'crop_7_5': crop_7_5,
    'crop_filled_outlined': crop_filled_outlined,
    'crop_filled_sharp': crop_filled_sharp,
    'crop_filled': crop_filled,
    'crop_free_filled_outlined': crop_free_filled_outlined,
    'crop_free_filled_sharp': crop_free_filled_sharp,
    'crop_free_filled': crop_free_filled,
    'crop_free_outlined': crop_free_outlined,
    'crop_free_sharp': crop_free_sharp,
    'crop_free': crop_free,
    'crop_landscape_filled_outlined': crop_landscape_filled_outlined,
    'crop_landscape_filled_sharp': crop_landscape_filled_sharp,
    'crop_landscape_filled': crop_landscape_filled,
    'crop_landscape_outlined': crop_landscape_outlined,
    'crop_landscape_sharp': crop_landscape_sharp,
    'crop_landscape': crop_landscape,
    'crop_outlined': crop_outlined,
    'crop_portrait_filled_outlined': crop_portrait_filled_outlined,
    'crop_portrait_filled_sharp': crop_portrait_filled_sharp,
    'crop_portrait_filled': crop_portrait_filled,
    'crop_portrait_outlined': crop_portrait_outlined,
    'crop_portrait_sharp': crop_portrait_sharp,
    'crop_portrait': crop_portrait,
    'crop_rotate_filled_outlined': crop_rotate_filled_outlined,
    'crop_rotate_filled_sharp': crop_rotate_filled_sharp,
    'crop_rotate_filled': crop_rotate_filled,
    'crop_rotate_outlined': crop_rotate_outlined,
    'crop_rotate_sharp': crop_rotate_sharp,
    'crop_rotate': crop_rotate,
    'crop_sharp': crop_sharp,
    'crop_square_filled_outlined': crop_square_filled_outlined,
    'crop_square_filled_sharp': crop_square_filled_sharp,
    'crop_square_filled': crop_square_filled,
    'crop_square_outlined': crop_square_outlined,
    'crop_square_sharp': crop_square_sharp,
    'crop_square': crop_square,
    'crop': crop,
    'cruelty_free_filled_outlined': cruelty_free_filled_outlined,
    'cruelty_free_filled_sharp': cruelty_free_filled_sharp,
    'cruelty_free_filled': cruelty_free_filled,
    'cruelty_free_outlined': cruelty_free_outlined,
    'cruelty_free_sharp': cruelty_free_sharp,
    'cruelty_free': cruelty_free,
    'css_filled_outlined': css_filled_outlined,
    'css_filled_sharp': css_filled_sharp,
    'css_filled': css_filled,
    'css_outlined': css_outlined,
    'css_sharp': css_sharp,
    'css': css,
    'currency_bitcoin_filled_outlined': currency_bitcoin_filled_outlined,
    'currency_bitcoin_filled_sharp': currency_bitcoin_filled_sharp,
    'currency_bitcoin_filled': currency_bitcoin_filled,
    'currency_bitcoin_outlined': currency_bitcoin_outlined,
    'currency_bitcoin_sharp': currency_bitcoin_sharp,
    'currency_bitcoin': currency_bitcoin,
    'currency_exchange_filled_outlined': currency_exchange_filled_outlined,
    'currency_exchange_filled_sharp': currency_exchange_filled_sharp,
    'currency_exchange_filled': currency_exchange_filled,
    'currency_exchange_outlined': currency_exchange_outlined,
    'currency_exchange_sharp': currency_exchange_sharp,
    'currency_exchange': currency_exchange,
    'currency_franc_filled_outlined': currency_franc_filled_outlined,
    'currency_franc_filled_sharp': currency_franc_filled_sharp,
    'currency_franc_filled': currency_franc_filled,
    'currency_franc_outlined': currency_franc_outlined,
    'currency_franc_sharp': currency_franc_sharp,
    'currency_franc': currency_franc,
    'currency_lira_filled_outlined': currency_lira_filled_outlined,
    'currency_lira_filled_sharp': currency_lira_filled_sharp,
    'currency_lira_filled': currency_lira_filled,
    'currency_lira_outlined': currency_lira_outlined,
    'currency_lira_sharp': currency_lira_sharp,
    'currency_lira': currency_lira,
    'currency_pound_filled_outlined': currency_pound_filled_outlined,
    'currency_pound_filled_sharp': currency_pound_filled_sharp,
    'currency_pound_filled': currency_pound_filled,
    'currency_pound_outlined': currency_pound_outlined,
    'currency_pound_sharp': currency_pound_sharp,
    'currency_pound': currency_pound,
    'currency_ruble_filled_outlined': currency_ruble_filled_outlined,
    'currency_ruble_filled_sharp': currency_ruble_filled_sharp,
    'currency_ruble_filled': currency_ruble_filled,
    'currency_ruble_outlined': currency_ruble_outlined,
    'currency_ruble_sharp': currency_ruble_sharp,
    'currency_ruble': currency_ruble,
    'currency_rupee_filled_outlined': currency_rupee_filled_outlined,
    'currency_rupee_filled_sharp': currency_rupee_filled_sharp,
    'currency_rupee_filled': currency_rupee_filled,
    'currency_rupee_outlined': currency_rupee_outlined,
    'currency_rupee_sharp': currency_rupee_sharp,
    'currency_rupee': currency_rupee,
    'currency_yen_filled_outlined': currency_yen_filled_outlined,
    'currency_yen_filled_sharp': currency_yen_filled_sharp,
    'currency_yen_filled': currency_yen_filled,
    'currency_yen_outlined': currency_yen_outlined,
    'currency_yen_sharp': currency_yen_sharp,
    'currency_yen': currency_yen,
    'currency_yuan_filled_outlined': currency_yuan_filled_outlined,
    'currency_yuan_filled_sharp': currency_yuan_filled_sharp,
    'currency_yuan_filled': currency_yuan_filled,
    'currency_yuan_outlined': currency_yuan_outlined,
    'currency_yuan_sharp': currency_yuan_sharp,
    'currency_yuan': currency_yuan,
    'curtains_closed_filled_outlined': curtains_closed_filled_outlined,
    'curtains_closed_filled_sharp': curtains_closed_filled_sharp,
    'curtains_closed_filled': curtains_closed_filled,
    'curtains_closed_outlined': curtains_closed_outlined,
    'curtains_closed_sharp': curtains_closed_sharp,
    'curtains_closed': curtains_closed,
    'curtains_filled_outlined': curtains_filled_outlined,
    'curtains_filled_sharp': curtains_filled_sharp,
    'curtains_filled': curtains_filled,
    'curtains_outlined': curtains_outlined,
    'curtains_sharp': curtains_sharp,
    'curtains': curtains,
    'cut_filled_outlined': cut_filled_outlined,
    'cut_filled_sharp': cut_filled_sharp,
    'cut_filled': cut_filled,
    'cut_outlined': cut_outlined,
    'cut_sharp': cut_sharp,
    'cut': cut,
    'cycle_filled_outlined': cycle_filled_outlined,
    'cycle_filled_sharp': cycle_filled_sharp,
    'cycle_filled': cycle_filled,
    'cycle_outlined': cycle_outlined,
    'cycle_sharp': cycle_sharp,
    'cycle': cycle,
    'cyclone_filled_outlined': cyclone_filled_outlined,
    'cyclone_filled_sharp': cyclone_filled_sharp,
    'cyclone_filled': cyclone_filled,
    'cyclone_outlined': cyclone_outlined,
    'cyclone_sharp': cyclone_sharp,
    'cyclone': cyclone,
    'dangerous_filled_outlined': dangerous_filled_outlined,
    'dangerous_filled_sharp': dangerous_filled_sharp,
    'dangerous_filled': dangerous_filled,
    'dangerous_outlined': dangerous_outlined,
    'dangerous_sharp': dangerous_sharp,
    'dangerous': dangerous,
    'dark_mode_filled_outlined': dark_mode_filled_outlined,
    'dark_mode_filled_sharp': dark_mode_filled_sharp,
    'dark_mode_filled': dark_mode_filled,
    'dark_mode_outlined': dark_mode_outlined,
    'dark_mode_sharp': dark_mode_sharp,
    'dark_mode': dark_mode,
    'dashboard_customize_filled_outlined': dashboard_customize_filled_outlined,
    'dashboard_customize_filled_sharp': dashboard_customize_filled_sharp,
    'dashboard_customize_filled': dashboard_customize_filled,
    'dashboard_customize_outlined': dashboard_customize_outlined,
    'dashboard_customize_sharp': dashboard_customize_sharp,
    'dashboard_customize': dashboard_customize,
    'dashboard_filled_outlined': dashboard_filled_outlined,
    'dashboard_filled_sharp': dashboard_filled_sharp,
    'dashboard_filled': dashboard_filled,
    'dashboard_outlined': dashboard_outlined,
    'dashboard_sharp': dashboard_sharp,
    'dashboard': dashboard,
    'data_array_filled_outlined': data_array_filled_outlined,
    'data_array_filled_sharp': data_array_filled_sharp,
    'data_array_filled': data_array_filled,
    'data_array_outlined': data_array_outlined,
    'data_array_sharp': data_array_sharp,
    'data_array': data_array,
    'data_exploration_filled_outlined': data_exploration_filled_outlined,
    'data_exploration_filled_sharp': data_exploration_filled_sharp,
    'data_exploration_filled': data_exploration_filled,
    'data_exploration_outlined': data_exploration_outlined,
    'data_exploration_sharp': data_exploration_sharp,
    'data_exploration': data_exploration,
    'data_object_filled_outlined': data_object_filled_outlined,
    'data_object_filled_sharp': data_object_filled_sharp,
    'data_object_filled': data_object_filled,
    'data_object_outlined': data_object_outlined,
    'data_object_sharp': data_object_sharp,
    'data_object': data_object,
    'data_saver_on_filled_outlined': data_saver_on_filled_outlined,
    'data_saver_on_filled_sharp': data_saver_on_filled_sharp,
    'data_saver_on_filled': data_saver_on_filled,
    'data_saver_on_outlined': data_saver_on_outlined,
    'data_saver_on_sharp': data_saver_on_sharp,
    'data_saver_on': data_saver_on,
    'data_thresholding_filled_outlined': data_thresholding_filled_outlined,
    'data_thresholding_filled_sharp': data_thresholding_filled_sharp,
    'data_thresholding_filled': data_thresholding_filled,
    'data_thresholding_outlined': data_thresholding_outlined,
    'data_thresholding_sharp': data_thresholding_sharp,
    'data_thresholding': data_thresholding,
    'data_usage_filled_outlined': data_usage_filled_outlined,
    'data_usage_filled_sharp': data_usage_filled_sharp,
    'data_usage_filled': data_usage_filled,
    'data_usage_outlined': data_usage_outlined,
    'data_usage_sharp': data_usage_sharp,
    'data_usage': data_usage,
    'database_filled_outlined': database_filled_outlined,
    'database_filled_sharp': database_filled_sharp,
    'database_filled': database_filled,
    'database_outlined': database_outlined,
    'database_sharp': database_sharp,
    'database': database,
    'dataset_filled_outlined': dataset_filled_outlined,
    'dataset_filled_sharp': dataset_filled_sharp,
    'dataset_filled': dataset_filled,
    'dataset_linked_filled_outlined': dataset_linked_filled_outlined,
    'dataset_linked_filled_sharp': dataset_linked_filled_sharp,
    'dataset_linked_filled': dataset_linked_filled,
    'dataset_linked_outlined': dataset_linked_outlined,
    'dataset_linked_sharp': dataset_linked_sharp,
    'dataset_linked': dataset_linked,
    'dataset_outlined': dataset_outlined,
    'dataset_sharp': dataset_sharp,
    'dataset': dataset,
    'date_range_filled_outlined': date_range_filled_outlined,
    'date_range_filled_sharp': date_range_filled_sharp,
    'date_range_filled': date_range_filled,
    'date_range_outlined': date_range_outlined,
    'date_range_sharp': date_range_sharp,
    'date_range': date_range,
    'deblur_filled_outlined': deblur_filled_outlined,
    'deblur_filled_sharp': deblur_filled_sharp,
    'deblur_filled': deblur_filled,
    'deblur_outlined': deblur_outlined,
    'deblur_sharp': deblur_sharp,
    'deblur': deblur,
    'decimal_decrease_filled_outlined': decimal_decrease_filled_outlined,
    'decimal_decrease_filled_sharp': decimal_decrease_filled_sharp,
    'decimal_decrease_filled': decimal_decrease_filled,
    'decimal_decrease_outlined': decimal_decrease_outlined,
    'decimal_decrease_sharp': decimal_decrease_sharp,
    'decimal_decrease': decimal_decrease,
    'decimal_increase_filled_outlined': decimal_increase_filled_outlined,
    'decimal_increase_filled_sharp': decimal_increase_filled_sharp,
    'decimal_increase_filled': decimal_increase_filled,
    'decimal_increase_outlined': decimal_increase_outlined,
    'decimal_increase_sharp': decimal_increase_sharp,
    'decimal_increase': decimal_increase,
    'deck_filled_outlined': deck_filled_outlined,
    'deck_filled_sharp': deck_filled_sharp,
    'deck_filled': deck_filled,
    'deck_outlined': deck_outlined,
    'deck_sharp': deck_sharp,
    'deck': deck,
    'dehaze_filled_outlined': dehaze_filled_outlined,
    'dehaze_filled_sharp': dehaze_filled_sharp,
    'dehaze_filled': dehaze_filled,
    'dehaze_outlined': dehaze_outlined,
    'dehaze_sharp': dehaze_sharp,
    'dehaze': dehaze,
    'delete_filled_outlined': delete_filled_outlined,
    'delete_filled_sharp': delete_filled_sharp,
    'delete_filled': delete_filled,
    'delete_forever_filled_outlined': delete_forever_filled_outlined,
    'delete_forever_filled_sharp': delete_forever_filled_sharp,
    'delete_forever_filled': delete_forever_filled,
    'delete_forever_outlined': delete_forever_outlined,
    'delete_forever_sharp': delete_forever_sharp,
    'delete_forever': delete_forever,
    'delete_outlined': delete_outlined,
    'delete_sharp': delete_sharp,
    'delete_sweep_filled_outlined': delete_sweep_filled_outlined,
    'delete_sweep_filled_sharp': delete_sweep_filled_sharp,
    'delete_sweep_filled': delete_sweep_filled,
    'delete_sweep_outlined': delete_sweep_outlined,
    'delete_sweep_sharp': delete_sweep_sharp,
    'delete_sweep': delete_sweep,
    'delete': delete,
    'demography_filled_outlined': demography_filled_outlined,
    'demography_filled_sharp': demography_filled_sharp,
    'demography_filled': demography_filled,
    'demography_outlined': demography_outlined,
    'demography_sharp': demography_sharp,
    'demography': demography,
    'density_large_filled_outlined': density_large_filled_outlined,
    'density_large_filled_sharp': density_large_filled_sharp,
    'density_large_filled': density_large_filled,
    'density_large_outlined': density_large_outlined,
    'density_large_sharp': density_large_sharp,
    'density_large': density_large,
    'density_medium_filled_outlined': density_medium_filled_outlined,
    'density_medium_filled_sharp': density_medium_filled_sharp,
    'density_medium_filled': density_medium_filled,
    'density_medium_outlined': density_medium_outlined,
    'density_medium_sharp': density_medium_sharp,
    'density_medium': density_medium,
    'density_small_filled_outlined': density_small_filled_outlined,
    'density_small_filled_sharp': density_small_filled_sharp,
    'density_small_filled': density_small_filled,
    'density_small_outlined': density_small_outlined,
    'density_small_sharp': density_small_sharp,
    'density_small': density_small,
    'dentistry_filled_outlined': dentistry_filled_outlined,
    'dentistry_filled_sharp': dentistry_filled_sharp,
    'dentistry_filled': dentistry_filled,
    'dentistry_outlined': dentistry_outlined,
    'dentistry_sharp': dentistry_sharp,
    'dentistry': dentistry,
    'departure_board_filled_outlined': departure_board_filled_outlined,
    'departure_board_filled_sharp': departure_board_filled_sharp,
    'departure_board_filled': departure_board_filled,
    'departure_board_outlined': departure_board_outlined,
    'departure_board_sharp': departure_board_sharp,
    'departure_board': departure_board,
    'dermatology_filled_outlined': dermatology_filled_outlined,
    'dermatology_filled_sharp': dermatology_filled_sharp,
    'dermatology_filled': dermatology_filled,
    'dermatology_outlined': dermatology_outlined,
    'dermatology_sharp': dermatology_sharp,
    'dermatology': dermatology,
    'description_filled_outlined': description_filled_outlined,
    'description_filled_sharp': description_filled_sharp,
    'description_filled': description_filled,
    'description_outlined': description_outlined,
    'description_sharp': description_sharp,
    'description': description,
    'deselect_filled_outlined': deselect_filled_outlined,
    'deselect_filled_sharp': deselect_filled_sharp,
    'deselect_filled': deselect_filled,
    'deselect_outlined': deselect_outlined,
    'deselect_sharp': deselect_sharp,
    'deselect': deselect,
    'design_services_filled_outlined': design_services_filled_outlined,
    'design_services_filled_sharp': design_services_filled_sharp,
    'design_services_filled': design_services_filled,
    'design_services_outlined': design_services_outlined,
    'design_services_sharp': design_services_sharp,
    'design_services': design_services,
    'desk_filled_outlined': desk_filled_outlined,
    'desk_filled_sharp': desk_filled_sharp,
    'desk_filled': desk_filled,
    'desk_outlined': desk_outlined,
    'desk_sharp': desk_sharp,
    'desk': desk,
    'desktop_access_disabled_filled_outlined':
        desktop_access_disabled_filled_outlined,
    'desktop_access_disabled_filled_sharp':
        desktop_access_disabled_filled_sharp,
    'desktop_access_disabled_filled': desktop_access_disabled_filled,
    'desktop_access_disabled_outlined': desktop_access_disabled_outlined,
    'desktop_access_disabled_sharp': desktop_access_disabled_sharp,
    'desktop_access_disabled': desktop_access_disabled,
    'desktop_mac_filled_outlined': desktop_mac_filled_outlined,
    'desktop_mac_filled_sharp': desktop_mac_filled_sharp,
    'desktop_mac_filled': desktop_mac_filled,
    'desktop_mac_outlined': desktop_mac_outlined,
    'desktop_mac_sharp': desktop_mac_sharp,
    'desktop_mac': desktop_mac,
    'desktop_windows_filled_outlined': desktop_windows_filled_outlined,
    'desktop_windows_filled_sharp': desktop_windows_filled_sharp,
    'desktop_windows_filled': desktop_windows_filled,
    'desktop_windows_outlined': desktop_windows_outlined,
    'desktop_windows_sharp': desktop_windows_sharp,
    'desktop_windows': desktop_windows,
    'details_filled_outlined': details_filled_outlined,
    'details_filled_sharp': details_filled_sharp,
    'details_filled': details_filled,
    'details_outlined': details_outlined,
    'details_sharp': details_sharp,
    'details': details,
    'detection_and_zone_filled_outlined': detection_and_zone_filled_outlined,
    'detection_and_zone_filled_sharp': detection_and_zone_filled_sharp,
    'detection_and_zone_filled': detection_and_zone_filled,
    'detection_and_zone_outlined': detection_and_zone_outlined,
    'detection_and_zone_sharp': detection_and_zone_sharp,
    'detection_and_zone': detection_and_zone,
    'detector_alarm_filled_outlined': detector_alarm_filled_outlined,
    'detector_alarm_filled_sharp': detector_alarm_filled_sharp,
    'detector_alarm_filled': detector_alarm_filled,
    'detector_alarm_outlined': detector_alarm_outlined,
    'detector_alarm_sharp': detector_alarm_sharp,
    'detector_alarm': detector_alarm,
    'detector_battery_filled_outlined': detector_battery_filled_outlined,
    'detector_battery_filled_sharp': detector_battery_filled_sharp,
    'detector_battery_filled': detector_battery_filled,
    'detector_battery_outlined': detector_battery_outlined,
    'detector_battery_sharp': detector_battery_sharp,
    'detector_battery': detector_battery,
    'detector_co_filled_outlined': detector_co_filled_outlined,
    'detector_co_filled_sharp': detector_co_filled_sharp,
    'detector_co_filled': detector_co_filled,
    'detector_co_outlined': detector_co_outlined,
    'detector_co_sharp': detector_co_sharp,
    'detector_co': detector_co,
    'detector_filled_outlined': detector_filled_outlined,
    'detector_filled_sharp': detector_filled_sharp,
    'detector_filled': detector_filled,
    'detector_offline_filled_outlined': detector_offline_filled_outlined,
    'detector_offline_filled_sharp': detector_offline_filled_sharp,
    'detector_offline_filled': detector_offline_filled,
    'detector_offline_outlined': detector_offline_outlined,
    'detector_offline_sharp': detector_offline_sharp,
    'detector_offline': detector_offline,
    'detector_outlined': detector_outlined,
    'detector_sharp': detector_sharp,
    'detector_smoke_filled_outlined': detector_smoke_filled_outlined,
    'detector_smoke_filled_sharp': detector_smoke_filled_sharp,
    'detector_smoke_filled': detector_smoke_filled,
    'detector_smoke_outlined': detector_smoke_outlined,
    'detector_smoke_sharp': detector_smoke_sharp,
    'detector_smoke': detector_smoke,
    'detector_status_filled_outlined': detector_status_filled_outlined,
    'detector_status_filled_sharp': detector_status_filled_sharp,
    'detector_status_filled': detector_status_filled,
    'detector_status_outlined': detector_status_outlined,
    'detector_status_sharp': detector_status_sharp,
    'detector_status': detector_status,
    'detector': detector,
    'developer_board_filled_outlined': developer_board_filled_outlined,
    'developer_board_filled_sharp': developer_board_filled_sharp,
    'developer_board_filled': developer_board_filled,
    'developer_board_off_filled_outlined': developer_board_off_filled_outlined,
    'developer_board_off_filled_sharp': developer_board_off_filled_sharp,
    'developer_board_off_filled': developer_board_off_filled,
    'developer_board_off_outlined': developer_board_off_outlined,
    'developer_board_off_sharp': developer_board_off_sharp,
    'developer_board_off': developer_board_off,
    'developer_board_outlined': developer_board_outlined,
    'developer_board_sharp': developer_board_sharp,
    'developer_board': developer_board,
    'developer_mode_filled_outlined': developer_mode_filled_outlined,
    'developer_mode_filled_sharp': developer_mode_filled_sharp,
    'developer_mode_filled': developer_mode_filled,
    'developer_mode_outlined': developer_mode_outlined,
    'developer_mode_sharp': developer_mode_sharp,
    'developer_mode': developer_mode,
    'device_hub_filled_outlined': device_hub_filled_outlined,
    'device_hub_filled_sharp': device_hub_filled_sharp,
    'device_hub_filled': device_hub_filled,
    'device_hub_outlined': device_hub_outlined,
    'device_hub_sharp': device_hub_sharp,
    'device_hub': device_hub,
    'device_reset_filled_outlined': device_reset_filled_outlined,
    'device_reset_filled_sharp': device_reset_filled_sharp,
    'device_reset_filled': device_reset_filled,
    'device_reset_outlined': device_reset_outlined,
    'device_reset_sharp': device_reset_sharp,
    'device_reset': device_reset,
    'device_thermostat_filled_outlined': device_thermostat_filled_outlined,
    'device_thermostat_filled_sharp': device_thermostat_filled_sharp,
    'device_thermostat_filled': device_thermostat_filled,
    'device_thermostat_outlined': device_thermostat_outlined,
    'device_thermostat_sharp': device_thermostat_sharp,
    'device_thermostat': device_thermostat,
    'device_unknown_filled_outlined': device_unknown_filled_outlined,
    'device_unknown_filled_sharp': device_unknown_filled_sharp,
    'device_unknown_filled': device_unknown_filled,
    'device_unknown_outlined': device_unknown_outlined,
    'device_unknown_sharp': device_unknown_sharp,
    'device_unknown': device_unknown,
    'devices_filled_outlined': devices_filled_outlined,
    'devices_filled_sharp': devices_filled_sharp,
    'devices_filled': devices_filled,
    'devices_fold_filled_outlined': devices_fold_filled_outlined,
    'devices_fold_filled_sharp': devices_fold_filled_sharp,
    'devices_fold_filled': devices_fold_filled,
    'devices_fold_outlined': devices_fold_outlined,
    'devices_fold_sharp': devices_fold_sharp,
    'devices_fold': devices_fold,
    'devices_other_filled_outlined': devices_other_filled_outlined,
    'devices_other_filled_sharp': devices_other_filled_sharp,
    'devices_other_filled': devices_other_filled,
    'devices_other_outlined': devices_other_outlined,
    'devices_other_sharp': devices_other_sharp,
    'devices_other': devices_other,
    'devices_outlined': devices_outlined,
    'devices_sharp': devices_sharp,
    'devices': devices,
    'dew_point_filled_outlined': dew_point_filled_outlined,
    'dew_point_filled_sharp': dew_point_filled_sharp,
    'dew_point_filled': dew_point_filled,
    'dew_point_outlined': dew_point_outlined,
    'dew_point_sharp': dew_point_sharp,
    'dew_point': dew_point,
    'diagnosis_filled_outlined': diagnosis_filled_outlined,
    'diagnosis_filled_sharp': diagnosis_filled_sharp,
    'diagnosis_filled': diagnosis_filled,
    'diagnosis_outlined': diagnosis_outlined,
    'diagnosis_sharp': diagnosis_sharp,
    'diagnosis': diagnosis,
    'dialer_sip_filled_outlined': dialer_sip_filled_outlined,
    'dialer_sip_filled_sharp': dialer_sip_filled_sharp,
    'dialer_sip_filled': dialer_sip_filled,
    'dialer_sip_outlined': dialer_sip_outlined,
    'dialer_sip_sharp': dialer_sip_sharp,
    'dialer_sip': dialer_sip,
    'dialpad_filled_outlined': dialpad_filled_outlined,
    'dialpad_filled_sharp': dialpad_filled_sharp,
    'dialpad_filled': dialpad_filled,
    'dialpad_outlined': dialpad_outlined,
    'dialpad_sharp': dialpad_sharp,
    'dialpad': dialpad,
    'diamond_filled_outlined': diamond_filled_outlined,
    'diamond_filled_sharp': diamond_filled_sharp,
    'diamond_filled': diamond_filled,
    'diamond_outlined': diamond_outlined,
    'diamond_sharp': diamond_sharp,
    'diamond': diamond,
    'difference_filled_outlined': difference_filled_outlined,
    'difference_filled_sharp': difference_filled_sharp,
    'difference_filled': difference_filled,
    'difference_outlined': difference_outlined,
    'difference_sharp': difference_sharp,
    'difference': difference,
    'digital_out_of_home_filled_outlined': digital_out_of_home_filled_outlined,
    'digital_out_of_home_filled_sharp': digital_out_of_home_filled_sharp,
    'digital_out_of_home_filled': digital_out_of_home_filled,
    'digital_out_of_home_outlined': digital_out_of_home_outlined,
    'digital_out_of_home_sharp': digital_out_of_home_sharp,
    'digital_out_of_home': digital_out_of_home,
    'dining_filled_outlined': dining_filled_outlined,
    'dining_filled_sharp': dining_filled_sharp,
    'dining_filled': dining_filled,
    'dining_outlined': dining_outlined,
    'dining_sharp': dining_sharp,
    'dining': dining,
    'dinner_dining_filled_outlined': dinner_dining_filled_outlined,
    'dinner_dining_filled_sharp': dinner_dining_filled_sharp,
    'dinner_dining_filled': dinner_dining_filled,
    'dinner_dining_outlined': dinner_dining_outlined,
    'dinner_dining_sharp': dinner_dining_sharp,
    'dinner_dining': dinner_dining,
    'directions_alt_filled_outlined': directions_alt_filled_outlined,
    'directions_alt_filled_sharp': directions_alt_filled_sharp,
    'directions_alt_filled': directions_alt_filled,
    'directions_alt_off_filled_outlined': directions_alt_off_filled_outlined,
    'directions_alt_off_filled_sharp': directions_alt_off_filled_sharp,
    'directions_alt_off_filled': directions_alt_off_filled,
    'directions_alt_off_outlined': directions_alt_off_outlined,
    'directions_alt_off_sharp': directions_alt_off_sharp,
    'directions_alt_off': directions_alt_off,
    'directions_alt_outlined': directions_alt_outlined,
    'directions_alt_sharp': directions_alt_sharp,
    'directions_alt': directions_alt,
    'directions_bike_filled_outlined': directions_bike_filled_outlined,
    'directions_bike_filled_sharp': directions_bike_filled_sharp,
    'directions_bike_filled': directions_bike_filled,
    'directions_bike_outlined': directions_bike_outlined,
    'directions_bike_sharp': directions_bike_sharp,
    'directions_bike': directions_bike,
    'directions_boat_filled_outlined': directions_boat_filled_outlined,
    'directions_boat_filled_sharp': directions_boat_filled_sharp,
    'directions_boat_filled': directions_boat_filled,
    'directions_boat_outlined': directions_boat_outlined,
    'directions_boat_sharp': directions_boat_sharp,
    'directions_boat': directions_boat,
    'directions_bus_filled_outlined': directions_bus_filled_outlined,
    'directions_bus_filled_sharp': directions_bus_filled_sharp,
    'directions_bus_filled': directions_bus_filled,
    'directions_bus_outlined': directions_bus_outlined,
    'directions_bus_sharp': directions_bus_sharp,
    'directions_bus': directions_bus,
    'directions_car_filled_outlined': directions_car_filled_outlined,
    'directions_car_filled_sharp': directions_car_filled_sharp,
    'directions_car_filled': directions_car_filled,
    'directions_car_outlined': directions_car_outlined,
    'directions_car_sharp': directions_car_sharp,
    'directions_car': directions_car,
    'directions_filled_outlined': directions_filled_outlined,
    'directions_filled_sharp': directions_filled_sharp,
    'directions_filled': directions_filled,
    'directions_off_filled_outlined': directions_off_filled_outlined,
    'directions_off_filled_sharp': directions_off_filled_sharp,
    'directions_off_filled': directions_off_filled,
    'directions_off_outlined': directions_off_outlined,
    'directions_off_sharp': directions_off_sharp,
    'directions_off': directions_off,
    'directions_outlined': directions_outlined,
    'directions_railway_filled_outlined': directions_railway_filled_outlined,
    'directions_railway_filled_sharp': directions_railway_filled_sharp,
    'directions_railway_filled': directions_railway_filled,
    'directions_railway_outlined': directions_railway_outlined,
    'directions_railway_sharp': directions_railway_sharp,
    'directions_railway': directions_railway,
    'directions_run_filled_outlined': directions_run_filled_outlined,
    'directions_run_filled_sharp': directions_run_filled_sharp,
    'directions_run_filled': directions_run_filled,
    'directions_run_outlined': directions_run_outlined,
    'directions_run_sharp': directions_run_sharp,
    'directions_run': directions_run,
    'directions_sharp': directions_sharp,
    'directions_subway_filled_outlined': directions_subway_filled_outlined,
    'directions_subway_filled_sharp': directions_subway_filled_sharp,
    'directions_subway_filled': directions_subway_filled,
    'directions_subway_outlined': directions_subway_outlined,
    'directions_subway_sharp': directions_subway_sharp,
    'directions_subway': directions_subway,
    'directions_walk_filled_outlined': directions_walk_filled_outlined,
    'directions_walk_filled_sharp': directions_walk_filled_sharp,
    'directions_walk_filled': directions_walk_filled,
    'directions_walk_outlined': directions_walk_outlined,
    'directions_walk_sharp': directions_walk_sharp,
    'directions_walk': directions_walk,
    'directions': directions,
    'dirty_lens_filled_outlined': dirty_lens_filled_outlined,
    'dirty_lens_filled_sharp': dirty_lens_filled_sharp,
    'dirty_lens_filled': dirty_lens_filled,
    'dirty_lens_outlined': dirty_lens_outlined,
    'dirty_lens_sharp': dirty_lens_sharp,
    'dirty_lens': dirty_lens,
    'disabled_by_default_filled_outlined': disabled_by_default_filled_outlined,
    'disabled_by_default_filled_sharp': disabled_by_default_filled_sharp,
    'disabled_by_default_filled': disabled_by_default_filled,
    'disabled_by_default_outlined': disabled_by_default_outlined,
    'disabled_by_default_sharp': disabled_by_default_sharp,
    'disabled_by_default': disabled_by_default,
    'disabled_visible_filled_outlined': disabled_visible_filled_outlined,
    'disabled_visible_filled_sharp': disabled_visible_filled_sharp,
    'disabled_visible_filled': disabled_visible_filled,
    'disabled_visible_outlined': disabled_visible_outlined,
    'disabled_visible_sharp': disabled_visible_sharp,
    'disabled_visible': disabled_visible,
    'disc_full_filled_outlined': disc_full_filled_outlined,
    'disc_full_filled_sharp': disc_full_filled_sharp,
    'disc_full_filled': disc_full_filled,
    'disc_full_outlined': disc_full_outlined,
    'disc_full_sharp': disc_full_sharp,
    'disc_full': disc_full,
    'discover_tune_filled_outlined': discover_tune_filled_outlined,
    'discover_tune_filled_sharp': discover_tune_filled_sharp,
    'discover_tune_filled': discover_tune_filled,
    'discover_tune_outlined': discover_tune_outlined,
    'discover_tune_sharp': discover_tune_sharp,
    'discover_tune': discover_tune,
    'dishwasher_gen_filled_outlined': dishwasher_gen_filled_outlined,
    'dishwasher_gen_filled_sharp': dishwasher_gen_filled_sharp,
    'dishwasher_gen_filled': dishwasher_gen_filled,
    'dishwasher_gen_outlined': dishwasher_gen_outlined,
    'dishwasher_gen_sharp': dishwasher_gen_sharp,
    'dishwasher_gen': dishwasher_gen,
    'display_settings_filled_outlined': display_settings_filled_outlined,
    'display_settings_filled_sharp': display_settings_filled_sharp,
    'display_settings_filled': display_settings_filled,
    'display_settings_outlined': display_settings_outlined,
    'display_settings_sharp': display_settings_sharp,
    'display_settings': display_settings,
    'diversity_1_filled_outlined': diversity_1_filled_outlined,
    'diversity_1_filled_sharp': diversity_1_filled_sharp,
    'diversity_1_filled': diversity_1_filled,
    'diversity_1_outlined': diversity_1_outlined,
    'diversity_1_sharp': diversity_1_sharp,
    'diversity_1': diversity_1,
    'diversity_2_filled_outlined': diversity_2_filled_outlined,
    'diversity_2_filled_sharp': diversity_2_filled_sharp,
    'diversity_2_filled': diversity_2_filled,
    'diversity_2_outlined': diversity_2_outlined,
    'diversity_2_sharp': diversity_2_sharp,
    'diversity_2': diversity_2,
    'diversity_3_filled_outlined': diversity_3_filled_outlined,
    'diversity_3_filled_sharp': diversity_3_filled_sharp,
    'diversity_3_filled': diversity_3_filled,
    'diversity_3_outlined': diversity_3_outlined,
    'diversity_3_sharp': diversity_3_sharp,
    'diversity_3': diversity_3,
    'diversity_4_filled_outlined': diversity_4_filled_outlined,
    'diversity_4_filled_sharp': diversity_4_filled_sharp,
    'diversity_4_filled': diversity_4_filled,
    'diversity_4_outlined': diversity_4_outlined,
    'diversity_4_sharp': diversity_4_sharp,
    'diversity_4': diversity_4,
    'dns_filled_outlined': dns_filled_outlined,
    'dns_filled_sharp': dns_filled_sharp,
    'dns_filled': dns_filled,
    'dns_outlined': dns_outlined,
    'dns_sharp': dns_sharp,
    'dns': dns,
    'do_not_disturb_off_filled_outlined': do_not_disturb_off_filled_outlined,
    'do_not_disturb_off_filled_sharp': do_not_disturb_off_filled_sharp,
    'do_not_disturb_off_filled': do_not_disturb_off_filled,
    'do_not_disturb_off_outlined': do_not_disturb_off_outlined,
    'do_not_disturb_off_sharp': do_not_disturb_off_sharp,
    'do_not_disturb_off': do_not_disturb_off,
    'do_not_disturb_on_filled_outlined': do_not_disturb_on_filled_outlined,
    'do_not_disturb_on_filled_sharp': do_not_disturb_on_filled_sharp,
    'do_not_disturb_on_filled': do_not_disturb_on_filled,
    'do_not_disturb_on_outlined': do_not_disturb_on_outlined,
    'do_not_disturb_on_sharp': do_not_disturb_on_sharp,
    'do_not_disturb_on_total_silence_filled_outlined':
        do_not_disturb_on_total_silence_filled_outlined,
    'do_not_disturb_on_total_silence_filled_sharp':
        do_not_disturb_on_total_silence_filled_sharp,
    'do_not_disturb_on_total_silence_filled':
        do_not_disturb_on_total_silence_filled,
    'do_not_disturb_on_total_silence_outlined':
        do_not_disturb_on_total_silence_outlined,
    'do_not_disturb_on_total_silence_sharp':
        do_not_disturb_on_total_silence_sharp,
    'do_not_disturb_on_total_silence': do_not_disturb_on_total_silence,
    'do_not_disturb_on': do_not_disturb_on,
    'do_not_step_filled_outlined': do_not_step_filled_outlined,
    'do_not_step_filled_sharp': do_not_step_filled_sharp,
    'do_not_step_filled': do_not_step_filled,
    'do_not_step_outlined': do_not_step_outlined,
    'do_not_step_sharp': do_not_step_sharp,
    'do_not_step': do_not_step,
    'do_not_touch_filled_outlined': do_not_touch_filled_outlined,
    'do_not_touch_filled_sharp': do_not_touch_filled_sharp,
    'do_not_touch_filled': do_not_touch_filled,
    'do_not_touch_outlined': do_not_touch_outlined,
    'do_not_touch_sharp': do_not_touch_sharp,
    'do_not_touch': do_not_touch,
    'dock_filled_outlined': dock_filled_outlined,
    'dock_filled_sharp': dock_filled_sharp,
    'dock_filled': dock_filled,
    'dock_outlined': dock_outlined,
    'dock_sharp': dock_sharp,
    'dock': dock,
    'docs_add_on_filled_outlined': docs_add_on_filled_outlined,
    'docs_add_on_filled_sharp': docs_add_on_filled_sharp,
    'docs_add_on_filled': docs_add_on_filled,
    'docs_add_on_outlined': docs_add_on_outlined,
    'docs_add_on_sharp': docs_add_on_sharp,
    'docs_add_on': docs_add_on,
    'docs_apps_script_filled_outlined': docs_apps_script_filled_outlined,
    'docs_apps_script_filled_sharp': docs_apps_script_filled_sharp,
    'docs_apps_script_filled': docs_apps_script_filled,
    'docs_apps_script_outlined': docs_apps_script_outlined,
    'docs_apps_script_sharp': docs_apps_script_sharp,
    'docs_apps_script': docs_apps_script,
    'document_scanner_filled_outlined': document_scanner_filled_outlined,
    'document_scanner_filled_sharp': document_scanner_filled_sharp,
    'document_scanner_filled': document_scanner_filled,
    'document_scanner_outlined': document_scanner_outlined,
    'document_scanner_sharp': document_scanner_sharp,
    'document_scanner': document_scanner,
    'domain_add_filled_outlined': domain_add_filled_outlined,
    'domain_add_filled_sharp': domain_add_filled_sharp,
    'domain_add_filled': domain_add_filled,
    'domain_add_outlined': domain_add_outlined,
    'domain_add_sharp': domain_add_sharp,
    'domain_add': domain_add,
    'domain_disabled_filled_outlined': domain_disabled_filled_outlined,
    'domain_disabled_filled_sharp': domain_disabled_filled_sharp,
    'domain_disabled_filled': domain_disabled_filled,
    'domain_disabled_outlined': domain_disabled_outlined,
    'domain_disabled_sharp': domain_disabled_sharp,
    'domain_disabled': domain_disabled,
    'domain_filled_outlined': domain_filled_outlined,
    'domain_filled_sharp': domain_filled_sharp,
    'domain_filled': domain_filled,
    'domain_outlined': domain_outlined,
    'domain_sharp': domain_sharp,
    'domain_verification_filled_outlined': domain_verification_filled_outlined,
    'domain_verification_filled_sharp': domain_verification_filled_sharp,
    'domain_verification_filled': domain_verification_filled,
    'domain_verification_outlined': domain_verification_outlined,
    'domain_verification_sharp': domain_verification_sharp,
    'domain_verification': domain_verification,
    'domain': domain,
    'done_all_filled_outlined': done_all_filled_outlined,
    'done_all_filled_sharp': done_all_filled_sharp,
    'done_all_filled': done_all_filled,
    'done_all_outlined': done_all_outlined,
    'done_all_sharp': done_all_sharp,
    'done_all': done_all,
    'done_filled_outlined': done_filled_outlined,
    'done_filled_sharp': done_filled_sharp,
    'done_filled': done_filled,
    'done_outline_filled_outlined': done_outline_filled_outlined,
    'done_outline_filled_sharp': done_outline_filled_sharp,
    'done_outline_filled': done_outline_filled,
    'done_outline_outlined': done_outline_outlined,
    'done_outline_sharp': done_outline_sharp,
    'done_outline': done_outline,
    'done_outlined': done_outlined,
    'done_sharp': done_sharp,
    'done': done,
    'donut_large_filled_outlined': donut_large_filled_outlined,
    'donut_large_filled_sharp': donut_large_filled_sharp,
    'donut_large_filled': donut_large_filled,
    'donut_large_outlined': donut_large_outlined,
    'donut_large_sharp': donut_large_sharp,
    'donut_large': donut_large,
    'donut_small_filled_outlined': donut_small_filled_outlined,
    'donut_small_filled_sharp': donut_small_filled_sharp,
    'donut_small_filled': donut_small_filled,
    'donut_small_outlined': donut_small_outlined,
    'donut_small_sharp': donut_small_sharp,
    'donut_small': donut_small,
    'door_back_filled_outlined': door_back_filled_outlined,
    'door_back_filled_sharp': door_back_filled_sharp,
    'door_back_filled': door_back_filled,
    'door_back_outlined': door_back_outlined,
    'door_back_sharp': door_back_sharp,
    'door_back': door_back,
    'door_front_filled_outlined': door_front_filled_outlined,
    'door_front_filled_sharp': door_front_filled_sharp,
    'door_front_filled': door_front_filled,
    'door_front_outlined': door_front_outlined,
    'door_front_sharp': door_front_sharp,
    'door_front': door_front,
    'door_open_filled_outlined': door_open_filled_outlined,
    'door_open_filled_sharp': door_open_filled_sharp,
    'door_open_filled': door_open_filled,
    'door_open_outlined': door_open_outlined,
    'door_open_sharp': door_open_sharp,
    'door_open': door_open,
    'door_sensor_filled_outlined': door_sensor_filled_outlined,
    'door_sensor_filled_sharp': door_sensor_filled_sharp,
    'door_sensor_filled': door_sensor_filled,
    'door_sensor_outlined': door_sensor_outlined,
    'door_sensor_sharp': door_sensor_sharp,
    'door_sensor': door_sensor,
    'door_sliding_filled_outlined': door_sliding_filled_outlined,
    'door_sliding_filled_sharp': door_sliding_filled_sharp,
    'door_sliding_filled': door_sliding_filled,
    'door_sliding_outlined': door_sliding_outlined,
    'door_sliding_sharp': door_sliding_sharp,
    'door_sliding': door_sliding,
    'doorbell_3p_filled_outlined': doorbell_3p_filled_outlined,
    'doorbell_3p_filled_sharp': doorbell_3p_filled_sharp,
    'doorbell_3p_filled': doorbell_3p_filled,
    'doorbell_3p_outlined': doorbell_3p_outlined,
    'doorbell_3p_sharp': doorbell_3p_sharp,
    'doorbell_3p': doorbell_3p,
    'doorbell_chime_filled_outlined': doorbell_chime_filled_outlined,
    'doorbell_chime_filled_sharp': doorbell_chime_filled_sharp,
    'doorbell_chime_filled': doorbell_chime_filled,
    'doorbell_chime_outlined': doorbell_chime_outlined,
    'doorbell_chime_sharp': doorbell_chime_sharp,
    'doorbell_chime': doorbell_chime,
    'doorbell_filled_outlined': doorbell_filled_outlined,
    'doorbell_filled_sharp': doorbell_filled_sharp,
    'doorbell_filled': doorbell_filled,
    'doorbell_outlined': doorbell_outlined,
    'doorbell_sharp': doorbell_sharp,
    'doorbell': doorbell,
    'double_arrow_filled_outlined': double_arrow_filled_outlined,
    'double_arrow_filled_sharp': double_arrow_filled_sharp,
    'double_arrow_filled': double_arrow_filled,
    'double_arrow_outlined': double_arrow_outlined,
    'double_arrow_sharp': double_arrow_sharp,
    'double_arrow': double_arrow,
    'downhill_skiing_filled_outlined': downhill_skiing_filled_outlined,
    'downhill_skiing_filled_sharp': downhill_skiing_filled_sharp,
    'downhill_skiing_filled': downhill_skiing_filled,
    'downhill_skiing_outlined': downhill_skiing_outlined,
    'downhill_skiing_sharp': downhill_skiing_sharp,
    'downhill_skiing': downhill_skiing,
    'download_done_filled_outlined': download_done_filled_outlined,
    'download_done_filled_sharp': download_done_filled_sharp,
    'download_done_filled': download_done_filled,
    'download_done_outlined': download_done_outlined,
    'download_done_sharp': download_done_sharp,
    'download_done': download_done,
    'download_filled_outlined': download_filled_outlined,
    'download_filled_sharp': download_filled_sharp,
    'download_filled': download_filled,
    'download_for_offline_filled_outlined':
        download_for_offline_filled_outlined,
    'download_for_offline_filled_sharp': download_for_offline_filled_sharp,
    'download_for_offline_filled': download_for_offline_filled,
    'download_for_offline_outlined': download_for_offline_outlined,
    'download_for_offline_sharp': download_for_offline_sharp,
    'download_for_offline': download_for_offline,
    'download_outlined': download_outlined,
    'download_sharp': download_sharp,
    'download': download,
    'downloading_filled_outlined': downloading_filled_outlined,
    'downloading_filled_sharp': downloading_filled_sharp,
    'downloading_filled': downloading_filled,
    'downloading_outlined': downloading_outlined,
    'downloading_sharp': downloading_sharp,
    'downloading': downloading,
    'draft_filled_outlined': draft_filled_outlined,
    'draft_filled_sharp': draft_filled_sharp,
    'draft_filled': draft_filled,
    'draft_orders_filled_outlined': draft_orders_filled_outlined,
    'draft_orders_filled_sharp': draft_orders_filled_sharp,
    'draft_orders_filled': draft_orders_filled,
    'draft_orders_outlined': draft_orders_outlined,
    'draft_orders_sharp': draft_orders_sharp,
    'draft_orders': draft_orders,
    'draft_outlined': draft_outlined,
    'draft_sharp': draft_sharp,
    'draft': draft,
    'drafts_filled_outlined': drafts_filled_outlined,
    'drafts_filled_sharp': drafts_filled_sharp,
    'drafts_filled': drafts_filled,
    'drafts_outlined': drafts_outlined,
    'drafts_sharp': drafts_sharp,
    'drafts': drafts,
    'drag_handle_filled_outlined': drag_handle_filled_outlined,
    'drag_handle_filled_sharp': drag_handle_filled_sharp,
    'drag_handle_filled': drag_handle_filled,
    'drag_handle_outlined': drag_handle_outlined,
    'drag_handle_sharp': drag_handle_sharp,
    'drag_handle': drag_handle,
    'drag_indicator_filled_outlined': drag_indicator_filled_outlined,
    'drag_indicator_filled_sharp': drag_indicator_filled_sharp,
    'drag_indicator_filled': drag_indicator_filled,
    'drag_indicator_outlined': drag_indicator_outlined,
    'drag_indicator_sharp': drag_indicator_sharp,
    'drag_indicator': drag_indicator,
    'draw_filled_outlined': draw_filled_outlined,
    'draw_filled_sharp': draw_filled_sharp,
    'draw_filled': draw_filled,
    'draw_outlined': draw_outlined,
    'draw_sharp': draw_sharp,
    'draw': draw,
    'dresser_filled_outlined': dresser_filled_outlined,
    'dresser_filled_sharp': dresser_filled_sharp,
    'dresser_filled': dresser_filled,
    'dresser_outlined': dresser_outlined,
    'dresser_sharp': dresser_sharp,
    'dresser': dresser,
    'drive_file_move_filled_outlined': drive_file_move_filled_outlined,
    'drive_file_move_filled_sharp': drive_file_move_filled_sharp,
    'drive_file_move_filled': drive_file_move_filled,
    'drive_file_move_outline_filled_outlined':
        drive_file_move_outline_filled_outlined,
    'drive_file_move_outline_filled_sharp':
        drive_file_move_outline_filled_sharp,
    'drive_file_move_outline_filled': drive_file_move_outline_filled,
    'drive_file_move_outline_outlined': drive_file_move_outline_outlined,
    'drive_file_move_outline_sharp': drive_file_move_outline_sharp,
    'drive_file_move_outline': drive_file_move_outline,
    'drive_file_move_outlined': drive_file_move_outlined,
    'drive_file_move_rtl_filled_outlined': drive_file_move_rtl_filled_outlined,
    'drive_file_move_rtl_filled_sharp': drive_file_move_rtl_filled_sharp,
    'drive_file_move_rtl_filled': drive_file_move_rtl_filled,
    'drive_file_move_rtl_outlined': drive_file_move_rtl_outlined,
    'drive_file_move_rtl_sharp': drive_file_move_rtl_sharp,
    'drive_file_move_rtl': drive_file_move_rtl,
    'drive_file_move_sharp': drive_file_move_sharp,
    'drive_file_move': drive_file_move,
    'drive_file_rename_outline_filled_outlined':
        drive_file_rename_outline_filled_outlined,
    'drive_file_rename_outline_filled_sharp':
        drive_file_rename_outline_filled_sharp,
    'drive_file_rename_outline_filled': drive_file_rename_outline_filled,
    'drive_file_rename_outline_outlined': drive_file_rename_outline_outlined,
    'drive_file_rename_outline_sharp': drive_file_rename_outline_sharp,
    'drive_file_rename_outline': drive_file_rename_outline,
    'drive_folder_upload_filled_outlined': drive_folder_upload_filled_outlined,
    'drive_folder_upload_filled_sharp': drive_folder_upload_filled_sharp,
    'drive_folder_upload_filled': drive_folder_upload_filled,
    'drive_folder_upload_outlined': drive_folder_upload_outlined,
    'drive_folder_upload_sharp': drive_folder_upload_sharp,
    'drive_folder_upload': drive_folder_upload,
    'dry_cleaning_filled_outlined': dry_cleaning_filled_outlined,
    'dry_cleaning_filled_sharp': dry_cleaning_filled_sharp,
    'dry_cleaning_filled': dry_cleaning_filled,
    'dry_cleaning_outlined': dry_cleaning_outlined,
    'dry_cleaning_sharp': dry_cleaning_sharp,
    'dry_cleaning': dry_cleaning,
    'dry_filled_outlined': dry_filled_outlined,
    'dry_filled_sharp': dry_filled_sharp,
    'dry_filled': dry_filled,
    'dry_outlined': dry_outlined,
    'dry_sharp': dry_sharp,
    'dry': dry,
    'duo_filled_outlined': duo_filled_outlined,
    'duo_filled_sharp': duo_filled_sharp,
    'duo_filled': duo_filled,
    'duo_outlined': duo_outlined,
    'duo_sharp': duo_sharp,
    'duo': duo,
    'dvr_filled_outlined': dvr_filled_outlined,
    'dvr_filled_sharp': dvr_filled_sharp,
    'dvr_filled': dvr_filled,
    'dvr_outlined': dvr_outlined,
    'dvr_sharp': dvr_sharp,
    'dvr': dvr,
    'dynamic_feed_filled_outlined': dynamic_feed_filled_outlined,
    'dynamic_feed_filled_sharp': dynamic_feed_filled_sharp,
    'dynamic_feed_filled': dynamic_feed_filled,
    'dynamic_feed_outlined': dynamic_feed_outlined,
    'dynamic_feed_sharp': dynamic_feed_sharp,
    'dynamic_feed': dynamic_feed,
    'dynamic_form_filled_outlined': dynamic_form_filled_outlined,
    'dynamic_form_filled_sharp': dynamic_form_filled_sharp,
    'dynamic_form_filled': dynamic_form_filled,
    'dynamic_form_outlined': dynamic_form_outlined,
    'dynamic_form_sharp': dynamic_form_sharp,
    'dynamic_form': dynamic_form,
    'e_mobiledata_filled_outlined': e_mobiledata_filled_outlined,
    'e_mobiledata_filled_sharp': e_mobiledata_filled_sharp,
    'e_mobiledata_filled': e_mobiledata_filled,
    'e_mobiledata_outlined': e_mobiledata_outlined,
    'e_mobiledata_sharp': e_mobiledata_sharp,
    'e_mobiledata': e_mobiledata,
    'e911_avatar_filled_outlined': e911_avatar_filled_outlined,
    'e911_avatar_filled_sharp': e911_avatar_filled_sharp,
    'e911_avatar_filled': e911_avatar_filled,
    'e911_avatar_outlined': e911_avatar_outlined,
    'e911_avatar_sharp': e911_avatar_sharp,
    'e911_avatar': e911_avatar,
    'e911_emergency_filled_outlined': e911_emergency_filled_outlined,
    'e911_emergency_filled_sharp': e911_emergency_filled_sharp,
    'e911_emergency_filled': e911_emergency_filled,
    'e911_emergency_outlined': e911_emergency_outlined,
    'e911_emergency_sharp': e911_emergency_sharp,
    'e911_emergency': e911_emergency,
    'earbuds_battery_filled_outlined': earbuds_battery_filled_outlined,
    'earbuds_battery_filled_sharp': earbuds_battery_filled_sharp,
    'earbuds_battery_filled': earbuds_battery_filled,
    'earbuds_battery_outlined': earbuds_battery_outlined,
    'earbuds_battery_sharp': earbuds_battery_sharp,
    'earbuds_battery': earbuds_battery,
    'earbuds_filled_outlined': earbuds_filled_outlined,
    'earbuds_filled_sharp': earbuds_filled_sharp,
    'earbuds_filled': earbuds_filled,
    'earbuds_outlined': earbuds_outlined,
    'earbuds_sharp': earbuds_sharp,
    'earbuds': earbuds,
    'early_on_filled_outlined': early_on_filled_outlined,
    'early_on_filled_sharp': early_on_filled_sharp,
    'early_on_filled': early_on_filled,
    'early_on_outlined': early_on_outlined,
    'early_on_sharp': early_on_sharp,
    'early_on': early_on,
    'east_filled_outlined': east_filled_outlined,
    'east_filled_sharp': east_filled_sharp,
    'east_filled': east_filled,
    'east_outlined': east_outlined,
    'east_sharp': east_sharp,
    'east': east,
    'eco_filled_outlined': eco_filled_outlined,
    'eco_filled_sharp': eco_filled_sharp,
    'eco_filled': eco_filled,
    'eco_outlined': eco_outlined,
    'eco_sharp': eco_sharp,
    'eco': eco,
    'edgesensor_high_filled_outlined': edgesensor_high_filled_outlined,
    'edgesensor_high_filled_sharp': edgesensor_high_filled_sharp,
    'edgesensor_high_filled': edgesensor_high_filled,
    'edgesensor_high_outlined': edgesensor_high_outlined,
    'edgesensor_high_sharp': edgesensor_high_sharp,
    'edgesensor_high': edgesensor_high,
    'edgesensor_low_filled_outlined': edgesensor_low_filled_outlined,
    'edgesensor_low_filled_sharp': edgesensor_low_filled_sharp,
    'edgesensor_low_filled': edgesensor_low_filled,
    'edgesensor_low_outlined': edgesensor_low_outlined,
    'edgesensor_low_sharp': edgesensor_low_sharp,
    'edgesensor_low': edgesensor_low,
    'edit_attributes_filled_outlined': edit_attributes_filled_outlined,
    'edit_attributes_filled_sharp': edit_attributes_filled_sharp,
    'edit_attributes_filled': edit_attributes_filled,
    'edit_attributes_outlined': edit_attributes_outlined,
    'edit_attributes_sharp': edit_attributes_sharp,
    'edit_attributes': edit_attributes,
    'edit_calendar_filled_outlined': edit_calendar_filled_outlined,
    'edit_calendar_filled_sharp': edit_calendar_filled_sharp,
    'edit_calendar_filled': edit_calendar_filled,
    'edit_calendar_outlined': edit_calendar_outlined,
    'edit_calendar_sharp': edit_calendar_sharp,
    'edit_calendar': edit_calendar,
    'edit_document_filled_outlined': edit_document_filled_outlined,
    'edit_document_filled_sharp': edit_document_filled_sharp,
    'edit_document_filled': edit_document_filled,
    'edit_document_outlined': edit_document_outlined,
    'edit_document_sharp': edit_document_sharp,
    'edit_document': edit_document,
    'edit_filled_outlined': edit_filled_outlined,
    'edit_filled_sharp': edit_filled_sharp,
    'edit_filled': edit_filled,
    'edit_location_alt_filled_outlined': edit_location_alt_filled_outlined,
    'edit_location_alt_filled_sharp': edit_location_alt_filled_sharp,
    'edit_location_alt_filled': edit_location_alt_filled,
    'edit_location_alt_outlined': edit_location_alt_outlined,
    'edit_location_alt_sharp': edit_location_alt_sharp,
    'edit_location_alt': edit_location_alt,
    'edit_location_filled_outlined': edit_location_filled_outlined,
    'edit_location_filled_sharp': edit_location_filled_sharp,
    'edit_location_filled': edit_location_filled,
    'edit_location_outlined': edit_location_outlined,
    'edit_location_sharp': edit_location_sharp,
    'edit_location': edit_location,
    'edit_note_filled_outlined': edit_note_filled_outlined,
    'edit_note_filled_sharp': edit_note_filled_sharp,
    'edit_note_filled': edit_note_filled,
    'edit_note_outlined': edit_note_outlined,
    'edit_note_sharp': edit_note_sharp,
    'edit_note': edit_note,
    'edit_notifications_filled_outlined': edit_notifications_filled_outlined,
    'edit_notifications_filled_sharp': edit_notifications_filled_sharp,
    'edit_notifications_filled': edit_notifications_filled,
    'edit_notifications_outlined': edit_notifications_outlined,
    'edit_notifications_sharp': edit_notifications_sharp,
    'edit_notifications': edit_notifications,
    'edit_off_filled_outlined': edit_off_filled_outlined,
    'edit_off_filled_sharp': edit_off_filled_sharp,
    'edit_off_filled': edit_off_filled,
    'edit_off_outlined': edit_off_outlined,
    'edit_off_sharp': edit_off_sharp,
    'edit_off': edit_off,
    'edit_outlined': edit_outlined,
    'edit_road_filled_outlined': edit_road_filled_outlined,
    'edit_road_filled_sharp': edit_road_filled_sharp,
    'edit_road_filled': edit_road_filled,
    'edit_road_outlined': edit_road_outlined,
    'edit_road_sharp': edit_road_sharp,
    'edit_road': edit_road,
    'edit_sharp': edit_sharp,
    'edit_square_filled_outlined': edit_square_filled_outlined,
    'edit_square_filled_sharp': edit_square_filled_sharp,
    'edit_square_filled': edit_square_filled,
    'edit_square_outlined': edit_square_outlined,
    'edit_square_sharp': edit_square_sharp,
    'edit_square': edit_square,
    'edit': edit,
    'egg_alt_filled_outlined': egg_alt_filled_outlined,
    'egg_alt_filled_sharp': egg_alt_filled_sharp,
    'egg_alt_filled': egg_alt_filled,
    'egg_alt_outlined': egg_alt_outlined,
    'egg_alt_sharp': egg_alt_sharp,
    'egg_alt': egg_alt,
    'egg_filled_outlined': egg_filled_outlined,
    'egg_filled_sharp': egg_filled_sharp,
    'egg_filled': egg_filled,
    'egg_outlined': egg_outlined,
    'egg_sharp': egg_sharp,
    'egg': egg,
    'eject_filled_outlined': eject_filled_outlined,
    'eject_filled_sharp': eject_filled_sharp,
    'eject_filled': eject_filled,
    'eject_outlined': eject_outlined,
    'eject_sharp': eject_sharp,
    'eject': eject,
    'elderly_filled_outlined': elderly_filled_outlined,
    'elderly_filled_sharp': elderly_filled_sharp,
    'elderly_filled': elderly_filled,
    'elderly_outlined': elderly_outlined,
    'elderly_sharp': elderly_sharp,
    'elderly_woman_filled_outlined': elderly_woman_filled_outlined,
    'elderly_woman_filled_sharp': elderly_woman_filled_sharp,
    'elderly_woman_filled': elderly_woman_filled,
    'elderly_woman_outlined': elderly_woman_outlined,
    'elderly_woman_sharp': elderly_woman_sharp,
    'elderly_woman': elderly_woman,
    'elderly': elderly,
    'electric_bike_filled_outlined': electric_bike_filled_outlined,
    'electric_bike_filled_sharp': electric_bike_filled_sharp,
    'electric_bike_filled': electric_bike_filled,
    'electric_bike_outlined': electric_bike_outlined,
    'electric_bike_sharp': electric_bike_sharp,
    'electric_bike': electric_bike,
    'electric_bolt_filled_outlined': electric_bolt_filled_outlined,
    'electric_bolt_filled_sharp': electric_bolt_filled_sharp,
    'electric_bolt_filled': electric_bolt_filled,
    'electric_bolt_outlined': electric_bolt_outlined,
    'electric_bolt_sharp': electric_bolt_sharp,
    'electric_bolt': electric_bolt,
    'electric_car_filled_outlined': electric_car_filled_outlined,
    'electric_car_filled_sharp': electric_car_filled_sharp,
    'electric_car_filled': electric_car_filled,
    'electric_car_outlined': electric_car_outlined,
    'electric_car_sharp': electric_car_sharp,
    'electric_car': electric_car,
    'electric_meter_filled_outlined': electric_meter_filled_outlined,
    'electric_meter_filled_sharp': electric_meter_filled_sharp,
    'electric_meter_filled': electric_meter_filled,
    'electric_meter_outlined': electric_meter_outlined,
    'electric_meter_sharp': electric_meter_sharp,
    'electric_meter': electric_meter,
    'electric_moped_filled_outlined': electric_moped_filled_outlined,
    'electric_moped_filled_sharp': electric_moped_filled_sharp,
    'electric_moped_filled': electric_moped_filled,
    'electric_moped_outlined': electric_moped_outlined,
    'electric_moped_sharp': electric_moped_sharp,
    'electric_moped': electric_moped,
    'electric_rickshaw_filled_outlined': electric_rickshaw_filled_outlined,
    'electric_rickshaw_filled_sharp': electric_rickshaw_filled_sharp,
    'electric_rickshaw_filled': electric_rickshaw_filled,
    'electric_rickshaw_outlined': electric_rickshaw_outlined,
    'electric_rickshaw_sharp': electric_rickshaw_sharp,
    'electric_rickshaw': electric_rickshaw,
    'electric_scooter_filled_outlined': electric_scooter_filled_outlined,
    'electric_scooter_filled_sharp': electric_scooter_filled_sharp,
    'electric_scooter_filled': electric_scooter_filled,
    'electric_scooter_outlined': electric_scooter_outlined,
    'electric_scooter_sharp': electric_scooter_sharp,
    'electric_scooter': electric_scooter,
    'electrical_services_filled_outlined': electrical_services_filled_outlined,
    'electrical_services_filled_sharp': electrical_services_filled_sharp,
    'electrical_services_filled': electrical_services_filled,
    'electrical_services_outlined': electrical_services_outlined,
    'electrical_services_sharp': electrical_services_sharp,
    'electrical_services': electrical_services,
    'elevator_filled_outlined': elevator_filled_outlined,
    'elevator_filled_sharp': elevator_filled_sharp,
    'elevator_filled': elevator_filled,
    'elevator_outlined': elevator_outlined,
    'elevator_sharp': elevator_sharp,
    'elevator': elevator,
    'emergency_filled_outlined': emergency_filled_outlined,
    'emergency_filled_sharp': emergency_filled_sharp,
    'emergency_filled': emergency_filled,
    'emergency_heat_filled_outlined': emergency_heat_filled_outlined,
    'emergency_heat_filled_sharp': emergency_heat_filled_sharp,
    'emergency_heat_filled': emergency_heat_filled,
    'emergency_heat_outlined': emergency_heat_outlined,
    'emergency_heat_sharp': emergency_heat_sharp,
    'emergency_heat': emergency_heat,
    'emergency_home_filled_outlined': emergency_home_filled_outlined,
    'emergency_home_filled_sharp': emergency_home_filled_sharp,
    'emergency_home_filled': emergency_home_filled,
    'emergency_home_outlined': emergency_home_outlined,
    'emergency_home_sharp': emergency_home_sharp,
    'emergency_home': emergency_home,
    'emergency_outlined': emergency_outlined,
    'emergency_recording_filled_outlined': emergency_recording_filled_outlined,
    'emergency_recording_filled_sharp': emergency_recording_filled_sharp,
    'emergency_recording_filled': emergency_recording_filled,
    'emergency_recording_outlined': emergency_recording_outlined,
    'emergency_recording_sharp': emergency_recording_sharp,
    'emergency_recording': emergency_recording,
    'emergency_share_filled_outlined': emergency_share_filled_outlined,
    'emergency_share_filled_sharp': emergency_share_filled_sharp,
    'emergency_share_filled': emergency_share_filled,
    'emergency_share_outlined': emergency_share_outlined,
    'emergency_share_sharp': emergency_share_sharp,
    'emergency_share': emergency_share,
    'emergency_sharp': emergency_sharp,
    'emergency': emergency,
    'emoji_flags_filled_outlined': emoji_flags_filled_outlined,
    'emoji_flags_filled_sharp': emoji_flags_filled_sharp,
    'emoji_flags_filled': emoji_flags_filled,
    'emoji_flags_outlined': emoji_flags_outlined,
    'emoji_flags_sharp': emoji_flags_sharp,
    'emoji_flags': emoji_flags,
    'emoji_food_beverage_filled_outlined': emoji_food_beverage_filled_outlined,
    'emoji_food_beverage_filled_sharp': emoji_food_beverage_filled_sharp,
    'emoji_food_beverage_filled': emoji_food_beverage_filled,
    'emoji_food_beverage_outlined': emoji_food_beverage_outlined,
    'emoji_food_beverage_sharp': emoji_food_beverage_sharp,
    'emoji_food_beverage': emoji_food_beverage,
    'emoji_nature_filled_outlined': emoji_nature_filled_outlined,
    'emoji_nature_filled_sharp': emoji_nature_filled_sharp,
    'emoji_nature_filled': emoji_nature_filled,
    'emoji_nature_outlined': emoji_nature_outlined,
    'emoji_nature_sharp': emoji_nature_sharp,
    'emoji_nature': emoji_nature,
    'emoji_objects_filled_outlined': emoji_objects_filled_outlined,
    'emoji_objects_filled_sharp': emoji_objects_filled_sharp,
    'emoji_objects_filled': emoji_objects_filled,
    'emoji_objects_outlined': emoji_objects_outlined,
    'emoji_objects_sharp': emoji_objects_sharp,
    'emoji_objects': emoji_objects,
    'emoji_people_filled_outlined': emoji_people_filled_outlined,
    'emoji_people_filled_sharp': emoji_people_filled_sharp,
    'emoji_people_filled': emoji_people_filled,
    'emoji_people_outlined': emoji_people_outlined,
    'emoji_people_sharp': emoji_people_sharp,
    'emoji_people': emoji_people,
    'emoji_symbols_filled_outlined': emoji_symbols_filled_outlined,
    'emoji_symbols_filled_sharp': emoji_symbols_filled_sharp,
    'emoji_symbols_filled': emoji_symbols_filled,
    'emoji_symbols_outlined': emoji_symbols_outlined,
    'emoji_symbols_sharp': emoji_symbols_sharp,
    'emoji_symbols': emoji_symbols,
    'emoji_transportation_filled_outlined':
        emoji_transportation_filled_outlined,
    'emoji_transportation_filled_sharp': emoji_transportation_filled_sharp,
    'emoji_transportation_filled': emoji_transportation_filled,
    'emoji_transportation_outlined': emoji_transportation_outlined,
    'emoji_transportation_sharp': emoji_transportation_sharp,
    'emoji_transportation': emoji_transportation,
    'empty_dashboard_filled_outlined': empty_dashboard_filled_outlined,
    'empty_dashboard_filled_sharp': empty_dashboard_filled_sharp,
    'empty_dashboard_filled': empty_dashboard_filled,
    'empty_dashboard_outlined': empty_dashboard_outlined,
    'empty_dashboard_sharp': empty_dashboard_sharp,
    'empty_dashboard': empty_dashboard,
    'enable_filled_outlined': enable_filled_outlined,
    'enable_filled_sharp': enable_filled_sharp,
    'enable_filled': enable_filled,
    'enable_outlined': enable_outlined,
    'enable_sharp': enable_sharp,
    'enable': enable,
    'energy_program_saving_filled_outlined':
        energy_program_saving_filled_outlined,
    'energy_program_saving_filled_sharp': energy_program_saving_filled_sharp,
    'energy_program_saving_filled': energy_program_saving_filled,
    'energy_program_saving_outlined': energy_program_saving_outlined,
    'energy_program_saving_sharp': energy_program_saving_sharp,
    'energy_program_saving': energy_program_saving,
    'energy_program_time_used_filled_outlined':
        energy_program_time_used_filled_outlined,
    'energy_program_time_used_filled_sharp':
        energy_program_time_used_filled_sharp,
    'energy_program_time_used_filled': energy_program_time_used_filled,
    'energy_program_time_used_outlined': energy_program_time_used_outlined,
    'energy_program_time_used_sharp': energy_program_time_used_sharp,
    'energy_program_time_used': energy_program_time_used,
    'energy_savings_leaf_filled_outlined': energy_savings_leaf_filled_outlined,
    'energy_savings_leaf_filled_sharp': energy_savings_leaf_filled_sharp,
    'energy_savings_leaf_filled': energy_savings_leaf_filled,
    'energy_savings_leaf_outlined': energy_savings_leaf_outlined,
    'energy_savings_leaf_sharp': energy_savings_leaf_sharp,
    'energy_savings_leaf': energy_savings_leaf,
    'engineering_filled_outlined': engineering_filled_outlined,
    'engineering_filled_sharp': engineering_filled_sharp,
    'engineering_filled': engineering_filled,
    'engineering_outlined': engineering_outlined,
    'engineering_sharp': engineering_sharp,
    'engineering': engineering,
    'enhanced_encryption_filled_outlined': enhanced_encryption_filled_outlined,
    'enhanced_encryption_filled_sharp': enhanced_encryption_filled_sharp,
    'enhanced_encryption_filled': enhanced_encryption_filled,
    'enhanced_encryption_outlined': enhanced_encryption_outlined,
    'enhanced_encryption_sharp': enhanced_encryption_sharp,
    'enhanced_encryption': enhanced_encryption,
    'ent_filled_outlined': ent_filled_outlined,
    'ent_filled_sharp': ent_filled_sharp,
    'ent_filled': ent_filled,
    'ent_outlined': ent_outlined,
    'ent_sharp': ent_sharp,
    'ent': ent,
    'equalizer_filled_outlined': equalizer_filled_outlined,
    'equalizer_filled_sharp': equalizer_filled_sharp,
    'equalizer_filled': equalizer_filled,
    'equalizer_outlined': equalizer_outlined,
    'equalizer_sharp': equalizer_sharp,
    'equalizer': equalizer,
    'error_circle_rounded_filled_outlined':
        error_circle_rounded_filled_outlined,
    'error_circle_rounded_filled_sharp': error_circle_rounded_filled_sharp,
    'error_circle_rounded_filled': error_circle_rounded_filled,
    'error_circle_rounded_outlined': error_circle_rounded_outlined,
    'error_circle_rounded_sharp': error_circle_rounded_sharp,
    'error_circle_rounded': error_circle_rounded,
    'error_filled_outlined': error_filled_outlined,
    'error_filled_sharp': error_filled_sharp,
    'error_filled': error_filled,
    'error_med_filled_outlined': error_med_filled_outlined,
    'error_med_filled_sharp': error_med_filled_sharp,
    'error_med_filled': error_med_filled,
    'error_med_outlined': error_med_outlined,
    'error_med_sharp': error_med_sharp,
    'error_med': error_med,
    'error_outlined': error_outlined,
    'error_sharp': error_sharp,
    'error': error,
    'escalator_filled_outlined': escalator_filled_outlined,
    'escalator_filled_sharp': escalator_filled_sharp,
    'escalator_filled': escalator_filled,
    'escalator_outlined': escalator_outlined,
    'escalator_sharp': escalator_sharp,
    'escalator_warning_filled_outlined': escalator_warning_filled_outlined,
    'escalator_warning_filled_sharp': escalator_warning_filled_sharp,
    'escalator_warning_filled': escalator_warning_filled,
    'escalator_warning_outlined': escalator_warning_outlined,
    'escalator_warning_sharp': escalator_warning_sharp,
    'escalator_warning': escalator_warning,
    'escalator': escalator,
    'euro_filled_outlined': euro_filled_outlined,
    'euro_filled_sharp': euro_filled_sharp,
    'euro_filled': euro_filled,
    'euro_outlined': euro_outlined,
    'euro_sharp': euro_sharp,
    'euro_symbol_filled_outlined': euro_symbol_filled_outlined,
    'euro_symbol_filled_sharp': euro_symbol_filled_sharp,
    'euro_symbol_filled': euro_symbol_filled,
    'euro_symbol_outlined': euro_symbol_outlined,
    'euro_symbol_sharp': euro_symbol_sharp,
    'euro_symbol': euro_symbol,
    'euro': euro,
    'ev_charger_filled_outlined': ev_charger_filled_outlined,
    'ev_charger_filled_sharp': ev_charger_filled_sharp,
    'ev_charger_filled': ev_charger_filled,
    'ev_charger_outlined': ev_charger_outlined,
    'ev_charger_sharp': ev_charger_sharp,
    'ev_charger': ev_charger,
    'ev_shadow_filled_outlined': ev_shadow_filled_outlined,
    'ev_shadow_filled_sharp': ev_shadow_filled_sharp,
    'ev_shadow_filled': ev_shadow_filled,
    'ev_shadow_outlined': ev_shadow_outlined,
    'ev_shadow_sharp': ev_shadow_sharp,
    'ev_shadow': ev_shadow,
    'ev_station_filled_outlined': ev_station_filled_outlined,
    'ev_station_filled_sharp': ev_station_filled_sharp,
    'ev_station_filled': ev_station_filled,
    'ev_station_outlined': ev_station_outlined,
    'ev_station_sharp': ev_station_sharp,
    'ev_station': ev_station,
    'event_available_filled_outlined': event_available_filled_outlined,
    'event_available_filled_sharp': event_available_filled_sharp,
    'event_available_filled': event_available_filled,
    'event_available_outlined': event_available_outlined,
    'event_available_sharp': event_available_sharp,
    'event_available': event_available,
    'event_busy_filled_outlined': event_busy_filled_outlined,
    'event_busy_filled_sharp': event_busy_filled_sharp,
    'event_busy_filled': event_busy_filled,
    'event_busy_outlined': event_busy_outlined,
    'event_busy_sharp': event_busy_sharp,
    'event_busy': event_busy,
    'event_filled_outlined': event_filled_outlined,
    'event_filled_sharp': event_filled_sharp,
    'event_filled': event_filled,
    'event_note_filled_outlined': event_note_filled_outlined,
    'event_note_filled_sharp': event_note_filled_sharp,
    'event_note_filled': event_note_filled,
    'event_note_outlined': event_note_outlined,
    'event_note_sharp': event_note_sharp,
    'event_note': event_note,
    'event_outlined': event_outlined,
    'event_repeat_filled_outlined': event_repeat_filled_outlined,
    'event_repeat_filled_sharp': event_repeat_filled_sharp,
    'event_repeat_filled': event_repeat_filled,
    'event_repeat_outlined': event_repeat_outlined,
    'event_repeat_sharp': event_repeat_sharp,
    'event_repeat': event_repeat,
    'event_seat_filled_outlined': event_seat_filled_outlined,
    'event_seat_filled_sharp': event_seat_filled_sharp,
    'event_seat_filled': event_seat_filled,
    'event_seat_outlined': event_seat_outlined,
    'event_seat_sharp': event_seat_sharp,
    'event_seat': event_seat,
    'event_sharp': event_sharp,
    'event_upcoming_filled_outlined': event_upcoming_filled_outlined,
    'event_upcoming_filled_sharp': event_upcoming_filled_sharp,
    'event_upcoming_filled': event_upcoming_filled,
    'event_upcoming_outlined': event_upcoming_outlined,
    'event_upcoming_sharp': event_upcoming_sharp,
    'event_upcoming': event_upcoming,
    'event': event,
    'exclamation_filled_outlined': exclamation_filled_outlined,
    'exclamation_filled_sharp': exclamation_filled_sharp,
    'exclamation_filled': exclamation_filled,
    'exclamation_outlined': exclamation_outlined,
    'exclamation_sharp': exclamation_sharp,
    'exclamation': exclamation,
    'exit_to_app_filled_outlined': exit_to_app_filled_outlined,
    'exit_to_app_filled_sharp': exit_to_app_filled_sharp,
    'exit_to_app_filled': exit_to_app_filled,
    'exit_to_app_outlined': exit_to_app_outlined,
    'exit_to_app_sharp': exit_to_app_sharp,
    'exit_to_app': exit_to_app,
    'expand_circle_down_filled_outlined': expand_circle_down_filled_outlined,
    'expand_circle_down_filled_sharp': expand_circle_down_filled_sharp,
    'expand_circle_down_filled': expand_circle_down_filled,
    'expand_circle_down_outlined': expand_circle_down_outlined,
    'expand_circle_down_sharp': expand_circle_down_sharp,
    'expand_circle_down': expand_circle_down,
    'expand_content_filled_outlined': expand_content_filled_outlined,
    'expand_content_filled_sharp': expand_content_filled_sharp,
    'expand_content_filled': expand_content_filled,
    'expand_content_outlined': expand_content_outlined,
    'expand_content_sharp': expand_content_sharp,
    'expand_content': expand_content,
    'expand_filled_outlined': expand_filled_outlined,
    'expand_filled_sharp': expand_filled_sharp,
    'expand_filled': expand_filled,
    'expand_less_filled_outlined': expand_less_filled_outlined,
    'expand_less_filled_sharp': expand_less_filled_sharp,
    'expand_less_filled': expand_less_filled,
    'expand_less_outlined': expand_less_outlined,
    'expand_less_sharp': expand_less_sharp,
    'expand_less': expand_less,
    'expand_more_filled_outlined': expand_more_filled_outlined,
    'expand_more_filled_sharp': expand_more_filled_sharp,
    'expand_more_filled': expand_more_filled,
    'expand_more_outlined': expand_more_outlined,
    'expand_more_sharp': expand_more_sharp,
    'expand_more': expand_more,
    'expand_outlined': expand_outlined,
    'expand_sharp': expand_sharp,
    'expand': expand,
    'explicit_filled_outlined': explicit_filled_outlined,
    'explicit_filled_sharp': explicit_filled_sharp,
    'explicit_filled': explicit_filled,
    'explicit_outlined': explicit_outlined,
    'explicit_sharp': explicit_sharp,
    'explicit': explicit,
    'explore_filled_outlined': explore_filled_outlined,
    'explore_filled_sharp': explore_filled_sharp,
    'explore_filled': explore_filled,
    'explore_off_filled_outlined': explore_off_filled_outlined,
    'explore_off_filled_sharp': explore_off_filled_sharp,
    'explore_off_filled': explore_off_filled,
    'explore_off_outlined': explore_off_outlined,
    'explore_off_sharp': explore_off_sharp,
    'explore_off': explore_off,
    'explore_outlined': explore_outlined,
    'explore_sharp': explore_sharp,
    'explore': explore,
    'export_notes_filled_outlined': export_notes_filled_outlined,
    'export_notes_filled_sharp': export_notes_filled_sharp,
    'export_notes_filled': export_notes_filled,
    'export_notes_outlined': export_notes_outlined,
    'export_notes_sharp': export_notes_sharp,
    'export_notes': export_notes,
    'exposure_filled_outlined': exposure_filled_outlined,
    'exposure_filled_sharp': exposure_filled_sharp,
    'exposure_filled': exposure_filled,
    'exposure_neg_1_filled_outlined': exposure_neg_1_filled_outlined,
    'exposure_neg_1_filled_sharp': exposure_neg_1_filled_sharp,
    'exposure_neg_1_filled': exposure_neg_1_filled,
    'exposure_neg_1_outlined': exposure_neg_1_outlined,
    'exposure_neg_1_sharp': exposure_neg_1_sharp,
    'exposure_neg_1': exposure_neg_1,
    'exposure_neg_2_filled_outlined': exposure_neg_2_filled_outlined,
    'exposure_neg_2_filled_sharp': exposure_neg_2_filled_sharp,
    'exposure_neg_2_filled': exposure_neg_2_filled,
    'exposure_neg_2_outlined': exposure_neg_2_outlined,
    'exposure_neg_2_sharp': exposure_neg_2_sharp,
    'exposure_neg_2': exposure_neg_2,
    'exposure_outlined': exposure_outlined,
    'exposure_plus_1_filled_outlined': exposure_plus_1_filled_outlined,
    'exposure_plus_1_filled_sharp': exposure_plus_1_filled_sharp,
    'exposure_plus_1_filled': exposure_plus_1_filled,
    'exposure_plus_1_outlined': exposure_plus_1_outlined,
    'exposure_plus_1_sharp': exposure_plus_1_sharp,
    'exposure_plus_1': exposure_plus_1,
    'exposure_plus_2_filled_outlined': exposure_plus_2_filled_outlined,
    'exposure_plus_2_filled_sharp': exposure_plus_2_filled_sharp,
    'exposure_plus_2_filled': exposure_plus_2_filled,
    'exposure_plus_2_outlined': exposure_plus_2_outlined,
    'exposure_plus_2_sharp': exposure_plus_2_sharp,
    'exposure_plus_2': exposure_plus_2,
    'exposure_sharp': exposure_sharp,
    'exposure_zero_filled_outlined': exposure_zero_filled_outlined,
    'exposure_zero_filled_sharp': exposure_zero_filled_sharp,
    'exposure_zero_filled': exposure_zero_filled,
    'exposure_zero_outlined': exposure_zero_outlined,
    'exposure_zero_sharp': exposure_zero_sharp,
    'exposure_zero': exposure_zero,
    'exposure': exposure,
    'extension_filled_outlined': extension_filled_outlined,
    'extension_filled_sharp': extension_filled_sharp,
    'extension_filled': extension_filled,
    'extension_off_filled_outlined': extension_off_filled_outlined,
    'extension_off_filled_sharp': extension_off_filled_sharp,
    'extension_off_filled': extension_off_filled,
    'extension_off_outlined': extension_off_outlined,
    'extension_off_sharp': extension_off_sharp,
    'extension_off': extension_off,
    'extension_outlined': extension_outlined,
    'extension_sharp': extension_sharp,
    'extension': extension,
    'face_2_filled_outlined': face_2_filled_outlined,
    'face_2_filled_sharp': face_2_filled_sharp,
    'face_2_filled': face_2_filled,
    'face_2_outlined': face_2_outlined,
    'face_2_sharp': face_2_sharp,
    'face_2': face_2,
    'face_3_filled_outlined': face_3_filled_outlined,
    'face_3_filled_sharp': face_3_filled_sharp,
    'face_3_filled': face_3_filled,
    'face_3_outlined': face_3_outlined,
    'face_3_sharp': face_3_sharp,
    'face_3': face_3,
    'face_4_filled_outlined': face_4_filled_outlined,
    'face_4_filled_sharp': face_4_filled_sharp,
    'face_4_filled': face_4_filled,
    'face_4_outlined': face_4_outlined,
    'face_4_sharp': face_4_sharp,
    'face_4': face_4,
    'face_5_filled_outlined': face_5_filled_outlined,
    'face_5_filled_sharp': face_5_filled_sharp,
    'face_5_filled': face_5_filled,
    'face_5_outlined': face_5_outlined,
    'face_5_sharp': face_5_sharp,
    'face_5': face_5,
    'face_6_filled_outlined': face_6_filled_outlined,
    'face_6_filled_sharp': face_6_filled_sharp,
    'face_6_filled': face_6_filled,
    'face_6_outlined': face_6_outlined,
    'face_6_sharp': face_6_sharp,
    'face_6': face_6,
    'face_filled_outlined': face_filled_outlined,
    'face_filled_sharp': face_filled_sharp,
    'face_filled': face_filled,
    'face_outlined': face_outlined,
    'face_retouching_natural_filled_outlined':
        face_retouching_natural_filled_outlined,
    'face_retouching_natural_filled_sharp':
        face_retouching_natural_filled_sharp,
    'face_retouching_natural_filled': face_retouching_natural_filled,
    'face_retouching_natural_outlined': face_retouching_natural_outlined,
    'face_retouching_natural_sharp': face_retouching_natural_sharp,
    'face_retouching_natural': face_retouching_natural,
    'face_retouching_off_filled_outlined': face_retouching_off_filled_outlined,
    'face_retouching_off_filled_sharp': face_retouching_off_filled_sharp,
    'face_retouching_off_filled': face_retouching_off_filled,
    'face_retouching_off_outlined': face_retouching_off_outlined,
    'face_retouching_off_sharp': face_retouching_off_sharp,
    'face_retouching_off': face_retouching_off,
    'face_sharp': face_sharp,
    'face': face,
    'fact_check_filled_outlined': fact_check_filled_outlined,
    'fact_check_filled_sharp': fact_check_filled_sharp,
    'fact_check_filled': fact_check_filled,
    'fact_check_outlined': fact_check_outlined,
    'fact_check_sharp': fact_check_sharp,
    'fact_check': fact_check,
    'factory_filled_outlined': factory_filled_outlined,
    'factory_filled_sharp': factory_filled_sharp,
    'factory_filled': factory_filled,
    'factory_outlined': factory_outlined,
    'factory_sharp': factory_sharp,
    'factory': factory,
    'familiar_face_and_zone_filled_outlined':
        familiar_face_and_zone_filled_outlined,
    'familiar_face_and_zone_filled_sharp': familiar_face_and_zone_filled_sharp,
    'familiar_face_and_zone_filled': familiar_face_and_zone_filled,
    'familiar_face_and_zone_outlined': familiar_face_and_zone_outlined,
    'familiar_face_and_zone_sharp': familiar_face_and_zone_sharp,
    'familiar_face_and_zone': familiar_face_and_zone,
    'family_history_filled_outlined': family_history_filled_outlined,
    'family_history_filled_sharp': family_history_filled_sharp,
    'family_history_filled': family_history_filled,
    'family_history_outlined': family_history_outlined,
    'family_history_sharp': family_history_sharp,
    'family_history': family_history,
    'family_restroom_filled_outlined': family_restroom_filled_outlined,
    'family_restroom_filled_sharp': family_restroom_filled_sharp,
    'family_restroom_filled': family_restroom_filled,
    'family_restroom_outlined': family_restroom_outlined,
    'family_restroom_sharp': family_restroom_sharp,
    'family_restroom': family_restroom,
    'fast_forward_filled_outlined': fast_forward_filled_outlined,
    'fast_forward_filled_sharp': fast_forward_filled_sharp,
    'fast_forward_filled': fast_forward_filled,
    'fast_forward_outlined': fast_forward_outlined,
    'fast_forward_sharp': fast_forward_sharp,
    'fast_forward': fast_forward,
    'fast_rewind_filled_outlined': fast_rewind_filled_outlined,
    'fast_rewind_filled_sharp': fast_rewind_filled_sharp,
    'fast_rewind_filled': fast_rewind_filled,
    'fast_rewind_outlined': fast_rewind_outlined,
    'fast_rewind_sharp': fast_rewind_sharp,
    'fast_rewind': fast_rewind,
    'fastfood_filled_outlined': fastfood_filled_outlined,
    'fastfood_filled_sharp': fastfood_filled_sharp,
    'fastfood_filled': fastfood_filled,
    'fastfood_outlined': fastfood_outlined,
    'fastfood_sharp': fastfood_sharp,
    'fastfood': fastfood,
    'faucet_filled_outlined': faucet_filled_outlined,
    'faucet_filled_sharp': faucet_filled_sharp,
    'faucet_filled': faucet_filled,
    'faucet_outlined': faucet_outlined,
    'faucet_sharp': faucet_sharp,
    'faucet': faucet,
    'favorite_filled_outlined': favorite_filled_outlined,
    'favorite_filled_sharp': favorite_filled_sharp,
    'favorite_filled': favorite_filled,
    'favorite_outlined': favorite_outlined,
    'favorite_sharp': favorite_sharp,
    'favorite': favorite,
    'fax_filled_outlined': fax_filled_outlined,
    'fax_filled_sharp': fax_filled_sharp,
    'fax_filled': fax_filled,
    'fax_outlined': fax_outlined,
    'fax_sharp': fax_sharp,
    'fax': fax,
    'featured_play_list_filled_outlined': featured_play_list_filled_outlined,
    'featured_play_list_filled_sharp': featured_play_list_filled_sharp,
    'featured_play_list_filled': featured_play_list_filled,
    'featured_play_list_outlined': featured_play_list_outlined,
    'featured_play_list_sharp': featured_play_list_sharp,
    'featured_play_list': featured_play_list,
    'featured_video_filled_outlined': featured_video_filled_outlined,
    'featured_video_filled_sharp': featured_video_filled_sharp,
    'featured_video_filled': featured_video_filled,
    'featured_video_outlined': featured_video_outlined,
    'featured_video_sharp': featured_video_sharp,
    'featured_video': featured_video,
    'feed_filled_outlined': feed_filled_outlined,
    'feed_filled_sharp': feed_filled_sharp,
    'feed_filled': feed_filled,
    'feed_outlined': feed_outlined,
    'feed_sharp': feed_sharp,
    'feed': feed,
    'female_filled_outlined': female_filled_outlined,
    'female_filled_sharp': female_filled_sharp,
    'female_filled': female_filled,
    'female_outlined': female_outlined,
    'female_sharp': female_sharp,
    'female': female,
    'femur_alt_filled_outlined': femur_alt_filled_outlined,
    'femur_alt_filled_sharp': femur_alt_filled_sharp,
    'femur_alt_filled': femur_alt_filled,
    'femur_alt_outlined': femur_alt_outlined,
    'femur_alt_sharp': femur_alt_sharp,
    'femur_alt': femur_alt,
    'femur_filled_outlined': femur_filled_outlined,
    'femur_filled_sharp': femur_filled_sharp,
    'femur_filled': femur_filled,
    'femur_outlined': femur_outlined,
    'femur_sharp': femur_sharp,
    'femur': femur,
    'fence_filled_outlined': fence_filled_outlined,
    'fence_filled_sharp': fence_filled_sharp,
    'fence_filled': fence_filled,
    'fence_outlined': fence_outlined,
    'fence_sharp': fence_sharp,
    'fence': fence,
    'festival_filled_outlined': festival_filled_outlined,
    'festival_filled_sharp': festival_filled_sharp,
    'festival_filled': festival_filled,
    'festival_outlined': festival_outlined,
    'festival_sharp': festival_sharp,
    'festival': festival,
    'fiber_dvr_filled_outlined': fiber_dvr_filled_outlined,
    'fiber_dvr_filled_sharp': fiber_dvr_filled_sharp,
    'fiber_dvr_filled': fiber_dvr_filled,
    'fiber_dvr_outlined': fiber_dvr_outlined,
    'fiber_dvr_sharp': fiber_dvr_sharp,
    'fiber_dvr': fiber_dvr,
    'fiber_manual_record_filled_outlined': fiber_manual_record_filled_outlined,
    'fiber_manual_record_filled_sharp': fiber_manual_record_filled_sharp,
    'fiber_manual_record_filled': fiber_manual_record_filled,
    'fiber_manual_record_outlined': fiber_manual_record_outlined,
    'fiber_manual_record_sharp': fiber_manual_record_sharp,
    'fiber_manual_record': fiber_manual_record,
    'fiber_new_filled_outlined': fiber_new_filled_outlined,
    'fiber_new_filled_sharp': fiber_new_filled_sharp,
    'fiber_new_filled': fiber_new_filled,
    'fiber_new_outlined': fiber_new_outlined,
    'fiber_new_sharp': fiber_new_sharp,
    'fiber_new': fiber_new,
    'fiber_pin_filled_outlined': fiber_pin_filled_outlined,
    'fiber_pin_filled_sharp': fiber_pin_filled_sharp,
    'fiber_pin_filled': fiber_pin_filled,
    'fiber_pin_outlined': fiber_pin_outlined,
    'fiber_pin_sharp': fiber_pin_sharp,
    'fiber_pin': fiber_pin,
    'fiber_smart_record_filled_outlined': fiber_smart_record_filled_outlined,
    'fiber_smart_record_filled_sharp': fiber_smart_record_filled_sharp,
    'fiber_smart_record_filled': fiber_smart_record_filled,
    'fiber_smart_record_outlined': fiber_smart_record_outlined,
    'fiber_smart_record_sharp': fiber_smart_record_sharp,
    'fiber_smart_record': fiber_smart_record,
    'file_copy_filled_outlined': file_copy_filled_outlined,
    'file_copy_filled_sharp': file_copy_filled_sharp,
    'file_copy_filled': file_copy_filled,
    'file_copy_outlined': file_copy_outlined,
    'file_copy_sharp': file_copy_sharp,
    'file_copy': file_copy,
    'file_download_done_filled_outlined': file_download_done_filled_outlined,
    'file_download_done_filled_sharp': file_download_done_filled_sharp,
    'file_download_done_filled': file_download_done_filled,
    'file_download_done_outlined': file_download_done_outlined,
    'file_download_done_sharp': file_download_done_sharp,
    'file_download_done': file_download_done,
    'file_download_off_filled_outlined': file_download_off_filled_outlined,
    'file_download_off_filled_sharp': file_download_off_filled_sharp,
    'file_download_off_filled': file_download_off_filled,
    'file_download_off_outlined': file_download_off_outlined,
    'file_download_off_sharp': file_download_off_sharp,
    'file_download_off': file_download_off,
    'file_open_filled_outlined': file_open_filled_outlined,
    'file_open_filled_sharp': file_open_filled_sharp,
    'file_open_filled': file_open_filled,
    'file_open_outlined': file_open_outlined,
    'file_open_sharp': file_open_sharp,
    'file_open': file_open,
    'file_present_filled_outlined': file_present_filled_outlined,
    'file_present_filled_sharp': file_present_filled_sharp,
    'file_present_filled': file_present_filled,
    'file_present_outlined': file_present_outlined,
    'file_present_sharp': file_present_sharp,
    'file_present': file_present,
    'file_upload_off_filled_outlined': file_upload_off_filled_outlined,
    'file_upload_off_filled_sharp': file_upload_off_filled_sharp,
    'file_upload_off_filled': file_upload_off_filled,
    'file_upload_off_outlined': file_upload_off_outlined,
    'file_upload_off_sharp': file_upload_off_sharp,
    'file_upload_off': file_upload_off,
    'filter_1_filled_outlined': filter_1_filled_outlined,
    'filter_1_filled_sharp': filter_1_filled_sharp,
    'filter_1_filled': filter_1_filled,
    'filter_1_outlined': filter_1_outlined,
    'filter_1_sharp': filter_1_sharp,
    'filter_1': filter_1,
    'filter_2_filled_outlined': filter_2_filled_outlined,
    'filter_2_filled_sharp': filter_2_filled_sharp,
    'filter_2_filled': filter_2_filled,
    'filter_2_outlined': filter_2_outlined,
    'filter_2_sharp': filter_2_sharp,
    'filter_2': filter_2,
    'filter_3_filled_outlined': filter_3_filled_outlined,
    'filter_3_filled_sharp': filter_3_filled_sharp,
    'filter_3_filled': filter_3_filled,
    'filter_3_outlined': filter_3_outlined,
    'filter_3_sharp': filter_3_sharp,
    'filter_3': filter_3,
    'filter_4_filled_outlined': filter_4_filled_outlined,
    'filter_4_filled_sharp': filter_4_filled_sharp,
    'filter_4_filled': filter_4_filled,
    'filter_4_outlined': filter_4_outlined,
    'filter_4_sharp': filter_4_sharp,
    'filter_4': filter_4,
    'filter_5_filled_outlined': filter_5_filled_outlined,
    'filter_5_filled_sharp': filter_5_filled_sharp,
    'filter_5_filled': filter_5_filled,
    'filter_5_outlined': filter_5_outlined,
    'filter_5_sharp': filter_5_sharp,
    'filter_5': filter_5,
    'filter_6_filled_outlined': filter_6_filled_outlined,
    'filter_6_filled_sharp': filter_6_filled_sharp,
    'filter_6_filled': filter_6_filled,
    'filter_6_outlined': filter_6_outlined,
    'filter_6_sharp': filter_6_sharp,
    'filter_6': filter_6,
    'filter_7_filled_outlined': filter_7_filled_outlined,
    'filter_7_filled_sharp': filter_7_filled_sharp,
    'filter_7_filled': filter_7_filled,
    'filter_7_outlined': filter_7_outlined,
    'filter_7_sharp': filter_7_sharp,
    'filter_7': filter_7,
    'filter_8_filled_outlined': filter_8_filled_outlined,
    'filter_8_filled_sharp': filter_8_filled_sharp,
    'filter_8_filled': filter_8_filled,
    'filter_8_outlined': filter_8_outlined,
    'filter_8_sharp': filter_8_sharp,
    'filter_8': filter_8,
    'filter_9_filled_outlined': filter_9_filled_outlined,
    'filter_9_filled_sharp': filter_9_filled_sharp,
    'filter_9_filled': filter_9_filled,
    'filter_9_outlined': filter_9_outlined,
    'filter_9_plus_filled_outlined': filter_9_plus_filled_outlined,
    'filter_9_plus_filled_sharp': filter_9_plus_filled_sharp,
    'filter_9_plus_filled': filter_9_plus_filled,
    'filter_9_plus_outlined': filter_9_plus_outlined,
    'filter_9_plus_sharp': filter_9_plus_sharp,
    'filter_9_plus': filter_9_plus,
    'filter_9_sharp': filter_9_sharp,
    'filter_9': filter_9,
    'filter_alt_filled_outlined': filter_alt_filled_outlined,
    'filter_alt_filled_sharp': filter_alt_filled_sharp,
    'filter_alt_filled': filter_alt_filled,
    'filter_alt_off_filled_outlined': filter_alt_off_filled_outlined,
    'filter_alt_off_filled_sharp': filter_alt_off_filled_sharp,
    'filter_alt_off_filled': filter_alt_off_filled,
    'filter_alt_off_outlined': filter_alt_off_outlined,
    'filter_alt_off_sharp': filter_alt_off_sharp,
    'filter_alt_off': filter_alt_off,
    'filter_alt_outlined': filter_alt_outlined,
    'filter_alt_sharp': filter_alt_sharp,
    'filter_alt': filter_alt,
    'filter_b_and_w_filled_outlined': filter_b_and_w_filled_outlined,
    'filter_b_and_w_filled_sharp': filter_b_and_w_filled_sharp,
    'filter_b_and_w_filled': filter_b_and_w_filled,
    'filter_b_and_w_outlined': filter_b_and_w_outlined,
    'filter_b_and_w_sharp': filter_b_and_w_sharp,
    'filter_b_and_w': filter_b_and_w,
    'filter_center_focus_filled_outlined': filter_center_focus_filled_outlined,
    'filter_center_focus_filled_sharp': filter_center_focus_filled_sharp,
    'filter_center_focus_filled': filter_center_focus_filled,
    'filter_center_focus_outlined': filter_center_focus_outlined,
    'filter_center_focus_sharp': filter_center_focus_sharp,
    'filter_center_focus': filter_center_focus,
    'filter_drama_filled_outlined': filter_drama_filled_outlined,
    'filter_drama_filled_sharp': filter_drama_filled_sharp,
    'filter_drama_filled': filter_drama_filled,
    'filter_drama_outlined': filter_drama_outlined,
    'filter_drama_sharp': filter_drama_sharp,
    'filter_drama': filter_drama,
    'filter_filled_outlined': filter_filled_outlined,
    'filter_filled_sharp': filter_filled_sharp,
    'filter_filled': filter_filled,
    'filter_frames_filled_outlined': filter_frames_filled_outlined,
    'filter_frames_filled_sharp': filter_frames_filled_sharp,
    'filter_frames_filled': filter_frames_filled,
    'filter_frames_outlined': filter_frames_outlined,
    'filter_frames_sharp': filter_frames_sharp,
    'filter_frames': filter_frames,
    'filter_hdr_filled_outlined': filter_hdr_filled_outlined,
    'filter_hdr_filled_sharp': filter_hdr_filled_sharp,
    'filter_hdr_filled': filter_hdr_filled,
    'filter_hdr_outlined': filter_hdr_outlined,
    'filter_hdr_sharp': filter_hdr_sharp,
    'filter_hdr': filter_hdr,
    'filter_list_filled_outlined': filter_list_filled_outlined,
    'filter_list_filled_sharp': filter_list_filled_sharp,
    'filter_list_filled': filter_list_filled,
    'filter_list_off_filled_outlined': filter_list_off_filled_outlined,
    'filter_list_off_filled_sharp': filter_list_off_filled_sharp,
    'filter_list_off_filled': filter_list_off_filled,
    'filter_list_off_outlined': filter_list_off_outlined,
    'filter_list_off_sharp': filter_list_off_sharp,
    'filter_list_off': filter_list_off,
    'filter_list_outlined': filter_list_outlined,
    'filter_list_sharp': filter_list_sharp,
    'filter_list': filter_list,
    'filter_none_filled_outlined': filter_none_filled_outlined,
    'filter_none_filled_sharp': filter_none_filled_sharp,
    'filter_none_filled': filter_none_filled,
    'filter_none_outlined': filter_none_outlined,
    'filter_none_sharp': filter_none_sharp,
    'filter_none': filter_none,
    'filter_outlined': filter_outlined,
    'filter_sharp': filter_sharp,
    'filter_tilt_shift_filled_outlined': filter_tilt_shift_filled_outlined,
    'filter_tilt_shift_filled_sharp': filter_tilt_shift_filled_sharp,
    'filter_tilt_shift_filled': filter_tilt_shift_filled,
    'filter_tilt_shift_outlined': filter_tilt_shift_outlined,
    'filter_tilt_shift_sharp': filter_tilt_shift_sharp,
    'filter_tilt_shift': filter_tilt_shift,
    'filter_vintage_filled_outlined': filter_vintage_filled_outlined,
    'filter_vintage_filled_sharp': filter_vintage_filled_sharp,
    'filter_vintage_filled': filter_vintage_filled,
    'filter_vintage_outlined': filter_vintage_outlined,
    'filter_vintage_sharp': filter_vintage_sharp,
    'filter_vintage': filter_vintage,
    'filter': filter,
    'finance_chip_filled_outlined': finance_chip_filled_outlined,
    'finance_chip_filled_sharp': finance_chip_filled_sharp,
    'finance_chip_filled': finance_chip_filled,
    'finance_chip_outlined': finance_chip_outlined,
    'finance_chip_sharp': finance_chip_sharp,
    'finance_chip': finance_chip,
    'find_in_page_filled_outlined': find_in_page_filled_outlined,
    'find_in_page_filled_sharp': find_in_page_filled_sharp,
    'find_in_page_filled': find_in_page_filled,
    'find_in_page_outlined': find_in_page_outlined,
    'find_in_page_sharp': find_in_page_sharp,
    'find_in_page': find_in_page,
    'find_replace_filled_outlined': find_replace_filled_outlined,
    'find_replace_filled_sharp': find_replace_filled_sharp,
    'find_replace_filled': find_replace_filled,
    'find_replace_outlined': find_replace_outlined,
    'find_replace_sharp': find_replace_sharp,
    'find_replace': find_replace,
    'fingerprint_filled_outlined': fingerprint_filled_outlined,
    'fingerprint_filled_sharp': fingerprint_filled_sharp,
    'fingerprint_filled': fingerprint_filled,
    'fingerprint_outlined': fingerprint_outlined,
    'fingerprint_sharp': fingerprint_sharp,
    'fingerprint': fingerprint,
    'fire_extinguisher_filled_outlined': fire_extinguisher_filled_outlined,
    'fire_extinguisher_filled_sharp': fire_extinguisher_filled_sharp,
    'fire_extinguisher_filled': fire_extinguisher_filled,
    'fire_extinguisher_outlined': fire_extinguisher_outlined,
    'fire_extinguisher_sharp': fire_extinguisher_sharp,
    'fire_extinguisher': fire_extinguisher,
    'fire_hydrant_filled_outlined': fire_hydrant_filled_outlined,
    'fire_hydrant_filled_sharp': fire_hydrant_filled_sharp,
    'fire_hydrant_filled': fire_hydrant_filled,
    'fire_hydrant_outlined': fire_hydrant_outlined,
    'fire_hydrant_sharp': fire_hydrant_sharp,
    'fire_hydrant': fire_hydrant,
    'fire_truck_filled_outlined': fire_truck_filled_outlined,
    'fire_truck_filled_sharp': fire_truck_filled_sharp,
    'fire_truck_filled': fire_truck_filled,
    'fire_truck_outlined': fire_truck_outlined,
    'fire_truck_sharp': fire_truck_sharp,
    'fire_truck': fire_truck,
    'fireplace_filled_outlined': fireplace_filled_outlined,
    'fireplace_filled_sharp': fireplace_filled_sharp,
    'fireplace_filled': fireplace_filled,
    'fireplace_outlined': fireplace_outlined,
    'fireplace_sharp': fireplace_sharp,
    'fireplace': fireplace,
    'first_page_filled_outlined': first_page_filled_outlined,
    'first_page_filled_sharp': first_page_filled_sharp,
    'first_page_filled': first_page_filled,
    'first_page_outlined': first_page_outlined,
    'first_page_sharp': first_page_sharp,
    'first_page': first_page,
    'fit_screen_filled_outlined': fit_screen_filled_outlined,
    'fit_screen_filled_sharp': fit_screen_filled_sharp,
    'fit_screen_filled': fit_screen_filled,
    'fit_screen_outlined': fit_screen_outlined,
    'fit_screen_sharp': fit_screen_sharp,
    'fit_screen': fit_screen,
    'fitness_center_filled_outlined': fitness_center_filled_outlined,
    'fitness_center_filled_sharp': fitness_center_filled_sharp,
    'fitness_center_filled': fitness_center_filled,
    'fitness_center_outlined': fitness_center_outlined,
    'fitness_center_sharp': fitness_center_sharp,
    'fitness_center': fitness_center,
    'flag_circle_filled_outlined': flag_circle_filled_outlined,
    'flag_circle_filled_sharp': flag_circle_filled_sharp,
    'flag_circle_filled': flag_circle_filled,
    'flag_circle_outlined': flag_circle_outlined,
    'flag_circle_sharp': flag_circle_sharp,
    'flag_circle': flag_circle,
    'flag_filled_outlined': flag_filled_outlined,
    'flag_filled_sharp': flag_filled_sharp,
    'flag_filled': flag_filled,
    'flag_outlined': flag_outlined,
    'flag_sharp': flag_sharp,
    'flag': flag,
    'flaky_filled_outlined': flaky_filled_outlined,
    'flaky_filled_sharp': flaky_filled_sharp,
    'flaky_filled': flaky_filled,
    'flaky_outlined': flaky_outlined,
    'flaky_sharp': flaky_sharp,
    'flaky': flaky,
    'flare_filled_outlined': flare_filled_outlined,
    'flare_filled_sharp': flare_filled_sharp,
    'flare_filled': flare_filled,
    'flare_outlined': flare_outlined,
    'flare_sharp': flare_sharp,
    'flare': flare,
    'flash_auto_filled_outlined': flash_auto_filled_outlined,
    'flash_auto_filled_sharp': flash_auto_filled_sharp,
    'flash_auto_filled': flash_auto_filled,
    'flash_auto_outlined': flash_auto_outlined,
    'flash_auto_sharp': flash_auto_sharp,
    'flash_auto': flash_auto,
    'flash_off_filled_outlined': flash_off_filled_outlined,
    'flash_off_filled_sharp': flash_off_filled_sharp,
    'flash_off_filled': flash_off_filled,
    'flash_off_outlined': flash_off_outlined,
    'flash_off_sharp': flash_off_sharp,
    'flash_off': flash_off,
    'flash_on_filled_outlined': flash_on_filled_outlined,
    'flash_on_filled_sharp': flash_on_filled_sharp,
    'flash_on_filled': flash_on_filled,
    'flash_on_outlined': flash_on_outlined,
    'flash_on_sharp': flash_on_sharp,
    'flash_on': flash_on,
    'flashlight_off_filled_outlined': flashlight_off_filled_outlined,
    'flashlight_off_filled_sharp': flashlight_off_filled_sharp,
    'flashlight_off_filled': flashlight_off_filled,
    'flashlight_off_outlined': flashlight_off_outlined,
    'flashlight_off_sharp': flashlight_off_sharp,
    'flashlight_off': flashlight_off,
    'flashlight_on_filled_outlined': flashlight_on_filled_outlined,
    'flashlight_on_filled_sharp': flashlight_on_filled_sharp,
    'flashlight_on_filled': flashlight_on_filled,
    'flashlight_on_outlined': flashlight_on_outlined,
    'flashlight_on_sharp': flashlight_on_sharp,
    'flashlight_on': flashlight_on,
    'flatware_filled_outlined': flatware_filled_outlined,
    'flatware_filled_sharp': flatware_filled_sharp,
    'flatware_filled': flatware_filled,
    'flatware_outlined': flatware_outlined,
    'flatware_sharp': flatware_sharp,
    'flatware': flatware,
    'flight_class_filled_outlined': flight_class_filled_outlined,
    'flight_class_filled_sharp': flight_class_filled_sharp,
    'flight_class_filled': flight_class_filled,
    'flight_class_outlined': flight_class_outlined,
    'flight_class_sharp': flight_class_sharp,
    'flight_class': flight_class,
    'flight_filled_outlined': flight_filled_outlined,
    'flight_filled_sharp': flight_filled_sharp,
    'flight_filled': flight_filled,
    'flight_land_filled_outlined': flight_land_filled_outlined,
    'flight_land_filled_sharp': flight_land_filled_sharp,
    'flight_land_filled': flight_land_filled,
    'flight_land_outlined': flight_land_outlined,
    'flight_land_sharp': flight_land_sharp,
    'flight_land': flight_land,
    'flight_outlined': flight_outlined,
    'flight_sharp': flight_sharp,
    'flight_takeoff_filled_outlined': flight_takeoff_filled_outlined,
    'flight_takeoff_filled_sharp': flight_takeoff_filled_sharp,
    'flight_takeoff_filled': flight_takeoff_filled,
    'flight_takeoff_outlined': flight_takeoff_outlined,
    'flight_takeoff_sharp': flight_takeoff_sharp,
    'flight_takeoff': flight_takeoff,
    'flight': flight,
    'flip_camera_android_filled_outlined': flip_camera_android_filled_outlined,
    'flip_camera_android_filled_sharp': flip_camera_android_filled_sharp,
    'flip_camera_android_filled': flip_camera_android_filled,
    'flip_camera_android_outlined': flip_camera_android_outlined,
    'flip_camera_android_sharp': flip_camera_android_sharp,
    'flip_camera_android': flip_camera_android,
    'flip_camera_ios_filled_outlined': flip_camera_ios_filled_outlined,
    'flip_camera_ios_filled_sharp': flip_camera_ios_filled_sharp,
    'flip_camera_ios_filled': flip_camera_ios_filled,
    'flip_camera_ios_outlined': flip_camera_ios_outlined,
    'flip_camera_ios_sharp': flip_camera_ios_sharp,
    'flip_camera_ios': flip_camera_ios,
    'flip_filled_outlined': flip_filled_outlined,
    'flip_filled_sharp': flip_filled_sharp,
    'flip_filled': flip_filled,
    'flip_outlined': flip_outlined,
    'flip_sharp': flip_sharp,
    'flip_to_back_filled_outlined': flip_to_back_filled_outlined,
    'flip_to_back_filled_sharp': flip_to_back_filled_sharp,
    'flip_to_back_filled': flip_to_back_filled,
    'flip_to_back_outlined': flip_to_back_outlined,
    'flip_to_back_sharp': flip_to_back_sharp,
    'flip_to_back': flip_to_back,
    'flip_to_front_filled_outlined': flip_to_front_filled_outlined,
    'flip_to_front_filled_sharp': flip_to_front_filled_sharp,
    'flip_to_front_filled': flip_to_front_filled,
    'flip_to_front_outlined': flip_to_front_outlined,
    'flip_to_front_sharp': flip_to_front_sharp,
    'flip_to_front': flip_to_front,
    'flip': flip,
    'flood_filled_outlined': flood_filled_outlined,
    'flood_filled_sharp': flood_filled_sharp,
    'flood_filled': flood_filled,
    'flood_outlined': flood_outlined,
    'flood_sharp': flood_sharp,
    'flood': flood,
    'floor_lamp_filled_outlined': floor_lamp_filled_outlined,
    'floor_lamp_filled_sharp': floor_lamp_filled_sharp,
    'floor_lamp_filled': floor_lamp_filled,
    'floor_lamp_outlined': floor_lamp_outlined,
    'floor_lamp_sharp': floor_lamp_sharp,
    'floor_lamp': floor_lamp,
    'flowsheet_filled_outlined': flowsheet_filled_outlined,
    'flowsheet_filled_sharp': flowsheet_filled_sharp,
    'flowsheet_filled': flowsheet_filled,
    'flowsheet_outlined': flowsheet_outlined,
    'flowsheet_sharp': flowsheet_sharp,
    'flowsheet': flowsheet,
    'fluid_balance_filled_outlined': fluid_balance_filled_outlined,
    'fluid_balance_filled_sharp': fluid_balance_filled_sharp,
    'fluid_balance_filled': fluid_balance_filled,
    'fluid_balance_outlined': fluid_balance_outlined,
    'fluid_balance_sharp': fluid_balance_sharp,
    'fluid_balance': fluid_balance,
    'fluid_filled_outlined': fluid_filled_outlined,
    'fluid_filled_sharp': fluid_filled_sharp,
    'fluid_filled': fluid_filled,
    'fluid_med_filled_outlined': fluid_med_filled_outlined,
    'fluid_med_filled_sharp': fluid_med_filled_sharp,
    'fluid_med_filled': fluid_med_filled,
    'fluid_med_outlined': fluid_med_outlined,
    'fluid_med_sharp': fluid_med_sharp,
    'fluid_med': fluid_med,
    'fluid_outlined': fluid_outlined,
    'fluid_sharp': fluid_sharp,
    'fluid': fluid,
    'fluorescent_filled_outlined': fluorescent_filled_outlined,
    'fluorescent_filled_sharp': fluorescent_filled_sharp,
    'fluorescent_filled': fluorescent_filled,
    'fluorescent_outlined': fluorescent_outlined,
    'fluorescent_sharp': fluorescent_sharp,
    'fluorescent': fluorescent,
    'flutter_dash_filled_outlined': flutter_dash_filled_outlined,
    'flutter_dash_filled_sharp': flutter_dash_filled_sharp,
    'flutter_dash_filled': flutter_dash_filled,
    'flutter_dash_outlined': flutter_dash_outlined,
    'flutter_dash_sharp': flutter_dash_sharp,
    'flutter_dash': flutter_dash,
    'fmd_bad_filled_outlined': fmd_bad_filled_outlined,
    'fmd_bad_filled_sharp': fmd_bad_filled_sharp,
    'fmd_bad_filled': fmd_bad_filled,
    'fmd_bad_outlined': fmd_bad_outlined,
    'fmd_bad_sharp': fmd_bad_sharp,
    'fmd_bad': fmd_bad,
    'foggy_filled_outlined': foggy_filled_outlined,
    'foggy_filled_sharp': foggy_filled_sharp,
    'foggy_filled': foggy_filled,
    'foggy_outlined': foggy_outlined,
    'foggy_sharp': foggy_sharp,
    'foggy': foggy,
    'folder_copy_filled_outlined': folder_copy_filled_outlined,
    'folder_copy_filled_sharp': folder_copy_filled_sharp,
    'folder_copy_filled': folder_copy_filled,
    'folder_copy_outlined': folder_copy_outlined,
    'folder_copy_sharp': folder_copy_sharp,
    'folder_copy': folder_copy,
    'folder_delete_filled_outlined': folder_delete_filled_outlined,
    'folder_delete_filled_sharp': folder_delete_filled_sharp,
    'folder_delete_filled': folder_delete_filled,
    'folder_delete_outlined': folder_delete_outlined,
    'folder_delete_sharp': folder_delete_sharp,
    'folder_delete': folder_delete,
    'folder_filled_outlined': folder_filled_outlined,
    'folder_filled_sharp': folder_filled_sharp,
    'folder_filled': folder_filled,
    'folder_off_filled_outlined': folder_off_filled_outlined,
    'folder_off_filled_sharp': folder_off_filled_sharp,
    'folder_off_filled': folder_off_filled,
    'folder_off_outlined': folder_off_outlined,
    'folder_off_sharp': folder_off_sharp,
    'folder_off': folder_off,
    'folder_open_filled_outlined': folder_open_filled_outlined,
    'folder_open_filled_sharp': folder_open_filled_sharp,
    'folder_open_filled': folder_open_filled,
    'folder_open_outlined': folder_open_outlined,
    'folder_open_sharp': folder_open_sharp,
    'folder_open': folder_open,
    'folder_outlined': folder_outlined,
    'folder_shared_filled_outlined': folder_shared_filled_outlined,
    'folder_shared_filled_sharp': folder_shared_filled_sharp,
    'folder_shared_filled': folder_shared_filled,
    'folder_shared_outlined': folder_shared_outlined,
    'folder_shared_sharp': folder_shared_sharp,
    'folder_shared': folder_shared,
    'folder_sharp': folder_sharp,
    'folder_special_filled_outlined': folder_special_filled_outlined,
    'folder_special_filled_sharp': folder_special_filled_sharp,
    'folder_special_filled': folder_special_filled,
    'folder_special_outlined': folder_special_outlined,
    'folder_special_sharp': folder_special_sharp,
    'folder_special': folder_special,
    'folder_zip_filled_outlined': folder_zip_filled_outlined,
    'folder_zip_filled_sharp': folder_zip_filled_sharp,
    'folder_zip_filled': folder_zip_filled,
    'folder_zip_outlined': folder_zip_outlined,
    'folder_zip_sharp': folder_zip_sharp,
    'folder_zip': folder_zip,
    'folder': folder,
    'follow_the_signs_filled_outlined': follow_the_signs_filled_outlined,
    'follow_the_signs_filled_sharp': follow_the_signs_filled_sharp,
    'follow_the_signs_filled': follow_the_signs_filled,
    'follow_the_signs_outlined': follow_the_signs_outlined,
    'follow_the_signs_sharp': follow_the_signs_sharp,
    'follow_the_signs': follow_the_signs,
    'font_download_filled_outlined': font_download_filled_outlined,
    'font_download_filled_sharp': font_download_filled_sharp,
    'font_download_filled': font_download_filled,
    'font_download_off_filled_outlined': font_download_off_filled_outlined,
    'font_download_off_filled_sharp': font_download_off_filled_sharp,
    'font_download_off_filled': font_download_off_filled,
    'font_download_off_outlined': font_download_off_outlined,
    'font_download_off_sharp': font_download_off_sharp,
    'font_download_off': font_download_off,
    'font_download_outlined': font_download_outlined,
    'font_download_sharp': font_download_sharp,
    'font_download': font_download,
    'food_bank_filled_outlined': food_bank_filled_outlined,
    'food_bank_filled_sharp': food_bank_filled_sharp,
    'food_bank_filled': food_bank_filled,
    'food_bank_outlined': food_bank_outlined,
    'food_bank_sharp': food_bank_sharp,
    'food_bank': food_bank,
    'foot_bones_filled_outlined': foot_bones_filled_outlined,
    'foot_bones_filled_sharp': foot_bones_filled_sharp,
    'foot_bones_filled': foot_bones_filled,
    'foot_bones_outlined': foot_bones_outlined,
    'foot_bones_sharp': foot_bones_sharp,
    'foot_bones': foot_bones,
    'footprint_filled_outlined': footprint_filled_outlined,
    'footprint_filled_sharp': footprint_filled_sharp,
    'footprint_filled': footprint_filled,
    'footprint_outlined': footprint_outlined,
    'footprint_sharp': footprint_sharp,
    'footprint': footprint,
    'forest_filled_outlined': forest_filled_outlined,
    'forest_filled_sharp': forest_filled_sharp,
    'forest_filled': forest_filled,
    'forest_outlined': forest_outlined,
    'forest_sharp': forest_sharp,
    'forest': forest,
    'fork_left_filled_outlined': fork_left_filled_outlined,
    'fork_left_filled_sharp': fork_left_filled_sharp,
    'fork_left_filled': fork_left_filled,
    'fork_left_outlined': fork_left_outlined,
    'fork_left_sharp': fork_left_sharp,
    'fork_left': fork_left,
    'fork_right_filled_outlined': fork_right_filled_outlined,
    'fork_right_filled_sharp': fork_right_filled_sharp,
    'fork_right_filled': fork_right_filled,
    'fork_right_outlined': fork_right_outlined,
    'fork_right_sharp': fork_right_sharp,
    'fork_right': fork_right,
    'forklift_filled_outlined': forklift_filled_outlined,
    'forklift_filled_sharp': forklift_filled_sharp,
    'forklift_filled': forklift_filled,
    'forklift_outlined': forklift_outlined,
    'forklift_sharp': forklift_sharp,
    'forklift': forklift,
    'format_align_center_filled_outlined': format_align_center_filled_outlined,
    'format_align_center_filled_sharp': format_align_center_filled_sharp,
    'format_align_center_filled': format_align_center_filled,
    'format_align_center_outlined': format_align_center_outlined,
    'format_align_center_sharp': format_align_center_sharp,
    'format_align_center': format_align_center,
    'format_align_justify_filled_outlined':
        format_align_justify_filled_outlined,
    'format_align_justify_filled_sharp': format_align_justify_filled_sharp,
    'format_align_justify_filled': format_align_justify_filled,
    'format_align_justify_outlined': format_align_justify_outlined,
    'format_align_justify_sharp': format_align_justify_sharp,
    'format_align_justify': format_align_justify,
    'format_align_left_filled_outlined': format_align_left_filled_outlined,
    'format_align_left_filled_sharp': format_align_left_filled_sharp,
    'format_align_left_filled': format_align_left_filled,
    'format_align_left_outlined': format_align_left_outlined,
    'format_align_left_sharp': format_align_left_sharp,
    'format_align_left': format_align_left,
    'format_align_right_filled_outlined': format_align_right_filled_outlined,
    'format_align_right_filled_sharp': format_align_right_filled_sharp,
    'format_align_right_filled': format_align_right_filled,
    'format_align_right_outlined': format_align_right_outlined,
    'format_align_right_sharp': format_align_right_sharp,
    'format_align_right': format_align_right,
    'format_bold_filled_outlined': format_bold_filled_outlined,
    'format_bold_filled_sharp': format_bold_filled_sharp,
    'format_bold_filled': format_bold_filled,
    'format_bold_outlined': format_bold_outlined,
    'format_bold_sharp': format_bold_sharp,
    'format_bold': format_bold,
    'format_clear_filled_outlined': format_clear_filled_outlined,
    'format_clear_filled_sharp': format_clear_filled_sharp,
    'format_clear_filled': format_clear_filled,
    'format_clear_outlined': format_clear_outlined,
    'format_clear_sharp': format_clear_sharp,
    'format_clear': format_clear,
    'format_color_fill_filled_outlined': format_color_fill_filled_outlined,
    'format_color_fill_filled_sharp': format_color_fill_filled_sharp,
    'format_color_fill_filled': format_color_fill_filled,
    'format_color_fill_outlined': format_color_fill_outlined,
    'format_color_fill_sharp': format_color_fill_sharp,
    'format_color_fill': format_color_fill,
    'format_color_reset_filled_outlined': format_color_reset_filled_outlined,
    'format_color_reset_filled_sharp': format_color_reset_filled_sharp,
    'format_color_reset_filled': format_color_reset_filled,
    'format_color_reset_outlined': format_color_reset_outlined,
    'format_color_reset_sharp': format_color_reset_sharp,
    'format_color_reset': format_color_reset,
    'format_color_text_filled_outlined': format_color_text_filled_outlined,
    'format_color_text_filled_sharp': format_color_text_filled_sharp,
    'format_color_text_filled': format_color_text_filled,
    'format_color_text_outlined': format_color_text_outlined,
    'format_color_text_sharp': format_color_text_sharp,
    'format_color_text': format_color_text,
    'format_h1_filled_outlined': format_h1_filled_outlined,
    'format_h1_filled_sharp': format_h1_filled_sharp,
    'format_h1_filled': format_h1_filled,
    'format_h1_outlined': format_h1_outlined,
    'format_h1_sharp': format_h1_sharp,
    'format_h1': format_h1,
    'format_h2_filled_outlined': format_h2_filled_outlined,
    'format_h2_filled_sharp': format_h2_filled_sharp,
    'format_h2_filled': format_h2_filled,
    'format_h2_outlined': format_h2_outlined,
    'format_h2_sharp': format_h2_sharp,
    'format_h2': format_h2,
    'format_h3_filled_outlined': format_h3_filled_outlined,
    'format_h3_filled_sharp': format_h3_filled_sharp,
    'format_h3_filled': format_h3_filled,
    'format_h3_outlined': format_h3_outlined,
    'format_h3_sharp': format_h3_sharp,
    'format_h3': format_h3,
    'format_h4_filled_outlined': format_h4_filled_outlined,
    'format_h4_filled_sharp': format_h4_filled_sharp,
    'format_h4_filled': format_h4_filled,
    'format_h4_outlined': format_h4_outlined,
    'format_h4_sharp': format_h4_sharp,
    'format_h4': format_h4,
    'format_h5_filled_outlined': format_h5_filled_outlined,
    'format_h5_filled_sharp': format_h5_filled_sharp,
    'format_h5_filled': format_h5_filled,
    'format_h5_outlined': format_h5_outlined,
    'format_h5_sharp': format_h5_sharp,
    'format_h5': format_h5,
    'format_h6_filled_outlined': format_h6_filled_outlined,
    'format_h6_filled_sharp': format_h6_filled_sharp,
    'format_h6_filled': format_h6_filled,
    'format_h6_outlined': format_h6_outlined,
    'format_h6_sharp': format_h6_sharp,
    'format_h6': format_h6,
    'format_image_left_filled_outlined': format_image_left_filled_outlined,
    'format_image_left_filled_sharp': format_image_left_filled_sharp,
    'format_image_left_filled': format_image_left_filled,
    'format_image_left_outlined': format_image_left_outlined,
    'format_image_left_sharp': format_image_left_sharp,
    'format_image_left': format_image_left,
    'format_image_right_filled_outlined': format_image_right_filled_outlined,
    'format_image_right_filled_sharp': format_image_right_filled_sharp,
    'format_image_right_filled': format_image_right_filled,
    'format_image_right_outlined': format_image_right_outlined,
    'format_image_right_sharp': format_image_right_sharp,
    'format_image_right': format_image_right,
    'format_indent_decrease_filled_outlined':
        format_indent_decrease_filled_outlined,
    'format_indent_decrease_filled_sharp': format_indent_decrease_filled_sharp,
    'format_indent_decrease_filled': format_indent_decrease_filled,
    'format_indent_decrease_outlined': format_indent_decrease_outlined,
    'format_indent_decrease_sharp': format_indent_decrease_sharp,
    'format_indent_decrease': format_indent_decrease,
    'format_indent_increase_filled_outlined':
        format_indent_increase_filled_outlined,
    'format_indent_increase_filled_sharp': format_indent_increase_filled_sharp,
    'format_indent_increase_filled': format_indent_increase_filled,
    'format_indent_increase_outlined': format_indent_increase_outlined,
    'format_indent_increase_sharp': format_indent_increase_sharp,
    'format_indent_increase': format_indent_increase,
    'format_ink_highlighter_filled_outlined':
        format_ink_highlighter_filled_outlined,
    'format_ink_highlighter_filled_sharp': format_ink_highlighter_filled_sharp,
    'format_ink_highlighter_filled': format_ink_highlighter_filled,
    'format_ink_highlighter_outlined': format_ink_highlighter_outlined,
    'format_ink_highlighter_sharp': format_ink_highlighter_sharp,
    'format_ink_highlighter': format_ink_highlighter,
    'format_italic_filled_outlined': format_italic_filled_outlined,
    'format_italic_filled_sharp': format_italic_filled_sharp,
    'format_italic_filled': format_italic_filled,
    'format_italic_outlined': format_italic_outlined,
    'format_italic_sharp': format_italic_sharp,
    'format_italic': format_italic,
    'format_line_spacing_filled_outlined': format_line_spacing_filled_outlined,
    'format_line_spacing_filled_sharp': format_line_spacing_filled_sharp,
    'format_line_spacing_filled': format_line_spacing_filled,
    'format_line_spacing_outlined': format_line_spacing_outlined,
    'format_line_spacing_sharp': format_line_spacing_sharp,
    'format_line_spacing': format_line_spacing,
    'format_list_bulleted_add_filled_outlined':
        format_list_bulleted_add_filled_outlined,
    'format_list_bulleted_add_filled_sharp':
        format_list_bulleted_add_filled_sharp,
    'format_list_bulleted_add_filled': format_list_bulleted_add_filled,
    'format_list_bulleted_add_outlined': format_list_bulleted_add_outlined,
    'format_list_bulleted_add_sharp': format_list_bulleted_add_sharp,
    'format_list_bulleted_add': format_list_bulleted_add,
    'format_list_bulleted_filled_outlined':
        format_list_bulleted_filled_outlined,
    'format_list_bulleted_filled_sharp': format_list_bulleted_filled_sharp,
    'format_list_bulleted_filled': format_list_bulleted_filled,
    'format_list_bulleted_outlined': format_list_bulleted_outlined,
    'format_list_bulleted_sharp': format_list_bulleted_sharp,
    'format_list_bulleted': format_list_bulleted,
    'format_list_numbered_filled_outlined':
        format_list_numbered_filled_outlined,
    'format_list_numbered_filled_sharp': format_list_numbered_filled_sharp,
    'format_list_numbered_filled': format_list_numbered_filled,
    'format_list_numbered_outlined': format_list_numbered_outlined,
    'format_list_numbered_rtl_filled_outlined':
        format_list_numbered_rtl_filled_outlined,
    'format_list_numbered_rtl_filled_sharp':
        format_list_numbered_rtl_filled_sharp,
    'format_list_numbered_rtl_filled': format_list_numbered_rtl_filled,
    'format_list_numbered_rtl_outlined': format_list_numbered_rtl_outlined,
    'format_list_numbered_rtl_sharp': format_list_numbered_rtl_sharp,
    'format_list_numbered_rtl': format_list_numbered_rtl,
    'format_list_numbered_sharp': format_list_numbered_sharp,
    'format_list_numbered': format_list_numbered,
    'format_overline_filled_outlined': format_overline_filled_outlined,
    'format_overline_filled_sharp': format_overline_filled_sharp,
    'format_overline_filled': format_overline_filled,
    'format_overline_outlined': format_overline_outlined,
    'format_overline_sharp': format_overline_sharp,
    'format_overline': format_overline,
    'format_paint_filled_outlined': format_paint_filled_outlined,
    'format_paint_filled_sharp': format_paint_filled_sharp,
    'format_paint_filled': format_paint_filled,
    'format_paint_outlined': format_paint_outlined,
    'format_paint_sharp': format_paint_sharp,
    'format_paint': format_paint,
    'format_paragraph_filled_outlined': format_paragraph_filled_outlined,
    'format_paragraph_filled_sharp': format_paragraph_filled_sharp,
    'format_paragraph_filled': format_paragraph_filled,
    'format_paragraph_outlined': format_paragraph_outlined,
    'format_paragraph_sharp': format_paragraph_sharp,
    'format_paragraph': format_paragraph,
    'format_quote_filled_outlined': format_quote_filled_outlined,
    'format_quote_filled_sharp': format_quote_filled_sharp,
    'format_quote_filled': format_quote_filled,
    'format_quote_outlined': format_quote_outlined,
    'format_quote_sharp': format_quote_sharp,
    'format_quote': format_quote,
    'format_shapes_filled_outlined': format_shapes_filled_outlined,
    'format_shapes_filled_sharp': format_shapes_filled_sharp,
    'format_shapes_filled': format_shapes_filled,
    'format_shapes_outlined': format_shapes_outlined,
    'format_shapes_sharp': format_shapes_sharp,
    'format_shapes': format_shapes,
    'format_size_filled_outlined': format_size_filled_outlined,
    'format_size_filled_sharp': format_size_filled_sharp,
    'format_size_filled': format_size_filled,
    'format_size_outlined': format_size_outlined,
    'format_size_sharp': format_size_sharp,
    'format_size': format_size,
    'format_strikethrough_filled_outlined':
        format_strikethrough_filled_outlined,
    'format_strikethrough_filled_sharp': format_strikethrough_filled_sharp,
    'format_strikethrough_filled': format_strikethrough_filled,
    'format_strikethrough_outlined': format_strikethrough_outlined,
    'format_strikethrough_sharp': format_strikethrough_sharp,
    'format_strikethrough': format_strikethrough,
    'format_text_clip_filled_outlined': format_text_clip_filled_outlined,
    'format_text_clip_filled_sharp': format_text_clip_filled_sharp,
    'format_text_clip_filled': format_text_clip_filled,
    'format_text_clip_outlined': format_text_clip_outlined,
    'format_text_clip_sharp': format_text_clip_sharp,
    'format_text_clip': format_text_clip,
    'format_text_overflow_filled_outlined':
        format_text_overflow_filled_outlined,
    'format_text_overflow_filled_sharp': format_text_overflow_filled_sharp,
    'format_text_overflow_filled': format_text_overflow_filled,
    'format_text_overflow_outlined': format_text_overflow_outlined,
    'format_text_overflow_sharp': format_text_overflow_sharp,
    'format_text_overflow': format_text_overflow,
    'format_text_wrap_filled_outlined': format_text_wrap_filled_outlined,
    'format_text_wrap_filled_sharp': format_text_wrap_filled_sharp,
    'format_text_wrap_filled': format_text_wrap_filled,
    'format_text_wrap_outlined': format_text_wrap_outlined,
    'format_text_wrap_sharp': format_text_wrap_sharp,
    'format_text_wrap': format_text_wrap,
    'format_textdirection_l_to_r_filled_outlined':
        format_textdirection_l_to_r_filled_outlined,
    'format_textdirection_l_to_r_filled_sharp':
        format_textdirection_l_to_r_filled_sharp,
    'format_textdirection_l_to_r_filled': format_textdirection_l_to_r_filled,
    'format_textdirection_l_to_r_outlined':
        format_textdirection_l_to_r_outlined,
    'format_textdirection_l_to_r_sharp': format_textdirection_l_to_r_sharp,
    'format_textdirection_l_to_r': format_textdirection_l_to_r,
    'format_textdirection_r_to_l_filled_outlined':
        format_textdirection_r_to_l_filled_outlined,
    'format_textdirection_r_to_l_filled_sharp':
        format_textdirection_r_to_l_filled_sharp,
    'format_textdirection_r_to_l_filled': format_textdirection_r_to_l_filled,
    'format_textdirection_r_to_l_outlined':
        format_textdirection_r_to_l_outlined,
    'format_textdirection_r_to_l_sharp': format_textdirection_r_to_l_sharp,
    'format_textdirection_r_to_l': format_textdirection_r_to_l,
    'format_underlined_filled_outlined': format_underlined_filled_outlined,
    'format_underlined_filled_sharp': format_underlined_filled_sharp,
    'format_underlined_filled': format_underlined_filled,
    'format_underlined_outlined': format_underlined_outlined,
    'format_underlined_sharp': format_underlined_sharp,
    'format_underlined_squiggle_filled_outlined':
        format_underlined_squiggle_filled_outlined,
    'format_underlined_squiggle_filled_sharp':
        format_underlined_squiggle_filled_sharp,
    'format_underlined_squiggle_filled': format_underlined_squiggle_filled,
    'format_underlined_squiggle_outlined': format_underlined_squiggle_outlined,
    'format_underlined_squiggle_sharp': format_underlined_squiggle_sharp,
    'format_underlined_squiggle': format_underlined_squiggle,
    'format_underlined': format_underlined,
    'forms_add_on_filled_outlined': forms_add_on_filled_outlined,
    'forms_add_on_filled_sharp': forms_add_on_filled_sharp,
    'forms_add_on_filled': forms_add_on_filled,
    'forms_add_on_outlined': forms_add_on_outlined,
    'forms_add_on_sharp': forms_add_on_sharp,
    'forms_add_on': forms_add_on,
    'forms_apps_script_filled_outlined': forms_apps_script_filled_outlined,
    'forms_apps_script_filled_sharp': forms_apps_script_filled_sharp,
    'forms_apps_script_filled': forms_apps_script_filled,
    'forms_apps_script_outlined': forms_apps_script_outlined,
    'forms_apps_script_sharp': forms_apps_script_sharp,
    'forms_apps_script': forms_apps_script,
    'fort_filled_outlined': fort_filled_outlined,
    'fort_filled_sharp': fort_filled_sharp,
    'fort_filled': fort_filled,
    'fort_outlined': fort_outlined,
    'fort_sharp': fort_sharp,
    'fort': fort,
    'forum_filled_outlined': forum_filled_outlined,
    'forum_filled_sharp': forum_filled_sharp,
    'forum_filled': forum_filled,
    'forum_outlined': forum_outlined,
    'forum_sharp': forum_sharp,
    'forum': forum,
    'forward_10_filled_outlined': forward_10_filled_outlined,
    'forward_10_filled_sharp': forward_10_filled_sharp,
    'forward_10_filled': forward_10_filled,
    'forward_10_outlined': forward_10_outlined,
    'forward_10_sharp': forward_10_sharp,
    'forward_10': forward_10,
    'forward_30_filled_outlined': forward_30_filled_outlined,
    'forward_30_filled_sharp': forward_30_filled_sharp,
    'forward_30_filled': forward_30_filled,
    'forward_30_outlined': forward_30_outlined,
    'forward_30_sharp': forward_30_sharp,
    'forward_30': forward_30,
    'forward_5_filled_outlined': forward_5_filled_outlined,
    'forward_5_filled_sharp': forward_5_filled_sharp,
    'forward_5_filled': forward_5_filled,
    'forward_5_outlined': forward_5_outlined,
    'forward_5_sharp': forward_5_sharp,
    'forward_5': forward_5,
    'forward_filled_outlined': forward_filled_outlined,
    'forward_filled_sharp': forward_filled_sharp,
    'forward_filled': forward_filled,
    'forward_outlined': forward_outlined,
    'forward_sharp': forward_sharp,
    'forward_to_inbox_filled_outlined': forward_to_inbox_filled_outlined,
    'forward_to_inbox_filled_sharp': forward_to_inbox_filled_sharp,
    'forward_to_inbox_filled': forward_to_inbox_filled,
    'forward_to_inbox_outlined': forward_to_inbox_outlined,
    'forward_to_inbox_sharp': forward_to_inbox_sharp,
    'forward_to_inbox': forward_to_inbox,
    'forward': forward,
    'foundation_filled_outlined': foundation_filled_outlined,
    'foundation_filled_sharp': foundation_filled_sharp,
    'foundation_filled': foundation_filled,
    'foundation_outlined': foundation_outlined,
    'foundation_sharp': foundation_sharp,
    'foundation': foundation,
    'frame_person_filled_outlined': frame_person_filled_outlined,
    'frame_person_filled_sharp': frame_person_filled_sharp,
    'frame_person_filled': frame_person_filled,
    'frame_person_outlined': frame_person_outlined,
    'frame_person_sharp': frame_person_sharp,
    'frame_person': frame_person,
    'free_cancellation_filled_outlined': free_cancellation_filled_outlined,
    'free_cancellation_filled_sharp': free_cancellation_filled_sharp,
    'free_cancellation_filled': free_cancellation_filled,
    'free_cancellation_outlined': free_cancellation_outlined,
    'free_cancellation_sharp': free_cancellation_sharp,
    'free_cancellation': free_cancellation,
    'front_hand_filled_outlined': front_hand_filled_outlined,
    'front_hand_filled_sharp': front_hand_filled_sharp,
    'front_hand_filled': front_hand_filled,
    'front_hand_outlined': front_hand_outlined,
    'front_hand_sharp': front_hand_sharp,
    'front_hand': front_hand,
    'front_loader_filled_outlined': front_loader_filled_outlined,
    'front_loader_filled_sharp': front_loader_filled_sharp,
    'front_loader_filled': front_loader_filled,
    'front_loader_outlined': front_loader_outlined,
    'front_loader_sharp': front_loader_sharp,
    'front_loader': front_loader,
    'full_stacked_bar_chart_filled_outlined':
        full_stacked_bar_chart_filled_outlined,
    'full_stacked_bar_chart_filled_sharp': full_stacked_bar_chart_filled_sharp,
    'full_stacked_bar_chart_filled': full_stacked_bar_chart_filled,
    'full_stacked_bar_chart_outlined': full_stacked_bar_chart_outlined,
    'full_stacked_bar_chart_sharp': full_stacked_bar_chart_sharp,
    'full_stacked_bar_chart': full_stacked_bar_chart,
    'fullscreen_exit_filled_outlined': fullscreen_exit_filled_outlined,
    'fullscreen_exit_filled_sharp': fullscreen_exit_filled_sharp,
    'fullscreen_exit_filled': fullscreen_exit_filled,
    'fullscreen_exit_outlined': fullscreen_exit_outlined,
    'fullscreen_exit_sharp': fullscreen_exit_sharp,
    'fullscreen_exit': fullscreen_exit,
    'fullscreen_filled_outlined': fullscreen_filled_outlined,
    'fullscreen_filled_sharp': fullscreen_filled_sharp,
    'fullscreen_filled': fullscreen_filled,
    'fullscreen_outlined': fullscreen_outlined,
    'fullscreen_sharp': fullscreen_sharp,
    'fullscreen': fullscreen,
    'function_filled_outlined': function_filled_outlined,
    'function_filled_sharp': function_filled_sharp,
    'function_filled': function_filled,
    'function_outlined': function_outlined,
    'function_sharp': function_sharp,
    'function': function,
    'functions_filled_outlined': functions_filled_outlined,
    'functions_filled_sharp': functions_filled_sharp,
    'functions_filled': functions_filled,
    'functions_outlined': functions_outlined,
    'functions_sharp': functions_sharp,
    'functions': functions,
    'g_mobiledata_filled_outlined': g_mobiledata_filled_outlined,
    'g_mobiledata_filled_sharp': g_mobiledata_filled_sharp,
    'g_mobiledata_filled': g_mobiledata_filled,
    'g_mobiledata_outlined': g_mobiledata_outlined,
    'g_mobiledata_sharp': g_mobiledata_sharp,
    'g_mobiledata': g_mobiledata,
    'g_translate_filled_outlined': g_translate_filled_outlined,
    'g_translate_filled_sharp': g_translate_filled_sharp,
    'g_translate_filled': g_translate_filled,
    'g_translate_outlined': g_translate_outlined,
    'g_translate_sharp': g_translate_sharp,
    'g_translate': g_translate,
    'gallery_thumbnail_filled_outlined': gallery_thumbnail_filled_outlined,
    'gallery_thumbnail_filled_sharp': gallery_thumbnail_filled_sharp,
    'gallery_thumbnail_filled': gallery_thumbnail_filled,
    'gallery_thumbnail_outlined': gallery_thumbnail_outlined,
    'gallery_thumbnail_sharp': gallery_thumbnail_sharp,
    'gallery_thumbnail': gallery_thumbnail,
    'gamepad_filled_outlined': gamepad_filled_outlined,
    'gamepad_filled_sharp': gamepad_filled_sharp,
    'gamepad_filled': gamepad_filled,
    'gamepad_outlined': gamepad_outlined,
    'gamepad_sharp': gamepad_sharp,
    'gamepad': gamepad,
    'garage_filled_outlined': garage_filled_outlined,
    'garage_filled_sharp': garage_filled_sharp,
    'garage_filled': garage_filled,
    'garage_home_filled_outlined': garage_home_filled_outlined,
    'garage_home_filled_sharp': garage_home_filled_sharp,
    'garage_home_filled': garage_home_filled,
    'garage_home_outlined': garage_home_outlined,
    'garage_home_sharp': garage_home_sharp,
    'garage_home': garage_home,
    'garage_outlined': garage_outlined,
    'garage_sharp': garage_sharp,
    'garage': garage,
    'garden_cart_filled_outlined': garden_cart_filled_outlined,
    'garden_cart_filled_sharp': garden_cart_filled_sharp,
    'garden_cart_filled': garden_cart_filled,
    'garden_cart_outlined': garden_cart_outlined,
    'garden_cart_sharp': garden_cart_sharp,
    'garden_cart': garden_cart,
    'gas_meter_filled_outlined': gas_meter_filled_outlined,
    'gas_meter_filled_sharp': gas_meter_filled_sharp,
    'gas_meter_filled': gas_meter_filled,
    'gas_meter_outlined': gas_meter_outlined,
    'gas_meter_sharp': gas_meter_sharp,
    'gas_meter': gas_meter,
    'gastroenterology_filled_outlined': gastroenterology_filled_outlined,
    'gastroenterology_filled_sharp': gastroenterology_filled_sharp,
    'gastroenterology_filled': gastroenterology_filled,
    'gastroenterology_outlined': gastroenterology_outlined,
    'gastroenterology_sharp': gastroenterology_sharp,
    'gastroenterology': gastroenterology,
    'gate_filled_outlined': gate_filled_outlined,
    'gate_filled_sharp': gate_filled_sharp,
    'gate_filled': gate_filled,
    'gate_outlined': gate_outlined,
    'gate_sharp': gate_sharp,
    'gate': gate,
    'gavel_filled_outlined': gavel_filled_outlined,
    'gavel_filled_sharp': gavel_filled_sharp,
    'gavel_filled': gavel_filled,
    'gavel_outlined': gavel_outlined,
    'gavel_sharp': gavel_sharp,
    'gavel': gavel,
    'generating_tokens_filled_outlined': generating_tokens_filled_outlined,
    'generating_tokens_filled_sharp': generating_tokens_filled_sharp,
    'generating_tokens_filled': generating_tokens_filled,
    'generating_tokens_outlined': generating_tokens_outlined,
    'generating_tokens_sharp': generating_tokens_sharp,
    'generating_tokens': generating_tokens,
    'genetics_filled_outlined': genetics_filled_outlined,
    'genetics_filled_sharp': genetics_filled_sharp,
    'genetics_filled': genetics_filled,
    'genetics_outlined': genetics_outlined,
    'genetics_sharp': genetics_sharp,
    'genetics': genetics,
    'gesture_filled_outlined': gesture_filled_outlined,
    'gesture_filled_sharp': gesture_filled_sharp,
    'gesture_filled': gesture_filled,
    'gesture_outlined': gesture_outlined,
    'gesture_sharp': gesture_sharp,
    'gesture': gesture,
    'gif_box_filled_outlined': gif_box_filled_outlined,
    'gif_box_filled_sharp': gif_box_filled_sharp,
    'gif_box_filled': gif_box_filled,
    'gif_box_outlined': gif_box_outlined,
    'gif_box_sharp': gif_box_sharp,
    'gif_box': gif_box,
    'gif_filled_outlined': gif_filled_outlined,
    'gif_filled_sharp': gif_filled_sharp,
    'gif_filled': gif_filled,
    'gif_outlined': gif_outlined,
    'gif_sharp': gif_sharp,
    'gif': gif,
    'girl_filled_outlined': girl_filled_outlined,
    'girl_filled_sharp': girl_filled_sharp,
    'girl_filled': girl_filled,
    'girl_outlined': girl_outlined,
    'girl_sharp': girl_sharp,
    'girl': girl,
    'gite_filled_outlined': gite_filled_outlined,
    'gite_filled_sharp': gite_filled_sharp,
    'gite_filled': gite_filled,
    'gite_outlined': gite_outlined,
    'gite_sharp': gite_sharp,
    'gite': gite,
    'glucose_filled_outlined': glucose_filled_outlined,
    'glucose_filled_sharp': glucose_filled_sharp,
    'glucose_filled': glucose_filled,
    'glucose_outlined': glucose_outlined,
    'glucose_sharp': glucose_sharp,
    'glucose': glucose,
    'glyphs_filled_outlined': glyphs_filled_outlined,
    'glyphs_filled_sharp': glyphs_filled_sharp,
    'glyphs_filled': glyphs_filled,
    'glyphs_outlined': glyphs_outlined,
    'glyphs_sharp': glyphs_sharp,
    'glyphs': glyphs,
    'golf_course_filled_outlined': golf_course_filled_outlined,
    'golf_course_filled_sharp': golf_course_filled_sharp,
    'golf_course_filled': golf_course_filled,
    'golf_course_outlined': golf_course_outlined,
    'golf_course_sharp': golf_course_sharp,
    'golf_course': golf_course,
    'google_plus_reshare_filled_outlined': google_plus_reshare_filled_outlined,
    'google_plus_reshare_filled_sharp': google_plus_reshare_filled_sharp,
    'google_plus_reshare_filled': google_plus_reshare_filled,
    'google_plus_reshare_outlined': google_plus_reshare_outlined,
    'google_plus_reshare_sharp': google_plus_reshare_sharp,
    'google_plus_reshare': google_plus_reshare,
    'google_wifi_filled_outlined': google_wifi_filled_outlined,
    'google_wifi_filled_sharp': google_wifi_filled_sharp,
    'google_wifi_filled': google_wifi_filled,
    'google_wifi_outlined': google_wifi_outlined,
    'google_wifi_sharp': google_wifi_sharp,
    'google_wifi': google_wifi,
    'gpp_bad_filled_outlined': gpp_bad_filled_outlined,
    'gpp_bad_filled_sharp': gpp_bad_filled_sharp,
    'gpp_bad_filled': gpp_bad_filled,
    'gpp_bad_outlined': gpp_bad_outlined,
    'gpp_bad_sharp': gpp_bad_sharp,
    'gpp_bad': gpp_bad,
    'gpp_maybe_filled_outlined': gpp_maybe_filled_outlined,
    'gpp_maybe_filled_sharp': gpp_maybe_filled_sharp,
    'gpp_maybe_filled': gpp_maybe_filled,
    'gpp_maybe_outlined': gpp_maybe_outlined,
    'gpp_maybe_sharp': gpp_maybe_sharp,
    'gpp_maybe': gpp_maybe,
    'grade_filled_outlined': grade_filled_outlined,
    'grade_filled_sharp': grade_filled_sharp,
    'grade_filled': grade_filled,
    'grade_outlined': grade_outlined,
    'grade_sharp': grade_sharp,
    'grade': grade,
    'gradient_filled_outlined': gradient_filled_outlined,
    'gradient_filled_sharp': gradient_filled_sharp,
    'gradient_filled': gradient_filled,
    'gradient_outlined': gradient_outlined,
    'gradient_sharp': gradient_sharp,
    'gradient': gradient,
    'grading_filled_outlined': grading_filled_outlined,
    'grading_filled_sharp': grading_filled_sharp,
    'grading_filled': grading_filled,
    'grading_outlined': grading_outlined,
    'grading_sharp': grading_sharp,
    'grading': grading,
    'grain_filled_outlined': grain_filled_outlined,
    'grain_filled_sharp': grain_filled_sharp,
    'grain_filled': grain_filled,
    'grain_outlined': grain_outlined,
    'grain_sharp': grain_sharp,
    'grain': grain,
    'graphic_eq_filled_outlined': graphic_eq_filled_outlined,
    'graphic_eq_filled_sharp': graphic_eq_filled_sharp,
    'graphic_eq_filled': graphic_eq_filled,
    'graphic_eq_outlined': graphic_eq_outlined,
    'graphic_eq_sharp': graphic_eq_sharp,
    'graphic_eq': graphic_eq,
    'grass_filled_outlined': grass_filled_outlined,
    'grass_filled_sharp': grass_filled_sharp,
    'grass_filled': grass_filled,
    'grass_outlined': grass_outlined,
    'grass_sharp': grass_sharp,
    'grass': grass,
    'grid_3x3_filled_outlined': grid_3x3_filled_outlined,
    'grid_3x3_filled_sharp': grid_3x3_filled_sharp,
    'grid_3x3_filled': grid_3x3_filled,
    'grid_3x3_outlined': grid_3x3_outlined,
    'grid_3x3_sharp': grid_3x3_sharp,
    'grid_3x3': grid_3x3,
    'grid_4x4_filled_outlined': grid_4x4_filled_outlined,
    'grid_4x4_filled_sharp': grid_4x4_filled_sharp,
    'grid_4x4_filled': grid_4x4_filled,
    'grid_4x4_outlined': grid_4x4_outlined,
    'grid_4x4_sharp': grid_4x4_sharp,
    'grid_4x4': grid_4x4,
    'grid_goldenratio_filled_outlined': grid_goldenratio_filled_outlined,
    'grid_goldenratio_filled_sharp': grid_goldenratio_filled_sharp,
    'grid_goldenratio_filled': grid_goldenratio_filled,
    'grid_goldenratio_outlined': grid_goldenratio_outlined,
    'grid_goldenratio_sharp': grid_goldenratio_sharp,
    'grid_goldenratio': grid_goldenratio,
    'grid_off_filled_outlined': grid_off_filled_outlined,
    'grid_off_filled_sharp': grid_off_filled_sharp,
    'grid_off_filled': grid_off_filled,
    'grid_off_outlined': grid_off_outlined,
    'grid_off_sharp': grid_off_sharp,
    'grid_off': grid_off,
    'grid_on_filled_outlined': grid_on_filled_outlined,
    'grid_on_filled_sharp': grid_on_filled_sharp,
    'grid_on_filled': grid_on_filled,
    'grid_on_outlined': grid_on_outlined,
    'grid_on_sharp': grid_on_sharp,
    'grid_on': grid_on,
    'grid_view_filled_outlined': grid_view_filled_outlined,
    'grid_view_filled_sharp': grid_view_filled_sharp,
    'grid_view_filled': grid_view_filled,
    'grid_view_outlined': grid_view_outlined,
    'grid_view_sharp': grid_view_sharp,
    'grid_view': grid_view,
    'group_add_filled_outlined': group_add_filled_outlined,
    'group_add_filled_sharp': group_add_filled_sharp,
    'group_add_filled': group_add_filled,
    'group_add_outlined': group_add_outlined,
    'group_add_sharp': group_add_sharp,
    'group_add': group_add,
    'group_filled_outlined': group_filled_outlined,
    'group_filled_sharp': group_filled_sharp,
    'group_filled': group_filled,
    'group_off_filled_outlined': group_off_filled_outlined,
    'group_off_filled_sharp': group_off_filled_sharp,
    'group_off_filled': group_off_filled,
    'group_off_outlined': group_off_outlined,
    'group_off_sharp': group_off_sharp,
    'group_off': group_off,
    'group_outlined': group_outlined,
    'group_remove_filled_outlined': group_remove_filled_outlined,
    'group_remove_filled_sharp': group_remove_filled_sharp,
    'group_remove_filled': group_remove_filled,
    'group_remove_outlined': group_remove_outlined,
    'group_remove_sharp': group_remove_sharp,
    'group_remove': group_remove,
    'group_sharp': group_sharp,
    'group_work_filled_outlined': group_work_filled_outlined,
    'group_work_filled_sharp': group_work_filled_sharp,
    'group_work_filled': group_work_filled,
    'group_work_outlined': group_work_outlined,
    'group_work_sharp': group_work_sharp,
    'group_work': group_work,
    'group': group,
    'grouped_bar_chart_filled_outlined': grouped_bar_chart_filled_outlined,
    'grouped_bar_chart_filled_sharp': grouped_bar_chart_filled_sharp,
    'grouped_bar_chart_filled': grouped_bar_chart_filled,
    'grouped_bar_chart_outlined': grouped_bar_chart_outlined,
    'grouped_bar_chart_sharp': grouped_bar_chart_sharp,
    'grouped_bar_chart': grouped_bar_chart,
    'groups_2_filled_outlined': groups_2_filled_outlined,
    'groups_2_filled_sharp': groups_2_filled_sharp,
    'groups_2_filled': groups_2_filled,
    'groups_2_outlined': groups_2_outlined,
    'groups_2_sharp': groups_2_sharp,
    'groups_2': groups_2,
    'groups_3_filled_outlined': groups_3_filled_outlined,
    'groups_3_filled_sharp': groups_3_filled_sharp,
    'groups_3_filled': groups_3_filled,
    'groups_3_outlined': groups_3_outlined,
    'groups_3_sharp': groups_3_sharp,
    'groups_3': groups_3,
    'groups_filled_outlined': groups_filled_outlined,
    'groups_filled_sharp': groups_filled_sharp,
    'groups_filled': groups_filled,
    'groups_outlined': groups_outlined,
    'groups_sharp': groups_sharp,
    'groups': groups,
    'h_mobiledata_filled_outlined': h_mobiledata_filled_outlined,
    'h_mobiledata_filled_sharp': h_mobiledata_filled_sharp,
    'h_mobiledata_filled': h_mobiledata_filled,
    'h_mobiledata_outlined': h_mobiledata_outlined,
    'h_mobiledata_sharp': h_mobiledata_sharp,
    'h_mobiledata': h_mobiledata,
    'h_plus_mobiledata_filled_outlined': h_plus_mobiledata_filled_outlined,
    'h_plus_mobiledata_filled_sharp': h_plus_mobiledata_filled_sharp,
    'h_plus_mobiledata_filled': h_plus_mobiledata_filled,
    'h_plus_mobiledata_outlined': h_plus_mobiledata_outlined,
    'h_plus_mobiledata_sharp': h_plus_mobiledata_sharp,
    'h_plus_mobiledata': h_plus_mobiledata,
    'hail_filled_outlined': hail_filled_outlined,
    'hail_filled_sharp': hail_filled_sharp,
    'hail_filled': hail_filled,
    'hail_outlined': hail_outlined,
    'hail_sharp': hail_sharp,
    'hail': hail,
    'hand_bones_filled_outlined': hand_bones_filled_outlined,
    'hand_bones_filled_sharp': hand_bones_filled_sharp,
    'hand_bones_filled': hand_bones_filled,
    'hand_bones_outlined': hand_bones_outlined,
    'hand_bones_sharp': hand_bones_sharp,
    'hand_bones': hand_bones,
    'hand_gesture_filled_outlined': hand_gesture_filled_outlined,
    'hand_gesture_filled_sharp': hand_gesture_filled_sharp,
    'hand_gesture_filled': hand_gesture_filled,
    'hand_gesture_outlined': hand_gesture_outlined,
    'hand_gesture_sharp': hand_gesture_sharp,
    'hand_gesture': hand_gesture,
    'handshake_filled_outlined': handshake_filled_outlined,
    'handshake_filled_sharp': handshake_filled_sharp,
    'handshake_filled': handshake_filled,
    'handshake_outlined': handshake_outlined,
    'handshake_sharp': handshake_sharp,
    'handshake': handshake,
    'handyman_filled_outlined': handyman_filled_outlined,
    'handyman_filled_sharp': handyman_filled_sharp,
    'handyman_filled': handyman_filled,
    'handyman_outlined': handyman_outlined,
    'handyman_sharp': handyman_sharp,
    'handyman': handyman,
    'hard_drive_filled_outlined': hard_drive_filled_outlined,
    'hard_drive_filled_sharp': hard_drive_filled_sharp,
    'hard_drive_filled': hard_drive_filled,
    'hard_drive_outlined': hard_drive_outlined,
    'hard_drive_sharp': hard_drive_sharp,
    'hard_drive': hard_drive,
    'hardware_filled_outlined': hardware_filled_outlined,
    'hardware_filled_sharp': hardware_filled_sharp,
    'hardware_filled': hardware_filled,
    'hardware_outlined': hardware_outlined,
    'hardware_sharp': hardware_sharp,
    'hardware': hardware,
    'hd_filled_outlined': hd_filled_outlined,
    'hd_filled_sharp': hd_filled_sharp,
    'hd_filled': hd_filled,
    'hd_outlined': hd_outlined,
    'hd_sharp': hd_sharp,
    'hd': hd,
    'hdr_auto_filled_outlined': hdr_auto_filled_outlined,
    'hdr_auto_filled_sharp': hdr_auto_filled_sharp,
    'hdr_auto_filled': hdr_auto_filled,
    'hdr_auto_outlined': hdr_auto_outlined,
    'hdr_auto_select_filled_outlined': hdr_auto_select_filled_outlined,
    'hdr_auto_select_filled_sharp': hdr_auto_select_filled_sharp,
    'hdr_auto_select_filled': hdr_auto_select_filled,
    'hdr_auto_select_outlined': hdr_auto_select_outlined,
    'hdr_auto_select_sharp': hdr_auto_select_sharp,
    'hdr_auto_select': hdr_auto_select,
    'hdr_auto_sharp': hdr_auto_sharp,
    'hdr_auto': hdr_auto,
    'hdr_enhanced_select_filled_outlined': hdr_enhanced_select_filled_outlined,
    'hdr_enhanced_select_filled_sharp': hdr_enhanced_select_filled_sharp,
    'hdr_enhanced_select_filled': hdr_enhanced_select_filled,
    'hdr_enhanced_select_outlined': hdr_enhanced_select_outlined,
    'hdr_enhanced_select_sharp': hdr_enhanced_select_sharp,
    'hdr_enhanced_select': hdr_enhanced_select,
    'hdr_off_filled_outlined': hdr_off_filled_outlined,
    'hdr_off_filled_sharp': hdr_off_filled_sharp,
    'hdr_off_filled': hdr_off_filled,
    'hdr_off_outlined': hdr_off_outlined,
    'hdr_off_select_filled_outlined': hdr_off_select_filled_outlined,
    'hdr_off_select_filled_sharp': hdr_off_select_filled_sharp,
    'hdr_off_select_filled': hdr_off_select_filled,
    'hdr_off_select_outlined': hdr_off_select_outlined,
    'hdr_off_select_sharp': hdr_off_select_sharp,
    'hdr_off_select': hdr_off_select,
    'hdr_off_sharp': hdr_off_sharp,
    'hdr_off': hdr_off,
    'hdr_on_filled_outlined': hdr_on_filled_outlined,
    'hdr_on_filled_sharp': hdr_on_filled_sharp,
    'hdr_on_filled': hdr_on_filled,
    'hdr_on_outlined': hdr_on_outlined,
    'hdr_on_select_filled_outlined': hdr_on_select_filled_outlined,
    'hdr_on_select_filled_sharp': hdr_on_select_filled_sharp,
    'hdr_on_select_filled': hdr_on_select_filled,
    'hdr_on_select_outlined': hdr_on_select_outlined,
    'hdr_on_select_sharp': hdr_on_select_sharp,
    'hdr_on_select': hdr_on_select,
    'hdr_on_sharp': hdr_on_sharp,
    'hdr_on': hdr_on,
    'hdr_plus_filled_outlined': hdr_plus_filled_outlined,
    'hdr_plus_filled_sharp': hdr_plus_filled_sharp,
    'hdr_plus_filled': hdr_plus_filled,
    'hdr_plus_outlined': hdr_plus_outlined,
    'hdr_plus_sharp': hdr_plus_sharp,
    'hdr_plus': hdr_plus,
    'hdr_strong_filled_outlined': hdr_strong_filled_outlined,
    'hdr_strong_filled_sharp': hdr_strong_filled_sharp,
    'hdr_strong_filled': hdr_strong_filled,
    'hdr_strong_outlined': hdr_strong_outlined,
    'hdr_strong_sharp': hdr_strong_sharp,
    'hdr_strong': hdr_strong,
    'hdr_weak_filled_outlined': hdr_weak_filled_outlined,
    'hdr_weak_filled_sharp': hdr_weak_filled_sharp,
    'hdr_weak_filled': hdr_weak_filled,
    'hdr_weak_outlined': hdr_weak_outlined,
    'hdr_weak_sharp': hdr_weak_sharp,
    'hdr_weak': hdr_weak,
    'headphones_battery_filled_outlined': headphones_battery_filled_outlined,
    'headphones_battery_filled_sharp': headphones_battery_filled_sharp,
    'headphones_battery_filled': headphones_battery_filled,
    'headphones_battery_outlined': headphones_battery_outlined,
    'headphones_battery_sharp': headphones_battery_sharp,
    'headphones_battery': headphones_battery,
    'headphones_filled_outlined': headphones_filled_outlined,
    'headphones_filled_sharp': headphones_filled_sharp,
    'headphones_filled': headphones_filled,
    'headphones_outlined': headphones_outlined,
    'headphones_sharp': headphones_sharp,
    'headphones': headphones,
    'headset_mic_filled_outlined': headset_mic_filled_outlined,
    'headset_mic_filled_sharp': headset_mic_filled_sharp,
    'headset_mic_filled': headset_mic_filled,
    'headset_mic_outlined': headset_mic_outlined,
    'headset_mic_sharp': headset_mic_sharp,
    'headset_mic': headset_mic,
    'headset_off_filled_outlined': headset_off_filled_outlined,
    'headset_off_filled_sharp': headset_off_filled_sharp,
    'headset_off_filled': headset_off_filled,
    'headset_off_outlined': headset_off_outlined,
    'headset_off_sharp': headset_off_sharp,
    'headset_off': headset_off,
    'healing_filled_outlined': healing_filled_outlined,
    'healing_filled_sharp': healing_filled_sharp,
    'healing_filled': healing_filled,
    'healing_outlined': healing_outlined,
    'healing_sharp': healing_sharp,
    'healing': healing,
    'health_and_safety_filled_outlined': health_and_safety_filled_outlined,
    'health_and_safety_filled_sharp': health_and_safety_filled_sharp,
    'health_and_safety_filled': health_and_safety_filled,
    'health_and_safety_outlined': health_and_safety_outlined,
    'health_and_safety_sharp': health_and_safety_sharp,
    'health_and_safety': health_and_safety,
    'hearing_disabled_filled_outlined': hearing_disabled_filled_outlined,
    'hearing_disabled_filled_sharp': hearing_disabled_filled_sharp,
    'hearing_disabled_filled': hearing_disabled_filled,
    'hearing_disabled_outlined': hearing_disabled_outlined,
    'hearing_disabled_sharp': hearing_disabled_sharp,
    'hearing_disabled': hearing_disabled,
    'hearing_filled_outlined': hearing_filled_outlined,
    'hearing_filled_sharp': hearing_filled_sharp,
    'hearing_filled': hearing_filled,
    'hearing_outlined': hearing_outlined,
    'hearing_sharp': hearing_sharp,
    'hearing': hearing,
    'heart_broken_filled_outlined': heart_broken_filled_outlined,
    'heart_broken_filled_sharp': heart_broken_filled_sharp,
    'heart_broken_filled': heart_broken_filled,
    'heart_broken_outlined': heart_broken_outlined,
    'heart_broken_sharp': heart_broken_sharp,
    'heart_broken': heart_broken,
    'heart_minus_filled_outlined': heart_minus_filled_outlined,
    'heart_minus_filled_sharp': heart_minus_filled_sharp,
    'heart_minus_filled': heart_minus_filled,
    'heart_minus_outlined': heart_minus_outlined,
    'heart_minus_sharp': heart_minus_sharp,
    'heart_minus': heart_minus,
    'heart_plus_filled_outlined': heart_plus_filled_outlined,
    'heart_plus_filled_sharp': heart_plus_filled_sharp,
    'heart_plus_filled': heart_plus_filled,
    'heart_plus_outlined': heart_plus_outlined,
    'heart_plus_sharp': heart_plus_sharp,
    'heart_plus': heart_plus,
    'heat_pump_balance_filled_outlined': heat_pump_balance_filled_outlined,
    'heat_pump_balance_filled_sharp': heat_pump_balance_filled_sharp,
    'heat_pump_balance_filled': heat_pump_balance_filled,
    'heat_pump_balance_outlined': heat_pump_balance_outlined,
    'heat_pump_balance_sharp': heat_pump_balance_sharp,
    'heat_pump_balance': heat_pump_balance,
    'heat_pump_filled_outlined': heat_pump_filled_outlined,
    'heat_pump_filled_sharp': heat_pump_filled_sharp,
    'heat_pump_filled': heat_pump_filled,
    'heat_pump_outlined': heat_pump_outlined,
    'heat_pump_sharp': heat_pump_sharp,
    'heat_pump': heat_pump,
    'height_filled_outlined': height_filled_outlined,
    'height_filled_sharp': height_filled_sharp,
    'height_filled': height_filled,
    'height_outlined': height_outlined,
    'height_sharp': height_sharp,
    'height': height,
    'help_center_filled_outlined': help_center_filled_outlined,
    'help_center_filled_sharp': help_center_filled_sharp,
    'help_center_filled': help_center_filled,
    'help_center_outlined': help_center_outlined,
    'help_center_sharp': help_center_sharp,
    'help_center': help_center,
    'help_clinic_filled_outlined': help_clinic_filled_outlined,
    'help_clinic_filled_sharp': help_clinic_filled_sharp,
    'help_clinic_filled': help_clinic_filled,
    'help_clinic_outlined': help_clinic_outlined,
    'help_clinic_sharp': help_clinic_sharp,
    'help_clinic': help_clinic,
    'help_filled_outlined': help_filled_outlined,
    'help_filled_sharp': help_filled_sharp,
    'help_filled': help_filled,
    'help_outlined': help_outlined,
    'help_sharp': help_sharp,
    'help': help,
    'hematology_filled_outlined': hematology_filled_outlined,
    'hematology_filled_sharp': hematology_filled_sharp,
    'hematology_filled': hematology_filled,
    'hematology_outlined': hematology_outlined,
    'hematology_sharp': hematology_sharp,
    'hematology': hematology,
    'hevc_filled_outlined': hevc_filled_outlined,
    'hevc_filled_sharp': hevc_filled_sharp,
    'hevc_filled': hevc_filled,
    'hevc_outlined': hevc_outlined,
    'hevc_sharp': hevc_sharp,
    'hevc': hevc,
    'hexagon_filled_outlined': hexagon_filled_outlined,
    'hexagon_filled_sharp': hexagon_filled_sharp,
    'hexagon_filled': hexagon_filled,
    'hexagon_outlined': hexagon_outlined,
    'hexagon_sharp': hexagon_sharp,
    'hexagon': hexagon,
    'hide_filled_outlined': hide_filled_outlined,
    'hide_filled_sharp': hide_filled_sharp,
    'hide_filled': hide_filled,
    'hide_image_filled_outlined': hide_image_filled_outlined,
    'hide_image_filled_sharp': hide_image_filled_sharp,
    'hide_image_filled': hide_image_filled,
    'hide_image_outlined': hide_image_outlined,
    'hide_image_sharp': hide_image_sharp,
    'hide_image': hide_image,
    'hide_outlined': hide_outlined,
    'hide_sharp': hide_sharp,
    'hide_source_filled_outlined': hide_source_filled_outlined,
    'hide_source_filled_sharp': hide_source_filled_sharp,
    'hide_source_filled': hide_source_filled,
    'hide_source_outlined': hide_source_outlined,
    'hide_source_sharp': hide_source_sharp,
    'hide_source': hide_source,
    'hide': hide,
    'high_quality_filled_outlined': high_quality_filled_outlined,
    'high_quality_filled_sharp': high_quality_filled_sharp,
    'high_quality_filled': high_quality_filled,
    'high_quality_outlined': high_quality_outlined,
    'high_quality_sharp': high_quality_sharp,
    'high_quality': high_quality,
    'highlight_filled_outlined': highlight_filled_outlined,
    'highlight_filled_sharp': highlight_filled_sharp,
    'highlight_filled': highlight_filled,
    'highlight_outlined': highlight_outlined,
    'highlight_sharp': highlight_sharp,
    'highlight': highlight,
    'hiking_filled_outlined': hiking_filled_outlined,
    'hiking_filled_sharp': hiking_filled_sharp,
    'hiking_filled': hiking_filled,
    'hiking_outlined': hiking_outlined,
    'hiking_sharp': hiking_sharp,
    'hiking': hiking,
    'history_edu_filled_outlined': history_edu_filled_outlined,
    'history_edu_filled_sharp': history_edu_filled_sharp,
    'history_edu_filled': history_edu_filled,
    'history_edu_outlined': history_edu_outlined,
    'history_edu_sharp': history_edu_sharp,
    'history_edu': history_edu,
    'history_filled_outlined': history_filled_outlined,
    'history_filled_sharp': history_filled_sharp,
    'history_filled': history_filled,
    'history_outlined': history_outlined,
    'history_sharp': history_sharp,
    'history_toggle_off_filled_outlined': history_toggle_off_filled_outlined,
    'history_toggle_off_filled_sharp': history_toggle_off_filled_sharp,
    'history_toggle_off_filled': history_toggle_off_filled,
    'history_toggle_off_outlined': history_toggle_off_outlined,
    'history_toggle_off_sharp': history_toggle_off_sharp,
    'history_toggle_off': history_toggle_off,
    'history': history,
    'hive_filled_outlined': hive_filled_outlined,
    'hive_filled_sharp': hive_filled_sharp,
    'hive_filled': hive_filled,
    'hive_outlined': hive_outlined,
    'hive_sharp': hive_sharp,
    'hive': hive,
    'hls_filled_outlined': hls_filled_outlined,
    'hls_filled_sharp': hls_filled_sharp,
    'hls_filled': hls_filled,
    'hls_off_filled_outlined': hls_off_filled_outlined,
    'hls_off_filled_sharp': hls_off_filled_sharp,
    'hls_off_filled': hls_off_filled,
    'hls_off_outlined': hls_off_outlined,
    'hls_off_sharp': hls_off_sharp,
    'hls_off': hls_off,
    'hls_outlined': hls_outlined,
    'hls_sharp': hls_sharp,
    'hls': hls,
    'holiday_village_filled_outlined': holiday_village_filled_outlined,
    'holiday_village_filled_sharp': holiday_village_filled_sharp,
    'holiday_village_filled': holiday_village_filled,
    'holiday_village_outlined': holiday_village_outlined,
    'holiday_village_sharp': holiday_village_sharp,
    'holiday_village': holiday_village,
    'home_app_logo_filled_outlined': home_app_logo_filled_outlined,
    'home_app_logo_filled_sharp': home_app_logo_filled_sharp,
    'home_app_logo_filled': home_app_logo_filled,
    'home_app_logo_outlined': home_app_logo_outlined,
    'home_app_logo_sharp': home_app_logo_sharp,
    'home_app_logo': home_app_logo,
    'home_filled_outlined': home_filled_outlined,
    'home_filled_sharp': home_filled_sharp,
    'home_filled': home_filled,
    'home_health_filled_outlined': home_health_filled_outlined,
    'home_health_filled_sharp': home_health_filled_sharp,
    'home_health_filled': home_health_filled,
    'home_health_outlined': home_health_outlined,
    'home_health_sharp': home_health_sharp,
    'home_health': home_health,
    'home_iot_device_filled_outlined': home_iot_device_filled_outlined,
    'home_iot_device_filled_sharp': home_iot_device_filled_sharp,
    'home_iot_device_filled': home_iot_device_filled,
    'home_iot_device_outlined': home_iot_device_outlined,
    'home_iot_device_sharp': home_iot_device_sharp,
    'home_iot_device': home_iot_device,
    'home_max_dots_filled_outlined': home_max_dots_filled_outlined,
    'home_max_dots_filled_sharp': home_max_dots_filled_sharp,
    'home_max_dots_filled': home_max_dots_filled,
    'home_max_dots_outlined': home_max_dots_outlined,
    'home_max_dots_sharp': home_max_dots_sharp,
    'home_max_dots': home_max_dots,
    'home_max_filled_outlined': home_max_filled_outlined,
    'home_max_filled_sharp': home_max_filled_sharp,
    'home_max_filled': home_max_filled,
    'home_max_outlined': home_max_outlined,
    'home_max_sharp': home_max_sharp,
    'home_max': home_max,
    'home_mini_filled_outlined': home_mini_filled_outlined,
    'home_mini_filled_sharp': home_mini_filled_sharp,
    'home_mini_filled': home_mini_filled,
    'home_mini_outlined': home_mini_outlined,
    'home_mini_sharp': home_mini_sharp,
    'home_mini': home_mini,
    'home_outlined': home_outlined,
    'home_pin_filled_outlined': home_pin_filled_outlined,
    'home_pin_filled_sharp': home_pin_filled_sharp,
    'home_pin_filled': home_pin_filled,
    'home_pin_outlined': home_pin_outlined,
    'home_pin_sharp': home_pin_sharp,
    'home_pin': home_pin,
    'home_repair_service_filled_outlined': home_repair_service_filled_outlined,
    'home_repair_service_filled_sharp': home_repair_service_filled_sharp,
    'home_repair_service_filled': home_repair_service_filled,
    'home_repair_service_outlined': home_repair_service_outlined,
    'home_repair_service_sharp': home_repair_service_sharp,
    'home_repair_service': home_repair_service,
    'home_sharp': home_sharp,
    'home_speaker_filled_outlined': home_speaker_filled_outlined,
    'home_speaker_filled_sharp': home_speaker_filled_sharp,
    'home_speaker_filled': home_speaker_filled,
    'home_speaker_outlined': home_speaker_outlined,
    'home_speaker_sharp': home_speaker_sharp,
    'home_speaker': home_speaker,
    'home_storage_filled_outlined': home_storage_filled_outlined,
    'home_storage_filled_sharp': home_storage_filled_sharp,
    'home_storage_filled': home_storage_filled,
    'home_storage_outlined': home_storage_outlined,
    'home_storage_sharp': home_storage_sharp,
    'home_storage': home_storage,
    'home_work_filled_outlined': home_work_filled_outlined,
    'home_work_filled_sharp': home_work_filled_sharp,
    'home_work_filled': home_work_filled,
    'home_work_outlined': home_work_outlined,
    'home_work_sharp': home_work_sharp,
    'home_work': home_work,
    'home': home,
    'horizontal_distribute_filled_outlined':
        horizontal_distribute_filled_outlined,
    'horizontal_distribute_filled_sharp': horizontal_distribute_filled_sharp,
    'horizontal_distribute_filled': horizontal_distribute_filled,
    'horizontal_distribute_outlined': horizontal_distribute_outlined,
    'horizontal_distribute_sharp': horizontal_distribute_sharp,
    'horizontal_distribute': horizontal_distribute,
    'horizontal_rule_filled_outlined': horizontal_rule_filled_outlined,
    'horizontal_rule_filled_sharp': horizontal_rule_filled_sharp,
    'horizontal_rule_filled': horizontal_rule_filled,
    'horizontal_rule_outlined': horizontal_rule_outlined,
    'horizontal_rule_sharp': horizontal_rule_sharp,
    'horizontal_rule': horizontal_rule,
    'horizontal_split_filled_outlined': horizontal_split_filled_outlined,
    'horizontal_split_filled_sharp': horizontal_split_filled_sharp,
    'horizontal_split_filled': horizontal_split_filled,
    'horizontal_split_outlined': horizontal_split_outlined,
    'horizontal_split_sharp': horizontal_split_sharp,
    'horizontal_split': horizontal_split,
    'hot_tub_filled_outlined': hot_tub_filled_outlined,
    'hot_tub_filled_sharp': hot_tub_filled_sharp,
    'hot_tub_filled': hot_tub_filled,
    'hot_tub_outlined': hot_tub_outlined,
    'hot_tub_sharp': hot_tub_sharp,
    'hot_tub': hot_tub,
    'hotel_class_filled_outlined': hotel_class_filled_outlined,
    'hotel_class_filled_sharp': hotel_class_filled_sharp,
    'hotel_class_filled': hotel_class_filled,
    'hotel_class_outlined': hotel_class_outlined,
    'hotel_class_sharp': hotel_class_sharp,
    'hotel_class': hotel_class,
    'hotel_filled_outlined': hotel_filled_outlined,
    'hotel_filled_sharp': hotel_filled_sharp,
    'hotel_filled': hotel_filled,
    'hotel_outlined': hotel_outlined,
    'hotel_sharp': hotel_sharp,
    'hotel': hotel,
    'hourglass_bottom_filled_outlined': hourglass_bottom_filled_outlined,
    'hourglass_bottom_filled_sharp': hourglass_bottom_filled_sharp,
    'hourglass_bottom_filled': hourglass_bottom_filled,
    'hourglass_bottom_outlined': hourglass_bottom_outlined,
    'hourglass_bottom_sharp': hourglass_bottom_sharp,
    'hourglass_bottom': hourglass_bottom,
    'hourglass_disabled_filled_outlined': hourglass_disabled_filled_outlined,
    'hourglass_disabled_filled_sharp': hourglass_disabled_filled_sharp,
    'hourglass_disabled_filled': hourglass_disabled_filled,
    'hourglass_disabled_outlined': hourglass_disabled_outlined,
    'hourglass_disabled_sharp': hourglass_disabled_sharp,
    'hourglass_disabled': hourglass_disabled,
    'hourglass_empty_filled_outlined': hourglass_empty_filled_outlined,
    'hourglass_empty_filled_sharp': hourglass_empty_filled_sharp,
    'hourglass_empty_filled': hourglass_empty_filled,
    'hourglass_empty_outlined': hourglass_empty_outlined,
    'hourglass_empty_sharp': hourglass_empty_sharp,
    'hourglass_empty': hourglass_empty,
    'hourglass_full_filled_outlined': hourglass_full_filled_outlined,
    'hourglass_full_filled_sharp': hourglass_full_filled_sharp,
    'hourglass_full_filled': hourglass_full_filled,
    'hourglass_full_outlined': hourglass_full_outlined,
    'hourglass_full_sharp': hourglass_full_sharp,
    'hourglass_full': hourglass_full,
    'hourglass_top_filled_outlined': hourglass_top_filled_outlined,
    'hourglass_top_filled_sharp': hourglass_top_filled_sharp,
    'hourglass_top_filled': hourglass_top_filled,
    'hourglass_top_outlined': hourglass_top_outlined,
    'hourglass_top_sharp': hourglass_top_sharp,
    'hourglass_top': hourglass_top,
    'house_filled_outlined': house_filled_outlined,
    'house_filled_sharp': house_filled_sharp,
    'house_filled': house_filled,
    'house_outlined': house_outlined,
    'house_sharp': house_sharp,
    'house_siding_filled_outlined': house_siding_filled_outlined,
    'house_siding_filled_sharp': house_siding_filled_sharp,
    'house_siding_filled': house_siding_filled,
    'house_siding_outlined': house_siding_outlined,
    'house_siding_sharp': house_siding_sharp,
    'house_siding': house_siding,
    'house_with_shield_filled_outlined': house_with_shield_filled_outlined,
    'house_with_shield_filled_sharp': house_with_shield_filled_sharp,
    'house_with_shield_filled': house_with_shield_filled,
    'house_with_shield_outlined': house_with_shield_outlined,
    'house_with_shield_sharp': house_with_shield_sharp,
    'house_with_shield': house_with_shield,
    'house': house,
    'houseboat_filled_outlined': houseboat_filled_outlined,
    'houseboat_filled_sharp': houseboat_filled_sharp,
    'houseboat_filled': houseboat_filled,
    'houseboat_outlined': houseboat_outlined,
    'houseboat_sharp': houseboat_sharp,
    'houseboat': houseboat,
    'how_to_reg_filled_outlined': how_to_reg_filled_outlined,
    'how_to_reg_filled_sharp': how_to_reg_filled_sharp,
    'how_to_reg_filled': how_to_reg_filled,
    'how_to_reg_outlined': how_to_reg_outlined,
    'how_to_reg_sharp': how_to_reg_sharp,
    'how_to_reg': how_to_reg,
    'how_to_vote_filled_outlined': how_to_vote_filled_outlined,
    'how_to_vote_filled_sharp': how_to_vote_filled_sharp,
    'how_to_vote_filled': how_to_vote_filled,
    'how_to_vote_outlined': how_to_vote_outlined,
    'how_to_vote_sharp': how_to_vote_sharp,
    'how_to_vote': how_to_vote,
    'html_filled_outlined': html_filled_outlined,
    'html_filled_sharp': html_filled_sharp,
    'html_filled': html_filled,
    'html_outlined': html_outlined,
    'html_sharp': html_sharp,
    'html': html,
    'http_filled_outlined': http_filled_outlined,
    'http_filled_sharp': http_filled_sharp,
    'http_filled': http_filled,
    'http_outlined': http_outlined,
    'http_sharp': http_sharp,
    'http': http,
    'hub_filled_outlined': hub_filled_outlined,
    'hub_filled_sharp': hub_filled_sharp,
    'hub_filled': hub_filled,
    'hub_outlined': hub_outlined,
    'hub_sharp': hub_sharp,
    'hub': hub,
    'humerus_alt_filled_outlined': humerus_alt_filled_outlined,
    'humerus_alt_filled_sharp': humerus_alt_filled_sharp,
    'humerus_alt_filled': humerus_alt_filled,
    'humerus_alt_outlined': humerus_alt_outlined,
    'humerus_alt_sharp': humerus_alt_sharp,
    'humerus_alt': humerus_alt,
    'humerus_filled_outlined': humerus_filled_outlined,
    'humerus_filled_sharp': humerus_filled_sharp,
    'humerus_filled': humerus_filled,
    'humerus_outlined': humerus_outlined,
    'humerus_sharp': humerus_sharp,
    'humerus': humerus,
    'humidity_high_filled_outlined': humidity_high_filled_outlined,
    'humidity_high_filled_sharp': humidity_high_filled_sharp,
    'humidity_high_filled': humidity_high_filled,
    'humidity_high_outlined': humidity_high_outlined,
    'humidity_high_sharp': humidity_high_sharp,
    'humidity_high': humidity_high,
    'humidity_low_filled_outlined': humidity_low_filled_outlined,
    'humidity_low_filled_sharp': humidity_low_filled_sharp,
    'humidity_low_filled': humidity_low_filled,
    'humidity_low_outlined': humidity_low_outlined,
    'humidity_low_sharp': humidity_low_sharp,
    'humidity_low': humidity_low,
    'humidity_mid_filled_outlined': humidity_mid_filled_outlined,
    'humidity_mid_filled_sharp': humidity_mid_filled_sharp,
    'humidity_mid_filled': humidity_mid_filled,
    'humidity_mid_outlined': humidity_mid_outlined,
    'humidity_mid_sharp': humidity_mid_sharp,
    'humidity_mid': humidity_mid,
    'humidity_percentage_filled_outlined': humidity_percentage_filled_outlined,
    'humidity_percentage_filled_sharp': humidity_percentage_filled_sharp,
    'humidity_percentage_filled': humidity_percentage_filled,
    'humidity_percentage_outlined': humidity_percentage_outlined,
    'humidity_percentage_sharp': humidity_percentage_sharp,
    'humidity_percentage': humidity_percentage,
    'hvac_filled_outlined': hvac_filled_outlined,
    'hvac_filled_sharp': hvac_filled_sharp,
    'hvac_filled': hvac_filled,
    'hvac_outlined': hvac_outlined,
    'hvac_sharp': hvac_sharp,
    'hvac': hvac,
    'ice_skating_filled_outlined': ice_skating_filled_outlined,
    'ice_skating_filled_sharp': ice_skating_filled_sharp,
    'ice_skating_filled': ice_skating_filled,
    'ice_skating_outlined': ice_skating_outlined,
    'ice_skating_sharp': ice_skating_sharp,
    'ice_skating': ice_skating,
    'icecream_filled_outlined': icecream_filled_outlined,
    'icecream_filled_sharp': icecream_filled_sharp,
    'icecream_filled': icecream_filled,
    'icecream_outlined': icecream_outlined,
    'icecream_sharp': icecream_sharp,
    'icecream': icecream,
    'image_aspect_ratio_filled_outlined': image_aspect_ratio_filled_outlined,
    'image_aspect_ratio_filled_sharp': image_aspect_ratio_filled_sharp,
    'image_aspect_ratio_filled': image_aspect_ratio_filled,
    'image_aspect_ratio_outlined': image_aspect_ratio_outlined,
    'image_aspect_ratio_sharp': image_aspect_ratio_sharp,
    'image_aspect_ratio': image_aspect_ratio,
    'image_filled_outlined': image_filled_outlined,
    'image_filled_sharp': image_filled_sharp,
    'image_filled': image_filled,
    'image_not_supported_filled_outlined': image_not_supported_filled_outlined,
    'image_not_supported_filled_sharp': image_not_supported_filled_sharp,
    'image_not_supported_filled': image_not_supported_filled,
    'image_not_supported_outlined': image_not_supported_outlined,
    'image_not_supported_sharp': image_not_supported_sharp,
    'image_not_supported': image_not_supported,
    'image_outlined': image_outlined,
    'image_search_filled_outlined': image_search_filled_outlined,
    'image_search_filled_sharp': image_search_filled_sharp,
    'image_search_filled': image_search_filled,
    'image_search_outlined': image_search_outlined,
    'image_search_sharp': image_search_sharp,
    'image_search': image_search,
    'image_sharp': image_sharp,
    'image': image,
    'imagesearch_roller_filled_outlined': imagesearch_roller_filled_outlined,
    'imagesearch_roller_filled_sharp': imagesearch_roller_filled_sharp,
    'imagesearch_roller_filled': imagesearch_roller_filled,
    'imagesearch_roller_outlined': imagesearch_roller_outlined,
    'imagesearch_roller_sharp': imagesearch_roller_sharp,
    'imagesearch_roller': imagesearch_roller,
    'imagesmode_filled_outlined': imagesmode_filled_outlined,
    'imagesmode_filled_sharp': imagesmode_filled_sharp,
    'imagesmode_filled': imagesmode_filled,
    'imagesmode_outlined': imagesmode_outlined,
    'imagesmode_sharp': imagesmode_sharp,
    'imagesmode': imagesmode,
    'immunology_filled_outlined': immunology_filled_outlined,
    'immunology_filled_sharp': immunology_filled_sharp,
    'immunology_filled': immunology_filled,
    'immunology_outlined': immunology_outlined,
    'immunology_sharp': immunology_sharp,
    'immunology': immunology,
    'import_contacts_filled_outlined': import_contacts_filled_outlined,
    'import_contacts_filled_sharp': import_contacts_filled_sharp,
    'import_contacts_filled': import_contacts_filled,
    'import_contacts_outlined': import_contacts_outlined,
    'import_contacts_sharp': import_contacts_sharp,
    'import_contacts': import_contacts,
    'important_devices_filled_outlined': important_devices_filled_outlined,
    'important_devices_filled_sharp': important_devices_filled_sharp,
    'important_devices_filled': important_devices_filled,
    'important_devices_outlined': important_devices_outlined,
    'important_devices_sharp': important_devices_sharp,
    'important_devices': important_devices,
    'in_home_mode_filled_outlined': in_home_mode_filled_outlined,
    'in_home_mode_filled_sharp': in_home_mode_filled_sharp,
    'in_home_mode_filled': in_home_mode_filled,
    'in_home_mode_outlined': in_home_mode_outlined,
    'in_home_mode_sharp': in_home_mode_sharp,
    'in_home_mode': in_home_mode,
    'inactive_order_filled_outlined': inactive_order_filled_outlined,
    'inactive_order_filled_sharp': inactive_order_filled_sharp,
    'inactive_order_filled': inactive_order_filled,
    'inactive_order_outlined': inactive_order_outlined,
    'inactive_order_sharp': inactive_order_sharp,
    'inactive_order': inactive_order,
    'inbox_customize_filled_outlined': inbox_customize_filled_outlined,
    'inbox_customize_filled_sharp': inbox_customize_filled_sharp,
    'inbox_customize_filled': inbox_customize_filled,
    'inbox_customize_outlined': inbox_customize_outlined,
    'inbox_customize_sharp': inbox_customize_sharp,
    'inbox_customize': inbox_customize,
    'inbox_filled_outlined': inbox_filled_outlined,
    'inbox_filled_sharp': inbox_filled_sharp,
    'inbox_filled': inbox_filled,
    'inbox_outlined': inbox_outlined,
    'inbox_sharp': inbox_sharp,
    'inbox': inbox,
    'incomplete_circle_filled_outlined': incomplete_circle_filled_outlined,
    'incomplete_circle_filled_sharp': incomplete_circle_filled_sharp,
    'incomplete_circle_filled': incomplete_circle_filled,
    'incomplete_circle_outlined': incomplete_circle_outlined,
    'incomplete_circle_sharp': incomplete_circle_sharp,
    'incomplete_circle': incomplete_circle,
    'indeterminate_check_box_filled_outlined':
        indeterminate_check_box_filled_outlined,
    'indeterminate_check_box_filled_sharp':
        indeterminate_check_box_filled_sharp,
    'indeterminate_check_box_filled': indeterminate_check_box_filled,
    'indeterminate_check_box_outlined': indeterminate_check_box_outlined,
    'indeterminate_check_box_sharp': indeterminate_check_box_sharp,
    'indeterminate_check_box': indeterminate_check_box,
    'info_filled_outlined': info_filled_outlined,
    'info_filled_sharp': info_filled_sharp,
    'info_filled': info_filled,
    'info_outlined': info_outlined,
    'info_sharp': info_sharp,
    'info': info,
    'infrared_filled_outlined': infrared_filled_outlined,
    'infrared_filled_sharp': infrared_filled_sharp,
    'infrared_filled': infrared_filled,
    'infrared_outlined': infrared_outlined,
    'infrared_sharp': infrared_sharp,
    'infrared': infrared,
    'inpatient_filled_outlined': inpatient_filled_outlined,
    'inpatient_filled_sharp': inpatient_filled_sharp,
    'inpatient_filled': inpatient_filled,
    'inpatient_outlined': inpatient_outlined,
    'inpatient_sharp': inpatient_sharp,
    'inpatient': inpatient,
    'input_filled_outlined': input_filled_outlined,
    'input_filled_sharp': input_filled_sharp,
    'input_filled': input_filled,
    'input_outlined': input_outlined,
    'input_sharp': input_sharp,
    'input': input,
    'insert_chart_filled_outlined': insert_chart_filled_outlined,
    'insert_chart_filled_sharp': insert_chart_filled_sharp,
    'insert_chart_filled': insert_chart_filled,
    'insert_chart_outlined': insert_chart_outlined,
    'insert_chart_sharp': insert_chart_sharp,
    'insert_chart': insert_chart,
    'insert_page_break_filled_outlined': insert_page_break_filled_outlined,
    'insert_page_break_filled_sharp': insert_page_break_filled_sharp,
    'insert_page_break_filled': insert_page_break_filled,
    'insert_page_break_outlined': insert_page_break_outlined,
    'insert_page_break_sharp': insert_page_break_sharp,
    'insert_page_break': insert_page_break,
    'insert_text_filled_outlined': insert_text_filled_outlined,
    'insert_text_filled_sharp': insert_text_filled_sharp,
    'insert_text_filled': insert_text_filled,
    'insert_text_outlined': insert_text_outlined,
    'insert_text_sharp': insert_text_sharp,
    'insert_text': insert_text,
    'insights_filled_outlined': insights_filled_outlined,
    'insights_filled_sharp': insights_filled_sharp,
    'insights_filled': insights_filled,
    'insights_outlined': insights_outlined,
    'insights_sharp': insights_sharp,
    'insights': insights,
    'install_desktop_filled_outlined': install_desktop_filled_outlined,
    'install_desktop_filled_sharp': install_desktop_filled_sharp,
    'install_desktop_filled': install_desktop_filled,
    'install_desktop_outlined': install_desktop_outlined,
    'install_desktop_sharp': install_desktop_sharp,
    'install_desktop': install_desktop,
    'install_mobile_filled_outlined': install_mobile_filled_outlined,
    'install_mobile_filled_sharp': install_mobile_filled_sharp,
    'install_mobile_filled': install_mobile_filled,
    'install_mobile_outlined': install_mobile_outlined,
    'install_mobile_sharp': install_mobile_sharp,
    'install_mobile': install_mobile,
    'integration_instructions_filled_outlined':
        integration_instructions_filled_outlined,
    'integration_instructions_filled_sharp':
        integration_instructions_filled_sharp,
    'integration_instructions_filled': integration_instructions_filled,
    'integration_instructions_outlined': integration_instructions_outlined,
    'integration_instructions_sharp': integration_instructions_sharp,
    'integration_instructions': integration_instructions,
    'interests_filled_outlined': interests_filled_outlined,
    'interests_filled_sharp': interests_filled_sharp,
    'interests_filled': interests_filled,
    'interests_outlined': interests_outlined,
    'interests_sharp': interests_sharp,
    'interests': interests,
    'interpreter_mode_filled_outlined': interpreter_mode_filled_outlined,
    'interpreter_mode_filled_sharp': interpreter_mode_filled_sharp,
    'interpreter_mode_filled': interpreter_mode_filled,
    'interpreter_mode_outlined': interpreter_mode_outlined,
    'interpreter_mode_sharp': interpreter_mode_sharp,
    'interpreter_mode': interpreter_mode,
    'inventory_2_filled_outlined': inventory_2_filled_outlined,
    'inventory_2_filled_sharp': inventory_2_filled_sharp,
    'inventory_2_filled': inventory_2_filled,
    'inventory_2_outlined': inventory_2_outlined,
    'inventory_2_sharp': inventory_2_sharp,
    'inventory_2': inventory_2,
    'inventory_filled_outlined': inventory_filled_outlined,
    'inventory_filled_sharp': inventory_filled_sharp,
    'inventory_filled': inventory_filled,
    'inventory_outlined': inventory_outlined,
    'inventory_sharp': inventory_sharp,
    'inventory': inventory,
    'invert_colors_filled_outlined': invert_colors_filled_outlined,
    'invert_colors_filled_sharp': invert_colors_filled_sharp,
    'invert_colors_filled': invert_colors_filled,
    'invert_colors_off_filled_outlined': invert_colors_off_filled_outlined,
    'invert_colors_off_filled_sharp': invert_colors_off_filled_sharp,
    'invert_colors_off_filled': invert_colors_off_filled,
    'invert_colors_off_outlined': invert_colors_off_outlined,
    'invert_colors_off_sharp': invert_colors_off_sharp,
    'invert_colors_off': invert_colors_off,
    'invert_colors_outlined': invert_colors_outlined,
    'invert_colors_sharp': invert_colors_sharp,
    'invert_colors': invert_colors,
    'ios_share_filled_outlined': ios_share_filled_outlined,
    'ios_share_filled_sharp': ios_share_filled_sharp,
    'ios_share_filled': ios_share_filled,
    'ios_share_outlined': ios_share_outlined,
    'ios_share_sharp': ios_share_sharp,
    'ios_share': ios_share,
    'iron_filled_outlined': iron_filled_outlined,
    'iron_filled_sharp': iron_filled_sharp,
    'iron_filled': iron_filled,
    'iron_outlined': iron_outlined,
    'iron_sharp': iron_sharp,
    'iron': iron,
    'javascript_filled_outlined': javascript_filled_outlined,
    'javascript_filled_sharp': javascript_filled_sharp,
    'javascript_filled': javascript_filled,
    'javascript_outlined': javascript_outlined,
    'javascript_sharp': javascript_sharp,
    'javascript': javascript,
    'join_filled_outlined': join_filled_outlined,
    'join_filled_sharp': join_filled_sharp,
    'join_filled': join_filled,
    'join_full_filled_outlined': join_full_filled_outlined,
    'join_full_filled_sharp': join_full_filled_sharp,
    'join_full_filled': join_full_filled,
    'join_full_outlined': join_full_outlined,
    'join_full_sharp': join_full_sharp,
    'join_full': join_full,
    'join_inner_filled_outlined': join_inner_filled_outlined,
    'join_inner_filled_sharp': join_inner_filled_sharp,
    'join_inner_filled': join_inner_filled,
    'join_inner_outlined': join_inner_outlined,
    'join_inner_sharp': join_inner_sharp,
    'join_inner': join_inner,
    'join_left_filled_outlined': join_left_filled_outlined,
    'join_left_filled_sharp': join_left_filled_sharp,
    'join_left_filled': join_left_filled,
    'join_left_outlined': join_left_outlined,
    'join_left_sharp': join_left_sharp,
    'join_left': join_left,
    'join_outlined': join_outlined,
    'join_right_filled_outlined': join_right_filled_outlined,
    'join_right_filled_sharp': join_right_filled_sharp,
    'join_right_filled': join_right_filled,
    'join_right_outlined': join_right_outlined,
    'join_right_sharp': join_right_sharp,
    'join_right': join_right,
    'join_sharp': join_sharp,
    'join': join,
    'kayaking_filled_outlined': kayaking_filled_outlined,
    'kayaking_filled_sharp': kayaking_filled_sharp,
    'kayaking_filled': kayaking_filled,
    'kayaking_outlined': kayaking_outlined,
    'kayaking_sharp': kayaking_sharp,
    'kayaking': kayaking,
    'kebab_dining_filled_outlined': kebab_dining_filled_outlined,
    'kebab_dining_filled_sharp': kebab_dining_filled_sharp,
    'kebab_dining_filled': kebab_dining_filled,
    'kebab_dining_outlined': kebab_dining_outlined,
    'kebab_dining_sharp': kebab_dining_sharp,
    'kebab_dining': kebab_dining,
    'kettle_filled_outlined': kettle_filled_outlined,
    'kettle_filled_sharp': kettle_filled_sharp,
    'kettle_filled': kettle_filled,
    'kettle_outlined': kettle_outlined,
    'kettle_sharp': kettle_sharp,
    'kettle': kettle,
    'key_filled_outlined': key_filled_outlined,
    'key_filled_sharp': key_filled_sharp,
    'key_filled': key_filled,
    'key_off_filled_outlined': key_off_filled_outlined,
    'key_off_filled_sharp': key_off_filled_sharp,
    'key_off_filled': key_off_filled,
    'key_off_outlined': key_off_outlined,
    'key_off_sharp': key_off_sharp,
    'key_off': key_off,
    'key_outlined': key_outlined,
    'key_sharp': key_sharp,
    'key_visualizer_filled_outlined': key_visualizer_filled_outlined,
    'key_visualizer_filled_sharp': key_visualizer_filled_sharp,
    'key_visualizer_filled': key_visualizer_filled,
    'key_visualizer_outlined': key_visualizer_outlined,
    'key_visualizer_sharp': key_visualizer_sharp,
    'key_visualizer': key_visualizer,
    'key': key,
    'keyboard_alt_filled_outlined': keyboard_alt_filled_outlined,
    'keyboard_alt_filled_sharp': keyboard_alt_filled_sharp,
    'keyboard_alt_filled': keyboard_alt_filled,
    'keyboard_alt_outlined': keyboard_alt_outlined,
    'keyboard_alt_sharp': keyboard_alt_sharp,
    'keyboard_alt': keyboard_alt,
    'keyboard_arrow_down_filled_outlined': keyboard_arrow_down_filled_outlined,
    'keyboard_arrow_down_filled_sharp': keyboard_arrow_down_filled_sharp,
    'keyboard_arrow_down_filled': keyboard_arrow_down_filled,
    'keyboard_arrow_down_outlined': keyboard_arrow_down_outlined,
    'keyboard_arrow_down_sharp': keyboard_arrow_down_sharp,
    'keyboard_arrow_down': keyboard_arrow_down,
    'keyboard_arrow_left_filled_outlined': keyboard_arrow_left_filled_outlined,
    'keyboard_arrow_left_filled_sharp': keyboard_arrow_left_filled_sharp,
    'keyboard_arrow_left_filled': keyboard_arrow_left_filled,
    'keyboard_arrow_left_outlined': keyboard_arrow_left_outlined,
    'keyboard_arrow_left_sharp': keyboard_arrow_left_sharp,
    'keyboard_arrow_left': keyboard_arrow_left,
    'keyboard_arrow_right_filled_outlined':
        keyboard_arrow_right_filled_outlined,
    'keyboard_arrow_right_filled_sharp': keyboard_arrow_right_filled_sharp,
    'keyboard_arrow_right_filled': keyboard_arrow_right_filled,
    'keyboard_arrow_right_outlined': keyboard_arrow_right_outlined,
    'keyboard_arrow_right_sharp': keyboard_arrow_right_sharp,
    'keyboard_arrow_right': keyboard_arrow_right,
    'keyboard_arrow_up_filled_outlined': keyboard_arrow_up_filled_outlined,
    'keyboard_arrow_up_filled_sharp': keyboard_arrow_up_filled_sharp,
    'keyboard_arrow_up_filled': keyboard_arrow_up_filled,
    'keyboard_arrow_up_outlined': keyboard_arrow_up_outlined,
    'keyboard_arrow_up_sharp': keyboard_arrow_up_sharp,
    'keyboard_arrow_up': keyboard_arrow_up,
    'keyboard_backspace_filled_outlined': keyboard_backspace_filled_outlined,
    'keyboard_backspace_filled_sharp': keyboard_backspace_filled_sharp,
    'keyboard_backspace_filled': keyboard_backspace_filled,
    'keyboard_backspace_outlined': keyboard_backspace_outlined,
    'keyboard_backspace_sharp': keyboard_backspace_sharp,
    'keyboard_backspace': keyboard_backspace,
    'keyboard_capslock_filled_outlined': keyboard_capslock_filled_outlined,
    'keyboard_capslock_filled_sharp': keyboard_capslock_filled_sharp,
    'keyboard_capslock_filled': keyboard_capslock_filled,
    'keyboard_capslock_outlined': keyboard_capslock_outlined,
    'keyboard_capslock_sharp': keyboard_capslock_sharp,
    'keyboard_capslock': keyboard_capslock,
    'keyboard_command_key_filled_outlined':
        keyboard_command_key_filled_outlined,
    'keyboard_command_key_filled_sharp': keyboard_command_key_filled_sharp,
    'keyboard_command_key_filled': keyboard_command_key_filled,
    'keyboard_command_key_outlined': keyboard_command_key_outlined,
    'keyboard_command_key_sharp': keyboard_command_key_sharp,
    'keyboard_command_key': keyboard_command_key,
    'keyboard_control_key_filled_outlined':
        keyboard_control_key_filled_outlined,
    'keyboard_control_key_filled_sharp': keyboard_control_key_filled_sharp,
    'keyboard_control_key_filled': keyboard_control_key_filled,
    'keyboard_control_key_outlined': keyboard_control_key_outlined,
    'keyboard_control_key_sharp': keyboard_control_key_sharp,
    'keyboard_control_key': keyboard_control_key,
    'keyboard_double_arrow_down_filled_outlined':
        keyboard_double_arrow_down_filled_outlined,
    'keyboard_double_arrow_down_filled_sharp':
        keyboard_double_arrow_down_filled_sharp,
    'keyboard_double_arrow_down_filled': keyboard_double_arrow_down_filled,
    'keyboard_double_arrow_down_outlined': keyboard_double_arrow_down_outlined,
    'keyboard_double_arrow_down_sharp': keyboard_double_arrow_down_sharp,
    'keyboard_double_arrow_down': keyboard_double_arrow_down,
    'keyboard_double_arrow_left_filled_outlined':
        keyboard_double_arrow_left_filled_outlined,
    'keyboard_double_arrow_left_filled_sharp':
        keyboard_double_arrow_left_filled_sharp,
    'keyboard_double_arrow_left_filled': keyboard_double_arrow_left_filled,
    'keyboard_double_arrow_left_outlined': keyboard_double_arrow_left_outlined,
    'keyboard_double_arrow_left_sharp': keyboard_double_arrow_left_sharp,
    'keyboard_double_arrow_left': keyboard_double_arrow_left,
    'keyboard_double_arrow_right_filled_outlined':
        keyboard_double_arrow_right_filled_outlined,
    'keyboard_double_arrow_right_filled_sharp':
        keyboard_double_arrow_right_filled_sharp,
    'keyboard_double_arrow_right_filled': keyboard_double_arrow_right_filled,
    'keyboard_double_arrow_right_outlined':
        keyboard_double_arrow_right_outlined,
    'keyboard_double_arrow_right_sharp': keyboard_double_arrow_right_sharp,
    'keyboard_double_arrow_right': keyboard_double_arrow_right,
    'keyboard_double_arrow_up_filled_outlined':
        keyboard_double_arrow_up_filled_outlined,
    'keyboard_double_arrow_up_filled_sharp':
        keyboard_double_arrow_up_filled_sharp,
    'keyboard_double_arrow_up_filled': keyboard_double_arrow_up_filled,
    'keyboard_double_arrow_up_outlined': keyboard_double_arrow_up_outlined,
    'keyboard_double_arrow_up_sharp': keyboard_double_arrow_up_sharp,
    'keyboard_double_arrow_up': keyboard_double_arrow_up,
    'keyboard_filled_outlined': keyboard_filled_outlined,
    'keyboard_filled_sharp': keyboard_filled_sharp,
    'keyboard_filled': keyboard_filled,
    'keyboard_hide_filled_outlined': keyboard_hide_filled_outlined,
    'keyboard_hide_filled_sharp': keyboard_hide_filled_sharp,
    'keyboard_hide_filled': keyboard_hide_filled,
    'keyboard_hide_outlined': keyboard_hide_outlined,
    'keyboard_hide_sharp': keyboard_hide_sharp,
    'keyboard_hide': keyboard_hide,
    'keyboard_option_key_filled_outlined': keyboard_option_key_filled_outlined,
    'keyboard_option_key_filled_sharp': keyboard_option_key_filled_sharp,
    'keyboard_option_key_filled': keyboard_option_key_filled,
    'keyboard_option_key_outlined': keyboard_option_key_outlined,
    'keyboard_option_key_sharp': keyboard_option_key_sharp,
    'keyboard_option_key': keyboard_option_key,
    'keyboard_outlined': keyboard_outlined,
    'keyboard_return_filled_outlined': keyboard_return_filled_outlined,
    'keyboard_return_filled_sharp': keyboard_return_filled_sharp,
    'keyboard_return_filled': keyboard_return_filled,
    'keyboard_return_outlined': keyboard_return_outlined,
    'keyboard_return_sharp': keyboard_return_sharp,
    'keyboard_return': keyboard_return,
    'keyboard_sharp': keyboard_sharp,
    'keyboard_tab_filled_outlined': keyboard_tab_filled_outlined,
    'keyboard_tab_filled_sharp': keyboard_tab_filled_sharp,
    'keyboard_tab_filled': keyboard_tab_filled,
    'keyboard_tab_outlined': keyboard_tab_outlined,
    'keyboard_tab_sharp': keyboard_tab_sharp,
    'keyboard_tab': keyboard_tab,
    'keyboard_voice_filled_outlined': keyboard_voice_filled_outlined,
    'keyboard_voice_filled_sharp': keyboard_voice_filled_sharp,
    'keyboard_voice_filled': keyboard_voice_filled,
    'keyboard_voice_outlined': keyboard_voice_outlined,
    'keyboard_voice_sharp': keyboard_voice_sharp,
    'keyboard_voice': keyboard_voice,
    'keyboard': keyboard,
    'king_bed_filled_outlined': king_bed_filled_outlined,
    'king_bed_filled_sharp': king_bed_filled_sharp,
    'king_bed_filled': king_bed_filled,
    'king_bed_outlined': king_bed_outlined,
    'king_bed_sharp': king_bed_sharp,
    'king_bed': king_bed,
    'kitchen_filled_outlined': kitchen_filled_outlined,
    'kitchen_filled_sharp': kitchen_filled_sharp,
    'kitchen_filled': kitchen_filled,
    'kitchen_outlined': kitchen_outlined,
    'kitchen_sharp': kitchen_sharp,
    'kitchen': kitchen,
    'kitesurfing_filled_outlined': kitesurfing_filled_outlined,
    'kitesurfing_filled_sharp': kitesurfing_filled_sharp,
    'kitesurfing_filled': kitesurfing_filled,
    'kitesurfing_outlined': kitesurfing_outlined,
    'kitesurfing_sharp': kitesurfing_sharp,
    'kitesurfing': kitesurfing,
    'lab_panel_filled_outlined': lab_panel_filled_outlined,
    'lab_panel_filled_sharp': lab_panel_filled_sharp,
    'lab_panel_filled': lab_panel_filled,
    'lab_panel_outlined': lab_panel_outlined,
    'lab_panel_sharp': lab_panel_sharp,
    'lab_panel': lab_panel,
    'lab_profile_filled_outlined': lab_profile_filled_outlined,
    'lab_profile_filled_sharp': lab_profile_filled_sharp,
    'lab_profile_filled': lab_profile_filled,
    'lab_profile_outlined': lab_profile_outlined,
    'lab_profile_sharp': lab_profile_sharp,
    'lab_profile': lab_profile,
    'lab_research_filled_outlined': lab_research_filled_outlined,
    'lab_research_filled_sharp': lab_research_filled_sharp,
    'lab_research_filled': lab_research_filled,
    'lab_research_outlined': lab_research_outlined,
    'lab_research_sharp': lab_research_sharp,
    'lab_research': lab_research,
    'label_filled_outlined': label_filled_outlined,
    'label_filled_sharp': label_filled_sharp,
    'label_filled': label_filled,
    'label_important_filled_outlined': label_important_filled_outlined,
    'label_important_filled_sharp': label_important_filled_sharp,
    'label_important_filled': label_important_filled,
    'label_important_outlined': label_important_outlined,
    'label_important_sharp': label_important_sharp,
    'label_important': label_important,
    'label_off_filled_outlined': label_off_filled_outlined,
    'label_off_filled_sharp': label_off_filled_sharp,
    'label_off_filled': label_off_filled,
    'label_off_outlined': label_off_outlined,
    'label_off_sharp': label_off_sharp,
    'label_off': label_off,
    'label_outlined': label_outlined,
    'label_sharp': label_sharp,
    'label': label,
    'labs_filled_outlined': labs_filled_outlined,
    'labs_filled_sharp': labs_filled_sharp,
    'labs_filled': labs_filled,
    'labs_outlined': labs_outlined,
    'labs_sharp': labs_sharp,
    'labs': labs,
    'lan_filled_outlined': lan_filled_outlined,
    'lan_filled_sharp': lan_filled_sharp,
    'lan_filled': lan_filled,
    'lan_outlined': lan_outlined,
    'lan_sharp': lan_sharp,
    'lan': lan,
    'landscape_filled_outlined': landscape_filled_outlined,
    'landscape_filled_sharp': landscape_filled_sharp,
    'landscape_filled': landscape_filled,
    'landscape_outlined': landscape_outlined,
    'landscape_sharp': landscape_sharp,
    'landscape': landscape,
    'landslide_filled_outlined': landslide_filled_outlined,
    'landslide_filled_sharp': landslide_filled_sharp,
    'landslide_filled': landslide_filled,
    'landslide_outlined': landslide_outlined,
    'landslide_sharp': landslide_sharp,
    'landslide': landslide,
    'language_filled_outlined': language_filled_outlined,
    'language_filled_sharp': language_filled_sharp,
    'language_filled': language_filled,
    'language_outlined': language_outlined,
    'language_sharp': language_sharp,
    'language': language,
    'laptop_chromebook_filled_outlined': laptop_chromebook_filled_outlined,
    'laptop_chromebook_filled_sharp': laptop_chromebook_filled_sharp,
    'laptop_chromebook_filled': laptop_chromebook_filled,
    'laptop_chromebook_outlined': laptop_chromebook_outlined,
    'laptop_chromebook_sharp': laptop_chromebook_sharp,
    'laptop_chromebook': laptop_chromebook,
    'laptop_mac_filled_outlined': laptop_mac_filled_outlined,
    'laptop_mac_filled_sharp': laptop_mac_filled_sharp,
    'laptop_mac_filled': laptop_mac_filled,
    'laptop_mac_outlined': laptop_mac_outlined,
    'laptop_mac_sharp': laptop_mac_sharp,
    'laptop_mac': laptop_mac,
    'laptop_windows_filled_outlined': laptop_windows_filled_outlined,
    'laptop_windows_filled_sharp': laptop_windows_filled_sharp,
    'laptop_windows_filled': laptop_windows_filled,
    'laptop_windows_outlined': laptop_windows_outlined,
    'laptop_windows_sharp': laptop_windows_sharp,
    'laptop_windows': laptop_windows,
    'last_page_filled_outlined': last_page_filled_outlined,
    'last_page_filled_sharp': last_page_filled_sharp,
    'last_page_filled': last_page_filled,
    'last_page_outlined': last_page_outlined,
    'last_page_sharp': last_page_sharp,
    'last_page': last_page,
    'laundry_filled_outlined': laundry_filled_outlined,
    'laundry_filled_sharp': laundry_filled_sharp,
    'laundry_filled': laundry_filled,
    'laundry_outlined': laundry_outlined,
    'laundry_sharp': laundry_sharp,
    'laundry': laundry,
    'layers_clear_filled_outlined': layers_clear_filled_outlined,
    'layers_clear_filled_sharp': layers_clear_filled_sharp,
    'layers_clear_filled': layers_clear_filled,
    'layers_clear_outlined': layers_clear_outlined,
    'layers_clear_sharp': layers_clear_sharp,
    'layers_clear': layers_clear,
    'layers_filled_outlined': layers_filled_outlined,
    'layers_filled_sharp': layers_filled_sharp,
    'layers_filled': layers_filled,
    'layers_outlined': layers_outlined,
    'layers_sharp': layers_sharp,
    'layers': layers,
    'lda_filled_outlined': lda_filled_outlined,
    'lda_filled_sharp': lda_filled_sharp,
    'lda_filled': lda_filled,
    'lda_outlined': lda_outlined,
    'lda_sharp': lda_sharp,
    'lda': lda,
    'leaderboard_filled_outlined': leaderboard_filled_outlined,
    'leaderboard_filled_sharp': leaderboard_filled_sharp,
    'leaderboard_filled': leaderboard_filled,
    'leaderboard_outlined': leaderboard_outlined,
    'leaderboard_sharp': leaderboard_sharp,
    'leaderboard': leaderboard,
    'leak_add_filled_outlined': leak_add_filled_outlined,
    'leak_add_filled_sharp': leak_add_filled_sharp,
    'leak_add_filled': leak_add_filled,
    'leak_add_outlined': leak_add_outlined,
    'leak_add_sharp': leak_add_sharp,
    'leak_add': leak_add,
    'leak_remove_filled_outlined': leak_remove_filled_outlined,
    'leak_remove_filled_sharp': leak_remove_filled_sharp,
    'leak_remove_filled': leak_remove_filled,
    'leak_remove_outlined': leak_remove_outlined,
    'leak_remove_sharp': leak_remove_sharp,
    'leak_remove': leak_remove,
    'legend_toggle_filled_outlined': legend_toggle_filled_outlined,
    'legend_toggle_filled_sharp': legend_toggle_filled_sharp,
    'legend_toggle_filled': legend_toggle_filled,
    'legend_toggle_outlined': legend_toggle_outlined,
    'legend_toggle_sharp': legend_toggle_sharp,
    'legend_toggle': legend_toggle,
    'lens_blur_filled_outlined': lens_blur_filled_outlined,
    'lens_blur_filled_sharp': lens_blur_filled_sharp,
    'lens_blur_filled': lens_blur_filled,
    'lens_blur_outlined': lens_blur_outlined,
    'lens_blur_sharp': lens_blur_sharp,
    'lens_blur': lens_blur,
    'lens_filled_outlined': lens_filled_outlined,
    'lens_filled_sharp': lens_filled_sharp,
    'lens_filled': lens_filled,
    'lens_outlined': lens_outlined,
    'lens_sharp': lens_sharp,
    'lens': lens,
    'library_add_check_filled_outlined': library_add_check_filled_outlined,
    'library_add_check_filled_sharp': library_add_check_filled_sharp,
    'library_add_check_filled': library_add_check_filled,
    'library_add_check_outlined': library_add_check_outlined,
    'library_add_check_sharp': library_add_check_sharp,
    'library_add_check': library_add_check,
    'library_add_filled_outlined': library_add_filled_outlined,
    'library_add_filled_sharp': library_add_filled_sharp,
    'library_add_filled': library_add_filled,
    'library_add_outlined': library_add_outlined,
    'library_add_sharp': library_add_sharp,
    'library_add': library_add,
    'library_books_filled_outlined': library_books_filled_outlined,
    'library_books_filled_sharp': library_books_filled_sharp,
    'library_books_filled': library_books_filled,
    'library_books_outlined': library_books_outlined,
    'library_books_sharp': library_books_sharp,
    'library_books': library_books,
    'library_music_filled_outlined': library_music_filled_outlined,
    'library_music_filled_sharp': library_music_filled_sharp,
    'library_music_filled': library_music_filled,
    'library_music_outlined': library_music_outlined,
    'library_music_sharp': library_music_sharp,
    'library_music': library_music,
    'lift_to_talk_filled_outlined': lift_to_talk_filled_outlined,
    'lift_to_talk_filled_sharp': lift_to_talk_filled_sharp,
    'lift_to_talk_filled': lift_to_talk_filled,
    'lift_to_talk_outlined': lift_to_talk_outlined,
    'lift_to_talk_sharp': lift_to_talk_sharp,
    'lift_to_talk': lift_to_talk,
    'light_filled_outlined': light_filled_outlined,
    'light_filled_sharp': light_filled_sharp,
    'light_filled': light_filled,
    'light_group_filled_outlined': light_group_filled_outlined,
    'light_group_filled_sharp': light_group_filled_sharp,
    'light_group_filled': light_group_filled,
    'light_group_outlined': light_group_outlined,
    'light_group_sharp': light_group_sharp,
    'light_group': light_group,
    'light_mode_filled_outlined': light_mode_filled_outlined,
    'light_mode_filled_sharp': light_mode_filled_sharp,
    'light_mode_filled': light_mode_filled,
    'light_mode_outlined': light_mode_outlined,
    'light_mode_sharp': light_mode_sharp,
    'light_mode': light_mode,
    'light_outlined': light_outlined,
    'light_sharp': light_sharp,
    'light': light,
    'lightbulb_circle_filled_outlined': lightbulb_circle_filled_outlined,
    'lightbulb_circle_filled_sharp': lightbulb_circle_filled_sharp,
    'lightbulb_circle_filled': lightbulb_circle_filled,
    'lightbulb_circle_outlined': lightbulb_circle_outlined,
    'lightbulb_circle_sharp': lightbulb_circle_sharp,
    'lightbulb_circle': lightbulb_circle,
    'lightbulb_filled_outlined': lightbulb_filled_outlined,
    'lightbulb_filled_sharp': lightbulb_filled_sharp,
    'lightbulb_filled': lightbulb_filled,
    'lightbulb_outlined': lightbulb_outlined,
    'lightbulb_sharp': lightbulb_sharp,
    'lightbulb': lightbulb,
    'line_axis_filled_outlined': line_axis_filled_outlined,
    'line_axis_filled_sharp': line_axis_filled_sharp,
    'line_axis_filled': line_axis_filled,
    'line_axis_outlined': line_axis_outlined,
    'line_axis_sharp': line_axis_sharp,
    'line_axis': line_axis,
    'line_end_arrow_filled_outlined': line_end_arrow_filled_outlined,
    'line_end_arrow_filled_sharp': line_end_arrow_filled_sharp,
    'line_end_arrow_filled': line_end_arrow_filled,
    'line_end_arrow_notch_filled_outlined':
        line_end_arrow_notch_filled_outlined,
    'line_end_arrow_notch_filled_sharp': line_end_arrow_notch_filled_sharp,
    'line_end_arrow_notch_filled': line_end_arrow_notch_filled,
    'line_end_arrow_notch_outlined': line_end_arrow_notch_outlined,
    'line_end_arrow_notch_sharp': line_end_arrow_notch_sharp,
    'line_end_arrow_notch': line_end_arrow_notch,
    'line_end_arrow_outlined': line_end_arrow_outlined,
    'line_end_arrow_sharp': line_end_arrow_sharp,
    'line_end_arrow': line_end_arrow,
    'line_end_circle_filled_outlined': line_end_circle_filled_outlined,
    'line_end_circle_filled_sharp': line_end_circle_filled_sharp,
    'line_end_circle_filled': line_end_circle_filled,
    'line_end_circle_outlined': line_end_circle_outlined,
    'line_end_circle_sharp': line_end_circle_sharp,
    'line_end_circle': line_end_circle,
    'line_end_diamond_filled_outlined': line_end_diamond_filled_outlined,
    'line_end_diamond_filled_sharp': line_end_diamond_filled_sharp,
    'line_end_diamond_filled': line_end_diamond_filled,
    'line_end_diamond_outlined': line_end_diamond_outlined,
    'line_end_diamond_sharp': line_end_diamond_sharp,
    'line_end_diamond': line_end_diamond,
    'line_end_filled_outlined': line_end_filled_outlined,
    'line_end_filled_sharp': line_end_filled_sharp,
    'line_end_filled': line_end_filled,
    'line_end_outlined': line_end_outlined,
    'line_end_sharp': line_end_sharp,
    'line_end_square_filled_outlined': line_end_square_filled_outlined,
    'line_end_square_filled_sharp': line_end_square_filled_sharp,
    'line_end_square_filled': line_end_square_filled,
    'line_end_square_outlined': line_end_square_outlined,
    'line_end_square_sharp': line_end_square_sharp,
    'line_end_square': line_end_square,
    'line_end': line_end,
    'line_start_arrow_filled_outlined': line_start_arrow_filled_outlined,
    'line_start_arrow_filled_sharp': line_start_arrow_filled_sharp,
    'line_start_arrow_filled': line_start_arrow_filled,
    'line_start_arrow_notch_filled_outlined':
        line_start_arrow_notch_filled_outlined,
    'line_start_arrow_notch_filled_sharp': line_start_arrow_notch_filled_sharp,
    'line_start_arrow_notch_filled': line_start_arrow_notch_filled,
    'line_start_arrow_notch_outlined': line_start_arrow_notch_outlined,
    'line_start_arrow_notch_sharp': line_start_arrow_notch_sharp,
    'line_start_arrow_notch': line_start_arrow_notch,
    'line_start_arrow_outlined': line_start_arrow_outlined,
    'line_start_arrow_sharp': line_start_arrow_sharp,
    'line_start_arrow': line_start_arrow,
    'line_start_circle_filled_outlined': line_start_circle_filled_outlined,
    'line_start_circle_filled_sharp': line_start_circle_filled_sharp,
    'line_start_circle_filled': line_start_circle_filled,
    'line_start_circle_outlined': line_start_circle_outlined,
    'line_start_circle_sharp': line_start_circle_sharp,
    'line_start_circle': line_start_circle,
    'line_start_diamond_filled_outlined': line_start_diamond_filled_outlined,
    'line_start_diamond_filled_sharp': line_start_diamond_filled_sharp,
    'line_start_diamond_filled': line_start_diamond_filled,
    'line_start_diamond_outlined': line_start_diamond_outlined,
    'line_start_diamond_sharp': line_start_diamond_sharp,
    'line_start_diamond': line_start_diamond,
    'line_start_filled_outlined': line_start_filled_outlined,
    'line_start_filled_sharp': line_start_filled_sharp,
    'line_start_filled': line_start_filled,
    'line_start_outlined': line_start_outlined,
    'line_start_sharp': line_start_sharp,
    'line_start_square_filled_outlined': line_start_square_filled_outlined,
    'line_start_square_filled_sharp': line_start_square_filled_sharp,
    'line_start_square_filled': line_start_square_filled,
    'line_start_square_outlined': line_start_square_outlined,
    'line_start_square_sharp': line_start_square_sharp,
    'line_start_square': line_start_square,
    'line_start': line_start,
    'line_style_filled_outlined': line_style_filled_outlined,
    'line_style_filled_sharp': line_style_filled_sharp,
    'line_style_filled': line_style_filled,
    'line_style_outlined': line_style_outlined,
    'line_style_sharp': line_style_sharp,
    'line_style': line_style,
    'line_weight_filled_outlined': line_weight_filled_outlined,
    'line_weight_filled_sharp': line_weight_filled_sharp,
    'line_weight_filled': line_weight_filled,
    'line_weight_outlined': line_weight_outlined,
    'line_weight_sharp': line_weight_sharp,
    'line_weight': line_weight,
    'linear_scale_filled_outlined': linear_scale_filled_outlined,
    'linear_scale_filled_sharp': linear_scale_filled_sharp,
    'linear_scale_filled': linear_scale_filled,
    'linear_scale_outlined': linear_scale_outlined,
    'linear_scale_sharp': linear_scale_sharp,
    'linear_scale': linear_scale,
    'link_filled_outlined': link_filled_outlined,
    'link_filled_sharp': link_filled_sharp,
    'link_filled': link_filled,
    'link_off_filled_outlined': link_off_filled_outlined,
    'link_off_filled_sharp': link_off_filled_sharp,
    'link_off_filled': link_off_filled,
    'link_off_outlined': link_off_outlined,
    'link_off_sharp': link_off_sharp,
    'link_off': link_off,
    'link_outlined': link_outlined,
    'link_sharp': link_sharp,
    'link': link,
    'linked_camera_filled_outlined': linked_camera_filled_outlined,
    'linked_camera_filled_sharp': linked_camera_filled_sharp,
    'linked_camera_filled': linked_camera_filled,
    'linked_camera_outlined': linked_camera_outlined,
    'linked_camera_sharp': linked_camera_sharp,
    'linked_camera': linked_camera,
    'liquor_filled_outlined': liquor_filled_outlined,
    'liquor_filled_sharp': liquor_filled_sharp,
    'liquor_filled': liquor_filled,
    'liquor_outlined': liquor_outlined,
    'liquor_sharp': liquor_sharp,
    'liquor': liquor,
    'list_alt_filled_outlined': list_alt_filled_outlined,
    'list_alt_filled_sharp': list_alt_filled_sharp,
    'list_alt_filled': list_alt_filled,
    'list_alt_outlined': list_alt_outlined,
    'list_alt_sharp': list_alt_sharp,
    'list_alt': list_alt,
    'list_filled_outlined': list_filled_outlined,
    'list_filled_sharp': list_filled_sharp,
    'list_filled': list_filled,
    'list_outlined': list_outlined,
    'list_sharp': list_sharp,
    'list': list,
    'live_help_filled_outlined': live_help_filled_outlined,
    'live_help_filled_sharp': live_help_filled_sharp,
    'live_help_filled': live_help_filled,
    'live_help_outlined': live_help_outlined,
    'live_help_sharp': live_help_sharp,
    'live_help': live_help,
    'live_tv_filled_outlined': live_tv_filled_outlined,
    'live_tv_filled_sharp': live_tv_filled_sharp,
    'live_tv_filled': live_tv_filled,
    'live_tv_outlined': live_tv_outlined,
    'live_tv_sharp': live_tv_sharp,
    'live_tv': live_tv,
    'living_filled_outlined': living_filled_outlined,
    'living_filled_sharp': living_filled_sharp,
    'living_filled': living_filled,
    'living_outlined': living_outlined,
    'living_sharp': living_sharp,
    'living': living,
    'local_activity_filled_outlined': local_activity_filled_outlined,
    'local_activity_filled_sharp': local_activity_filled_sharp,
    'local_activity_filled': local_activity_filled,
    'local_activity_outlined': local_activity_outlined,
    'local_activity_sharp': local_activity_sharp,
    'local_activity': local_activity,
    'local_atm_filled_outlined': local_atm_filled_outlined,
    'local_atm_filled_sharp': local_atm_filled_sharp,
    'local_atm_filled': local_atm_filled,
    'local_atm_outlined': local_atm_outlined,
    'local_atm_sharp': local_atm_sharp,
    'local_atm': local_atm,
    'local_bar_filled_outlined': local_bar_filled_outlined,
    'local_bar_filled_sharp': local_bar_filled_sharp,
    'local_bar_filled': local_bar_filled,
    'local_bar_outlined': local_bar_outlined,
    'local_bar_sharp': local_bar_sharp,
    'local_bar': local_bar,
    'local_cafe_filled_outlined': local_cafe_filled_outlined,
    'local_cafe_filled_sharp': local_cafe_filled_sharp,
    'local_cafe_filled': local_cafe_filled,
    'local_cafe_outlined': local_cafe_outlined,
    'local_cafe_sharp': local_cafe_sharp,
    'local_cafe': local_cafe,
    'local_car_wash_filled_outlined': local_car_wash_filled_outlined,
    'local_car_wash_filled_sharp': local_car_wash_filled_sharp,
    'local_car_wash_filled': local_car_wash_filled,
    'local_car_wash_outlined': local_car_wash_outlined,
    'local_car_wash_sharp': local_car_wash_sharp,
    'local_car_wash': local_car_wash,
    'local_convenience_store_filled_outlined':
        local_convenience_store_filled_outlined,
    'local_convenience_store_filled_sharp':
        local_convenience_store_filled_sharp,
    'local_convenience_store_filled': local_convenience_store_filled,
    'local_convenience_store_outlined': local_convenience_store_outlined,
    'local_convenience_store_sharp': local_convenience_store_sharp,
    'local_convenience_store': local_convenience_store,
    'local_dining_filled_outlined': local_dining_filled_outlined,
    'local_dining_filled_sharp': local_dining_filled_sharp,
    'local_dining_filled': local_dining_filled,
    'local_dining_outlined': local_dining_outlined,
    'local_dining_sharp': local_dining_sharp,
    'local_dining': local_dining,
    'local_drink_filled_outlined': local_drink_filled_outlined,
    'local_drink_filled_sharp': local_drink_filled_sharp,
    'local_drink_filled': local_drink_filled,
    'local_drink_outlined': local_drink_outlined,
    'local_drink_sharp': local_drink_sharp,
    'local_drink': local_drink,
    'local_fire_department_filled_outlined':
        local_fire_department_filled_outlined,
    'local_fire_department_filled_sharp': local_fire_department_filled_sharp,
    'local_fire_department_filled': local_fire_department_filled,
    'local_fire_department_outlined': local_fire_department_outlined,
    'local_fire_department_sharp': local_fire_department_sharp,
    'local_fire_department': local_fire_department,
    'local_florist_filled_outlined': local_florist_filled_outlined,
    'local_florist_filled_sharp': local_florist_filled_sharp,
    'local_florist_filled': local_florist_filled,
    'local_florist_outlined': local_florist_outlined,
    'local_florist_sharp': local_florist_sharp,
    'local_florist': local_florist,
    'local_gas_station_filled_outlined': local_gas_station_filled_outlined,
    'local_gas_station_filled_sharp': local_gas_station_filled_sharp,
    'local_gas_station_filled': local_gas_station_filled,
    'local_gas_station_outlined': local_gas_station_outlined,
    'local_gas_station_sharp': local_gas_station_sharp,
    'local_gas_station': local_gas_station,
    'local_hospital_filled_outlined': local_hospital_filled_outlined,
    'local_hospital_filled_sharp': local_hospital_filled_sharp,
    'local_hospital_filled': local_hospital_filled,
    'local_hospital_outlined': local_hospital_outlined,
    'local_hospital_sharp': local_hospital_sharp,
    'local_hospital': local_hospital,
    'local_laundry_service_filled_outlined':
        local_laundry_service_filled_outlined,
    'local_laundry_service_filled_sharp': local_laundry_service_filled_sharp,
    'local_laundry_service_filled': local_laundry_service_filled,
    'local_laundry_service_outlined': local_laundry_service_outlined,
    'local_laundry_service_sharp': local_laundry_service_sharp,
    'local_laundry_service': local_laundry_service,
    'local_library_filled_outlined': local_library_filled_outlined,
    'local_library_filled_sharp': local_library_filled_sharp,
    'local_library_filled': local_library_filled,
    'local_library_outlined': local_library_outlined,
    'local_library_sharp': local_library_sharp,
    'local_library': local_library,
    'local_mall_filled_outlined': local_mall_filled_outlined,
    'local_mall_filled_sharp': local_mall_filled_sharp,
    'local_mall_filled': local_mall_filled,
    'local_mall_outlined': local_mall_outlined,
    'local_mall_sharp': local_mall_sharp,
    'local_mall': local_mall,
    'local_parking_filled_outlined': local_parking_filled_outlined,
    'local_parking_filled_sharp': local_parking_filled_sharp,
    'local_parking_filled': local_parking_filled,
    'local_parking_outlined': local_parking_outlined,
    'local_parking_sharp': local_parking_sharp,
    'local_parking': local_parking,
    'local_pharmacy_filled_outlined': local_pharmacy_filled_outlined,
    'local_pharmacy_filled_sharp': local_pharmacy_filled_sharp,
    'local_pharmacy_filled': local_pharmacy_filled,
    'local_pharmacy_outlined': local_pharmacy_outlined,
    'local_pharmacy_sharp': local_pharmacy_sharp,
    'local_pharmacy': local_pharmacy,
    'local_pizza_filled_outlined': local_pizza_filled_outlined,
    'local_pizza_filled_sharp': local_pizza_filled_sharp,
    'local_pizza_filled': local_pizza_filled,
    'local_pizza_outlined': local_pizza_outlined,
    'local_pizza_sharp': local_pizza_sharp,
    'local_pizza': local_pizza,
    'local_police_filled_outlined': local_police_filled_outlined,
    'local_police_filled_sharp': local_police_filled_sharp,
    'local_police_filled': local_police_filled,
    'local_police_outlined': local_police_outlined,
    'local_police_sharp': local_police_sharp,
    'local_police': local_police,
    'local_post_office_filled_outlined': local_post_office_filled_outlined,
    'local_post_office_filled_sharp': local_post_office_filled_sharp,
    'local_post_office_filled': local_post_office_filled,
    'local_post_office_outlined': local_post_office_outlined,
    'local_post_office_sharp': local_post_office_sharp,
    'local_post_office': local_post_office,
    'local_see_filled_outlined': local_see_filled_outlined,
    'local_see_filled_sharp': local_see_filled_sharp,
    'local_see_filled': local_see_filled,
    'local_see_outlined': local_see_outlined,
    'local_see_sharp': local_see_sharp,
    'local_see': local_see,
    'local_shipping_filled_outlined': local_shipping_filled_outlined,
    'local_shipping_filled_sharp': local_shipping_filled_sharp,
    'local_shipping_filled': local_shipping_filled,
    'local_shipping_outlined': local_shipping_outlined,
    'local_shipping_sharp': local_shipping_sharp,
    'local_shipping': local_shipping,
    'local_taxi_filled_outlined': local_taxi_filled_outlined,
    'local_taxi_filled_sharp': local_taxi_filled_sharp,
    'local_taxi_filled': local_taxi_filled,
    'local_taxi_outlined': local_taxi_outlined,
    'local_taxi_sharp': local_taxi_sharp,
    'local_taxi': local_taxi,
    'location_automation_filled_outlined': location_automation_filled_outlined,
    'location_automation_filled_sharp': location_automation_filled_sharp,
    'location_automation_filled': location_automation_filled,
    'location_automation_outlined': location_automation_outlined,
    'location_automation_sharp': location_automation_sharp,
    'location_automation': location_automation,
    'location_away_filled_outlined': location_away_filled_outlined,
    'location_away_filled_sharp': location_away_filled_sharp,
    'location_away_filled': location_away_filled,
    'location_away_outlined': location_away_outlined,
    'location_away_sharp': location_away_sharp,
    'location_away': location_away,
    'location_chip_filled_outlined': location_chip_filled_outlined,
    'location_chip_filled_sharp': location_chip_filled_sharp,
    'location_chip_filled': location_chip_filled,
    'location_chip_outlined': location_chip_outlined,
    'location_chip_sharp': location_chip_sharp,
    'location_chip': location_chip,
    'location_city_filled_outlined': location_city_filled_outlined,
    'location_city_filled_sharp': location_city_filled_sharp,
    'location_city_filled': location_city_filled,
    'location_city_outlined': location_city_outlined,
    'location_city_sharp': location_city_sharp,
    'location_city': location_city,
    'location_disabled_filled_outlined': location_disabled_filled_outlined,
    'location_disabled_filled_sharp': location_disabled_filled_sharp,
    'location_disabled_filled': location_disabled_filled,
    'location_disabled_outlined': location_disabled_outlined,
    'location_disabled_sharp': location_disabled_sharp,
    'location_disabled': location_disabled,
    'location_home_filled_outlined': location_home_filled_outlined,
    'location_home_filled_sharp': location_home_filled_sharp,
    'location_home_filled': location_home_filled,
    'location_home_outlined': location_home_outlined,
    'location_home_sharp': location_home_sharp,
    'location_home': location_home,
    'location_off_filled_outlined': location_off_filled_outlined,
    'location_off_filled_sharp': location_off_filled_sharp,
    'location_off_filled': location_off_filled,
    'location_off_outlined': location_off_outlined,
    'location_off_sharp': location_off_sharp,
    'location_off': location_off,
    'location_on_filled_outlined': location_on_filled_outlined,
    'location_on_filled_sharp': location_on_filled_sharp,
    'location_on_filled': location_on_filled,
    'location_on_outlined': location_on_outlined,
    'location_on_sharp': location_on_sharp,
    'location_on': location_on,
    'location_searching_filled_outlined': location_searching_filled_outlined,
    'location_searching_filled_sharp': location_searching_filled_sharp,
    'location_searching_filled': location_searching_filled,
    'location_searching_outlined': location_searching_outlined,
    'location_searching_sharp': location_searching_sharp,
    'location_searching': location_searching,
    'lock_clock_filled_outlined': lock_clock_filled_outlined,
    'lock_clock_filled_sharp': lock_clock_filled_sharp,
    'lock_clock_filled': lock_clock_filled,
    'lock_clock_outlined': lock_clock_outlined,
    'lock_clock_sharp': lock_clock_sharp,
    'lock_clock': lock_clock,
    'lock_filled_outlined': lock_filled_outlined,
    'lock_filled_sharp': lock_filled_sharp,
    'lock_filled': lock_filled,
    'lock_open_filled_outlined': lock_open_filled_outlined,
    'lock_open_filled_sharp': lock_open_filled_sharp,
    'lock_open_filled': lock_open_filled,
    'lock_open_outlined': lock_open_outlined,
    'lock_open_sharp': lock_open_sharp,
    'lock_open': lock_open,
    'lock_outlined': lock_outlined,
    'lock_person_filled_outlined': lock_person_filled_outlined,
    'lock_person_filled_sharp': lock_person_filled_sharp,
    'lock_person_filled': lock_person_filled,
    'lock_person_outlined': lock_person_outlined,
    'lock_person_sharp': lock_person_sharp,
    'lock_person': lock_person,
    'lock_reset_filled_outlined': lock_reset_filled_outlined,
    'lock_reset_filled_sharp': lock_reset_filled_sharp,
    'lock_reset_filled': lock_reset_filled,
    'lock_reset_outlined': lock_reset_outlined,
    'lock_reset_sharp': lock_reset_sharp,
    'lock_reset': lock_reset,
    'lock_sharp': lock_sharp,
    'lock': lock,
    'login_filled_outlined': login_filled_outlined,
    'login_filled_sharp': login_filled_sharp,
    'login_filled': login_filled,
    'login_outlined': login_outlined,
    'login_sharp': login_sharp,
    'login': login,
    'logo_dev_filled_outlined': logo_dev_filled_outlined,
    'logo_dev_filled_sharp': logo_dev_filled_sharp,
    'logo_dev_filled': logo_dev_filled,
    'logo_dev_outlined': logo_dev_outlined,
    'logo_dev_sharp': logo_dev_sharp,
    'logo_dev': logo_dev,
    'logout_filled_outlined': logout_filled_outlined,
    'logout_filled_sharp': logout_filled_sharp,
    'logout_filled': logout_filled,
    'logout_outlined': logout_outlined,
    'logout_sharp': logout_sharp,
    'logout': logout,
    'looks_3_filled_outlined': looks_3_filled_outlined,
    'looks_3_filled_sharp': looks_3_filled_sharp,
    'looks_3_filled': looks_3_filled,
    'looks_3_outlined': looks_3_outlined,
    'looks_3_sharp': looks_3_sharp,
    'looks_3': looks_3,
    'looks_4_filled_outlined': looks_4_filled_outlined,
    'looks_4_filled_sharp': looks_4_filled_sharp,
    'looks_4_filled': looks_4_filled,
    'looks_4_outlined': looks_4_outlined,
    'looks_4_sharp': looks_4_sharp,
    'looks_4': looks_4,
    'looks_5_filled_outlined': looks_5_filled_outlined,
    'looks_5_filled_sharp': looks_5_filled_sharp,
    'looks_5_filled': looks_5_filled,
    'looks_5_outlined': looks_5_outlined,
    'looks_5_sharp': looks_5_sharp,
    'looks_5': looks_5,
    'looks_6_filled_outlined': looks_6_filled_outlined,
    'looks_6_filled_sharp': looks_6_filled_sharp,
    'looks_6_filled': looks_6_filled,
    'looks_6_outlined': looks_6_outlined,
    'looks_6_sharp': looks_6_sharp,
    'looks_6': looks_6,
    'looks_filled_outlined': looks_filled_outlined,
    'looks_filled_sharp': looks_filled_sharp,
    'looks_filled': looks_filled,
    'looks_one_filled_outlined': looks_one_filled_outlined,
    'looks_one_filled_sharp': looks_one_filled_sharp,
    'looks_one_filled': looks_one_filled,
    'looks_one_outlined': looks_one_outlined,
    'looks_one_sharp': looks_one_sharp,
    'looks_one': looks_one,
    'looks_outlined': looks_outlined,
    'looks_sharp': looks_sharp,
    'looks_two_filled_outlined': looks_two_filled_outlined,
    'looks_two_filled_sharp': looks_two_filled_sharp,
    'looks_two_filled': looks_two_filled,
    'looks_two_outlined': looks_two_outlined,
    'looks_two_sharp': looks_two_sharp,
    'looks_two': looks_two,
    'looks': looks,
    'loupe_filled_outlined': loupe_filled_outlined,
    'loupe_filled_sharp': loupe_filled_sharp,
    'loupe_filled': loupe_filled,
    'loupe_outlined': loupe_outlined,
    'loupe_sharp': loupe_sharp,
    'loupe': loupe,
    'low_priority_filled_outlined': low_priority_filled_outlined,
    'low_priority_filled_sharp': low_priority_filled_sharp,
    'low_priority_filled': low_priority_filled,
    'low_priority_outlined': low_priority_outlined,
    'low_priority_sharp': low_priority_sharp,
    'low_priority': low_priority,
    'loyalty_filled_outlined': loyalty_filled_outlined,
    'loyalty_filled_sharp': loyalty_filled_sharp,
    'loyalty_filled': loyalty_filled,
    'loyalty_outlined': loyalty_outlined,
    'loyalty_sharp': loyalty_sharp,
    'loyalty': loyalty,
    'lte_mobiledata_filled_outlined': lte_mobiledata_filled_outlined,
    'lte_mobiledata_filled_sharp': lte_mobiledata_filled_sharp,
    'lte_mobiledata_filled': lte_mobiledata_filled,
    'lte_mobiledata_outlined': lte_mobiledata_outlined,
    'lte_mobiledata_sharp': lte_mobiledata_sharp,
    'lte_mobiledata': lte_mobiledata,
    'lte_plus_mobiledata_filled_outlined': lte_plus_mobiledata_filled_outlined,
    'lte_plus_mobiledata_filled_sharp': lte_plus_mobiledata_filled_sharp,
    'lte_plus_mobiledata_filled': lte_plus_mobiledata_filled,
    'lte_plus_mobiledata_outlined': lte_plus_mobiledata_outlined,
    'lte_plus_mobiledata_sharp': lte_plus_mobiledata_sharp,
    'lte_plus_mobiledata': lte_plus_mobiledata,
    'luggage_filled_outlined': luggage_filled_outlined,
    'luggage_filled_sharp': luggage_filled_sharp,
    'luggage_filled': luggage_filled,
    'luggage_outlined': luggage_outlined,
    'luggage_sharp': luggage_sharp,
    'luggage': luggage,
    'lunch_dining_filled_outlined': lunch_dining_filled_outlined,
    'lunch_dining_filled_sharp': lunch_dining_filled_sharp,
    'lunch_dining_filled': lunch_dining_filled,
    'lunch_dining_outlined': lunch_dining_outlined,
    'lunch_dining_sharp': lunch_dining_sharp,
    'lunch_dining': lunch_dining,
    'lyrics_filled_outlined': lyrics_filled_outlined,
    'lyrics_filled_sharp': lyrics_filled_sharp,
    'lyrics_filled': lyrics_filled,
    'lyrics_outlined': lyrics_outlined,
    'lyrics_sharp': lyrics_sharp,
    'lyrics': lyrics,
    'macro_off_filled_outlined': macro_off_filled_outlined,
    'macro_off_filled_sharp': macro_off_filled_sharp,
    'macro_off_filled': macro_off_filled,
    'macro_off_outlined': macro_off_outlined,
    'macro_off_sharp': macro_off_sharp,
    'macro_off': macro_off,
    'magic_button_filled_outlined': magic_button_filled_outlined,
    'magic_button_filled_sharp': magic_button_filled_sharp,
    'magic_button_filled': magic_button_filled,
    'magic_button_outlined': magic_button_outlined,
    'magic_button_sharp': magic_button_sharp,
    'magic_button': magic_button,
    'magnification_large_filled_outlined': magnification_large_filled_outlined,
    'magnification_large_filled_sharp': magnification_large_filled_sharp,
    'magnification_large_filled': magnification_large_filled,
    'magnification_large_outlined': magnification_large_outlined,
    'magnification_large_sharp': magnification_large_sharp,
    'magnification_large': magnification_large,
    'magnification_small_filled_outlined': magnification_small_filled_outlined,
    'magnification_small_filled_sharp': magnification_small_filled_sharp,
    'magnification_small_filled': magnification_small_filled,
    'magnification_small_outlined': magnification_small_outlined,
    'magnification_small_sharp': magnification_small_sharp,
    'magnification_small': magnification_small,
    'mail_filled_outlined': mail_filled_outlined,
    'mail_filled_sharp': mail_filled_sharp,
    'mail_filled': mail_filled,
    'mail_lock_filled_outlined': mail_lock_filled_outlined,
    'mail_lock_filled_sharp': mail_lock_filled_sharp,
    'mail_lock_filled': mail_lock_filled,
    'mail_lock_outlined': mail_lock_outlined,
    'mail_lock_sharp': mail_lock_sharp,
    'mail_lock': mail_lock,
    'mail_outlined': mail_outlined,
    'mail_sharp': mail_sharp,
    'mail': mail,
    'male_filled_outlined': male_filled_outlined,
    'male_filled_sharp': male_filled_sharp,
    'male_filled': male_filled,
    'male_outlined': male_outlined,
    'male_sharp': male_sharp,
    'male': male,
    'man_2_filled_outlined': man_2_filled_outlined,
    'man_2_filled_sharp': man_2_filled_sharp,
    'man_2_filled': man_2_filled,
    'man_2_outlined': man_2_outlined,
    'man_2_sharp': man_2_sharp,
    'man_2': man_2,
    'man_3_filled_outlined': man_3_filled_outlined,
    'man_3_filled_sharp': man_3_filled_sharp,
    'man_3_filled': man_3_filled,
    'man_3_outlined': man_3_outlined,
    'man_3_sharp': man_3_sharp,
    'man_3': man_3,
    'man_4_filled_outlined': man_4_filled_outlined,
    'man_4_filled_sharp': man_4_filled_sharp,
    'man_4_filled': man_4_filled,
    'man_4_outlined': man_4_outlined,
    'man_4_sharp': man_4_sharp,
    'man_4': man_4,
    'man_filled_outlined': man_filled_outlined,
    'man_filled_sharp': man_filled_sharp,
    'man_filled': man_filled,
    'man_outlined': man_outlined,
    'man_sharp': man_sharp,
    'man': man,
    'manage_accounts_filled_outlined': manage_accounts_filled_outlined,
    'manage_accounts_filled_sharp': manage_accounts_filled_sharp,
    'manage_accounts_filled': manage_accounts_filled,
    'manage_accounts_outlined': manage_accounts_outlined,
    'manage_accounts_sharp': manage_accounts_sharp,
    'manage_accounts': manage_accounts,
    'manage_history_filled_outlined': manage_history_filled_outlined,
    'manage_history_filled_sharp': manage_history_filled_sharp,
    'manage_history_filled': manage_history_filled,
    'manage_history_outlined': manage_history_outlined,
    'manage_history_sharp': manage_history_sharp,
    'manage_history': manage_history,
    'manage_search_filled_outlined': manage_search_filled_outlined,
    'manage_search_filled_sharp': manage_search_filled_sharp,
    'manage_search_filled': manage_search_filled,
    'manage_search_outlined': manage_search_outlined,
    'manage_search_sharp': manage_search_sharp,
    'manage_search': manage_search,
    'map_filled_outlined': map_filled_outlined,
    'map_filled_sharp': map_filled_sharp,
    'map_filled': map_filled,
    'map_outlined': map_outlined,
    'map_sharp': map_sharp,
    'map': map,
    'maps_ugc_filled_outlined': maps_ugc_filled_outlined,
    'maps_ugc_filled_sharp': maps_ugc_filled_sharp,
    'maps_ugc_filled': maps_ugc_filled,
    'maps_ugc_outlined': maps_ugc_outlined,
    'maps_ugc_sharp': maps_ugc_sharp,
    'maps_ugc': maps_ugc,
    'margin_filled_outlined': margin_filled_outlined,
    'margin_filled_sharp': margin_filled_sharp,
    'margin_filled': margin_filled,
    'margin_outlined': margin_outlined,
    'margin_sharp': margin_sharp,
    'margin': margin,
    'mark_as_unread_filled_outlined': mark_as_unread_filled_outlined,
    'mark_as_unread_filled_sharp': mark_as_unread_filled_sharp,
    'mark_as_unread_filled': mark_as_unread_filled,
    'mark_as_unread_outlined': mark_as_unread_outlined,
    'mark_as_unread_sharp': mark_as_unread_sharp,
    'mark_as_unread': mark_as_unread,
    'mark_chat_read_filled_outlined': mark_chat_read_filled_outlined,
    'mark_chat_read_filled_sharp': mark_chat_read_filled_sharp,
    'mark_chat_read_filled': mark_chat_read_filled,
    'mark_chat_read_outlined': mark_chat_read_outlined,
    'mark_chat_read_sharp': mark_chat_read_sharp,
    'mark_chat_read': mark_chat_read,
    'mark_chat_unread_filled_outlined': mark_chat_unread_filled_outlined,
    'mark_chat_unread_filled_sharp': mark_chat_unread_filled_sharp,
    'mark_chat_unread_filled': mark_chat_unread_filled,
    'mark_chat_unread_outlined': mark_chat_unread_outlined,
    'mark_chat_unread_sharp': mark_chat_unread_sharp,
    'mark_chat_unread': mark_chat_unread,
    'mark_email_read_filled_outlined': mark_email_read_filled_outlined,
    'mark_email_read_filled_sharp': mark_email_read_filled_sharp,
    'mark_email_read_filled': mark_email_read_filled,
    'mark_email_read_outlined': mark_email_read_outlined,
    'mark_email_read_sharp': mark_email_read_sharp,
    'mark_email_read': mark_email_read,
    'mark_email_unread_filled_outlined': mark_email_unread_filled_outlined,
    'mark_email_unread_filled_sharp': mark_email_unread_filled_sharp,
    'mark_email_unread_filled': mark_email_unread_filled,
    'mark_email_unread_outlined': mark_email_unread_outlined,
    'mark_email_unread_sharp': mark_email_unread_sharp,
    'mark_email_unread': mark_email_unread,
    'mark_unread_chat_alt_filled_outlined':
        mark_unread_chat_alt_filled_outlined,
    'mark_unread_chat_alt_filled_sharp': mark_unread_chat_alt_filled_sharp,
    'mark_unread_chat_alt_filled': mark_unread_chat_alt_filled,
    'mark_unread_chat_alt_outlined': mark_unread_chat_alt_outlined,
    'mark_unread_chat_alt_sharp': mark_unread_chat_alt_sharp,
    'mark_unread_chat_alt': mark_unread_chat_alt,
    'markunread_mailbox_filled_outlined': markunread_mailbox_filled_outlined,
    'markunread_mailbox_filled_sharp': markunread_mailbox_filled_sharp,
    'markunread_mailbox_filled': markunread_mailbox_filled,
    'markunread_mailbox_outlined': markunread_mailbox_outlined,
    'markunread_mailbox_sharp': markunread_mailbox_sharp,
    'markunread_mailbox': markunread_mailbox,
    'masks_filled_outlined': masks_filled_outlined,
    'masks_filled_sharp': masks_filled_sharp,
    'masks_filled': masks_filled,
    'masks_outlined': masks_outlined,
    'masks_sharp': masks_sharp,
    'masks': masks,
    'matter_filled_outlined': matter_filled_outlined,
    'matter_filled_sharp': matter_filled_sharp,
    'matter_filled': matter_filled,
    'matter_outlined': matter_outlined,
    'matter_sharp': matter_sharp,
    'matter': matter,
    'maximize_filled_outlined': maximize_filled_outlined,
    'maximize_filled_sharp': maximize_filled_sharp,
    'maximize_filled': maximize_filled,
    'maximize_outlined': maximize_outlined,
    'maximize_sharp': maximize_sharp,
    'maximize': maximize,
    'media_bluetooth_off_filled_outlined': media_bluetooth_off_filled_outlined,
    'media_bluetooth_off_filled_sharp': media_bluetooth_off_filled_sharp,
    'media_bluetooth_off_filled': media_bluetooth_off_filled,
    'media_bluetooth_off_outlined': media_bluetooth_off_outlined,
    'media_bluetooth_off_sharp': media_bluetooth_off_sharp,
    'media_bluetooth_off': media_bluetooth_off,
    'media_bluetooth_on_filled_outlined': media_bluetooth_on_filled_outlined,
    'media_bluetooth_on_filled_sharp': media_bluetooth_on_filled_sharp,
    'media_bluetooth_on_filled': media_bluetooth_on_filled,
    'media_bluetooth_on_outlined': media_bluetooth_on_outlined,
    'media_bluetooth_on_sharp': media_bluetooth_on_sharp,
    'media_bluetooth_on': media_bluetooth_on,
    'media_link_filled_outlined': media_link_filled_outlined,
    'media_link_filled_sharp': media_link_filled_sharp,
    'media_link_filled': media_link_filled,
    'media_link_outlined': media_link_outlined,
    'media_link_sharp': media_link_sharp,
    'media_link': media_link,
    'mediation_filled_outlined': mediation_filled_outlined,
    'mediation_filled_sharp': mediation_filled_sharp,
    'mediation_filled': mediation_filled,
    'mediation_outlined': mediation_outlined,
    'mediation_sharp': mediation_sharp,
    'mediation': mediation,
    'medical_information_filled_outlined': medical_information_filled_outlined,
    'medical_information_filled_sharp': medical_information_filled_sharp,
    'medical_information_filled': medical_information_filled,
    'medical_information_outlined': medical_information_outlined,
    'medical_information_sharp': medical_information_sharp,
    'medical_information': medical_information,
    'medical_mask_filled_outlined': medical_mask_filled_outlined,
    'medical_mask_filled_sharp': medical_mask_filled_sharp,
    'medical_mask_filled': medical_mask_filled,
    'medical_mask_outlined': medical_mask_outlined,
    'medical_mask_sharp': medical_mask_sharp,
    'medical_mask': medical_mask,
    'medical_services_filled_outlined': medical_services_filled_outlined,
    'medical_services_filled_sharp': medical_services_filled_sharp,
    'medical_services_filled': medical_services_filled,
    'medical_services_outlined': medical_services_outlined,
    'medical_services_sharp': medical_services_sharp,
    'medical_services': medical_services,
    'medication_filled_outlined': medication_filled_outlined,
    'medication_filled_sharp': medication_filled_sharp,
    'medication_filled': medication_filled,
    'medication_liquid_filled_outlined': medication_liquid_filled_outlined,
    'medication_liquid_filled_sharp': medication_liquid_filled_sharp,
    'medication_liquid_filled': medication_liquid_filled,
    'medication_liquid_outlined': medication_liquid_outlined,
    'medication_liquid_sharp': medication_liquid_sharp,
    'medication_liquid': medication_liquid,
    'medication_outlined': medication_outlined,
    'medication_sharp': medication_sharp,
    'medication': medication,
    'meeting_room_filled_outlined': meeting_room_filled_outlined,
    'meeting_room_filled_sharp': meeting_room_filled_sharp,
    'meeting_room_filled': meeting_room_filled,
    'meeting_room_outlined': meeting_room_outlined,
    'meeting_room_sharp': meeting_room_sharp,
    'meeting_room': meeting_room,
    'memory_filled_outlined': memory_filled_outlined,
    'memory_filled_sharp': memory_filled_sharp,
    'memory_filled': memory_filled,
    'memory_outlined': memory_outlined,
    'memory_sharp': memory_sharp,
    'memory': memory,
    'menu_book_filled_outlined': menu_book_filled_outlined,
    'menu_book_filled_sharp': menu_book_filled_sharp,
    'menu_book_filled': menu_book_filled,
    'menu_book_outlined': menu_book_outlined,
    'menu_book_sharp': menu_book_sharp,
    'menu_book': menu_book,
    'menu_filled_outlined': menu_filled_outlined,
    'menu_filled_sharp': menu_filled_sharp,
    'menu_filled': menu_filled,
    'menu_open_filled_outlined': menu_open_filled_outlined,
    'menu_open_filled_sharp': menu_open_filled_sharp,
    'menu_open_filled': menu_open_filled,
    'menu_open_outlined': menu_open_outlined,
    'menu_open_sharp': menu_open_sharp,
    'menu_open': menu_open,
    'menu_outlined': menu_outlined,
    'menu_sharp': menu_sharp,
    'menu': menu,
    'merge_filled_outlined': merge_filled_outlined,
    'merge_filled_sharp': merge_filled_sharp,
    'merge_filled': merge_filled,
    'merge_outlined': merge_outlined,
    'merge_sharp': merge_sharp,
    'merge_type_filled_outlined': merge_type_filled_outlined,
    'merge_type_filled_sharp': merge_type_filled_sharp,
    'merge_type_filled': merge_type_filled,
    'merge_type_outlined': merge_type_outlined,
    'merge_type_sharp': merge_type_sharp,
    'merge_type': merge_type,
    'merge': merge,
    'mfg_nest_yale_lock_filled_outlined': mfg_nest_yale_lock_filled_outlined,
    'mfg_nest_yale_lock_filled_sharp': mfg_nest_yale_lock_filled_sharp,
    'mfg_nest_yale_lock_filled': mfg_nest_yale_lock_filled,
    'mfg_nest_yale_lock_outlined': mfg_nest_yale_lock_outlined,
    'mfg_nest_yale_lock_sharp': mfg_nest_yale_lock_sharp,
    'mfg_nest_yale_lock': mfg_nest_yale_lock,
    'mic_external_off_filled_outlined': mic_external_off_filled_outlined,
    'mic_external_off_filled_sharp': mic_external_off_filled_sharp,
    'mic_external_off_filled': mic_external_off_filled,
    'mic_external_off_outlined': mic_external_off_outlined,
    'mic_external_off_sharp': mic_external_off_sharp,
    'mic_external_off': mic_external_off,
    'mic_external_on_filled_outlined': mic_external_on_filled_outlined,
    'mic_external_on_filled_sharp': mic_external_on_filled_sharp,
    'mic_external_on_filled': mic_external_on_filled,
    'mic_external_on_outlined': mic_external_on_outlined,
    'mic_external_on_sharp': mic_external_on_sharp,
    'mic_external_on': mic_external_on,
    'mic_filled_outlined': mic_filled_outlined,
    'mic_filled_sharp': mic_filled_sharp,
    'mic_filled': mic_filled,
    'mic_off_filled_outlined': mic_off_filled_outlined,
    'mic_off_filled_sharp': mic_off_filled_sharp,
    'mic_off_filled': mic_off_filled,
    'mic_off_outlined': mic_off_outlined,
    'mic_off_sharp': mic_off_sharp,
    'mic_off': mic_off,
    'mic_outlined': mic_outlined,
    'mic_sharp': mic_sharp,
    'mic': mic,
    'microbiology_filled_outlined': microbiology_filled_outlined,
    'microbiology_filled_sharp': microbiology_filled_sharp,
    'microbiology_filled': microbiology_filled,
    'microbiology_outlined': microbiology_outlined,
    'microbiology_sharp': microbiology_sharp,
    'microbiology': microbiology,
    'microwave_filled_outlined': microwave_filled_outlined,
    'microwave_filled_sharp': microwave_filled_sharp,
    'microwave_filled': microwave_filled,
    'microwave_gen_filled_outlined': microwave_gen_filled_outlined,
    'microwave_gen_filled_sharp': microwave_gen_filled_sharp,
    'microwave_gen_filled': microwave_gen_filled,
    'microwave_gen_outlined': microwave_gen_outlined,
    'microwave_gen_sharp': microwave_gen_sharp,
    'microwave_gen': microwave_gen,
    'microwave_outlined': microwave_outlined,
    'microwave_sharp': microwave_sharp,
    'microwave': microwave,
    'military_tech_filled_outlined': military_tech_filled_outlined,
    'military_tech_filled_sharp': military_tech_filled_sharp,
    'military_tech_filled': military_tech_filled,
    'military_tech_outlined': military_tech_outlined,
    'military_tech_sharp': military_tech_sharp,
    'military_tech': military_tech,
    'minimize_filled_outlined': minimize_filled_outlined,
    'minimize_filled_sharp': minimize_filled_sharp,
    'minimize_filled': minimize_filled,
    'minimize_outlined': minimize_outlined,
    'minimize_sharp': minimize_sharp,
    'minimize': minimize,
    'minor_crash_filled_outlined': minor_crash_filled_outlined,
    'minor_crash_filled_sharp': minor_crash_filled_sharp,
    'minor_crash_filled': minor_crash_filled,
    'minor_crash_outlined': minor_crash_outlined,
    'minor_crash_sharp': minor_crash_sharp,
    'minor_crash': minor_crash,
    'missed_video_call_filled_outlined': missed_video_call_filled_outlined,
    'missed_video_call_filled_sharp': missed_video_call_filled_sharp,
    'missed_video_call_filled': missed_video_call_filled,
    'missed_video_call_outlined': missed_video_call_outlined,
    'missed_video_call_sharp': missed_video_call_sharp,
    'missed_video_call': missed_video_call,
    'mixture_med_filled_outlined': mixture_med_filled_outlined,
    'mixture_med_filled_sharp': mixture_med_filled_sharp,
    'mixture_med_filled': mixture_med_filled,
    'mixture_med_outlined': mixture_med_outlined,
    'mixture_med_sharp': mixture_med_sharp,
    'mixture_med': mixture_med,
    'mms_filled_outlined': mms_filled_outlined,
    'mms_filled_sharp': mms_filled_sharp,
    'mms_filled': mms_filled,
    'mms_outlined': mms_outlined,
    'mms_sharp': mms_sharp,
    'mms': mms,
    'mobile_friendly_filled_outlined': mobile_friendly_filled_outlined,
    'mobile_friendly_filled_sharp': mobile_friendly_filled_sharp,
    'mobile_friendly_filled': mobile_friendly_filled,
    'mobile_friendly_outlined': mobile_friendly_outlined,
    'mobile_friendly_sharp': mobile_friendly_sharp,
    'mobile_friendly': mobile_friendly,
    'mobile_off_filled_outlined': mobile_off_filled_outlined,
    'mobile_off_filled_sharp': mobile_off_filled_sharp,
    'mobile_off_filled': mobile_off_filled,
    'mobile_off_outlined': mobile_off_outlined,
    'mobile_off_sharp': mobile_off_sharp,
    'mobile_off': mobile_off,
    'mobile_screen_share_filled_outlined': mobile_screen_share_filled_outlined,
    'mobile_screen_share_filled_sharp': mobile_screen_share_filled_sharp,
    'mobile_screen_share_filled': mobile_screen_share_filled,
    'mobile_screen_share_outlined': mobile_screen_share_outlined,
    'mobile_screen_share_sharp': mobile_screen_share_sharp,
    'mobile_screen_share': mobile_screen_share,
    'mobiledata_off_filled_outlined': mobiledata_off_filled_outlined,
    'mobiledata_off_filled_sharp': mobiledata_off_filled_sharp,
    'mobiledata_off_filled': mobiledata_off_filled,
    'mobiledata_off_outlined': mobiledata_off_outlined,
    'mobiledata_off_sharp': mobiledata_off_sharp,
    'mobiledata_off': mobiledata_off,
    'mode_comment_filled_outlined': mode_comment_filled_outlined,
    'mode_comment_filled_sharp': mode_comment_filled_sharp,
    'mode_comment_filled': mode_comment_filled,
    'mode_comment_outlined': mode_comment_outlined,
    'mode_comment_sharp': mode_comment_sharp,
    'mode_comment': mode_comment,
    'mode_cool_filled_outlined': mode_cool_filled_outlined,
    'mode_cool_filled_sharp': mode_cool_filled_sharp,
    'mode_cool_filled': mode_cool_filled,
    'mode_cool_off_filled_outlined': mode_cool_off_filled_outlined,
    'mode_cool_off_filled_sharp': mode_cool_off_filled_sharp,
    'mode_cool_off_filled': mode_cool_off_filled,
    'mode_cool_off_outlined': mode_cool_off_outlined,
    'mode_cool_off_sharp': mode_cool_off_sharp,
    'mode_cool_off': mode_cool_off,
    'mode_cool_outlined': mode_cool_outlined,
    'mode_cool_sharp': mode_cool_sharp,
    'mode_cool': mode_cool,
    'mode_fan_filled_outlined': mode_fan_filled_outlined,
    'mode_fan_filled_sharp': mode_fan_filled_sharp,
    'mode_fan_filled': mode_fan_filled,
    'mode_fan_off_filled_outlined': mode_fan_off_filled_outlined,
    'mode_fan_off_filled_sharp': mode_fan_off_filled_sharp,
    'mode_fan_off_filled': mode_fan_off_filled,
    'mode_fan_off_outlined': mode_fan_off_outlined,
    'mode_fan_off_sharp': mode_fan_off_sharp,
    'mode_fan_off': mode_fan_off,
    'mode_fan_outlined': mode_fan_outlined,
    'mode_fan_sharp': mode_fan_sharp,
    'mode_fan': mode_fan,
    'mode_heat_cool_filled_outlined': mode_heat_cool_filled_outlined,
    'mode_heat_cool_filled_sharp': mode_heat_cool_filled_sharp,
    'mode_heat_cool_filled': mode_heat_cool_filled,
    'mode_heat_cool_outlined': mode_heat_cool_outlined,
    'mode_heat_cool_sharp': mode_heat_cool_sharp,
    'mode_heat_cool': mode_heat_cool,
    'mode_heat_filled_outlined': mode_heat_filled_outlined,
    'mode_heat_filled_sharp': mode_heat_filled_sharp,
    'mode_heat_filled': mode_heat_filled,
    'mode_heat_off_filled_outlined': mode_heat_off_filled_outlined,
    'mode_heat_off_filled_sharp': mode_heat_off_filled_sharp,
    'mode_heat_off_filled': mode_heat_off_filled,
    'mode_heat_off_outlined': mode_heat_off_outlined,
    'mode_heat_off_sharp': mode_heat_off_sharp,
    'mode_heat_off': mode_heat_off,
    'mode_heat_outlined': mode_heat_outlined,
    'mode_heat_sharp': mode_heat_sharp,
    'mode_heat': mode_heat,
    'mode_night_filled_outlined': mode_night_filled_outlined,
    'mode_night_filled_sharp': mode_night_filled_sharp,
    'mode_night_filled': mode_night_filled,
    'mode_night_outlined': mode_night_outlined,
    'mode_night_sharp': mode_night_sharp,
    'mode_night': mode_night,
    'mode_of_travel_filled_outlined': mode_of_travel_filled_outlined,
    'mode_of_travel_filled_sharp': mode_of_travel_filled_sharp,
    'mode_of_travel_filled': mode_of_travel_filled,
    'mode_of_travel_outlined': mode_of_travel_outlined,
    'mode_of_travel_sharp': mode_of_travel_sharp,
    'mode_of_travel': mode_of_travel,
    'mode_off_on_filled_outlined': mode_off_on_filled_outlined,
    'mode_off_on_filled_sharp': mode_off_on_filled_sharp,
    'mode_off_on_filled': mode_off_on_filled,
    'mode_off_on_outlined': mode_off_on_outlined,
    'mode_off_on_sharp': mode_off_on_sharp,
    'mode_off_on': mode_off_on,
    'mode_standby_filled_outlined': mode_standby_filled_outlined,
    'mode_standby_filled_sharp': mode_standby_filled_sharp,
    'mode_standby_filled': mode_standby_filled,
    'mode_standby_outlined': mode_standby_outlined,
    'mode_standby_sharp': mode_standby_sharp,
    'mode_standby': mode_standby,
    'model_training_filled_outlined': model_training_filled_outlined,
    'model_training_filled_sharp': model_training_filled_sharp,
    'model_training_filled': model_training_filled,
    'model_training_outlined': model_training_outlined,
    'model_training_sharp': model_training_sharp,
    'model_training': model_training,
    'monetization_on_filled_outlined': monetization_on_filled_outlined,
    'monetization_on_filled_sharp': monetization_on_filled_sharp,
    'monetization_on_filled': monetization_on_filled,
    'monetization_on_outlined': monetization_on_outlined,
    'monetization_on_sharp': monetization_on_sharp,
    'monetization_on': monetization_on,
    'money_filled_outlined': money_filled_outlined,
    'money_filled_sharp': money_filled_sharp,
    'money_filled': money_filled,
    'money_off_filled_outlined': money_off_filled_outlined,
    'money_off_filled_sharp': money_off_filled_sharp,
    'money_off_filled': money_off_filled,
    'money_off_outlined': money_off_outlined,
    'money_off_sharp': money_off_sharp,
    'money_off': money_off,
    'money_outlined': money_outlined,
    'money_sharp': money_sharp,
    'money': money,
    'monitor_filled_outlined': monitor_filled_outlined,
    'monitor_filled_sharp': monitor_filled_sharp,
    'monitor_filled': monitor_filled,
    'monitor_heart_filled_outlined': monitor_heart_filled_outlined,
    'monitor_heart_filled_sharp': monitor_heart_filled_sharp,
    'monitor_heart_filled': monitor_heart_filled,
    'monitor_heart_outlined': monitor_heart_outlined,
    'monitor_heart_sharp': monitor_heart_sharp,
    'monitor_heart': monitor_heart,
    'monitor_outlined': monitor_outlined,
    'monitor_sharp': monitor_sharp,
    'monitor_weight_filled_outlined': monitor_weight_filled_outlined,
    'monitor_weight_filled_sharp': monitor_weight_filled_sharp,
    'monitor_weight_filled': monitor_weight_filled,
    'monitor_weight_outlined': monitor_weight_outlined,
    'monitor_weight_sharp': monitor_weight_sharp,
    'monitor_weight': monitor_weight,
    'monitor': monitor,
    'monitoring_filled_outlined': monitoring_filled_outlined,
    'monitoring_filled_sharp': monitoring_filled_sharp,
    'monitoring_filled': monitoring_filled,
    'monitoring_outlined': monitoring_outlined,
    'monitoring_sharp': monitoring_sharp,
    'monitoring': monitoring,
    'monochrome_photos_filled_outlined': monochrome_photos_filled_outlined,
    'monochrome_photos_filled_sharp': monochrome_photos_filled_sharp,
    'monochrome_photos_filled': monochrome_photos_filled,
    'monochrome_photos_outlined': monochrome_photos_outlined,
    'monochrome_photos_sharp': monochrome_photos_sharp,
    'monochrome_photos': monochrome_photos,
    'mood_bad_filled_outlined': mood_bad_filled_outlined,
    'mood_bad_filled_sharp': mood_bad_filled_sharp,
    'mood_bad_filled': mood_bad_filled,
    'mood_bad_outlined': mood_bad_outlined,
    'mood_bad_sharp': mood_bad_sharp,
    'mood_bad': mood_bad,
    'mood_filled_outlined': mood_filled_outlined,
    'mood_filled_sharp': mood_filled_sharp,
    'mood_filled': mood_filled,
    'mood_outlined': mood_outlined,
    'mood_sharp': mood_sharp,
    'mood': mood,
    'mop_filled_outlined': mop_filled_outlined,
    'mop_filled_sharp': mop_filled_sharp,
    'mop_filled': mop_filled,
    'mop_outlined': mop_outlined,
    'mop_sharp': mop_sharp,
    'mop': mop,
    'more_down_filled_outlined': more_down_filled_outlined,
    'more_down_filled_sharp': more_down_filled_sharp,
    'more_down_filled': more_down_filled,
    'more_down_outlined': more_down_outlined,
    'more_down_sharp': more_down_sharp,
    'more_down': more_down,
    'more_filled_outlined': more_filled_outlined,
    'more_filled_sharp': more_filled_sharp,
    'more_filled': more_filled,
    'more_horiz_filled_outlined': more_horiz_filled_outlined,
    'more_horiz_filled_sharp': more_horiz_filled_sharp,
    'more_horiz_filled': more_horiz_filled,
    'more_horiz_outlined': more_horiz_outlined,
    'more_horiz_sharp': more_horiz_sharp,
    'more_horiz': more_horiz,
    'more_outlined': more_outlined,
    'more_sharp': more_sharp,
    'more_time_filled_outlined': more_time_filled_outlined,
    'more_time_filled_sharp': more_time_filled_sharp,
    'more_time_filled': more_time_filled,
    'more_time_outlined': more_time_outlined,
    'more_time_sharp': more_time_sharp,
    'more_time': more_time,
    'more_up_filled_outlined': more_up_filled_outlined,
    'more_up_filled_sharp': more_up_filled_sharp,
    'more_up_filled': more_up_filled,
    'more_up_outlined': more_up_outlined,
    'more_up_sharp': more_up_sharp,
    'more_up': more_up,
    'more_vert_filled_outlined': more_vert_filled_outlined,
    'more_vert_filled_sharp': more_vert_filled_sharp,
    'more_vert_filled': more_vert_filled,
    'more_vert_outlined': more_vert_outlined,
    'more_vert_sharp': more_vert_sharp,
    'more_vert': more_vert,
    'more': more,
    'mosque_filled_outlined': mosque_filled_outlined,
    'mosque_filled_sharp': mosque_filled_sharp,
    'mosque_filled': mosque_filled,
    'mosque_outlined': mosque_outlined,
    'mosque_sharp': mosque_sharp,
    'mosque': mosque,
    'motion_blur_filled_outlined': motion_blur_filled_outlined,
    'motion_blur_filled_sharp': motion_blur_filled_sharp,
    'motion_blur_filled': motion_blur_filled,
    'motion_blur_outlined': motion_blur_outlined,
    'motion_blur_sharp': motion_blur_sharp,
    'motion_blur': motion_blur,
    'motion_mode_filled_outlined': motion_mode_filled_outlined,
    'motion_mode_filled_sharp': motion_mode_filled_sharp,
    'motion_mode_filled': motion_mode_filled,
    'motion_mode_outlined': motion_mode_outlined,
    'motion_mode_sharp': motion_mode_sharp,
    'motion_mode': motion_mode,
    'motion_photos_auto_filled_outlined': motion_photos_auto_filled_outlined,
    'motion_photos_auto_filled_sharp': motion_photos_auto_filled_sharp,
    'motion_photos_auto_filled': motion_photos_auto_filled,
    'motion_photos_auto_outlined': motion_photos_auto_outlined,
    'motion_photos_auto_sharp': motion_photos_auto_sharp,
    'motion_photos_auto': motion_photos_auto,
    'motion_photos_off_filled_outlined': motion_photos_off_filled_outlined,
    'motion_photos_off_filled_sharp': motion_photos_off_filled_sharp,
    'motion_photos_off_filled': motion_photos_off_filled,
    'motion_photos_off_outlined': motion_photos_off_outlined,
    'motion_photos_off_sharp': motion_photos_off_sharp,
    'motion_photos_off': motion_photos_off,
    'motion_photos_paused_filled_outlined':
        motion_photos_paused_filled_outlined,
    'motion_photos_paused_filled_sharp': motion_photos_paused_filled_sharp,
    'motion_photos_paused_filled': motion_photos_paused_filled,
    'motion_photos_paused_outlined': motion_photos_paused_outlined,
    'motion_photos_paused_sharp': motion_photos_paused_sharp,
    'motion_photos_paused': motion_photos_paused,
    'motion_sensor_active_filled_outlined':
        motion_sensor_active_filled_outlined,
    'motion_sensor_active_filled_sharp': motion_sensor_active_filled_sharp,
    'motion_sensor_active_filled': motion_sensor_active_filled,
    'motion_sensor_active_outlined': motion_sensor_active_outlined,
    'motion_sensor_active_sharp': motion_sensor_active_sharp,
    'motion_sensor_active': motion_sensor_active,
    'motion_sensor_alert_filled_outlined': motion_sensor_alert_filled_outlined,
    'motion_sensor_alert_filled_sharp': motion_sensor_alert_filled_sharp,
    'motion_sensor_alert_filled': motion_sensor_alert_filled,
    'motion_sensor_alert_outlined': motion_sensor_alert_outlined,
    'motion_sensor_alert_sharp': motion_sensor_alert_sharp,
    'motion_sensor_alert': motion_sensor_alert,
    'motion_sensor_idle_filled_outlined': motion_sensor_idle_filled_outlined,
    'motion_sensor_idle_filled_sharp': motion_sensor_idle_filled_sharp,
    'motion_sensor_idle_filled': motion_sensor_idle_filled,
    'motion_sensor_idle_outlined': motion_sensor_idle_outlined,
    'motion_sensor_idle_sharp': motion_sensor_idle_sharp,
    'motion_sensor_idle': motion_sensor_idle,
    'motion_sensor_urgent_filled_outlined':
        motion_sensor_urgent_filled_outlined,
    'motion_sensor_urgent_filled_sharp': motion_sensor_urgent_filled_sharp,
    'motion_sensor_urgent_filled': motion_sensor_urgent_filled,
    'motion_sensor_urgent_outlined': motion_sensor_urgent_outlined,
    'motion_sensor_urgent_sharp': motion_sensor_urgent_sharp,
    'motion_sensor_urgent': motion_sensor_urgent,
    'motorcycle_filled_outlined': motorcycle_filled_outlined,
    'motorcycle_filled_sharp': motorcycle_filled_sharp,
    'motorcycle_filled': motorcycle_filled,
    'motorcycle_outlined': motorcycle_outlined,
    'motorcycle_sharp': motorcycle_sharp,
    'motorcycle': motorcycle,
    'mouse_filled_outlined': mouse_filled_outlined,
    'mouse_filled_sharp': mouse_filled_sharp,
    'mouse_filled': mouse_filled,
    'mouse_outlined': mouse_outlined,
    'mouse_sharp': mouse_sharp,
    'mouse': mouse,
    'move_down_filled_outlined': move_down_filled_outlined,
    'move_down_filled_sharp': move_down_filled_sharp,
    'move_down_filled': move_down_filled,
    'move_down_outlined': move_down_outlined,
    'move_down_sharp': move_down_sharp,
    'move_down': move_down,
    'move_to_inbox_filled_outlined': move_to_inbox_filled_outlined,
    'move_to_inbox_filled_sharp': move_to_inbox_filled_sharp,
    'move_to_inbox_filled': move_to_inbox_filled,
    'move_to_inbox_outlined': move_to_inbox_outlined,
    'move_to_inbox_sharp': move_to_inbox_sharp,
    'move_to_inbox': move_to_inbox,
    'move_up_filled_outlined': move_up_filled_outlined,
    'move_up_filled_sharp': move_up_filled_sharp,
    'move_up_filled': move_up_filled,
    'move_up_outlined': move_up_outlined,
    'move_up_sharp': move_up_sharp,
    'move_up': move_up,
    'movie_edit_filled_outlined': movie_edit_filled_outlined,
    'movie_edit_filled_sharp': movie_edit_filled_sharp,
    'movie_edit_filled': movie_edit_filled,
    'movie_edit_outlined': movie_edit_outlined,
    'movie_edit_sharp': movie_edit_sharp,
    'movie_edit': movie_edit,
    'movie_filled_outlined': movie_filled_outlined,
    'movie_filled_sharp': movie_filled_sharp,
    'movie_filled': movie_filled,
    'movie_filter_filled_outlined': movie_filter_filled_outlined,
    'movie_filter_filled_sharp': movie_filter_filled_sharp,
    'movie_filter_filled': movie_filter_filled,
    'movie_filter_outlined': movie_filter_outlined,
    'movie_filter_sharp': movie_filter_sharp,
    'movie_filter': movie_filter,
    'movie_outlined': movie_outlined,
    'movie_sharp': movie_sharp,
    'movie': movie,
    'moving_beds_filled_outlined': moving_beds_filled_outlined,
    'moving_beds_filled_sharp': moving_beds_filled_sharp,
    'moving_beds_filled': moving_beds_filled,
    'moving_beds_outlined': moving_beds_outlined,
    'moving_beds_sharp': moving_beds_sharp,
    'moving_beds': moving_beds,
    'moving_filled_outlined': moving_filled_outlined,
    'moving_filled_sharp': moving_filled_sharp,
    'moving_filled': moving_filled,
    'moving_ministry_filled_outlined': moving_ministry_filled_outlined,
    'moving_ministry_filled_sharp': moving_ministry_filled_sharp,
    'moving_ministry_filled': moving_ministry_filled,
    'moving_ministry_outlined': moving_ministry_outlined,
    'moving_ministry_sharp': moving_ministry_sharp,
    'moving_ministry': moving_ministry,
    'moving_outlined': moving_outlined,
    'moving_sharp': moving_sharp,
    'moving': moving,
    'mp_filled_outlined': mp_filled_outlined,
    'mp_filled_sharp': mp_filled_sharp,
    'mp_filled': mp_filled,
    'mp_outlined': mp_outlined,
    'mp_sharp': mp_sharp,
    'mp': mp,
    'multicooker_filled_outlined': multicooker_filled_outlined,
    'multicooker_filled_sharp': multicooker_filled_sharp,
    'multicooker_filled': multicooker_filled,
    'multicooker_outlined': multicooker_outlined,
    'multicooker_sharp': multicooker_sharp,
    'multicooker': multicooker,
    'multiline_chart_filled_outlined': multiline_chart_filled_outlined,
    'multiline_chart_filled_sharp': multiline_chart_filled_sharp,
    'multiline_chart_filled': multiline_chart_filled,
    'multiline_chart_outlined': multiline_chart_outlined,
    'multiline_chart_sharp': multiline_chart_sharp,
    'multiline_chart': multiline_chart,
    'multiple_stop_filled_outlined': multiple_stop_filled_outlined,
    'multiple_stop_filled_sharp': multiple_stop_filled_sharp,
    'multiple_stop_filled': multiple_stop_filled,
    'multiple_stop_outlined': multiple_stop_outlined,
    'multiple_stop_sharp': multiple_stop_sharp,
    'multiple_stop': multiple_stop,
    'museum_filled_outlined': museum_filled_outlined,
    'museum_filled_sharp': museum_filled_sharp,
    'museum_filled': museum_filled,
    'museum_outlined': museum_outlined,
    'museum_sharp': museum_sharp,
    'museum': museum,
    'music_note_filled_outlined': music_note_filled_outlined,
    'music_note_filled_sharp': music_note_filled_sharp,
    'music_note_filled': music_note_filled,
    'music_note_outlined': music_note_outlined,
    'music_note_sharp': music_note_sharp,
    'music_note': music_note,
    'music_off_filled_outlined': music_off_filled_outlined,
    'music_off_filled_sharp': music_off_filled_sharp,
    'music_off_filled': music_off_filled,
    'music_off_outlined': music_off_outlined,
    'music_off_sharp': music_off_sharp,
    'music_off': music_off,
    'music_video_filled_outlined': music_video_filled_outlined,
    'music_video_filled_sharp': music_video_filled_sharp,
    'music_video_filled': music_video_filled,
    'music_video_outlined': music_video_outlined,
    'music_video_sharp': music_video_sharp,
    'music_video': music_video,
    'my_location_filled_outlined': my_location_filled_outlined,
    'my_location_filled_sharp': my_location_filled_sharp,
    'my_location_filled': my_location_filled,
    'my_location_outlined': my_location_outlined,
    'my_location_sharp': my_location_sharp,
    'my_location': my_location,
    'nat_filled_outlined': nat_filled_outlined,
    'nat_filled_sharp': nat_filled_sharp,
    'nat_filled': nat_filled,
    'nat_outlined': nat_outlined,
    'nat_sharp': nat_sharp,
    'nat': nat,
    'nature_filled_outlined': nature_filled_outlined,
    'nature_filled_sharp': nature_filled_sharp,
    'nature_filled': nature_filled,
    'nature_outlined': nature_outlined,
    'nature_people_filled_outlined': nature_people_filled_outlined,
    'nature_people_filled_sharp': nature_people_filled_sharp,
    'nature_people_filled': nature_people_filled,
    'nature_people_outlined': nature_people_outlined,
    'nature_people_sharp': nature_people_sharp,
    'nature_people': nature_people,
    'nature_sharp': nature_sharp,
    'nature': nature,
    'navigate_before_filled_outlined': navigate_before_filled_outlined,
    'navigate_before_filled_sharp': navigate_before_filled_sharp,
    'navigate_before_filled': navigate_before_filled,
    'navigate_before_outlined': navigate_before_outlined,
    'navigate_before_sharp': navigate_before_sharp,
    'navigate_before': navigate_before,
    'navigate_next_filled_outlined': navigate_next_filled_outlined,
    'navigate_next_filled_sharp': navigate_next_filled_sharp,
    'navigate_next_filled': navigate_next_filled,
    'navigate_next_outlined': navigate_next_outlined,
    'navigate_next_sharp': navigate_next_sharp,
    'navigate_next': navigate_next,
    'navigation_filled_outlined': navigation_filled_outlined,
    'navigation_filled_sharp': navigation_filled_sharp,
    'navigation_filled': navigation_filled,
    'navigation_outlined': navigation_outlined,
    'navigation_sharp': navigation_sharp,
    'navigation': navigation,
    'near_me_disabled_filled_outlined': near_me_disabled_filled_outlined,
    'near_me_disabled_filled_sharp': near_me_disabled_filled_sharp,
    'near_me_disabled_filled': near_me_disabled_filled,
    'near_me_disabled_outlined': near_me_disabled_outlined,
    'near_me_disabled_sharp': near_me_disabled_sharp,
    'near_me_disabled': near_me_disabled,
    'near_me_filled_outlined': near_me_filled_outlined,
    'near_me_filled_sharp': near_me_filled_sharp,
    'near_me_filled': near_me_filled,
    'near_me_outlined': near_me_outlined,
    'near_me_sharp': near_me_sharp,
    'near_me': near_me,
    'nearby_error_filled_outlined': nearby_error_filled_outlined,
    'nearby_error_filled_sharp': nearby_error_filled_sharp,
    'nearby_error_filled': nearby_error_filled,
    'nearby_error_outlined': nearby_error_outlined,
    'nearby_error_sharp': nearby_error_sharp,
    'nearby_error': nearby_error,
    'nearby_off_filled_outlined': nearby_off_filled_outlined,
    'nearby_off_filled_sharp': nearby_off_filled_sharp,
    'nearby_off_filled': nearby_off_filled,
    'nearby_off_outlined': nearby_off_outlined,
    'nearby_off_sharp': nearby_off_sharp,
    'nearby_off': nearby_off,
    'nephrology_filled_outlined': nephrology_filled_outlined,
    'nephrology_filled_sharp': nephrology_filled_sharp,
    'nephrology_filled': nephrology_filled,
    'nephrology_outlined': nephrology_outlined,
    'nephrology_sharp': nephrology_sharp,
    'nephrology': nephrology,
    'nest_audio_filled_outlined': nest_audio_filled_outlined,
    'nest_audio_filled_sharp': nest_audio_filled_sharp,
    'nest_audio_filled': nest_audio_filled,
    'nest_audio_outlined': nest_audio_outlined,
    'nest_audio_sharp': nest_audio_sharp,
    'nest_audio': nest_audio,
    'nest_cam_floodlight_filled_outlined': nest_cam_floodlight_filled_outlined,
    'nest_cam_floodlight_filled_sharp': nest_cam_floodlight_filled_sharp,
    'nest_cam_floodlight_filled': nest_cam_floodlight_filled,
    'nest_cam_floodlight_outlined': nest_cam_floodlight_outlined,
    'nest_cam_floodlight_sharp': nest_cam_floodlight_sharp,
    'nest_cam_floodlight': nest_cam_floodlight,
    'nest_cam_indoor_filled_outlined': nest_cam_indoor_filled_outlined,
    'nest_cam_indoor_filled_sharp': nest_cam_indoor_filled_sharp,
    'nest_cam_indoor_filled': nest_cam_indoor_filled,
    'nest_cam_indoor_outlined': nest_cam_indoor_outlined,
    'nest_cam_indoor_sharp': nest_cam_indoor_sharp,
    'nest_cam_indoor': nest_cam_indoor,
    'nest_cam_iq_filled_outlined': nest_cam_iq_filled_outlined,
    'nest_cam_iq_filled_sharp': nest_cam_iq_filled_sharp,
    'nest_cam_iq_filled': nest_cam_iq_filled,
    'nest_cam_iq_outdoor_filled_outlined': nest_cam_iq_outdoor_filled_outlined,
    'nest_cam_iq_outdoor_filled_sharp': nest_cam_iq_outdoor_filled_sharp,
    'nest_cam_iq_outdoor_filled': nest_cam_iq_outdoor_filled,
    'nest_cam_iq_outdoor_outlined': nest_cam_iq_outdoor_outlined,
    'nest_cam_iq_outdoor_sharp': nest_cam_iq_outdoor_sharp,
    'nest_cam_iq_outdoor': nest_cam_iq_outdoor,
    'nest_cam_iq_outlined': nest_cam_iq_outlined,
    'nest_cam_iq_sharp': nest_cam_iq_sharp,
    'nest_cam_iq': nest_cam_iq,
    'nest_cam_magnet_mount_filled_outlined':
        nest_cam_magnet_mount_filled_outlined,
    'nest_cam_magnet_mount_filled_sharp': nest_cam_magnet_mount_filled_sharp,
    'nest_cam_magnet_mount_filled': nest_cam_magnet_mount_filled,
    'nest_cam_magnet_mount_outlined': nest_cam_magnet_mount_outlined,
    'nest_cam_magnet_mount_sharp': nest_cam_magnet_mount_sharp,
    'nest_cam_magnet_mount': nest_cam_magnet_mount,
    'nest_cam_outdoor_filled_outlined': nest_cam_outdoor_filled_outlined,
    'nest_cam_outdoor_filled_sharp': nest_cam_outdoor_filled_sharp,
    'nest_cam_outdoor_filled': nest_cam_outdoor_filled,
    'nest_cam_outdoor_outlined': nest_cam_outdoor_outlined,
    'nest_cam_outdoor_sharp': nest_cam_outdoor_sharp,
    'nest_cam_outdoor': nest_cam_outdoor,
    'nest_cam_stand_filled_outlined': nest_cam_stand_filled_outlined,
    'nest_cam_stand_filled_sharp': nest_cam_stand_filled_sharp,
    'nest_cam_stand_filled': nest_cam_stand_filled,
    'nest_cam_stand_outlined': nest_cam_stand_outlined,
    'nest_cam_stand_sharp': nest_cam_stand_sharp,
    'nest_cam_stand': nest_cam_stand,
    'nest_cam_wall_mount_filled_outlined': nest_cam_wall_mount_filled_outlined,
    'nest_cam_wall_mount_filled_sharp': nest_cam_wall_mount_filled_sharp,
    'nest_cam_wall_mount_filled': nest_cam_wall_mount_filled,
    'nest_cam_wall_mount_outlined': nest_cam_wall_mount_outlined,
    'nest_cam_wall_mount_sharp': nest_cam_wall_mount_sharp,
    'nest_cam_wall_mount': nest_cam_wall_mount,
    'nest_cam_wired_stand_filled_outlined':
        nest_cam_wired_stand_filled_outlined,
    'nest_cam_wired_stand_filled_sharp': nest_cam_wired_stand_filled_sharp,
    'nest_cam_wired_stand_filled': nest_cam_wired_stand_filled,
    'nest_cam_wired_stand_outlined': nest_cam_wired_stand_outlined,
    'nest_cam_wired_stand_sharp': nest_cam_wired_stand_sharp,
    'nest_cam_wired_stand': nest_cam_wired_stand,
    'nest_clock_farsight_analog_filled_outlined':
        nest_clock_farsight_analog_filled_outlined,
    'nest_clock_farsight_analog_filled_sharp':
        nest_clock_farsight_analog_filled_sharp,
    'nest_clock_farsight_analog_filled': nest_clock_farsight_analog_filled,
    'nest_clock_farsight_analog_outlined': nest_clock_farsight_analog_outlined,
    'nest_clock_farsight_analog_sharp': nest_clock_farsight_analog_sharp,
    'nest_clock_farsight_analog': nest_clock_farsight_analog,
    'nest_clock_farsight_digital_filled_outlined':
        nest_clock_farsight_digital_filled_outlined,
    'nest_clock_farsight_digital_filled_sharp':
        nest_clock_farsight_digital_filled_sharp,
    'nest_clock_farsight_digital_filled': nest_clock_farsight_digital_filled,
    'nest_clock_farsight_digital_outlined':
        nest_clock_farsight_digital_outlined,
    'nest_clock_farsight_digital_sharp': nest_clock_farsight_digital_sharp,
    'nest_clock_farsight_digital': nest_clock_farsight_digital,
    'nest_connect_filled_outlined': nest_connect_filled_outlined,
    'nest_connect_filled_sharp': nest_connect_filled_sharp,
    'nest_connect_filled': nest_connect_filled,
    'nest_connect_outlined': nest_connect_outlined,
    'nest_connect_sharp': nest_connect_sharp,
    'nest_connect': nest_connect,
    'nest_detect_filled_outlined': nest_detect_filled_outlined,
    'nest_detect_filled_sharp': nest_detect_filled_sharp,
    'nest_detect_filled': nest_detect_filled,
    'nest_detect_outlined': nest_detect_outlined,
    'nest_detect_sharp': nest_detect_sharp,
    'nest_detect': nest_detect,
    'nest_display_filled_outlined': nest_display_filled_outlined,
    'nest_display_filled_sharp': nest_display_filled_sharp,
    'nest_display_filled': nest_display_filled,
    'nest_display_max_filled_outlined': nest_display_max_filled_outlined,
    'nest_display_max_filled_sharp': nest_display_max_filled_sharp,
    'nest_display_max_filled': nest_display_max_filled,
    'nest_display_max_outlined': nest_display_max_outlined,
    'nest_display_max_sharp': nest_display_max_sharp,
    'nest_display_max': nest_display_max,
    'nest_display_outlined': nest_display_outlined,
    'nest_display_sharp': nest_display_sharp,
    'nest_display': nest_display,
    'nest_doorbell_visitor_filled_outlined':
        nest_doorbell_visitor_filled_outlined,
    'nest_doorbell_visitor_filled_sharp': nest_doorbell_visitor_filled_sharp,
    'nest_doorbell_visitor_filled': nest_doorbell_visitor_filled,
    'nest_doorbell_visitor_outlined': nest_doorbell_visitor_outlined,
    'nest_doorbell_visitor_sharp': nest_doorbell_visitor_sharp,
    'nest_doorbell_visitor': nest_doorbell_visitor,
    'nest_eco_leaf_filled_outlined': nest_eco_leaf_filled_outlined,
    'nest_eco_leaf_filled_sharp': nest_eco_leaf_filled_sharp,
    'nest_eco_leaf_filled': nest_eco_leaf_filled,
    'nest_eco_leaf_outlined': nest_eco_leaf_outlined,
    'nest_eco_leaf_sharp': nest_eco_leaf_sharp,
    'nest_eco_leaf': nest_eco_leaf,
    'nest_farsight_weather_filled_outlined':
        nest_farsight_weather_filled_outlined,
    'nest_farsight_weather_filled_sharp': nest_farsight_weather_filled_sharp,
    'nest_farsight_weather_filled': nest_farsight_weather_filled,
    'nest_farsight_weather_outlined': nest_farsight_weather_outlined,
    'nest_farsight_weather_sharp': nest_farsight_weather_sharp,
    'nest_farsight_weather': nest_farsight_weather,
    'nest_found_savings_filled_outlined': nest_found_savings_filled_outlined,
    'nest_found_savings_filled_sharp': nest_found_savings_filled_sharp,
    'nest_found_savings_filled': nest_found_savings_filled,
    'nest_found_savings_outlined': nest_found_savings_outlined,
    'nest_found_savings_sharp': nest_found_savings_sharp,
    'nest_found_savings': nest_found_savings,
    'nest_heat_link_e_filled_outlined': nest_heat_link_e_filled_outlined,
    'nest_heat_link_e_filled_sharp': nest_heat_link_e_filled_sharp,
    'nest_heat_link_e_filled': nest_heat_link_e_filled,
    'nest_heat_link_e_outlined': nest_heat_link_e_outlined,
    'nest_heat_link_e_sharp': nest_heat_link_e_sharp,
    'nest_heat_link_e': nest_heat_link_e,
    'nest_heat_link_gen_3_filled_outlined':
        nest_heat_link_gen_3_filled_outlined,
    'nest_heat_link_gen_3_filled_sharp': nest_heat_link_gen_3_filled_sharp,
    'nest_heat_link_gen_3_filled': nest_heat_link_gen_3_filled,
    'nest_heat_link_gen_3_outlined': nest_heat_link_gen_3_outlined,
    'nest_heat_link_gen_3_sharp': nest_heat_link_gen_3_sharp,
    'nest_heat_link_gen_3': nest_heat_link_gen_3,
    'nest_hello_doorbell_filled_outlined': nest_hello_doorbell_filled_outlined,
    'nest_hello_doorbell_filled_sharp': nest_hello_doorbell_filled_sharp,
    'nest_hello_doorbell_filled': nest_hello_doorbell_filled,
    'nest_hello_doorbell_outlined': nest_hello_doorbell_outlined,
    'nest_hello_doorbell_sharp': nest_hello_doorbell_sharp,
    'nest_hello_doorbell': nest_hello_doorbell,
    'nest_locator_tag_filled_outlined': nest_locator_tag_filled_outlined,
    'nest_locator_tag_filled_sharp': nest_locator_tag_filled_sharp,
    'nest_locator_tag_filled': nest_locator_tag_filled,
    'nest_locator_tag_outlined': nest_locator_tag_outlined,
    'nest_locator_tag_sharp': nest_locator_tag_sharp,
    'nest_locator_tag': nest_locator_tag,
    'nest_mini_filled_outlined': nest_mini_filled_outlined,
    'nest_mini_filled_sharp': nest_mini_filled_sharp,
    'nest_mini_filled': nest_mini_filled,
    'nest_mini_outlined': nest_mini_outlined,
    'nest_mini_sharp': nest_mini_sharp,
    'nest_mini': nest_mini,
    'nest_multi_room_filled_outlined': nest_multi_room_filled_outlined,
    'nest_multi_room_filled_sharp': nest_multi_room_filled_sharp,
    'nest_multi_room_filled': nest_multi_room_filled,
    'nest_multi_room_outlined': nest_multi_room_outlined,
    'nest_multi_room_sharp': nest_multi_room_sharp,
    'nest_multi_room': nest_multi_room,
    'nest_remote_comfort_sensor_filled_outlined':
        nest_remote_comfort_sensor_filled_outlined,
    'nest_remote_comfort_sensor_filled_sharp':
        nest_remote_comfort_sensor_filled_sharp,
    'nest_remote_comfort_sensor_filled': nest_remote_comfort_sensor_filled,
    'nest_remote_comfort_sensor_outlined': nest_remote_comfort_sensor_outlined,
    'nest_remote_comfort_sensor_sharp': nest_remote_comfort_sensor_sharp,
    'nest_remote_comfort_sensor': nest_remote_comfort_sensor,
    'nest_remote_filled_outlined': nest_remote_filled_outlined,
    'nest_remote_filled_sharp': nest_remote_filled_sharp,
    'nest_remote_filled': nest_remote_filled,
    'nest_remote_outlined': nest_remote_outlined,
    'nest_remote_sharp': nest_remote_sharp,
    'nest_remote': nest_remote,
    'nest_secure_alarm_filled_outlined': nest_secure_alarm_filled_outlined,
    'nest_secure_alarm_filled_sharp': nest_secure_alarm_filled_sharp,
    'nest_secure_alarm_filled': nest_secure_alarm_filled,
    'nest_secure_alarm_outlined': nest_secure_alarm_outlined,
    'nest_secure_alarm_sharp': nest_secure_alarm_sharp,
    'nest_secure_alarm': nest_secure_alarm,
    'nest_sunblock_filled_outlined': nest_sunblock_filled_outlined,
    'nest_sunblock_filled_sharp': nest_sunblock_filled_sharp,
    'nest_sunblock_filled': nest_sunblock_filled,
    'nest_sunblock_outlined': nest_sunblock_outlined,
    'nest_sunblock_sharp': nest_sunblock_sharp,
    'nest_sunblock': nest_sunblock,
    'nest_tag_filled_outlined': nest_tag_filled_outlined,
    'nest_tag_filled_sharp': nest_tag_filled_sharp,
    'nest_tag_filled': nest_tag_filled,
    'nest_tag_outlined': nest_tag_outlined,
    'nest_tag_sharp': nest_tag_sharp,
    'nest_tag': nest_tag,
    'nest_thermostat_e_eu_filled_outlined':
        nest_thermostat_e_eu_filled_outlined,
    'nest_thermostat_e_eu_filled_sharp': nest_thermostat_e_eu_filled_sharp,
    'nest_thermostat_e_eu_filled': nest_thermostat_e_eu_filled,
    'nest_thermostat_e_eu_outlined': nest_thermostat_e_eu_outlined,
    'nest_thermostat_e_eu_sharp': nest_thermostat_e_eu_sharp,
    'nest_thermostat_e_eu': nest_thermostat_e_eu,
    'nest_thermostat_gen_3_filled_outlined':
        nest_thermostat_gen_3_filled_outlined,
    'nest_thermostat_gen_3_filled_sharp': nest_thermostat_gen_3_filled_sharp,
    'nest_thermostat_gen_3_filled': nest_thermostat_gen_3_filled,
    'nest_thermostat_gen_3_outlined': nest_thermostat_gen_3_outlined,
    'nest_thermostat_gen_3_sharp': nest_thermostat_gen_3_sharp,
    'nest_thermostat_gen_3': nest_thermostat_gen_3,
    'nest_thermostat_sensor_eu_filled_outlined':
        nest_thermostat_sensor_eu_filled_outlined,
    'nest_thermostat_sensor_eu_filled_sharp':
        nest_thermostat_sensor_eu_filled_sharp,
    'nest_thermostat_sensor_eu_filled': nest_thermostat_sensor_eu_filled,
    'nest_thermostat_sensor_eu_outlined': nest_thermostat_sensor_eu_outlined,
    'nest_thermostat_sensor_eu_sharp': nest_thermostat_sensor_eu_sharp,
    'nest_thermostat_sensor_eu': nest_thermostat_sensor_eu,
    'nest_thermostat_sensor_filled_outlined':
        nest_thermostat_sensor_filled_outlined,
    'nest_thermostat_sensor_filled_sharp': nest_thermostat_sensor_filled_sharp,
    'nest_thermostat_sensor_filled': nest_thermostat_sensor_filled,
    'nest_thermostat_sensor_outlined': nest_thermostat_sensor_outlined,
    'nest_thermostat_sensor_sharp': nest_thermostat_sensor_sharp,
    'nest_thermostat_sensor': nest_thermostat_sensor,
    'nest_thermostat_zirconium_eu_filled_outlined':
        nest_thermostat_zirconium_eu_filled_outlined,
    'nest_thermostat_zirconium_eu_filled_sharp':
        nest_thermostat_zirconium_eu_filled_sharp,
    'nest_thermostat_zirconium_eu_filled': nest_thermostat_zirconium_eu_filled,
    'nest_thermostat_zirconium_eu_outlined':
        nest_thermostat_zirconium_eu_outlined,
    'nest_thermostat_zirconium_eu_sharp': nest_thermostat_zirconium_eu_sharp,
    'nest_thermostat_zirconium_eu': nest_thermostat_zirconium_eu,
    'nest_true_radiant_filled_outlined': nest_true_radiant_filled_outlined,
    'nest_true_radiant_filled_sharp': nest_true_radiant_filled_sharp,
    'nest_true_radiant_filled': nest_true_radiant_filled,
    'nest_true_radiant_outlined': nest_true_radiant_outlined,
    'nest_true_radiant_sharp': nest_true_radiant_sharp,
    'nest_true_radiant': nest_true_radiant,
    'nest_wake_on_approach_filled_outlined':
        nest_wake_on_approach_filled_outlined,
    'nest_wake_on_approach_filled_sharp': nest_wake_on_approach_filled_sharp,
    'nest_wake_on_approach_filled': nest_wake_on_approach_filled,
    'nest_wake_on_approach_outlined': nest_wake_on_approach_outlined,
    'nest_wake_on_approach_sharp': nest_wake_on_approach_sharp,
    'nest_wake_on_approach': nest_wake_on_approach,
    'nest_wake_on_press_filled_outlined': nest_wake_on_press_filled_outlined,
    'nest_wake_on_press_filled_sharp': nest_wake_on_press_filled_sharp,
    'nest_wake_on_press_filled': nest_wake_on_press_filled,
    'nest_wake_on_press_outlined': nest_wake_on_press_outlined,
    'nest_wake_on_press_sharp': nest_wake_on_press_sharp,
    'nest_wake_on_press': nest_wake_on_press,
    'nest_wifi_gale_filled_outlined': nest_wifi_gale_filled_outlined,
    'nest_wifi_gale_filled_sharp': nest_wifi_gale_filled_sharp,
    'nest_wifi_gale_filled': nest_wifi_gale_filled,
    'nest_wifi_gale_outlined': nest_wifi_gale_outlined,
    'nest_wifi_gale_sharp': nest_wifi_gale_sharp,
    'nest_wifi_gale': nest_wifi_gale,
    'nest_wifi_mistral_filled_outlined': nest_wifi_mistral_filled_outlined,
    'nest_wifi_mistral_filled_sharp': nest_wifi_mistral_filled_sharp,
    'nest_wifi_mistral_filled': nest_wifi_mistral_filled,
    'nest_wifi_mistral_outlined': nest_wifi_mistral_outlined,
    'nest_wifi_mistral_sharp': nest_wifi_mistral_sharp,
    'nest_wifi_mistral': nest_wifi_mistral,
    'nest_wifi_point_filled_outlined': nest_wifi_point_filled_outlined,
    'nest_wifi_point_filled_sharp': nest_wifi_point_filled_sharp,
    'nest_wifi_point_filled': nest_wifi_point_filled,
    'nest_wifi_point_outlined': nest_wifi_point_outlined,
    'nest_wifi_point_sharp': nest_wifi_point_sharp,
    'nest_wifi_point_vento_filled_outlined':
        nest_wifi_point_vento_filled_outlined,
    'nest_wifi_point_vento_filled_sharp': nest_wifi_point_vento_filled_sharp,
    'nest_wifi_point_vento_filled': nest_wifi_point_vento_filled,
    'nest_wifi_point_vento_outlined': nest_wifi_point_vento_outlined,
    'nest_wifi_point_vento_sharp': nest_wifi_point_vento_sharp,
    'nest_wifi_point_vento': nest_wifi_point_vento,
    'nest_wifi_point': nest_wifi_point,
    'nest_wifi_router_filled_outlined': nest_wifi_router_filled_outlined,
    'nest_wifi_router_filled_sharp': nest_wifi_router_filled_sharp,
    'nest_wifi_router_filled': nest_wifi_router_filled,
    'nest_wifi_router_outlined': nest_wifi_router_outlined,
    'nest_wifi_router_sharp': nest_wifi_router_sharp,
    'nest_wifi_router': nest_wifi_router,
    'network_cell_filled_outlined': network_cell_filled_outlined,
    'network_cell_filled_sharp': network_cell_filled_sharp,
    'network_cell_filled': network_cell_filled,
    'network_cell_outlined': network_cell_outlined,
    'network_cell_sharp': network_cell_sharp,
    'network_cell': network_cell,
    'network_check_filled_outlined': network_check_filled_outlined,
    'network_check_filled_sharp': network_check_filled_sharp,
    'network_check_filled': network_check_filled,
    'network_check_outlined': network_check_outlined,
    'network_check_sharp': network_check_sharp,
    'network_check': network_check,
    'network_locked_filled_outlined': network_locked_filled_outlined,
    'network_locked_filled_sharp': network_locked_filled_sharp,
    'network_locked_filled': network_locked_filled,
    'network_locked_outlined': network_locked_outlined,
    'network_locked_sharp': network_locked_sharp,
    'network_locked': network_locked,
    'network_ping_filled_outlined': network_ping_filled_outlined,
    'network_ping_filled_sharp': network_ping_filled_sharp,
    'network_ping_filled': network_ping_filled,
    'network_ping_outlined': network_ping_outlined,
    'network_ping_sharp': network_ping_sharp,
    'network_ping': network_ping,
    'network_wifi_1_bar_filled_outlined': network_wifi_1_bar_filled_outlined,
    'network_wifi_1_bar_filled_sharp': network_wifi_1_bar_filled_sharp,
    'network_wifi_1_bar_filled': network_wifi_1_bar_filled,
    'network_wifi_1_bar_outlined': network_wifi_1_bar_outlined,
    'network_wifi_1_bar_sharp': network_wifi_1_bar_sharp,
    'network_wifi_1_bar': network_wifi_1_bar,
    'network_wifi_2_bar_filled_outlined': network_wifi_2_bar_filled_outlined,
    'network_wifi_2_bar_filled_sharp': network_wifi_2_bar_filled_sharp,
    'network_wifi_2_bar_filled': network_wifi_2_bar_filled,
    'network_wifi_2_bar_outlined': network_wifi_2_bar_outlined,
    'network_wifi_2_bar_sharp': network_wifi_2_bar_sharp,
    'network_wifi_2_bar': network_wifi_2_bar,
    'network_wifi_3_bar_filled_outlined': network_wifi_3_bar_filled_outlined,
    'network_wifi_3_bar_filled_sharp': network_wifi_3_bar_filled_sharp,
    'network_wifi_3_bar_filled': network_wifi_3_bar_filled,
    'network_wifi_3_bar_outlined': network_wifi_3_bar_outlined,
    'network_wifi_3_bar_sharp': network_wifi_3_bar_sharp,
    'network_wifi_3_bar': network_wifi_3_bar,
    'network_wifi_filled_outlined': network_wifi_filled_outlined,
    'network_wifi_filled_sharp': network_wifi_filled_sharp,
    'network_wifi_filled': network_wifi_filled,
    'network_wifi_outlined': network_wifi_outlined,
    'network_wifi_sharp': network_wifi_sharp,
    'network_wifi': network_wifi,
    'new_label_filled_outlined': new_label_filled_outlined,
    'new_label_filled_sharp': new_label_filled_sharp,
    'new_label_filled': new_label_filled,
    'new_label_outlined': new_label_outlined,
    'new_label_sharp': new_label_sharp,
    'new_label': new_label,
    'new_releases_filled_outlined': new_releases_filled_outlined,
    'new_releases_filled_sharp': new_releases_filled_sharp,
    'new_releases_filled': new_releases_filled,
    'new_releases_outlined': new_releases_outlined,
    'new_releases_sharp': new_releases_sharp,
    'new_releases': new_releases,
    'newspaper_filled_outlined': newspaper_filled_outlined,
    'newspaper_filled_sharp': newspaper_filled_sharp,
    'newspaper_filled': newspaper_filled,
    'newspaper_outlined': newspaper_outlined,
    'newspaper_sharp': newspaper_sharp,
    'newspaper': newspaper,
    'next_plan_filled_outlined': next_plan_filled_outlined,
    'next_plan_filled_sharp': next_plan_filled_sharp,
    'next_plan_filled': next_plan_filled,
    'next_plan_outlined': next_plan_outlined,
    'next_plan_sharp': next_plan_sharp,
    'next_plan': next_plan,
    'next_week_filled_outlined': next_week_filled_outlined,
    'next_week_filled_sharp': next_week_filled_sharp,
    'next_week_filled': next_week_filled,
    'next_week_outlined': next_week_outlined,
    'next_week_sharp': next_week_sharp,
    'next_week': next_week,
    'nfc_filled_outlined': nfc_filled_outlined,
    'nfc_filled_sharp': nfc_filled_sharp,
    'nfc_filled': nfc_filled,
    'nfc_outlined': nfc_outlined,
    'nfc_sharp': nfc_sharp,
    'nfc': nfc,
    'night_shelter_filled_outlined': night_shelter_filled_outlined,
    'night_shelter_filled_sharp': night_shelter_filled_sharp,
    'night_shelter_filled': night_shelter_filled,
    'night_shelter_outlined': night_shelter_outlined,
    'night_shelter_sharp': night_shelter_sharp,
    'night_shelter': night_shelter,
    'night_sight_auto_filled_outlined': night_sight_auto_filled_outlined,
    'night_sight_auto_filled_sharp': night_sight_auto_filled_sharp,
    'night_sight_auto_filled': night_sight_auto_filled,
    'night_sight_auto_off_filled_outlined':
        night_sight_auto_off_filled_outlined,
    'night_sight_auto_off_filled_sharp': night_sight_auto_off_filled_sharp,
    'night_sight_auto_off_filled': night_sight_auto_off_filled,
    'night_sight_auto_off_outlined': night_sight_auto_off_outlined,
    'night_sight_auto_off_sharp': night_sight_auto_off_sharp,
    'night_sight_auto_off': night_sight_auto_off,
    'night_sight_auto_outlined': night_sight_auto_outlined,
    'night_sight_auto_sharp': night_sight_auto_sharp,
    'night_sight_auto': night_sight_auto,
    'nightlife_filled_outlined': nightlife_filled_outlined,
    'nightlife_filled_sharp': nightlife_filled_sharp,
    'nightlife_filled': nightlife_filled,
    'nightlife_outlined': nightlife_outlined,
    'nightlife_sharp': nightlife_sharp,
    'nightlife': nightlife,
    'nightlight_filled_outlined': nightlight_filled_outlined,
    'nightlight_filled_sharp': nightlight_filled_sharp,
    'nightlight_filled': nightlight_filled,
    'nightlight_outlined': nightlight_outlined,
    'nightlight_sharp': nightlight_sharp,
    'nightlight': nightlight,
    'nights_stay_filled_outlined': nights_stay_filled_outlined,
    'nights_stay_filled_sharp': nights_stay_filled_sharp,
    'nights_stay_filled': nights_stay_filled,
    'nights_stay_outlined': nights_stay_outlined,
    'nights_stay_sharp': nights_stay_sharp,
    'nights_stay': nights_stay,
    'no_accounts_filled_outlined': no_accounts_filled_outlined,
    'no_accounts_filled_sharp': no_accounts_filled_sharp,
    'no_accounts_filled': no_accounts_filled,
    'no_accounts_outlined': no_accounts_outlined,
    'no_accounts_sharp': no_accounts_sharp,
    'no_accounts': no_accounts,
    'no_adult_content_filled_outlined': no_adult_content_filled_outlined,
    'no_adult_content_filled_sharp': no_adult_content_filled_sharp,
    'no_adult_content_filled': no_adult_content_filled,
    'no_adult_content_outlined': no_adult_content_outlined,
    'no_adult_content_sharp': no_adult_content_sharp,
    'no_adult_content': no_adult_content,
    'no_backpack_filled_outlined': no_backpack_filled_outlined,
    'no_backpack_filled_sharp': no_backpack_filled_sharp,
    'no_backpack_filled': no_backpack_filled,
    'no_backpack_outlined': no_backpack_outlined,
    'no_backpack_sharp': no_backpack_sharp,
    'no_backpack': no_backpack,
    'no_crash_filled_outlined': no_crash_filled_outlined,
    'no_crash_filled_sharp': no_crash_filled_sharp,
    'no_crash_filled': no_crash_filled,
    'no_crash_outlined': no_crash_outlined,
    'no_crash_sharp': no_crash_sharp,
    'no_crash': no_crash,
    'no_drinks_filled_outlined': no_drinks_filled_outlined,
    'no_drinks_filled_sharp': no_drinks_filled_sharp,
    'no_drinks_filled': no_drinks_filled,
    'no_drinks_outlined': no_drinks_outlined,
    'no_drinks_sharp': no_drinks_sharp,
    'no_drinks': no_drinks,
    'no_encryption_filled_outlined': no_encryption_filled_outlined,
    'no_encryption_filled_sharp': no_encryption_filled_sharp,
    'no_encryption_filled': no_encryption_filled,
    'no_encryption_outlined': no_encryption_outlined,
    'no_encryption_sharp': no_encryption_sharp,
    'no_encryption': no_encryption,
    'no_flash_filled_outlined': no_flash_filled_outlined,
    'no_flash_filled_sharp': no_flash_filled_sharp,
    'no_flash_filled': no_flash_filled,
    'no_flash_outlined': no_flash_outlined,
    'no_flash_sharp': no_flash_sharp,
    'no_flash': no_flash,
    'no_food_filled_outlined': no_food_filled_outlined,
    'no_food_filled_sharp': no_food_filled_sharp,
    'no_food_filled': no_food_filled,
    'no_food_outlined': no_food_outlined,
    'no_food_sharp': no_food_sharp,
    'no_food': no_food,
    'no_luggage_filled_outlined': no_luggage_filled_outlined,
    'no_luggage_filled_sharp': no_luggage_filled_sharp,
    'no_luggage_filled': no_luggage_filled,
    'no_luggage_outlined': no_luggage_outlined,
    'no_luggage_sharp': no_luggage_sharp,
    'no_luggage': no_luggage,
    'no_meals_filled_outlined': no_meals_filled_outlined,
    'no_meals_filled_sharp': no_meals_filled_sharp,
    'no_meals_filled': no_meals_filled,
    'no_meals_outlined': no_meals_outlined,
    'no_meals_sharp': no_meals_sharp,
    'no_meals': no_meals,
    'no_meeting_room_filled_outlined': no_meeting_room_filled_outlined,
    'no_meeting_room_filled_sharp': no_meeting_room_filled_sharp,
    'no_meeting_room_filled': no_meeting_room_filled,
    'no_meeting_room_outlined': no_meeting_room_outlined,
    'no_meeting_room_sharp': no_meeting_room_sharp,
    'no_meeting_room': no_meeting_room,
    'no_photography_filled_outlined': no_photography_filled_outlined,
    'no_photography_filled_sharp': no_photography_filled_sharp,
    'no_photography_filled': no_photography_filled,
    'no_photography_outlined': no_photography_outlined,
    'no_photography_sharp': no_photography_sharp,
    'no_photography': no_photography,
    'no_sim_filled_outlined': no_sim_filled_outlined,
    'no_sim_filled_sharp': no_sim_filled_sharp,
    'no_sim_filled': no_sim_filled,
    'no_sim_outlined': no_sim_outlined,
    'no_sim_sharp': no_sim_sharp,
    'no_sim': no_sim,
    'no_stroller_filled_outlined': no_stroller_filled_outlined,
    'no_stroller_filled_sharp': no_stroller_filled_sharp,
    'no_stroller_filled': no_stroller_filled,
    'no_stroller_outlined': no_stroller_outlined,
    'no_stroller_sharp': no_stroller_sharp,
    'no_stroller': no_stroller,
    'no_transfer_filled_outlined': no_transfer_filled_outlined,
    'no_transfer_filled_sharp': no_transfer_filled_sharp,
    'no_transfer_filled': no_transfer_filled,
    'no_transfer_outlined': no_transfer_outlined,
    'no_transfer_sharp': no_transfer_sharp,
    'no_transfer': no_transfer,
    'noise_aware_filled_outlined': noise_aware_filled_outlined,
    'noise_aware_filled_sharp': noise_aware_filled_sharp,
    'noise_aware_filled': noise_aware_filled,
    'noise_aware_outlined': noise_aware_outlined,
    'noise_aware_sharp': noise_aware_sharp,
    'noise_aware': noise_aware,
    'noise_control_off_filled_outlined': noise_control_off_filled_outlined,
    'noise_control_off_filled_sharp': noise_control_off_filled_sharp,
    'noise_control_off_filled': noise_control_off_filled,
    'noise_control_off_outlined': noise_control_off_outlined,
    'noise_control_off_sharp': noise_control_off_sharp,
    'noise_control_off': noise_control_off,
    'noise_control_on_filled_outlined': noise_control_on_filled_outlined,
    'noise_control_on_filled_sharp': noise_control_on_filled_sharp,
    'noise_control_on_filled': noise_control_on_filled,
    'noise_control_on_outlined': noise_control_on_outlined,
    'noise_control_on_sharp': noise_control_on_sharp,
    'noise_control_on': noise_control_on,
    'nordic_walking_filled_outlined': nordic_walking_filled_outlined,
    'nordic_walking_filled_sharp': nordic_walking_filled_sharp,
    'nordic_walking_filled': nordic_walking_filled,
    'nordic_walking_outlined': nordic_walking_outlined,
    'nordic_walking_sharp': nordic_walking_sharp,
    'nordic_walking': nordic_walking,
    'north_east_filled_outlined': north_east_filled_outlined,
    'north_east_filled_sharp': north_east_filled_sharp,
    'north_east_filled': north_east_filled,
    'north_east_outlined': north_east_outlined,
    'north_east_sharp': north_east_sharp,
    'north_east': north_east,
    'north_filled_outlined': north_filled_outlined,
    'north_filled_sharp': north_filled_sharp,
    'north_filled': north_filled,
    'north_outlined': north_outlined,
    'north_sharp': north_sharp,
    'north_west_filled_outlined': north_west_filled_outlined,
    'north_west_filled_sharp': north_west_filled_sharp,
    'north_west_filled': north_west_filled,
    'north_west_outlined': north_west_outlined,
    'north_west_sharp': north_west_sharp,
    'north_west': north_west,
    'north': north,
    'not_accessible_filled_outlined': not_accessible_filled_outlined,
    'not_accessible_filled_sharp': not_accessible_filled_sharp,
    'not_accessible_filled': not_accessible_filled,
    'not_accessible_outlined': not_accessible_outlined,
    'not_accessible_sharp': not_accessible_sharp,
    'not_accessible': not_accessible,
    'not_listed_location_filled_outlined': not_listed_location_filled_outlined,
    'not_listed_location_filled_sharp': not_listed_location_filled_sharp,
    'not_listed_location_filled': not_listed_location_filled,
    'not_listed_location_outlined': not_listed_location_outlined,
    'not_listed_location_sharp': not_listed_location_sharp,
    'not_listed_location': not_listed_location,
    'not_started_filled_outlined': not_started_filled_outlined,
    'not_started_filled_sharp': not_started_filled_sharp,
    'not_started_filled': not_started_filled,
    'not_started_outlined': not_started_outlined,
    'not_started_sharp': not_started_sharp,
    'not_started': not_started,
    'note_add_filled_outlined': note_add_filled_outlined,
    'note_add_filled_sharp': note_add_filled_sharp,
    'note_add_filled': note_add_filled,
    'note_add_outlined': note_add_outlined,
    'note_add_sharp': note_add_sharp,
    'note_add': note_add,
    'note_alt_filled_outlined': note_alt_filled_outlined,
    'note_alt_filled_sharp': note_alt_filled_sharp,
    'note_alt_filled': note_alt_filled,
    'note_alt_outlined': note_alt_outlined,
    'note_alt_sharp': note_alt_sharp,
    'note_alt': note_alt,
    'note_filled_outlined': note_filled_outlined,
    'note_filled_sharp': note_filled_sharp,
    'note_filled': note_filled,
    'note_outlined': note_outlined,
    'note_sharp': note_sharp,
    'note': note,
    'notes_filled_outlined': notes_filled_outlined,
    'notes_filled_sharp': notes_filled_sharp,
    'notes_filled': notes_filled,
    'notes_outlined': notes_outlined,
    'notes_sharp': notes_sharp,
    'notes': notes,
    'notification_add_filled_outlined': notification_add_filled_outlined,
    'notification_add_filled_sharp': notification_add_filled_sharp,
    'notification_add_filled': notification_add_filled,
    'notification_add_outlined': notification_add_outlined,
    'notification_add_sharp': notification_add_sharp,
    'notification_add': notification_add,
    'notification_important_filled_outlined':
        notification_important_filled_outlined,
    'notification_important_filled_sharp': notification_important_filled_sharp,
    'notification_important_filled': notification_important_filled,
    'notification_important_outlined': notification_important_outlined,
    'notification_important_sharp': notification_important_sharp,
    'notification_important': notification_important,
    'notifications_active_filled_outlined':
        notifications_active_filled_outlined,
    'notifications_active_filled_sharp': notifications_active_filled_sharp,
    'notifications_active_filled': notifications_active_filled,
    'notifications_active_outlined': notifications_active_outlined,
    'notifications_active_sharp': notifications_active_sharp,
    'notifications_active': notifications_active,
    'notifications_filled_outlined': notifications_filled_outlined,
    'notifications_filled_sharp': notifications_filled_sharp,
    'notifications_filled': notifications_filled,
    'notifications_off_filled_outlined': notifications_off_filled_outlined,
    'notifications_off_filled_sharp': notifications_off_filled_sharp,
    'notifications_off_filled': notifications_off_filled,
    'notifications_off_outlined': notifications_off_outlined,
    'notifications_off_sharp': notifications_off_sharp,
    'notifications_off': notifications_off,
    'notifications_outlined': notifications_outlined,
    'notifications_paused_filled_outlined':
        notifications_paused_filled_outlined,
    'notifications_paused_filled_sharp': notifications_paused_filled_sharp,
    'notifications_paused_filled': notifications_paused_filled,
    'notifications_paused_outlined': notifications_paused_outlined,
    'notifications_paused_sharp': notifications_paused_sharp,
    'notifications_paused': notifications_paused,
    'notifications_sharp': notifications_sharp,
    'notifications': notifications,
    'numbers_filled_outlined': numbers_filled_outlined,
    'numbers_filled_sharp': numbers_filled_sharp,
    'numbers_filled': numbers_filled,
    'numbers_outlined': numbers_outlined,
    'numbers_sharp': numbers_sharp,
    'numbers': numbers,
    'nutrition_filled_outlined': nutrition_filled_outlined,
    'nutrition_filled_sharp': nutrition_filled_sharp,
    'nutrition_filled': nutrition_filled,
    'nutrition_outlined': nutrition_outlined,
    'nutrition_sharp': nutrition_sharp,
    'nutrition': nutrition,
    'offline_bolt_filled_outlined': offline_bolt_filled_outlined,
    'offline_bolt_filled_sharp': offline_bolt_filled_sharp,
    'offline_bolt_filled': offline_bolt_filled,
    'offline_bolt_outlined': offline_bolt_outlined,
    'offline_bolt_sharp': offline_bolt_sharp,
    'offline_bolt': offline_bolt,
    'offline_pin_filled_outlined': offline_pin_filled_outlined,
    'offline_pin_filled_sharp': offline_pin_filled_sharp,
    'offline_pin_filled': offline_pin_filled,
    'offline_pin_outlined': offline_pin_outlined,
    'offline_pin_sharp': offline_pin_sharp,
    'offline_pin': offline_pin,
    'offline_share_filled_outlined': offline_share_filled_outlined,
    'offline_share_filled_sharp': offline_share_filled_sharp,
    'offline_share_filled': offline_share_filled,
    'offline_share_outlined': offline_share_outlined,
    'offline_share_sharp': offline_share_sharp,
    'offline_share': offline_share,
    'oil_barrel_filled_outlined': oil_barrel_filled_outlined,
    'oil_barrel_filled_sharp': oil_barrel_filled_sharp,
    'oil_barrel_filled': oil_barrel_filled,
    'oil_barrel_outlined': oil_barrel_outlined,
    'oil_barrel_sharp': oil_barrel_sharp,
    'oil_barrel': oil_barrel,
    'on_device_training_filled_outlined': on_device_training_filled_outlined,
    'on_device_training_filled_sharp': on_device_training_filled_sharp,
    'on_device_training_filled': on_device_training_filled,
    'on_device_training_outlined': on_device_training_outlined,
    'on_device_training_sharp': on_device_training_sharp,
    'on_device_training': on_device_training,
    'oncology_filled_outlined': oncology_filled_outlined,
    'oncology_filled_sharp': oncology_filled_sharp,
    'oncology_filled': oncology_filled,
    'oncology_outlined': oncology_outlined,
    'oncology_sharp': oncology_sharp,
    'oncology': oncology,
    'online_prediction_filled_outlined': online_prediction_filled_outlined,
    'online_prediction_filled_sharp': online_prediction_filled_sharp,
    'online_prediction_filled': online_prediction_filled,
    'online_prediction_outlined': online_prediction_outlined,
    'online_prediction_sharp': online_prediction_sharp,
    'online_prediction': online_prediction,
    'opacity_filled_outlined': opacity_filled_outlined,
    'opacity_filled_sharp': opacity_filled_sharp,
    'opacity_filled': opacity_filled,
    'opacity_outlined': opacity_outlined,
    'opacity_sharp': opacity_sharp,
    'opacity': opacity,
    'open_in_browser_filled_outlined': open_in_browser_filled_outlined,
    'open_in_browser_filled_sharp': open_in_browser_filled_sharp,
    'open_in_browser_filled': open_in_browser_filled,
    'open_in_browser_outlined': open_in_browser_outlined,
    'open_in_browser_sharp': open_in_browser_sharp,
    'open_in_browser': open_in_browser,
    'open_in_full_filled_outlined': open_in_full_filled_outlined,
    'open_in_full_filled_sharp': open_in_full_filled_sharp,
    'open_in_full_filled': open_in_full_filled,
    'open_in_full_outlined': open_in_full_outlined,
    'open_in_full_sharp': open_in_full_sharp,
    'open_in_full': open_in_full,
    'open_in_new_filled_outlined': open_in_new_filled_outlined,
    'open_in_new_filled_sharp': open_in_new_filled_sharp,
    'open_in_new_filled': open_in_new_filled,
    'open_in_new_off_filled_outlined': open_in_new_off_filled_outlined,
    'open_in_new_off_filled_sharp': open_in_new_off_filled_sharp,
    'open_in_new_off_filled': open_in_new_off_filled,
    'open_in_new_off_outlined': open_in_new_off_outlined,
    'open_in_new_off_sharp': open_in_new_off_sharp,
    'open_in_new_off': open_in_new_off,
    'open_in_new_outlined': open_in_new_outlined,
    'open_in_new_sharp': open_in_new_sharp,
    'open_in_new': open_in_new,
    'open_with_filled_outlined': open_with_filled_outlined,
    'open_with_filled_sharp': open_with_filled_sharp,
    'open_with_filled': open_with_filled,
    'open_with_outlined': open_with_outlined,
    'open_with_sharp': open_with_sharp,
    'open_with': open_with,
    'ophthalmology_filled_outlined': ophthalmology_filled_outlined,
    'ophthalmology_filled_sharp': ophthalmology_filled_sharp,
    'ophthalmology_filled': ophthalmology_filled,
    'ophthalmology_outlined': ophthalmology_outlined,
    'ophthalmology_sharp': ophthalmology_sharp,
    'ophthalmology': ophthalmology,
    'oral_disease_filled_outlined': oral_disease_filled_outlined,
    'oral_disease_filled_sharp': oral_disease_filled_sharp,
    'oral_disease_filled': oral_disease_filled,
    'oral_disease_outlined': oral_disease_outlined,
    'oral_disease_sharp': oral_disease_sharp,
    'oral_disease': oral_disease,
    'order_approve_filled_outlined': order_approve_filled_outlined,
    'order_approve_filled_sharp': order_approve_filled_sharp,
    'order_approve_filled': order_approve_filled,
    'order_approve_outlined': order_approve_outlined,
    'order_approve_sharp': order_approve_sharp,
    'order_approve': order_approve,
    'order_play_filled_outlined': order_play_filled_outlined,
    'order_play_filled_sharp': order_play_filled_sharp,
    'order_play_filled': order_play_filled,
    'order_play_outlined': order_play_outlined,
    'order_play_sharp': order_play_sharp,
    'order_play': order_play,
    'orthopedics_filled_outlined': orthopedics_filled_outlined,
    'orthopedics_filled_sharp': orthopedics_filled_sharp,
    'orthopedics_filled': orthopedics_filled,
    'orthopedics_outlined': orthopedics_outlined,
    'orthopedics_sharp': orthopedics_sharp,
    'orthopedics': orthopedics,
    'other_admission_filled_outlined': other_admission_filled_outlined,
    'other_admission_filled_sharp': other_admission_filled_sharp,
    'other_admission_filled': other_admission_filled,
    'other_admission_outlined': other_admission_outlined,
    'other_admission_sharp': other_admission_sharp,
    'other_admission': other_admission,
    'other_houses_filled_outlined': other_houses_filled_outlined,
    'other_houses_filled_sharp': other_houses_filled_sharp,
    'other_houses_filled': other_houses_filled,
    'other_houses_outlined': other_houses_outlined,
    'other_houses_sharp': other_houses_sharp,
    'other_houses': other_houses,
    'outbound_filled_outlined': outbound_filled_outlined,
    'outbound_filled_sharp': outbound_filled_sharp,
    'outbound_filled': outbound_filled,
    'outbound_outlined': outbound_outlined,
    'outbound_sharp': outbound_sharp,
    'outbound': outbound,
    'outbox_filled_outlined': outbox_filled_outlined,
    'outbox_filled_sharp': outbox_filled_sharp,
    'outbox_filled': outbox_filled,
    'outbox_outlined': outbox_outlined,
    'outbox_sharp': outbox_sharp,
    'outbox': outbox,
    'outdoor_garden_filled_outlined': outdoor_garden_filled_outlined,
    'outdoor_garden_filled_sharp': outdoor_garden_filled_sharp,
    'outdoor_garden_filled': outdoor_garden_filled,
    'outdoor_garden_outlined': outdoor_garden_outlined,
    'outdoor_garden_sharp': outdoor_garden_sharp,
    'outdoor_garden': outdoor_garden,
    'outdoor_grill_filled_outlined': outdoor_grill_filled_outlined,
    'outdoor_grill_filled_sharp': outdoor_grill_filled_sharp,
    'outdoor_grill_filled': outdoor_grill_filled,
    'outdoor_grill_outlined': outdoor_grill_outlined,
    'outdoor_grill_sharp': outdoor_grill_sharp,
    'outdoor_grill': outdoor_grill,
    'outgoing_mail_filled_outlined': outgoing_mail_filled_outlined,
    'outgoing_mail_filled_sharp': outgoing_mail_filled_sharp,
    'outgoing_mail_filled': outgoing_mail_filled,
    'outgoing_mail_outlined': outgoing_mail_outlined,
    'outgoing_mail_sharp': outgoing_mail_sharp,
    'outgoing_mail': outgoing_mail,
    'outlet_filled_outlined': outlet_filled_outlined,
    'outlet_filled_sharp': outlet_filled_sharp,
    'outlet_filled': outlet_filled,
    'outlet_outlined': outlet_outlined,
    'outlet_sharp': outlet_sharp,
    'outlet': outlet,
    'outpatient_filled_outlined': outpatient_filled_outlined,
    'outpatient_filled_sharp': outpatient_filled_sharp,
    'outpatient_filled': outpatient_filled,
    'outpatient_med_filled_outlined': outpatient_med_filled_outlined,
    'outpatient_med_filled_sharp': outpatient_med_filled_sharp,
    'outpatient_med_filled': outpatient_med_filled,
    'outpatient_med_outlined': outpatient_med_outlined,
    'outpatient_med_sharp': outpatient_med_sharp,
    'outpatient_med': outpatient_med,
    'outpatient_outlined': outpatient_outlined,
    'outpatient_sharp': outpatient_sharp,
    'outpatient': outpatient,
    'output_filled_outlined': output_filled_outlined,
    'output_filled_sharp': output_filled_sharp,
    'output_filled': output_filled,
    'output_outlined': output_outlined,
    'output_sharp': output_sharp,
    'output': output,
    'oven_gen_filled_outlined': oven_gen_filled_outlined,
    'oven_gen_filled_sharp': oven_gen_filled_sharp,
    'oven_gen_filled': oven_gen_filled,
    'oven_gen_outlined': oven_gen_outlined,
    'oven_gen_sharp': oven_gen_sharp,
    'oven_gen': oven_gen,
    'overview_filled_outlined': overview_filled_outlined,
    'overview_filled_sharp': overview_filled_sharp,
    'overview_filled': overview_filled,
    'overview_outlined': overview_outlined,
    'overview_sharp': overview_sharp,
    'overview': overview,
    'pacemaker_filled_outlined': pacemaker_filled_outlined,
    'pacemaker_filled_sharp': pacemaker_filled_sharp,
    'pacemaker_filled': pacemaker_filled,
    'pacemaker_outlined': pacemaker_outlined,
    'pacemaker_sharp': pacemaker_sharp,
    'pacemaker': pacemaker,
    'package_filled_outlined': package_filled_outlined,
    'package_filled_sharp': package_filled_sharp,
    'package_filled': package_filled,
    'package_outlined': package_outlined,
    'package_sharp': package_sharp,
    'package': package,
    'padding_filled_outlined': padding_filled_outlined,
    'padding_filled_sharp': padding_filled_sharp,
    'padding_filled': padding_filled,
    'padding_outlined': padding_outlined,
    'padding_sharp': padding_sharp,
    'padding': padding,
    'pages_filled_outlined': pages_filled_outlined,
    'pages_filled_sharp': pages_filled_sharp,
    'pages_filled': pages_filled,
    'pages_outlined': pages_outlined,
    'pages_sharp': pages_sharp,
    'pages': pages,
    'pageview_filled_outlined': pageview_filled_outlined,
    'pageview_filled_sharp': pageview_filled_sharp,
    'pageview_filled': pageview_filled,
    'pageview_outlined': pageview_outlined,
    'pageview_sharp': pageview_sharp,
    'pageview': pageview,
    'paid_filled_outlined': paid_filled_outlined,
    'paid_filled_sharp': paid_filled_sharp,
    'paid_filled': paid_filled,
    'paid_outlined': paid_outlined,
    'paid_sharp': paid_sharp,
    'paid': paid,
    'palette_filled_outlined': palette_filled_outlined,
    'palette_filled_sharp': palette_filled_sharp,
    'palette_filled': palette_filled,
    'palette_outlined': palette_outlined,
    'palette_sharp': palette_sharp,
    'palette': palette,
    'pallet_filled_outlined': pallet_filled_outlined,
    'pallet_filled_sharp': pallet_filled_sharp,
    'pallet_filled': pallet_filled,
    'pallet_outlined': pallet_outlined,
    'pallet_sharp': pallet_sharp,
    'pallet': pallet,
    'pan_tool_alt_filled_outlined': pan_tool_alt_filled_outlined,
    'pan_tool_alt_filled_sharp': pan_tool_alt_filled_sharp,
    'pan_tool_alt_filled': pan_tool_alt_filled,
    'pan_tool_alt_outlined': pan_tool_alt_outlined,
    'pan_tool_alt_sharp': pan_tool_alt_sharp,
    'pan_tool_alt': pan_tool_alt,
    'pan_tool_filled_outlined': pan_tool_filled_outlined,
    'pan_tool_filled_sharp': pan_tool_filled_sharp,
    'pan_tool_filled': pan_tool_filled,
    'pan_tool_outlined': pan_tool_outlined,
    'pan_tool_sharp': pan_tool_sharp,
    'pan_tool': pan_tool,
    'panorama_filled_outlined': panorama_filled_outlined,
    'panorama_filled_sharp': panorama_filled_sharp,
    'panorama_filled': panorama_filled,
    'panorama_fish_eye_filled_outlined': panorama_fish_eye_filled_outlined,
    'panorama_fish_eye_filled_sharp': panorama_fish_eye_filled_sharp,
    'panorama_fish_eye_filled': panorama_fish_eye_filled,
    'panorama_fish_eye_outlined': panorama_fish_eye_outlined,
    'panorama_fish_eye_sharp': panorama_fish_eye_sharp,
    'panorama_fish_eye': panorama_fish_eye,
    'panorama_horizontal_filled_outlined': panorama_horizontal_filled_outlined,
    'panorama_horizontal_filled_sharp': panorama_horizontal_filled_sharp,
    'panorama_horizontal_filled': panorama_horizontal_filled,
    'panorama_horizontal_outlined': panorama_horizontal_outlined,
    'panorama_horizontal_sharp': panorama_horizontal_sharp,
    'panorama_horizontal': panorama_horizontal,
    'panorama_outlined': panorama_outlined,
    'panorama_photosphere_filled_outlined':
        panorama_photosphere_filled_outlined,
    'panorama_photosphere_filled_sharp': panorama_photosphere_filled_sharp,
    'panorama_photosphere_filled': panorama_photosphere_filled,
    'panorama_photosphere_outlined': panorama_photosphere_outlined,
    'panorama_photosphere_sharp': panorama_photosphere_sharp,
    'panorama_photosphere': panorama_photosphere,
    'panorama_sharp': panorama_sharp,
    'panorama_vertical_filled_outlined': panorama_vertical_filled_outlined,
    'panorama_vertical_filled_sharp': panorama_vertical_filled_sharp,
    'panorama_vertical_filled': panorama_vertical_filled,
    'panorama_vertical_outlined': panorama_vertical_outlined,
    'panorama_vertical_sharp': panorama_vertical_sharp,
    'panorama_vertical': panorama_vertical,
    'panorama_wide_angle_filled_outlined': panorama_wide_angle_filled_outlined,
    'panorama_wide_angle_filled_sharp': panorama_wide_angle_filled_sharp,
    'panorama_wide_angle_filled': panorama_wide_angle_filled,
    'panorama_wide_angle_outlined': panorama_wide_angle_outlined,
    'panorama_wide_angle_sharp': panorama_wide_angle_sharp,
    'panorama_wide_angle': panorama_wide_angle,
    'panorama': panorama,
    'paragliding_filled_outlined': paragliding_filled_outlined,
    'paragliding_filled_sharp': paragliding_filled_sharp,
    'paragliding_filled': paragliding_filled,
    'paragliding_outlined': paragliding_outlined,
    'paragliding_sharp': paragliding_sharp,
    'paragliding': paragliding,
    'park_filled_outlined': park_filled_outlined,
    'park_filled_sharp': park_filled_sharp,
    'park_filled': park_filled,
    'park_outlined': park_outlined,
    'park_sharp': park_sharp,
    'park': park,
    'partly_cloudy_day_filled_outlined': partly_cloudy_day_filled_outlined,
    'partly_cloudy_day_filled_sharp': partly_cloudy_day_filled_sharp,
    'partly_cloudy_day_filled': partly_cloudy_day_filled,
    'partly_cloudy_day_outlined': partly_cloudy_day_outlined,
    'partly_cloudy_day_sharp': partly_cloudy_day_sharp,
    'partly_cloudy_day': partly_cloudy_day,
    'partly_cloudy_night_filled_outlined': partly_cloudy_night_filled_outlined,
    'partly_cloudy_night_filled_sharp': partly_cloudy_night_filled_sharp,
    'partly_cloudy_night_filled': partly_cloudy_night_filled,
    'partly_cloudy_night_outlined': partly_cloudy_night_outlined,
    'partly_cloudy_night_sharp': partly_cloudy_night_sharp,
    'partly_cloudy_night': partly_cloudy_night,
    'party_mode_filled_outlined': party_mode_filled_outlined,
    'party_mode_filled_sharp': party_mode_filled_sharp,
    'party_mode_filled': party_mode_filled,
    'party_mode_outlined': party_mode_outlined,
    'party_mode_sharp': party_mode_sharp,
    'party_mode': party_mode,
    'password_filled_outlined': password_filled_outlined,
    'password_filled_sharp': password_filled_sharp,
    'password_filled': password_filled,
    'password_outlined': password_outlined,
    'password_sharp': password_sharp,
    'password': password,
    'patient_list_filled_outlined': patient_list_filled_outlined,
    'patient_list_filled_sharp': patient_list_filled_sharp,
    'patient_list_filled': patient_list_filled,
    'patient_list_outlined': patient_list_outlined,
    'patient_list_sharp': patient_list_sharp,
    'patient_list': patient_list,
    'pattern_filled_outlined': pattern_filled_outlined,
    'pattern_filled_sharp': pattern_filled_sharp,
    'pattern_filled': pattern_filled,
    'pattern_outlined': pattern_outlined,
    'pattern_sharp': pattern_sharp,
    'pattern': pattern,
    'pause_circle_filled_outlined': pause_circle_filled_outlined,
    'pause_circle_filled_sharp': pause_circle_filled_sharp,
    'pause_circle_filled': pause_circle_filled,
    'pause_circle_outlined': pause_circle_outlined,
    'pause_circle_sharp': pause_circle_sharp,
    'pause_circle': pause_circle,
    'pause_filled_outlined': pause_filled_outlined,
    'pause_filled_sharp': pause_filled_sharp,
    'pause_filled': pause_filled,
    'pause_outlined': pause_outlined,
    'pause_presentation_filled_outlined': pause_presentation_filled_outlined,
    'pause_presentation_filled_sharp': pause_presentation_filled_sharp,
    'pause_presentation_filled': pause_presentation_filled,
    'pause_presentation_outlined': pause_presentation_outlined,
    'pause_presentation_sharp': pause_presentation_sharp,
    'pause_presentation': pause_presentation,
    'pause_sharp': pause_sharp,
    'pause': pause,
    'payments_filled_outlined': payments_filled_outlined,
    'payments_filled_sharp': payments_filled_sharp,
    'payments_filled': payments_filled,
    'payments_outlined': payments_outlined,
    'payments_sharp': payments_sharp,
    'payments': payments,
    'pedal_bike_filled_outlined': pedal_bike_filled_outlined,
    'pedal_bike_filled_sharp': pedal_bike_filled_sharp,
    'pedal_bike_filled': pedal_bike_filled,
    'pedal_bike_outlined': pedal_bike_outlined,
    'pedal_bike_sharp': pedal_bike_sharp,
    'pedal_bike': pedal_bike,
    'pediatrics_filled_outlined': pediatrics_filled_outlined,
    'pediatrics_filled_sharp': pediatrics_filled_sharp,
    'pediatrics_filled': pediatrics_filled,
    'pediatrics_outlined': pediatrics_outlined,
    'pediatrics_sharp': pediatrics_sharp,
    'pediatrics': pediatrics,
    'pending_actions_filled_outlined': pending_actions_filled_outlined,
    'pending_actions_filled_sharp': pending_actions_filled_sharp,
    'pending_actions_filled': pending_actions_filled,
    'pending_actions_outlined': pending_actions_outlined,
    'pending_actions_sharp': pending_actions_sharp,
    'pending_actions': pending_actions,
    'pending_filled_outlined': pending_filled_outlined,
    'pending_filled_sharp': pending_filled_sharp,
    'pending_filled': pending_filled,
    'pending_outlined': pending_outlined,
    'pending_sharp': pending_sharp,
    'pending': pending,
    'pentagon_filled_outlined': pentagon_filled_outlined,
    'pentagon_filled_sharp': pentagon_filled_sharp,
    'pentagon_filled': pentagon_filled,
    'pentagon_outlined': pentagon_outlined,
    'pentagon_sharp': pentagon_sharp,
    'pentagon': pentagon,
    'percent_filled_outlined': percent_filled_outlined,
    'percent_filled_sharp': percent_filled_sharp,
    'percent_filled': percent_filled,
    'percent_outlined': percent_outlined,
    'percent_sharp': percent_sharp,
    'percent': percent,
    'pergola_filled_outlined': pergola_filled_outlined,
    'pergola_filled_sharp': pergola_filled_sharp,
    'pergola_filled': pergola_filled,
    'pergola_outlined': pergola_outlined,
    'pergola_sharp': pergola_sharp,
    'pergola': pergola,
    'perm_camera_mic_filled_outlined': perm_camera_mic_filled_outlined,
    'perm_camera_mic_filled_sharp': perm_camera_mic_filled_sharp,
    'perm_camera_mic_filled': perm_camera_mic_filled,
    'perm_camera_mic_outlined': perm_camera_mic_outlined,
    'perm_camera_mic_sharp': perm_camera_mic_sharp,
    'perm_camera_mic': perm_camera_mic,
    'perm_contact_calendar_filled_outlined':
        perm_contact_calendar_filled_outlined,
    'perm_contact_calendar_filled_sharp': perm_contact_calendar_filled_sharp,
    'perm_contact_calendar_filled': perm_contact_calendar_filled,
    'perm_contact_calendar_outlined': perm_contact_calendar_outlined,
    'perm_contact_calendar_sharp': perm_contact_calendar_sharp,
    'perm_contact_calendar': perm_contact_calendar,
    'perm_data_setting_filled_outlined': perm_data_setting_filled_outlined,
    'perm_data_setting_filled_sharp': perm_data_setting_filled_sharp,
    'perm_data_setting_filled': perm_data_setting_filled,
    'perm_data_setting_outlined': perm_data_setting_outlined,
    'perm_data_setting_sharp': perm_data_setting_sharp,
    'perm_data_setting': perm_data_setting,
    'perm_device_information_filled_outlined':
        perm_device_information_filled_outlined,
    'perm_device_information_filled_sharp':
        perm_device_information_filled_sharp,
    'perm_device_information_filled': perm_device_information_filled,
    'perm_device_information_outlined': perm_device_information_outlined,
    'perm_device_information_sharp': perm_device_information_sharp,
    'perm_device_information': perm_device_information,
    'perm_media_filled_outlined': perm_media_filled_outlined,
    'perm_media_filled_sharp': perm_media_filled_sharp,
    'perm_media_filled': perm_media_filled,
    'perm_media_outlined': perm_media_outlined,
    'perm_media_sharp': perm_media_sharp,
    'perm_media': perm_media,
    'perm_phone_msg_filled_outlined': perm_phone_msg_filled_outlined,
    'perm_phone_msg_filled_sharp': perm_phone_msg_filled_sharp,
    'perm_phone_msg_filled': perm_phone_msg_filled,
    'perm_phone_msg_outlined': perm_phone_msg_outlined,
    'perm_phone_msg_sharp': perm_phone_msg_sharp,
    'perm_phone_msg': perm_phone_msg,
    'perm_scan_wifi_filled_outlined': perm_scan_wifi_filled_outlined,
    'perm_scan_wifi_filled_sharp': perm_scan_wifi_filled_sharp,
    'perm_scan_wifi_filled': perm_scan_wifi_filled,
    'perm_scan_wifi_outlined': perm_scan_wifi_outlined,
    'perm_scan_wifi_sharp': perm_scan_wifi_sharp,
    'perm_scan_wifi': perm_scan_wifi,
    'person_2_filled_outlined': person_2_filled_outlined,
    'person_2_filled_sharp': person_2_filled_sharp,
    'person_2_filled': person_2_filled,
    'person_2_outlined': person_2_outlined,
    'person_2_sharp': person_2_sharp,
    'person_2': person_2,
    'person_3_filled_outlined': person_3_filled_outlined,
    'person_3_filled_sharp': person_3_filled_sharp,
    'person_3_filled': person_3_filled,
    'person_3_outlined': person_3_outlined,
    'person_3_sharp': person_3_sharp,
    'person_3': person_3,
    'person_4_filled_outlined': person_4_filled_outlined,
    'person_4_filled_sharp': person_4_filled_sharp,
    'person_4_filled': person_4_filled,
    'person_4_outlined': person_4_outlined,
    'person_4_sharp': person_4_sharp,
    'person_4': person_4,
    'person_add_disabled_filled_outlined': person_add_disabled_filled_outlined,
    'person_add_disabled_filled_sharp': person_add_disabled_filled_sharp,
    'person_add_disabled_filled': person_add_disabled_filled,
    'person_add_disabled_outlined': person_add_disabled_outlined,
    'person_add_disabled_sharp': person_add_disabled_sharp,
    'person_add_disabled': person_add_disabled,
    'person_add_filled_outlined': person_add_filled_outlined,
    'person_add_filled_sharp': person_add_filled_sharp,
    'person_add_filled': person_add_filled,
    'person_add_outlined': person_add_outlined,
    'person_add_sharp': person_add_sharp,
    'person_add': person_add,
    'person_filled_2_outlined': person_filled_2_outlined,
    'person_filled_2_sharp': person_filled_2_sharp,
    'person_filled_2': person_filled_2,
    'person_filled_filled_outlined': person_filled_filled_outlined,
    'person_filled_filled_sharp': person_filled_filled_sharp,
    'person_filled_filled': person_filled_filled,
    'person_filled_outlined': person_filled_outlined,
    'person_filled_sharp': person_filled_sharp,
    'person_filled': person_filled,
    'person_off_filled_outlined': person_off_filled_outlined,
    'person_off_filled_sharp': person_off_filled_sharp,
    'person_off_filled': person_off_filled,
    'person_off_outlined': person_off_outlined,
    'person_off_sharp': person_off_sharp,
    'person_off': person_off,
    'person_outlined': person_outlined,
    'person_pin_circle_filled_outlined': person_pin_circle_filled_outlined,
    'person_pin_circle_filled_sharp': person_pin_circle_filled_sharp,
    'person_pin_circle_filled': person_pin_circle_filled,
    'person_pin_circle_outlined': person_pin_circle_outlined,
    'person_pin_circle_sharp': person_pin_circle_sharp,
    'person_pin_circle': person_pin_circle,
    'person_pin_filled_outlined': person_pin_filled_outlined,
    'person_pin_filled_sharp': person_pin_filled_sharp,
    'person_pin_filled': person_pin_filled,
    'person_pin_outlined': person_pin_outlined,
    'person_pin_sharp': person_pin_sharp,
    'person_pin': person_pin,
    'person_remove_filled_outlined': person_remove_filled_outlined,
    'person_remove_filled_sharp': person_remove_filled_sharp,
    'person_remove_filled': person_remove_filled,
    'person_remove_outlined': person_remove_outlined,
    'person_remove_sharp': person_remove_sharp,
    'person_remove': person_remove,
    'person_search_filled_outlined': person_search_filled_outlined,
    'person_search_filled_sharp': person_search_filled_sharp,
    'person_search_filled': person_search_filled,
    'person_search_outlined': person_search_outlined,
    'person_search_sharp': person_search_sharp,
    'person_search': person_search,
    'person_sharp': person_sharp,
    'person': person,
    'personal_injury_filled_outlined': personal_injury_filled_outlined,
    'personal_injury_filled_sharp': personal_injury_filled_sharp,
    'personal_injury_filled': personal_injury_filled,
    'personal_injury_outlined': personal_injury_outlined,
    'personal_injury_sharp': personal_injury_sharp,
    'personal_injury': personal_injury,
    'pest_control_filled_outlined': pest_control_filled_outlined,
    'pest_control_filled_sharp': pest_control_filled_sharp,
    'pest_control_filled': pest_control_filled,
    'pest_control_outlined': pest_control_outlined,
    'pest_control_rodent_filled_outlined': pest_control_rodent_filled_outlined,
    'pest_control_rodent_filled_sharp': pest_control_rodent_filled_sharp,
    'pest_control_rodent_filled': pest_control_rodent_filled,
    'pest_control_rodent_outlined': pest_control_rodent_outlined,
    'pest_control_rodent_sharp': pest_control_rodent_sharp,
    'pest_control_rodent': pest_control_rodent,
    'pest_control_sharp': pest_control_sharp,
    'pest_control': pest_control,
    'pets_filled_outlined': pets_filled_outlined,
    'pets_filled_sharp': pets_filled_sharp,
    'pets_filled': pets_filled,
    'pets_outlined': pets_outlined,
    'pets_sharp': pets_sharp,
    'pets': pets,
    'phishing_filled_outlined': phishing_filled_outlined,
    'phishing_filled_sharp': phishing_filled_sharp,
    'phishing_filled': phishing_filled,
    'phishing_outlined': phishing_outlined,
    'phishing_sharp': phishing_sharp,
    'phishing': phishing,
    'phone_android_filled_outlined': phone_android_filled_outlined,
    'phone_android_filled_sharp': phone_android_filled_sharp,
    'phone_android_filled': phone_android_filled,
    'phone_android_outlined': phone_android_outlined,
    'phone_android_sharp': phone_android_sharp,
    'phone_android': phone_android,
    'phone_bluetooth_speaker_filled_outlined':
        phone_bluetooth_speaker_filled_outlined,
    'phone_bluetooth_speaker_filled_sharp':
        phone_bluetooth_speaker_filled_sharp,
    'phone_bluetooth_speaker_filled': phone_bluetooth_speaker_filled,
    'phone_bluetooth_speaker_outlined': phone_bluetooth_speaker_outlined,
    'phone_bluetooth_speaker_sharp': phone_bluetooth_speaker_sharp,
    'phone_bluetooth_speaker': phone_bluetooth_speaker,
    'phone_callback_filled_outlined': phone_callback_filled_outlined,
    'phone_callback_filled_sharp': phone_callback_filled_sharp,
    'phone_callback_filled': phone_callback_filled,
    'phone_callback_outlined': phone_callback_outlined,
    'phone_callback_sharp': phone_callback_sharp,
    'phone_callback': phone_callback,
    'phone_disabled_filled_outlined': phone_disabled_filled_outlined,
    'phone_disabled_filled_sharp': phone_disabled_filled_sharp,
    'phone_disabled_filled': phone_disabled_filled,
    'phone_disabled_outlined': phone_disabled_outlined,
    'phone_disabled_sharp': phone_disabled_sharp,
    'phone_disabled': phone_disabled,
    'phone_enabled_filled_outlined': phone_enabled_filled_outlined,
    'phone_enabled_filled_sharp': phone_enabled_filled_sharp,
    'phone_enabled_filled': phone_enabled_filled,
    'phone_enabled_outlined': phone_enabled_outlined,
    'phone_enabled_sharp': phone_enabled_sharp,
    'phone_enabled': phone_enabled,
    'phone_forwarded_filled_outlined': phone_forwarded_filled_outlined,
    'phone_forwarded_filled_sharp': phone_forwarded_filled_sharp,
    'phone_forwarded_filled': phone_forwarded_filled,
    'phone_forwarded_outlined': phone_forwarded_outlined,
    'phone_forwarded_sharp': phone_forwarded_sharp,
    'phone_forwarded': phone_forwarded,
    'phone_in_talk_filled_outlined': phone_in_talk_filled_outlined,
    'phone_in_talk_filled_sharp': phone_in_talk_filled_sharp,
    'phone_in_talk_filled': phone_in_talk_filled,
    'phone_in_talk_outlined': phone_in_talk_outlined,
    'phone_in_talk_sharp': phone_in_talk_sharp,
    'phone_in_talk_watchface_indicator_filled_outlined':
        phone_in_talk_watchface_indicator_filled_outlined,
    'phone_in_talk_watchface_indicator_filled_sharp':
        phone_in_talk_watchface_indicator_filled_sharp,
    'phone_in_talk_watchface_indicator_filled':
        phone_in_talk_watchface_indicator_filled,
    'phone_in_talk_watchface_indicator_outlined':
        phone_in_talk_watchface_indicator_outlined,
    'phone_in_talk_watchface_indicator_sharp':
        phone_in_talk_watchface_indicator_sharp,
    'phone_in_talk_watchface_indicator': phone_in_talk_watchface_indicator,
    'phone_in_talk': phone_in_talk,
    'phone_iphone_filled_outlined': phone_iphone_filled_outlined,
    'phone_iphone_filled_sharp': phone_iphone_filled_sharp,
    'phone_iphone_filled': phone_iphone_filled,
    'phone_iphone_outlined': phone_iphone_outlined,
    'phone_iphone_sharp': phone_iphone_sharp,
    'phone_iphone': phone_iphone,
    'phone_locked_filled_outlined': phone_locked_filled_outlined,
    'phone_locked_filled_sharp': phone_locked_filled_sharp,
    'phone_locked_filled': phone_locked_filled,
    'phone_locked_outlined': phone_locked_outlined,
    'phone_locked_sharp': phone_locked_sharp,
    'phone_locked': phone_locked,
    'phone_missed_filled_outlined': phone_missed_filled_outlined,
    'phone_missed_filled_sharp': phone_missed_filled_sharp,
    'phone_missed_filled': phone_missed_filled,
    'phone_missed_outlined': phone_missed_outlined,
    'phone_missed_sharp': phone_missed_sharp,
    'phone_missed': phone_missed,
    'phone_paused_filled_outlined': phone_paused_filled_outlined,
    'phone_paused_filled_sharp': phone_paused_filled_sharp,
    'phone_paused_filled': phone_paused_filled,
    'phone_paused_outlined': phone_paused_outlined,
    'phone_paused_sharp': phone_paused_sharp,
    'phone_paused': phone_paused,
    'phonelink_erase_filled_outlined': phonelink_erase_filled_outlined,
    'phonelink_erase_filled_sharp': phonelink_erase_filled_sharp,
    'phonelink_erase_filled': phonelink_erase_filled,
    'phonelink_erase_outlined': phonelink_erase_outlined,
    'phonelink_erase_sharp': phonelink_erase_sharp,
    'phonelink_erase': phonelink_erase,
    'phonelink_lock_filled_outlined': phonelink_lock_filled_outlined,
    'phonelink_lock_filled_sharp': phonelink_lock_filled_sharp,
    'phonelink_lock_filled': phonelink_lock_filled,
    'phonelink_lock_outlined': phonelink_lock_outlined,
    'phonelink_lock_sharp': phonelink_lock_sharp,
    'phonelink_lock': phonelink_lock,
    'phonelink_off_filled_outlined': phonelink_off_filled_outlined,
    'phonelink_off_filled_sharp': phonelink_off_filled_sharp,
    'phonelink_off_filled': phonelink_off_filled,
    'phonelink_off_outlined': phonelink_off_outlined,
    'phonelink_off_sharp': phonelink_off_sharp,
    'phonelink_off': phonelink_off,
    'phonelink_ring_filled_outlined': phonelink_ring_filled_outlined,
    'phonelink_ring_filled_sharp': phonelink_ring_filled_sharp,
    'phonelink_ring_filled': phonelink_ring_filled,
    'phonelink_ring_outlined': phonelink_ring_outlined,
    'phonelink_ring_sharp': phonelink_ring_sharp,
    'phonelink_ring': phonelink_ring,
    'phonelink_setup_filled_outlined': phonelink_setup_filled_outlined,
    'phonelink_setup_filled_sharp': phonelink_setup_filled_sharp,
    'phonelink_setup_filled': phonelink_setup_filled,
    'phonelink_setup_outlined': phonelink_setup_outlined,
    'phonelink_setup_sharp': phonelink_setup_sharp,
    'phonelink_setup': phonelink_setup,
    'photo_album_filled_outlined': photo_album_filled_outlined,
    'photo_album_filled_sharp': photo_album_filled_sharp,
    'photo_album_filled': photo_album_filled,
    'photo_album_outlined': photo_album_outlined,
    'photo_album_sharp': photo_album_sharp,
    'photo_album': photo_album,
    'photo_camera_back_filled_outlined': photo_camera_back_filled_outlined,
    'photo_camera_back_filled_sharp': photo_camera_back_filled_sharp,
    'photo_camera_back_filled': photo_camera_back_filled,
    'photo_camera_back_outlined': photo_camera_back_outlined,
    'photo_camera_back_sharp': photo_camera_back_sharp,
    'photo_camera_back': photo_camera_back,
    'photo_camera_filled_outlined': photo_camera_filled_outlined,
    'photo_camera_filled_sharp': photo_camera_filled_sharp,
    'photo_camera_filled': photo_camera_filled,
    'photo_camera_front_filled_outlined': photo_camera_front_filled_outlined,
    'photo_camera_front_filled_sharp': photo_camera_front_filled_sharp,
    'photo_camera_front_filled': photo_camera_front_filled,
    'photo_camera_front_outlined': photo_camera_front_outlined,
    'photo_camera_front_sharp': photo_camera_front_sharp,
    'photo_camera_front': photo_camera_front,
    'photo_camera_outlined': photo_camera_outlined,
    'photo_camera_sharp': photo_camera_sharp,
    'photo_camera': photo_camera,
    'photo_filled_outlined': photo_filled_outlined,
    'photo_filled_sharp': photo_filled_sharp,
    'photo_filled': photo_filled,
    'photo_filter_filled_outlined': photo_filter_filled_outlined,
    'photo_filter_filled_sharp': photo_filter_filled_sharp,
    'photo_filter_filled': photo_filter_filled,
    'photo_filter_outlined': photo_filter_outlined,
    'photo_filter_sharp': photo_filter_sharp,
    'photo_filter': photo_filter,
    'photo_frame_filled_outlined': photo_frame_filled_outlined,
    'photo_frame_filled_sharp': photo_frame_filled_sharp,
    'photo_frame_filled': photo_frame_filled,
    'photo_frame_outlined': photo_frame_outlined,
    'photo_frame_sharp': photo_frame_sharp,
    'photo_frame': photo_frame,
    'photo_library_filled_outlined': photo_library_filled_outlined,
    'photo_library_filled_sharp': photo_library_filled_sharp,
    'photo_library_filled': photo_library_filled,
    'photo_library_outlined': photo_library_outlined,
    'photo_library_sharp': photo_library_sharp,
    'photo_library': photo_library,
    'photo_outlined': photo_outlined,
    'photo_sharp': photo_sharp,
    'photo_size_select_large_filled_outlined':
        photo_size_select_large_filled_outlined,
    'photo_size_select_large_filled_sharp':
        photo_size_select_large_filled_sharp,
    'photo_size_select_large_filled': photo_size_select_large_filled,
    'photo_size_select_large_outlined': photo_size_select_large_outlined,
    'photo_size_select_large_sharp': photo_size_select_large_sharp,
    'photo_size_select_large': photo_size_select_large,
    'photo_size_select_small_filled_outlined':
        photo_size_select_small_filled_outlined,
    'photo_size_select_small_filled_sharp':
        photo_size_select_small_filled_sharp,
    'photo_size_select_small_filled': photo_size_select_small_filled,
    'photo_size_select_small_outlined': photo_size_select_small_outlined,
    'photo_size_select_small_sharp': photo_size_select_small_sharp,
    'photo_size_select_small': photo_size_select_small,
    'photo': photo,
    'php_filled_outlined': php_filled_outlined,
    'php_filled_sharp': php_filled_sharp,
    'php_filled': php_filled,
    'php_outlined': php_outlined,
    'php_sharp': php_sharp,
    'php': php,
    'piano_filled_outlined': piano_filled_outlined,
    'piano_filled_sharp': piano_filled_sharp,
    'piano_filled': piano_filled,
    'piano_off_filled_outlined': piano_off_filled_outlined,
    'piano_off_filled_sharp': piano_off_filled_sharp,
    'piano_off_filled': piano_off_filled,
    'piano_off_outlined': piano_off_outlined,
    'piano_off_sharp': piano_off_sharp,
    'piano_off': piano_off,
    'piano_outlined': piano_outlined,
    'piano_sharp': piano_sharp,
    'piano': piano,
    'picture_as_pdf_filled_outlined': picture_as_pdf_filled_outlined,
    'picture_as_pdf_filled_sharp': picture_as_pdf_filled_sharp,
    'picture_as_pdf_filled': picture_as_pdf_filled,
    'picture_as_pdf_outlined': picture_as_pdf_outlined,
    'picture_as_pdf_sharp': picture_as_pdf_sharp,
    'picture_as_pdf': picture_as_pdf,
    'picture_in_picture_alt_filled_outlined':
        picture_in_picture_alt_filled_outlined,
    'picture_in_picture_alt_filled_sharp': picture_in_picture_alt_filled_sharp,
    'picture_in_picture_alt_filled': picture_in_picture_alt_filled,
    'picture_in_picture_alt_outlined': picture_in_picture_alt_outlined,
    'picture_in_picture_alt_sharp': picture_in_picture_alt_sharp,
    'picture_in_picture_alt': picture_in_picture_alt,
    'picture_in_picture_filled_outlined': picture_in_picture_filled_outlined,
    'picture_in_picture_filled_sharp': picture_in_picture_filled_sharp,
    'picture_in_picture_filled': picture_in_picture_filled,
    'picture_in_picture_outlined': picture_in_picture_outlined,
    'picture_in_picture_sharp': picture_in_picture_sharp,
    'picture_in_picture': picture_in_picture,
    'pie_chart_filled_outlined': pie_chart_filled_outlined,
    'pie_chart_filled_sharp': pie_chart_filled_sharp,
    'pie_chart_filled': pie_chart_filled,
    'pie_chart_outlined': pie_chart_outlined,
    'pie_chart_sharp': pie_chart_sharp,
    'pie_chart': pie_chart,
    'pin_drop_filled_outlined': pin_drop_filled_outlined,
    'pin_drop_filled_sharp': pin_drop_filled_sharp,
    'pin_drop_filled': pin_drop_filled,
    'pin_drop_outlined': pin_drop_outlined,
    'pin_drop_sharp': pin_drop_sharp,
    'pin_drop': pin_drop,
    'pin_end_filled_outlined': pin_end_filled_outlined,
    'pin_end_filled_sharp': pin_end_filled_sharp,
    'pin_end_filled': pin_end_filled,
    'pin_end_outlined': pin_end_outlined,
    'pin_end_sharp': pin_end_sharp,
    'pin_end': pin_end,
    'pin_filled_outlined': pin_filled_outlined,
    'pin_filled_sharp': pin_filled_sharp,
    'pin_filled': pin_filled,
    'pin_invoke_filled_outlined': pin_invoke_filled_outlined,
    'pin_invoke_filled_sharp': pin_invoke_filled_sharp,
    'pin_invoke_filled': pin_invoke_filled,
    'pin_invoke_outlined': pin_invoke_outlined,
    'pin_invoke_sharp': pin_invoke_sharp,
    'pin_invoke': pin_invoke,
    'pin_outlined': pin_outlined,
    'pin_sharp': pin_sharp,
    'pin': pin,
    'pinch_filled_outlined': pinch_filled_outlined,
    'pinch_filled_sharp': pinch_filled_sharp,
    'pinch_filled': pinch_filled,
    'pinch_outlined': pinch_outlined,
    'pinch_sharp': pinch_sharp,
    'pinch_zoom_in_filled_outlined': pinch_zoom_in_filled_outlined,
    'pinch_zoom_in_filled_sharp': pinch_zoom_in_filled_sharp,
    'pinch_zoom_in_filled': pinch_zoom_in_filled,
    'pinch_zoom_in_outlined': pinch_zoom_in_outlined,
    'pinch_zoom_in_sharp': pinch_zoom_in_sharp,
    'pinch_zoom_in': pinch_zoom_in,
    'pinch_zoom_out_filled_outlined': pinch_zoom_out_filled_outlined,
    'pinch_zoom_out_filled_sharp': pinch_zoom_out_filled_sharp,
    'pinch_zoom_out_filled': pinch_zoom_out_filled,
    'pinch_zoom_out_outlined': pinch_zoom_out_outlined,
    'pinch_zoom_out_sharp': pinch_zoom_out_sharp,
    'pinch_zoom_out': pinch_zoom_out,
    'pinch': pinch,
    'pivot_table_chart_filled_outlined': pivot_table_chart_filled_outlined,
    'pivot_table_chart_filled_sharp': pivot_table_chart_filled_sharp,
    'pivot_table_chart_filled': pivot_table_chart_filled,
    'pivot_table_chart_outlined': pivot_table_chart_outlined,
    'pivot_table_chart_sharp': pivot_table_chart_sharp,
    'pivot_table_chart': pivot_table_chart,
    'place_item_filled_outlined': place_item_filled_outlined,
    'place_item_filled_sharp': place_item_filled_sharp,
    'place_item_filled': place_item_filled,
    'place_item_outlined': place_item_outlined,
    'place_item_sharp': place_item_sharp,
    'place_item': place_item,
    'plagiarism_filled_outlined': plagiarism_filled_outlined,
    'plagiarism_filled_sharp': plagiarism_filled_sharp,
    'plagiarism_filled': plagiarism_filled,
    'plagiarism_outlined': plagiarism_outlined,
    'plagiarism_sharp': plagiarism_sharp,
    'plagiarism': plagiarism,
    'play_arrow_filled_outlined': play_arrow_filled_outlined,
    'play_arrow_filled_sharp': play_arrow_filled_sharp,
    'play_arrow_filled': play_arrow_filled,
    'play_arrow_outlined': play_arrow_outlined,
    'play_arrow_sharp': play_arrow_sharp,
    'play_arrow': play_arrow,
    'play_circle_filled_outlined': play_circle_filled_outlined,
    'play_circle_filled_sharp': play_circle_filled_sharp,
    'play_circle_filled': play_circle_filled,
    'play_circle_outlined': play_circle_outlined,
    'play_circle_sharp': play_circle_sharp,
    'play_circle': play_circle,
    'play_disabled_filled_outlined': play_disabled_filled_outlined,
    'play_disabled_filled_sharp': play_disabled_filled_sharp,
    'play_disabled_filled': play_disabled_filled,
    'play_disabled_outlined': play_disabled_outlined,
    'play_disabled_sharp': play_disabled_sharp,
    'play_disabled': play_disabled,
    'play_for_work_filled_outlined': play_for_work_filled_outlined,
    'play_for_work_filled_sharp': play_for_work_filled_sharp,
    'play_for_work_filled': play_for_work_filled,
    'play_for_work_outlined': play_for_work_outlined,
    'play_for_work_sharp': play_for_work_sharp,
    'play_for_work': play_for_work,
    'play_lesson_filled_outlined': play_lesson_filled_outlined,
    'play_lesson_filled_sharp': play_lesson_filled_sharp,
    'play_lesson_filled': play_lesson_filled,
    'play_lesson_outlined': play_lesson_outlined,
    'play_lesson_sharp': play_lesson_sharp,
    'play_lesson': play_lesson,
    'play_pause_filled_outlined': play_pause_filled_outlined,
    'play_pause_filled_sharp': play_pause_filled_sharp,
    'play_pause_filled': play_pause_filled,
    'play_pause_outlined': play_pause_outlined,
    'play_pause_sharp': play_pause_sharp,
    'play_pause': play_pause,
    'playlist_add_check_circle_filled_outlined':
        playlist_add_check_circle_filled_outlined,
    'playlist_add_check_circle_filled_sharp':
        playlist_add_check_circle_filled_sharp,
    'playlist_add_check_circle_filled': playlist_add_check_circle_filled,
    'playlist_add_check_circle_outlined': playlist_add_check_circle_outlined,
    'playlist_add_check_circle_sharp': playlist_add_check_circle_sharp,
    'playlist_add_check_circle': playlist_add_check_circle,
    'playlist_add_check_filled_outlined': playlist_add_check_filled_outlined,
    'playlist_add_check_filled_sharp': playlist_add_check_filled_sharp,
    'playlist_add_check_filled': playlist_add_check_filled,
    'playlist_add_check_outlined': playlist_add_check_outlined,
    'playlist_add_check_sharp': playlist_add_check_sharp,
    'playlist_add_check': playlist_add_check,
    'playlist_add_circle_filled_outlined': playlist_add_circle_filled_outlined,
    'playlist_add_circle_filled_sharp': playlist_add_circle_filled_sharp,
    'playlist_add_circle_filled': playlist_add_circle_filled,
    'playlist_add_circle_outlined': playlist_add_circle_outlined,
    'playlist_add_circle_sharp': playlist_add_circle_sharp,
    'playlist_add_circle': playlist_add_circle,
    'playlist_add_filled_outlined': playlist_add_filled_outlined,
    'playlist_add_filled_sharp': playlist_add_filled_sharp,
    'playlist_add_filled': playlist_add_filled,
    'playlist_add_outlined': playlist_add_outlined,
    'playlist_add_sharp': playlist_add_sharp,
    'playlist_add': playlist_add,
    'playlist_play_filled_outlined': playlist_play_filled_outlined,
    'playlist_play_filled_sharp': playlist_play_filled_sharp,
    'playlist_play_filled': playlist_play_filled,
    'playlist_play_outlined': playlist_play_outlined,
    'playlist_play_sharp': playlist_play_sharp,
    'playlist_play': playlist_play,
    'playlist_remove_filled_outlined': playlist_remove_filled_outlined,
    'playlist_remove_filled_sharp': playlist_remove_filled_sharp,
    'playlist_remove_filled': playlist_remove_filled,
    'playlist_remove_outlined': playlist_remove_outlined,
    'playlist_remove_sharp': playlist_remove_sharp,
    'playlist_remove': playlist_remove,
    'plumbing_filled_outlined': plumbing_filled_outlined,
    'plumbing_filled_sharp': plumbing_filled_sharp,
    'plumbing_filled': plumbing_filled,
    'plumbing_outlined': plumbing_outlined,
    'plumbing_sharp': plumbing_sharp,
    'plumbing': plumbing,
    'podcasts_filled_outlined': podcasts_filled_outlined,
    'podcasts_filled_sharp': podcasts_filled_sharp,
    'podcasts_filled': podcasts_filled,
    'podcasts_outlined': podcasts_outlined,
    'podcasts_sharp': podcasts_sharp,
    'podcasts': podcasts,
    'podiatry_filled_outlined': podiatry_filled_outlined,
    'podiatry_filled_sharp': podiatry_filled_sharp,
    'podiatry_filled': podiatry_filled,
    'podiatry_outlined': podiatry_outlined,
    'podiatry_sharp': podiatry_sharp,
    'podiatry': podiatry,
    'point_of_sale_filled_outlined': point_of_sale_filled_outlined,
    'point_of_sale_filled_sharp': point_of_sale_filled_sharp,
    'point_of_sale_filled': point_of_sale_filled,
    'point_of_sale_outlined': point_of_sale_outlined,
    'point_of_sale_sharp': point_of_sale_sharp,
    'point_of_sale': point_of_sale,
    'policy_filled_outlined': policy_filled_outlined,
    'policy_filled_sharp': policy_filled_sharp,
    'policy_filled': policy_filled,
    'policy_outlined': policy_outlined,
    'policy_sharp': policy_sharp,
    'policy': policy,
    'polyline_filled_outlined': polyline_filled_outlined,
    'polyline_filled_sharp': polyline_filled_sharp,
    'polyline_filled': polyline_filled,
    'polyline_outlined': polyline_outlined,
    'polyline_sharp': polyline_sharp,
    'polyline': polyline,
    'polymer_filled_outlined': polymer_filled_outlined,
    'polymer_filled_sharp': polymer_filled_sharp,
    'polymer_filled': polymer_filled,
    'polymer_outlined': polymer_outlined,
    'polymer_sharp': polymer_sharp,
    'polymer': polymer,
    'pool_filled_outlined': pool_filled_outlined,
    'pool_filled_sharp': pool_filled_sharp,
    'pool_filled': pool_filled,
    'pool_outlined': pool_outlined,
    'pool_sharp': pool_sharp,
    'pool': pool,
    'portable_wifi_off_filled_outlined': portable_wifi_off_filled_outlined,
    'portable_wifi_off_filled_sharp': portable_wifi_off_filled_sharp,
    'portable_wifi_off_filled': portable_wifi_off_filled,
    'portable_wifi_off_outlined': portable_wifi_off_outlined,
    'portable_wifi_off_sharp': portable_wifi_off_sharp,
    'portable_wifi_off': portable_wifi_off,
    'post_add_filled_outlined': post_add_filled_outlined,
    'post_add_filled_sharp': post_add_filled_sharp,
    'post_add_filled': post_add_filled,
    'post_add_outlined': post_add_outlined,
    'post_add_sharp': post_add_sharp,
    'post_add': post_add,
    'potted_plant_filled_outlined': potted_plant_filled_outlined,
    'potted_plant_filled_sharp': potted_plant_filled_sharp,
    'potted_plant_filled': potted_plant_filled,
    'potted_plant_outlined': potted_plant_outlined,
    'potted_plant_sharp': potted_plant_sharp,
    'potted_plant': potted_plant,
    'power_filled_outlined': power_filled_outlined,
    'power_filled_sharp': power_filled_sharp,
    'power_filled': power_filled,
    'power_input_filled_outlined': power_input_filled_outlined,
    'power_input_filled_sharp': power_input_filled_sharp,
    'power_input_filled': power_input_filled,
    'power_input_outlined': power_input_outlined,
    'power_input_sharp': power_input_sharp,
    'power_input': power_input,
    'power_off_filled_outlined': power_off_filled_outlined,
    'power_off_filled_sharp': power_off_filled_sharp,
    'power_off_filled': power_off_filled,
    'power_off_outlined': power_off_outlined,
    'power_off_sharp': power_off_sharp,
    'power_off': power_off,
    'power_outlined': power_outlined,
    'power_rounded_filled_outlined': power_rounded_filled_outlined,
    'power_rounded_filled_sharp': power_rounded_filled_sharp,
    'power_rounded_filled': power_rounded_filled,
    'power_rounded_outlined': power_rounded_outlined,
    'power_rounded_sharp': power_rounded_sharp,
    'power_rounded': power_rounded,
    'power_settings_new_filled_outlined': power_settings_new_filled_outlined,
    'power_settings_new_filled_sharp': power_settings_new_filled_sharp,
    'power_settings_new_filled': power_settings_new_filled,
    'power_settings_new_outlined': power_settings_new_outlined,
    'power_settings_new_sharp': power_settings_new_sharp,
    'power_settings_new': power_settings_new,
    'power_sharp': power_sharp,
    'power': power,
    'prayer_times_filled_outlined': prayer_times_filled_outlined,
    'prayer_times_filled_sharp': prayer_times_filled_sharp,
    'prayer_times_filled': prayer_times_filled,
    'prayer_times_outlined': prayer_times_outlined,
    'prayer_times_sharp': prayer_times_sharp,
    'prayer_times': prayer_times,
    'precision_manufacturing_filled_outlined':
        precision_manufacturing_filled_outlined,
    'precision_manufacturing_filled_sharp':
        precision_manufacturing_filled_sharp,
    'precision_manufacturing_filled': precision_manufacturing_filled,
    'precision_manufacturing_outlined': precision_manufacturing_outlined,
    'precision_manufacturing_sharp': precision_manufacturing_sharp,
    'precision_manufacturing': precision_manufacturing,
    'pregnant_woman_filled_outlined': pregnant_woman_filled_outlined,
    'pregnant_woman_filled_sharp': pregnant_woman_filled_sharp,
    'pregnant_woman_filled': pregnant_woman_filled,
    'pregnant_woman_outlined': pregnant_woman_outlined,
    'pregnant_woman_sharp': pregnant_woman_sharp,
    'pregnant_woman': pregnant_woman,
    'preliminary_filled_outlined': preliminary_filled_outlined,
    'preliminary_filled_sharp': preliminary_filled_sharp,
    'preliminary_filled': preliminary_filled,
    'preliminary_outlined': preliminary_outlined,
    'preliminary_sharp': preliminary_sharp,
    'preliminary': preliminary,
    'prescriptions_filled_outlined': prescriptions_filled_outlined,
    'prescriptions_filled_sharp': prescriptions_filled_sharp,
    'prescriptions_filled': prescriptions_filled,
    'prescriptions_outlined': prescriptions_outlined,
    'prescriptions_sharp': prescriptions_sharp,
    'prescriptions': prescriptions,
    'present_to_all_filled_outlined': present_to_all_filled_outlined,
    'present_to_all_filled_sharp': present_to_all_filled_sharp,
    'present_to_all_filled': present_to_all_filled,
    'present_to_all_outlined': present_to_all_outlined,
    'present_to_all_sharp': present_to_all_sharp,
    'present_to_all': present_to_all,
    'preview_filled_outlined': preview_filled_outlined,
    'preview_filled_sharp': preview_filled_sharp,
    'preview_filled': preview_filled,
    'preview_outlined': preview_outlined,
    'preview_sharp': preview_sharp,
    'preview': preview,
    'price_change_filled_outlined': price_change_filled_outlined,
    'price_change_filled_sharp': price_change_filled_sharp,
    'price_change_filled': price_change_filled,
    'price_change_outlined': price_change_outlined,
    'price_change_sharp': price_change_sharp,
    'price_change': price_change,
    'price_check_filled_outlined': price_check_filled_outlined,
    'price_check_filled_sharp': price_check_filled_sharp,
    'price_check_filled': price_check_filled,
    'price_check_outlined': price_check_outlined,
    'price_check_sharp': price_check_sharp,
    'price_check': price_check,
    'print_disabled_filled_outlined': print_disabled_filled_outlined,
    'print_disabled_filled_sharp': print_disabled_filled_sharp,
    'print_disabled_filled': print_disabled_filled,
    'print_disabled_outlined': print_disabled_outlined,
    'print_disabled_sharp': print_disabled_sharp,
    'print_disabled': print_disabled,
    'print_filled_outlined': print_filled_outlined,
    'print_filled_sharp': print_filled_sharp,
    'print_filled': print_filled,
    'print_outlined': print_outlined,
    'print_sharp': print_sharp,
    'print': print,
    'priority_filled_outlined': priority_filled_outlined,
    'priority_filled_sharp': priority_filled_sharp,
    'priority_filled': priority_filled,
    'priority_high_filled_outlined': priority_high_filled_outlined,
    'priority_high_filled_sharp': priority_high_filled_sharp,
    'priority_high_filled': priority_high_filled,
    'priority_high_outlined': priority_high_outlined,
    'priority_high_sharp': priority_high_sharp,
    'priority_high': priority_high,
    'priority_outlined': priority_outlined,
    'priority_sharp': priority_sharp,
    'priority': priority,
    'privacy_filled_outlined': privacy_filled_outlined,
    'privacy_filled_sharp': privacy_filled_sharp,
    'privacy_filled': privacy_filled,
    'privacy_outlined': privacy_outlined,
    'privacy_sharp': privacy_sharp,
    'privacy_tip_filled_outlined': privacy_tip_filled_outlined,
    'privacy_tip_filled_sharp': privacy_tip_filled_sharp,
    'privacy_tip_filled': privacy_tip_filled,
    'privacy_tip_outlined': privacy_tip_outlined,
    'privacy_tip_sharp': privacy_tip_sharp,
    'privacy_tip': privacy_tip,
    'privacy': privacy,
    'private_connectivity_filled_outlined':
        private_connectivity_filled_outlined,
    'private_connectivity_filled_sharp': private_connectivity_filled_sharp,
    'private_connectivity_filled': private_connectivity_filled,
    'private_connectivity_outlined': private_connectivity_outlined,
    'private_connectivity_sharp': private_connectivity_sharp,
    'private_connectivity': private_connectivity,
    'problem_filled_outlined': problem_filled_outlined,
    'problem_filled_sharp': problem_filled_sharp,
    'problem_filled': problem_filled,
    'problem_outlined': problem_outlined,
    'problem_sharp': problem_sharp,
    'problem': problem,
    'process_chart_filled_outlined': process_chart_filled_outlined,
    'process_chart_filled_sharp': process_chart_filled_sharp,
    'process_chart_filled': process_chart_filled,
    'process_chart_outlined': process_chart_outlined,
    'process_chart_sharp': process_chart_sharp,
    'process_chart': process_chart,
    'production_quantity_limits_filled_outlined':
        production_quantity_limits_filled_outlined,
    'production_quantity_limits_filled_sharp':
        production_quantity_limits_filled_sharp,
    'production_quantity_limits_filled': production_quantity_limits_filled,
    'production_quantity_limits_outlined': production_quantity_limits_outlined,
    'production_quantity_limits_sharp': production_quantity_limits_sharp,
    'production_quantity_limits': production_quantity_limits,
    'productivity_filled_outlined': productivity_filled_outlined,
    'productivity_filled_sharp': productivity_filled_sharp,
    'productivity_filled': productivity_filled,
    'productivity_outlined': productivity_outlined,
    'productivity_sharp': productivity_sharp,
    'productivity': productivity,
    'propane_filled_outlined': propane_filled_outlined,
    'propane_filled_sharp': propane_filled_sharp,
    'propane_filled': propane_filled,
    'propane_outlined': propane_outlined,
    'propane_sharp': propane_sharp,
    'propane_tank_filled_outlined': propane_tank_filled_outlined,
    'propane_tank_filled_sharp': propane_tank_filled_sharp,
    'propane_tank_filled': propane_tank_filled,
    'propane_tank_outlined': propane_tank_outlined,
    'propane_tank_sharp': propane_tank_sharp,
    'propane_tank': propane_tank,
    'propane': propane,
    'psychiatry_filled_outlined': psychiatry_filled_outlined,
    'psychiatry_filled_sharp': psychiatry_filled_sharp,
    'psychiatry_filled': psychiatry_filled,
    'psychiatry_outlined': psychiatry_outlined,
    'psychiatry_sharp': psychiatry_sharp,
    'psychiatry': psychiatry,
    'psychology_alt_filled_outlined': psychology_alt_filled_outlined,
    'psychology_alt_filled_sharp': psychology_alt_filled_sharp,
    'psychology_alt_filled': psychology_alt_filled,
    'psychology_alt_outlined': psychology_alt_outlined,
    'psychology_alt_sharp': psychology_alt_sharp,
    'psychology_alt': psychology_alt,
    'psychology_filled_outlined': psychology_filled_outlined,
    'psychology_filled_sharp': psychology_filled_sharp,
    'psychology_filled': psychology_filled,
    'psychology_outlined': psychology_outlined,
    'psychology_sharp': psychology_sharp,
    'psychology': psychology,
    'public_filled_outlined': public_filled_outlined,
    'public_filled_sharp': public_filled_sharp,
    'public_filled': public_filled,
    'public_off_filled_outlined': public_off_filled_outlined,
    'public_off_filled_sharp': public_off_filled_sharp,
    'public_off_filled': public_off_filled,
    'public_off_outlined': public_off_outlined,
    'public_off_sharp': public_off_sharp,
    'public_off': public_off,
    'public_outlined': public_outlined,
    'public_sharp': public_sharp,
    'public': public,
    'publish_filled_outlined': publish_filled_outlined,
    'publish_filled_sharp': publish_filled_sharp,
    'publish_filled': publish_filled,
    'publish_outlined': publish_outlined,
    'publish_sharp': publish_sharp,
    'publish': publish,
    'published_with_changes_filled_outlined':
        published_with_changes_filled_outlined,
    'published_with_changes_filled_sharp': published_with_changes_filled_sharp,
    'published_with_changes_filled': published_with_changes_filled,
    'published_with_changes_outlined': published_with_changes_outlined,
    'published_with_changes_sharp': published_with_changes_sharp,
    'published_with_changes': published_with_changes,
    'pulmonology_filled_outlined': pulmonology_filled_outlined,
    'pulmonology_filled_sharp': pulmonology_filled_sharp,
    'pulmonology_filled': pulmonology_filled,
    'pulmonology_outlined': pulmonology_outlined,
    'pulmonology_sharp': pulmonology_sharp,
    'pulmonology': pulmonology,
    'punch_clock_filled_outlined': punch_clock_filled_outlined,
    'punch_clock_filled_sharp': punch_clock_filled_sharp,
    'punch_clock_filled': punch_clock_filled,
    'punch_clock_outlined': punch_clock_outlined,
    'punch_clock_sharp': punch_clock_sharp,
    'punch_clock': punch_clock,
    'push_pin_filled_outlined': push_pin_filled_outlined,
    'push_pin_filled_sharp': push_pin_filled_sharp,
    'push_pin_filled': push_pin_filled,
    'push_pin_outlined': push_pin_outlined,
    'push_pin_sharp': push_pin_sharp,
    'push_pin': push_pin,
    'qr_code_2_filled_outlined': qr_code_2_filled_outlined,
    'qr_code_2_filled_sharp': qr_code_2_filled_sharp,
    'qr_code_2_filled': qr_code_2_filled,
    'qr_code_2_outlined': qr_code_2_outlined,
    'qr_code_2_sharp': qr_code_2_sharp,
    'qr_code_2': qr_code_2,
    'qr_code_filled_outlined': qr_code_filled_outlined,
    'qr_code_filled_sharp': qr_code_filled_sharp,
    'qr_code_filled': qr_code_filled,
    'qr_code_outlined': qr_code_outlined,
    'qr_code_scanner_filled_outlined': qr_code_scanner_filled_outlined,
    'qr_code_scanner_filled_sharp': qr_code_scanner_filled_sharp,
    'qr_code_scanner_filled': qr_code_scanner_filled,
    'qr_code_scanner_outlined': qr_code_scanner_outlined,
    'qr_code_scanner_sharp': qr_code_scanner_sharp,
    'qr_code_scanner': qr_code_scanner,
    'qr_code_sharp': qr_code_sharp,
    'qr_code': qr_code,
    'query_stats_filled_outlined': query_stats_filled_outlined,
    'query_stats_filled_sharp': query_stats_filled_sharp,
    'query_stats_filled': query_stats_filled,
    'query_stats_outlined': query_stats_outlined,
    'query_stats_sharp': query_stats_sharp,
    'query_stats': query_stats,
    'question_mark_filled_outlined': question_mark_filled_outlined,
    'question_mark_filled_sharp': question_mark_filled_sharp,
    'question_mark_filled': question_mark_filled,
    'question_mark_outlined': question_mark_outlined,
    'question_mark_sharp': question_mark_sharp,
    'question_mark': question_mark,
    'queue_music_filled_outlined': queue_music_filled_outlined,
    'queue_music_filled_sharp': queue_music_filled_sharp,
    'queue_music_filled': queue_music_filled,
    'queue_music_outlined': queue_music_outlined,
    'queue_music_sharp': queue_music_sharp,
    'queue_music': queue_music,
    'queue_play_next_filled_outlined': queue_play_next_filled_outlined,
    'queue_play_next_filled_sharp': queue_play_next_filled_sharp,
    'queue_play_next_filled': queue_play_next_filled,
    'queue_play_next_outlined': queue_play_next_outlined,
    'queue_play_next_sharp': queue_play_next_sharp,
    'queue_play_next': queue_play_next,
    'quick_phrases_filled_outlined': quick_phrases_filled_outlined,
    'quick_phrases_filled_sharp': quick_phrases_filled_sharp,
    'quick_phrases_filled': quick_phrases_filled,
    'quick_phrases_outlined': quick_phrases_outlined,
    'quick_phrases_sharp': quick_phrases_sharp,
    'quick_phrases': quick_phrases,
    'quick_reference_all_filled_outlined': quick_reference_all_filled_outlined,
    'quick_reference_all_filled_sharp': quick_reference_all_filled_sharp,
    'quick_reference_all_filled': quick_reference_all_filled,
    'quick_reference_all_outlined': quick_reference_all_outlined,
    'quick_reference_all_sharp': quick_reference_all_sharp,
    'quick_reference_all': quick_reference_all,
    'quick_reference_filled_outlined': quick_reference_filled_outlined,
    'quick_reference_filled_sharp': quick_reference_filled_sharp,
    'quick_reference_filled': quick_reference_filled,
    'quick_reference_outlined': quick_reference_outlined,
    'quick_reference_sharp': quick_reference_sharp,
    'quick_reference': quick_reference,
    'quickreply_filled_outlined': quickreply_filled_outlined,
    'quickreply_filled_sharp': quickreply_filled_sharp,
    'quickreply_filled': quickreply_filled,
    'quickreply_outlined': quickreply_outlined,
    'quickreply_sharp': quickreply_sharp,
    'quickreply': quickreply,
    'quiet_time_active_filled_outlined': quiet_time_active_filled_outlined,
    'quiet_time_active_filled_sharp': quiet_time_active_filled_sharp,
    'quiet_time_active_filled': quiet_time_active_filled,
    'quiet_time_active_outlined': quiet_time_active_outlined,
    'quiet_time_active_sharp': quiet_time_active_sharp,
    'quiet_time_active': quiet_time_active,
    'quiet_time_filled_outlined': quiet_time_filled_outlined,
    'quiet_time_filled_sharp': quiet_time_filled_sharp,
    'quiet_time_filled': quiet_time_filled,
    'quiet_time_outlined': quiet_time_outlined,
    'quiet_time_sharp': quiet_time_sharp,
    'quiet_time': quiet_time,
    'quiz_filled_outlined': quiz_filled_outlined,
    'quiz_filled_sharp': quiz_filled_sharp,
    'quiz_filled': quiz_filled,
    'quiz_outlined': quiz_outlined,
    'quiz_sharp': quiz_sharp,
    'quiz': quiz,
    'r_mobiledata_filled_outlined': r_mobiledata_filled_outlined,
    'r_mobiledata_filled_sharp': r_mobiledata_filled_sharp,
    'r_mobiledata_filled': r_mobiledata_filled,
    'r_mobiledata_outlined': r_mobiledata_outlined,
    'r_mobiledata_sharp': r_mobiledata_sharp,
    'r_mobiledata': r_mobiledata,
    'radar_filled_outlined': radar_filled_outlined,
    'radar_filled_sharp': radar_filled_sharp,
    'radar_filled': radar_filled,
    'radar_outlined': radar_outlined,
    'radar_sharp': radar_sharp,
    'radar': radar,
    'radio_button_checked_filled_outlined':
        radio_button_checked_filled_outlined,
    'radio_button_checked_filled_sharp': radio_button_checked_filled_sharp,
    'radio_button_checked_filled': radio_button_checked_filled,
    'radio_button_checked_outlined': radio_button_checked_outlined,
    'radio_button_checked_sharp': radio_button_checked_sharp,
    'radio_button_checked': radio_button_checked,
    'radio_button_unchecked_filled_outlined':
        radio_button_unchecked_filled_outlined,
    'radio_button_unchecked_filled_sharp': radio_button_unchecked_filled_sharp,
    'radio_button_unchecked_filled': radio_button_unchecked_filled,
    'radio_button_unchecked_outlined': radio_button_unchecked_outlined,
    'radio_button_unchecked_sharp': radio_button_unchecked_sharp,
    'radio_button_unchecked': radio_button_unchecked,
    'radio_filled_outlined': radio_filled_outlined,
    'radio_filled_sharp': radio_filled_sharp,
    'radio_filled': radio_filled,
    'radio_outlined': radio_outlined,
    'radio_sharp': radio_sharp,
    'radio': radio,
    'radiology_filled_outlined': radiology_filled_outlined,
    'radiology_filled_sharp': radiology_filled_sharp,
    'radiology_filled': radiology_filled,
    'radiology_outlined': radiology_outlined,
    'radiology_sharp': radiology_sharp,
    'radiology': radiology,
    'railway_alert_filled_outlined': railway_alert_filled_outlined,
    'railway_alert_filled_sharp': railway_alert_filled_sharp,
    'railway_alert_filled': railway_alert_filled,
    'railway_alert_outlined': railway_alert_outlined,
    'railway_alert_sharp': railway_alert_sharp,
    'railway_alert': railway_alert,
    'rainy_filled_outlined': rainy_filled_outlined,
    'rainy_filled_sharp': rainy_filled_sharp,
    'rainy_filled': rainy_filled,
    'rainy_outlined': rainy_outlined,
    'rainy_sharp': rainy_sharp,
    'rainy': rainy,
    'ramen_dining_filled_outlined': ramen_dining_filled_outlined,
    'ramen_dining_filled_sharp': ramen_dining_filled_sharp,
    'ramen_dining_filled': ramen_dining_filled,
    'ramen_dining_outlined': ramen_dining_outlined,
    'ramen_dining_sharp': ramen_dining_sharp,
    'ramen_dining': ramen_dining,
    'ramp_left_filled_outlined': ramp_left_filled_outlined,
    'ramp_left_filled_sharp': ramp_left_filled_sharp,
    'ramp_left_filled': ramp_left_filled,
    'ramp_left_outlined': ramp_left_outlined,
    'ramp_left_sharp': ramp_left_sharp,
    'ramp_left': ramp_left,
    'ramp_right_filled_outlined': ramp_right_filled_outlined,
    'ramp_right_filled_sharp': ramp_right_filled_sharp,
    'ramp_right_filled': ramp_right_filled,
    'ramp_right_outlined': ramp_right_outlined,
    'ramp_right_sharp': ramp_right_sharp,
    'ramp_right': ramp_right,
    'range_hood_filled_outlined': range_hood_filled_outlined,
    'range_hood_filled_sharp': range_hood_filled_sharp,
    'range_hood_filled': range_hood_filled,
    'range_hood_outlined': range_hood_outlined,
    'range_hood_sharp': range_hood_sharp,
    'range_hood': range_hood,
    'rate_review_filled_outlined': rate_review_filled_outlined,
    'rate_review_filled_sharp': rate_review_filled_sharp,
    'rate_review_filled': rate_review_filled,
    'rate_review_outlined': rate_review_outlined,
    'rate_review_sharp': rate_review_sharp,
    'rate_review': rate_review,
    'raw_off_filled_outlined': raw_off_filled_outlined,
    'raw_off_filled_sharp': raw_off_filled_sharp,
    'raw_off_filled': raw_off_filled,
    'raw_off_outlined': raw_off_outlined,
    'raw_off_sharp': raw_off_sharp,
    'raw_off': raw_off,
    'raw_on_filled_outlined': raw_on_filled_outlined,
    'raw_on_filled_sharp': raw_on_filled_sharp,
    'raw_on_filled': raw_on_filled,
    'raw_on_outlined': raw_on_outlined,
    'raw_on_sharp': raw_on_sharp,
    'raw_on': raw_on,
    'read_more_filled_outlined': read_more_filled_outlined,
    'read_more_filled_sharp': read_more_filled_sharp,
    'read_more_filled': read_more_filled,
    'read_more_outlined': read_more_outlined,
    'read_more_sharp': read_more_sharp,
    'read_more': read_more,
    'real_estate_agent_filled_outlined': real_estate_agent_filled_outlined,
    'real_estate_agent_filled_sharp': real_estate_agent_filled_sharp,
    'real_estate_agent_filled': real_estate_agent_filled,
    'real_estate_agent_outlined': real_estate_agent_outlined,
    'real_estate_agent_sharp': real_estate_agent_sharp,
    'real_estate_agent': real_estate_agent,
    'rebase_edit_filled_outlined': rebase_edit_filled_outlined,
    'rebase_edit_filled_sharp': rebase_edit_filled_sharp,
    'rebase_edit_filled': rebase_edit_filled,
    'rebase_edit_outlined': rebase_edit_outlined,
    'rebase_edit_sharp': rebase_edit_sharp,
    'rebase_edit': rebase_edit,
    'rebase_filled_outlined': rebase_filled_outlined,
    'rebase_filled_sharp': rebase_filled_sharp,
    'rebase_filled': rebase_filled,
    'rebase_outlined': rebase_outlined,
    'rebase_sharp': rebase_sharp,
    'rebase': rebase,
    'receipt_filled_outlined': receipt_filled_outlined,
    'receipt_filled_sharp': receipt_filled_sharp,
    'receipt_filled': receipt_filled,
    'receipt_long_filled_outlined': receipt_long_filled_outlined,
    'receipt_long_filled_sharp': receipt_long_filled_sharp,
    'receipt_long_filled': receipt_long_filled,
    'receipt_long_outlined': receipt_long_outlined,
    'receipt_long_sharp': receipt_long_sharp,
    'receipt_long': receipt_long,
    'receipt_outlined': receipt_outlined,
    'receipt_sharp': receipt_sharp,
    'receipt': receipt,
    'recent_actors_filled_outlined': recent_actors_filled_outlined,
    'recent_actors_filled_sharp': recent_actors_filled_sharp,
    'recent_actors_filled': recent_actors_filled,
    'recent_actors_outlined': recent_actors_outlined,
    'recent_actors_sharp': recent_actors_sharp,
    'recent_actors': recent_actors,
    'recent_patient_filled_outlined': recent_patient_filled_outlined,
    'recent_patient_filled_sharp': recent_patient_filled_sharp,
    'recent_patient_filled': recent_patient_filled,
    'recent_patient_outlined': recent_patient_outlined,
    'recent_patient_sharp': recent_patient_sharp,
    'recent_patient': recent_patient,
    'recommend_filled_outlined': recommend_filled_outlined,
    'recommend_filled_sharp': recommend_filled_sharp,
    'recommend_filled': recommend_filled,
    'recommend_outlined': recommend_outlined,
    'recommend_sharp': recommend_sharp,
    'recommend': recommend,
    'record_voice_over_filled_outlined': record_voice_over_filled_outlined,
    'record_voice_over_filled_sharp': record_voice_over_filled_sharp,
    'record_voice_over_filled': record_voice_over_filled,
    'record_voice_over_outlined': record_voice_over_outlined,
    'record_voice_over_sharp': record_voice_over_sharp,
    'record_voice_over': record_voice_over,
    'rectangle_filled_outlined': rectangle_filled_outlined,
    'rectangle_filled_sharp': rectangle_filled_sharp,
    'rectangle_filled': rectangle_filled,
    'rectangle_outlined': rectangle_outlined,
    'rectangle_sharp': rectangle_sharp,
    'rectangle': rectangle,
    'recycling_filled_outlined': recycling_filled_outlined,
    'recycling_filled_sharp': recycling_filled_sharp,
    'recycling_filled': recycling_filled,
    'recycling_outlined': recycling_outlined,
    'recycling_sharp': recycling_sharp,
    'recycling': recycling,
    'redeem_filled_outlined': redeem_filled_outlined,
    'redeem_filled_sharp': redeem_filled_sharp,
    'redeem_filled': redeem_filled,
    'redeem_outlined': redeem_outlined,
    'redeem_sharp': redeem_sharp,
    'redeem': redeem,
    'redo_filled_outlined': redo_filled_outlined,
    'redo_filled_sharp': redo_filled_sharp,
    'redo_filled': redo_filled,
    'redo_outlined': redo_outlined,
    'redo_sharp': redo_sharp,
    'redo': redo,
    'reduce_capacity_filled_outlined': reduce_capacity_filled_outlined,
    'reduce_capacity_filled_sharp': reduce_capacity_filled_sharp,
    'reduce_capacity_filled': reduce_capacity_filled,
    'reduce_capacity_outlined': reduce_capacity_outlined,
    'reduce_capacity_sharp': reduce_capacity_sharp,
    'reduce_capacity': reduce_capacity,
    'refresh_filled_outlined': refresh_filled_outlined,
    'refresh_filled_sharp': refresh_filled_sharp,
    'refresh_filled': refresh_filled,
    'refresh_outlined': refresh_outlined,
    'refresh_sharp': refresh_sharp,
    'refresh': refresh,
    'remember_me_filled_outlined': remember_me_filled_outlined,
    'remember_me_filled_sharp': remember_me_filled_sharp,
    'remember_me_filled': remember_me_filled,
    'remember_me_outlined': remember_me_outlined,
    'remember_me_sharp': remember_me_sharp,
    'remember_me': remember_me,
    'remote_gen_filled_outlined': remote_gen_filled_outlined,
    'remote_gen_filled_sharp': remote_gen_filled_sharp,
    'remote_gen_filled': remote_gen_filled,
    'remote_gen_outlined': remote_gen_outlined,
    'remote_gen_sharp': remote_gen_sharp,
    'remote_gen': remote_gen,
    'remove_done_filled_outlined': remove_done_filled_outlined,
    'remove_done_filled_sharp': remove_done_filled_sharp,
    'remove_done_filled': remove_done_filled,
    'remove_done_outlined': remove_done_outlined,
    'remove_done_sharp': remove_done_sharp,
    'remove_done': remove_done,
    'remove_filled_outlined': remove_filled_outlined,
    'remove_filled_sharp': remove_filled_sharp,
    'remove_filled': remove_filled,
    'remove_from_queue_filled_outlined': remove_from_queue_filled_outlined,
    'remove_from_queue_filled_sharp': remove_from_queue_filled_sharp,
    'remove_from_queue_filled': remove_from_queue_filled,
    'remove_from_queue_outlined': remove_from_queue_outlined,
    'remove_from_queue_sharp': remove_from_queue_sharp,
    'remove_from_queue': remove_from_queue,
    'remove_moderator_filled_outlined': remove_moderator_filled_outlined,
    'remove_moderator_filled_sharp': remove_moderator_filled_sharp,
    'remove_moderator_filled': remove_moderator_filled,
    'remove_moderator_outlined': remove_moderator_outlined,
    'remove_moderator_sharp': remove_moderator_sharp,
    'remove_moderator': remove_moderator,
    'remove_outlined': remove_outlined,
    'remove_road_filled_outlined': remove_road_filled_outlined,
    'remove_road_filled_sharp': remove_road_filled_sharp,
    'remove_road_filled': remove_road_filled,
    'remove_road_outlined': remove_road_outlined,
    'remove_road_sharp': remove_road_sharp,
    'remove_road': remove_road,
    'remove_sharp': remove_sharp,
    'remove_shopping_cart_filled_outlined':
        remove_shopping_cart_filled_outlined,
    'remove_shopping_cart_filled_sharp': remove_shopping_cart_filled_sharp,
    'remove_shopping_cart_filled': remove_shopping_cart_filled,
    'remove_shopping_cart_outlined': remove_shopping_cart_outlined,
    'remove_shopping_cart_sharp': remove_shopping_cart_sharp,
    'remove_shopping_cart': remove_shopping_cart,
    'remove': remove,
    'reorder_filled_outlined': reorder_filled_outlined,
    'reorder_filled_sharp': reorder_filled_sharp,
    'reorder_filled': reorder_filled,
    'reorder_outlined': reorder_outlined,
    'reorder_sharp': reorder_sharp,
    'reorder': reorder,
    'repartition_filled_outlined': repartition_filled_outlined,
    'repartition_filled_sharp': repartition_filled_sharp,
    'repartition_filled': repartition_filled,
    'repartition_outlined': repartition_outlined,
    'repartition_sharp': repartition_sharp,
    'repartition': repartition,
    'repeat_filled_outlined': repeat_filled_outlined,
    'repeat_filled_sharp': repeat_filled_sharp,
    'repeat_filled': repeat_filled,
    'repeat_on_filled_outlined': repeat_on_filled_outlined,
    'repeat_on_filled_sharp': repeat_on_filled_sharp,
    'repeat_on_filled': repeat_on_filled,
    'repeat_on_outlined': repeat_on_outlined,
    'repeat_on_sharp': repeat_on_sharp,
    'repeat_on': repeat_on,
    'repeat_one_filled_outlined': repeat_one_filled_outlined,
    'repeat_one_filled_sharp': repeat_one_filled_sharp,
    'repeat_one_filled': repeat_one_filled,
    'repeat_one_on_filled_outlined': repeat_one_on_filled_outlined,
    'repeat_one_on_filled_sharp': repeat_one_on_filled_sharp,
    'repeat_one_on_filled': repeat_one_on_filled,
    'repeat_one_on_outlined': repeat_one_on_outlined,
    'repeat_one_on_sharp': repeat_one_on_sharp,
    'repeat_one_on': repeat_one_on,
    'repeat_one_outlined': repeat_one_outlined,
    'repeat_one_sharp': repeat_one_sharp,
    'repeat_one': repeat_one,
    'repeat_outlined': repeat_outlined,
    'repeat_sharp': repeat_sharp,
    'repeat': repeat,
    'replay_10_filled_outlined': replay_10_filled_outlined,
    'replay_10_filled_sharp': replay_10_filled_sharp,
    'replay_10_filled': replay_10_filled,
    'replay_10_outlined': replay_10_outlined,
    'replay_10_sharp': replay_10_sharp,
    'replay_10': replay_10,
    'replay_30_filled_outlined': replay_30_filled_outlined,
    'replay_30_filled_sharp': replay_30_filled_sharp,
    'replay_30_filled': replay_30_filled,
    'replay_30_outlined': replay_30_outlined,
    'replay_30_sharp': replay_30_sharp,
    'replay_30': replay_30,
    'replay_5_filled_outlined': replay_5_filled_outlined,
    'replay_5_filled_sharp': replay_5_filled_sharp,
    'replay_5_filled': replay_5_filled,
    'replay_5_outlined': replay_5_outlined,
    'replay_5_sharp': replay_5_sharp,
    'replay_5': replay_5,
    'replay_circle_filled_filled_outlined':
        replay_circle_filled_filled_outlined,
    'replay_circle_filled_filled_sharp': replay_circle_filled_filled_sharp,
    'replay_circle_filled_filled': replay_circle_filled_filled,
    'replay_circle_filled_outlined': replay_circle_filled_outlined,
    'replay_circle_filled_sharp': replay_circle_filled_sharp,
    'replay_circle_filled': replay_circle_filled,
    'replay_filled_outlined': replay_filled_outlined,
    'replay_filled_sharp': replay_filled_sharp,
    'replay_filled': replay_filled,
    'replay_outlined': replay_outlined,
    'replay_sharp': replay_sharp,
    'replay': replay,
    'reply_all_filled_outlined': reply_all_filled_outlined,
    'reply_all_filled_sharp': reply_all_filled_sharp,
    'reply_all_filled': reply_all_filled,
    'reply_all_outlined': reply_all_outlined,
    'reply_all_sharp': reply_all_sharp,
    'reply_all': reply_all,
    'reply_filled_outlined': reply_filled_outlined,
    'reply_filled_sharp': reply_filled_sharp,
    'reply_filled': reply_filled,
    'reply_outlined': reply_outlined,
    'reply_sharp': reply_sharp,
    'reply': reply,
    'report_filled_outlined': report_filled_outlined,
    'report_filled_sharp': report_filled_sharp,
    'report_filled': report_filled,
    'report_off_filled_outlined': report_off_filled_outlined,
    'report_off_filled_sharp': report_off_filled_sharp,
    'report_off_filled': report_off_filled,
    'report_off_outlined': report_off_outlined,
    'report_off_sharp': report_off_sharp,
    'report_off': report_off,
    'report_outlined': report_outlined,
    'report_sharp': report_sharp,
    'report': report,
    'request_page_filled_outlined': request_page_filled_outlined,
    'request_page_filled_sharp': request_page_filled_sharp,
    'request_page_filled': request_page_filled,
    'request_page_outlined': request_page_outlined,
    'request_page_sharp': request_page_sharp,
    'request_page': request_page,
    'request_quote_filled_outlined': request_quote_filled_outlined,
    'request_quote_filled_sharp': request_quote_filled_sharp,
    'request_quote_filled': request_quote_filled,
    'request_quote_outlined': request_quote_outlined,
    'request_quote_sharp': request_quote_sharp,
    'request_quote': request_quote,
    'reset_image_filled_outlined': reset_image_filled_outlined,
    'reset_image_filled_sharp': reset_image_filled_sharp,
    'reset_image_filled': reset_image_filled,
    'reset_image_outlined': reset_image_outlined,
    'reset_image_sharp': reset_image_sharp,
    'reset_image': reset_image,
    'reset_tv_filled_outlined': reset_tv_filled_outlined,
    'reset_tv_filled_sharp': reset_tv_filled_sharp,
    'reset_tv_filled': reset_tv_filled,
    'reset_tv_outlined': reset_tv_outlined,
    'reset_tv_sharp': reset_tv_sharp,
    'reset_tv': reset_tv,
    'restart_alt_filled_outlined': restart_alt_filled_outlined,
    'restart_alt_filled_sharp': restart_alt_filled_sharp,
    'restart_alt_filled': restart_alt_filled,
    'restart_alt_outlined': restart_alt_outlined,
    'restart_alt_sharp': restart_alt_sharp,
    'restart_alt': restart_alt,
    'restaurant_filled_outlined': restaurant_filled_outlined,
    'restaurant_filled_sharp': restaurant_filled_sharp,
    'restaurant_filled': restaurant_filled,
    'restaurant_menu_filled_outlined': restaurant_menu_filled_outlined,
    'restaurant_menu_filled_sharp': restaurant_menu_filled_sharp,
    'restaurant_menu_filled': restaurant_menu_filled,
    'restaurant_menu_outlined': restaurant_menu_outlined,
    'restaurant_menu_sharp': restaurant_menu_sharp,
    'restaurant_menu': restaurant_menu,
    'restaurant_outlined': restaurant_outlined,
    'restaurant_sharp': restaurant_sharp,
    'restaurant': restaurant,
    'restore_from_trash_filled_outlined': restore_from_trash_filled_outlined,
    'restore_from_trash_filled_sharp': restore_from_trash_filled_sharp,
    'restore_from_trash_filled': restore_from_trash_filled,
    'restore_from_trash_outlined': restore_from_trash_outlined,
    'restore_from_trash_sharp': restore_from_trash_sharp,
    'restore_from_trash': restore_from_trash,
    'restore_page_filled_outlined': restore_page_filled_outlined,
    'restore_page_filled_sharp': restore_page_filled_sharp,
    'restore_page_filled': restore_page_filled,
    'restore_page_outlined': restore_page_outlined,
    'restore_page_sharp': restore_page_sharp,
    'restore_page': restore_page,
    'reviews_filled_outlined': reviews_filled_outlined,
    'reviews_filled_sharp': reviews_filled_sharp,
    'reviews_filled': reviews_filled,
    'reviews_outlined': reviews_outlined,
    'reviews_sharp': reviews_sharp,
    'reviews': reviews,
    'rheumatology_filled_outlined': rheumatology_filled_outlined,
    'rheumatology_filled_sharp': rheumatology_filled_sharp,
    'rheumatology_filled': rheumatology_filled,
    'rheumatology_outlined': rheumatology_outlined,
    'rheumatology_sharp': rheumatology_sharp,
    'rheumatology': rheumatology,
    'rib_cage_filled_outlined': rib_cage_filled_outlined,
    'rib_cage_filled_sharp': rib_cage_filled_sharp,
    'rib_cage_filled': rib_cage_filled,
    'rib_cage_outlined': rib_cage_outlined,
    'rib_cage_sharp': rib_cage_sharp,
    'rib_cage': rib_cage,
    'rice_bowl_filled_outlined': rice_bowl_filled_outlined,
    'rice_bowl_filled_sharp': rice_bowl_filled_sharp,
    'rice_bowl_filled': rice_bowl_filled,
    'rice_bowl_outlined': rice_bowl_outlined,
    'rice_bowl_sharp': rice_bowl_sharp,
    'rice_bowl': rice_bowl,
    'ring_volume_filled_outlined': ring_volume_filled_outlined,
    'ring_volume_filled_sharp': ring_volume_filled_sharp,
    'ring_volume_filled': ring_volume_filled,
    'ring_volume_outlined': ring_volume_outlined,
    'ring_volume_sharp': ring_volume_sharp,
    'ring_volume': ring_volume,
    'robot_filled_outlined': robot_filled_outlined,
    'robot_filled_sharp': robot_filled_sharp,
    'robot_filled': robot_filled,
    'robot_outlined': robot_outlined,
    'robot_sharp': robot_sharp,
    'robot': robot,
    'rocket_filled_outlined': rocket_filled_outlined,
    'rocket_filled_sharp': rocket_filled_sharp,
    'rocket_filled': rocket_filled,
    'rocket_launch_filled_outlined': rocket_launch_filled_outlined,
    'rocket_launch_filled_sharp': rocket_launch_filled_sharp,
    'rocket_launch_filled': rocket_launch_filled,
    'rocket_launch_outlined': rocket_launch_outlined,
    'rocket_launch_sharp': rocket_launch_sharp,
    'rocket_launch': rocket_launch,
    'rocket_outlined': rocket_outlined,
    'rocket_sharp': rocket_sharp,
    'rocket': rocket,
    'roller_shades_closed_filled_outlined':
        roller_shades_closed_filled_outlined,
    'roller_shades_closed_filled_sharp': roller_shades_closed_filled_sharp,
    'roller_shades_closed_filled': roller_shades_closed_filled,
    'roller_shades_closed_outlined': roller_shades_closed_outlined,
    'roller_shades_closed_sharp': roller_shades_closed_sharp,
    'roller_shades_closed': roller_shades_closed,
    'roller_shades_filled_outlined': roller_shades_filled_outlined,
    'roller_shades_filled_sharp': roller_shades_filled_sharp,
    'roller_shades_filled': roller_shades_filled,
    'roller_shades_outlined': roller_shades_outlined,
    'roller_shades_sharp': roller_shades_sharp,
    'roller_shades': roller_shades,
    'roller_skating_filled_outlined': roller_skating_filled_outlined,
    'roller_skating_filled_sharp': roller_skating_filled_sharp,
    'roller_skating_filled': roller_skating_filled,
    'roller_skating_outlined': roller_skating_outlined,
    'roller_skating_sharp': roller_skating_sharp,
    'roller_skating': roller_skating,
    'roofing_filled_outlined': roofing_filled_outlined,
    'roofing_filled_sharp': roofing_filled_sharp,
    'roofing_filled': roofing_filled,
    'roofing_outlined': roofing_outlined,
    'roofing_sharp': roofing_sharp,
    'roofing': roofing,
    'room_preferences_filled_outlined': room_preferences_filled_outlined,
    'room_preferences_filled_sharp': room_preferences_filled_sharp,
    'room_preferences_filled': room_preferences_filled,
    'room_preferences_outlined': room_preferences_outlined,
    'room_preferences_sharp': room_preferences_sharp,
    'room_preferences': room_preferences,
    'room_service_filled_outlined': room_service_filled_outlined,
    'room_service_filled_sharp': room_service_filled_sharp,
    'room_service_filled': room_service_filled,
    'room_service_outlined': room_service_outlined,
    'room_service_sharp': room_service_sharp,
    'room_service': room_service,
    'rotate_90_degrees_ccw_filled_outlined':
        rotate_90_degrees_ccw_filled_outlined,
    'rotate_90_degrees_ccw_filled_sharp': rotate_90_degrees_ccw_filled_sharp,
    'rotate_90_degrees_ccw_filled': rotate_90_degrees_ccw_filled,
    'rotate_90_degrees_ccw_outlined': rotate_90_degrees_ccw_outlined,
    'rotate_90_degrees_ccw_sharp': rotate_90_degrees_ccw_sharp,
    'rotate_90_degrees_ccw': rotate_90_degrees_ccw,
    'rotate_90_degrees_cw_filled_outlined':
        rotate_90_degrees_cw_filled_outlined,
    'rotate_90_degrees_cw_filled_sharp': rotate_90_degrees_cw_filled_sharp,
    'rotate_90_degrees_cw_filled': rotate_90_degrees_cw_filled,
    'rotate_90_degrees_cw_outlined': rotate_90_degrees_cw_outlined,
    'rotate_90_degrees_cw_sharp': rotate_90_degrees_cw_sharp,
    'rotate_90_degrees_cw': rotate_90_degrees_cw,
    'rotate_left_filled_outlined': rotate_left_filled_outlined,
    'rotate_left_filled_sharp': rotate_left_filled_sharp,
    'rotate_left_filled': rotate_left_filled,
    'rotate_left_outlined': rotate_left_outlined,
    'rotate_left_sharp': rotate_left_sharp,
    'rotate_left': rotate_left,
    'rotate_right_filled_outlined': rotate_right_filled_outlined,
    'rotate_right_filled_sharp': rotate_right_filled_sharp,
    'rotate_right_filled': rotate_right_filled,
    'rotate_right_outlined': rotate_right_outlined,
    'rotate_right_sharp': rotate_right_sharp,
    'rotate_right': rotate_right,
    'roundabout_left_filled_outlined': roundabout_left_filled_outlined,
    'roundabout_left_filled_sharp': roundabout_left_filled_sharp,
    'roundabout_left_filled': roundabout_left_filled,
    'roundabout_left_outlined': roundabout_left_outlined,
    'roundabout_left_sharp': roundabout_left_sharp,
    'roundabout_left': roundabout_left,
    'roundabout_right_filled_outlined': roundabout_right_filled_outlined,
    'roundabout_right_filled_sharp': roundabout_right_filled_sharp,
    'roundabout_right_filled': roundabout_right_filled,
    'roundabout_right_outlined': roundabout_right_outlined,
    'roundabout_right_sharp': roundabout_right_sharp,
    'roundabout_right': roundabout_right,
    'rounded_corner_filled_outlined': rounded_corner_filled_outlined,
    'rounded_corner_filled_sharp': rounded_corner_filled_sharp,
    'rounded_corner_filled': rounded_corner_filled,
    'rounded_corner_outlined': rounded_corner_outlined,
    'rounded_corner_sharp': rounded_corner_sharp,
    'rounded_corner': rounded_corner,
    'route_filled_outlined': route_filled_outlined,
    'route_filled_sharp': route_filled_sharp,
    'route_filled': route_filled,
    'route_outlined': route_outlined,
    'route_sharp': route_sharp,
    'route': route,
    'router_filled_outlined': router_filled_outlined,
    'router_filled_sharp': router_filled_sharp,
    'router_filled': router_filled,
    'router_outlined': router_outlined,
    'router_sharp': router_sharp,
    'router': router,
    'routine_filled_outlined': routine_filled_outlined,
    'routine_filled_sharp': routine_filled_sharp,
    'routine_filled': routine_filled,
    'routine_outlined': routine_outlined,
    'routine_sharp': routine_sharp,
    'routine': routine,
    'rowing_filled_outlined': rowing_filled_outlined,
    'rowing_filled_sharp': rowing_filled_sharp,
    'rowing_filled': rowing_filled,
    'rowing_outlined': rowing_outlined,
    'rowing_sharp': rowing_sharp,
    'rowing': rowing,
    'rss_feed_filled_outlined': rss_feed_filled_outlined,
    'rss_feed_filled_sharp': rss_feed_filled_sharp,
    'rss_feed_filled': rss_feed_filled,
    'rss_feed_outlined': rss_feed_outlined,
    'rss_feed_sharp': rss_feed_sharp,
    'rss_feed': rss_feed,
    'rsvp_filled_outlined': rsvp_filled_outlined,
    'rsvp_filled_sharp': rsvp_filled_sharp,
    'rsvp_filled': rsvp_filled,
    'rsvp_outlined': rsvp_outlined,
    'rsvp_sharp': rsvp_sharp,
    'rsvp': rsvp,
    'rtt_filled_outlined': rtt_filled_outlined,
    'rtt_filled_sharp': rtt_filled_sharp,
    'rtt_filled': rtt_filled,
    'rtt_outlined': rtt_outlined,
    'rtt_sharp': rtt_sharp,
    'rtt': rtt,
    'rule_filled_outlined': rule_filled_outlined,
    'rule_filled_sharp': rule_filled_sharp,
    'rule_filled': rule_filled,
    'rule_folder_filled_outlined': rule_folder_filled_outlined,
    'rule_folder_filled_sharp': rule_folder_filled_sharp,
    'rule_folder_filled': rule_folder_filled,
    'rule_folder_outlined': rule_folder_outlined,
    'rule_folder_sharp': rule_folder_sharp,
    'rule_folder': rule_folder,
    'rule_outlined': rule_outlined,
    'rule_sharp': rule_sharp,
    'rule': rule,
    'run_circle_filled_outlined': run_circle_filled_outlined,
    'run_circle_filled_sharp': run_circle_filled_sharp,
    'run_circle_filled': run_circle_filled,
    'run_circle_outlined': run_circle_outlined,
    'run_circle_sharp': run_circle_sharp,
    'run_circle': run_circle,
    'running_with_errors_filled_outlined': running_with_errors_filled_outlined,
    'running_with_errors_filled_sharp': running_with_errors_filled_sharp,
    'running_with_errors_filled': running_with_errors_filled,
    'running_with_errors_outlined': running_with_errors_outlined,
    'running_with_errors_sharp': running_with_errors_sharp,
    'running_with_errors': running_with_errors,
    'rv_hookup_filled_outlined': rv_hookup_filled_outlined,
    'rv_hookup_filled_sharp': rv_hookup_filled_sharp,
    'rv_hookup_filled': rv_hookup_filled,
    'rv_hookup_outlined': rv_hookup_outlined,
    'rv_hookup_sharp': rv_hookup_sharp,
    'rv_hookup': rv_hookup,
    'safety_check_filled_outlined': safety_check_filled_outlined,
    'safety_check_filled_sharp': safety_check_filled_sharp,
    'safety_check_filled': safety_check_filled,
    'safety_check_outlined': safety_check_outlined,
    'safety_check_sharp': safety_check_sharp,
    'safety_check': safety_check,
    'safety_divider_filled_outlined': safety_divider_filled_outlined,
    'safety_divider_filled_sharp': safety_divider_filled_sharp,
    'safety_divider_filled': safety_divider_filled,
    'safety_divider_outlined': safety_divider_outlined,
    'safety_divider_sharp': safety_divider_sharp,
    'safety_divider': safety_divider,
    'sailing_filled_outlined': sailing_filled_outlined,
    'sailing_filled_sharp': sailing_filled_sharp,
    'sailing_filled': sailing_filled,
    'sailing_outlined': sailing_outlined,
    'sailing_sharp': sailing_sharp,
    'sailing': sailing,
    'salinity_filled_outlined': salinity_filled_outlined,
    'salinity_filled_sharp': salinity_filled_sharp,
    'salinity_filled': salinity_filled,
    'salinity_outlined': salinity_outlined,
    'salinity_sharp': salinity_sharp,
    'salinity': salinity,
    'sanitizer_filled_outlined': sanitizer_filled_outlined,
    'sanitizer_filled_sharp': sanitizer_filled_sharp,
    'sanitizer_filled': sanitizer_filled,
    'sanitizer_outlined': sanitizer_outlined,
    'sanitizer_sharp': sanitizer_sharp,
    'sanitizer': sanitizer,
    'satellite_alt_filled_outlined': satellite_alt_filled_outlined,
    'satellite_alt_filled_sharp': satellite_alt_filled_sharp,
    'satellite_alt_filled': satellite_alt_filled,
    'satellite_alt_outlined': satellite_alt_outlined,
    'satellite_alt_sharp': satellite_alt_sharp,
    'satellite_alt': satellite_alt,
    'satellite_filled_outlined': satellite_filled_outlined,
    'satellite_filled_sharp': satellite_filled_sharp,
    'satellite_filled': satellite_filled,
    'satellite_outlined': satellite_outlined,
    'satellite_sharp': satellite_sharp,
    'satellite': satellite,
    'save_as_filled_outlined': save_as_filled_outlined,
    'save_as_filled_sharp': save_as_filled_sharp,
    'save_as_filled': save_as_filled,
    'save_as_outlined': save_as_outlined,
    'save_as_sharp': save_as_sharp,
    'save_as': save_as,
    'save_filled_outlined': save_filled_outlined,
    'save_filled_sharp': save_filled_sharp,
    'save_filled': save_filled,
    'save_outlined': save_outlined,
    'save_sharp': save_sharp,
    'save': save,
    'saved_search_filled_outlined': saved_search_filled_outlined,
    'saved_search_filled_sharp': saved_search_filled_sharp,
    'saved_search_filled': saved_search_filled,
    'saved_search_outlined': saved_search_outlined,
    'saved_search_sharp': saved_search_sharp,
    'saved_search': saved_search,
    'savings_filled_outlined': savings_filled_outlined,
    'savings_filled_sharp': savings_filled_sharp,
    'savings_filled': savings_filled,
    'savings_outlined': savings_outlined,
    'savings_sharp': savings_sharp,
    'savings': savings,
    'scale_filled_outlined': scale_filled_outlined,
    'scale_filled_sharp': scale_filled_sharp,
    'scale_filled': scale_filled,
    'scale_outlined': scale_outlined,
    'scale_sharp': scale_sharp,
    'scale': scale,
    'scanner_filled_outlined': scanner_filled_outlined,
    'scanner_filled_sharp': scanner_filled_sharp,
    'scanner_filled': scanner_filled,
    'scanner_outlined': scanner_outlined,
    'scanner_sharp': scanner_sharp,
    'scanner': scanner,
    'scatter_plot_filled_outlined': scatter_plot_filled_outlined,
    'scatter_plot_filled_sharp': scatter_plot_filled_sharp,
    'scatter_plot_filled': scatter_plot_filled,
    'scatter_plot_outlined': scatter_plot_outlined,
    'scatter_plot_sharp': scatter_plot_sharp,
    'scatter_plot': scatter_plot,
    'scene_filled_outlined': scene_filled_outlined,
    'scene_filled_sharp': scene_filled_sharp,
    'scene_filled': scene_filled,
    'scene_outlined': scene_outlined,
    'scene_sharp': scene_sharp,
    'scene': scene,
    'schedule_filled_outlined': schedule_filled_outlined,
    'schedule_filled_sharp': schedule_filled_sharp,
    'schedule_filled': schedule_filled,
    'schedule_outlined': schedule_outlined,
    'schedule_send_filled_outlined': schedule_send_filled_outlined,
    'schedule_send_filled_sharp': schedule_send_filled_sharp,
    'schedule_send_filled': schedule_send_filled,
    'schedule_send_outlined': schedule_send_outlined,
    'schedule_send_sharp': schedule_send_sharp,
    'schedule_send': schedule_send,
    'schedule_sharp': schedule_sharp,
    'schedule': schedule,
    'schema_filled_outlined': schema_filled_outlined,
    'schema_filled_sharp': schema_filled_sharp,
    'schema_filled': schema_filled,
    'schema_outlined': schema_outlined,
    'schema_sharp': schema_sharp,
    'schema': schema,
    'school_filled_outlined': school_filled_outlined,
    'school_filled_sharp': school_filled_sharp,
    'school_filled': school_filled,
    'school_outlined': school_outlined,
    'school_sharp': school_sharp,
    'school': school,
    'science_filled_outlined': science_filled_outlined,
    'science_filled_sharp': science_filled_sharp,
    'science_filled': science_filled,
    'science_outlined': science_outlined,
    'science_sharp': science_sharp,
    'science': science,
    'score_filled_outlined': score_filled_outlined,
    'score_filled_sharp': score_filled_sharp,
    'score_filled': score_filled,
    'score_outlined': score_outlined,
    'score_sharp': score_sharp,
    'score': score,
    'scoreboard_filled_outlined': scoreboard_filled_outlined,
    'scoreboard_filled_sharp': scoreboard_filled_sharp,
    'scoreboard_filled': scoreboard_filled,
    'scoreboard_outlined': scoreboard_outlined,
    'scoreboard_sharp': scoreboard_sharp,
    'scoreboard': scoreboard,
    'screen_lock_landscape_filled_outlined':
        screen_lock_landscape_filled_outlined,
    'screen_lock_landscape_filled_sharp': screen_lock_landscape_filled_sharp,
    'screen_lock_landscape_filled': screen_lock_landscape_filled,
    'screen_lock_landscape_outlined': screen_lock_landscape_outlined,
    'screen_lock_landscape_sharp': screen_lock_landscape_sharp,
    'screen_lock_landscape': screen_lock_landscape,
    'screen_lock_portrait_filled_outlined':
        screen_lock_portrait_filled_outlined,
    'screen_lock_portrait_filled_sharp': screen_lock_portrait_filled_sharp,
    'screen_lock_portrait_filled': screen_lock_portrait_filled,
    'screen_lock_portrait_outlined': screen_lock_portrait_outlined,
    'screen_lock_portrait_sharp': screen_lock_portrait_sharp,
    'screen_lock_portrait': screen_lock_portrait,
    'screen_lock_rotation_filled_outlined':
        screen_lock_rotation_filled_outlined,
    'screen_lock_rotation_filled_sharp': screen_lock_rotation_filled_sharp,
    'screen_lock_rotation_filled': screen_lock_rotation_filled,
    'screen_lock_rotation_outlined': screen_lock_rotation_outlined,
    'screen_lock_rotation_sharp': screen_lock_rotation_sharp,
    'screen_lock_rotation': screen_lock_rotation,
    'screen_rotation_alt_filled_outlined': screen_rotation_alt_filled_outlined,
    'screen_rotation_alt_filled_sharp': screen_rotation_alt_filled_sharp,
    'screen_rotation_alt_filled': screen_rotation_alt_filled,
    'screen_rotation_alt_outlined': screen_rotation_alt_outlined,
    'screen_rotation_alt_sharp': screen_rotation_alt_sharp,
    'screen_rotation_alt': screen_rotation_alt,
    'screen_rotation_filled_outlined': screen_rotation_filled_outlined,
    'screen_rotation_filled_sharp': screen_rotation_filled_sharp,
    'screen_rotation_filled': screen_rotation_filled,
    'screen_rotation_outlined': screen_rotation_outlined,
    'screen_rotation_sharp': screen_rotation_sharp,
    'screen_rotation': screen_rotation,
    'screen_search_desktop_filled_outlined':
        screen_search_desktop_filled_outlined,
    'screen_search_desktop_filled_sharp': screen_search_desktop_filled_sharp,
    'screen_search_desktop_filled': screen_search_desktop_filled,
    'screen_search_desktop_outlined': screen_search_desktop_outlined,
    'screen_search_desktop_sharp': screen_search_desktop_sharp,
    'screen_search_desktop': screen_search_desktop,
    'screen_share_filled_outlined': screen_share_filled_outlined,
    'screen_share_filled_sharp': screen_share_filled_sharp,
    'screen_share_filled': screen_share_filled,
    'screen_share_outlined': screen_share_outlined,
    'screen_share_sharp': screen_share_sharp,
    'screen_share': screen_share,
    'screenshot_filled_outlined': screenshot_filled_outlined,
    'screenshot_filled_sharp': screenshot_filled_sharp,
    'screenshot_filled': screenshot_filled,
    'screenshot_monitor_filled_outlined': screenshot_monitor_filled_outlined,
    'screenshot_monitor_filled_sharp': screenshot_monitor_filled_sharp,
    'screenshot_monitor_filled': screenshot_monitor_filled,
    'screenshot_monitor_outlined': screenshot_monitor_outlined,
    'screenshot_monitor_sharp': screenshot_monitor_sharp,
    'screenshot_monitor': screenshot_monitor,
    'screenshot_outlined': screenshot_outlined,
    'screenshot_sharp': screenshot_sharp,
    'screenshot': screenshot,
    'scuba_diving_filled_outlined': scuba_diving_filled_outlined,
    'scuba_diving_filled_sharp': scuba_diving_filled_sharp,
    'scuba_diving_filled': scuba_diving_filled,
    'scuba_diving_outlined': scuba_diving_outlined,
    'scuba_diving_sharp': scuba_diving_sharp,
    'scuba_diving': scuba_diving,
    'sd_card_alert_filled_outlined': sd_card_alert_filled_outlined,
    'sd_card_alert_filled_sharp': sd_card_alert_filled_sharp,
    'sd_card_alert_filled': sd_card_alert_filled,
    'sd_card_alert_outlined': sd_card_alert_outlined,
    'sd_card_alert_sharp': sd_card_alert_sharp,
    'sd_card_alert': sd_card_alert,
    'sd_card_filled_outlined': sd_card_filled_outlined,
    'sd_card_filled_sharp': sd_card_filled_sharp,
    'sd_card_filled': sd_card_filled,
    'sd_card_outlined': sd_card_outlined,
    'sd_card_sharp': sd_card_sharp,
    'sd_card': sd_card,
    'sd_filled_outlined': sd_filled_outlined,
    'sd_filled_sharp': sd_filled_sharp,
    'sd_filled': sd_filled,
    'sd_outlined': sd_outlined,
    'sd_sharp': sd_sharp,
    'sd': sd,
    'search_check_filled_outlined': search_check_filled_outlined,
    'search_check_filled_sharp': search_check_filled_sharp,
    'search_check_filled': search_check_filled,
    'search_check_outlined': search_check_outlined,
    'search_check_sharp': search_check_sharp,
    'search_check': search_check,
    'search_filled_outlined': search_filled_outlined,
    'search_filled_sharp': search_filled_sharp,
    'search_filled': search_filled,
    'search_off_filled_outlined': search_off_filled_outlined,
    'search_off_filled_sharp': search_off_filled_sharp,
    'search_off_filled': search_off_filled,
    'search_off_outlined': search_off_outlined,
    'search_off_sharp': search_off_sharp,
    'search_off': search_off,
    'search_outlined': search_outlined,
    'search_sharp': search_sharp,
    'search': search,
    'security_filled_outlined': security_filled_outlined,
    'security_filled_sharp': security_filled_sharp,
    'security_filled': security_filled,
    'security_outlined': security_outlined,
    'security_sharp': security_sharp,
    'security_update_good_filled_outlined':
        security_update_good_filled_outlined,
    'security_update_good_filled_sharp': security_update_good_filled_sharp,
    'security_update_good_filled': security_update_good_filled,
    'security_update_good_outlined': security_update_good_outlined,
    'security_update_good_sharp': security_update_good_sharp,
    'security_update_good': security_update_good,
    'security_update_warning_filled_outlined':
        security_update_warning_filled_outlined,
    'security_update_warning_filled_sharp':
        security_update_warning_filled_sharp,
    'security_update_warning_filled': security_update_warning_filled,
    'security_update_warning_outlined': security_update_warning_outlined,
    'security_update_warning_sharp': security_update_warning_sharp,
    'security_update_warning': security_update_warning,
    'security': security,
    'segment_filled_outlined': segment_filled_outlined,
    'segment_filled_sharp': segment_filled_sharp,
    'segment_filled': segment_filled,
    'segment_outlined': segment_outlined,
    'segment_sharp': segment_sharp,
    'segment': segment,
    'select_all_filled_outlined': select_all_filled_outlined,
    'select_all_filled_sharp': select_all_filled_sharp,
    'select_all_filled': select_all_filled,
    'select_all_outlined': select_all_outlined,
    'select_all_sharp': select_all_sharp,
    'select_all': select_all,
    'select_check_box_filled_outlined': select_check_box_filled_outlined,
    'select_check_box_filled_sharp': select_check_box_filled_sharp,
    'select_check_box_filled': select_check_box_filled,
    'select_check_box_outlined': select_check_box_outlined,
    'select_check_box_sharp': select_check_box_sharp,
    'select_check_box': select_check_box,
    'self_care_filled_outlined': self_care_filled_outlined,
    'self_care_filled_sharp': self_care_filled_sharp,
    'self_care_filled': self_care_filled,
    'self_care_outlined': self_care_outlined,
    'self_care_sharp': self_care_sharp,
    'self_care': self_care,
    'self_improvement_filled_outlined': self_improvement_filled_outlined,
    'self_improvement_filled_sharp': self_improvement_filled_sharp,
    'self_improvement_filled': self_improvement_filled,
    'self_improvement_outlined': self_improvement_outlined,
    'self_improvement_sharp': self_improvement_sharp,
    'self_improvement': self_improvement,
    'sell_filled_outlined': sell_filled_outlined,
    'sell_filled_sharp': sell_filled_sharp,
    'sell_filled': sell_filled,
    'sell_outlined': sell_outlined,
    'sell_sharp': sell_sharp,
    'sell': sell,
    'send_and_archive_filled_outlined': send_and_archive_filled_outlined,
    'send_and_archive_filled_sharp': send_and_archive_filled_sharp,
    'send_and_archive_filled': send_and_archive_filled,
    'send_and_archive_outlined': send_and_archive_outlined,
    'send_and_archive_sharp': send_and_archive_sharp,
    'send_and_archive': send_and_archive,
    'send_filled_outlined': send_filled_outlined,
    'send_filled_sharp': send_filled_sharp,
    'send_filled': send_filled,
    'send_outlined': send_outlined,
    'send_sharp': send_sharp,
    'send_time_extension_filled_outlined': send_time_extension_filled_outlined,
    'send_time_extension_filled_sharp': send_time_extension_filled_sharp,
    'send_time_extension_filled': send_time_extension_filled,
    'send_time_extension_outlined': send_time_extension_outlined,
    'send_time_extension_sharp': send_time_extension_sharp,
    'send_time_extension': send_time_extension,
    'send_to_mobile_filled_outlined': send_to_mobile_filled_outlined,
    'send_to_mobile_filled_sharp': send_to_mobile_filled_sharp,
    'send_to_mobile_filled': send_to_mobile_filled,
    'send_to_mobile_outlined': send_to_mobile_outlined,
    'send_to_mobile_sharp': send_to_mobile_sharp,
    'send_to_mobile': send_to_mobile,
    'send': send,
    'sensor_door_filled_outlined': sensor_door_filled_outlined,
    'sensor_door_filled_sharp': sensor_door_filled_sharp,
    'sensor_door_filled': sensor_door_filled,
    'sensor_door_outlined': sensor_door_outlined,
    'sensor_door_sharp': sensor_door_sharp,
    'sensor_door': sensor_door,
    'sensor_occupied_filled_outlined': sensor_occupied_filled_outlined,
    'sensor_occupied_filled_sharp': sensor_occupied_filled_sharp,
    'sensor_occupied_filled': sensor_occupied_filled,
    'sensor_occupied_outlined': sensor_occupied_outlined,
    'sensor_occupied_sharp': sensor_occupied_sharp,
    'sensor_occupied': sensor_occupied,
    'sensor_window_filled_outlined': sensor_window_filled_outlined,
    'sensor_window_filled_sharp': sensor_window_filled_sharp,
    'sensor_window_filled': sensor_window_filled,
    'sensor_window_outlined': sensor_window_outlined,
    'sensor_window_sharp': sensor_window_sharp,
    'sensor_window': sensor_window,
    'sensors_filled_outlined': sensors_filled_outlined,
    'sensors_filled_sharp': sensors_filled_sharp,
    'sensors_filled': sensors_filled,
    'sensors_off_filled_outlined': sensors_off_filled_outlined,
    'sensors_off_filled_sharp': sensors_off_filled_sharp,
    'sensors_off_filled': sensors_off_filled,
    'sensors_off_outlined': sensors_off_outlined,
    'sensors_off_sharp': sensors_off_sharp,
    'sensors_off': sensors_off,
    'sensors_outlined': sensors_outlined,
    'sensors_sharp': sensors_sharp,
    'sensors': sensors,
    'sentiment_dissatisfied_filled_outlined':
        sentiment_dissatisfied_filled_outlined,
    'sentiment_dissatisfied_filled_sharp': sentiment_dissatisfied_filled_sharp,
    'sentiment_dissatisfied_filled': sentiment_dissatisfied_filled,
    'sentiment_dissatisfied_outlined': sentiment_dissatisfied_outlined,
    'sentiment_dissatisfied_sharp': sentiment_dissatisfied_sharp,
    'sentiment_dissatisfied': sentiment_dissatisfied,
    'sentiment_extremely_dissatisfied_filled_outlined':
        sentiment_extremely_dissatisfied_filled_outlined,
    'sentiment_extremely_dissatisfied_filled_sharp':
        sentiment_extremely_dissatisfied_filled_sharp,
    'sentiment_extremely_dissatisfied_filled':
        sentiment_extremely_dissatisfied_filled,
    'sentiment_extremely_dissatisfied_outlined':
        sentiment_extremely_dissatisfied_outlined,
    'sentiment_extremely_dissatisfied_sharp':
        sentiment_extremely_dissatisfied_sharp,
    'sentiment_extremely_dissatisfied': sentiment_extremely_dissatisfied,
    'sentiment_neutral_filled_outlined': sentiment_neutral_filled_outlined,
    'sentiment_neutral_filled_sharp': sentiment_neutral_filled_sharp,
    'sentiment_neutral_filled': sentiment_neutral_filled,
    'sentiment_neutral_outlined': sentiment_neutral_outlined,
    'sentiment_neutral_sharp': sentiment_neutral_sharp,
    'sentiment_neutral': sentiment_neutral,
    'sentiment_satisfied_filled_outlined': sentiment_satisfied_filled_outlined,
    'sentiment_satisfied_filled_sharp': sentiment_satisfied_filled_sharp,
    'sentiment_satisfied_filled': sentiment_satisfied_filled,
    'sentiment_satisfied_outlined': sentiment_satisfied_outlined,
    'sentiment_satisfied_sharp': sentiment_satisfied_sharp,
    'sentiment_satisfied': sentiment_satisfied,
    'sentiment_very_dissatisfied_filled_outlined':
        sentiment_very_dissatisfied_filled_outlined,
    'sentiment_very_dissatisfied_filled_sharp':
        sentiment_very_dissatisfied_filled_sharp,
    'sentiment_very_dissatisfied_filled': sentiment_very_dissatisfied_filled,
    'sentiment_very_dissatisfied_outlined':
        sentiment_very_dissatisfied_outlined,
    'sentiment_very_dissatisfied_sharp': sentiment_very_dissatisfied_sharp,
    'sentiment_very_dissatisfied': sentiment_very_dissatisfied,
    'sentiment_very_satisfied_filled_outlined':
        sentiment_very_satisfied_filled_outlined,
    'sentiment_very_satisfied_filled_sharp':
        sentiment_very_satisfied_filled_sharp,
    'sentiment_very_satisfied_filled': sentiment_very_satisfied_filled,
    'sentiment_very_satisfied_outlined': sentiment_very_satisfied_outlined,
    'sentiment_very_satisfied_sharp': sentiment_very_satisfied_sharp,
    'sentiment_very_satisfied': sentiment_very_satisfied,
    'set_meal_filled_outlined': set_meal_filled_outlined,
    'set_meal_filled_sharp': set_meal_filled_sharp,
    'set_meal_filled': set_meal_filled,
    'set_meal_outlined': set_meal_outlined,
    'set_meal_sharp': set_meal_sharp,
    'set_meal': set_meal,
    'settings_accessibility_filled_outlined':
        settings_accessibility_filled_outlined,
    'settings_accessibility_filled_sharp': settings_accessibility_filled_sharp,
    'settings_accessibility_filled': settings_accessibility_filled,
    'settings_accessibility_outlined': settings_accessibility_outlined,
    'settings_accessibility_sharp': settings_accessibility_sharp,
    'settings_accessibility': settings_accessibility,
    'settings_account_box_filled_outlined':
        settings_account_box_filled_outlined,
    'settings_account_box_filled_sharp': settings_account_box_filled_sharp,
    'settings_account_box_filled': settings_account_box_filled,
    'settings_account_box_outlined': settings_account_box_outlined,
    'settings_account_box_sharp': settings_account_box_sharp,
    'settings_account_box': settings_account_box,
    'settings_alert_filled_outlined': settings_alert_filled_outlined,
    'settings_alert_filled_sharp': settings_alert_filled_sharp,
    'settings_alert_filled': settings_alert_filled,
    'settings_alert_outlined': settings_alert_outlined,
    'settings_alert_sharp': settings_alert_sharp,
    'settings_alert': settings_alert,
    'settings_applications_filled_outlined':
        settings_applications_filled_outlined,
    'settings_applications_filled_sharp': settings_applications_filled_sharp,
    'settings_applications_filled': settings_applications_filled,
    'settings_applications_outlined': settings_applications_outlined,
    'settings_applications_sharp': settings_applications_sharp,
    'settings_applications': settings_applications,
    'settings_backup_restore_filled_outlined':
        settings_backup_restore_filled_outlined,
    'settings_backup_restore_filled_sharp':
        settings_backup_restore_filled_sharp,
    'settings_backup_restore_filled': settings_backup_restore_filled,
    'settings_backup_restore_outlined': settings_backup_restore_outlined,
    'settings_backup_restore_sharp': settings_backup_restore_sharp,
    'settings_backup_restore': settings_backup_restore,
    'settings_bluetooth_filled_outlined': settings_bluetooth_filled_outlined,
    'settings_bluetooth_filled_sharp': settings_bluetooth_filled_sharp,
    'settings_bluetooth_filled': settings_bluetooth_filled,
    'settings_bluetooth_outlined': settings_bluetooth_outlined,
    'settings_bluetooth_sharp': settings_bluetooth_sharp,
    'settings_bluetooth': settings_bluetooth,
    'settings_brightness_filled_outlined': settings_brightness_filled_outlined,
    'settings_brightness_filled_sharp': settings_brightness_filled_sharp,
    'settings_brightness_filled': settings_brightness_filled,
    'settings_brightness_outlined': settings_brightness_outlined,
    'settings_brightness_sharp': settings_brightness_sharp,
    'settings_brightness': settings_brightness,
    'settings_cell_filled_outlined': settings_cell_filled_outlined,
    'settings_cell_filled_sharp': settings_cell_filled_sharp,
    'settings_cell_filled': settings_cell_filled,
    'settings_cell_outlined': settings_cell_outlined,
    'settings_cell_sharp': settings_cell_sharp,
    'settings_cell': settings_cell,
    'settings_ethernet_filled_outlined': settings_ethernet_filled_outlined,
    'settings_ethernet_filled_sharp': settings_ethernet_filled_sharp,
    'settings_ethernet_filled': settings_ethernet_filled,
    'settings_ethernet_outlined': settings_ethernet_outlined,
    'settings_ethernet_sharp': settings_ethernet_sharp,
    'settings_ethernet': settings_ethernet,
    'settings_filled_outlined': settings_filled_outlined,
    'settings_filled_sharp': settings_filled_sharp,
    'settings_filled': settings_filled,
    'settings_input_antenna_filled_outlined':
        settings_input_antenna_filled_outlined,
    'settings_input_antenna_filled_sharp': settings_input_antenna_filled_sharp,
    'settings_input_antenna_filled': settings_input_antenna_filled,
    'settings_input_antenna_outlined': settings_input_antenna_outlined,
    'settings_input_antenna_sharp': settings_input_antenna_sharp,
    'settings_input_antenna': settings_input_antenna,
    'settings_input_component_filled_outlined':
        settings_input_component_filled_outlined,
    'settings_input_component_filled_sharp':
        settings_input_component_filled_sharp,
    'settings_input_component_filled': settings_input_component_filled,
    'settings_input_component_outlined': settings_input_component_outlined,
    'settings_input_component_sharp': settings_input_component_sharp,
    'settings_input_component': settings_input_component,
    'settings_input_hdmi_filled_outlined': settings_input_hdmi_filled_outlined,
    'settings_input_hdmi_filled_sharp': settings_input_hdmi_filled_sharp,
    'settings_input_hdmi_filled': settings_input_hdmi_filled,
    'settings_input_hdmi_outlined': settings_input_hdmi_outlined,
    'settings_input_hdmi_sharp': settings_input_hdmi_sharp,
    'settings_input_hdmi': settings_input_hdmi,
    'settings_input_svideo_filled_outlined':
        settings_input_svideo_filled_outlined,
    'settings_input_svideo_filled_sharp': settings_input_svideo_filled_sharp,
    'settings_input_svideo_filled': settings_input_svideo_filled,
    'settings_input_svideo_outlined': settings_input_svideo_outlined,
    'settings_input_svideo_sharp': settings_input_svideo_sharp,
    'settings_input_svideo': settings_input_svideo,
    'settings_motion_mode_filled_outlined':
        settings_motion_mode_filled_outlined,
    'settings_motion_mode_filled_sharp': settings_motion_mode_filled_sharp,
    'settings_motion_mode_filled': settings_motion_mode_filled,
    'settings_motion_mode_outlined': settings_motion_mode_outlined,
    'settings_motion_mode_sharp': settings_motion_mode_sharp,
    'settings_motion_mode': settings_motion_mode,
    'settings_night_sight_filled_outlined':
        settings_night_sight_filled_outlined,
    'settings_night_sight_filled_sharp': settings_night_sight_filled_sharp,
    'settings_night_sight_filled': settings_night_sight_filled,
    'settings_night_sight_outlined': settings_night_sight_outlined,
    'settings_night_sight_sharp': settings_night_sight_sharp,
    'settings_night_sight': settings_night_sight,
    'settings_outlined': settings_outlined,
    'settings_overscan_filled_outlined': settings_overscan_filled_outlined,
    'settings_overscan_filled_sharp': settings_overscan_filled_sharp,
    'settings_overscan_filled': settings_overscan_filled,
    'settings_overscan_outlined': settings_overscan_outlined,
    'settings_overscan_sharp': settings_overscan_sharp,
    'settings_overscan': settings_overscan,
    'settings_panorama_filled_outlined': settings_panorama_filled_outlined,
    'settings_panorama_filled_sharp': settings_panorama_filled_sharp,
    'settings_panorama_filled': settings_panorama_filled,
    'settings_panorama_outlined': settings_panorama_outlined,
    'settings_panorama_sharp': settings_panorama_sharp,
    'settings_panorama': settings_panorama,
    'settings_phone_filled_outlined': settings_phone_filled_outlined,
    'settings_phone_filled_sharp': settings_phone_filled_sharp,
    'settings_phone_filled': settings_phone_filled,
    'settings_phone_outlined': settings_phone_outlined,
    'settings_phone_sharp': settings_phone_sharp,
    'settings_phone': settings_phone,
    'settings_photo_camera_filled_outlined':
        settings_photo_camera_filled_outlined,
    'settings_photo_camera_filled_sharp': settings_photo_camera_filled_sharp,
    'settings_photo_camera_filled': settings_photo_camera_filled,
    'settings_photo_camera_outlined': settings_photo_camera_outlined,
    'settings_photo_camera_sharp': settings_photo_camera_sharp,
    'settings_photo_camera': settings_photo_camera,
    'settings_power_filled_outlined': settings_power_filled_outlined,
    'settings_power_filled_sharp': settings_power_filled_sharp,
    'settings_power_filled': settings_power_filled,
    'settings_power_outlined': settings_power_outlined,
    'settings_power_sharp': settings_power_sharp,
    'settings_power': settings_power,
    'settings_remote_filled_outlined': settings_remote_filled_outlined,
    'settings_remote_filled_sharp': settings_remote_filled_sharp,
    'settings_remote_filled': settings_remote_filled,
    'settings_remote_outlined': settings_remote_outlined,
    'settings_remote_sharp': settings_remote_sharp,
    'settings_remote': settings_remote,
    'settings_sharp': settings_sharp,
    'settings_suggest_filled_outlined': settings_suggest_filled_outlined,
    'settings_suggest_filled_sharp': settings_suggest_filled_sharp,
    'settings_suggest_filled': settings_suggest_filled,
    'settings_suggest_outlined': settings_suggest_outlined,
    'settings_suggest_sharp': settings_suggest_sharp,
    'settings_suggest': settings_suggest,
    'settings_system_daydream_filled_outlined':
        settings_system_daydream_filled_outlined,
    'settings_system_daydream_filled_sharp':
        settings_system_daydream_filled_sharp,
    'settings_system_daydream_filled': settings_system_daydream_filled,
    'settings_system_daydream_outlined': settings_system_daydream_outlined,
    'settings_system_daydream_sharp': settings_system_daydream_sharp,
    'settings_system_daydream': settings_system_daydream,
    'settings_voice_filled_outlined': settings_voice_filled_outlined,
    'settings_voice_filled_sharp': settings_voice_filled_sharp,
    'settings_voice_filled': settings_voice_filled,
    'settings_voice_outlined': settings_voice_outlined,
    'settings_voice_sharp': settings_voice_sharp,
    'settings_voice': settings_voice,
    'settings': settings,
    'settop_component_filled_outlined': settop_component_filled_outlined,
    'settop_component_filled_sharp': settop_component_filled_sharp,
    'settop_component_filled': settop_component_filled,
    'settop_component_outlined': settop_component_outlined,
    'settop_component_sharp': settop_component_sharp,
    'settop_component': settop_component,
    'severe_cold_filled_outlined': severe_cold_filled_outlined,
    'severe_cold_filled_sharp': severe_cold_filled_sharp,
    'severe_cold_filled': severe_cold_filled,
    'severe_cold_outlined': severe_cold_outlined,
    'severe_cold_sharp': severe_cold_sharp,
    'severe_cold': severe_cold,
    'shape_line_filled_outlined': shape_line_filled_outlined,
    'shape_line_filled_sharp': shape_line_filled_sharp,
    'shape_line_filled': shape_line_filled,
    'shape_line_outlined': shape_line_outlined,
    'shape_line_sharp': shape_line_sharp,
    'shape_line': shape_line,
    'shapes_filled_outlined': shapes_filled_outlined,
    'shapes_filled_sharp': shapes_filled_sharp,
    'shapes_filled': shapes_filled,
    'shapes_outlined': shapes_outlined,
    'shapes_sharp': shapes_sharp,
    'shapes': shapes,
    'share_filled_outlined': share_filled_outlined,
    'share_filled_sharp': share_filled_sharp,
    'share_filled': share_filled,
    'share_location_filled_outlined': share_location_filled_outlined,
    'share_location_filled_sharp': share_location_filled_sharp,
    'share_location_filled': share_location_filled,
    'share_location_outlined': share_location_outlined,
    'share_location_sharp': share_location_sharp,
    'share_location': share_location,
    'share_outlined': share_outlined,
    'share_reviews_filled_outlined': share_reviews_filled_outlined,
    'share_reviews_filled_sharp': share_reviews_filled_sharp,
    'share_reviews_filled': share_reviews_filled,
    'share_reviews_outlined': share_reviews_outlined,
    'share_reviews_sharp': share_reviews_sharp,
    'share_reviews': share_reviews,
    'share_sharp': share_sharp,
    'share': share,
    'sheets_rtl_filled_outlined': sheets_rtl_filled_outlined,
    'sheets_rtl_filled_sharp': sheets_rtl_filled_sharp,
    'sheets_rtl_filled': sheets_rtl_filled,
    'sheets_rtl_outlined': sheets_rtl_outlined,
    'sheets_rtl_sharp': sheets_rtl_sharp,
    'sheets_rtl': sheets_rtl,
    'shelves_filled_outlined': shelves_filled_outlined,
    'shelves_filled_sharp': shelves_filled_sharp,
    'shelves_filled': shelves_filled,
    'shelves_outlined': shelves_outlined,
    'shelves_sharp': shelves_sharp,
    'shelves': shelves,
    'shield_filled_outlined': shield_filled_outlined,
    'shield_filled_sharp': shield_filled_sharp,
    'shield_filled': shield_filled,
    'shield_moon_filled_outlined': shield_moon_filled_outlined,
    'shield_moon_filled_sharp': shield_moon_filled_sharp,
    'shield_moon_filled': shield_moon_filled,
    'shield_moon_outlined': shield_moon_outlined,
    'shield_moon_sharp': shield_moon_sharp,
    'shield_moon': shield_moon,
    'shield_outlined': shield_outlined,
    'shield_sharp': shield_sharp,
    'shield_with_heart_filled_outlined': shield_with_heart_filled_outlined,
    'shield_with_heart_filled_sharp': shield_with_heart_filled_sharp,
    'shield_with_heart_filled': shield_with_heart_filled,
    'shield_with_heart_outlined': shield_with_heart_outlined,
    'shield_with_heart_sharp': shield_with_heart_sharp,
    'shield_with_heart': shield_with_heart,
    'shield_with_house_filled_outlined': shield_with_house_filled_outlined,
    'shield_with_house_filled_sharp': shield_with_house_filled_sharp,
    'shield_with_house_filled': shield_with_house_filled,
    'shield_with_house_outlined': shield_with_house_outlined,
    'shield_with_house_sharp': shield_with_house_sharp,
    'shield_with_house': shield_with_house,
    'shield': shield,
    'shop_filled_outlined': shop_filled_outlined,
    'shop_filled_sharp': shop_filled_sharp,
    'shop_filled': shop_filled,
    'shop_outlined': shop_outlined,
    'shop_sharp': shop_sharp,
    'shop_two_filled_outlined': shop_two_filled_outlined,
    'shop_two_filled_sharp': shop_two_filled_sharp,
    'shop_two_filled': shop_two_filled,
    'shop_two_outlined': shop_two_outlined,
    'shop_two_sharp': shop_two_sharp,
    'shop_two': shop_two,
    'shop': shop,
    'shopping_bag_filled_outlined': shopping_bag_filled_outlined,
    'shopping_bag_filled_sharp': shopping_bag_filled_sharp,
    'shopping_bag_filled': shopping_bag_filled,
    'shopping_bag_outlined': shopping_bag_outlined,
    'shopping_bag_sharp': shopping_bag_sharp,
    'shopping_bag': shopping_bag,
    'shopping_basket_filled_outlined': shopping_basket_filled_outlined,
    'shopping_basket_filled_sharp': shopping_basket_filled_sharp,
    'shopping_basket_filled': shopping_basket_filled,
    'shopping_basket_outlined': shopping_basket_outlined,
    'shopping_basket_sharp': shopping_basket_sharp,
    'shopping_basket': shopping_basket,
    'shopping_cart_checkout_filled_outlined':
        shopping_cart_checkout_filled_outlined,
    'shopping_cart_checkout_filled_sharp': shopping_cart_checkout_filled_sharp,
    'shopping_cart_checkout_filled': shopping_cart_checkout_filled,
    'shopping_cart_checkout_outlined': shopping_cart_checkout_outlined,
    'shopping_cart_checkout_sharp': shopping_cart_checkout_sharp,
    'shopping_cart_checkout': shopping_cart_checkout,
    'shopping_cart_filled_outlined': shopping_cart_filled_outlined,
    'shopping_cart_filled_sharp': shopping_cart_filled_sharp,
    'shopping_cart_filled': shopping_cart_filled,
    'shopping_cart_outlined': shopping_cart_outlined,
    'shopping_cart_sharp': shopping_cart_sharp,
    'shopping_cart': shopping_cart,
    'short_stay_filled_outlined': short_stay_filled_outlined,
    'short_stay_filled_sharp': short_stay_filled_sharp,
    'short_stay_filled': short_stay_filled,
    'short_stay_outlined': short_stay_outlined,
    'short_stay_sharp': short_stay_sharp,
    'short_stay': short_stay,
    'short_text_filled_outlined': short_text_filled_outlined,
    'short_text_filled_sharp': short_text_filled_sharp,
    'short_text_filled': short_text_filled,
    'short_text_outlined': short_text_outlined,
    'short_text_sharp': short_text_sharp,
    'short_text': short_text,
    'show_chart_filled_outlined': show_chart_filled_outlined,
    'show_chart_filled_sharp': show_chart_filled_sharp,
    'show_chart_filled': show_chart_filled,
    'show_chart_outlined': show_chart_outlined,
    'show_chart_sharp': show_chart_sharp,
    'show_chart': show_chart,
    'shower_filled_outlined': shower_filled_outlined,
    'shower_filled_sharp': shower_filled_sharp,
    'shower_filled': shower_filled,
    'shower_outlined': shower_outlined,
    'shower_sharp': shower_sharp,
    'shower': shower,
    'shuffle_filled_outlined': shuffle_filled_outlined,
    'shuffle_filled_sharp': shuffle_filled_sharp,
    'shuffle_filled': shuffle_filled,
    'shuffle_on_filled_outlined': shuffle_on_filled_outlined,
    'shuffle_on_filled_sharp': shuffle_on_filled_sharp,
    'shuffle_on_filled': shuffle_on_filled,
    'shuffle_on_outlined': shuffle_on_outlined,
    'shuffle_on_sharp': shuffle_on_sharp,
    'shuffle_on': shuffle_on,
    'shuffle_outlined': shuffle_outlined,
    'shuffle_sharp': shuffle_sharp,
    'shuffle': shuffle,
    'shutter_speed_filled_outlined': shutter_speed_filled_outlined,
    'shutter_speed_filled_sharp': shutter_speed_filled_sharp,
    'shutter_speed_filled': shutter_speed_filled,
    'shutter_speed_outlined': shutter_speed_outlined,
    'shutter_speed_sharp': shutter_speed_sharp,
    'shutter_speed': shutter_speed,
    'sick_filled_outlined': sick_filled_outlined,
    'sick_filled_sharp': sick_filled_sharp,
    'sick_filled': sick_filled,
    'sick_outlined': sick_outlined,
    'sick_sharp': sick_sharp,
    'sick': sick,
    'sign_language_filled_outlined': sign_language_filled_outlined,
    'sign_language_filled_sharp': sign_language_filled_sharp,
    'sign_language_filled': sign_language_filled,
    'sign_language_outlined': sign_language_outlined,
    'sign_language_sharp': sign_language_sharp,
    'sign_language': sign_language,
    'signal_cellular_0_bar_filled_outlined':
        signal_cellular_0_bar_filled_outlined,
    'signal_cellular_0_bar_filled_sharp': signal_cellular_0_bar_filled_sharp,
    'signal_cellular_0_bar_filled': signal_cellular_0_bar_filled,
    'signal_cellular_0_bar_outlined': signal_cellular_0_bar_outlined,
    'signal_cellular_0_bar_sharp': signal_cellular_0_bar_sharp,
    'signal_cellular_0_bar': signal_cellular_0_bar,
    'signal_cellular_1_bar_filled_outlined':
        signal_cellular_1_bar_filled_outlined,
    'signal_cellular_1_bar_filled_sharp': signal_cellular_1_bar_filled_sharp,
    'signal_cellular_1_bar_filled': signal_cellular_1_bar_filled,
    'signal_cellular_1_bar_outlined': signal_cellular_1_bar_outlined,
    'signal_cellular_1_bar_sharp': signal_cellular_1_bar_sharp,
    'signal_cellular_1_bar': signal_cellular_1_bar,
    'signal_cellular_2_bar_filled_outlined':
        signal_cellular_2_bar_filled_outlined,
    'signal_cellular_2_bar_filled_sharp': signal_cellular_2_bar_filled_sharp,
    'signal_cellular_2_bar_filled': signal_cellular_2_bar_filled,
    'signal_cellular_2_bar_outlined': signal_cellular_2_bar_outlined,
    'signal_cellular_2_bar_sharp': signal_cellular_2_bar_sharp,
    'signal_cellular_2_bar': signal_cellular_2_bar,
    'signal_cellular_3_bar_filled_outlined':
        signal_cellular_3_bar_filled_outlined,
    'signal_cellular_3_bar_filled_sharp': signal_cellular_3_bar_filled_sharp,
    'signal_cellular_3_bar_filled': signal_cellular_3_bar_filled,
    'signal_cellular_3_bar_outlined': signal_cellular_3_bar_outlined,
    'signal_cellular_3_bar_sharp': signal_cellular_3_bar_sharp,
    'signal_cellular_3_bar': signal_cellular_3_bar,
    'signal_cellular_4_bar_filled_outlined':
        signal_cellular_4_bar_filled_outlined,
    'signal_cellular_4_bar_filled_sharp': signal_cellular_4_bar_filled_sharp,
    'signal_cellular_4_bar_filled': signal_cellular_4_bar_filled,
    'signal_cellular_4_bar_outlined': signal_cellular_4_bar_outlined,
    'signal_cellular_4_bar_sharp': signal_cellular_4_bar_sharp,
    'signal_cellular_4_bar': signal_cellular_4_bar,
    'signal_cellular_alt_1_bar_filled_outlined':
        signal_cellular_alt_1_bar_filled_outlined,
    'signal_cellular_alt_1_bar_filled_sharp':
        signal_cellular_alt_1_bar_filled_sharp,
    'signal_cellular_alt_1_bar_filled': signal_cellular_alt_1_bar_filled,
    'signal_cellular_alt_1_bar_outlined': signal_cellular_alt_1_bar_outlined,
    'signal_cellular_alt_1_bar_sharp': signal_cellular_alt_1_bar_sharp,
    'signal_cellular_alt_1_bar': signal_cellular_alt_1_bar,
    'signal_cellular_alt_2_bar_filled_outlined':
        signal_cellular_alt_2_bar_filled_outlined,
    'signal_cellular_alt_2_bar_filled_sharp':
        signal_cellular_alt_2_bar_filled_sharp,
    'signal_cellular_alt_2_bar_filled': signal_cellular_alt_2_bar_filled,
    'signal_cellular_alt_2_bar_outlined': signal_cellular_alt_2_bar_outlined,
    'signal_cellular_alt_2_bar_sharp': signal_cellular_alt_2_bar_sharp,
    'signal_cellular_alt_2_bar': signal_cellular_alt_2_bar,
    'signal_cellular_alt_filled_outlined': signal_cellular_alt_filled_outlined,
    'signal_cellular_alt_filled_sharp': signal_cellular_alt_filled_sharp,
    'signal_cellular_alt_filled': signal_cellular_alt_filled,
    'signal_cellular_alt_outlined': signal_cellular_alt_outlined,
    'signal_cellular_alt_sharp': signal_cellular_alt_sharp,
    'signal_cellular_alt': signal_cellular_alt,
    'signal_cellular_connected_no_internet_0_bar_filled_outlined':
        signal_cellular_connected_no_internet_0_bar_filled_outlined,
    'signal_cellular_connected_no_internet_0_bar_filled_sharp':
        signal_cellular_connected_no_internet_0_bar_filled_sharp,
    'signal_cellular_connected_no_internet_0_bar_filled':
        signal_cellular_connected_no_internet_0_bar_filled,
    'signal_cellular_connected_no_internet_0_bar_outlined':
        signal_cellular_connected_no_internet_0_bar_outlined,
    'signal_cellular_connected_no_internet_0_bar_sharp':
        signal_cellular_connected_no_internet_0_bar_sharp,
    'signal_cellular_connected_no_internet_0_bar':
        signal_cellular_connected_no_internet_0_bar,
    'signal_cellular_connected_no_internet_4_bar_filled_outlined':
        signal_cellular_connected_no_internet_4_bar_filled_outlined,
    'signal_cellular_connected_no_internet_4_bar_filled_sharp':
        signal_cellular_connected_no_internet_4_bar_filled_sharp,
    'signal_cellular_connected_no_internet_4_bar_filled':
        signal_cellular_connected_no_internet_4_bar_filled,
    'signal_cellular_connected_no_internet_4_bar_outlined':
        signal_cellular_connected_no_internet_4_bar_outlined,
    'signal_cellular_connected_no_internet_4_bar_sharp':
        signal_cellular_connected_no_internet_4_bar_sharp,
    'signal_cellular_connected_no_internet_4_bar':
        signal_cellular_connected_no_internet_4_bar,
    'signal_cellular_nodata_filled_outlined':
        signal_cellular_nodata_filled_outlined,
    'signal_cellular_nodata_filled_sharp': signal_cellular_nodata_filled_sharp,
    'signal_cellular_nodata_filled': signal_cellular_nodata_filled,
    'signal_cellular_nodata_outlined': signal_cellular_nodata_outlined,
    'signal_cellular_nodata_sharp': signal_cellular_nodata_sharp,
    'signal_cellular_nodata': signal_cellular_nodata,
    'signal_cellular_null_filled_outlined':
        signal_cellular_null_filled_outlined,
    'signal_cellular_null_filled_sharp': signal_cellular_null_filled_sharp,
    'signal_cellular_null_filled': signal_cellular_null_filled,
    'signal_cellular_null_outlined': signal_cellular_null_outlined,
    'signal_cellular_null_sharp': signal_cellular_null_sharp,
    'signal_cellular_null': signal_cellular_null,
    'signal_cellular_off_filled_outlined': signal_cellular_off_filled_outlined,
    'signal_cellular_off_filled_sharp': signal_cellular_off_filled_sharp,
    'signal_cellular_off_filled': signal_cellular_off_filled,
    'signal_cellular_off_outlined': signal_cellular_off_outlined,
    'signal_cellular_off_sharp': signal_cellular_off_sharp,
    'signal_cellular_off': signal_cellular_off,
    'signal_disconnected_filled_outlined': signal_disconnected_filled_outlined,
    'signal_disconnected_filled_sharp': signal_disconnected_filled_sharp,
    'signal_disconnected_filled': signal_disconnected_filled,
    'signal_disconnected_outlined': signal_disconnected_outlined,
    'signal_disconnected_sharp': signal_disconnected_sharp,
    'signal_disconnected': signal_disconnected,
    'signal_wifi_0_bar_filled_outlined': signal_wifi_0_bar_filled_outlined,
    'signal_wifi_0_bar_filled_sharp': signal_wifi_0_bar_filled_sharp,
    'signal_wifi_0_bar_filled': signal_wifi_0_bar_filled,
    'signal_wifi_0_bar_outlined': signal_wifi_0_bar_outlined,
    'signal_wifi_0_bar_sharp': signal_wifi_0_bar_sharp,
    'signal_wifi_0_bar': signal_wifi_0_bar,
    'signal_wifi_4_bar_filled_outlined': signal_wifi_4_bar_filled_outlined,
    'signal_wifi_4_bar_filled_sharp': signal_wifi_4_bar_filled_sharp,
    'signal_wifi_4_bar_filled': signal_wifi_4_bar_filled,
    'signal_wifi_4_bar_outlined': signal_wifi_4_bar_outlined,
    'signal_wifi_4_bar_sharp': signal_wifi_4_bar_sharp,
    'signal_wifi_4_bar': signal_wifi_4_bar,
    'signal_wifi_bad_filled_outlined': signal_wifi_bad_filled_outlined,
    'signal_wifi_bad_filled_sharp': signal_wifi_bad_filled_sharp,
    'signal_wifi_bad_filled': signal_wifi_bad_filled,
    'signal_wifi_bad_outlined': signal_wifi_bad_outlined,
    'signal_wifi_bad_sharp': signal_wifi_bad_sharp,
    'signal_wifi_bad': signal_wifi_bad,
    'signal_wifi_off_filled_outlined': signal_wifi_off_filled_outlined,
    'signal_wifi_off_filled_sharp': signal_wifi_off_filled_sharp,
    'signal_wifi_off_filled': signal_wifi_off_filled,
    'signal_wifi_off_outlined': signal_wifi_off_outlined,
    'signal_wifi_off_sharp': signal_wifi_off_sharp,
    'signal_wifi_off': signal_wifi_off,
    'signal_wifi_statusbar_not_connected_filled_outlined':
        signal_wifi_statusbar_not_connected_filled_outlined,
    'signal_wifi_statusbar_not_connected_filled_sharp':
        signal_wifi_statusbar_not_connected_filled_sharp,
    'signal_wifi_statusbar_not_connected_filled':
        signal_wifi_statusbar_not_connected_filled,
    'signal_wifi_statusbar_not_connected_outlined':
        signal_wifi_statusbar_not_connected_outlined,
    'signal_wifi_statusbar_not_connected_sharp':
        signal_wifi_statusbar_not_connected_sharp,
    'signal_wifi_statusbar_not_connected': signal_wifi_statusbar_not_connected,
    'signal_wifi_statusbar_null_filled_outlined':
        signal_wifi_statusbar_null_filled_outlined,
    'signal_wifi_statusbar_null_filled_sharp':
        signal_wifi_statusbar_null_filled_sharp,
    'signal_wifi_statusbar_null_filled': signal_wifi_statusbar_null_filled,
    'signal_wifi_statusbar_null_outlined': signal_wifi_statusbar_null_outlined,
    'signal_wifi_statusbar_null_sharp': signal_wifi_statusbar_null_sharp,
    'signal_wifi_statusbar_null': signal_wifi_statusbar_null,
    'signpost_filled_outlined': signpost_filled_outlined,
    'signpost_filled_sharp': signpost_filled_sharp,
    'signpost_filled': signpost_filled,
    'signpost_outlined': signpost_outlined,
    'signpost_sharp': signpost_sharp,
    'signpost': signpost,
    'sim_card_download_filled_outlined': sim_card_download_filled_outlined,
    'sim_card_download_filled_sharp': sim_card_download_filled_sharp,
    'sim_card_download_filled': sim_card_download_filled,
    'sim_card_download_outlined': sim_card_download_outlined,
    'sim_card_download_sharp': sim_card_download_sharp,
    'sim_card_download': sim_card_download,
    'sim_card_filled_outlined': sim_card_filled_outlined,
    'sim_card_filled_sharp': sim_card_filled_sharp,
    'sim_card_filled': sim_card_filled,
    'sim_card_outlined': sim_card_outlined,
    'sim_card_sharp': sim_card_sharp,
    'sim_card': sim_card,
    'single_bed_filled_outlined': single_bed_filled_outlined,
    'single_bed_filled_sharp': single_bed_filled_sharp,
    'single_bed_filled': single_bed_filled,
    'single_bed_outlined': single_bed_outlined,
    'single_bed_sharp': single_bed_sharp,
    'single_bed': single_bed,
    'sip_filled_outlined': sip_filled_outlined,
    'sip_filled_sharp': sip_filled_sharp,
    'sip_filled': sip_filled,
    'sip_outlined': sip_outlined,
    'sip_sharp': sip_sharp,
    'sip': sip,
    'skateboarding_filled_outlined': skateboarding_filled_outlined,
    'skateboarding_filled_sharp': skateboarding_filled_sharp,
    'skateboarding_filled': skateboarding_filled,
    'skateboarding_outlined': skateboarding_outlined,
    'skateboarding_sharp': skateboarding_sharp,
    'skateboarding': skateboarding,
    'skeleton_filled_outlined': skeleton_filled_outlined,
    'skeleton_filled_sharp': skeleton_filled_sharp,
    'skeleton_filled': skeleton_filled,
    'skeleton_outlined': skeleton_outlined,
    'skeleton_sharp': skeleton_sharp,
    'skeleton': skeleton,
    'skip_next_filled_outlined': skip_next_filled_outlined,
    'skip_next_filled_sharp': skip_next_filled_sharp,
    'skip_next_filled': skip_next_filled,
    'skip_next_outlined': skip_next_outlined,
    'skip_next_sharp': skip_next_sharp,
    'skip_next': skip_next,
    'skip_previous_filled_outlined': skip_previous_filled_outlined,
    'skip_previous_filled_sharp': skip_previous_filled_sharp,
    'skip_previous_filled': skip_previous_filled,
    'skip_previous_outlined': skip_previous_outlined,
    'skip_previous_sharp': skip_previous_sharp,
    'skip_previous': skip_previous,
    'skull_filled_outlined': skull_filled_outlined,
    'skull_filled_sharp': skull_filled_sharp,
    'skull_filled': skull_filled,
    'skull_outlined': skull_outlined,
    'skull_sharp': skull_sharp,
    'skull': skull,
    'sledding_filled_outlined': sledding_filled_outlined,
    'sledding_filled_sharp': sledding_filled_sharp,
    'sledding_filled': sledding_filled,
    'sledding_outlined': sledding_outlined,
    'sledding_sharp': sledding_sharp,
    'sledding': sledding,
    'slide_library_filled_outlined': slide_library_filled_outlined,
    'slide_library_filled_sharp': slide_library_filled_sharp,
    'slide_library_filled': slide_library_filled,
    'slide_library_outlined': slide_library_outlined,
    'slide_library_sharp': slide_library_sharp,
    'slide_library': slide_library,
    'slideshow_filled_outlined': slideshow_filled_outlined,
    'slideshow_filled_sharp': slideshow_filled_sharp,
    'slideshow_filled': slideshow_filled,
    'slideshow_outlined': slideshow_outlined,
    'slideshow_sharp': slideshow_sharp,
    'slideshow': slideshow,
    'slow_motion_video_filled_outlined': slow_motion_video_filled_outlined,
    'slow_motion_video_filled_sharp': slow_motion_video_filled_sharp,
    'slow_motion_video_filled': slow_motion_video_filled,
    'slow_motion_video_outlined': slow_motion_video_outlined,
    'slow_motion_video_sharp': slow_motion_video_sharp,
    'slow_motion_video': slow_motion_video,
    'smart_button_filled_outlined': smart_button_filled_outlined,
    'smart_button_filled_sharp': smart_button_filled_sharp,
    'smart_button_filled': smart_button_filled,
    'smart_button_outlined': smart_button_outlined,
    'smart_button_sharp': smart_button_sharp,
    'smart_button': smart_button,
    'smart_display_filled_outlined': smart_display_filled_outlined,
    'smart_display_filled_sharp': smart_display_filled_sharp,
    'smart_display_filled': smart_display_filled,
    'smart_display_outlined': smart_display_outlined,
    'smart_display_sharp': smart_display_sharp,
    'smart_display': smart_display,
    'smart_outlet_filled_outlined': smart_outlet_filled_outlined,
    'smart_outlet_filled_sharp': smart_outlet_filled_sharp,
    'smart_outlet_filled': smart_outlet_filled,
    'smart_outlet_outlined': smart_outlet_outlined,
    'smart_outlet_sharp': smart_outlet_sharp,
    'smart_outlet': smart_outlet,
    'smart_screen_filled_outlined': smart_screen_filled_outlined,
    'smart_screen_filled_sharp': smart_screen_filled_sharp,
    'smart_screen_filled': smart_screen_filled,
    'smart_screen_outlined': smart_screen_outlined,
    'smart_screen_sharp': smart_screen_sharp,
    'smart_screen': smart_screen,
    'smart_toy_filled_outlined': smart_toy_filled_outlined,
    'smart_toy_filled_sharp': smart_toy_filled_sharp,
    'smart_toy_filled': smart_toy_filled,
    'smart_toy_outlined': smart_toy_outlined,
    'smart_toy_sharp': smart_toy_sharp,
    'smart_toy': smart_toy,
    'smartphone_filled_outlined': smartphone_filled_outlined,
    'smartphone_filled_sharp': smartphone_filled_sharp,
    'smartphone_filled': smartphone_filled,
    'smartphone_outlined': smartphone_outlined,
    'smartphone_sharp': smartphone_sharp,
    'smartphone': smartphone,
    'smoke_free_filled_outlined': smoke_free_filled_outlined,
    'smoke_free_filled_sharp': smoke_free_filled_sharp,
    'smoke_free_filled': smoke_free_filled,
    'smoke_free_outlined': smoke_free_outlined,
    'smoke_free_sharp': smoke_free_sharp,
    'smoke_free': smoke_free,
    'smoking_rooms_filled_outlined': smoking_rooms_filled_outlined,
    'smoking_rooms_filled_sharp': smoking_rooms_filled_sharp,
    'smoking_rooms_filled': smoking_rooms_filled,
    'smoking_rooms_outlined': smoking_rooms_outlined,
    'smoking_rooms_sharp': smoking_rooms_sharp,
    'smoking_rooms': smoking_rooms,
    'sms_failed_filled_outlined': sms_failed_filled_outlined,
    'sms_failed_filled_sharp': sms_failed_filled_sharp,
    'sms_failed_filled': sms_failed_filled,
    'sms_failed_outlined': sms_failed_outlined,
    'sms_failed_sharp': sms_failed_sharp,
    'sms_failed': sms_failed,
    'sms_filled_outlined': sms_filled_outlined,
    'sms_filled_sharp': sms_filled_sharp,
    'sms_filled': sms_filled,
    'sms_outlined': sms_outlined,
    'sms_sharp': sms_sharp,
    'sms': sms,
    'snippet_folder_filled_outlined': snippet_folder_filled_outlined,
    'snippet_folder_filled_sharp': snippet_folder_filled_sharp,
    'snippet_folder_filled': snippet_folder_filled,
    'snippet_folder_outlined': snippet_folder_outlined,
    'snippet_folder_sharp': snippet_folder_sharp,
    'snippet_folder': snippet_folder,
    'snooze_filled_outlined': snooze_filled_outlined,
    'snooze_filled_sharp': snooze_filled_sharp,
    'snooze_filled': snooze_filled,
    'snooze_outlined': snooze_outlined,
    'snooze_sharp': snooze_sharp,
    'snooze': snooze,
    'snowboarding_filled_outlined': snowboarding_filled_outlined,
    'snowboarding_filled_sharp': snowboarding_filled_sharp,
    'snowboarding_filled': snowboarding_filled,
    'snowboarding_outlined': snowboarding_outlined,
    'snowboarding_sharp': snowboarding_sharp,
    'snowboarding': snowboarding,
    'snowing_filled_outlined': snowing_filled_outlined,
    'snowing_filled_sharp': snowing_filled_sharp,
    'snowing_filled': snowing_filled,
    'snowing_outlined': snowing_outlined,
    'snowing_sharp': snowing_sharp,
    'snowing': snowing,
    'snowmobile_filled_outlined': snowmobile_filled_outlined,
    'snowmobile_filled_sharp': snowmobile_filled_sharp,
    'snowmobile_filled': snowmobile_filled,
    'snowmobile_outlined': snowmobile_outlined,
    'snowmobile_sharp': snowmobile_sharp,
    'snowmobile': snowmobile,
    'snowshoeing_filled_outlined': snowshoeing_filled_outlined,
    'snowshoeing_filled_sharp': snowshoeing_filled_sharp,
    'snowshoeing_filled': snowshoeing_filled,
    'snowshoeing_outlined': snowshoeing_outlined,
    'snowshoeing_sharp': snowshoeing_sharp,
    'snowshoeing': snowshoeing,
    'soap_filled_outlined': soap_filled_outlined,
    'soap_filled_sharp': soap_filled_sharp,
    'soap_filled': soap_filled,
    'soap_outlined': soap_outlined,
    'soap_sharp': soap_sharp,
    'soap': soap,
    'social_distance_filled_outlined': social_distance_filled_outlined,
    'social_distance_filled_sharp': social_distance_filled_sharp,
    'social_distance_filled': social_distance_filled,
    'social_distance_outlined': social_distance_outlined,
    'social_distance_sharp': social_distance_sharp,
    'social_distance': social_distance,
    'solar_power_filled_outlined': solar_power_filled_outlined,
    'solar_power_filled_sharp': solar_power_filled_sharp,
    'solar_power_filled': solar_power_filled,
    'solar_power_outlined': solar_power_outlined,
    'solar_power_sharp': solar_power_sharp,
    'solar_power': solar_power,
    'sort_by_alpha_filled_outlined': sort_by_alpha_filled_outlined,
    'sort_by_alpha_filled_sharp': sort_by_alpha_filled_sharp,
    'sort_by_alpha_filled': sort_by_alpha_filled,
    'sort_by_alpha_outlined': sort_by_alpha_outlined,
    'sort_by_alpha_sharp': sort_by_alpha_sharp,
    'sort_by_alpha': sort_by_alpha,
    'sort_filled_outlined': sort_filled_outlined,
    'sort_filled_sharp': sort_filled_sharp,
    'sort_filled': sort_filled,
    'sort_outlined': sort_outlined,
    'sort_sharp': sort_sharp,
    'sort': sort,
    'sos_filled_outlined': sos_filled_outlined,
    'sos_filled_sharp': sos_filled_sharp,
    'sos_filled': sos_filled,
    'sos_outlined': sos_outlined,
    'sos_sharp': sos_sharp,
    'sos': sos,
    'sound_detection_dog_barking_filled_outlined':
        sound_detection_dog_barking_filled_outlined,
    'sound_detection_dog_barking_filled_sharp':
        sound_detection_dog_barking_filled_sharp,
    'sound_detection_dog_barking_filled': sound_detection_dog_barking_filled,
    'sound_detection_dog_barking_outlined':
        sound_detection_dog_barking_outlined,
    'sound_detection_dog_barking_sharp': sound_detection_dog_barking_sharp,
    'sound_detection_dog_barking': sound_detection_dog_barking,
    'sound_detection_glass_break_filled_outlined':
        sound_detection_glass_break_filled_outlined,
    'sound_detection_glass_break_filled_sharp':
        sound_detection_glass_break_filled_sharp,
    'sound_detection_glass_break_filled': sound_detection_glass_break_filled,
    'sound_detection_glass_break_outlined':
        sound_detection_glass_break_outlined,
    'sound_detection_glass_break_sharp': sound_detection_glass_break_sharp,
    'sound_detection_glass_break': sound_detection_glass_break,
    'sound_detection_loud_sound_filled_outlined':
        sound_detection_loud_sound_filled_outlined,
    'sound_detection_loud_sound_filled_sharp':
        sound_detection_loud_sound_filled_sharp,
    'sound_detection_loud_sound_filled': sound_detection_loud_sound_filled,
    'sound_detection_loud_sound_outlined': sound_detection_loud_sound_outlined,
    'sound_detection_loud_sound_sharp': sound_detection_loud_sound_sharp,
    'sound_detection_loud_sound': sound_detection_loud_sound,
    'soup_kitchen_filled_outlined': soup_kitchen_filled_outlined,
    'soup_kitchen_filled_sharp': soup_kitchen_filled_sharp,
    'soup_kitchen_filled': soup_kitchen_filled,
    'soup_kitchen_outlined': soup_kitchen_outlined,
    'soup_kitchen_sharp': soup_kitchen_sharp,
    'soup_kitchen': soup_kitchen,
    'source_notes_filled_outlined': source_notes_filled_outlined,
    'source_notes_filled_sharp': source_notes_filled_sharp,
    'source_notes_filled': source_notes_filled,
    'source_notes_outlined': source_notes_outlined,
    'source_notes_sharp': source_notes_sharp,
    'source_notes': source_notes,
    'south_america_filled_outlined': south_america_filled_outlined,
    'south_america_filled_sharp': south_america_filled_sharp,
    'south_america_filled': south_america_filled,
    'south_america_outlined': south_america_outlined,
    'south_america_sharp': south_america_sharp,
    'south_america': south_america,
    'south_east_filled_outlined': south_east_filled_outlined,
    'south_east_filled_sharp': south_east_filled_sharp,
    'south_east_filled': south_east_filled,
    'south_east_outlined': south_east_outlined,
    'south_east_sharp': south_east_sharp,
    'south_east': south_east,
    'south_filled_outlined': south_filled_outlined,
    'south_filled_sharp': south_filled_sharp,
    'south_filled': south_filled,
    'south_outlined': south_outlined,
    'south_sharp': south_sharp,
    'south_west_filled_outlined': south_west_filled_outlined,
    'south_west_filled_sharp': south_west_filled_sharp,
    'south_west_filled': south_west_filled,
    'south_west_outlined': south_west_outlined,
    'south_west_sharp': south_west_sharp,
    'south_west': south_west,
    'south': south,
    'spa_filled_outlined': spa_filled_outlined,
    'spa_filled_sharp': spa_filled_sharp,
    'spa_filled': spa_filled,
    'spa_outlined': spa_outlined,
    'spa_sharp': spa_sharp,
    'spa': spa,
    'space_bar_filled_outlined': space_bar_filled_outlined,
    'space_bar_filled_sharp': space_bar_filled_sharp,
    'space_bar_filled': space_bar_filled,
    'space_bar_outlined': space_bar_outlined,
    'space_bar_sharp': space_bar_sharp,
    'space_bar': space_bar,
    'space_dashboard_filled_outlined': space_dashboard_filled_outlined,
    'space_dashboard_filled_sharp': space_dashboard_filled_sharp,
    'space_dashboard_filled': space_dashboard_filled,
    'space_dashboard_outlined': space_dashboard_outlined,
    'space_dashboard_sharp': space_dashboard_sharp,
    'space_dashboard': space_dashboard,
    'spatial_audio_filled_outlined': spatial_audio_filled_outlined,
    'spatial_audio_filled_sharp': spatial_audio_filled_sharp,
    'spatial_audio_filled': spatial_audio_filled,
    'spatial_audio_off_filled_outlined': spatial_audio_off_filled_outlined,
    'spatial_audio_off_filled_sharp': spatial_audio_off_filled_sharp,
    'spatial_audio_off_filled': spatial_audio_off_filled,
    'spatial_audio_off_outlined': spatial_audio_off_outlined,
    'spatial_audio_off_sharp': spatial_audio_off_sharp,
    'spatial_audio_off': spatial_audio_off,
    'spatial_audio_outlined': spatial_audio_outlined,
    'spatial_audio_sharp': spatial_audio_sharp,
    'spatial_audio': spatial_audio,
    'spatial_tracking_filled_outlined': spatial_tracking_filled_outlined,
    'spatial_tracking_filled_sharp': spatial_tracking_filled_sharp,
    'spatial_tracking_filled': spatial_tracking_filled,
    'spatial_tracking_outlined': spatial_tracking_outlined,
    'spatial_tracking_sharp': spatial_tracking_sharp,
    'spatial_tracking': spatial_tracking,
    'speaker_filled_outlined': speaker_filled_outlined,
    'speaker_filled_sharp': speaker_filled_sharp,
    'speaker_filled': speaker_filled,
    'speaker_group_filled_outlined': speaker_group_filled_outlined,
    'speaker_group_filled_sharp': speaker_group_filled_sharp,
    'speaker_group_filled': speaker_group_filled,
    'speaker_group_outlined': speaker_group_outlined,
    'speaker_group_sharp': speaker_group_sharp,
    'speaker_group': speaker_group,
    'speaker_notes_filled_outlined': speaker_notes_filled_outlined,
    'speaker_notes_filled_sharp': speaker_notes_filled_sharp,
    'speaker_notes_filled': speaker_notes_filled,
    'speaker_notes_off_filled_outlined': speaker_notes_off_filled_outlined,
    'speaker_notes_off_filled_sharp': speaker_notes_off_filled_sharp,
    'speaker_notes_off_filled': speaker_notes_off_filled,
    'speaker_notes_off_outlined': speaker_notes_off_outlined,
    'speaker_notes_off_sharp': speaker_notes_off_sharp,
    'speaker_notes_off': speaker_notes_off,
    'speaker_notes_outlined': speaker_notes_outlined,
    'speaker_notes_sharp': speaker_notes_sharp,
    'speaker_notes': speaker_notes,
    'speaker_outlined': speaker_outlined,
    'speaker_phone_filled_outlined': speaker_phone_filled_outlined,
    'speaker_phone_filled_sharp': speaker_phone_filled_sharp,
    'speaker_phone_filled': speaker_phone_filled,
    'speaker_phone_outlined': speaker_phone_outlined,
    'speaker_phone_sharp': speaker_phone_sharp,
    'speaker_phone': speaker_phone,
    'speaker_sharp': speaker_sharp,
    'speaker': speaker,
    'specific_gravity_filled_outlined': specific_gravity_filled_outlined,
    'specific_gravity_filled_sharp': specific_gravity_filled_sharp,
    'specific_gravity_filled': specific_gravity_filled,
    'specific_gravity_outlined': specific_gravity_outlined,
    'specific_gravity_sharp': specific_gravity_sharp,
    'specific_gravity': specific_gravity,
    'speech_to_text_filled_outlined': speech_to_text_filled_outlined,
    'speech_to_text_filled_sharp': speech_to_text_filled_sharp,
    'speech_to_text_filled': speech_to_text_filled,
    'speech_to_text_outlined': speech_to_text_outlined,
    'speech_to_text_sharp': speech_to_text_sharp,
    'speech_to_text': speech_to_text,
    'speed_filled_outlined': speed_filled_outlined,
    'speed_filled_sharp': speed_filled_sharp,
    'speed_filled': speed_filled,
    'speed_outlined': speed_outlined,
    'speed_sharp': speed_sharp,
    'speed': speed,
    'spellcheck_filled_outlined': spellcheck_filled_outlined,
    'spellcheck_filled_sharp': spellcheck_filled_sharp,
    'spellcheck_filled': spellcheck_filled,
    'spellcheck_outlined': spellcheck_outlined,
    'spellcheck_sharp': spellcheck_sharp,
    'spellcheck': spellcheck,
    'splitscreen_filled_outlined': splitscreen_filled_outlined,
    'splitscreen_filled_sharp': splitscreen_filled_sharp,
    'splitscreen_filled': splitscreen_filled,
    'splitscreen_outlined': splitscreen_outlined,
    'splitscreen_sharp': splitscreen_sharp,
    'splitscreen': splitscreen,
    'spoke_filled_outlined': spoke_filled_outlined,
    'spoke_filled_sharp': spoke_filled_sharp,
    'spoke_filled': spoke_filled,
    'spoke_outlined': spoke_outlined,
    'spoke_sharp': spoke_sharp,
    'spoke': spoke,
    'sports_bar_filled_outlined': sports_bar_filled_outlined,
    'sports_bar_filled_sharp': sports_bar_filled_sharp,
    'sports_bar_filled': sports_bar_filled,
    'sports_bar_outlined': sports_bar_outlined,
    'sports_bar_sharp': sports_bar_sharp,
    'sports_bar': sports_bar,
    'sports_baseball_filled_outlined': sports_baseball_filled_outlined,
    'sports_baseball_filled_sharp': sports_baseball_filled_sharp,
    'sports_baseball_filled': sports_baseball_filled,
    'sports_baseball_outlined': sports_baseball_outlined,
    'sports_baseball_sharp': sports_baseball_sharp,
    'sports_baseball': sports_baseball,
    'sports_basketball_filled_outlined': sports_basketball_filled_outlined,
    'sports_basketball_filled_sharp': sports_basketball_filled_sharp,
    'sports_basketball_filled': sports_basketball_filled,
    'sports_basketball_outlined': sports_basketball_outlined,
    'sports_basketball_sharp': sports_basketball_sharp,
    'sports_basketball': sports_basketball,
    'sports_cricket_filled_outlined': sports_cricket_filled_outlined,
    'sports_cricket_filled_sharp': sports_cricket_filled_sharp,
    'sports_cricket_filled': sports_cricket_filled,
    'sports_cricket_outlined': sports_cricket_outlined,
    'sports_cricket_sharp': sports_cricket_sharp,
    'sports_cricket': sports_cricket,
    'sports_esports_filled_outlined': sports_esports_filled_outlined,
    'sports_esports_filled_sharp': sports_esports_filled_sharp,
    'sports_esports_filled': sports_esports_filled,
    'sports_esports_outlined': sports_esports_outlined,
    'sports_esports_sharp': sports_esports_sharp,
    'sports_esports': sports_esports,
    'sports_filled_outlined': sports_filled_outlined,
    'sports_filled_sharp': sports_filled_sharp,
    'sports_filled': sports_filled,
    'sports_football_filled_outlined': sports_football_filled_outlined,
    'sports_football_filled_sharp': sports_football_filled_sharp,
    'sports_football_filled': sports_football_filled,
    'sports_football_outlined': sports_football_outlined,
    'sports_football_sharp': sports_football_sharp,
    'sports_football': sports_football,
    'sports_golf_filled_outlined': sports_golf_filled_outlined,
    'sports_golf_filled_sharp': sports_golf_filled_sharp,
    'sports_golf_filled': sports_golf_filled,
    'sports_golf_outlined': sports_golf_outlined,
    'sports_golf_sharp': sports_golf_sharp,
    'sports_golf': sports_golf,
    'sports_gymnastics_filled_outlined': sports_gymnastics_filled_outlined,
    'sports_gymnastics_filled_sharp': sports_gymnastics_filled_sharp,
    'sports_gymnastics_filled': sports_gymnastics_filled,
    'sports_gymnastics_outlined': sports_gymnastics_outlined,
    'sports_gymnastics_sharp': sports_gymnastics_sharp,
    'sports_gymnastics': sports_gymnastics,
    'sports_handball_filled_outlined': sports_handball_filled_outlined,
    'sports_handball_filled_sharp': sports_handball_filled_sharp,
    'sports_handball_filled': sports_handball_filled,
    'sports_handball_outlined': sports_handball_outlined,
    'sports_handball_sharp': sports_handball_sharp,
    'sports_handball': sports_handball,
    'sports_hockey_filled_outlined': sports_hockey_filled_outlined,
    'sports_hockey_filled_sharp': sports_hockey_filled_sharp,
    'sports_hockey_filled': sports_hockey_filled,
    'sports_hockey_outlined': sports_hockey_outlined,
    'sports_hockey_sharp': sports_hockey_sharp,
    'sports_hockey': sports_hockey,
    'sports_kabaddi_filled_outlined': sports_kabaddi_filled_outlined,
    'sports_kabaddi_filled_sharp': sports_kabaddi_filled_sharp,
    'sports_kabaddi_filled': sports_kabaddi_filled,
    'sports_kabaddi_outlined': sports_kabaddi_outlined,
    'sports_kabaddi_sharp': sports_kabaddi_sharp,
    'sports_kabaddi': sports_kabaddi,
    'sports_martial_arts_filled_outlined': sports_martial_arts_filled_outlined,
    'sports_martial_arts_filled_sharp': sports_martial_arts_filled_sharp,
    'sports_martial_arts_filled': sports_martial_arts_filled,
    'sports_martial_arts_outlined': sports_martial_arts_outlined,
    'sports_martial_arts_sharp': sports_martial_arts_sharp,
    'sports_martial_arts': sports_martial_arts,
    'sports_mma_filled_outlined': sports_mma_filled_outlined,
    'sports_mma_filled_sharp': sports_mma_filled_sharp,
    'sports_mma_filled': sports_mma_filled,
    'sports_mma_outlined': sports_mma_outlined,
    'sports_mma_sharp': sports_mma_sharp,
    'sports_mma': sports_mma,
    'sports_motorsports_filled_outlined': sports_motorsports_filled_outlined,
    'sports_motorsports_filled_sharp': sports_motorsports_filled_sharp,
    'sports_motorsports_filled': sports_motorsports_filled,
    'sports_motorsports_outlined': sports_motorsports_outlined,
    'sports_motorsports_sharp': sports_motorsports_sharp,
    'sports_motorsports': sports_motorsports,
    'sports_outlined': sports_outlined,
    'sports_rugby_filled_outlined': sports_rugby_filled_outlined,
    'sports_rugby_filled_sharp': sports_rugby_filled_sharp,
    'sports_rugby_filled': sports_rugby_filled,
    'sports_rugby_outlined': sports_rugby_outlined,
    'sports_rugby_sharp': sports_rugby_sharp,
    'sports_rugby': sports_rugby,
    'sports_score_filled_outlined': sports_score_filled_outlined,
    'sports_score_filled_sharp': sports_score_filled_sharp,
    'sports_score_filled': sports_score_filled,
    'sports_score_outlined': sports_score_outlined,
    'sports_score_sharp': sports_score_sharp,
    'sports_score': sports_score,
    'sports_sharp': sports_sharp,
    'sports_soccer_filled_outlined': sports_soccer_filled_outlined,
    'sports_soccer_filled_sharp': sports_soccer_filled_sharp,
    'sports_soccer_filled': sports_soccer_filled,
    'sports_soccer_outlined': sports_soccer_outlined,
    'sports_soccer_sharp': sports_soccer_sharp,
    'sports_soccer': sports_soccer,
    'sports_tennis_filled_outlined': sports_tennis_filled_outlined,
    'sports_tennis_filled_sharp': sports_tennis_filled_sharp,
    'sports_tennis_filled': sports_tennis_filled,
    'sports_tennis_outlined': sports_tennis_outlined,
    'sports_tennis_sharp': sports_tennis_sharp,
    'sports_tennis': sports_tennis,
    'sports_volleyball_filled_outlined': sports_volleyball_filled_outlined,
    'sports_volleyball_filled_sharp': sports_volleyball_filled_sharp,
    'sports_volleyball_filled': sports_volleyball_filled,
    'sports_volleyball_outlined': sports_volleyball_outlined,
    'sports_volleyball_sharp': sports_volleyball_sharp,
    'sports_volleyball': sports_volleyball,
    'sports': sports,
    'sprinkler_filled_outlined': sprinkler_filled_outlined,
    'sprinkler_filled_sharp': sprinkler_filled_sharp,
    'sprinkler_filled': sprinkler_filled,
    'sprinkler_outlined': sprinkler_outlined,
    'sprinkler_sharp': sprinkler_sharp,
    'sprinkler': sprinkler,
    'sprint_filled_outlined': sprint_filled_outlined,
    'sprint_filled_sharp': sprint_filled_sharp,
    'sprint_filled': sprint_filled,
    'sprint_outlined': sprint_outlined,
    'sprint_sharp': sprint_sharp,
    'sprint': sprint,
    'square_filled_outlined': square_filled_outlined,
    'square_filled_sharp': square_filled_sharp,
    'square_filled': square_filled,
    'square_foot_filled_outlined': square_foot_filled_outlined,
    'square_foot_filled_sharp': square_foot_filled_sharp,
    'square_foot_filled': square_foot_filled,
    'square_foot_outlined': square_foot_outlined,
    'square_foot_sharp': square_foot_sharp,
    'square_foot': square_foot,
    'square_outlined': square_outlined,
    'square_sharp': square_sharp,
    'square': square,
    'ssid_chart_filled_outlined': ssid_chart_filled_outlined,
    'ssid_chart_filled_sharp': ssid_chart_filled_sharp,
    'ssid_chart_filled': ssid_chart_filled,
    'ssid_chart_outlined': ssid_chart_outlined,
    'ssid_chart_sharp': ssid_chart_sharp,
    'ssid_chart': ssid_chart,
    'stacked_bar_chart_filled_outlined': stacked_bar_chart_filled_outlined,
    'stacked_bar_chart_filled_sharp': stacked_bar_chart_filled_sharp,
    'stacked_bar_chart_filled': stacked_bar_chart_filled,
    'stacked_bar_chart_outlined': stacked_bar_chart_outlined,
    'stacked_bar_chart_sharp': stacked_bar_chart_sharp,
    'stacked_bar_chart': stacked_bar_chart,
    'stacked_line_chart_filled_outlined': stacked_line_chart_filled_outlined,
    'stacked_line_chart_filled_sharp': stacked_line_chart_filled_sharp,
    'stacked_line_chart_filled': stacked_line_chart_filled,
    'stacked_line_chart_outlined': stacked_line_chart_outlined,
    'stacked_line_chart_sharp': stacked_line_chart_sharp,
    'stacked_line_chart': stacked_line_chart,
    'stadia_controller_filled_outlined': stadia_controller_filled_outlined,
    'stadia_controller_filled_sharp': stadia_controller_filled_sharp,
    'stadia_controller_filled': stadia_controller_filled,
    'stadia_controller_outlined': stadia_controller_outlined,
    'stadia_controller_sharp': stadia_controller_sharp,
    'stadia_controller': stadia_controller,
    'stadium_filled_outlined': stadium_filled_outlined,
    'stadium_filled_sharp': stadium_filled_sharp,
    'stadium_filled': stadium_filled,
    'stadium_outlined': stadium_outlined,
    'stadium_sharp': stadium_sharp,
    'stadium': stadium,
    'stairs_filled_outlined': stairs_filled_outlined,
    'stairs_filled_sharp': stairs_filled_sharp,
    'stairs_filled': stairs_filled,
    'stairs_outlined': stairs_outlined,
    'stairs_sharp': stairs_sharp,
    'stairs': stairs,
    'star_filled_outlined': star_filled_outlined,
    'star_filled_sharp': star_filled_sharp,
    'star_filled': star_filled,
    'star_half_filled_outlined': star_half_filled_outlined,
    'star_half_filled_sharp': star_half_filled_sharp,
    'star_half_filled': star_half_filled,
    'star_half_outlined': star_half_outlined,
    'star_half_sharp': star_half_sharp,
    'star_half': star_half,
    'star_outlined': star_outlined,
    'star_rate_filled_outlined': star_rate_filled_outlined,
    'star_rate_filled_sharp': star_rate_filled_sharp,
    'star_rate_filled': star_rate_filled,
    'star_rate_half_filled_outlined': star_rate_half_filled_outlined,
    'star_rate_half_filled_sharp': star_rate_half_filled_sharp,
    'star_rate_half_filled': star_rate_half_filled,
    'star_rate_half_outlined': star_rate_half_outlined,
    'star_rate_half_sharp': star_rate_half_sharp,
    'star_rate_half': star_rate_half,
    'star_rate_outlined': star_rate_outlined,
    'star_rate_sharp': star_rate_sharp,
    'star_rate': star_rate,
    'star_sharp': star_sharp,
    'star': star,
    'stars_filled_outlined': stars_filled_outlined,
    'stars_filled_sharp': stars_filled_sharp,
    'stars_filled': stars_filled,
    'stars_outlined': stars_outlined,
    'stars_sharp': stars_sharp,
    'stars': stars,
    'start_filled_outlined': start_filled_outlined,
    'start_filled_sharp': start_filled_sharp,
    'start_filled': start_filled,
    'start_outlined': start_outlined,
    'start_sharp': start_sharp,
    'start': start,
    'stay_current_landscape_filled_outlined':
        stay_current_landscape_filled_outlined,
    'stay_current_landscape_filled_sharp': stay_current_landscape_filled_sharp,
    'stay_current_landscape_filled': stay_current_landscape_filled,
    'stay_current_landscape_outlined': stay_current_landscape_outlined,
    'stay_current_landscape_sharp': stay_current_landscape_sharp,
    'stay_current_landscape': stay_current_landscape,
    'stay_current_portrait_filled_outlined':
        stay_current_portrait_filled_outlined,
    'stay_current_portrait_filled_sharp': stay_current_portrait_filled_sharp,
    'stay_current_portrait_filled': stay_current_portrait_filled,
    'stay_current_portrait_outlined': stay_current_portrait_outlined,
    'stay_current_portrait_sharp': stay_current_portrait_sharp,
    'stay_current_portrait': stay_current_portrait,
    'stay_primary_landscape_filled_outlined':
        stay_primary_landscape_filled_outlined,
    'stay_primary_landscape_filled_sharp': stay_primary_landscape_filled_sharp,
    'stay_primary_landscape_filled': stay_primary_landscape_filled,
    'stay_primary_landscape_outlined': stay_primary_landscape_outlined,
    'stay_primary_landscape_sharp': stay_primary_landscape_sharp,
    'stay_primary_landscape': stay_primary_landscape,
    'stay_primary_portrait_filled_outlined':
        stay_primary_portrait_filled_outlined,
    'stay_primary_portrait_filled_sharp': stay_primary_portrait_filled_sharp,
    'stay_primary_portrait_filled': stay_primary_portrait_filled,
    'stay_primary_portrait_outlined': stay_primary_portrait_outlined,
    'stay_primary_portrait_sharp': stay_primary_portrait_sharp,
    'stay_primary_portrait': stay_primary_portrait,
    'stethoscope_arrow_filled_outlined': stethoscope_arrow_filled_outlined,
    'stethoscope_arrow_filled_sharp': stethoscope_arrow_filled_sharp,
    'stethoscope_arrow_filled': stethoscope_arrow_filled,
    'stethoscope_arrow_outlined': stethoscope_arrow_outlined,
    'stethoscope_arrow_sharp': stethoscope_arrow_sharp,
    'stethoscope_arrow': stethoscope_arrow,
    'stethoscope_check_filled_outlined': stethoscope_check_filled_outlined,
    'stethoscope_check_filled_sharp': stethoscope_check_filled_sharp,
    'stethoscope_check_filled': stethoscope_check_filled,
    'stethoscope_check_outlined': stethoscope_check_outlined,
    'stethoscope_check_sharp': stethoscope_check_sharp,
    'stethoscope_check': stethoscope_check,
    'stethoscope_filled_outlined': stethoscope_filled_outlined,
    'stethoscope_filled_sharp': stethoscope_filled_sharp,
    'stethoscope_filled': stethoscope_filled,
    'stethoscope_outlined': stethoscope_outlined,
    'stethoscope_sharp': stethoscope_sharp,
    'stethoscope': stethoscope,
    'sticky_note_2_filled_outlined': sticky_note_2_filled_outlined,
    'sticky_note_2_filled_sharp': sticky_note_2_filled_sharp,
    'sticky_note_2_filled': sticky_note_2_filled,
    'sticky_note_2_outlined': sticky_note_2_outlined,
    'sticky_note_2_sharp': sticky_note_2_sharp,
    'sticky_note_2': sticky_note_2,
    'stop_circle_filled_outlined': stop_circle_filled_outlined,
    'stop_circle_filled_sharp': stop_circle_filled_sharp,
    'stop_circle_filled': stop_circle_filled,
    'stop_circle_outlined': stop_circle_outlined,
    'stop_circle_sharp': stop_circle_sharp,
    'stop_circle': stop_circle,
    'stop_filled_outlined': stop_filled_outlined,
    'stop_filled_sharp': stop_filled_sharp,
    'stop_filled': stop_filled,
    'stop_outlined': stop_outlined,
    'stop_screen_share_filled_outlined': stop_screen_share_filled_outlined,
    'stop_screen_share_filled_sharp': stop_screen_share_filled_sharp,
    'stop_screen_share_filled': stop_screen_share_filled,
    'stop_screen_share_outlined': stop_screen_share_outlined,
    'stop_screen_share_sharp': stop_screen_share_sharp,
    'stop_screen_share': stop_screen_share,
    'stop_sharp': stop_sharp,
    'stop': stop,
    'storage_filled_outlined': storage_filled_outlined,
    'storage_filled_sharp': storage_filled_sharp,
    'storage_filled': storage_filled,
    'storage_outlined': storage_outlined,
    'storage_sharp': storage_sharp,
    'storage': storage,
    'store_filled_outlined': store_filled_outlined,
    'store_filled_sharp': store_filled_sharp,
    'store_filled': store_filled,
    'store_outlined': store_outlined,
    'store_sharp': store_sharp,
    'store': store,
    'storefront_filled_outlined': storefront_filled_outlined,
    'storefront_filled_sharp': storefront_filled_sharp,
    'storefront_filled': storefront_filled,
    'storefront_outlined': storefront_outlined,
    'storefront_sharp': storefront_sharp,
    'storefront': storefront,
    'storm_filled_outlined': storm_filled_outlined,
    'storm_filled_sharp': storm_filled_sharp,
    'storm_filled': storm_filled,
    'storm_outlined': storm_outlined,
    'storm_sharp': storm_sharp,
    'storm': storm,
    'straight_filled_outlined': straight_filled_outlined,
    'straight_filled_sharp': straight_filled_sharp,
    'straight_filled': straight_filled,
    'straight_outlined': straight_outlined,
    'straight_sharp': straight_sharp,
    'straight': straight,
    'straighten_filled_outlined': straighten_filled_outlined,
    'straighten_filled_sharp': straighten_filled_sharp,
    'straighten_filled': straighten_filled,
    'straighten_outlined': straighten_outlined,
    'straighten_sharp': straighten_sharp,
    'straighten': straighten,
    'stream_filled_outlined': stream_filled_outlined,
    'stream_filled_sharp': stream_filled_sharp,
    'stream_filled': stream_filled,
    'stream_outlined': stream_outlined,
    'stream_sharp': stream_sharp,
    'stream': stream,
    'streetview_filled_outlined': streetview_filled_outlined,
    'streetview_filled_sharp': streetview_filled_sharp,
    'streetview_filled': streetview_filled,
    'streetview_outlined': streetview_outlined,
    'streetview_sharp': streetview_sharp,
    'streetview': streetview,
    'strikethrough_s_filled_outlined': strikethrough_s_filled_outlined,
    'strikethrough_s_filled_sharp': strikethrough_s_filled_sharp,
    'strikethrough_s_filled': strikethrough_s_filled,
    'strikethrough_s_outlined': strikethrough_s_outlined,
    'strikethrough_s_sharp': strikethrough_s_sharp,
    'strikethrough_s': strikethrough_s,
    'stroller_filled_outlined': stroller_filled_outlined,
    'stroller_filled_sharp': stroller_filled_sharp,
    'stroller_filled': stroller_filled,
    'stroller_outlined': stroller_outlined,
    'stroller_sharp': stroller_sharp,
    'stroller': stroller,
    'style_filled_outlined': style_filled_outlined,
    'style_filled_sharp': style_filled_sharp,
    'style_filled': style_filled,
    'style_outlined': style_outlined,
    'style_sharp': style_sharp,
    'style': style,
    'styler_filled_outlined': styler_filled_outlined,
    'styler_filled_sharp': styler_filled_sharp,
    'styler_filled': styler_filled,
    'styler_outlined': styler_outlined,
    'styler_sharp': styler_sharp,
    'styler': styler,
    'subdirectory_arrow_left_filled_outlined':
        subdirectory_arrow_left_filled_outlined,
    'subdirectory_arrow_left_filled_sharp':
        subdirectory_arrow_left_filled_sharp,
    'subdirectory_arrow_left_filled': subdirectory_arrow_left_filled,
    'subdirectory_arrow_left_outlined': subdirectory_arrow_left_outlined,
    'subdirectory_arrow_left_sharp': subdirectory_arrow_left_sharp,
    'subdirectory_arrow_left': subdirectory_arrow_left,
    'subdirectory_arrow_right_filled_outlined':
        subdirectory_arrow_right_filled_outlined,
    'subdirectory_arrow_right_filled_sharp':
        subdirectory_arrow_right_filled_sharp,
    'subdirectory_arrow_right_filled': subdirectory_arrow_right_filled,
    'subdirectory_arrow_right_outlined': subdirectory_arrow_right_outlined,
    'subdirectory_arrow_right_sharp': subdirectory_arrow_right_sharp,
    'subdirectory_arrow_right': subdirectory_arrow_right,
    'subject_filled_outlined': subject_filled_outlined,
    'subject_filled_sharp': subject_filled_sharp,
    'subject_filled': subject_filled,
    'subject_outlined': subject_outlined,
    'subject_sharp': subject_sharp,
    'subject': subject,
    'subscript_filled_outlined': subscript_filled_outlined,
    'subscript_filled_sharp': subscript_filled_sharp,
    'subscript_filled': subscript_filled,
    'subscript_outlined': subscript_outlined,
    'subscript_sharp': subscript_sharp,
    'subscript': subscript,
    'subscriptions_filled_outlined': subscriptions_filled_outlined,
    'subscriptions_filled_sharp': subscriptions_filled_sharp,
    'subscriptions_filled': subscriptions_filled,
    'subscriptions_outlined': subscriptions_outlined,
    'subscriptions_sharp': subscriptions_sharp,
    'subscriptions': subscriptions,
    'subtitles_filled_outlined': subtitles_filled_outlined,
    'subtitles_filled_sharp': subtitles_filled_sharp,
    'subtitles_filled': subtitles_filled,
    'subtitles_off_filled_outlined': subtitles_off_filled_outlined,
    'subtitles_off_filled_sharp': subtitles_off_filled_sharp,
    'subtitles_off_filled': subtitles_off_filled,
    'subtitles_off_outlined': subtitles_off_outlined,
    'subtitles_off_sharp': subtitles_off_sharp,
    'subtitles_off': subtitles_off,
    'subtitles_outlined': subtitles_outlined,
    'subtitles_sharp': subtitles_sharp,
    'subtitles': subtitles,
    'subway_filled_outlined': subway_filled_outlined,
    'subway_filled_sharp': subway_filled_sharp,
    'subway_filled': subway_filled,
    'subway_outlined': subway_outlined,
    'subway_sharp': subway_sharp,
    'subway': subway,
    'summarize_filled_outlined': summarize_filled_outlined,
    'summarize_filled_sharp': summarize_filled_sharp,
    'summarize_filled': summarize_filled,
    'summarize_outlined': summarize_outlined,
    'summarize_sharp': summarize_sharp,
    'summarize': summarize,
    'sunny_filled_outlined': sunny_filled_outlined,
    'sunny_filled_sharp': sunny_filled_sharp,
    'sunny_filled': sunny_filled,
    'sunny_outlined': sunny_outlined,
    'sunny_sharp': sunny_sharp,
    'sunny_snowing_filled_outlined': sunny_snowing_filled_outlined,
    'sunny_snowing_filled_sharp': sunny_snowing_filled_sharp,
    'sunny_snowing_filled': sunny_snowing_filled,
    'sunny_snowing_outlined': sunny_snowing_outlined,
    'sunny_snowing_sharp': sunny_snowing_sharp,
    'sunny_snowing': sunny_snowing,
    'sunny': sunny,
    'superscript_filled_outlined': superscript_filled_outlined,
    'superscript_filled_sharp': superscript_filled_sharp,
    'superscript_filled': superscript_filled,
    'superscript_outlined': superscript_outlined,
    'superscript_sharp': superscript_sharp,
    'superscript': superscript,
    'supervised_user_circle_filled_outlined':
        supervised_user_circle_filled_outlined,
    'supervised_user_circle_filled_sharp': supervised_user_circle_filled_sharp,
    'supervised_user_circle_filled': supervised_user_circle_filled,
    'supervised_user_circle_outlined': supervised_user_circle_outlined,
    'supervised_user_circle_sharp': supervised_user_circle_sharp,
    'supervised_user_circle': supervised_user_circle,
    'supervisor_account_filled_outlined': supervisor_account_filled_outlined,
    'supervisor_account_filled_sharp': supervisor_account_filled_sharp,
    'supervisor_account_filled': supervisor_account_filled,
    'supervisor_account_outlined': supervisor_account_outlined,
    'supervisor_account_sharp': supervisor_account_sharp,
    'supervisor_account': supervisor_account,
    'support_agent_filled_outlined': support_agent_filled_outlined,
    'support_agent_filled_sharp': support_agent_filled_sharp,
    'support_agent_filled': support_agent_filled,
    'support_agent_outlined': support_agent_outlined,
    'support_agent_sharp': support_agent_sharp,
    'support_agent': support_agent,
    'support_filled_outlined': support_filled_outlined,
    'support_filled_sharp': support_filled_sharp,
    'support_filled': support_filled,
    'support_outlined': support_outlined,
    'support_sharp': support_sharp,
    'support': support,
    'surfing_filled_outlined': surfing_filled_outlined,
    'surfing_filled_sharp': surfing_filled_sharp,
    'surfing_filled': surfing_filled,
    'surfing_outlined': surfing_outlined,
    'surfing_sharp': surfing_sharp,
    'surfing': surfing,
    'surround_sound_filled_outlined': surround_sound_filled_outlined,
    'surround_sound_filled_sharp': surround_sound_filled_sharp,
    'surround_sound_filled': surround_sound_filled,
    'surround_sound_outlined': surround_sound_outlined,
    'surround_sound_sharp': surround_sound_sharp,
    'surround_sound': surround_sound,
    'swap_calls_filled_outlined': swap_calls_filled_outlined,
    'swap_calls_filled_sharp': swap_calls_filled_sharp,
    'swap_calls_filled': swap_calls_filled,
    'swap_calls_outlined': swap_calls_outlined,
    'swap_calls_sharp': swap_calls_sharp,
    'swap_calls': swap_calls,
    'swap_horiz_filled_outlined': swap_horiz_filled_outlined,
    'swap_horiz_filled_sharp': swap_horiz_filled_sharp,
    'swap_horiz_filled': swap_horiz_filled,
    'swap_horiz_outlined': swap_horiz_outlined,
    'swap_horiz_sharp': swap_horiz_sharp,
    'swap_horiz': swap_horiz,
    'swap_horizontal_circle_filled_outlined':
        swap_horizontal_circle_filled_outlined,
    'swap_horizontal_circle_filled_sharp': swap_horizontal_circle_filled_sharp,
    'swap_horizontal_circle_filled': swap_horizontal_circle_filled,
    'swap_horizontal_circle_outlined': swap_horizontal_circle_outlined,
    'swap_horizontal_circle_sharp': swap_horizontal_circle_sharp,
    'swap_horizontal_circle': swap_horizontal_circle,
    'swap_vert_filled_outlined': swap_vert_filled_outlined,
    'swap_vert_filled_sharp': swap_vert_filled_sharp,
    'swap_vert_filled': swap_vert_filled,
    'swap_vert_outlined': swap_vert_outlined,
    'swap_vert_sharp': swap_vert_sharp,
    'swap_vert': swap_vert,
    'swap_vertical_circle_filled_outlined':
        swap_vertical_circle_filled_outlined,
    'swap_vertical_circle_filled_sharp': swap_vertical_circle_filled_sharp,
    'swap_vertical_circle_filled': swap_vertical_circle_filled,
    'swap_vertical_circle_outlined': swap_vertical_circle_outlined,
    'swap_vertical_circle_sharp': swap_vertical_circle_sharp,
    'swap_vertical_circle': swap_vertical_circle,
    'swipe_down_alt_filled_outlined': swipe_down_alt_filled_outlined,
    'swipe_down_alt_filled_sharp': swipe_down_alt_filled_sharp,
    'swipe_down_alt_filled': swipe_down_alt_filled,
    'swipe_down_alt_outlined': swipe_down_alt_outlined,
    'swipe_down_alt_sharp': swipe_down_alt_sharp,
    'swipe_down_alt': swipe_down_alt,
    'swipe_down_filled_outlined': swipe_down_filled_outlined,
    'swipe_down_filled_sharp': swipe_down_filled_sharp,
    'swipe_down_filled': swipe_down_filled,
    'swipe_down_outlined': swipe_down_outlined,
    'swipe_down_sharp': swipe_down_sharp,
    'swipe_down': swipe_down,
    'swipe_filled_outlined': swipe_filled_outlined,
    'swipe_filled_sharp': swipe_filled_sharp,
    'swipe_filled': swipe_filled,
    'swipe_left_alt_filled_outlined': swipe_left_alt_filled_outlined,
    'swipe_left_alt_filled_sharp': swipe_left_alt_filled_sharp,
    'swipe_left_alt_filled': swipe_left_alt_filled,
    'swipe_left_alt_outlined': swipe_left_alt_outlined,
    'swipe_left_alt_sharp': swipe_left_alt_sharp,
    'swipe_left_alt': swipe_left_alt,
    'swipe_left_filled_outlined': swipe_left_filled_outlined,
    'swipe_left_filled_sharp': swipe_left_filled_sharp,
    'swipe_left_filled': swipe_left_filled,
    'swipe_left_outlined': swipe_left_outlined,
    'swipe_left_sharp': swipe_left_sharp,
    'swipe_left': swipe_left,
    'swipe_outlined': swipe_outlined,
    'swipe_right_alt_filled_outlined': swipe_right_alt_filled_outlined,
    'swipe_right_alt_filled_sharp': swipe_right_alt_filled_sharp,
    'swipe_right_alt_filled': swipe_right_alt_filled,
    'swipe_right_alt_outlined': swipe_right_alt_outlined,
    'swipe_right_alt_sharp': swipe_right_alt_sharp,
    'swipe_right_alt': swipe_right_alt,
    'swipe_right_filled_outlined': swipe_right_filled_outlined,
    'swipe_right_filled_sharp': swipe_right_filled_sharp,
    'swipe_right_filled': swipe_right_filled,
    'swipe_right_outlined': swipe_right_outlined,
    'swipe_right_sharp': swipe_right_sharp,
    'swipe_right': swipe_right,
    'swipe_sharp': swipe_sharp,
    'swipe_up_alt_filled_outlined': swipe_up_alt_filled_outlined,
    'swipe_up_alt_filled_sharp': swipe_up_alt_filled_sharp,
    'swipe_up_alt_filled': swipe_up_alt_filled,
    'swipe_up_alt_outlined': swipe_up_alt_outlined,
    'swipe_up_alt_sharp': swipe_up_alt_sharp,
    'swipe_up_alt': swipe_up_alt,
    'swipe_up_filled_outlined': swipe_up_filled_outlined,
    'swipe_up_filled_sharp': swipe_up_filled_sharp,
    'swipe_up_filled': swipe_up_filled,
    'swipe_up_outlined': swipe_up_outlined,
    'swipe_up_sharp': swipe_up_sharp,
    'swipe_up': swipe_up,
    'swipe_vertical_filled_outlined': swipe_vertical_filled_outlined,
    'swipe_vertical_filled_sharp': swipe_vertical_filled_sharp,
    'swipe_vertical_filled': swipe_vertical_filled,
    'swipe_vertical_outlined': swipe_vertical_outlined,
    'swipe_vertical_sharp': swipe_vertical_sharp,
    'swipe_vertical': swipe_vertical,
    'swipe': swipe,
    'switch_access_shortcut_add_filled_outlined':
        switch_access_shortcut_add_filled_outlined,
    'switch_access_shortcut_add_filled_sharp':
        switch_access_shortcut_add_filled_sharp,
    'switch_access_shortcut_add_filled': switch_access_shortcut_add_filled,
    'switch_access_shortcut_add_outlined': switch_access_shortcut_add_outlined,
    'switch_access_shortcut_add_sharp': switch_access_shortcut_add_sharp,
    'switch_access_shortcut_add': switch_access_shortcut_add,
    'switch_access_shortcut_filled_outlined':
        switch_access_shortcut_filled_outlined,
    'switch_access_shortcut_filled_sharp': switch_access_shortcut_filled_sharp,
    'switch_access_shortcut_filled': switch_access_shortcut_filled,
    'switch_access_shortcut_outlined': switch_access_shortcut_outlined,
    'switch_access_shortcut_sharp': switch_access_shortcut_sharp,
    'switch_access_shortcut': switch_access_shortcut,
    'switch_account_filled_outlined': switch_account_filled_outlined,
    'switch_account_filled_sharp': switch_account_filled_sharp,
    'switch_account_filled': switch_account_filled,
    'switch_account_outlined': switch_account_outlined,
    'switch_account_sharp': switch_account_sharp,
    'switch_account': switch_account,
    'switch_camera_filled_outlined': switch_camera_filled_outlined,
    'switch_camera_filled_sharp': switch_camera_filled_sharp,
    'switch_camera_filled': switch_camera_filled,
    'switch_camera_outlined': switch_camera_outlined,
    'switch_camera_sharp': switch_camera_sharp,
    'switch_camera': switch_camera,
    'switch_filled_outlined': switch_filled_outlined,
    'switch_filled_sharp': switch_filled_sharp,
    'switch_filled': switch_filled,
    'switch_left_filled_outlined': switch_left_filled_outlined,
    'switch_left_filled_sharp': switch_left_filled_sharp,
    'switch_left_filled': switch_left_filled,
    'switch_left_outlined': switch_left_outlined,
    'switch_left_sharp': switch_left_sharp,
    'switch_left': switch_left,
    'switch_outlined': switch_outlined,
    'switch_right_filled_outlined': switch_right_filled_outlined,
    'switch_right_filled_sharp': switch_right_filled_sharp,
    'switch_right_filled': switch_right_filled,
    'switch_right_outlined': switch_right_outlined,
    'switch_right_sharp': switch_right_sharp,
    'switch_right': switch_right,
    'switch_sharp': switch_sharp,
    'switch_video_filled_outlined': switch_video_filled_outlined,
    'switch_video_filled_sharp': switch_video_filled_sharp,
    'switch_video_filled': switch_video_filled,
    'switch_video_outlined': switch_video_outlined,
    'switch_video_sharp': switch_video_sharp,
    'switch_video': switch_video,
    'switch': toggle_switch,
    'swords_filled_outlined': swords_filled_outlined,
    'swords_filled_sharp': swords_filled_sharp,
    'swords_filled': swords_filled,
    'swords_outlined': swords_outlined,
    'swords_sharp': swords_sharp,
    'swords': swords,
    'synagogue_filled_outlined': synagogue_filled_outlined,
    'synagogue_filled_sharp': synagogue_filled_sharp,
    'synagogue_filled': synagogue_filled,
    'synagogue_outlined': synagogue_outlined,
    'synagogue_sharp': synagogue_sharp,
    'synagogue': synagogue,
    'sync_alt_filled_outlined': sync_alt_filled_outlined,
    'sync_alt_filled_sharp': sync_alt_filled_sharp,
    'sync_alt_filled': sync_alt_filled,
    'sync_alt_outlined': sync_alt_outlined,
    'sync_alt_sharp': sync_alt_sharp,
    'sync_alt': sync_alt,
    'sync_disabled_filled_outlined': sync_disabled_filled_outlined,
    'sync_disabled_filled_sharp': sync_disabled_filled_sharp,
    'sync_disabled_filled': sync_disabled_filled,
    'sync_disabled_outlined': sync_disabled_outlined,
    'sync_disabled_sharp': sync_disabled_sharp,
    'sync_disabled': sync_disabled,
    'sync_filled_outlined': sync_filled_outlined,
    'sync_filled_sharp': sync_filled_sharp,
    'sync_filled': sync_filled,
    'sync_lock_filled_outlined': sync_lock_filled_outlined,
    'sync_lock_filled_sharp': sync_lock_filled_sharp,
    'sync_lock_filled': sync_lock_filled,
    'sync_lock_outlined': sync_lock_outlined,
    'sync_lock_sharp': sync_lock_sharp,
    'sync_lock': sync_lock,
    'sync_outlined': sync_outlined,
    'sync_problem_filled_outlined': sync_problem_filled_outlined,
    'sync_problem_filled_sharp': sync_problem_filled_sharp,
    'sync_problem_filled': sync_problem_filled,
    'sync_problem_outlined': sync_problem_outlined,
    'sync_problem_sharp': sync_problem_sharp,
    'sync_problem': sync_problem,
    'sync_saved_locally_filled_outlined': sync_saved_locally_filled_outlined,
    'sync_saved_locally_filled_sharp': sync_saved_locally_filled_sharp,
    'sync_saved_locally_filled': sync_saved_locally_filled,
    'sync_saved_locally_outlined': sync_saved_locally_outlined,
    'sync_saved_locally_sharp': sync_saved_locally_sharp,
    'sync_saved_locally': sync_saved_locally,
    'sync_sharp': sync_sharp,
    'sync': sync,
    'syringe_filled_outlined': syringe_filled_outlined,
    'syringe_filled_sharp': syringe_filled_sharp,
    'syringe_filled': syringe_filled,
    'syringe_outlined': syringe_outlined,
    'syringe_sharp': syringe_sharp,
    'syringe': syringe,
    'system_update_alt_filled_outlined': system_update_alt_filled_outlined,
    'system_update_alt_filled_sharp': system_update_alt_filled_sharp,
    'system_update_alt_filled': system_update_alt_filled,
    'system_update_alt_outlined': system_update_alt_outlined,
    'system_update_alt_sharp': system_update_alt_sharp,
    'system_update_alt': system_update_alt,
    'system_update_filled_outlined': system_update_filled_outlined,
    'system_update_filled_sharp': system_update_filled_sharp,
    'system_update_filled': system_update_filled,
    'system_update_outlined': system_update_outlined,
    'system_update_sharp': system_update_sharp,
    'system_update': system_update,
    'tab_filled_outlined': tab_filled_outlined,
    'tab_filled_sharp': tab_filled_sharp,
    'tab_filled': tab_filled,
    'tab_outlined': tab_outlined,
    'tab_sharp': tab_sharp,
    'tab_unselected_filled_outlined': tab_unselected_filled_outlined,
    'tab_unselected_filled_sharp': tab_unselected_filled_sharp,
    'tab_unselected_filled': tab_unselected_filled,
    'tab_unselected_outlined': tab_unselected_outlined,
    'tab_unselected_sharp': tab_unselected_sharp,
    'tab_unselected': tab_unselected,
    'tab': tab,
    'table_bar_filled_outlined': table_bar_filled_outlined,
    'table_bar_filled_sharp': table_bar_filled_sharp,
    'table_bar_filled': table_bar_filled,
    'table_bar_outlined': table_bar_outlined,
    'table_bar_sharp': table_bar_sharp,
    'table_bar': table_bar,
    'table_chart_filled_outlined': table_chart_filled_outlined,
    'table_chart_filled_sharp': table_chart_filled_sharp,
    'table_chart_filled': table_chart_filled,
    'table_chart_outlined': table_chart_outlined,
    'table_chart_sharp': table_chart_sharp,
    'table_chart': table_chart,
    'table_filled_outlined': table_filled_outlined,
    'table_filled_sharp': table_filled_sharp,
    'table_filled': table_filled,
    'table_lamp_filled_outlined': table_lamp_filled_outlined,
    'table_lamp_filled_sharp': table_lamp_filled_sharp,
    'table_lamp_filled': table_lamp_filled,
    'table_lamp_outlined': table_lamp_outlined,
    'table_lamp_sharp': table_lamp_sharp,
    'table_lamp': table_lamp,
    'table_outlined': table_outlined,
    'table_restaurant_filled_outlined': table_restaurant_filled_outlined,
    'table_restaurant_filled_sharp': table_restaurant_filled_sharp,
    'table_restaurant_filled': table_restaurant_filled,
    'table_restaurant_outlined': table_restaurant_outlined,
    'table_restaurant_sharp': table_restaurant_sharp,
    'table_restaurant': table_restaurant,
    'table_rows_filled_outlined': table_rows_filled_outlined,
    'table_rows_filled_sharp': table_rows_filled_sharp,
    'table_rows_filled': table_rows_filled,
    'table_rows_outlined': table_rows_outlined,
    'table_rows_sharp': table_rows_sharp,
    'table_rows': table_rows,
    'table_sharp': table_sharp,
    'table_view_filled_outlined': table_view_filled_outlined,
    'table_view_filled_sharp': table_view_filled_sharp,
    'table_view_filled': table_view_filled,
    'table_view_outlined': table_view_outlined,
    'table_view_sharp': table_view_sharp,
    'table_view': table_view,
    'table': table,
    'tablet_android_filled_outlined': tablet_android_filled_outlined,
    'tablet_android_filled_sharp': tablet_android_filled_sharp,
    'tablet_android_filled': tablet_android_filled,
    'tablet_android_outlined': tablet_android_outlined,
    'tablet_android_sharp': tablet_android_sharp,
    'tablet_android': tablet_android,
    'tablet_filled_outlined': tablet_filled_outlined,
    'tablet_filled_sharp': tablet_filled_sharp,
    'tablet_filled': tablet_filled,
    'tablet_mac_filled_outlined': tablet_mac_filled_outlined,
    'tablet_mac_filled_sharp': tablet_mac_filled_sharp,
    'tablet_mac_filled': tablet_mac_filled,
    'tablet_mac_outlined': tablet_mac_outlined,
    'tablet_mac_sharp': tablet_mac_sharp,
    'tablet_mac': tablet_mac,
    'tablet_outlined': tablet_outlined,
    'tablet_sharp': tablet_sharp,
    'tablet': tablet,
    'tag_filled_outlined': tag_filled_outlined,
    'tag_filled_sharp': tag_filled_sharp,
    'tag_filled': tag_filled,
    'tag_outlined': tag_outlined,
    'tag_sharp': tag_sharp,
    'tag': tag,
    'takeout_dining_filled_outlined': takeout_dining_filled_outlined,
    'takeout_dining_filled_sharp': takeout_dining_filled_sharp,
    'takeout_dining_filled': takeout_dining_filled,
    'takeout_dining_outlined': takeout_dining_outlined,
    'takeout_dining_sharp': takeout_dining_sharp,
    'takeout_dining': takeout_dining,
    'tamper_detection_off_filled_outlined':
        tamper_detection_off_filled_outlined,
    'tamper_detection_off_filled_sharp': tamper_detection_off_filled_sharp,
    'tamper_detection_off_filled': tamper_detection_off_filled,
    'tamper_detection_off_outlined': tamper_detection_off_outlined,
    'tamper_detection_off_sharp': tamper_detection_off_sharp,
    'tamper_detection_off': tamper_detection_off,
    'tamper_detection_on_filled_outlined': tamper_detection_on_filled_outlined,
    'tamper_detection_on_filled_sharp': tamper_detection_on_filled_sharp,
    'tamper_detection_on_filled': tamper_detection_on_filled,
    'tamper_detection_on_outlined': tamper_detection_on_outlined,
    'tamper_detection_on_sharp': tamper_detection_on_sharp,
    'tamper_detection_on': tamper_detection_on,
    'tap_and_play_filled_outlined': tap_and_play_filled_outlined,
    'tap_and_play_filled_sharp': tap_and_play_filled_sharp,
    'tap_and_play_filled': tap_and_play_filled,
    'tap_and_play_outlined': tap_and_play_outlined,
    'tap_and_play_sharp': tap_and_play_sharp,
    'tap_and_play': tap_and_play,
    'tapas_filled_outlined': tapas_filled_outlined,
    'tapas_filled_sharp': tapas_filled_sharp,
    'tapas_filled': tapas_filled,
    'tapas_outlined': tapas_outlined,
    'tapas_sharp': tapas_sharp,
    'tapas': tapas,
    'task_alt_filled_outlined': task_alt_filled_outlined,
    'task_alt_filled_sharp': task_alt_filled_sharp,
    'task_alt_filled': task_alt_filled,
    'task_alt_outlined': task_alt_outlined,
    'task_alt_sharp': task_alt_sharp,
    'task_alt': task_alt,
    'task_filled_outlined': task_filled_outlined,
    'task_filled_sharp': task_filled_sharp,
    'task_filled': task_filled,
    'task_outlined': task_outlined,
    'task_sharp': task_sharp,
    'task': task,
    'taxi_alert_filled_outlined': taxi_alert_filled_outlined,
    'taxi_alert_filled_sharp': taxi_alert_filled_sharp,
    'taxi_alert_filled': taxi_alert_filled,
    'taxi_alert_outlined': taxi_alert_outlined,
    'taxi_alert_sharp': taxi_alert_sharp,
    'taxi_alert': taxi_alert,
    'team_dashboard_filled_outlined': team_dashboard_filled_outlined,
    'team_dashboard_filled_sharp': team_dashboard_filled_sharp,
    'team_dashboard_filled': team_dashboard_filled,
    'team_dashboard_outlined': team_dashboard_outlined,
    'team_dashboard_sharp': team_dashboard_sharp,
    'team_dashboard': team_dashboard,
    'temp_preferences_custom_filled_outlined':
        temp_preferences_custom_filled_outlined,
    'temp_preferences_custom_filled_sharp':
        temp_preferences_custom_filled_sharp,
    'temp_preferences_custom_filled': temp_preferences_custom_filled,
    'temp_preferences_custom_outlined': temp_preferences_custom_outlined,
    'temp_preferences_custom_sharp': temp_preferences_custom_sharp,
    'temp_preferences_custom': temp_preferences_custom,
    'temp_preferences_eco_filled_outlined':
        temp_preferences_eco_filled_outlined,
    'temp_preferences_eco_filled_sharp': temp_preferences_eco_filled_sharp,
    'temp_preferences_eco_filled': temp_preferences_eco_filled,
    'temp_preferences_eco_outlined': temp_preferences_eco_outlined,
    'temp_preferences_eco_sharp': temp_preferences_eco_sharp,
    'temp_preferences_eco': temp_preferences_eco,
    'temple_buddhist_filled_outlined': temple_buddhist_filled_outlined,
    'temple_buddhist_filled_sharp': temple_buddhist_filled_sharp,
    'temple_buddhist_filled': temple_buddhist_filled,
    'temple_buddhist_outlined': temple_buddhist_outlined,
    'temple_buddhist_sharp': temple_buddhist_sharp,
    'temple_buddhist': temple_buddhist,
    'temple_hindu_filled_outlined': temple_hindu_filled_outlined,
    'temple_hindu_filled_sharp': temple_hindu_filled_sharp,
    'temple_hindu_filled': temple_hindu_filled,
    'temple_hindu_outlined': temple_hindu_outlined,
    'temple_hindu_sharp': temple_hindu_sharp,
    'temple_hindu': temple_hindu,
    'tenancy_filled_outlined': tenancy_filled_outlined,
    'tenancy_filled_sharp': tenancy_filled_sharp,
    'tenancy_filled': tenancy_filled,
    'tenancy_outlined': tenancy_outlined,
    'tenancy_sharp': tenancy_sharp,
    'tenancy': tenancy,
    'terminal_filled_outlined': terminal_filled_outlined,
    'terminal_filled_sharp': terminal_filled_sharp,
    'terminal_filled': terminal_filled,
    'terminal_outlined': terminal_outlined,
    'terminal_sharp': terminal_sharp,
    'terminal': terminal,
    'text_decrease_filled_outlined': text_decrease_filled_outlined,
    'text_decrease_filled_sharp': text_decrease_filled_sharp,
    'text_decrease_filled': text_decrease_filled,
    'text_decrease_outlined': text_decrease_outlined,
    'text_decrease_sharp': text_decrease_sharp,
    'text_decrease': text_decrease,
    'text_fields_filled_outlined': text_fields_filled_outlined,
    'text_fields_filled_sharp': text_fields_filled_sharp,
    'text_fields_filled': text_fields_filled,
    'text_fields_outlined': text_fields_outlined,
    'text_fields_sharp': text_fields_sharp,
    'text_fields': text_fields,
    'text_format_filled_outlined': text_format_filled_outlined,
    'text_format_filled_sharp': text_format_filled_sharp,
    'text_format_filled': text_format_filled,
    'text_format_outlined': text_format_outlined,
    'text_format_sharp': text_format_sharp,
    'text_format': text_format,
    'text_increase_filled_outlined': text_increase_filled_outlined,
    'text_increase_filled_sharp': text_increase_filled_sharp,
    'text_increase_filled': text_increase_filled,
    'text_increase_outlined': text_increase_outlined,
    'text_increase_sharp': text_increase_sharp,
    'text_increase': text_increase,
    'text_rotate_up_filled_outlined': text_rotate_up_filled_outlined,
    'text_rotate_up_filled_sharp': text_rotate_up_filled_sharp,
    'text_rotate_up_filled': text_rotate_up_filled,
    'text_rotate_up_outlined': text_rotate_up_outlined,
    'text_rotate_up_sharp': text_rotate_up_sharp,
    'text_rotate_up': text_rotate_up,
    'text_rotate_vertical_filled_outlined':
        text_rotate_vertical_filled_outlined,
    'text_rotate_vertical_filled_sharp': text_rotate_vertical_filled_sharp,
    'text_rotate_vertical_filled': text_rotate_vertical_filled,
    'text_rotate_vertical_outlined': text_rotate_vertical_outlined,
    'text_rotate_vertical_sharp': text_rotate_vertical_sharp,
    'text_rotate_vertical': text_rotate_vertical,
    'text_rotation_angledown_filled_outlined':
        text_rotation_angledown_filled_outlined,
    'text_rotation_angledown_filled_sharp':
        text_rotation_angledown_filled_sharp,
    'text_rotation_angledown_filled': text_rotation_angledown_filled,
    'text_rotation_angledown_outlined': text_rotation_angledown_outlined,
    'text_rotation_angledown_sharp': text_rotation_angledown_sharp,
    'text_rotation_angledown': text_rotation_angledown,
    'text_rotation_angleup_filled_outlined':
        text_rotation_angleup_filled_outlined,
    'text_rotation_angleup_filled_sharp': text_rotation_angleup_filled_sharp,
    'text_rotation_angleup_filled': text_rotation_angleup_filled,
    'text_rotation_angleup_outlined': text_rotation_angleup_outlined,
    'text_rotation_angleup_sharp': text_rotation_angleup_sharp,
    'text_rotation_angleup': text_rotation_angleup,
    'text_rotation_down_filled_outlined': text_rotation_down_filled_outlined,
    'text_rotation_down_filled_sharp': text_rotation_down_filled_sharp,
    'text_rotation_down_filled': text_rotation_down_filled,
    'text_rotation_down_outlined': text_rotation_down_outlined,
    'text_rotation_down_sharp': text_rotation_down_sharp,
    'text_rotation_down': text_rotation_down,
    'text_rotation_none_filled_outlined': text_rotation_none_filled_outlined,
    'text_rotation_none_filled_sharp': text_rotation_none_filled_sharp,
    'text_rotation_none_filled': text_rotation_none_filled,
    'text_rotation_none_outlined': text_rotation_none_outlined,
    'text_rotation_none_sharp': text_rotation_none_sharp,
    'text_rotation_none': text_rotation_none,
    'text_snippet_filled_outlined': text_snippet_filled_outlined,
    'text_snippet_filled_sharp': text_snippet_filled_sharp,
    'text_snippet_filled': text_snippet_filled,
    'text_snippet_outlined': text_snippet_outlined,
    'text_snippet_sharp': text_snippet_sharp,
    'text_snippet': text_snippet,
    'text_to_speech_filled_outlined': text_to_speech_filled_outlined,
    'text_to_speech_filled_sharp': text_to_speech_filled_sharp,
    'text_to_speech_filled': text_to_speech_filled,
    'text_to_speech_outlined': text_to_speech_outlined,
    'text_to_speech_sharp': text_to_speech_sharp,
    'text_to_speech': text_to_speech,
    'texture_filled_outlined': texture_filled_outlined,
    'texture_filled_sharp': texture_filled_sharp,
    'texture_filled': texture_filled,
    'texture_outlined': texture_outlined,
    'texture_sharp': texture_sharp,
    'texture': texture,
    'theater_comedy_filled_outlined': theater_comedy_filled_outlined,
    'theater_comedy_filled_sharp': theater_comedy_filled_sharp,
    'theater_comedy_filled': theater_comedy_filled,
    'theater_comedy_outlined': theater_comedy_outlined,
    'theater_comedy_sharp': theater_comedy_sharp,
    'theater_comedy': theater_comedy,
    'theaters_filled_outlined': theaters_filled_outlined,
    'theaters_filled_sharp': theaters_filled_sharp,
    'theaters_filled': theaters_filled,
    'theaters_outlined': theaters_outlined,
    'theaters_sharp': theaters_sharp,
    'theaters': theaters,
    'thermometer_filled_outlined': thermometer_filled_outlined,
    'thermometer_filled_sharp': thermometer_filled_sharp,
    'thermometer_filled': thermometer_filled,
    'thermometer_outlined': thermometer_outlined,
    'thermometer_sharp': thermometer_sharp,
    'thermometer': thermometer,
    'thermostat_auto_filled_outlined': thermostat_auto_filled_outlined,
    'thermostat_auto_filled_sharp': thermostat_auto_filled_sharp,
    'thermostat_auto_filled': thermostat_auto_filled,
    'thermostat_auto_outlined': thermostat_auto_outlined,
    'thermostat_auto_sharp': thermostat_auto_sharp,
    'thermostat_auto': thermostat_auto,
    'thermostat_carbon_filled_outlined': thermostat_carbon_filled_outlined,
    'thermostat_carbon_filled_sharp': thermostat_carbon_filled_sharp,
    'thermostat_carbon_filled': thermostat_carbon_filled,
    'thermostat_carbon_outlined': thermostat_carbon_outlined,
    'thermostat_carbon_sharp': thermostat_carbon_sharp,
    'thermostat_carbon': thermostat_carbon,
    'thermostat_filled_outlined': thermostat_filled_outlined,
    'thermostat_filled_sharp': thermostat_filled_sharp,
    'thermostat_filled': thermostat_filled,
    'thermostat_outlined': thermostat_outlined,
    'thermostat_sharp': thermostat_sharp,
    'thermostat': thermostat,
    'thumb_down_filled_outlined': thumb_down_filled_outlined,
    'thumb_down_filled_sharp': thumb_down_filled_sharp,
    'thumb_down_filled': thumb_down_filled,
    'thumb_down_off_filled_outlined': thumb_down_off_filled_outlined,
    'thumb_down_off_filled_sharp': thumb_down_off_filled_sharp,
    'thumb_down_off_filled': thumb_down_off_filled,
    'thumb_down_off_outlined': thumb_down_off_outlined,
    'thumb_down_off_sharp': thumb_down_off_sharp,
    'thumb_down_off': thumb_down_off,
    'thumb_down_outlined': thumb_down_outlined,
    'thumb_down_sharp': thumb_down_sharp,
    'thumb_down': thumb_down,
    'thumb_up_filled_outlined': thumb_up_filled_outlined,
    'thumb_up_filled_sharp': thumb_up_filled_sharp,
    'thumb_up_filled': thumb_up_filled,
    'thumb_up_off_filled_outlined': thumb_up_off_filled_outlined,
    'thumb_up_off_filled_sharp': thumb_up_off_filled_sharp,
    'thumb_up_off_filled': thumb_up_off_filled,
    'thumb_up_off_outlined': thumb_up_off_outlined,
    'thumb_up_off_sharp': thumb_up_off_sharp,
    'thumb_up_off': thumb_up_off,
    'thumb_up_outlined': thumb_up_outlined,
    'thumb_up_sharp': thumb_up_sharp,
    'thumb_up': thumb_up,
    'thumbs_up_down_filled_outlined': thumbs_up_down_filled_outlined,
    'thumbs_up_down_filled_sharp': thumbs_up_down_filled_sharp,
    'thumbs_up_down_filled': thumbs_up_down_filled,
    'thumbs_up_down_outlined': thumbs_up_down_outlined,
    'thumbs_up_down_sharp': thumbs_up_down_sharp,
    'thumbs_up_down': thumbs_up_down,
    'thunderstorm_filled_outlined': thunderstorm_filled_outlined,
    'thunderstorm_filled_sharp': thunderstorm_filled_sharp,
    'thunderstorm_filled': thunderstorm_filled,
    'thunderstorm_outlined': thunderstorm_outlined,
    'thunderstorm_sharp': thunderstorm_sharp,
    'thunderstorm': thunderstorm,
    'tibia_alt_filled_outlined': tibia_alt_filled_outlined,
    'tibia_alt_filled_sharp': tibia_alt_filled_sharp,
    'tibia_alt_filled': tibia_alt_filled,
    'tibia_alt_outlined': tibia_alt_outlined,
    'tibia_alt_sharp': tibia_alt_sharp,
    'tibia_alt': tibia_alt,
    'tibia_filled_outlined': tibia_filled_outlined,
    'tibia_filled_sharp': tibia_filled_sharp,
    'tibia_filled': tibia_filled,
    'tibia_outlined': tibia_outlined,
    'tibia_sharp': tibia_sharp,
    'tibia': tibia,
    'time_auto_filled_outlined': time_auto_filled_outlined,
    'time_auto_filled_sharp': time_auto_filled_sharp,
    'time_auto_filled': time_auto_filled,
    'time_auto_outlined': time_auto_outlined,
    'time_auto_sharp': time_auto_sharp,
    'time_auto': time_auto,
    'timelapse_filled_outlined': timelapse_filled_outlined,
    'timelapse_filled_sharp': timelapse_filled_sharp,
    'timelapse_filled': timelapse_filled,
    'timelapse_outlined': timelapse_outlined,
    'timelapse_sharp': timelapse_sharp,
    'timelapse': timelapse,
    'timeline_filled_outlined': timeline_filled_outlined,
    'timeline_filled_sharp': timeline_filled_sharp,
    'timeline_filled': timeline_filled,
    'timeline_outlined': timeline_outlined,
    'timeline_sharp': timeline_sharp,
    'timeline': timeline,
    'timer_10_alt_1_filled_outlined': timer_10_alt_1_filled_outlined,
    'timer_10_alt_1_filled_sharp': timer_10_alt_1_filled_sharp,
    'timer_10_alt_1_filled': timer_10_alt_1_filled,
    'timer_10_alt_1_outlined': timer_10_alt_1_outlined,
    'timer_10_alt_1_sharp': timer_10_alt_1_sharp,
    'timer_10_alt_1': timer_10_alt_1,
    'timer_10_filled_outlined': timer_10_filled_outlined,
    'timer_10_filled_sharp': timer_10_filled_sharp,
    'timer_10_filled': timer_10_filled,
    'timer_10_outlined': timer_10_outlined,
    'timer_10_select_filled_outlined': timer_10_select_filled_outlined,
    'timer_10_select_filled_sharp': timer_10_select_filled_sharp,
    'timer_10_select_filled': timer_10_select_filled,
    'timer_10_select_outlined': timer_10_select_outlined,
    'timer_10_select_sharp': timer_10_select_sharp,
    'timer_10_select': timer_10_select,
    'timer_10_sharp': timer_10_sharp,
    'timer_10': timer_10,
    'timer_3_alt_1_filled_outlined': timer_3_alt_1_filled_outlined,
    'timer_3_alt_1_filled_sharp': timer_3_alt_1_filled_sharp,
    'timer_3_alt_1_filled': timer_3_alt_1_filled,
    'timer_3_alt_1_outlined': timer_3_alt_1_outlined,
    'timer_3_alt_1_sharp': timer_3_alt_1_sharp,
    'timer_3_alt_1': timer_3_alt_1,
    'timer_3_filled_outlined': timer_3_filled_outlined,
    'timer_3_filled_sharp': timer_3_filled_sharp,
    'timer_3_filled': timer_3_filled,
    'timer_3_outlined': timer_3_outlined,
    'timer_3_select_filled_outlined': timer_3_select_filled_outlined,
    'timer_3_select_filled_sharp': timer_3_select_filled_sharp,
    'timer_3_select_filled': timer_3_select_filled,
    'timer_3_select_outlined': timer_3_select_outlined,
    'timer_3_select_sharp': timer_3_select_sharp,
    'timer_3_select': timer_3_select,
    'timer_3_sharp': timer_3_sharp,
    'timer_3': timer_3,
    'timer_filled_outlined': timer_filled_outlined,
    'timer_filled_sharp': timer_filled_sharp,
    'timer_filled': timer_filled,
    'timer_off_filled_outlined': timer_off_filled_outlined,
    'timer_off_filled_sharp': timer_off_filled_sharp,
    'timer_off_filled': timer_off_filled,
    'timer_off_outlined': timer_off_outlined,
    'timer_off_sharp': timer_off_sharp,
    'timer_off': timer_off,
    'timer_outlined': timer_outlined,
    'timer_sharp': timer_sharp,
    'timer': timer,
    'tips_and_updates_filled_outlined': tips_and_updates_filled_outlined,
    'tips_and_updates_filled_sharp': tips_and_updates_filled_sharp,
    'tips_and_updates_filled': tips_and_updates_filled,
    'tips_and_updates_outlined': tips_and_updates_outlined,
    'tips_and_updates_sharp': tips_and_updates_sharp,
    'tips_and_updates': tips_and_updates,
    'tire_repair_filled_outlined': tire_repair_filled_outlined,
    'tire_repair_filled_sharp': tire_repair_filled_sharp,
    'tire_repair_filled': tire_repair_filled,
    'tire_repair_outlined': tire_repair_outlined,
    'tire_repair_sharp': tire_repair_sharp,
    'tire_repair': tire_repair,
    'title_filled_outlined': title_filled_outlined,
    'title_filled_sharp': title_filled_sharp,
    'title_filled': title_filled,
    'title_outlined': title_outlined,
    'title_sharp': title_sharp,
    'title': title,
    'toc_filled_outlined': toc_filled_outlined,
    'toc_filled_sharp': toc_filled_sharp,
    'toc_filled': toc_filled,
    'toc_outlined': toc_outlined,
    'toc_sharp': toc_sharp,
    'toc': toc,
    'today_filled_outlined': today_filled_outlined,
    'today_filled_sharp': today_filled_sharp,
    'today_filled': today_filled,
    'today_outlined': today_outlined,
    'today_sharp': today_sharp,
    'today': today,
    'toggle_off_filled_outlined': toggle_off_filled_outlined,
    'toggle_off_filled_sharp': toggle_off_filled_sharp,
    'toggle_off_filled': toggle_off_filled,
    'toggle_off_outlined': toggle_off_outlined,
    'toggle_off_sharp': toggle_off_sharp,
    'toggle_off': toggle_off,
    'toggle_on_filled_outlined': toggle_on_filled_outlined,
    'toggle_on_filled_sharp': toggle_on_filled_sharp,
    'toggle_on_filled': toggle_on_filled,
    'toggle_on_outlined': toggle_on_outlined,
    'toggle_on_sharp': toggle_on_sharp,
    'toggle_on': toggle_on,
    'token_filled_outlined': token_filled_outlined,
    'token_filled_sharp': token_filled_sharp,
    'token_filled': token_filled,
    'token_outlined': token_outlined,
    'token_sharp': token_sharp,
    'token': token,
    'toll_filled_outlined': toll_filled_outlined,
    'toll_filled_sharp': toll_filled_sharp,
    'toll_filled': toll_filled,
    'toll_outlined': toll_outlined,
    'toll_sharp': toll_sharp,
    'toll': toll,
    'tonality_filled_outlined': tonality_filled_outlined,
    'tonality_filled_sharp': tonality_filled_sharp,
    'tonality_filled': tonality_filled,
    'tonality_outlined': tonality_outlined,
    'tonality_sharp': tonality_sharp,
    'tonality': tonality,
    'tools_flat_head_filled_outlined': tools_flat_head_filled_outlined,
    'tools_flat_head_filled_sharp': tools_flat_head_filled_sharp,
    'tools_flat_head_filled': tools_flat_head_filled,
    'tools_flat_head_outlined': tools_flat_head_outlined,
    'tools_flat_head_sharp': tools_flat_head_sharp,
    'tools_flat_head': tools_flat_head,
    'tools_installation_kit_filled_outlined':
        tools_installation_kit_filled_outlined,
    'tools_installation_kit_filled_sharp': tools_installation_kit_filled_sharp,
    'tools_installation_kit_filled': tools_installation_kit_filled,
    'tools_installation_kit_outlined': tools_installation_kit_outlined,
    'tools_installation_kit_sharp': tools_installation_kit_sharp,
    'tools_installation_kit': tools_installation_kit,
    'tools_ladder_filled_outlined': tools_ladder_filled_outlined,
    'tools_ladder_filled_sharp': tools_ladder_filled_sharp,
    'tools_ladder_filled': tools_ladder_filled,
    'tools_ladder_outlined': tools_ladder_outlined,
    'tools_ladder_sharp': tools_ladder_sharp,
    'tools_ladder': tools_ladder,
    'tools_level_filled_outlined': tools_level_filled_outlined,
    'tools_level_filled_sharp': tools_level_filled_sharp,
    'tools_level_filled': tools_level_filled,
    'tools_level_outlined': tools_level_outlined,
    'tools_level_sharp': tools_level_sharp,
    'tools_level': tools_level,
    'tools_phillips_filled_outlined': tools_phillips_filled_outlined,
    'tools_phillips_filled_sharp': tools_phillips_filled_sharp,
    'tools_phillips_filled': tools_phillips_filled,
    'tools_phillips_outlined': tools_phillips_outlined,
    'tools_phillips_sharp': tools_phillips_sharp,
    'tools_phillips': tools_phillips,
    'tools_pliers_wire_stripper_filled_outlined':
        tools_pliers_wire_stripper_filled_outlined,
    'tools_pliers_wire_stripper_filled_sharp':
        tools_pliers_wire_stripper_filled_sharp,
    'tools_pliers_wire_stripper_filled': tools_pliers_wire_stripper_filled,
    'tools_pliers_wire_stripper_outlined': tools_pliers_wire_stripper_outlined,
    'tools_pliers_wire_stripper_sharp': tools_pliers_wire_stripper_sharp,
    'tools_pliers_wire_stripper': tools_pliers_wire_stripper,
    'tools_power_drill_filled_outlined': tools_power_drill_filled_outlined,
    'tools_power_drill_filled_sharp': tools_power_drill_filled_sharp,
    'tools_power_drill_filled': tools_power_drill_filled,
    'tools_power_drill_outlined': tools_power_drill_outlined,
    'tools_power_drill_sharp': tools_power_drill_sharp,
    'tools_power_drill': tools_power_drill,
    'tools_wrench_filled_outlined': tools_wrench_filled_outlined,
    'tools_wrench_filled_sharp': tools_wrench_filled_sharp,
    'tools_wrench_filled': tools_wrench_filled,
    'tools_wrench_outlined': tools_wrench_outlined,
    'tools_wrench_sharp': tools_wrench_sharp,
    'tools_wrench': tools_wrench,
    'topic_filled_outlined': topic_filled_outlined,
    'topic_filled_sharp': topic_filled_sharp,
    'topic_filled': topic_filled,
    'topic_outlined': topic_outlined,
    'topic_sharp': topic_sharp,
    'topic': topic,
    'tornado_filled_outlined': tornado_filled_outlined,
    'tornado_filled_sharp': tornado_filled_sharp,
    'tornado_filled': tornado_filled,
    'tornado_outlined': tornado_outlined,
    'tornado_sharp': tornado_sharp,
    'tornado': tornado,
    'total_dissolved_solids_filled_outlined':
        total_dissolved_solids_filled_outlined,
    'total_dissolved_solids_filled_sharp': total_dissolved_solids_filled_sharp,
    'total_dissolved_solids_filled': total_dissolved_solids_filled,
    'total_dissolved_solids_outlined': total_dissolved_solids_outlined,
    'total_dissolved_solids_sharp': total_dissolved_solids_sharp,
    'total_dissolved_solids': total_dissolved_solids,
    'touch_app_filled_outlined': touch_app_filled_outlined,
    'touch_app_filled_sharp': touch_app_filled_sharp,
    'touch_app_filled': touch_app_filled,
    'touch_app_outlined': touch_app_outlined,
    'touch_app_sharp': touch_app_sharp,
    'touch_app': touch_app,
    'tour_filled_outlined': tour_filled_outlined,
    'tour_filled_sharp': tour_filled_sharp,
    'tour_filled': tour_filled,
    'tour_outlined': tour_outlined,
    'tour_sharp': tour_sharp,
    'tour': tour,
    'toys_fan_filled_outlined': toys_fan_filled_outlined,
    'toys_fan_filled_sharp': toys_fan_filled_sharp,
    'toys_fan_filled': toys_fan_filled,
    'toys_fan_outlined': toys_fan_outlined,
    'toys_fan_sharp': toys_fan_sharp,
    'toys_fan': toys_fan,
    'toys_filled_outlined': toys_filled_outlined,
    'toys_filled_sharp': toys_filled_sharp,
    'toys_filled': toys_filled,
    'toys_outlined': toys_outlined,
    'toys_sharp': toys_sharp,
    'toys': toys,
    'track_changes_filled_outlined': track_changes_filled_outlined,
    'track_changes_filled_sharp': track_changes_filled_sharp,
    'track_changes_filled': track_changes_filled,
    'track_changes_outlined': track_changes_outlined,
    'track_changes_sharp': track_changes_sharp,
    'track_changes': track_changes,
    'traffic_filled_outlined': traffic_filled_outlined,
    'traffic_filled_sharp': traffic_filled_sharp,
    'traffic_filled': traffic_filled,
    'traffic_outlined': traffic_outlined,
    'traffic_sharp': traffic_sharp,
    'traffic': traffic,
    'trail_length_filled_outlined': trail_length_filled_outlined,
    'trail_length_filled_sharp': trail_length_filled_sharp,
    'trail_length_filled': trail_length_filled,
    'trail_length_medium_filled_outlined': trail_length_medium_filled_outlined,
    'trail_length_medium_filled_sharp': trail_length_medium_filled_sharp,
    'trail_length_medium_filled': trail_length_medium_filled,
    'trail_length_medium_outlined': trail_length_medium_outlined,
    'trail_length_medium_sharp': trail_length_medium_sharp,
    'trail_length_medium': trail_length_medium,
    'trail_length_outlined': trail_length_outlined,
    'trail_length_sharp': trail_length_sharp,
    'trail_length_short_filled_outlined': trail_length_short_filled_outlined,
    'trail_length_short_filled_sharp': trail_length_short_filled_sharp,
    'trail_length_short_filled': trail_length_short_filled,
    'trail_length_short_outlined': trail_length_short_outlined,
    'trail_length_short_sharp': trail_length_short_sharp,
    'trail_length_short': trail_length_short,
    'trail_length': trail_length,
    'train_filled_outlined': train_filled_outlined,
    'train_filled_sharp': train_filled_sharp,
    'train_filled': train_filled,
    'train_outlined': train_outlined,
    'train_sharp': train_sharp,
    'train': train,
    'tram_filled_outlined': tram_filled_outlined,
    'tram_filled_sharp': tram_filled_sharp,
    'tram_filled': tram_filled,
    'tram_outlined': tram_outlined,
    'tram_sharp': tram_sharp,
    'tram': tram,
    'transcribe_filled_outlined': transcribe_filled_outlined,
    'transcribe_filled_sharp': transcribe_filled_sharp,
    'transcribe_filled': transcribe_filled,
    'transcribe_outlined': transcribe_outlined,
    'transcribe_sharp': transcribe_sharp,
    'transcribe': transcribe,
    'transfer_within_a_station_filled_outlined':
        transfer_within_a_station_filled_outlined,
    'transfer_within_a_station_filled_sharp':
        transfer_within_a_station_filled_sharp,
    'transfer_within_a_station_filled': transfer_within_a_station_filled,
    'transfer_within_a_station_outlined': transfer_within_a_station_outlined,
    'transfer_within_a_station_sharp': transfer_within_a_station_sharp,
    'transfer_within_a_station': transfer_within_a_station,
    'transform_filled_outlined': transform_filled_outlined,
    'transform_filled_sharp': transform_filled_sharp,
    'transform_filled': transform_filled,
    'transform_outlined': transform_outlined,
    'transform_sharp': transform_sharp,
    'transform': transform,
    'transgender_filled_outlined': transgender_filled_outlined,
    'transgender_filled_sharp': transgender_filled_sharp,
    'transgender_filled': transgender_filled,
    'transgender_outlined': transgender_outlined,
    'transgender_sharp': transgender_sharp,
    'transgender': transgender,
    'transit_enterexit_filled_outlined': transit_enterexit_filled_outlined,
    'transit_enterexit_filled_sharp': transit_enterexit_filled_sharp,
    'transit_enterexit_filled': transit_enterexit_filled,
    'transit_enterexit_outlined': transit_enterexit_outlined,
    'transit_enterexit_sharp': transit_enterexit_sharp,
    'transit_enterexit': transit_enterexit,
    'translate_filled_outlined': translate_filled_outlined,
    'translate_filled_sharp': translate_filled_sharp,
    'translate_filled': translate_filled,
    'translate_outlined': translate_outlined,
    'translate_sharp': translate_sharp,
    'translate': translate,
    'transportation_filled_outlined': transportation_filled_outlined,
    'transportation_filled_sharp': transportation_filled_sharp,
    'transportation_filled': transportation_filled,
    'transportation_outlined': transportation_outlined,
    'transportation_sharp': transportation_sharp,
    'transportation': transportation,
    'travel_explore_filled_outlined': travel_explore_filled_outlined,
    'travel_explore_filled_sharp': travel_explore_filled_sharp,
    'travel_explore_filled': travel_explore_filled,
    'travel_explore_outlined': travel_explore_outlined,
    'travel_explore_sharp': travel_explore_sharp,
    'travel_explore': travel_explore,
    'trending_down_filled_outlined': trending_down_filled_outlined,
    'trending_down_filled_sharp': trending_down_filled_sharp,
    'trending_down_filled': trending_down_filled,
    'trending_down_outlined': trending_down_outlined,
    'trending_down_sharp': trending_down_sharp,
    'trending_down': trending_down,
    'trending_flat_filled_outlined': trending_flat_filled_outlined,
    'trending_flat_filled_sharp': trending_flat_filled_sharp,
    'trending_flat_filled': trending_flat_filled,
    'trending_flat_outlined': trending_flat_outlined,
    'trending_flat_sharp': trending_flat_sharp,
    'trending_flat': trending_flat,
    'trending_up_filled_outlined': trending_up_filled_outlined,
    'trending_up_filled_sharp': trending_up_filled_sharp,
    'trending_up_filled': trending_up_filled,
    'trending_up_outlined': trending_up_outlined,
    'trending_up_sharp': trending_up_sharp,
    'trending_up': trending_up,
    'trip_origin_filled_outlined': trip_origin_filled_outlined,
    'trip_origin_filled_sharp': trip_origin_filled_sharp,
    'trip_origin_filled': trip_origin_filled,
    'trip_origin_outlined': trip_origin_outlined,
    'trip_origin_sharp': trip_origin_sharp,
    'trip_origin': trip_origin,
    'trolley_filled_outlined': trolley_filled_outlined,
    'trolley_filled_sharp': trolley_filled_sharp,
    'trolley_filled': trolley_filled,
    'trolley_outlined': trolley_outlined,
    'trolley_sharp': trolley_sharp,
    'trolley': trolley,
    'tsunami_filled_outlined': tsunami_filled_outlined,
    'tsunami_filled_sharp': tsunami_filled_sharp,
    'tsunami_filled': tsunami_filled,
    'tsunami_outlined': tsunami_outlined,
    'tsunami_sharp': tsunami_sharp,
    'tsunami': tsunami,
    'tty_filled_outlined': tty_filled_outlined,
    'tty_filled_sharp': tty_filled_sharp,
    'tty_filled': tty_filled,
    'tty_outlined': tty_outlined,
    'tty_sharp': tty_sharp,
    'tty': tty,
    'tune_filled_outlined': tune_filled_outlined,
    'tune_filled_sharp': tune_filled_sharp,
    'tune_filled': tune_filled,
    'tune_outlined': tune_outlined,
    'tune_sharp': tune_sharp,
    'tune': tune,
    'turn_left_filled_outlined': turn_left_filled_outlined,
    'turn_left_filled_sharp': turn_left_filled_sharp,
    'turn_left_filled': turn_left_filled,
    'turn_left_outlined': turn_left_outlined,
    'turn_left_sharp': turn_left_sharp,
    'turn_left': turn_left,
    'turn_right_filled_outlined': turn_right_filled_outlined,
    'turn_right_filled_sharp': turn_right_filled_sharp,
    'turn_right_filled': turn_right_filled,
    'turn_right_outlined': turn_right_outlined,
    'turn_right_sharp': turn_right_sharp,
    'turn_right': turn_right,
    'turn_sharp_left_filled_outlined': turn_sharp_left_filled_outlined,
    'turn_sharp_left_filled_sharp': turn_sharp_left_filled_sharp,
    'turn_sharp_left_filled': turn_sharp_left_filled,
    'turn_sharp_left_outlined': turn_sharp_left_outlined,
    'turn_sharp_left_sharp': turn_sharp_left_sharp,
    'turn_sharp_left': turn_sharp_left,
    'turn_sharp_right_filled_outlined': turn_sharp_right_filled_outlined,
    'turn_sharp_right_filled_sharp': turn_sharp_right_filled_sharp,
    'turn_sharp_right_filled': turn_sharp_right_filled,
    'turn_sharp_right_outlined': turn_sharp_right_outlined,
    'turn_sharp_right_sharp': turn_sharp_right_sharp,
    'turn_sharp_right': turn_sharp_right,
    'turn_slight_left_filled_outlined': turn_slight_left_filled_outlined,
    'turn_slight_left_filled_sharp': turn_slight_left_filled_sharp,
    'turn_slight_left_filled': turn_slight_left_filled,
    'turn_slight_left_outlined': turn_slight_left_outlined,
    'turn_slight_left_sharp': turn_slight_left_sharp,
    'turn_slight_left': turn_slight_left,
    'turn_slight_right_filled_outlined': turn_slight_right_filled_outlined,
    'turn_slight_right_filled_sharp': turn_slight_right_filled_sharp,
    'turn_slight_right_filled': turn_slight_right_filled,
    'turn_slight_right_outlined': turn_slight_right_outlined,
    'turn_slight_right_sharp': turn_slight_right_sharp,
    'turn_slight_right': turn_slight_right,
    'tv_filled_outlined': tv_filled_outlined,
    'tv_filled_sharp': tv_filled_sharp,
    'tv_filled': tv_filled,
    'tv_gen_filled_outlined': tv_gen_filled_outlined,
    'tv_gen_filled_sharp': tv_gen_filled_sharp,
    'tv_gen_filled': tv_gen_filled,
    'tv_gen_outlined': tv_gen_outlined,
    'tv_gen_sharp': tv_gen_sharp,
    'tv_gen': tv_gen,
    'tv_off_filled_outlined': tv_off_filled_outlined,
    'tv_off_filled_sharp': tv_off_filled_sharp,
    'tv_off_filled': tv_off_filled,
    'tv_off_outlined': tv_off_outlined,
    'tv_off_sharp': tv_off_sharp,
    'tv_off': tv_off,
    'tv_outlined': tv_outlined,
    'tv_sharp': tv_sharp,
    'tv_with_assistant_filled_outlined': tv_with_assistant_filled_outlined,
    'tv_with_assistant_filled_sharp': tv_with_assistant_filled_sharp,
    'tv_with_assistant_filled': tv_with_assistant_filled,
    'tv_with_assistant_outlined': tv_with_assistant_outlined,
    'tv_with_assistant_sharp': tv_with_assistant_sharp,
    'tv_with_assistant': tv_with_assistant,
    'tv': tv,
    'two_wheeler_filled_outlined': two_wheeler_filled_outlined,
    'two_wheeler_filled_sharp': two_wheeler_filled_sharp,
    'two_wheeler_filled': two_wheeler_filled,
    'two_wheeler_outlined': two_wheeler_outlined,
    'two_wheeler_sharp': two_wheeler_sharp,
    'two_wheeler': two_wheeler,
    'type_specimen_filled_outlined': type_specimen_filled_outlined,
    'type_specimen_filled_sharp': type_specimen_filled_sharp,
    'type_specimen_filled': type_specimen_filled,
    'type_specimen_outlined': type_specimen_outlined,
    'type_specimen_sharp': type_specimen_sharp,
    'type_specimen': type_specimen,
    'u_turn_left_filled_outlined': u_turn_left_filled_outlined,
    'u_turn_left_filled_sharp': u_turn_left_filled_sharp,
    'u_turn_left_filled': u_turn_left_filled,
    'u_turn_left_outlined': u_turn_left_outlined,
    'u_turn_left_sharp': u_turn_left_sharp,
    'u_turn_left': u_turn_left,
    'u_turn_right_filled_outlined': u_turn_right_filled_outlined,
    'u_turn_right_filled_sharp': u_turn_right_filled_sharp,
    'u_turn_right_filled': u_turn_right_filled,
    'u_turn_right_outlined': u_turn_right_outlined,
    'u_turn_right_sharp': u_turn_right_sharp,
    'u_turn_right': u_turn_right,
    'ulna_radius_alt_filled_outlined': ulna_radius_alt_filled_outlined,
    'ulna_radius_alt_filled_sharp': ulna_radius_alt_filled_sharp,
    'ulna_radius_alt_filled': ulna_radius_alt_filled,
    'ulna_radius_alt_outlined': ulna_radius_alt_outlined,
    'ulna_radius_alt_sharp': ulna_radius_alt_sharp,
    'ulna_radius_alt': ulna_radius_alt,
    'ulna_radius_filled_outlined': ulna_radius_filled_outlined,
    'ulna_radius_filled_sharp': ulna_radius_filled_sharp,
    'ulna_radius_filled': ulna_radius_filled,
    'ulna_radius_outlined': ulna_radius_outlined,
    'ulna_radius_sharp': ulna_radius_sharp,
    'ulna_radius': ulna_radius,
    'umbrella_filled_outlined': umbrella_filled_outlined,
    'umbrella_filled_sharp': umbrella_filled_sharp,
    'umbrella_filled': umbrella_filled,
    'umbrella_outlined': umbrella_outlined,
    'umbrella_sharp': umbrella_sharp,
    'umbrella': umbrella,
    'unarchive_filled_outlined': unarchive_filled_outlined,
    'unarchive_filled_sharp': unarchive_filled_sharp,
    'unarchive_filled': unarchive_filled,
    'unarchive_outlined': unarchive_outlined,
    'unarchive_sharp': unarchive_sharp,
    'unarchive': unarchive,
    'undo_filled_outlined': undo_filled_outlined,
    'undo_filled_sharp': undo_filled_sharp,
    'undo_filled': undo_filled,
    'undo_outlined': undo_outlined,
    'undo_sharp': undo_sharp,
    'undo': undo,
    'unfold_less_double_filled_outlined': unfold_less_double_filled_outlined,
    'unfold_less_double_filled_sharp': unfold_less_double_filled_sharp,
    'unfold_less_double_filled': unfold_less_double_filled,
    'unfold_less_double_outlined': unfold_less_double_outlined,
    'unfold_less_double_sharp': unfold_less_double_sharp,
    'unfold_less_double': unfold_less_double,
    'unfold_less_filled_outlined': unfold_less_filled_outlined,
    'unfold_less_filled_sharp': unfold_less_filled_sharp,
    'unfold_less_filled': unfold_less_filled,
    'unfold_less_outlined': unfold_less_outlined,
    'unfold_less_sharp': unfold_less_sharp,
    'unfold_less': unfold_less,
    'unfold_more_double_filled_outlined': unfold_more_double_filled_outlined,
    'unfold_more_double_filled_sharp': unfold_more_double_filled_sharp,
    'unfold_more_double_filled': unfold_more_double_filled,
    'unfold_more_double_outlined': unfold_more_double_outlined,
    'unfold_more_double_sharp': unfold_more_double_sharp,
    'unfold_more_double': unfold_more_double,
    'unfold_more_filled_outlined': unfold_more_filled_outlined,
    'unfold_more_filled_sharp': unfold_more_filled_sharp,
    'unfold_more_filled': unfold_more_filled,
    'unfold_more_outlined': unfold_more_outlined,
    'unfold_more_sharp': unfold_more_sharp,
    'unfold_more': unfold_more,
    'unknown_document_filled_outlined': unknown_document_filled_outlined,
    'unknown_document_filled_sharp': unknown_document_filled_sharp,
    'unknown_document_filled': unknown_document_filled,
    'unknown_document_outlined': unknown_document_outlined,
    'unknown_document_sharp': unknown_document_sharp,
    'unknown_document': unknown_document,
    'unknown_med_filled_outlined': unknown_med_filled_outlined,
    'unknown_med_filled_sharp': unknown_med_filled_sharp,
    'unknown_med_filled': unknown_med_filled,
    'unknown_med_outlined': unknown_med_outlined,
    'unknown_med_sharp': unknown_med_sharp,
    'unknown_med': unknown_med,
    'unpublished_filled_outlined': unpublished_filled_outlined,
    'unpublished_filled_sharp': unpublished_filled_sharp,
    'unpublished_filled': unpublished_filled,
    'unpublished_outlined': unpublished_outlined,
    'unpublished_sharp': unpublished_sharp,
    'unpublished': unpublished,
    'unsubscribe_filled_outlined': unsubscribe_filled_outlined,
    'unsubscribe_filled_sharp': unsubscribe_filled_sharp,
    'unsubscribe_filled': unsubscribe_filled,
    'unsubscribe_outlined': unsubscribe_outlined,
    'unsubscribe_sharp': unsubscribe_sharp,
    'unsubscribe': unsubscribe,
    'upcoming_filled_outlined': upcoming_filled_outlined,
    'upcoming_filled_sharp': upcoming_filled_sharp,
    'upcoming_filled': upcoming_filled,
    'upcoming_outlined': upcoming_outlined,
    'upcoming_sharp': upcoming_sharp,
    'upcoming': upcoming,
    'update_disabled_filled_outlined': update_disabled_filled_outlined,
    'update_disabled_filled_sharp': update_disabled_filled_sharp,
    'update_disabled_filled': update_disabled_filled,
    'update_disabled_outlined': update_disabled_outlined,
    'update_disabled_sharp': update_disabled_sharp,
    'update_disabled': update_disabled,
    'update_filled_outlined': update_filled_outlined,
    'update_filled_sharp': update_filled_sharp,
    'update_filled': update_filled,
    'update_outlined': update_outlined,
    'update_sharp': update_sharp,
    'update': update,
    'upgrade_filled_outlined': upgrade_filled_outlined,
    'upgrade_filled_sharp': upgrade_filled_sharp,
    'upgrade_filled': upgrade_filled,
    'upgrade_outlined': upgrade_outlined,
    'upgrade_sharp': upgrade_sharp,
    'upgrade': upgrade,
    'upload_file_filled_outlined': upload_file_filled_outlined,
    'upload_file_filled_sharp': upload_file_filled_sharp,
    'upload_file_filled': upload_file_filled,
    'upload_file_outlined': upload_file_outlined,
    'upload_file_sharp': upload_file_sharp,
    'upload_file': upload_file,
    'upload_filled_outlined': upload_filled_outlined,
    'upload_filled_sharp': upload_filled_sharp,
    'upload_filled': upload_filled,
    'upload_outlined': upload_outlined,
    'upload_sharp': upload_sharp,
    'upload': upload,
    'urology_filled_outlined': urology_filled_outlined,
    'urology_filled_sharp': urology_filled_sharp,
    'urology_filled': urology_filled,
    'urology_outlined': urology_outlined,
    'urology_sharp': urology_sharp,
    'urology': urology,
    'usb_filled_outlined': usb_filled_outlined,
    'usb_filled_sharp': usb_filled_sharp,
    'usb_filled': usb_filled,
    'usb_off_filled_outlined': usb_off_filled_outlined,
    'usb_off_filled_sharp': usb_off_filled_sharp,
    'usb_off_filled': usb_off_filled,
    'usb_off_outlined': usb_off_outlined,
    'usb_off_sharp': usb_off_sharp,
    'usb_off': usb_off,
    'usb_outlined': usb_outlined,
    'usb_sharp': usb_sharp,
    'usb': usb,
    'vaccines_filled_outlined': vaccines_filled_outlined,
    'vaccines_filled_sharp': vaccines_filled_sharp,
    'vaccines_filled': vaccines_filled,
    'vaccines_outlined': vaccines_outlined,
    'vaccines_sharp': vaccines_sharp,
    'vaccines': vaccines,
    'valve_filled_outlined': valve_filled_outlined,
    'valve_filled_sharp': valve_filled_sharp,
    'valve_filled': valve_filled,
    'valve_outlined': valve_outlined,
    'valve_sharp': valve_sharp,
    'valve': valve,
    'vape_free_filled_outlined': vape_free_filled_outlined,
    'vape_free_filled_sharp': vape_free_filled_sharp,
    'vape_free_filled': vape_free_filled,
    'vape_free_outlined': vape_free_outlined,
    'vape_free_sharp': vape_free_sharp,
    'vape_free': vape_free,
    'vaping_rooms_filled_outlined': vaping_rooms_filled_outlined,
    'vaping_rooms_filled_sharp': vaping_rooms_filled_sharp,
    'vaping_rooms_filled': vaping_rooms_filled,
    'vaping_rooms_outlined': vaping_rooms_outlined,
    'vaping_rooms_sharp': vaping_rooms_sharp,
    'vaping_rooms': vaping_rooms,
    'variables_filled_outlined': variables_filled_outlined,
    'variables_filled_sharp': variables_filled_sharp,
    'variables_filled': variables_filled,
    'variables_outlined': variables_outlined,
    'variables_sharp': variables_sharp,
    'variables': variables,
    'ventilator_filled_outlined': ventilator_filled_outlined,
    'ventilator_filled_sharp': ventilator_filled_sharp,
    'ventilator_filled': ventilator_filled,
    'ventilator_outlined': ventilator_outlined,
    'ventilator_sharp': ventilator_sharp,
    'ventilator': ventilator,
    'verified_filled_outlined': verified_filled_outlined,
    'verified_filled_sharp': verified_filled_sharp,
    'verified_filled': verified_filled,
    'verified_outlined': verified_outlined,
    'verified_sharp': verified_sharp,
    'verified_user_filled_outlined': verified_user_filled_outlined,
    'verified_user_filled_sharp': verified_user_filled_sharp,
    'verified_user_filled': verified_user_filled,
    'verified_user_outlined': verified_user_outlined,
    'verified_user_sharp': verified_user_sharp,
    'verified_user': verified_user,
    'verified': verified,
    'vertical_align_bottom_filled_outlined':
        vertical_align_bottom_filled_outlined,
    'vertical_align_bottom_filled_sharp': vertical_align_bottom_filled_sharp,
    'vertical_align_bottom_filled': vertical_align_bottom_filled,
    'vertical_align_bottom_outlined': vertical_align_bottom_outlined,
    'vertical_align_bottom_sharp': vertical_align_bottom_sharp,
    'vertical_align_bottom': vertical_align_bottom,
    'vertical_align_center_filled_outlined':
        vertical_align_center_filled_outlined,
    'vertical_align_center_filled_sharp': vertical_align_center_filled_sharp,
    'vertical_align_center_filled': vertical_align_center_filled,
    'vertical_align_center_outlined': vertical_align_center_outlined,
    'vertical_align_center_sharp': vertical_align_center_sharp,
    'vertical_align_center': vertical_align_center,
    'vertical_align_top_filled_outlined': vertical_align_top_filled_outlined,
    'vertical_align_top_filled_sharp': vertical_align_top_filled_sharp,
    'vertical_align_top_filled': vertical_align_top_filled,
    'vertical_align_top_outlined': vertical_align_top_outlined,
    'vertical_align_top_sharp': vertical_align_top_sharp,
    'vertical_align_top': vertical_align_top,
    'vertical_distribute_filled_outlined': vertical_distribute_filled_outlined,
    'vertical_distribute_filled_sharp': vertical_distribute_filled_sharp,
    'vertical_distribute_filled': vertical_distribute_filled,
    'vertical_distribute_outlined': vertical_distribute_outlined,
    'vertical_distribute_sharp': vertical_distribute_sharp,
    'vertical_distribute': vertical_distribute,
    'vertical_shades_closed_filled_outlined':
        vertical_shades_closed_filled_outlined,
    'vertical_shades_closed_filled_sharp': vertical_shades_closed_filled_sharp,
    'vertical_shades_closed_filled': vertical_shades_closed_filled,
    'vertical_shades_closed_outlined': vertical_shades_closed_outlined,
    'vertical_shades_closed_sharp': vertical_shades_closed_sharp,
    'vertical_shades_closed': vertical_shades_closed,
    'vertical_shades_filled_outlined': vertical_shades_filled_outlined,
    'vertical_shades_filled_sharp': vertical_shades_filled_sharp,
    'vertical_shades_filled': vertical_shades_filled,
    'vertical_shades_outlined': vertical_shades_outlined,
    'vertical_shades_sharp': vertical_shades_sharp,
    'vertical_shades': vertical_shades,
    'vertical_split_filled_outlined': vertical_split_filled_outlined,
    'vertical_split_filled_sharp': vertical_split_filled_sharp,
    'vertical_split_filled': vertical_split_filled,
    'vertical_split_outlined': vertical_split_outlined,
    'vertical_split_sharp': vertical_split_sharp,
    'vertical_split': vertical_split,
    'vibration_filled_outlined': vibration_filled_outlined,
    'vibration_filled_sharp': vibration_filled_sharp,
    'vibration_filled': vibration_filled,
    'vibration_outlined': vibration_outlined,
    'vibration_sharp': vibration_sharp,
    'vibration': vibration,
    'video_call_filled_outlined': video_call_filled_outlined,
    'video_call_filled_sharp': video_call_filled_sharp,
    'video_call_filled': video_call_filled,
    'video_call_outlined': video_call_outlined,
    'video_call_sharp': video_call_sharp,
    'video_call': video_call,
    'video_camera_back_filled_outlined': video_camera_back_filled_outlined,
    'video_camera_back_filled_sharp': video_camera_back_filled_sharp,
    'video_camera_back_filled': video_camera_back_filled,
    'video_camera_back_outlined': video_camera_back_outlined,
    'video_camera_back_sharp': video_camera_back_sharp,
    'video_camera_back': video_camera_back,
    'video_camera_front_filled_outlined': video_camera_front_filled_outlined,
    'video_camera_front_filled_sharp': video_camera_front_filled_sharp,
    'video_camera_front_filled': video_camera_front_filled,
    'video_camera_front_off_filled_outlined':
        video_camera_front_off_filled_outlined,
    'video_camera_front_off_filled_sharp': video_camera_front_off_filled_sharp,
    'video_camera_front_off_filled': video_camera_front_off_filled,
    'video_camera_front_off_outlined': video_camera_front_off_outlined,
    'video_camera_front_off_sharp': video_camera_front_off_sharp,
    'video_camera_front_off': video_camera_front_off,
    'video_camera_front_outlined': video_camera_front_outlined,
    'video_camera_front_sharp': video_camera_front_sharp,
    'video_camera_front': video_camera_front,
    'video_chat_filled_outlined': video_chat_filled_outlined,
    'video_chat_filled_sharp': video_chat_filled_sharp,
    'video_chat_filled': video_chat_filled,
    'video_chat_outlined': video_chat_outlined,
    'video_chat_sharp': video_chat_sharp,
    'video_chat': video_chat,
    'video_file_filled_outlined': video_file_filled_outlined,
    'video_file_filled_sharp': video_file_filled_sharp,
    'video_file_filled': video_file_filled,
    'video_file_outlined': video_file_outlined,
    'video_file_sharp': video_file_sharp,
    'video_file': video_file,
    'video_label_filled_outlined': video_label_filled_outlined,
    'video_label_filled_sharp': video_label_filled_sharp,
    'video_label_filled': video_label_filled,
    'video_label_outlined': video_label_outlined,
    'video_label_sharp': video_label_sharp,
    'video_label': video_label,
    'video_library_filled_outlined': video_library_filled_outlined,
    'video_library_filled_sharp': video_library_filled_sharp,
    'video_library_filled': video_library_filled,
    'video_library_outlined': video_library_outlined,
    'video_library_sharp': video_library_sharp,
    'video_library': video_library,
    'video_settings_filled_outlined': video_settings_filled_outlined,
    'video_settings_filled_sharp': video_settings_filled_sharp,
    'video_settings_filled': video_settings_filled,
    'video_settings_outlined': video_settings_outlined,
    'video_settings_sharp': video_settings_sharp,
    'video_settings': video_settings,
    'video_stable_filled_outlined': video_stable_filled_outlined,
    'video_stable_filled_sharp': video_stable_filled_sharp,
    'video_stable_filled': video_stable_filled,
    'video_stable_outlined': video_stable_outlined,
    'video_stable_sharp': video_stable_sharp,
    'video_stable': video_stable,
    'videocam_filled_outlined': videocam_filled_outlined,
    'videocam_filled_sharp': videocam_filled_sharp,
    'videocam_filled': videocam_filled,
    'videocam_off_filled_outlined': videocam_off_filled_outlined,
    'videocam_off_filled_sharp': videocam_off_filled_sharp,
    'videocam_off_filled': videocam_off_filled,
    'videocam_off_outlined': videocam_off_outlined,
    'videocam_off_sharp': videocam_off_sharp,
    'videocam_off': videocam_off,
    'videocam_outlined': videocam_outlined,
    'videocam_sharp': videocam_sharp,
    'videocam': videocam,
    'videogame_asset_filled_outlined': videogame_asset_filled_outlined,
    'videogame_asset_filled_sharp': videogame_asset_filled_sharp,
    'videogame_asset_filled': videogame_asset_filled,
    'videogame_asset_off_filled_outlined': videogame_asset_off_filled_outlined,
    'videogame_asset_off_filled_sharp': videogame_asset_off_filled_sharp,
    'videogame_asset_off_filled': videogame_asset_off_filled,
    'videogame_asset_off_outlined': videogame_asset_off_outlined,
    'videogame_asset_off_sharp': videogame_asset_off_sharp,
    'videogame_asset_off': videogame_asset_off,
    'videogame_asset_outlined': videogame_asset_outlined,
    'videogame_asset_sharp': videogame_asset_sharp,
    'videogame_asset': videogame_asset,
    'view_agenda_filled_outlined': view_agenda_filled_outlined,
    'view_agenda_filled_sharp': view_agenda_filled_sharp,
    'view_agenda_filled': view_agenda_filled,
    'view_agenda_outlined': view_agenda_outlined,
    'view_agenda_sharp': view_agenda_sharp,
    'view_agenda': view_agenda,
    'view_array_filled_outlined': view_array_filled_outlined,
    'view_array_filled_sharp': view_array_filled_sharp,
    'view_array_filled': view_array_filled,
    'view_array_outlined': view_array_outlined,
    'view_array_sharp': view_array_sharp,
    'view_array': view_array,
    'view_carousel_filled_outlined': view_carousel_filled_outlined,
    'view_carousel_filled_sharp': view_carousel_filled_sharp,
    'view_carousel_filled': view_carousel_filled,
    'view_carousel_outlined': view_carousel_outlined,
    'view_carousel_sharp': view_carousel_sharp,
    'view_carousel': view_carousel,
    'view_column_2_filled_outlined': view_column_2_filled_outlined,
    'view_column_2_filled_sharp': view_column_2_filled_sharp,
    'view_column_2_filled': view_column_2_filled,
    'view_column_2_outlined': view_column_2_outlined,
    'view_column_2_sharp': view_column_2_sharp,
    'view_column_2': view_column_2,
    'view_column_filled_outlined': view_column_filled_outlined,
    'view_column_filled_sharp': view_column_filled_sharp,
    'view_column_filled': view_column_filled,
    'view_column_outlined': view_column_outlined,
    'view_column_sharp': view_column_sharp,
    'view_column': view_column,
    'view_comfy_alt_filled_outlined': view_comfy_alt_filled_outlined,
    'view_comfy_alt_filled_sharp': view_comfy_alt_filled_sharp,
    'view_comfy_alt_filled': view_comfy_alt_filled,
    'view_comfy_alt_outlined': view_comfy_alt_outlined,
    'view_comfy_alt_sharp': view_comfy_alt_sharp,
    'view_comfy_alt': view_comfy_alt,
    'view_comfy_filled_outlined': view_comfy_filled_outlined,
    'view_comfy_filled_sharp': view_comfy_filled_sharp,
    'view_comfy_filled': view_comfy_filled,
    'view_comfy_outlined': view_comfy_outlined,
    'view_comfy_sharp': view_comfy_sharp,
    'view_comfy': view_comfy,
    'view_compact_alt_filled_outlined': view_compact_alt_filled_outlined,
    'view_compact_alt_filled_sharp': view_compact_alt_filled_sharp,
    'view_compact_alt_filled': view_compact_alt_filled,
    'view_compact_alt_outlined': view_compact_alt_outlined,
    'view_compact_alt_sharp': view_compact_alt_sharp,
    'view_compact_alt': view_compact_alt,
    'view_compact_filled_outlined': view_compact_filled_outlined,
    'view_compact_filled_sharp': view_compact_filled_sharp,
    'view_compact_filled': view_compact_filled,
    'view_compact_outlined': view_compact_outlined,
    'view_compact_sharp': view_compact_sharp,
    'view_compact': view_compact,
    'view_cozy_filled_outlined': view_cozy_filled_outlined,
    'view_cozy_filled_sharp': view_cozy_filled_sharp,
    'view_cozy_filled': view_cozy_filled,
    'view_cozy_outlined': view_cozy_outlined,
    'view_cozy_sharp': view_cozy_sharp,
    'view_cozy': view_cozy,
    'view_day_filled_outlined': view_day_filled_outlined,
    'view_day_filled_sharp': view_day_filled_sharp,
    'view_day_filled': view_day_filled,
    'view_day_outlined': view_day_outlined,
    'view_day_sharp': view_day_sharp,
    'view_day': view_day,
    'view_headline_filled_outlined': view_headline_filled_outlined,
    'view_headline_filled_sharp': view_headline_filled_sharp,
    'view_headline_filled': view_headline_filled,
    'view_headline_outlined': view_headline_outlined,
    'view_headline_sharp': view_headline_sharp,
    'view_headline': view_headline,
    'view_in_ar_filled_outlined': view_in_ar_filled_outlined,
    'view_in_ar_filled_sharp': view_in_ar_filled_sharp,
    'view_in_ar_filled': view_in_ar_filled,
    'view_in_ar_new_filled_outlined': view_in_ar_new_filled_outlined,
    'view_in_ar_new_filled_sharp': view_in_ar_new_filled_sharp,
    'view_in_ar_new_filled': view_in_ar_new_filled,
    'view_in_ar_new_outlined': view_in_ar_new_outlined,
    'view_in_ar_new_sharp': view_in_ar_new_sharp,
    'view_in_ar_new': view_in_ar_new,
    'view_in_ar_outlined': view_in_ar_outlined,
    'view_in_ar_sharp': view_in_ar_sharp,
    'view_in_ar': view_in_ar,
    'view_kanban_filled_outlined': view_kanban_filled_outlined,
    'view_kanban_filled_sharp': view_kanban_filled_sharp,
    'view_kanban_filled': view_kanban_filled,
    'view_kanban_outlined': view_kanban_outlined,
    'view_kanban_sharp': view_kanban_sharp,
    'view_kanban': view_kanban,
    'view_list_filled_outlined': view_list_filled_outlined,
    'view_list_filled_sharp': view_list_filled_sharp,
    'view_list_filled': view_list_filled,
    'view_list_outlined': view_list_outlined,
    'view_list_sharp': view_list_sharp,
    'view_list': view_list,
    'view_module_filled_outlined': view_module_filled_outlined,
    'view_module_filled_sharp': view_module_filled_sharp,
    'view_module_filled': view_module_filled,
    'view_module_outlined': view_module_outlined,
    'view_module_sharp': view_module_sharp,
    'view_module': view_module,
    'view_quilt_filled_outlined': view_quilt_filled_outlined,
    'view_quilt_filled_sharp': view_quilt_filled_sharp,
    'view_quilt_filled': view_quilt_filled,
    'view_quilt_outlined': view_quilt_outlined,
    'view_quilt_sharp': view_quilt_sharp,
    'view_quilt': view_quilt,
    'view_sidebar_filled_outlined': view_sidebar_filled_outlined,
    'view_sidebar_filled_sharp': view_sidebar_filled_sharp,
    'view_sidebar_filled': view_sidebar_filled,
    'view_sidebar_outlined': view_sidebar_outlined,
    'view_sidebar_sharp': view_sidebar_sharp,
    'view_sidebar': view_sidebar,
    'view_stream_filled_outlined': view_stream_filled_outlined,
    'view_stream_filled_sharp': view_stream_filled_sharp,
    'view_stream_filled': view_stream_filled,
    'view_stream_outlined': view_stream_outlined,
    'view_stream_sharp': view_stream_sharp,
    'view_stream': view_stream,
    'view_timeline_filled_outlined': view_timeline_filled_outlined,
    'view_timeline_filled_sharp': view_timeline_filled_sharp,
    'view_timeline_filled': view_timeline_filled,
    'view_timeline_outlined': view_timeline_outlined,
    'view_timeline_sharp': view_timeline_sharp,
    'view_timeline': view_timeline,
    'view_week_filled_outlined': view_week_filled_outlined,
    'view_week_filled_sharp': view_week_filled_sharp,
    'view_week_filled': view_week_filled,
    'view_week_outlined': view_week_outlined,
    'view_week_sharp': view_week_sharp,
    'view_week': view_week,
    'vignette_filled_outlined': vignette_filled_outlined,
    'vignette_filled_sharp': vignette_filled_sharp,
    'vignette_filled': vignette_filled,
    'vignette_outlined': vignette_outlined,
    'vignette_sharp': vignette_sharp,
    'vignette': vignette,
    'villa_filled_outlined': villa_filled_outlined,
    'villa_filled_sharp': villa_filled_sharp,
    'villa_filled': villa_filled,
    'villa_outlined': villa_outlined,
    'villa_sharp': villa_sharp,
    'villa': villa,
    'visibility_filled_outlined': visibility_filled_outlined,
    'visibility_filled_sharp': visibility_filled_sharp,
    'visibility_filled': visibility_filled,
    'visibility_off_filled_outlined': visibility_off_filled_outlined,
    'visibility_off_filled_sharp': visibility_off_filled_sharp,
    'visibility_off_filled': visibility_off_filled,
    'visibility_off_outlined': visibility_off_outlined,
    'visibility_off_sharp': visibility_off_sharp,
    'visibility_off': visibility_off,
    'visibility_outlined': visibility_outlined,
    'visibility_sharp': visibility_sharp,
    'visibility': visibility,
    'vital_signs_filled_outlined': vital_signs_filled_outlined,
    'vital_signs_filled_sharp': vital_signs_filled_sharp,
    'vital_signs_filled': vital_signs_filled,
    'vital_signs_outlined': vital_signs_outlined,
    'vital_signs_sharp': vital_signs_sharp,
    'vital_signs': vital_signs,
    'vitals_filled_outlined': vitals_filled_outlined,
    'vitals_filled_sharp': vitals_filled_sharp,
    'vitals_filled': vitals_filled,
    'vitals_outlined': vitals_outlined,
    'vitals_sharp': vitals_sharp,
    'vitals': vitals,
    'voice_chat_filled_outlined': voice_chat_filled_outlined,
    'voice_chat_filled_sharp': voice_chat_filled_sharp,
    'voice_chat_filled': voice_chat_filled,
    'voice_chat_outlined': voice_chat_outlined,
    'voice_chat_sharp': voice_chat_sharp,
    'voice_chat': voice_chat,
    'voice_over_off_filled_outlined': voice_over_off_filled_outlined,
    'voice_over_off_filled_sharp': voice_over_off_filled_sharp,
    'voice_over_off_filled': voice_over_off_filled,
    'voice_over_off_outlined': voice_over_off_outlined,
    'voice_over_off_sharp': voice_over_off_sharp,
    'voice_over_off': voice_over_off,
    'voicemail_filled_outlined': voicemail_filled_outlined,
    'voicemail_filled_sharp': voicemail_filled_sharp,
    'voicemail_filled': voicemail_filled,
    'voicemail_outlined': voicemail_outlined,
    'voicemail_sharp': voicemail_sharp,
    'voicemail': voicemail,
    'volcano_filled_outlined': volcano_filled_outlined,
    'volcano_filled_sharp': volcano_filled_sharp,
    'volcano_filled': volcano_filled,
    'volcano_outlined': volcano_outlined,
    'volcano_sharp': volcano_sharp,
    'volcano': volcano,
    'volume_down_alt_filled_outlined': volume_down_alt_filled_outlined,
    'volume_down_alt_filled_sharp': volume_down_alt_filled_sharp,
    'volume_down_alt_filled': volume_down_alt_filled,
    'volume_down_alt_outlined': volume_down_alt_outlined,
    'volume_down_alt_sharp': volume_down_alt_sharp,
    'volume_down_alt': volume_down_alt,
    'volume_down_filled_outlined': volume_down_filled_outlined,
    'volume_down_filled_sharp': volume_down_filled_sharp,
    'volume_down_filled': volume_down_filled,
    'volume_down_outlined': volume_down_outlined,
    'volume_down_sharp': volume_down_sharp,
    'volume_down': volume_down,
    'volume_mute_filled_outlined': volume_mute_filled_outlined,
    'volume_mute_filled_sharp': volume_mute_filled_sharp,
    'volume_mute_filled': volume_mute_filled,
    'volume_mute_outlined': volume_mute_outlined,
    'volume_mute_sharp': volume_mute_sharp,
    'volume_mute': volume_mute,
    'volume_off_filled_outlined': volume_off_filled_outlined,
    'volume_off_filled_sharp': volume_off_filled_sharp,
    'volume_off_filled': volume_off_filled,
    'volume_off_outlined': volume_off_outlined,
    'volume_off_sharp': volume_off_sharp,
    'volume_off': volume_off,
    'volume_up_filled_outlined': volume_up_filled_outlined,
    'volume_up_filled_sharp': volume_up_filled_sharp,
    'volume_up_filled': volume_up_filled,
    'volume_up_outlined': volume_up_outlined,
    'volume_up_sharp': volume_up_sharp,
    'volume_up': volume_up,
    'volunteer_activism_filled_outlined': volunteer_activism_filled_outlined,
    'volunteer_activism_filled_sharp': volunteer_activism_filled_sharp,
    'volunteer_activism_filled': volunteer_activism_filled,
    'volunteer_activism_outlined': volunteer_activism_outlined,
    'volunteer_activism_sharp': volunteer_activism_sharp,
    'volunteer_activism': volunteer_activism,
    'voting_chip_filled_outlined': voting_chip_filled_outlined,
    'voting_chip_filled_sharp': voting_chip_filled_sharp,
    'voting_chip_filled': voting_chip_filled,
    'voting_chip_outlined': voting_chip_outlined,
    'voting_chip_sharp': voting_chip_sharp,
    'voting_chip': voting_chip,
    'vpn_key_filled_outlined': vpn_key_filled_outlined,
    'vpn_key_filled_sharp': vpn_key_filled_sharp,
    'vpn_key_filled': vpn_key_filled,
    'vpn_key_off_filled_outlined': vpn_key_off_filled_outlined,
    'vpn_key_off_filled_sharp': vpn_key_off_filled_sharp,
    'vpn_key_off_filled': vpn_key_off_filled,
    'vpn_key_off_outlined': vpn_key_off_outlined,
    'vpn_key_off_sharp': vpn_key_off_sharp,
    'vpn_key_off': vpn_key_off,
    'vpn_key_outlined': vpn_key_outlined,
    'vpn_key_sharp': vpn_key_sharp,
    'vpn_key': vpn_key,
    'vpn_lock_filled_outlined': vpn_lock_filled_outlined,
    'vpn_lock_filled_sharp': vpn_lock_filled_sharp,
    'vpn_lock_filled': vpn_lock_filled,
    'vpn_lock_outlined': vpn_lock_outlined,
    'vpn_lock_sharp': vpn_lock_sharp,
    'vpn_lock': vpn_lock,
    'vrpano_filled_outlined': vrpano_filled_outlined,
    'vrpano_filled_sharp': vrpano_filled_sharp,
    'vrpano_filled': vrpano_filled,
    'vrpano_outlined': vrpano_outlined,
    'vrpano_sharp': vrpano_sharp,
    'vrpano': vrpano,
    'wall_lamp_filled_outlined': wall_lamp_filled_outlined,
    'wall_lamp_filled_sharp': wall_lamp_filled_sharp,
    'wall_lamp_filled': wall_lamp_filled,
    'wall_lamp_outlined': wall_lamp_outlined,
    'wall_lamp_sharp': wall_lamp_sharp,
    'wall_lamp': wall_lamp,
    'wallet_filled_outlined': wallet_filled_outlined,
    'wallet_filled_sharp': wallet_filled_sharp,
    'wallet_filled': wallet_filled,
    'wallet_outlined': wallet_outlined,
    'wallet_sharp': wallet_sharp,
    'wallet': wallet,
    'wallpaper_filled_outlined': wallpaper_filled_outlined,
    'wallpaper_filled_sharp': wallpaper_filled_sharp,
    'wallpaper_filled': wallpaper_filled,
    'wallpaper_outlined': wallpaper_outlined,
    'wallpaper_sharp': wallpaper_sharp,
    'wallpaper': wallpaper,
    'ward_filled_outlined': ward_filled_outlined,
    'ward_filled_sharp': ward_filled_sharp,
    'ward_filled': ward_filled,
    'ward_outlined': ward_outlined,
    'ward_sharp': ward_sharp,
    'ward': ward,
    'warehouse_filled_outlined': warehouse_filled_outlined,
    'warehouse_filled_sharp': warehouse_filled_sharp,
    'warehouse_filled': warehouse_filled,
    'warehouse_outlined': warehouse_outlined,
    'warehouse_sharp': warehouse_sharp,
    'warehouse': warehouse,
    'warning_filled_outlined': warning_filled_outlined,
    'warning_filled_sharp': warning_filled_sharp,
    'warning_filled': warning_filled,
    'warning_outlined': warning_outlined,
    'warning_sharp': warning_sharp,
    'warning': warning,
    'wash_filled_outlined': wash_filled_outlined,
    'wash_filled_sharp': wash_filled_sharp,
    'wash_filled': wash_filled,
    'wash_outlined': wash_outlined,
    'wash_sharp': wash_sharp,
    'wash': wash,
    'watch_filled_outlined': watch_filled_outlined,
    'watch_filled_sharp': watch_filled_sharp,
    'watch_filled': watch_filled,
    'watch_off_filled_outlined': watch_off_filled_outlined,
    'watch_off_filled_sharp': watch_off_filled_sharp,
    'watch_off_filled': watch_off_filled,
    'watch_off_outlined': watch_off_outlined,
    'watch_off_sharp': watch_off_sharp,
    'watch_off': watch_off,
    'watch_outlined': watch_outlined,
    'watch_sharp': watch_sharp,
    'watch': watch,
    'water_damage_filled_outlined': water_damage_filled_outlined,
    'water_damage_filled_sharp': water_damage_filled_sharp,
    'water_damage_filled': water_damage_filled,
    'water_damage_outlined': water_damage_outlined,
    'water_damage_sharp': water_damage_sharp,
    'water_damage': water_damage,
    'water_do_filled_outlined': water_do_filled_outlined,
    'water_do_filled_sharp': water_do_filled_sharp,
    'water_do_filled': water_do_filled,
    'water_do_outlined': water_do_outlined,
    'water_do_sharp': water_do_sharp,
    'water_do': water_do,
    'water_drop_filled_outlined': water_drop_filled_outlined,
    'water_drop_filled_sharp': water_drop_filled_sharp,
    'water_drop_filled': water_drop_filled,
    'water_drop_outlined': water_drop_outlined,
    'water_drop_sharp': water_drop_sharp,
    'water_drop': water_drop,
    'water_ec_filled_outlined': water_ec_filled_outlined,
    'water_ec_filled_sharp': water_ec_filled_sharp,
    'water_ec_filled': water_ec_filled,
    'water_ec_outlined': water_ec_outlined,
    'water_ec_sharp': water_ec_sharp,
    'water_ec': water_ec,
    'water_filled_outlined': water_filled_outlined,
    'water_filled_sharp': water_filled_sharp,
    'water_filled': water_filled,
    'water_heater_filled_outlined': water_heater_filled_outlined,
    'water_heater_filled_sharp': water_heater_filled_sharp,
    'water_heater_filled': water_heater_filled,
    'water_heater_outlined': water_heater_outlined,
    'water_heater_sharp': water_heater_sharp,
    'water_heater': water_heater,
    'water_lux_filled_outlined': water_lux_filled_outlined,
    'water_lux_filled_sharp': water_lux_filled_sharp,
    'water_lux_filled': water_lux_filled,
    'water_lux_outlined': water_lux_outlined,
    'water_lux_sharp': water_lux_sharp,
    'water_lux': water_lux,
    'water_orp_filled_outlined': water_orp_filled_outlined,
    'water_orp_filled_sharp': water_orp_filled_sharp,
    'water_orp_filled': water_orp_filled,
    'water_orp_outlined': water_orp_outlined,
    'water_orp_sharp': water_orp_sharp,
    'water_orp': water_orp,
    'water_outlined': water_outlined,
    'water_ph_filled_outlined': water_ph_filled_outlined,
    'water_ph_filled_sharp': water_ph_filled_sharp,
    'water_ph_filled': water_ph_filled,
    'water_ph_outlined': water_ph_outlined,
    'water_ph_sharp': water_ph_sharp,
    'water_ph': water_ph,
    'water_sharp': water_sharp,
    'water_voc_filled_outlined': water_voc_filled_outlined,
    'water_voc_filled_sharp': water_voc_filled_sharp,
    'water_voc_filled': water_voc_filled,
    'water_voc_outlined': water_voc_outlined,
    'water_voc_sharp': water_voc_sharp,
    'water_voc': water_voc,
    'water': water,
    'waterfall_chart_filled_outlined': waterfall_chart_filled_outlined,
    'waterfall_chart_filled_sharp': waterfall_chart_filled_sharp,
    'waterfall_chart_filled': waterfall_chart_filled,
    'waterfall_chart_outlined': waterfall_chart_outlined,
    'waterfall_chart_sharp': waterfall_chart_sharp,
    'waterfall_chart': waterfall_chart,
    'waves_filled_outlined': waves_filled_outlined,
    'waves_filled_sharp': waves_filled_sharp,
    'waves_filled': waves_filled,
    'waves_outlined': waves_outlined,
    'waves_sharp': waves_sharp,
    'waves': waves,
    'waving_hand_filled_outlined': waving_hand_filled_outlined,
    'waving_hand_filled_sharp': waving_hand_filled_sharp,
    'waving_hand_filled': waving_hand_filled,
    'waving_hand_outlined': waving_hand_outlined,
    'waving_hand_sharp': waving_hand_sharp,
    'waving_hand': waving_hand,
    'wb_auto_filled_outlined': wb_auto_filled_outlined,
    'wb_auto_filled_sharp': wb_auto_filled_sharp,
    'wb_auto_filled': wb_auto_filled,
    'wb_auto_outlined': wb_auto_outlined,
    'wb_auto_sharp': wb_auto_sharp,
    'wb_auto': wb_auto,
    'wb_incandescent_filled_outlined': wb_incandescent_filled_outlined,
    'wb_incandescent_filled_sharp': wb_incandescent_filled_sharp,
    'wb_incandescent_filled': wb_incandescent_filled,
    'wb_incandescent_outlined': wb_incandescent_outlined,
    'wb_incandescent_sharp': wb_incandescent_sharp,
    'wb_incandescent': wb_incandescent,
    'wb_iridescent_filled_outlined': wb_iridescent_filled_outlined,
    'wb_iridescent_filled_sharp': wb_iridescent_filled_sharp,
    'wb_iridescent_filled': wb_iridescent_filled,
    'wb_iridescent_outlined': wb_iridescent_outlined,
    'wb_iridescent_sharp': wb_iridescent_sharp,
    'wb_iridescent': wb_iridescent,
    'wb_shade_filled_outlined': wb_shade_filled_outlined,
    'wb_shade_filled_sharp': wb_shade_filled_sharp,
    'wb_shade_filled': wb_shade_filled,
    'wb_shade_outlined': wb_shade_outlined,
    'wb_shade_sharp': wb_shade_sharp,
    'wb_shade': wb_shade,
    'wb_sunny_filled_outlined': wb_sunny_filled_outlined,
    'wb_sunny_filled_sharp': wb_sunny_filled_sharp,
    'wb_sunny_filled': wb_sunny_filled,
    'wb_sunny_outlined': wb_sunny_outlined,
    'wb_sunny_sharp': wb_sunny_sharp,
    'wb_sunny': wb_sunny,
    'wb_twilight_filled_outlined': wb_twilight_filled_outlined,
    'wb_twilight_filled_sharp': wb_twilight_filled_sharp,
    'wb_twilight_filled': wb_twilight_filled,
    'wb_twilight_outlined': wb_twilight_outlined,
    'wb_twilight_sharp': wb_twilight_sharp,
    'wb_twilight': wb_twilight,
    'wc_filled_outlined': wc_filled_outlined,
    'wc_filled_sharp': wc_filled_sharp,
    'wc_filled': wc_filled,
    'wc_outlined': wc_outlined,
    'wc_sharp': wc_sharp,
    'wc': wc,
    'weather_snowy_filled_outlined': weather_snowy_filled_outlined,
    'weather_snowy_filled_sharp': weather_snowy_filled_sharp,
    'weather_snowy_filled': weather_snowy_filled,
    'weather_snowy_outlined': weather_snowy_outlined,
    'weather_snowy_sharp': weather_snowy_sharp,
    'weather_snowy': weather_snowy,
    'web_asset_filled_outlined': web_asset_filled_outlined,
    'web_asset_filled_sharp': web_asset_filled_sharp,
    'web_asset_filled': web_asset_filled,
    'web_asset_off_filled_outlined': web_asset_off_filled_outlined,
    'web_asset_off_filled_sharp': web_asset_off_filled_sharp,
    'web_asset_off_filled': web_asset_off_filled,
    'web_asset_off_outlined': web_asset_off_outlined,
    'web_asset_off_sharp': web_asset_off_sharp,
    'web_asset_off': web_asset_off,
    'web_asset_outlined': web_asset_outlined,
    'web_asset_sharp': web_asset_sharp,
    'web_asset': web_asset,
    'web_filled_outlined': web_filled_outlined,
    'web_filled_sharp': web_filled_sharp,
    'web_filled': web_filled,
    'web_outlined': web_outlined,
    'web_sharp': web_sharp,
    'web_stories_filled_outlined': web_stories_filled_outlined,
    'web_stories_filled_sharp': web_stories_filled_sharp,
    'web_stories_filled': web_stories_filled,
    'web_stories_outlined': web_stories_outlined,
    'web_stories_sharp': web_stories_sharp,
    'web_stories': web_stories,
    'web': web,
    'webhook_filled_outlined': webhook_filled_outlined,
    'webhook_filled_sharp': webhook_filled_sharp,
    'webhook_filled': webhook_filled,
    'webhook_outlined': webhook_outlined,
    'webhook_sharp': webhook_sharp,
    'webhook': webhook,
    'weekend_filled_outlined': weekend_filled_outlined,
    'weekend_filled_sharp': weekend_filled_sharp,
    'weekend_filled': weekend_filled,
    'weekend_outlined': weekend_outlined,
    'weekend_sharp': weekend_sharp,
    'weekend': weekend,
    'weight_filled_outlined': weight_filled_outlined,
    'weight_filled_sharp': weight_filled_sharp,
    'weight_filled': weight_filled,
    'weight_outlined': weight_outlined,
    'weight_sharp': weight_sharp,
    'weight': weight,
    'west_filled_outlined': west_filled_outlined,
    'west_filled_sharp': west_filled_sharp,
    'west_filled': west_filled,
    'west_outlined': west_outlined,
    'west_sharp': west_sharp,
    'west': west,
    'whatshot_filled_outlined': whatshot_filled_outlined,
    'whatshot_filled_sharp': whatshot_filled_sharp,
    'whatshot_filled': whatshot_filled,
    'whatshot_outlined': whatshot_outlined,
    'whatshot_sharp': whatshot_sharp,
    'whatshot': whatshot,
    'wheelchair_pickup_filled_outlined': wheelchair_pickup_filled_outlined,
    'wheelchair_pickup_filled_sharp': wheelchair_pickup_filled_sharp,
    'wheelchair_pickup_filled': wheelchair_pickup_filled,
    'wheelchair_pickup_outlined': wheelchair_pickup_outlined,
    'wheelchair_pickup_sharp': wheelchair_pickup_sharp,
    'wheelchair_pickup': wheelchair_pickup,
    'where_to_vote_filled_outlined': where_to_vote_filled_outlined,
    'where_to_vote_filled_sharp': where_to_vote_filled_sharp,
    'where_to_vote_filled': where_to_vote_filled,
    'where_to_vote_outlined': where_to_vote_outlined,
    'where_to_vote_sharp': where_to_vote_sharp,
    'where_to_vote': where_to_vote,
    'widgets_filled_outlined': widgets_filled_outlined,
    'widgets_filled_sharp': widgets_filled_sharp,
    'widgets_filled': widgets_filled,
    'widgets_outlined': widgets_outlined,
    'widgets_sharp': widgets_sharp,
    'widgets': widgets,
    'width_full_filled_outlined': width_full_filled_outlined,
    'width_full_filled_sharp': width_full_filled_sharp,
    'width_full_filled': width_full_filled,
    'width_full_outlined': width_full_outlined,
    'width_full_sharp': width_full_sharp,
    'width_full': width_full,
    'width_normal_filled_outlined': width_normal_filled_outlined,
    'width_normal_filled_sharp': width_normal_filled_sharp,
    'width_normal_filled': width_normal_filled,
    'width_normal_outlined': width_normal_outlined,
    'width_normal_sharp': width_normal_sharp,
    'width_normal': width_normal,
    'width_wide_filled_outlined': width_wide_filled_outlined,
    'width_wide_filled_sharp': width_wide_filled_sharp,
    'width_wide_filled': width_wide_filled,
    'width_wide_outlined': width_wide_outlined,
    'width_wide_sharp': width_wide_sharp,
    'width_wide': width_wide,
    'wifi_1_bar_filled_outlined': wifi_1_bar_filled_outlined,
    'wifi_1_bar_filled_sharp': wifi_1_bar_filled_sharp,
    'wifi_1_bar_filled': wifi_1_bar_filled,
    'wifi_1_bar_outlined': wifi_1_bar_outlined,
    'wifi_1_bar_sharp': wifi_1_bar_sharp,
    'wifi_1_bar': wifi_1_bar,
    'wifi_2_bar_filled_outlined': wifi_2_bar_filled_outlined,
    'wifi_2_bar_filled_sharp': wifi_2_bar_filled_sharp,
    'wifi_2_bar_filled': wifi_2_bar_filled,
    'wifi_2_bar_outlined': wifi_2_bar_outlined,
    'wifi_2_bar_sharp': wifi_2_bar_sharp,
    'wifi_2_bar': wifi_2_bar,
    'wifi_calling_1_filled_outlined': wifi_calling_1_filled_outlined,
    'wifi_calling_1_filled_sharp': wifi_calling_1_filled_sharp,
    'wifi_calling_1_filled': wifi_calling_1_filled,
    'wifi_calling_1_outlined': wifi_calling_1_outlined,
    'wifi_calling_1_sharp': wifi_calling_1_sharp,
    'wifi_calling_1': wifi_calling_1,
    'wifi_calling_2_filled_outlined': wifi_calling_2_filled_outlined,
    'wifi_calling_2_filled_sharp': wifi_calling_2_filled_sharp,
    'wifi_calling_2_filled': wifi_calling_2_filled,
    'wifi_calling_2_outlined': wifi_calling_2_outlined,
    'wifi_calling_2_sharp': wifi_calling_2_sharp,
    'wifi_calling_2': wifi_calling_2,
    'wifi_calling_3_filled_outlined': wifi_calling_3_filled_outlined,
    'wifi_calling_3_filled_sharp': wifi_calling_3_filled_sharp,
    'wifi_calling_3_filled': wifi_calling_3_filled,
    'wifi_calling_3_outlined': wifi_calling_3_outlined,
    'wifi_calling_3_sharp': wifi_calling_3_sharp,
    'wifi_calling_3': wifi_calling_3,
    'wifi_calling_filled_outlined': wifi_calling_filled_outlined,
    'wifi_calling_filled_sharp': wifi_calling_filled_sharp,
    'wifi_calling_filled': wifi_calling_filled,
    'wifi_calling_outlined': wifi_calling_outlined,
    'wifi_calling_sharp': wifi_calling_sharp,
    'wifi_calling': wifi_calling,
    'wifi_channel_filled_outlined': wifi_channel_filled_outlined,
    'wifi_channel_filled_sharp': wifi_channel_filled_sharp,
    'wifi_channel_filled': wifi_channel_filled,
    'wifi_channel_outlined': wifi_channel_outlined,
    'wifi_channel_sharp': wifi_channel_sharp,
    'wifi_channel': wifi_channel,
    'wifi_filled_outlined': wifi_filled_outlined,
    'wifi_filled_sharp': wifi_filled_sharp,
    'wifi_filled': wifi_filled,
    'wifi_find_filled_outlined': wifi_find_filled_outlined,
    'wifi_find_filled_sharp': wifi_find_filled_sharp,
    'wifi_find_filled': wifi_find_filled,
    'wifi_find_outlined': wifi_find_outlined,
    'wifi_find_sharp': wifi_find_sharp,
    'wifi_find': wifi_find,
    'wifi_lock_filled_outlined': wifi_lock_filled_outlined,
    'wifi_lock_filled_sharp': wifi_lock_filled_sharp,
    'wifi_lock_filled': wifi_lock_filled,
    'wifi_lock_outlined': wifi_lock_outlined,
    'wifi_lock_sharp': wifi_lock_sharp,
    'wifi_lock': wifi_lock,
    'wifi_off_filled_outlined': wifi_off_filled_outlined,
    'wifi_off_filled_sharp': wifi_off_filled_sharp,
    'wifi_off_filled': wifi_off_filled,
    'wifi_off_outlined': wifi_off_outlined,
    'wifi_off_sharp': wifi_off_sharp,
    'wifi_off': wifi_off,
    'wifi_outlined': wifi_outlined,
    'wifi_password_filled_outlined': wifi_password_filled_outlined,
    'wifi_password_filled_sharp': wifi_password_filled_sharp,
    'wifi_password_filled': wifi_password_filled,
    'wifi_password_outlined': wifi_password_outlined,
    'wifi_password_sharp': wifi_password_sharp,
    'wifi_password': wifi_password,
    'wifi_protected_setup_filled_outlined':
        wifi_protected_setup_filled_outlined,
    'wifi_protected_setup_filled_sharp': wifi_protected_setup_filled_sharp,
    'wifi_protected_setup_filled': wifi_protected_setup_filled,
    'wifi_protected_setup_outlined': wifi_protected_setup_outlined,
    'wifi_protected_setup_sharp': wifi_protected_setup_sharp,
    'wifi_protected_setup': wifi_protected_setup,
    'wifi_sharp': wifi_sharp,
    'wifi_tethering_error_filled_outlined':
        wifi_tethering_error_filled_outlined,
    'wifi_tethering_error_filled_sharp': wifi_tethering_error_filled_sharp,
    'wifi_tethering_error_filled': wifi_tethering_error_filled,
    'wifi_tethering_error_outlined': wifi_tethering_error_outlined,
    'wifi_tethering_error_sharp': wifi_tethering_error_sharp,
    'wifi_tethering_error': wifi_tethering_error,
    'wifi_tethering_filled_outlined': wifi_tethering_filled_outlined,
    'wifi_tethering_filled_sharp': wifi_tethering_filled_sharp,
    'wifi_tethering_filled': wifi_tethering_filled,
    'wifi_tethering_off_filled_outlined': wifi_tethering_off_filled_outlined,
    'wifi_tethering_off_filled_sharp': wifi_tethering_off_filled_sharp,
    'wifi_tethering_off_filled': wifi_tethering_off_filled,
    'wifi_tethering_off_outlined': wifi_tethering_off_outlined,
    'wifi_tethering_off_sharp': wifi_tethering_off_sharp,
    'wifi_tethering_off': wifi_tethering_off,
    'wifi_tethering_outlined': wifi_tethering_outlined,
    'wifi_tethering_sharp': wifi_tethering_sharp,
    'wifi_tethering': wifi_tethering,
    'wifi': wifi,
    'wind_power_filled_outlined': wind_power_filled_outlined,
    'wind_power_filled_sharp': wind_power_filled_sharp,
    'wind_power_filled': wind_power_filled,
    'wind_power_outlined': wind_power_outlined,
    'wind_power_sharp': wind_power_sharp,
    'wind_power': wind_power,
    'window_closed_filled_outlined': window_closed_filled_outlined,
    'window_closed_filled_sharp': window_closed_filled_sharp,
    'window_closed_filled': window_closed_filled,
    'window_closed_outlined': window_closed_outlined,
    'window_closed_sharp': window_closed_sharp,
    'window_closed': window_closed,
    'window_filled_outlined': window_filled_outlined,
    'window_filled_sharp': window_filled_sharp,
    'window_filled': window_filled,
    'window_open_filled_outlined': window_open_filled_outlined,
    'window_open_filled_sharp': window_open_filled_sharp,
    'window_open_filled': window_open_filled,
    'window_open_outlined': window_open_outlined,
    'window_open_sharp': window_open_sharp,
    'window_open': window_open,
    'window_outlined': window_outlined,
    'window_sensor_filled_outlined': window_sensor_filled_outlined,
    'window_sensor_filled_sharp': window_sensor_filled_sharp,
    'window_sensor_filled': window_sensor_filled,
    'window_sensor_outlined': window_sensor_outlined,
    'window_sensor_sharp': window_sensor_sharp,
    'window_sensor': window_sensor,
    'window_sharp': window_sharp,
    'window': window,
    'wine_bar_filled_outlined': wine_bar_filled_outlined,
    'wine_bar_filled_sharp': wine_bar_filled_sharp,
    'wine_bar_filled': wine_bar_filled,
    'wine_bar_outlined': wine_bar_outlined,
    'wine_bar_sharp': wine_bar_sharp,
    'wine_bar': wine_bar,
    'woman_2_filled_outlined': woman_2_filled_outlined,
    'woman_2_filled_sharp': woman_2_filled_sharp,
    'woman_2_filled': woman_2_filled,
    'woman_2_outlined': woman_2_outlined,
    'woman_2_sharp': woman_2_sharp,
    'woman_2': woman_2,
    'woman_filled_outlined': woman_filled_outlined,
    'woman_filled_sharp': woman_filled_sharp,
    'woman_filled': woman_filled,
    'woman_outlined': woman_outlined,
    'woman_sharp': woman_sharp,
    'woman': woman,
    'work_filled_outlined': work_filled_outlined,
    'work_filled_sharp': work_filled_sharp,
    'work_filled': work_filled,
    'work_history_filled_outlined': work_history_filled_outlined,
    'work_history_filled_sharp': work_history_filled_sharp,
    'work_history_filled': work_history_filled,
    'work_history_outlined': work_history_outlined,
    'work_history_sharp': work_history_sharp,
    'work_history': work_history,
    'work_outlined': work_outlined,
    'work_sharp': work_sharp,
    'work': work,
    'workspace_premium_filled_outlined': workspace_premium_filled_outlined,
    'workspace_premium_filled_sharp': workspace_premium_filled_sharp,
    'workspace_premium_filled': workspace_premium_filled,
    'workspace_premium_outlined': workspace_premium_outlined,
    'workspace_premium_sharp': workspace_premium_sharp,
    'workspace_premium': workspace_premium,
    'workspaces_filled_outlined': workspaces_filled_outlined,
    'workspaces_filled_sharp': workspaces_filled_sharp,
    'workspaces_filled': workspaces_filled,
    'workspaces_outlined': workspaces_outlined,
    'workspaces_sharp': workspaces_sharp,
    'workspaces': workspaces,
    'wounds_injuries_filled_outlined': wounds_injuries_filled_outlined,
    'wounds_injuries_filled_sharp': wounds_injuries_filled_sharp,
    'wounds_injuries_filled': wounds_injuries_filled,
    'wounds_injuries_outlined': wounds_injuries_outlined,
    'wounds_injuries_sharp': wounds_injuries_sharp,
    'wounds_injuries': wounds_injuries,
    'wrap_text_filled_outlined': wrap_text_filled_outlined,
    'wrap_text_filled_sharp': wrap_text_filled_sharp,
    'wrap_text_filled': wrap_text_filled,
    'wrap_text_outlined': wrap_text_outlined,
    'wrap_text_sharp': wrap_text_sharp,
    'wrap_text': wrap_text,
    'wrong_location_filled_outlined': wrong_location_filled_outlined,
    'wrong_location_filled_sharp': wrong_location_filled_sharp,
    'wrong_location_filled': wrong_location_filled,
    'wrong_location_outlined': wrong_location_outlined,
    'wrong_location_sharp': wrong_location_sharp,
    'wrong_location': wrong_location,
    'wysiwyg_filled_outlined': wysiwyg_filled_outlined,
    'wysiwyg_filled_sharp': wysiwyg_filled_sharp,
    'wysiwyg_filled': wysiwyg_filled,
    'wysiwyg_outlined': wysiwyg_outlined,
    'wysiwyg_sharp': wysiwyg_sharp,
    'wysiwyg': wysiwyg,
    'yard_filled_outlined': yard_filled_outlined,
    'yard_filled_sharp': yard_filled_sharp,
    'yard_filled': yard_filled,
    'yard_outlined': yard_outlined,
    'yard_sharp': yard_sharp,
    'yard': yard,
    'youtube_activity_filled_outlined': youtube_activity_filled_outlined,
    'youtube_activity_filled_sharp': youtube_activity_filled_sharp,
    'youtube_activity_filled': youtube_activity_filled,
    'youtube_activity_outlined': youtube_activity_outlined,
    'youtube_activity_sharp': youtube_activity_sharp,
    'youtube_activity': youtube_activity,
    'youtube_searched_for_filled_outlined':
        youtube_searched_for_filled_outlined,
    'youtube_searched_for_filled_sharp': youtube_searched_for_filled_sharp,
    'youtube_searched_for_filled': youtube_searched_for_filled,
    'youtube_searched_for_outlined': youtube_searched_for_outlined,
    'youtube_searched_for_sharp': youtube_searched_for_sharp,
    'youtube_searched_for': youtube_searched_for,
    'zone_person_alert_filled_outlined': zone_person_alert_filled_outlined,
    'zone_person_alert_filled_sharp': zone_person_alert_filled_sharp,
    'zone_person_alert_filled': zone_person_alert_filled,
    'zone_person_alert_outlined': zone_person_alert_outlined,
    'zone_person_alert_sharp': zone_person_alert_sharp,
    'zone_person_alert': zone_person_alert,
    'zone_person_idle_filled_outlined': zone_person_idle_filled_outlined,
    'zone_person_idle_filled_sharp': zone_person_idle_filled_sharp,
    'zone_person_idle_filled': zone_person_idle_filled,
    'zone_person_idle_outlined': zone_person_idle_outlined,
    'zone_person_idle_sharp': zone_person_idle_sharp,
    'zone_person_idle': zone_person_idle,
    'zone_person_urgent_filled_outlined': zone_person_urgent_filled_outlined,
    'zone_person_urgent_filled_sharp': zone_person_urgent_filled_sharp,
    'zone_person_urgent_filled': zone_person_urgent_filled,
    'zone_person_urgent_outlined': zone_person_urgent_outlined,
    'zone_person_urgent_sharp': zone_person_urgent_sharp,
    'zone_person_urgent': zone_person_urgent,
    'zoom_in_filled_outlined': zoom_in_filled_outlined,
    'zoom_in_filled_sharp': zoom_in_filled_sharp,
    'zoom_in_filled': zoom_in_filled,
    'zoom_in_map_filled_outlined': zoom_in_map_filled_outlined,
    'zoom_in_map_filled_sharp': zoom_in_map_filled_sharp,
    'zoom_in_map_filled': zoom_in_map_filled,
    'zoom_in_map_outlined': zoom_in_map_outlined,
    'zoom_in_map_sharp': zoom_in_map_sharp,
    'zoom_in_map': zoom_in_map,
    'zoom_in_outlined': zoom_in_outlined,
    'zoom_in_sharp': zoom_in_sharp,
    'zoom_in': zoom_in,
    'zoom_out_filled_outlined': zoom_out_filled_outlined,
    'zoom_out_filled_sharp': zoom_out_filled_sharp,
    'zoom_out_filled': zoom_out_filled,
    'zoom_out_map_filled_outlined': zoom_out_map_filled_outlined,
    'zoom_out_map_filled_sharp': zoom_out_map_filled_sharp,
    'zoom_out_map_filled': zoom_out_map_filled,
    'zoom_out_map_outlined': zoom_out_map_outlined,
    'zoom_out_map_sharp': zoom_out_map_sharp,
    'zoom_out_map': zoom_out_map,
    'zoom_out_outlined': zoom_out_outlined,
    'zoom_out_sharp': zoom_out_sharp,
    'zoom_out': zoom_out,
  };
}
